Getting Started with Light-O-Rama

 Top Next

Welcome to Light-O-Rama

Light-O-Rama is a computerized lighting system designed to control elaborate or simple lighting displays. The Light-O-Rama system can be applied to almost any lighting situation, from stand-alone controllers to synchronizing hundreds of controllers.

This page gives a high-level overview of how to start controlling your lights using Light-O-Rama:

· Getting Help about Light-O-Rama

· Important Terms and Information

· Connecting the Lights Using Light-O-Rama Controllers

· Creating a Show

For more detailed information, please see Light-O-Rama Concepts and the Light-O-Rama Software Package.

Experienced users may wish to see what's new in the latest version of Light-O-Rama.

Getting Help about Light-O-Rama

Other than this help file, there are several ways to get help about Light-O-Rama:

Frequently Asked Questions, quick start guides, training presentations, tutorials, demos, and user guides can be found on the Support page of the Light-O-Rama website, along with phone, mail, and email contact information.

Light-O-Rama users' forums can be found at the LOR Users Support Center.

The LOR Wiki is a user-created and edited repository of Light-O-Rama information. Please note that the information contained in the LOR Wiki is not published by Light-O-Rama, and cannot be considered official.

Important Terms and Information

Companion Unit

A companion unit is a Light-O-Rama controller that receives lighting commands from another source - either a PC running Light-O-Rama software, or from another controller known as a director unit.

Control Panel

The Light-O-Rama Control Panel is a program that can be used to manage the Light-O-Rama system on your PC. The Control Panel runs in the system tray (where the PC's clock is displayed). Light-O-Rama is made up of a number of different programs, and the Control Panel is a convenient way of accessing them. The Control Panel must be running in order to control shows from your PC.

Daisy Chain

This is the term generally used to describe the manner in which Light-O-Rama light controllers are connected. A wire goes from the source (a PC running Light-O-Rama software or a director unit) to a companion unit. Another wire goes from that companion unit to another companion unit, and so on, until all companion units are "chained" together.

Do not put "Y"s or forks in the data cable. Only connect the units in this daisy chain configuration.

Data Cable

Light-O-Rama controllers can be connected using both data cables and phone cables, but you must know which type of cable it is (for the purposes of Light-O-Rama, a cable is considered a data cable if its wires are connected straight through).

How do you know if it is a data cable? Well, most likely the only cable that you will see that is not a data cable is a wire that is intended specifically for phones. If you go to your local hardware store and purchase a phone extension cable, then that wire is not a data cable. The distinction between data cables and phone cables is important, because the wires are swapped around. There are selectors or jumpers on most Light-O-Rama controllers that allow you to specify which wire type you are using.

Only the wire coming into a controller (from the previous controller or from a PC running Light-O-Rama software) should be used to determine which selector setting to use. The wire leaving a controller (if there is one) can be of any type, and has no bearing on which selector setting should be used. For example, if a controller has a phone cable coming in from the previous controller, and a data cable leaving to the next controller, the selector should be set for "phone cable".

Director Unit

A director unit is a Light-O-Rama controller that sends lighting commands to other controllers (known as companion units). Controllers can run individually in standalone mode, but to synchronize multiple controllers together, they must be directed either by a PC running Light-O-Rama software, or by a director unit.

Standalone sequences may contain lighting commands for a number of different units. A director unit is a unit that is running standalone - i.e. not connected to a PC - that contains lighting commands for other units cabled to it (the companion units). The director unit can also control its own lights, simultaneously.

There is no difference in the hardware of a director unit and a companion unit - the only difference is the mode that they are in.

A PC running Light-O-Rama software can also be thought of as a director unit, in that it can send lighting commands to Light-O-Rama controllers. There must be one and only one director unit (or PC running Light-O-Rama software) on a daisy chained group of controllers.

Hardware Utility

The Light-O-Rama Hardware Utility is a program that can be used to set up and test the hardware used to control lights, as well as download sequences to standalone controllers or director units.

Phone Cable

Light-O-Rama controllers can be connected using either data cables or phone cables, but you must know which type of cable you are using. See data cables for details.

Schedule

A schedule is a list of shows and the times at which those shows are to be played.

If the Light-O-Rama Control Panel is running on a PC, and its "Enable Schedule" option is turned on, then the schedule will be monitored, and its shows will be started and stopped at the appropriate times.

The Schedule Editor program is used to create and modify schedules.

Sequence

A sequence is a file that contains a set of lighting commands to be sent to Light-O-Rama controllers. There are two types of sequences: musical sequences, which have an associated music or video file that is to be played at the same time, and animation sequences, which do not.

Sequences can be grouped together into shows.

The Sequence Editor program is used to create and modify sequences.

Show

A show is a file that contains a number of sequences, and the order in which they should be played.

A schedule can be created to specify the times at which various shows should be played.

The Show Editor program is used to create and modify shows.

Standalone

A Light-O-Rama controller can be controlled by another controller (or a PC running Light-O-Rama software), or it can control itself and/or other controllers, in standalone mode. A sequence, created using the Sequence Editor, can be downloaded to a standalone controller using the Hardware Utility. The controller can then be set up to run this sequence whenever it has power, or, if the unit is a model with an internal clock, it can be instructed to run the sequence during a particular time.

A standalone controller whose sequence contains lighting commands for other controllers will transmit those commands to the other controllers. In this case, the controller is known as a director unit.

Unit

A unit is another term for a Light-O-Rama controller. Each unit has a number of circuits, each of which can be used to control lights independently of each other. Each unit is identified by a unit ID.

Unit ID

Each unit has an identifier assigned to it, known as a unit ID. When a lighting command is sent to a unit, all of the units that are daisy chained together can see that command. However, the command contains a unit ID; only the units having that unit ID will act upon that command.

For Light-O-Rama controllers, the unit ID is a two characters, each of which can have any of the values 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, A, B, C, D, E, and F. For example, "01", "25", "37", "5C", "BD", or "E2". However, not all possible combinations are allowed: "00" and "F1" through "FF" are disallowed.

Controllers other than Light-O-Rama controllers use different formats for their unit IDs.

Connecting the Lights Using Light-O-Rama Controllers

To connect lights using Light-O-Rama controllers, take the following three steps:

1. Determine the serial port and hook up a controller.

2. Select a unit ID.

3. Test the lights.

Step 1. Determine the Serial Port and Hook Up a Controller

Insert an SC485 converter into your PC's DB9 serial connector which you plan on using for the Light-O-Rama network. If you are using a USB/RS-232 converter, then make sure that it is properly installed, and that the SC485 converter is connected. If you're not sure what all this is about, simply try to find a connector on the back of your PC that has nine pins and which will accept the SC485 adaptor.

Using a cable, connect a Light-O-Rama controller to the SC485 adaptor. Make sure that the LOR controller is powered on. The LED in the controller should be blinking.

Using the Light-O-Rama Control Panel, start the Hardware Utility program. In the Hardware Utility's Setup Comm Port section, use the Auto Configure button. This will cause the Hardware Utility to look for the attached controller and determine which comm port is being used.

Step 2. Select a Unit ID

If your controller has unit ID selection switches, you can select its ID by adjusting the selectors to the desired ID. If your controller does not have these unit ID selection switches, then you will need to set its unit ID by using the Hardware Utility:

To set the unit ID using the Hardware Utility, connect one and only one unit to the PC using the SC485 adaptor and a cable. In the Set Unit IDs section, go to Set New Unit ID, select the ID that you wish to use for the controller, and click the Set Unit ID button. This button will only work on new units that have never been assigned a unit ID (to change the unit ID of a unit that already has one assigned, use the Change Existing ID section instead).

TIP: Assign unit IDs sequentially, starting at 01. This will make maintenance of the units faster.

Step 3. Test the Lights

With the unit connected to the PC, attach lights and power the unit on. In the Hardware Utility, click the Refresh button in the top center of the screen. After a short time, your unit should appear in the dropdown list to the right of the Refresh button. Select the unit, and you can then test the lights using the various controls in the Test Unit's Operation section of the Hardware Utility.

TIP: Before clicking Refresh, set the Hardware Utility's Max Unit ID to as low a value as possible. This is the maximum unit ID of controllers that you plan on using (you can always change it to a higher value if you add more controllers later). Setting it to a low value makes the Hardware Utility run faster (though it will not find any connected units with higher unit IDs).

Creating a Scheduled Lights Display

To create a lights display and have it run at certain times, take the following steps:

1. Make your sequences.

2. Make a show.

3. Make a schedule.

4. Turn on the Control Panel's "Enable Schedule".

Step 1. Make Your Sequences

Using the Sequence Editor, create the sequences that will be used in your show.

You can test how the lights will look for a sequence while in the Sequence Editor: Make sure Control Lights is turned on in the Play Menu, and that you have assigned the channels in the sequence to a controller that is hooked up to your PC. Then, click the play button (which is the green arrow in the toolbar).

Step 2. Make a Show

A show is a collection of sequences. A show can be created using the Show Editor program.

Shows have several sections, each of which can have sequences:

·Background: Sequences listed in the "background" section will be played for the entire duration of the show.

·Startup: Sequences listed in the "startup" section will be played when the show first begins.

·Animation and Musical: After the "startup" sequences have completed, sequences in both of these sections will run, until it is time for the show to stop.

·Shutdown: When it is time for the show to stop, the "animation" and "musical" sequences will stop running, and the sequences in the "shutdown" section will start. Only after the "shutdown" sequences are finished will the show truly end.

In the Show Editor, you can add sequences to any of these sections by selecting the appropriate section's tab, and hitting the big PLUS button.

After you have created your show, you should save it using the "Save" or "Save As" button. Assign the show a meaningful name - this is the file name that you will be using in the next step.

Step 3. Make a Schedule

Unlike sequences, you cannot run a show interactively. Instead, to test a show, put that show into a schedule, using the Schedule Editor program:

In the Schedule Editor, click the Add button, and select the show file with the name that you created in the previous step. Select a start and end time that will allow the show to start at a convenient time for you to view it. Then click Save to save your schedule.

Step 4. Turn On the Control Panel's "Enable Schedule"

To view the scheduled show, turn on the "Enable Schedule" option in the Light-O-Rama Control Panel. Doing this will cause the Control Panel to monitor your schedule, and start and stop your show at the appropriate times.


What's New?

 Top Previous Next

Updates Made to Older Versions

· What's New in Version 3.x.x

· What's New in Version 2.x.x

· What's New in Version 1.x.x

What's New in the Latest Version

· What's New in Version 4.4.10

· What's New in Version 4.4.8

· What's New in Version 4.4.6

· What's New in Version 4.4.4

· What's New in Version 4.4.2

· What's New in Version 4.4.0

· What's New in Version 4.3.36

· What's New in Version 4.3.34

· What's New in Version 4.3.32

· What's New in Version 4.3.30

· What's New in Version 4.3.28

· What's New in Version 4.3.26

· What's New in Version 4.3.24

· What's New in Version 4.3.22

· What's New in Version 4.3.20

· What's New in Version 4.3.18

· What's New in Version 4.3.16

· What's New in Version 4.3.14

· What's New in Version 4.3.12

· What's New in Version 4.3.10

· What's New in Version 4.3.8

· What's New in Version 4.3.6

· What's New in Version 4.3.4

· What's New in Version 4.3.2

· What's New in Version 4.3.0

· What's New in Version 4.2.10

· What's New in Version 4.2.8

· What's New in Version 4.2.6

· What's New in Version 4.2.4

· What's New in Version 4.2.2

· What's New in Version 4.2.0

· What's New in Version 4.1.2

· What's New in Version 4.1.0

· What's New in Version 4.0.38

· What's New in Version 4.0.36

· What's New in Version 4.0.34

· What's New in Version 4.0.32

· What's New in Version 4.0.30

· What's New in Version 4.0.28

· What's New in Version 4.0.26

· What's New in Version 4.0.24

· What's New in Version 4.0.22

· What's New in Version 4.0.20

· What's New in Version 4.0.18

· What's New in Version 4.0.16

· What's New in Version 4.0.14

· What's New in Version 4.0.12

· What's New in Version 4.0.10

· What's New in Version 4.0.8

· What's New in Version 4.0.6

· What's New in Version 4.0.4

· What's New in Version 4.0.2

· What's New in Version 4.0.0

What's New in Version 4.4.10

· Bug Fix

Bug Fix

·In the Hardware Utility, in many cases sending a stand-alone sequence to a controller would fail.

What's New in Version 4.4.8

· Support for PixieLink Products

· Bug Fixes

Support for PixieLink Products

·The Hardware Utility can now update firmware at higher speeds. The higher speed will initially only be supported on the forthcoming PixieLink product.

·New firmware for Pixie 2/4/8/16 with performance enhancements required to support PixieLink high-speed products.

·Initial firmware for PixieLink V1.02

Bug Fixes

·In the Hardware Utility, moving the main window on some high resolution monitors could cause the form size to grow..

·In SuperStar when using the "Move or Scale Selected Effects" window, the state was not initialized properly.

·In SuperStar when using the Scene, Morph, or Text dialog boxes, and incorrect error message was produced that said to use a value between 0-255. That should have been 0-100.

·When scrolling large images across a matrix In SuperStar, the program could crash.

·In SuperStar, the ability to use ctrl+left or right click to set/clear all pixels in a scene or in image mode has been removed and replaced with ctl+mousedrag in image or text mode.

·In SuperStar when using the Scene, Morph, or Text dialog boxes, and incorrect error message was produced that said to use a value between 0-255. That should have been 0-100.

What's New in Version 4.4.6

· New Installation Executable

· Easier PixCon16 Configuration

· Support for PixCon16 MKII Firmware up to and including V2.0.25

· SuperStar Improvements

· Bug Fixes

New Installation Executable

·The Light-O-Rama installer process and installer executable have been updated:

·This should eliminate some installer errors such as files not being cleaned from the LOR Programs directory when installing new versions.

·Previously the DirectX installer was always called regardless if a machine needed DirectX 9 installed or not. Now only machines that need to have DirectX will execute the install.

·Additional files are now electronically signed by LOR to ensure their authenticity. This will allow Windows to prompt the user to obtain necessary permissions.

·The installer will now place a shortcut on the users desktop to start the LOR Control Panel. At the end of the install, you will be asked if you want to start the control panel. This should help new users get started using the software.

·When starting the Control Panel for the first time, users will be shown a new screen that briefly describes how to use the control panel and software. Again, this is an effort to help new users get started.

·Note: Should you have any issue with the new installer process, first uninstall any LOR programs, then run the LOR Registry Wipe and then re-install. This should fix most installer issues. Please contact the help desk if needed.

Easier PixCon16 Configuration

·In the Network Preferences program, you must now select a Network Adapter Card to use when configuring PixCon16 controllers. This should make loading the configuration for a board easier as you no longer have to properly configure routing tables/metrics in Windows on computers with 2 or more Network Interface Cards (NICs).

Support for PixCon16 MKII Firmware up to and including V2.0.25

·For LOR PixCon16 MKII boards, the software now supports firmware versions up to and including V2.0.25. Please note that upgrading firmware on PixCon boards is not as easy as on other LOR controllers. Unless you are having an issue that is fixed with new firmware, please do not attempt to update your board. New Firmwares for the PixCon16 are available from support, but only after consulting with them about an issue.

SuperStar Improvements

·Added the Auto-Sequence Singing Faces feature

·Added the Select Effects in Clip Rectangle feature

·Added modification of all selected images in the "Manipulate Selected Images" dialog box

·Added "move" and "scale" to the "Manipulate Selected Images" dialog box

·Added "rotation angle" to the "Manipulate Selected Images" dialog box. If more than one image is selected the angles get applied proportionally to each image. For example, if you select 4 images and apply 30 degress, then 0, 10, 20, and 30 degrees get applied to the 4 images.

·Added the "Prorated" button to the "Manipulate Selected Images" dialog box. Rotation Angle, Brightness, Move, and Scale can be applied the same to all images, or can be "prorated" across the selected images.

·Added "Change Orientation" to the "Move or Scale Selected Effects" dialog box. It changes a sequence from vertical to horizontal or horizontal to vertical.

·Enhanced the "Set Group Time Range" button on the toolbar so that it proportionally sets the start and end time of all selected effects. This is particualarly useful if you have a bunch of adjacent images actions and want to change the time range of the entire group.

·In the "Image Setup" dialog box "Rotation" has been added as an option for an Image Action. Rotation can be 0, 90, 180, or 270.

·When doing the white star effect conversion it automatically puts clip rectangle around ribbon effects.

·Added the ability to add or subtract from color values in an image by pressing the '+' or '-' key while clicking on image pixels

Bug Fixes

·Superstar:

·6 Channel star effects would not convert into white effects for the RGB star visualization

·Enhanced the conversion of white star effects so that it will properly support visualizations that have the RGB star in non-standard locations

·Modification of selected effects was not modifying effects in other groups

·In instant sequence or auto sequence, if the last 10 second chunk has no triggers in it, the previous 10 second chunk does not get sequenced

·On systems with 2 screens if the main screen in one monitor and the sequencing grid in another monitor and the main screen is shorter in height than the grid screen, then the click and drag drawing in image mode on the grid screen stops working when you go beyond the height of the main screen.

·Scene elements with a Y coordinate beyond 128 were not working.

·When adding images from a gif, rotation angle was not remembered

·Added "image" to image group modify

·Optimized the drawing speed on the green sequencing grid when using click and drag so you can more easily draw images on pixel grids with large numbers of pixels.

·Changed the terminology for the license level from things like "2_CCR" to "100_pixels"

·The progress dialog box was not updating.

·A large grid with 100 ribbons or more would not create a scene using ribbon 100

·Added "Clip Rectangle" as an option in "Move or Scale Selected Effects." Up until now if you moved or scaled effects it did not move or scale the clip rectangle. Now, if "Clip Rectangle" is seleced "Move", "Scale", and "Change Orientation" change the clip rectangle as well.

·If you canceled out of "Move or Scale Selected Effects" it still performed the action

·The direction arrow on autosequence was not being changed when doing "Change Orientation" in the "Move or Scale Selected effects" dialog box

·If a text mask has no effects in it and the time layer priority feature is not enabled, when saving data to the sequencer, no effects get rendered, including effects that had nothing to do with the text mask.

·After clicking on a scene and then changing the color in the color control, the scene did not change color.

·Increased the maximum number of image actions 10000 to 20000.

·Increased the maximum number of text actions from 500 to 1000

·Increased the maximum number of DMX devices from 100 to 200.

·Audio files with 48,000 sampling rate now work as well as the standard 44,100 sampling rate.

What's New in Version 4.4.4

· LOR Hub now supports all SD card options

· LOR Hub can now turn off SD card schedule days if desired

· Improvements in LOR Hub for creating SD cards with PC configuration

· Simple Show Builder is being removed with the next release

· Superstar Improvements

· Bug Fixes

LOR Hub now supports all SD card options

The LOR Hub program can now create SD cards with a full range of options, including triggers, filler sequences, starter sequences, etc. In a future release, SD card building will be removed from the Hardware Utility and the Simple Show Builder will be removed from the suite.

LOR Hub can now turn off SD card schedule days if desired

Previously there was no way to stop an SD card show from running on a particular day, except by using a workaround of setting the start and end times for a particular day the same. LOR Hub can now properly turn OFF a schedule for a particular day.

Improvements in LOR Hub for creating SD cards with PC configuration

When creating an SD card in Advanced mode in Hub, a new option has been added to configure the MP3 Director's ports the same way as those ports are defined on the computer. This can help with ease of setup of MP3 directors.

Simple Show Builder is being removed with the next release

LOR Hub has taken over all functions of the old Simple Show Builder program. In the next release this program will be removed from the suite. Instead, use LOR Hub to create your shows.

Superstar Improvements

·Added support for group modify of "average time length of effects" and "skip inactive grid squares"

·Added the "Do Scene Thinning" option in the "Move or Scale Selected Effects" dialog box

·Added "Orientation" setting in the Preferences dialog box

·Added support to convert 6 channel star effects to white effects on RGB stars from other vendors (previously it only worked for the standard 200 pixel RGB star)

Bug Fixes

·In LOR Hub and Hardware Utility, sequences with DMX Fades when written to the SD card could cause the MP3 director to go out of sync.

· LOR Hub was not able to properly create an SD Card schedule. The schedule would always revert back to the defaults instead of what the user specified.

· LOR Hub would crash if the user attempted to create an SD card show with no sequences in the create list.

·During installation, the Post Install process was not creating 3 new superstar visualization samples.

·In Superstar, text masks were not working in visualizations where some of the mask is outside of the matrix.

·In Superstar, fixed a bug where the white color control was not appearing if the only white that existed was in images.

·In Superstar, changed it so you can do "merge intensity data files" even in the demo version

·In Superstar, fixed a bug where scene pixels were getting clipped out if the clip region was on the right half of the wrap around screen

What's New in Version 4.4.2

· Superstar 'Add +' button

· Bug Fixes

Superstar 'Add +' button

In the "Image Setup" dialog box, a new button was added called "Add +". The "Add+" button adds the current image to the image action, selects the next image, and bumps the time ruler selection forward. This makes it easy to add a series of images for an animation.

Bug Fixes

·In certain circumstances, LOR Hub could create a computer show with incorrect sequence entries. When enabling the show, LOR Show Player would not be able to find the correct sequence.

·In certain circumstances, LOR Hub could create an SD card with sequences that in the future could not be edited. The SD card would however work.

·If a MotionPak in LOR Hub did not have the same upper/lowercase as the base sequence, LOR Hub would not be able to find it.

What's New in Version 4.4.0

· New Program: LOR Hub

· Holiday Lights Designer support is being removed

· Bug Fixes

New Program LOR Hub

A new program for the Showtime Suite has been added called 'Hub'. Hub currently has 2 main functions.

1.It enables our new MotionPak technology which allows you to modify LOR Sequence Store sequences for use with props the LOR Hardware Store will sell. The first props will be 'Singing Faces'

2.It is the replacement for Simple Show Builder. Simple Show Builder is still available in this release, however it will be removed in a future release. If you previously used Simple Show Builder you should move to Hub.
Hub can create both simple computer shows, as well as SD card shows for MP3 directors.

In future releases, Hub will continue to grow and will be taking over all 'show' type functionality including things like the Show Editor, Show Scheduler, and Building advanced SD cards for MP3 Directors from the Hardware Utility.

Holiday Lights Designer support is being removed

Support for Holiday Lights Designer is being removed from future versions of S4. The need for Holiday Lights Designer was removed when S3 was released with the LOR Visualizer.

Bug Fixes

·The Post Install process failed to copy 3 new examples for Superstar.

·The configuration for PixCon16 MKII devices was incorrectly showing 32 ports.

·In Superstar, if the preview uses horizontal orientation and you go into "floating windows" mode, the program could crash.

·In Superstar, the first time beat marks are created they are created without issue. Creating beat marks a second time incorrectly deleted them.

·In Superstar, if you changed timings the program may not prompt you to save your work.

·In Superstar, when using Text Masks along with scenes or morphs, it was possible that the mask was not applied.

·In Superstar, when using a Text Mask or an Image Mask, if Layer Priority was disabled, foreground effects would be incorrect and background effects would not be rendered.

·In Superstar, if the program was launched from S5 changes would not be saved if "Save" or "Save As" was used to save the sequence as a .sup file.

·In Superstar, when using Autosequence effects, the displayed timings may be incorrectly changed to the most recently used Autosequence settings.

·In Superstar, when using Autosequence if "average the time length of effects" was selected then the last few seconds of an autosequence effect may not generate triggers.

·In Superstar, when using Autosequence if "Burst and Return" was used, there could be a compile issue. This happens most frequently with low sensitivity settings such as 1 or 2.

·In Superstar, when using Autosequence morphs with transparency set to transparent were not being saved properly.

·In Superstar, when shrinking using the pixel extender and smooth effects, the shrink did not occur properly.

·In Superstar, the "Center X,Y" control in the Smooth Effects dialog box the buttons were not oriented properly when creating a horizontal sequencing grid.

·In Superstar, if the pixel extender is enabled and a visualization with a sequencing grid was imported with a "max length" , a crash could occur.

·In Superstar, if the pixel extender is enabled and a sequence was being shunk, only half of the effects would get applied.

What's New in Version 4.3.36

· Registry Wipe can now clean Program Files folder

· New Superstar Auto Sequence Options

· Bug Fixes

Registry Wipe can now clean Program Files folder

Some versions of the LOR S4/S5 uninstaller can leave behind unwanted programs in the user's Program Files(x86)\Light-O-Rama folder. This can lead to installation problems the next time the user tries to install the software. Registry Wipe can now clean those entries up.

New Superstar Auto Sequence Options

Several new options and effects have been added to Superstar's Auto Sequence tool including effects 'Folding Ricochet', 'Snake Up/Down', along with options to 'Skip Inactive Grid Squares' as well as 'Average the Time Length of Effects'.

Bug Fixes

·The following bugs or small improvements have all been fixed or made in Superstar

o Exporting as intensity data could cause the program to crash

o Text masks and image silhouette masks were not keyed on their clip rectangle. Any effects that fall entirely with in the mask's clip rectangle get applied to the mask.

oIn the Auto Sequence dialog box if the user did not select one of the 8 custom colors, a message is now displayed.

oWhen saving in the Demo version, the file added to the recent files dialog was incorrectly specified as ',supe.sup'.

oWhen saving in the Demo Version, the suggested filename was incorrectly defaulted to '.supe.sup'.

oIn some cases, opening a valid .supe file would cause an error stating the file was not created on this computer.

oImproved export speed of sequences that use large Visualizations

oIncreased the number of images allowed from 1500 to 3000.

oWhen automatic modification of Star Scenes occurred, it was incorrectly changing the archive status of the file.

oIncreased the width of every 5th long tick mark on the edge of the sequence grid

oIn sequences with effect groups, after a 'select all' effect groups could no longer be expanded.

oIncreased available memory for both 32 and 64 bit systems.

oThe number of channel elements has increased from 8 million to 50 million.

oWhen using Single Step, if the stop button was pressed the first selected effect was not made active. This could lead to a warning or error.

oWriting large images could cause the program to crash.

oThe number of fonts has been increased to 30 to allow for user created fonts to be used.

oWhile using the Pixel Extender, if the Layer Priority feature was active pixels were extended too far.

oWhen using the Move or Scale effects tools after selecting effects that have a group in the selection, the effects would not be applied.

oWhen using the Move or Scale effects tools while in wrap around mode, some effects were not wrapped properly.

What's New in Version 4.3.34

· Bug Fix

Bug Fix

·When installing 4.3.32 on a new computer (one that has not had S4 installed on it previously), The Post Install program would error out on creating the Downloads directory.

What's New in Version 4.3.32

· New Auto Sequence Effects for Superstar

· Bug Fixes

New Auto Sequence Effects for Superstar

Auto Sequence effects in Superstar are a cross between standard effects and Instant Sequence.

Bug Fixes

·When installing 4.3.28 or 4.3.30 over the top of an older version of the software (an upgrade) the install would appear to work successfully. However on some computers starting any of the LOR programs would then re-start the install process as if it had not completed or had an error. The installer for this version should fix that behavior.

·In Superstar, in some cases intensity data was exported incorrectly in Visualization Mode.

·In Superstar, an LOR CCR string could cause a "Channel X.X in <channel name> is assigned to more than one object in the visualization file" error.

·In Superstar, scenes were not rendering correctly on visualizations with a length different than 50.

·In Superstar, opening a file with the extension .supe, making changes, and exiting the program could sometimes cause an error that the filename did not end in .sup

·In Superstar, when using star effects on a group and then importing a visualization with a star, the group could no longer be expanded.

·In Superstar, in some cases when scenes are part of a group, grouping could be incorrectly changed.

·In Superstar, fan effects longer than 1:51.3 would not display on time layers

·In Superstar exporting in half ribbon CCR mode was not working properly.

What's New in Version 4.3.30

· Bug Fix

Bug Fix

·In Superstar the colors of scenes did not render properly when used on a visualization.

What's New in Version 4.3.28

· Update Pixel Editor to use same support packages as S5

· Pixel Editor Now Shows an error message if intensity data failed to save

· The Configuration of Cosmic Color Devices and Pixies has been split

· Support for 'Dynamic Files'

· Support for new upcoming LOR Props

· Support for new upcoming Pixie Firmware

· Superstar Clip Rectangles

· Bug Fixes

Update Pixel Editor to use the same packages as S5 Sequencer

Several support libraries were updated to use the same packages in Pixel Editor as in the upcoming S5 Sequencer for compatibility. This should be transparent to the user.

Pixel Editor now shows an error message if intensity data failed to save

It was possible in previous versions of the Pixel Editor that the user was not notified if the save of Intensity Data failed.

The Configuration of Cosmic Color Devices and Pixies has been split

Previously the Hardware Utility treated both Cosmic Color Devices and Pixie based controllers identically when being configured. They now have separate configuration screens.

Support for 'Dynamic Files'

In order to better support new hardware, several files can now be downloaded automatically from the internet by the software if the user is online. As of this release, the software can now download the LOR_DeviceFile.txt file, as well as a new file for supporting Pixie based Props in the Hardware Utility. These new files are downloaded into your LOR Data Directory. They can be found in LORInternal/Downloads.

You should not modify any of the files in the LORInternal folder.

Even though the software can download these files, it is not required that your computer be online. If you are not online, the LOR software will still work, although it may be with outdated data.

Support for new Upcoming LOR Props

The Hardware Utility has been updated to allow for the configuration of new LOR Props. These props will be physical items you can purchase, like Singing Faces, and quickly integrate into your show.

Support for new Upcoming Pixie Firmware

New firmware for the LOR Pixie controllers will be released that allows for Props as well as by port Triplet Ordering.

Superstar Clip Rectangles

Previously Scenes and Morphs did not have a clip rectangle. That has now been added so all effects now have a clip rectangle. The Modify Selected Events button was also modified to support these new clip rectangles.

Bug Fixes

·In the Network Preferences program, the IP Troubleshooter could not be started for PixCon MKII boards.

·In the Network Preferences program, theIP Troubleshooter could occasional crash depending on the configuration of the users computer.

·In the Network Preferences program, theIP Troubleshooter was not properly sending broadcast packets to change a PixCon to Dynamic or Static IP addressing.

·In the Hardware Utility when working with the configuration of a Pixie, changes may not have been picked up until the Refresh button was pressed.

·In Superstar if the .sup file opened has more ribbons than is currently displayed, and the audio file fails to open, the program would crash.

·In Superstar the Shockwave maximum for the head and tail are now 200. Formerly it was 50.

·In Superstar when using Instant Sequence Trigger Size could exceed the maximum.

·In Superstar a left single click on time scale may not have marked the beginning of the selection.

·In Superstar when using the Image dialog box. If "Apply X,Y in Preview" was selected and an image was selected, the image would not be drawn at X,Y unless the user pressed "Modify".

·In Superstar when using the Text dialog box occasionally no font would be selected

·In Superstar the state of some controls in the Scene, Morph, Smooth Effects, Image, and Text dialog boxes were not being saved/restored when switching between modes using the toolbar buttons.

What's New in Version 4.3.26

· SuperStar Improvements

· Support for PixCon16 MkII

SuperStar improvements

·Fixed a bug where if you do a "move or scale selected group" then immediately do a "group modify move" and it moves everything to the location of the first selection. This has been fixed.

·Fixed a bug where if a scene has pixels that have been moved to the left of the visible sequencing grid it could cause the program to hang when playing the sequence or exporting to sequence editor

·Added the button "Set Grid Bitmap and Add Image" to the image dialog box

·Increased the maximum number of Intensity data files that you can merge from 10 to 15

·Images with a preRamp or postRamp in wrapAround mode could cause superstar to crash when played or exported to sequence editor.

·Group Modify of Text preRampLength, PostRampLength, FadeToBright, FadeFromBright, and clipRectangle, were not working.

·Changed it so if you do "Select All", "Select All Right", or "Select All Left" and you are not in a group, then it selects things in all groups in addition to things that are not in a group.

·Fixed a bug where if you have a sequence with star effects and you import a visualization without a star and it removes the star effects, it removed the star effects but it did not update the Scene dialog box, so the effects still showed up in the dialog box.

Support for PixCon16 MkII

LORNetworkPreferences supports PixCon16 MkII boards.

What's New in Version 4.3.24

· Bug Fix

Bug Fix

·The Hardware Utility when started would occasionally not send heartbeats to controllers, leading to seemingly erratic behavior: not being able to detect units, only detecting some units not others, etc.

What's New in Version 4.3.22

· Changes to SuperStar Files/Clipboards

· Improvements to SuperStar's Load/Save Clipboard dialog

· New Superstar 'Time Layer Priority' feature

· Bug Fixes

Changes to Superstar Files/Clipboards

If the current license level does not support exporting the current layout, the associated .sup and .scb files are encrypted and can only be opened on the computer that created them.

Improvements to SuperStar's Load/Save Clipboard dialog

Users can now change and create folders in the dialog.

New SuperStar Time Layer Priority feature

When this checkbox is selected the effects on low time layers will render in front of effects on higher time layers. For example, if you place a morph on time layer 1 and you place a scene on time layer 3, then if the morph goes across the same area as the scene then the morph will render on top of the scene. In other words it will look like the morph is above the scene. Added Transparent, Semi-Transparent, and Solid in the Effect dialog boxes. These settings are used when the "Time Layer Priority Feature' is enabled.

Bug Fixes

·In Hardware Utility and Simple Show Builder when creating an SD card the files created were always empty.

·In SuperStar the export of a sequence would sometimes only export the effects from where the time ruler is currently at.

·In SuperStar in the Load/Save Clipboard dialog box, the effect counts were not being updated if you navigated to a folder.

·In SuperStar the number of rows for the Timing Map was being incorrectly set to 3.

·In SuperStar when using Instant Sequence, the program was not taking into account if the number of rows changed, so the Timing Map also did not reflect the correct rows.

·In SuperStar improved the Image Group Modify dialog as well as the added a Preferences Box.

·In SuperStar When saving a clipboard to a file, the file that was added becomes selected in the list.

What's New in Version 4.3.20

· Improved Hardware Utility testing of Pixie and Cosmic Color Devices

· Support for new PixCon16 Firmware version 1.4.13

· Bug Fixes

Improved Hardware Utility testing of Pixie and Cosmic Color Devices

The Hardware Utility has been updated to allow for more intuitive testing of Pixie and Cosmic Color Devices.

Support for new PixCon16 Firmware, version 1.4.13

Firmware 1.4.13 of the PixCon board has been released. There are no new features - this is only a maintenance release.

Bug Fixes

·In some cases if a board that was not in the DeviceFile was searched for in the Hardware Utility, the hardware utility could incorrectly log debug information as if the device were a Pixie board. This did not affect the end user, but should not have been occurring.

·In Pixel Editor the OpenGL version on certain computers was not being detected correctly, leading to a race condition.

What's New in Version 4.3.18

· New Enhanced File Processing for G3 MP3 directors

· New Firmware for G3 MP3 Directors

· Bug Fixes

New Enhanced File Processing for G3 MP3 directors

A new File Format is now created when writing an SD card with the Hardware Utility when a Network contains Enhanced Light O Rama commands. This new file format improves the performance of the MP3 director when using high speed (500K, 1000K) networks. To take advantage of this performance enhancement, you must re-create your SD card using the Hardware Utility, as well as update your MP3 director to the latest firmware.

New Firmware for G3 MP3 Directors

New firmware for G3 MP3 directors has been released to support the New Enhanced File processing above. This firmware also corrects a bug that would sometimes cause a PixCon16 running at 1000K to misfire/not connect.

Bug Fixes

·When writing an SD card with the Hardware Utility, in some rare cases where the first sequence only had REGular LOR commands and a non-G3MP3 director was selected, a blank Enhanced file could be written to the SD card instead of regular commands.

·In Superstar, when importing a visualization that forced a fixture to column 64 an error was incorrectly reported. This error should occur only if the column if 65 or greater.

·In the Hardware Utility, the 'Channel Mode' for Cosmic Color Ribbons was being incorrectly set.

·In the Sequence Editor, if the user added a Pixie Device with Insert Device, in many cases the Unit IDs of the created channels were not incremented properly.

·In the Hardware Utility, the progress bar when writing an SD card was not correctly reflecting actual progress.

What's New in Version 4.3.16

· Hardware Support for Pixie Controllers

· Hardware Support for New 4 port MP3 Director

· Insert Pixie Device in Sequence Editor

· New SD Card Wizard for writing MP3 Director SD cards in Hardware Utility

· Bug Fixes

Hardware Support for Pixie Controllers

Hardware Utility support for Pixie16, Pixie 8, and Pixie 4 controllers has been added. You can now configure these devices for use. Please note that the Sequence Editor has not been updated to include Pixie devices, and the Visualizer will only support 50 pixels on a Unit ID until a future update.

Hardware Support for New 4 port MP3 directors

Hardware Utility support for an upcoming 4 port MP3 Director has been added. This hardware has not been released for sale yet.

Insert Pixie Device in the Sequence Editor

The Sequence Editor's Insert Device dialog can now insert Pixie devices with 2,4,8 or 16 ports.

New SD Card Wizard for writing MP3 Director SD cards in Hardware Utility

In support for the new 4 port MP3 director and other future improvements to SD card handling, the way SD cards are written in the Hardware Utility has changed somewhat. The old 'Final Options' screen has been replaced with a wizard. There are no functionality changes.

Bug Fixes

·In many, but not all, cases when using the Pixcon16 'simple' configuration if the RGB Triplet order was changed it was not actually updated on the board.

·When updating the configuration of a PixCon16, an error 513 or 528 could appear if the voltage for Bank 2 changed between the time the packet was written and the board was re-read.

·In some very rare cases, when writing a show to an SD card with the Hardware Utility, one or both ports may not have been throttled.

·While running a show, if a sequence started playing that used video media, and the video mode was set to Full Screen, the Show Player would not always put the video in full screen mode.

·In Superstar, if you clicked on an effect in the list box and the effect was in a group, the grouping would be corrupted.

·In Superstar, if you right clicked to bring up the color picker dialog while moving the mouse, the dialog was not updated.

·In Superstar, on some computers, saving sequences to audio files to the desktop was not working.

·In Superstar, spiral and fan effects that were part of a group would not stay as part of the group when saved.

·In Superstar, in some cases importing a matrix wizard with the origin set at the top were not working.

·In Superstar, Star hotspots were being incorrectly drawn when in CCR and Floating window mode. The hotspots are no longer drawn, matching the behavior when floating windows are turned off.

·In Superstar, changed an error message instead to a warning if an effect were added that straddled a text action mask. The action is now allowed.

·In Superstar, saved state of the "Pixel Extender" if it was active, and warn the user that it is ON the first time they try to run a sequence.

·In Superstar, when using the Pixel Extender, morph coordinates were being incorrectly clipped if the Pixel Extender is shrinking effects.

·In Superstar, if you exceeded 64 columns by using force row/column in a prop and/or fixture, the program would crash instead of producing an error.

·In Superstar, in some cases groups were not saved to clipboard files properly.

·In Superstar, while doing a copy/paste between two different instances of the program, the groups were not pasted properly.

·In Superstar, the maximum number of image actions has increased from 5,000 to 10,000.

·In Superstar, the 'Scene Group Modify' wrap check box now supports 'no wrapping'.

·In Superstar, properly convert star scenes to RGB scenes when importing a visualization that has a Superstar RGB star.

What's New in Version 4.3.14

· New Pixel Types supported on PixCon16

· New Test Mode available on PixCon16 configuration

· New PixCon16 Firmware

· New firmware for G3 MP3 directors

· Bug Fixes

New Pixel Types supported on PixCon16

The PixCon16 can now also run SK6812 (RGB only, not RGB+W), UCS1903 and P9813 pixels. PixCon16 firmware of 1.4.11 or higher is required.

New Test Mode available on PixCon16 configuration

The PixCon16 can now be placed into hardware test mode using the Network Preferences configuration program. PixCon16 firmware of 1.4.11 or higher is required.

New PixCon16 firmware

Firmware version 1.4.11 (filename PixCon16 Firmware Showtime (S4)-V1.4.11.nhx) has been released and includes support for the new pixel types and test mode entry from above.

New Firmware for G3 MP3 directors

Firmware version 5.36 has been released for the MP3g3 (filename: MP3g3-V5_36.lhx), uMP3 (filename: uMP3g3-V5_36.lhx), and LOR1602g3MP3 (filename: MP3g3-V5_36.lhx) MP3 directors. This firmware allows for faster show start-up when using DMX output exclusively.

Bug Fixes

·In some cases if a PixCon16 board were connected and searched for and the 'Minimum Required Version' for the board was higher than the software could handle, it would not be shown at all when it should have been shown in red.

·During an update of the PixCon16, the re-read of the board's configuration could time out. The time out period was increased.

·In SuperStar, a bug was fixed that was limiting Visualizer locations to 50 in the y direction. This has been increased to 360.

What's New in Version 4.3.12

· Altered ServoDog Utility parameter adjustment

· Select all effects in SuperStar

· Grouping effects in SuperStar

· Open each frame of an animated GIF in SuperStar

· Added info in SuperStar's Layout dialog for imported visualizations

· Bug fixes

Altered ServoDog Utility parameter adjustment

The ServoDog Utility now adjusts servo parameters relative to the channel's neutral trim and not with absolute values.

Select all effects in a row in SuperStar

In SuperStar, you can now select all effects that are in a specified row in the the time layers.

Grouping effects in SuperStar

In SuperStar, you can now "group" effects in time layers. After making a group, you can "Expand" and "Compress" the group. You can also "Ungroup" the effects.

Open each frame of an animated GIF in SuperStar

In SuperStar's "Import Image" feature, you can now open each frame of an animated GIF.

Added info in SuperStar's Layout dialog for imported visualizations

If you have imported a visualization in SuperStar, the Layout dialog box will now display the number of channels in the visualization and the license level required to export the visualization.

Bug fixes

· SuperStar's mapping of visualization colors to the four basic colors has been improved. In particular, 128,0,128 was being mapped to red, and now maps to purple.

·In the past, if you launched two instances of SuperStar and used a different audio file in each one, the first one launched would use the other one's audio file. This has been fixed.

What's New in Version 4.3.10

· New 'Round Robin' play for G3MP3 directors

· New Firmware for G3MP3 directors

· Bug fixes

New 'Round Robin' play for G3MP3 Directors

· G3MP3 directors, with a firmware upgrade, can now play sequences in a 'Round Robin' when using triggers.

New Firmware for G3MP3 Directors

· Firmware version 5.34 for both the G3-MP3 (filename: MP3g3-V5_34.lhx) and the uMP3g3 (filename: uMP3g3-V5_34.lhx) director has been released to support Round Robin triggers.

· Firmware version 5.34 for the G3-MP3 (filename: MP3g3-V5_34.lhx) also fixes a problem where DMX channels could be left in an inconsistent state when an SD card was inserted.

· Firmware version 5.34 for the uMP3g3 (filename: uMP3g3-V5_34.lhx) director now correctly turns the status LED ON when a card is initially inserted.

Bug fixes

·When the Hardware Utility created a show for an MP3 Director with DMX channels, the DMX channels would always be turned off at the end of the sequence regardless of what the value of the "Keep lights ON at end if using DMX" option was.

What's New in Version 4.3.8

This version contains no functional changes, only some textual changes.

What's New in Version 4.3.6

· CF50D firmware

· Import Image in SuperStar

· Bug fixes

CF50D firmware

Version 1.05 of the firmware for the CF50D has been released (filename CF50D-V1_05.lhx). This version fixes problems with delayed response when attached to an Enhanced LOR network. It is the first version of firmware for the CF50D to be included with the LOR software suite installer.

Import Image in SuperStar

SuperStar now has an Import Image feature to import image files such as .jpg, .gif, .bmp, .png, and .ico files.

Bug fixes

·If the first channel for SuperStar's star were set to anything but 1, export as intensity data to a new file would fail because it did not create an empty channel for the container sequence.

·If you did an "Export to Sequence Editor" in SuperStar when in CCR mode with DMX selected in Configuration dialog box, then the first time you played to the screen, the effects would get shifted and scrambled.

·If you used an imported visualization in SuperStar, and the visualization contained a DMX Prop name that contained an ampersand or quote character, then the Sequence Editor would fail to open the exported file, displaying the error "Expected entity name for reference".

·If a sequence has the white color in it, SuperStar now displays the white color even if the display only has red, green, and blue in it. This is so that you can remove the white color if you want.

·In SuperStar, white lights that were on a row that was below an RGB matrix could not be sequenced. The effects could be added, but nothing would happen when you played it back.

·In SuperStar, if you created a visualization with CCRs in it using "Create Quick Visualization", the CCR rows would be disabled and could not be sequenced.

·Using Instant Sequence in SuperStar could have resulted in effects past the end of the song, which would make the Sequence Editor unable to open the file.

·In very rare circumstances, the Visualizer could fail to start because of an issue with detecting the Network Adapters available on the computer.

·If a computer had more than 32 Network Adapters, or more than 32 IP addresses assigned to a network adapter and the user selected 'Local' as the IP adapter to use, the Visualizer would incorrectly report that the IP address could not be found, was blank, or was 0.0.0.0 when going into simulation mode.

·In SuperStar, if a smooth effect with white in it painted to the first pixel of a CCR, then it would write to the pixel resolution macro and cause the CCR to blink.

·In CCR mode with DMX selected and half ribbon selected, exporting as intensity data from SuperStar would cause a crash.

·In CCR mode with half ribbon selected, the pixels were not exporting correctly from SuperStar (the order of each half ribbon was not always correct).

· SuperStar's clipboard was fixed so that you can copy from one instance of SuperStar and paste into another.

·The Sequence Editor's Insert Device dialog would add the universe number to a DMX universe's name even if the "Include base unit ID in channel names" were disabled.

·When copying and then pasting a prop in the Visualizer, the additional Superstar Data was not preserved.

·When exporting a prop from the Visualizer, Superstar data was not written to the file.

·A PixCon16 reboot is highly dependent on how fast a network DHCP server responds to the IP lease request. On certain networks with slow DHCP servers, an update of the configuration of a PixCon16 with the Network Preferences program could sometimes throw an error. More time is now given to the update process, and should that still not be enough an informational message is generated rather than an error.

·When an update of a PixCon16's configuration failed, only a single error was used regardless of the reason. Additional errors have been added to the update process as well as debug information in some circumstances.

·On computers that are set up to use Japanese, and probably various other languages, the Comm Listener would often put out strange error messages (ostensibly about having received malformatted messages) and fail to work properly.

· SuperStar's "Wrapped Tree" feature was failing to create visualizations in some cases.

·When selecting or deselecting in SuperStar's sequencing grid when using a "Wrapped Tree" visualization, sometimes only some of the squares in a group were getting selected/deselected.

· SuperStar was not detecting the largest screen resolution, and was setting the wrong view size.

·The maximum number of RGB strings in SuperStar has been increased from 160 to 200.

· SuperStar's Positive Mask was always centering on the mask, and would not allow modification of the coordinates.

· SuperStar no longer saves the enable state of the pixel multiplier. Instead, it will always launch with the pixel multiplier disabled. This is because if you were to launch with it enabled and start sequencing, it would be very confusing because the playback of the sequence would be different than expected, and it would look like things were broken if you didn't realize it was enabled.

·If RGB dumbstrings in a visualization are assigned the same DMX addressing, then when imported into SuperStar, each RGB dumbstring was being assigned to its own square on the sequencing grid. This has been fixed so that all RGB dumbstrings with the same DMX addressing will be treated as if they are one fixture, and that one fixture will be assigned to only one square on the sequencing grid.

What's New in Version 4.3.4

· Improved "About" box in the Pixel Editor

· Pixel Editor warnings for unsupported license level

· Bug fixes

Improved "About" box in Pixel Editor

The Pixel Editor's "About" window now has a "Copy to clipboard" button to make it easy to paste the displayed system information into forums and help tickets.

Pixel Editor warnings for unsupported license level

When Tools > Control Lights is selected in the Pixel Editor, the user is now warned if he or she does not have a Pro license.

Also, the File > Save Intensity Data menu item is now enabled at all license levels, but the user gets an error message if they select it and do not have a Pro license.

Bug fixes

·In SuperStar,stretching of DMX in CCR mode by specifying the pixel length of DMX pixels got broken in version 4.2.10. It is now fixed.

·In SuperStar, export of DMX in CCR mode in Half ribbon mode with controllers at the bottom would get an error saying "Channel on wrong part of ribbon, export failed."

· SuperStar's "No Clip" rectangle has been fixed to be the entire matrix instead of being the first matrix in the visualization.

·The output of intensity data by SuperStar was dimmer than it should have been.

·In some cases, the second time that a sequence was played during a run of a show, it would fail with an error message saying "ERROR WITH SEQUENCE (Invalid play state (3) for InitializeForPlay)", and the sequence would never successfully play again during that run of the show. Now, if the Show Player notices a sequence in this invalid play state, instead of giving up on trying to play the sequence, it will attempt to reset the sequence to clear out the problem so that it can be played again.

·In some cases, a seemingly random string of Chinese characters (seemingly not actual meaningful Chinese text) would appear in LOR Control Panel's Status window. At least some instances of this have been fixed.

·If tooltips were disabled in the Sequence Editor, then the waveform cursor in the Pixel Editor did not get displayed.

What's New in Version 4.3.2

· Bug fixes

Bug fixes

·The Visualizer would claim that "Time is running backwards" and would not enter simulation mode.

·In SuperStar's Instant Sequence, themes with scenes would not move in some cases.

What's New in Version 4.3.0

· CF50D in Insert Device

· Blanking out channel settings in Delete Controller

· Keys to view start or end of selection in the Sequence Editor

· Pixel Editor can now create New sequence files

· Pixel Editor playback window Always on Top

· SuperStar fonts modified

· New Pixel Editor effects

· Creating sequences directly in the Pixel Editor

· Nested prop groups

· Tracking marker on Pixel Editor's timeline/waveform

· Channel conflict checks

· Repeat in picture and text effects

· Minimum number of props decreased

· Bulb size in effect thumbnails

· Better thumbnails for Curtain and Fireworks effects

· New way to access prop and group definitions

· Effect Generator favorites improved

· Preview Design behavior changed

· Additional columns in Preview Info

· Default manual brightness in Effect Generator mixer

· Preview and Prop dropdowns wider

· Bug fixes

CF50D in Insert Device

The Sequence Editor's Insert Device dialog now can add CF50D devices to the sequence. Both Cosmic Color Floods and UV Black Light Floods are supported.

Blanking out channel settings in Delete Controller

In the Channel Configuration screen of the Sequence Editor, the Delete Controller function used to remove the channels of the selected controller from the track. You can now choose whether you want that to happen or instead to leave the channels in place but blank out their settings (such as unit ID and circuit).

Keys to view start or end of selection in the Sequence Editor

In the Sequence Editor, there are now keystrokes to move the display to ensure that the start or end of the current selection is onscreen. Shift-Alt-Up and Shift-Alt-Down will display the first or last row in the selection, respectively, and Shift-Alt-Left and Shift-Alt-Right will display the first or last column in the selection, respectively.

Pixel Editor can now create New sequence files

The Pixel Editor can now create a new sequence file rather than just work with existing Sequence Editor files.

Pixel Editor playback window Always On Top

A new option has been added to the Pixel Editor to force the playback window on top of all other windows.

SuperStar fonts modified

Three SuperStar font files have been modified: The characters i, j, u, v, and w have been modified in 10-12x12_Thin.custom.font and 10-12x12_Thin.system.font, and the characters u, v, and w have been modified in 10-12x12_Thin_Vertical.system.font.

New Pixel Editor effects

Three new effects were added to the Pixel Editor: LinesVertical, LinesHorizontal, and Twinkle. LinesVertical can be used to create marquee-style chase effects on rooflines, arches and frames. You can use the Twinkle effect for a very slow twinkle, or a very fast strobe, and everything in between.

Creating sequences directly in the Pixel Editor

You can now create new sequences directly in the Pixel Editor using the File > New menu item. You no longer need to switch to the Sequence Editor to do this task. If your preview has props where the Sequence Method=Sequence Editor, the channels for those items will automatically be created in the LMS/LAS file and will be grouped by prop.

Nested prop groups

In the Pixel Editor, prop groups have a new arrangement option of "nested". In particular, this allows nested stars to be grouped together and sequenced as a single item. Using this arrangement, the Bar effect with direction=up moves from the inside out. Bars left/right will move around all of the nested props.

Tracking marker on Pixel Editor's timeline/waveform

As you move your cursor across the Pixel Editor's sequence grid, a marker is now displayed on the timeline/waveform.

Channel conflict checks

In the Pixel Editor's Preview Info warnings box, all props are now checked for channel conflicts. Previously only props with Sequence Method=Pixel Editor were checked.

Repeat in picture and text effects

For the Pixel Editor's picture and text effects, a repeat parameter was added. Default is "on" to emulate previous functionality. Repeat=off causes just one scroll of the picture or text across the screen.

Minimum number of props decreased

Changed the minimum number of props in a group in the Pixel Editor from 2 to 1. This allows you to create a preview group (a prop group where the arrangement setting=preview) for a single frame or wreath, which can be useful for certain effects like fire.

Bulb size in effect thumbnails

When effect thumbnails are displayed in the Pixel Editor, bulb size is now taken into account. This is especially helpful for RGB floods.

Better thumbnails for Curtain and Fireworks effects

Better thumbnails are now generated for Curtain and Fireworks effects in the Pixel Editor.

New way to access prop and group definitions

Prop and group definitions can now be viewed in the Pixel Editor by right-clicking on a prop name in the sequence grid and then selecting "View Prop Definition" from the pop-up menu. It is no longer necessary to go into preview design just to check on the definition of a prop.

Effect Generator favorites improved

In the Pixel Editor, icons are now displayed in the Effect Generator's favorites tree so that folders can be easily distinguished from effects. Also, organizing the favorites tree is now accomplished by right-clicking on any item in the tree. New actions have been added that allow items to be moved up or down, copied, exported to a file, or imported. There is also now a help icon in the favorites area - clicking on it provides detailed instructions on how to use and manage effect favorites.

Preview Design behavior changed

In the Pixel Editor's Preview Design, the prop list no longer scrolls if you modify a prop (as long as the prop name is unchanged).

Additional columns in Preview Info

Columns for Sequence Method and Dimming Curve have been added to the Pixel Editor's Preview Info grid.

Default manual brightness in Effect Generator mixer

When switching to manual brightness for the first in time in the Pixel Editor's Effect Generator's mixer, the default brightness value has been changed from 0% to 50%. Previously, when switching to manual brightness, nothing was displayed in the middle window because the brightness value was 0.

Preview and Prop dropdowns wider

The Pixel Editor's Effect Generator's Preview and Prop selection drop-downs were made wider, so that longer names are visible.

Bug fixes

·In some rare cases, SuperStar was reporting duplicate channels when comparing an LOR channel and a DMX channel.

·When the maximum number of sequencing rows has been exceeded, SuperStar will now display an error message and suggest increasing the sequencing grid's "Max Length".

·Setting SuperStar's manual clip rectangle was only working correctly if you did the mouse drag from upper left to lower right.

·If you had DMX selected in SuperStar's Configuration dialog box, and had CCB selected in the Layout dialog box, then "Export to Sequence Editor" was exporting invalid files.

·In SuperStar's Layout dialog box, some labels were changed: "CCR's" is now "CCR in Normal Mode or CCB/CCP in Dual Normal Mode", and "CCB's" is now "CCB/CCP in Normal Mode".

·When creating an SD card for an MP3 Director in the Hardware Utility, sequences that only contained lighting commands in Intensity Data could not be selected.

·Users who participated in the original S4 beta releases (4.0.0 - 4.0.38) and who had Advanced licenses were granted access as if they had purchased Pro. That access would have allowed the user to set the 'Enhanced Network' for an LOR network ON. At the end of the Beta period, their licenses reverted back to 'Advanced', but the 'Enhanced Network' setting was still incorrectly set.

·If you selected 1000K for the speed of an LOR network in Network Preferences, the "Enhanced" checkbox would automatically become checked (as 1000K is currently only supported for Enhanced networks). However, Enhanced networks are not supported if the license level is less than Pro, and so the network would not work, but also you would have no way to turn off the Enhanced setting.

·In SuperStar, if you had a scrunched visualization, and were doing instant sequence, there were cases where it would only use red, green, and blue; if there were white strings they would never get any effects.

· SuperStar's Pixel Extender was being used in CCR mode if it was enabled. This has been changed so that the Pixel Extender only does something if in Visualization mode.

·If a sequence's filename, or the name of the directory path it was in, contained any of various characters such as a parentheses, and the sequence were used in an interactive group in a show, the sequence would not properly be loaded when the group's trigger was pressed.

·The Sequence Editor's New and Open dialog was displaying the Recent tab's right-click popup menu as a main menu (on the dialog's menu bar).

·If using a visualization of a mega-tree made with the S4 Visualizer Tree Wizard, the auto-clip region for SuperStar images was only using 12 rows of the mega tree. This caused images to get clipped to the first 12 rows.

·If the audio path was not in the default path, SuperStar was not storing the path properly in the sequence file exported to the Sequence Editor, and so the Sequence Editor would fail to find the audio file.

·An error message is now displayed when SuperStar cannot find the visualization file.

·On some computers, the Pixel Editor's text effect would display text in the entry box but not in the preview area. This has been fixed.

·If errors occur in the Pixel Editor while calculating intensity data, a more detailed error message is now displayed.

·For picture and text effects in the Pixel Editor, if movement is not "none", the initial positioning has been fixed so that the text or picture starts off-screen and scrolls on-screen.

·For picture and text effects in the Pixel Editor, Peak-A-Boo movement now starts immediately. Previously, the effect waited for a "peak-a-boo hold time" before the text or picture was first displayed.

·When the selected prop is changed in the Pixel Editor's Effect Generator, the current effect now restarts.

·The mouse wheel and keyboard shortcuts now work while a tooltip is displayed on the sequence grid in the Pixel Editor.

·A potential Pixel Editor crash after double-clicking on a blank cell in the sequence grid was fixed.

·A Pixel Editor crash when any arrow key is pressed and nothing is selected on the sequence grid was fixed.

·Preview Info warnings in the Pixel Editor now show network name instead of network number (i.e. Regular, Aux A, etc), and unit id's are now displayed in hexadecimal notation.

·A Pixel Editor crash in the Effect Generator when bulb size is invalid was fixed.

·The Pixel Editor's Visualizer import so that it no longer generates invalid bulb sizes was fixed.

·Fixed string assignments for the Fan shape clockwise layout (-CW) (previously the strings were reversed) in the Pixel Editor.

·When double-clicking on an effect favorite in the Pixel Editor to recall it, if that effect had manual brightness, the brightness value was not being restored.

What's New in Version 4.2.10

· IP Troubleshooter for PixCon16 devices

· Additional troubleshooting information in LOR Diagnostic

· Bug fixes

IP Troubleshooter for PixCon16 devices

If a PixCon16 is using Network Settings that are not compatible with the computer you are using, you may not be able to configure it. The PixCon16 will appear in the list of devices, however selecting it will produce an error stating that the board cannot be configured. When this occurs, the Network Preferences now offers to start an IP troubleshooter which can try to fix the issue.

Additional troubleshooting information in LOR Diagnostic

LOR Diagnostic now collects additional information that may be useful for troubleshooting purposes, via Windows Management Instrumentation (WMI). It collects some by default, and also now has an "Advanced" screen that allows other WMI-based information to be collected.

Bug fixes

·The Pixel Editor's Fire, Fireworks and Meteor effects could have locked up (i.e. the effect freezes) during the intensity calculation that occurs when a sequence is loaded. Once this happened, those effects would be permanently frozen until the program was restarted.

· SuperStar's vertical matrix string pattern with the origin in the upper right or lower left was importing backwards.

·The Pixel Editor could crash in rare instances while starting up.

What's New in Version 4.2.8

· Favorite names in Pixel Editor tooltips

· Changed display for shimmer and twinkle in the Pixel Editor

· New Pixel Editor option "Playback window is always on top"

· Bug fixes

Favorite names in Pixel Editor tooltips

If you hover over an effect on the Pixel Editor's grid, and that effect is a favorite, the favorite's name is now shown in the tooltip.

Changed display for shimmer and twinkle in the Pixel Editor

The Pixel Editor now displays a hash pattern on shimmer and twinkle effects on props where the Sequence Method is "Sequence Editor".

New Pixel Editor option "Playback window is always on top"

The Pixel Editor has a new menu option: Tools > Preview Playback > Playback window is always on top. If you are displaying the preview in a separate window and you press one of the play buttons, when this option is enabled it will cause the playback window to immediately gain focus. Testing has shown that this will help on some computers, but on others it will cause playback to be worse (more jerky). Use with caution!

Bug fixes

·The Light-O-Rama Control Panel can be set to automatically launch when Windows starts up. It was not doing this in exactly the manner that it should have, and if some other program (unrelated to Light-O-Rama) were doing it in the same incorrect way, that program and the Light-O-Rama Control Panel would interfere with each other's automatic launching settings.

·The first star channel in SuperStar's Configuration dialog box only allowed entries of 1-10 for the channel's circuit ID. It has been changed to allow 1-11.

·In Superstar, CCR mode half ribbons would not export in intensity data format correctly.

·In SuperStar's Image mode, if you had manual clip set and did a left mouse click while holding the Shift key to get the color of a pixel, it would also set the manual clip rectangle to that one pixel. This was fixed so that you would now need to click and drag more than one pixel to do a manual clip rectangle.

·In SuperStar's Scene mode or Image mode, if you do a left or right mouse click while holding the Ctrl key, it sets or clears all the pixels. A warning box was added to ask if you want that to happen.

·The Pixel Editor would hang while pasting when the number of rows in the clipboard was greater than the number of writable grid rows.

·Grid tooltips no longer display in the Pixel Editor when the Effect Generator is open.

·Speed 0 has been removed from the Pixel Editor's Meteor effect, as it was not producing a useful result.

·The Pixel Editor's calculation of intensity data for groups of traditional strings has been fixed.

·Playback in the Pixel Editor is now halted when switching tabs (i.e. when moving between sequences).

What's New in Version 4.2.6

· CCB and Firefli options in SuperStar

· Faster E1.31 Universe Definitions in Network Configuration

· New system tray icons for LOR Control Panel

· Tooltips in the Pixel Editor's sequence grid

· Improved favorites display in the Pixel Editor

· Bug fix

CCB and Firefli options in SuperStar

The "CCB" and "Firefli" options are now back in SuperStar's Layout dialog box.

Faster E1.31 Universe Definitions in Network Configuration

Now while editing a universe in the Advanced mode of the Network Configuration program, you can specify a total number of universes that should have these identical settings.

New system tray icons for LOR Control Panel

The LOR Control Panel now uses new icons in the system tray, which are visually more in line with the new program icons recently introduced in version 4.2.4:

Tooltips in the Pixel Editor's sequence grid

The Pixel Editor's sequence grid now displays tooltips similar to the way the Sequence Editor does. In fact it uses the same set of tooltip display preferences. So if you want to change the way the Pixel Editor is displaying tooltips on the grid, then you will need to open the Sequence Editor and select Edit > Preferences > Display Preferences from the menu. Updated tooltip preferences will be read by the Pixel Editor whenever you open a sequence.

Improved favorites Display in the Pixel Editor

If the Pixel Editor's current effect is stored as a favorite, the favorite's name is now displayed instead of the technical description below the Effect Generator button.

Bug fix

·When displaying props whose sequence method is "Sequence Editor" in the Pixel Editor's sequence grid, in some cases the channel name would show "no matching channel" even though the PE and SE physical channel information matched.

What's New in Version 4.2.4

· New PixCon16 Configuration field: Don't Create Universe Settings

· Pixel Extender can shrink as well as expand

· Decreased E1.31 comm usage

· CTB04 in Add Device

· New sample visualization files

· "Cool White" vs. "Warm White" in SuperStar

· New program icons

· Display order of props in the Pixel Editor

· Configurable filename suffixes in the Pixel Editor

· Bug Fixes

New PixCon16 Configuration field: Don't Create Universe Settings

When updating the configuration of a PixCon16 board, the Network Preferences program can automatically create the E1.31 multi-cast settings necessary to run the universes defined. However some users may have already created these settings and may not want them created again. Setting this option will bypass that automatic creation.

Pixel Extender can shrink as well as expand

The Pixel Extender feature in SuperStar can now shrink as well as expand. So now the "Number of DMX Pixels" setting in the Configuration dialog box can be from 10 to 170 instead of from 50 to 170.

Decreased E1.31 Comm Usage

In some situations, when the lights for a DMX universe using E1.31 are all off, the Comm Listener will now deliver fewer E1.31 packets than it had previously. This will result in less comm traffic on the ethernet network, especially during long stretches of time when the lights are all off (for example, idle time between shows).

CTB04 in Add Device

An option to add a four-channel LOR device (such as the CTB04) has been added to the Sequence Editor's Add Device dialog.

New sample visualization files

Two new sample visualization files, 24x50Tree_8RowGlobe_BottomControllers.lee and 24x50Tree_8RowGlobe_DMX_BottomControllers.lee, have been added.

"Cool White" vs. "Warm White" in SuperStar

"Cool White" and "Warm White" selections were added to the Configuration dialog box in SuperStar. Some ribbons/strings are a cool white (they look bluish white when fully on) and some are a warm white (they look yellowish white when fully on). Set this setting appropriately to best get your lights to have colors that match the colors you saw on the computer screen when you made the sequence.

New program icons

The various programs now have new main icons. It should now be easier to tell apart the various programs in your task bar (and elsewhere). For example, here is an image of the taskbar with icons for the Comm Listener, the Sequence Editor, the Hardware Utility, the Visualizer, and the Pixel Editor:

Display order of props in the Pixel Editor

In prior versions of the Pixel Editor, the order in which props were displayed in the sequence grid was fixed. You still can't change the order of individual props, but now you can change the order by type of prop. To do this, click on the "Props" button - located just to the left of the timeline, above the sequence grid. In the "Select Props" window you can change the "Display Order" drop-down selections to suit your needs. As an example, this feature can be used to move your beat track from the bottom of the grid to the top.

Configurable file name suffixes in the Pixel Editor

In prior versions of the Pixel Editor, when using File > Save As from the menu a suffix of "-Copy" was added to the end of the original file name. This suffix is now configurable by going to Tools > Preferences > Save As. One of the options is to add a suffix that contains the date and time, which makes it very useful for creating backup copies of your sequence.

Bug fixes

·When updating the configuration of a PixCon16 board, the Network Preferences program may occasionally throw an error 523 - Update Failed. If you subsequently check the configuration of the board, you'll see that the configuration actually succeeded. This is due to an incorrect check that was being performed.

·In SuperStar, visEffects would not work in floating windows after resizing the window.

·The number of matrix rows for a horizontal snake matrix in SuperStar was not correct. This made it so the default clipping rectangle for the smooth effects was often too small.

·In SuperStar, a vertical snake matrix was not being imported correctly.

·The Pixel Editor no longer crashes if the "Arial" font is missing or corrupted, although you will be unable to add or edit props until the Arial font is restored.

·The logic that refreshes the Pixel Editor's sequence grid during playback has been improved. As a result, playback's "Force Refresh" option is no longer required and has been removed.

What's New in Version 4.2.2

· Change to starting the Control Panel while an instance is running

· Page Left and Page Right in the Sequence Editor

· Support for 340 pixels on a PixCon16 port

· Simplified PixCon16 configuration

· Faster response times when searching for and configuring PixCon16s

· New DMX addressing options in SuperStar

· Pixel Extender in SuperStar

· Bug Fixes

Change to starting the Control Panel while an instance is running

There's nothing stopping a Windows user from trying to start a program any number of times, but only one instance of the LOR Control Panel should be running at any given time. So, in previous versions, if the Control Panel were started while another instance of it was already running, the newly-started instance would simply stop, allowing the already-running instance to continue being the sole running instance.

In some situations, this could be confusing, because it might seem to the user that they told the Control Panel to start, and nothing happened. To address this issue, now, instead of just stopping, the newly-started instance will first send a message to the already-running instance, causing the already-running instance to display its status window, and also to refresh its icon in the computer's system tray, in case it had disappeared for whatever reason.

Page Left and Page Right in the Sequence Editor

In the Sequence Editor, the Ctrl-Left and Ctrl-Right keys now operate as Page Left and Page Right. Ctrl-Shift-Left and Ctrl-Shift-Right do the same but expand the selection instead of moving it. Also, although Page Up and Page Down functionality was already covered by the Page Up and Page Down keys, for the sake of consistency, Ctrl-Up and Ctrl-Down now operate as Page Up and Page Down (similarly, Ctrl-Shift-Up and Ctrl-Shift-Down as Shift-Page Up and Shift-Page Down).

Please note that unlike in the Page Up/Page Down case, there is not necessarily any relationship between a "page" and the cells. That is, for Page Up/Page Down, one "page" consists of a certain number of cell rows - i.e. a certain number of channels. But for Page Left/Page Right, one "page" consists of a certain length of time, not a certain number of cell columns - i.e. a certain number of timing marks. Timing marks can be anywhere, willy-nilly, or even nowhere, and do not necessarily have any relation to the page. So, as compared to Page Up/Page Down, it may be more difficult to predict exactly where your selection will move or expand to after a Page Left/Page Right.

Support for 340 Pixels on a PixCon16 port

The PixCon16 configuration now allows for a maximum of 340 pixels per port.

Simplified PixCon16 Configuration

Several changes have been made to the process and dialog boxes for PixCon16 configuration in an effort to simplify them. Boards that were configured with earlier versions of Showtime will be automatically converted to the new configuration. However there could be some incompatibility between the old version and the new. You should carefully review your boards configuration the first time it is edited in this new version.

To prevent future incompatibilities, once you have edited the configuration of a PixCon16 in the Network Configuration, you should not use the PixCon16 assistant program in the future. If you do use the PixCon16 Assistant program, be sure to double check your configuration to ensure that settings were not changed.

Faster response times when searching for and configuring PixCon16s

The Network Configuration program used very conservative timing when searching for PixCon16 boards and during the load/save of the board's configuration. Those times have been shortened and improve performance.

New DMX addressing options in SuperStar

Three new DMX addressing options were added to SuperStar's Configuration dialog:

·Tightly Packed: Uses all 170 channels available in each universe. Strings can have transitions to the next universe in the middle of the string.

·Semi Packed: Puts as many full strings as will fit into each universe. Strings will not have a transition to another universe in the middle of a string.

·Not Packed: Each string starts with a new universe.

Pixel Extender in SuperStar

The new Pixel Extender in SuperStar's configuration dialog box makes it so you can export 50 pixel CCR sequences to DMX strings of any length from 50 to 170 pixels. This will make all the 50 pixel CCR sequences that have been written transportable to displays that have DMX strings that have more than 50 pixels.

Bug fixes

·After configuring a PixCon16 board, the user is asked if they would like to create the E1.31 entries in the Network Configuration for the DMX Universes in use on the board. However in versions previous to this, the 4 bridge port entries were not created even if they were in use.

·Using Instant Sequence rapid fire on 13 or more rows would cause a crash in SuperStar.

·If a DMX fixture that was not part of a prop were used in SuperStar, it could cause an invalid name to be put in for the fixture, leading to the Sequence Editor being unable to load the exported sequence.

·If SuperStar were unable to load the visualization at startup, it would cause a "failed to load visualization" error every time it was launched. It will now instead change to use the default visualization (which is "Sample.lee").

·If you had entered an invalid number in the "Sensitivity" or "Length of Effects" fields in SuperStar's Timing Map dialog box, the invalid value would get saved to a file, and every time you launched or shut down SuperStar, you would get a warning message saying that the value needs to be in the range 1-10.

·The Sequence Editor is supposed to remember the last used paste mode even between separate runs of the program, but a bug was causing it to always start up as "Paste by Cell".

What's New in Version 4.2.0

· Warnings for incorrectly configured triggers

· New 1000K speed for LOR Networks

· New 1000K speed when creating SD cards for G3 MP3 directors

· Saving custom colors in SuperStar

· Flipping images in SuperStar

· Wait cursor during visualization loading

· New advanced option when creating SD cards for MP3 directors

· New 'comment' fields for Networks and Universes in Network Configuration

· PixCon16 in Insert Device dialog

· PixCon16 Version V1.4.8 Firmware Support

· New pasting options in the Sequence Editor

· Merge Intensity Data Files in SuperStar

· Floating sequencing grid in SuperStar

· Memory usage improvements in the Pixel Editor

· File References in the Pixel Editor

· Windows Jump List compatibility for the Pixel Editor

· Maximum font size increase in Text effect

· New repeat mode option in Curtain effect

· Pixel Editor's Preview List window is resizable

· Prop Copy window remembers last position

· RGB channels for Insert Device's DMX Universe option

· Hardware Utility support for 50W Cosmic Color Floods

· Exporting and importing Pixel Editor props

· Importing Visualizer files to existing Pixel Editor previews

· Accumulation in Snowflake effect

· Allow for some PixCon16 configuration updates with older software

· Maximum images in SuperStar increased

· Bug fixes

Warnings for incorrectly configured triggers

If your trigger (no matter whether a show startup trigger or an interactive group trigger) is configured to use a network that does not have a comm port set in Network Configuration, the Verifier will now warn you with the new warning message number 53, "Trigger uses undefined network".

Also, since triggers are not supported on LOR Enhanced networks, the Verifier will now issue the new warning message number 54, "Trigger uses LOR Enhanced network", if a trigger using such a network is found.

Finally, despite the fact that triggers are not supported on LOR Enhanced networks, they can still be tested on such networks by using the Hardware Utility. They will not, however, work during your show. Therefore, if you have any LOR Enhanced networks designed, the Hardware Utility's input testing screen will warn you about this fact.

New 1000K speed for LOR networks

A new speed of 1000K has been added for LOR Networks in the Network Configuration. Currently only the PixCon16 board running on an Enhanced LOR Network can run at this speed.

New 1000K speed when creating SD cards for G3 MP3 directors

A new speed of 1000K has been added to the Hardware Utility when creating SD cards for G3 MP3 directors. To use the new speed, you must have a G3 MP3 director with updated firmware. The only device that can currently run at 1000K is the PixCon16 in Enhanced LOR mode.

Saving custom colors in SuperStar

In SuperStar's Color Picker dialog box, you can now save custom colors.

Flipping images in SuperStar

You can now "Flip Left-Right" and "Flip Up-Down" for images in SuperStar.

Wait cursor during visualization loading

When loading a visualization in SuperStar, a wait cursor now appears.

New Advanced Option when creating SD cards for MP3 director

A new option has been added to the Advanced Options of the SD Card creator in the Hardware Utility. The new option lets you optionally set the throughput efficiency of the MP3 director.

New 'Comment' fields for Networks and Universes in Network Configuration

A new comment field has been added for each Network or Universe that can be configured in the Network Configuration program.

PixCon16 in Insert Device dialog

The Sequence Editor's Insert Device dialog now has a PixCon16 option, which can be used to insert PixCon16 devices.

PixCon16 Version 1.4.8 Firmware Support

The software now supports version 1.4.8 firmware of the PixCon16. This is a minor firmware revision that only changes how the status and power lights work, and includes no other new functionality.

New pasting options in the Sequence Editor

In previous versions of the Sequence Editor, there was a "Paste from Foreground" option. If it were turned on, then when you pasted, only the copied effects that were not completely off would be pasted. This sort of control has now been expanded into the "Paste From/To" options: In addition to Paste from Foreground, you can now also Paste from Background (i.e. pasting only the copied effects that are completely off), and also Paste to Foreground (paste only onto effects that are not completely off) and Paste to Background (paste only onto effects that are completely off). You can even combine the "from" and "to"; for example, paste from foreground to foreground.

Merge Intensity Data Files in SuperStar

SuperStar now has support for merging intensity data files.

Floating sequencing grid in SuperStar

In SuperStar, you can now put the sequencing grid and the visualization each in their own floating window. Before, there were cases where the visualization would be very small. This gives control over the size of the region used for the sequencing grid, and the size of the region for the visualization. Also, if you have two monitors you can move the sequencing grid to one monitor and the visualization to the other monitor.

To activate the feature, click on the "View" menu and select "Floating Windows".

Memory usage improvements in the Pixel Editor

Memory used by the Pixel Editor has been dramatically reduced. This should allow you to easily open longer sequences with more pixels and more prop groups. Memory used is now proportional to the total length of the effects populated in the sequence.

File References in the Pixel Editor

There is a new menu option in the Pixel Editor: Sequence > File References. This will open a window that lists all files referenced by Movie and Picture effects. It also has an option to specify a new location for those files - which can be useful if you move your sequence directory.

Windows Jump List compatibility for the Pixel Editor

The Pixel Editor is now compatible with Windows' "Jump List" feature. If you pin the Pixel Editor to the task bar and right-click on it, you will see a list of recently opened LMS/LAS files from which you can select.

Maximum font size increase in Text effect

In the Pixel Editor's Text effect, the maximum font size has been increased. This allows for larger and more readable text, especially for matrices with less than 10 rows.

New repeat mode option in Curtain effect

The Pixel Editor's Curtain effect has a new repeat mode option: repeat_at_speed_rotate_colors. This causes the curtain to display with a different color in your palette every time it opens.

Pixel Editor's Preview List window is resizable

The Pixel Editor's Preview List window is now resizable.

Prop Copy window remembers last position

When you open the Pixel Editor's "Prop Copy" window, it opens at the size and position that you last had it open.

RGB Channels for Insert Device's DMX Universe option

When adding a DMX universe through the Sequence Editor's Insert Device dialog, you can now optionally add RGB channels instead of regular channels.

Hardware Utility support for 50W Cosmic Color Floods

The Hardware Utility now is able to correctly identify 50W Cosmic Color Flood controllers.

Exporting and importing Pixel Editor props

The Pixel Editor now can import and export preview props. This allows you to export props from one preview and import them into a different one. It also allows you to share your props with others.

Importing Visualizer files to existing Pixel Editor previews

The Pixel Editor has had the ability to import a Visualizer (.LEE) file into a new preview. Now you can also import into an existing preview.

Accumulation in Snowflake effect

The Pixel Editor's "snowflake" effect has an additional parameter to control snow accumulation. Please note that in order to accommodate this change, the meaning of the first and second palette colors in the snowflake effect have changed. Now, the first color is always the main color and the second color is the highlight color. In versions 4.1.2 and prior, the first color was the highlight color the second color was main color for flake types larger than single-pixel flakes.

Allow for some PixCon16 configuration updates with older software

When needing to update the configuration of a PixCon16, the Network Configuration program would look at the Firmware Revision of the board to decide if it could be used to update that board or not. However, in the future there could be firmware updates that do not require changes to the Network Configuration program. This would force a user to update LOR Showtime for no other reason than to use a new PixCon16 firmware.

Now if the board revision is found to be greater than 1.4.6, additional checks are performed to see if an older version of software can successfully update the board.

Maximum images in SuperStar increased

The maximum number of images in SuperStar has been increased from 1000 to 1500.

Bug fixes

·After version 3.12.2, the 'Advanced Settings' button was inadvertently removed from the final options of writing an SD card in the Hardware Utility. The button has been returned.

·If the SuperStar configuration file SSEdit.cfg did not exist when SuperStar was launched, the program would crash. This could happen on a fresh install to a computer that has never had the Light-O-Rama Software Suite installed on it.

·If a sequence having a Windows shell command were changed to no longer use any such command, the command would be eliminated from LOR's internal list of known commands. This would have the intended effect that the sequence would no longer cause the command to run, but it would also have an unintended side effect: If you were to restore a backup of your sequence save file, which still was supposed to use the command, that restored old version would also not run the command. Moreover, if any other sequences had been using the same command (which would have required manual modification of the save files), they also would no longer run it. Now, instead of eliminating the command from LOR's list of known commands, the command is merely eliminated from the sequence itself.

·In the Sequence Editor, if you tried to copy, cut, or paste in a loop level, a bizarre and minimally comprehensible error message would appear. It now more clearly states that you cannot copy, cut, or paste loop levels.

·If the user attempted to edit a Network or Universe that was using advanced parameters while in Simple mode, the Network Configuration program could leak resources and/or refuse to end properly.

·The Comm Listener port could not be changed in the Network Configuration program while in Simple mode.

·The Comm Listener port, as well as the 'Send To' Port on a DMX Universe when using E131 was not validated and could be set to nonsensical values. The value is now checked to ensure it is numeric and between 0-65535.

·In very limited circumstances after an upgrade from a beta version, the Network Configuration program would refuse to start and give a cryptic 'Runtime Error 380' and/or 'Invalid Property' error. This error has been resolved.

·Depending on the source sequence, an SD card written by the Hardware Utility could have been incorrectly throttled leading to out of sync sequences when run on a MP3 director. SD cards created by earlier versions of S4 should be re-created with this version.

·In the Insert Device dialog of the Sequence Editor, the DMX Universe option would not pay attention to the "Name" field. It would instead always name the channels as if you had selected a name of "DMX".

·When using the Advanced Rendering Engine, the Visualizer was ignoring the Max Opacity setting of RGB Flood Light fixtures. A bug fix in Version 4.1.2 for the same root cause failed to fix the problem for RGB floods.

· Importing a visualization into SuperStar would sometimes report nonexistent errors.

·In SuperStar's Configuration dialog box, the unit ID and start channel of the star were reverting to original numbers if you clicked on the "LOR" or "DMX" radio buttons.

·In SuperStar, the "matrixlength" keyword was not working if the prop used row/column coordinates.

·In SuperStar, group modify for scenes used in the star were not being modified.

·When exporting the SuperStar display as intensity files, all the channels in the 16 channel controller that controls the star were being exported. Now, only the six channels used to control the star are exported. This is important because if the other channels in the controller for the star are used to control other lights, then the blank intensity data for those channels would make them shimmer and blink.

·When exporting the SuperStar display in Legacy format, made it so that only the channels defined in the visualization file are in the export.

·In SuperStar, when using morphs with a visualization, only the 1a and 1b morph anchor labels were being displayed in the visualization. This has been fixed so that the 1a, 1b, 2a, and 2b labels are drawn. In addition, lines are drawn between the labels in the same manner as they are drawn in the sequencing grid. If using a matrix or tree made of RGB lights this can make it easier to specify morphs by clicking on the visualization instead of the sequencing grid.

·Bugs in the Pixel Editor's drawing of the red playback marker have been fixed. Users have a new menu option: Tools > Playback Options > Fast Playback Marker. Normally, this option should be enabled/checked, as it uses the least system resources. However, if you are using a tool such as Screencast-O-Matic, the red playback marker may still display incorrectly. In this case, turn the "Fast Playback Marker" option off (uncheck), and the grid and playback marker will display normally - even during screencast recording.

·If you built the sequence that is part of the Pixel Editor Introduction (video or PDF presentation), in the final version with the cross-fades the effects reset at the end of the ramp up and at the start of the ramp down. This is especially noticeable in the Countdown effect. This has been fixed - so the ramp-up, full intensity, and ramp-down are considered one continuous effect.

·Improvements to the Pixel Editor's Spiral effect: no more gaps on 100% thickness, fully consistent as rotation is changed, Show 3D can now trail either left or right, and spirals are spaced more evenly.

· Animation sequences (LAS files) with large numbers of pixels did not always play back in the Pixel Editor at the correct rate. This has been fixed.

·A Pixel Editor crash could occur while audio was being loaded if the audio contained a sample with the absolute minimum value. This has been fixed. It was noted in the "Open Beta Bug Reports" forum as bug SC08.

·Fixed a few remaining Pixel Editor screen layout issues on high resolution displays - any time Windows' "Text Resolution" setting is greater than 100%.

·The firmware for PixCon16s was using the LHX extension, however these firmware files can not be loaded by the Hardware Utility, they must be loaded by the Network Configuration program. The extension was changed to NHX to prevent confusion.

What's New in Version 4.1.2

· Automatically switch to new timing grid

· New Candy-Cane shapes in Pixel Editor

· Consolidated list of props in Pixel Editor's Preview Info

· Bug Fixes

Automatically switch to new timing grid

When creating a new timing grid in the Sequence Editor, you can now optionally have the active track automatically switch to using the newly created timing grid.

New Candy-Cane shapes in Pixel Editor

The Pixel Editor's Prop Definition window now has selections for candy-canes, both left and right facing.

Consolidated list of props in Pixel Editor's Preview Info

A consolidated list of all props with their associated channel information has been added to the Pixel Editor's Preview Info window (accessed from the Tools > Manage Previews menu). There is a Copy button that will put all of the channel information on the clipboard so it can be pasted into Excel, or a similar spreadsheet program.

Bug fixes

·When using the Advanced Rendering Engine, the Visualizer was ignoring the Max Opacity setting of Flood Light fixtures.

·In the Pixel Editor, if the user attempted to save a color palette with a name that already existed the program could crash.

·An error was introduced in 4.1.0 in the Pixel Editor when importing a Visualizer .LEE file with duplicate prop names.

·In the Pixel Editor, if the user changed the string type from 'Traditional' to 'RGB' in the prop definition window, the Pixel Editor could crash.

What's New in Version 4.1.0

· Pixel Editor documentation

· The Saved Palettes option of the Pixel Editor has moved

· Additional clip rectangle group modify support in SuperStar

· Enhanced naming in SuperStar

· Enhanced sparkle in Effect Generator

· Centering for bar effect

· Clarified Instant Sequence defaults

· Bug fixes

Pixel Editor documentation

Documentation for the Pixel Editor, which was previously distributed as a standalone file, is now integrated in this help file.

The Saved Palettes option of the Pixel Editor has moved

Previously, there was a separate option the Tools menu where you could delete/copy/rename your Saved Palettes in the Pixel Editor. This function has been moved to inside the Effect Generator's 'Star' menu and called 'Manage Palettes'.

Additional clip rectangle group modify support in SuperStar

Support of clip rectangle group modify was added for shockwave, spiral, and fan smooth effects in SuperStar.

Enhanced naming in SuperStar

The naming of the wrapped tree visualization file and the wrapped guide text file in SuperStar have been enhanced so that all parameters of the wrapped tree are encoded in the name.

Enhanced sparkle in Effect Generator

The slider for the sparkle setting in the Pixel Editor's Effect Generator has been changed so that the value can change over the course of the effect.

Centering for bar effect

A "Center" parameter has been added to the Pixel Editor's bar effect. Now the center point can be adjusted for expand and compress variations of the effect.

Clarified Instant Sequence defaults

In SuperStar's Instant Sequence dialog, the buttons "Set TCM Defaults 1" and "Set TCM Defaults 2" have been replaced by "Set Normal Defaults"and "Set Rapid Fire Defaults".

Bug fixes

·In some situations, for sequences that have animations, deleting a controller or channels in the Sequence Editor would lead to various errors, for example a "subscript out of range" error. Such errors would not necessarily occur only in the Animator; the fact that the sequence had an animation would cause the problem elsewhere as well.

·The Pixel Editor's startup check for the correct version of OpenGL has been fixed. The user can no longer open sequences if the version of OpenGL is less than 1.5.

·The Pixel Editor would not correctly handle when a pixel string had more channels than the "max channels" setting.

·After a Visualizer import, a bug in Prop Definition could cause the Pixel Editor to crash.

·The Pixel Editor was assigning the wrong unit ID on CCRs during Visualizer import.

·The Pixel Editor was not correctly handling Visualizer import when one or more channels had a device type of "none".

·When loading a sequence file, the Pixel Editor would only read the first track.

·The "More Info" button in the Pixel Editor's Sequence Editor migration tool now displays messages in a scrollable window. Previously, if there were a lot of messages, the window size could exceed the screen size.

·Display of the starting channel number in the Pixel Editor's Prop Definition is suppressed if the corresponding string number is skipped in the custom prop grid.

What's New in Version 4.0.38

· Undo and redo in the Pixel Editor preview design

· Pixel Editor prop definition window resizable

· Pixel Editor documentation

· Bug fixes

Undo and redo in the Pixel Editor preview design

The Pixel Editor's preview design now has undo and redo capability. This applies to prop movement, but not to adding or deleting props.

Pixel Editor prop definition window resizable

The Pixel Editor's prop definition window is now resizable.

Pixel Editor documentation

Documentation for the Pixel Editor is now available. It has not yet been worked into this help file document, but can be found on the web at:

http://www.lightorama.com/help/LORPixelEditorHelp.pdf

A copy of the document is also distributed by the installer. It can be found in the Light-O-Rama program files directory, which is typically, but not always, either C:\Program Files\Light-O-Rama or C:\Program Files (x86)\Light-O-Rama.

Bug fixes

·The Pixel Editor was unable to load some large sequences when attempting to migrate channels.

·Drawing of timing marks in the Pixel Editor was not working correctly on high DPI displays.

·The Pixel Editor would crash when the device type was set to Unconnected/None in the prop definition.

·Some bugs in the movement options of SuperStar's Instant Sequence dialog box were fixed.

What's New in Version 4.0.36

· Relaxed requirements for Cosmic Color Devices in Visualizer

· Better 'Force to Front' handling in the Visualizer

· Control Sequence Editor Play/Stop during Visualizer simulation

· Sequence Editor performance improvements

· Clip Rectangle in SuperStar

· Rotate Selected Image in SuperStar

· Prop rotation handle in the Pixel Editor

· Adjustable Pixel Editor background image brightness

· Zooming in the Pixel Editor

· Bug fixes

Relaxed requirements for Cosmic Color Devices in Visualizer

In previous versions, when simulating Cosmic Color Devices, the Visualizer required that the fixture when assembled had exactly 50 pixels with no gaps. CCDs now instead follow the relaxed rules that DMX Pixel Universe fixtures follow. That is, you can skip pixels and/or use less than 50 pixels.

Better 'Force to Front' handling in the Visualizer

When using the Visualizer's 'Force to Front' option along with channels that required the use of the Listener, the Visualizer could not be set back into the background. This was because of periodic data messages the Listener is required to send, even if no data is changing. These periodic updates would force the Visualizer back to the top even if no sequence was currently running. Instead now the Sequence Editor sends a separate message to the Visualizer to tell it that you are starting play of a sequence. This will only happen once when you start the sequence, allowing the Visualizer to be pushed back into the window stack afterward.

Control Sequence Editor play/stop during Visualizer Simulation

When the Visualizer is placed in Simulation mode, two new buttons have been added that allow you to start and stop playing the active sequence in the Sequence Editor. To start the active sequence press the 'Play SE' button. This performs the same action as if you went to the Sequence Editor's 'Play' menu and then selected 'Start This Sequence'. To stop the play of a sequence, press the 'Stop SE' button.

Sequence Editor performance improvements

Version 4.0.34 introduced changes that decreased the loading times of sequences (for example, in the Sequence Editor). Unfortunately, these changes also increased the length of time that various other things took, including, notably, saving, exporting, importing, and opening the right-click popup menu on a channel group button. These things have been sped up again, including some that are now even significantly faster than they had been before version 4.0.34 slowed them down. For example, on a certain huge sequence on a certain machine, saving took about 16 seconds before 4.0.34, but 142 seconds in 4.0.34, and is now back down to about 16 seconds again; importing a certain huge configuration file took about 518 seconds before 4.0.34, 663 seconds in 4.0.34, and now takes about 85 seconds; opening the right-click popup menu took about seven seconds before 4.0.34, and about 39 seconds in 4.0.34, and is now basically instant.

Clip Rectangle in SuperStar

"Clip Rectangle" has been added to SuperStar's Image Group Modify dialog box.

Rotate Selected Image in SuperStar

"Rotate Selected Image" has been added to SuperStar's Image setup dialog box.

Prop rotation handle in the Pixel Editor

In the Pixel Editor's preview design, props are now displayed with a rotation handle to the right of the selected prop (similar to the Visualizer). Just grab the handle and drag it with your cursor to rotate the prop. Note that only one prop can be selected for the rotation handle to be displayed.

Adjustable Pixel Editor background image brightness

The brightness of the Pixel Editor's preview's background image can now be adjusted from the main window. With a sequence open, click on the small down arrow next to the preview name. Select "Background Image" from the dropdown menu, then select the desired brightness (10% - 100%). Note that this setting only affects image brightness during preview playback; image brightness during preview design is a separate setting.

Zooming in the Pixel Editor

Zoom in and zoom out buttons have been added to the Pixel Editor's sequence toolbar (the same buttons that are in the Sequence Editor). You can still zoom in and out using the previous methods - dragging over the waveform to zoom in, and right-clicking on the waveform to zoom out - but there are now two ways to zoom.

Bug Fixes

·In the Sequence Editor, in some situations, certain actions such as grouping channels would cause the track to stop being displayed.

·In some situations, inserting channels in the Sequence Editor would not work.

·Some movement patterns in SuperStar's Instant Sequence were not behaving properly.

What's New in Version 4.0.34

· Channel-related performance improvements

· Cosmetic changes for Network Configuration program

· Change Intensities

· New CB100D Firmware

· New CMB16D Firmware

· Verifier checks for recommended Show Player options

· Slider in Pixel Editor Effect Generator upgraded

· Bug fixes

Channel-related performance improvements

Changes have been made to improve performance related to channels, RGB channels, and other channel groups. For example, a certain enormous sequence which previously took 143 seconds to load on a certain machine now takes 81 seconds on the same machine. The vast majority of the remaining time is taken by loading effect events within channels, as opposed to loading the channels themselves, and the Smooth to Fades tool can be put to good use on the effect events of this particular sequence: The same sequence, but modified via the Smooth to Fades tool, used to take 82 seconds to load before this performance improvement (as opposed to 143 without Smooth to Fades), and now takes 19 (as opposed to 81 without Smooth to Fades).

Cosmetic changes for Network Configuration program

Various small changes have been made to the Network Configuration program to simplify its use. For example, the X10/Dasher and Options tabs have been combined into a single new tab called 'Misc'. These changes are cosmetic only and do not change any functionality.

Change Intensities

The Sequence Editor now has a Change Intensities command, which can be used to change the intensities in the selected area in a wide variety of ways. For example, you can add to or subtract from intensities, impose caps or floors, and scale them (for example, double them or halve them). The tool can be set up to apply to all channels or only to certain types of channels (for example, to RGB channels' red channels).

You can access the Change Intensities tool via the Change Intensities submenu of the right-click context menu.

New CB100D Firmware

Version 1.21 of the Cosmic Color Bulb/Cosmic Color Pixel firmware has been released. This version fixes a problem with LOR Enhanced mode and the last channel (310) of the unit not working when in Extended ID Mode.

New CMB16D Firmware

Version 1.34 of the CMB16D 16 Channel DC controller firmware has been released. This new firmware will continuously read the status of the address switches so the Hardware Utility can no longer be used to update the Unit's ID. This change also allows for the CMB16D to now have a speed setting while in stand-alone mode. Setting an address that starts with F (F0-FF) will actually make the unit's ID 01, and the second digit (0-F) will control the speed of the stand-alone program running from 0:Slow to F:Fast.

Verifier checks for recommended Show Player options

The Show Player options Use Compressed Sequences and Show Player Memory Restarts (both accessible via the LOR Control Panel's right-click popup menu) both, when enabled, give possible benefits while causing no drawbacks. They are thus both recommended to always be enabled. The only reason the option to disable them is given is as a sort of "safety" in the case of some hypothetical, unforeseen bug, so that if you have some very specific reason to believe that one of them is causing a problem, you can turn it off. The Verifier now checks to see whether or not they are enabled, and if not, issues warning messages saying so (messages number 51 and 52, respectively).

Slider in Pixel Editor Effect Generator upgraded

In the Pixel Editor's Effect Generator, many effects use a slider to control effect behavior. In this release, the slider has been upgraded to allow the setting of a start value (effective when the effect begins) and an end value (effective when the effect completes). This allows you to do such things as having a spiral slow down or speed up during the course of the effect.

The top of the slider (green) represents the start value. The bottom of the slider (red) represents the end value. By default, the start and end values are locked together. To specify different start and end values, the slider must be unlocked. This is done by double-clicking anywhere along the slider. When unlocked, the top and bottom pointers can be moved independently. To relock, just double-click the slider again.

Bug fixes

·In SuperStar, strings of lights that are not CCDevices or DMX pixels were always being given the incandescent dimming curve. Now the strings use the LED dimming curve if they are RGB dumb strings or if they are specified as LED in the channel dialog box of the Visualizer.

·The LOR Control Panel's status window would not show log messages that occurred while the status window was itself not displayed.

·In rare circumstances, the Pixel Console of the Hardware Utility could refuse to control pixels on a DMX Universe, if an unrelated LOR Network adapter had a problem.

·When using the Pixel Console on an LOR unit in Enhanced LOR Mode, the last pixel (#100) could not be fully controlled.

·The Pixel Editor requires video drivers supporting OpenGL version 1.5 or later. If a PC did not support this, the Pixel Editor would crash when opening a sequence. Now, the Pixel Editor instead detects this situation, gives the user an informative message when the Pixel Editor starts, and disables the opening of sequences.

·A bug in the movement of scenes when using the Rapid Fire trigger in SuperStar's Instant Sequence was fixed. If it was more than one pixel, the scenes could get messed up when traversing over an unused area.

What's New in Version 4.0.32

· Change Effect Type

· Test Tracks' Physical Lights

· Background image can be displayed during main window playback

· Bug fixes

Change Effect Type

The Sequence Editor's right-click context menu now has a "Change Effect Type" submenu that can be used to change the effect types of all the events in the selected area of the sequence, while keeping their intensities the same. For example, a fade up from 0% to 37% followed by an intensity of 37% can be changed to a twinkling fade up from 0% to 37% followed by a twinkle of 37%.

Test Track's Physical Lights

The Sequence Editor's right-click context menu on a track grid now has a new submenu "Test Track's Physical Lights". Using the various items in this submenu, you can make the physical lights for all of the channels in the track turn on, off, shimmer, or twinkle, or else do whatever the sequence says they are supposed to do at the time that you clicked in the track grid.

Background image can be displayed during main window playback

In the Pixel Editor, the background image for the preview can now be displayed during main window playback. This feature is controlled via a new menu option: Tools > Preview Playback > Show background image.

Bug fixes

·If the Sequence Editor's "Test Physical Channels" command were used on a Cosmic Color Device, commands would be sent not only to its pixels, but also to its macro channels, potentially leading to strange results. The commands are now only sent to pixels, skipping the macro channels. However, note that it is possible to control an actual physical Cosmic Color Device from the Sequence Editor without the Sequence Editor knowing that it is a Cosmic Color Device; the macro channels will only be skipped if the Sequence Editor knows that the channel group represents a Cosmic Color Device (for example, if it had been added to the sequence as a CCD via Insert Device).

·If the Sequence Editor's "Test Physical Channels" command were used on a channel group or RGB channel (as opposed to on a single channel), it would be needlessly inefficient with the commands it sent to the lights over the comm line. This wouldn't have a noticeable effect in most cases, but it could possibly cause lagginess if a very large number of channels were in the channel group.

·In the Pixel Editor's Visualizer import, LOR unit IDs greater than 09 were not imported correctly.

·In the Pixel Editor's Visualizer import, channel settings for bundles/superstrings were not used during playback, even though they were displayed properly in the prop setup window.

·In the Pixel Editor's prop setup window, the maximum allowed segments per line has been increased.

·During the Pixel Editor's sequence playback, pixels were often not square when playing back on the main window. Now, pixel dimensions are even recalculated if the playback window is resized during playback.

What's New in Version 4.0.30

· "Test Physical Channel" can be used on RGB channels and channel groups

· Smooth to Fades

· Bug fixes

"Test Physical Channel" can be used on RGB channels and channel groups

The "Test Physical Channel" commands in the Sequence Editor's right-click popup menu on channel buttons used to apply only to actual channels, as opposed (for example) for RGB channels. You could use them on the individual channels comprising an RGB channel, but not on the RGB channel as a whole. You can now use these commands on RGB channels and other channel groups, turning on or off all channels in the group in one fell swoop.

Smooth to Fades

Sometimes, sequences (especially those created with the help of various automatic tools) will have sections wherein a channel will have many very rapid consecutive effect events. For example, "From time 0.00 to time 0.05, 10%; from time 0.05 to time 0.10, 30%; from time 0.10 to time 0.15, 40%; from time 0.15 to time 0.20, 70%". If done on many channels, this sort of thing can lead to laggy or bursty behavior. Moreover, it's often more or less indistinguishable (to the human eye) from the simpler "From time 0.00 to time 0.20, fade up from 10% to 70%", which is significantly more efficient. The Sequence Editor now has a "Smooth to Fades" tool which will attempt to automatically smooth out effects in this way, which can improve the performance of the sequence (reducing lagginess) and also decrease loading and saving time. You can get to the Smooth to Fades tool via the track grid's right-click context menu.

Bug fixes

·The Hardware Utility would crash without warning when using the Pixel Console if the Comm Listener was not active and the REGular port was not defined as 'Enhanced'.

·Consecutive picture effects in the Pixel Editor would not display the correct images.

·When creating a new prop in the Pixel Editor, an error would occur if the user selected the string type as "strobe string 1 ch" or "multicolor string 1 ch" before selecting a color.

What's New in Version 4.0.28

· The Pixel Console in the Hardware Utility can now test PixCon16 and other devices running in ELOR mode

· Visualizer props imported into the Pixel Editor

· Sequence method defaults for importing Visualizer fixtures into the Pixel Editor

· Pixel Editor prop groups can contain any prop

· "More Info" buttons on Sequence Editor-to-Pixel Editor migration tool

· Bug fixes

Pixel Console in the Hardware Utility can now test PixCon16 and other devices running in ELOR mode.

The Pixel Console in the Hardware Utility could previously only test PixCon16 devices when running in E1.31 (DMX over Ethernet). It can now also test PixCon16 boards, or any other LOR controller that are connected to the REGular LOR Enhanced network running at 500K.

Visualizer props imported into the Pixel Editor

In the Pixel Editor's Visualizer import function, Visualizer props now get imported as Pixel Editor prop groups.

Sequence method defaults for importing Visualizer fixtures into the Pixel Editor

In the Pixel Editor's Visualizer import function, string, single bulb, and flood fixtures now default the Sequence Method to Sequence Editor. CCR and DMX fixtures default the Sequence Method to Pixel Editor.

Pixel Editor Prop Groups can contain any prop

Pixel Editor prop groups can now contain any prop, not just those with a Sequence Method of Pixel Editor.

"More Info" buttons on the Sequence Editor-to-Pixel Editor migration tool

"More Info" buttons were added on the Sequence Editor-to-Pixel Editor migration tool, to show exact channel mismatches.

Bug fixes

·In SuperStar's Smooth Effects dialog box, if the Enter key were pressed while the tab pane had the focus, the pane would go blank. It now does not go blank, and sets the current values to the screen.

·In SuperStar's Smooth Effects dialog box, if the Esc key were pressed while the tab pane had the focus, the pane would go blank. It now instead closes the dialog box.

·In SuperStar's Smooth Effects dialog box, if the Esc key were pressed while the tab pane did not have the focus, the dialog box would close, but the tab pane would remain. Now both go away.

·When importing or exporting a network configuration in the Network Preferences program, if the filename contained a special character (such as a space), the import or export could fail silently or the file could be saved with an incorrect filename.

·When changing the Unit ID or Universe ID in the Pixel Console, the pixels displayed should have reset to show the first pixel. However this was not happening.

·When changing a DMX universe to use E1.31 in the Advanced Network Configuration, if there were no previous settings the IP is set to Multicast with the correct address rather than Specify with an IP of 0.0.0.0.

·If the user previously configured a DMX Universe in the Advanced Network Configuration, those values are used as the defaults for the next DMX Universe edited if that universe has no previous settings.

·The Pixel Editor would crash when opening some sequences.

·The Pixel Editor would sometimes have incorrect channel assignments on custom props.

·The Pixel Editor's preview playback would not update when in a separate window.

·The Pixel Editor's Effect Generator was not detecting the "none" effect correctly.

What's New in Version 4.0.26

· Physical channels can now be tested in the Sequence Editor

· Importing Visualizer files into the Pixel Editor

· Pixel Editor playback performance improved

· Bug fix

Physical Channels can now be tested in the Sequence Editor

If you right click on a physical channel in the Sequence Editor, you can now send an ON command directly to that channel. This will allow you to test if you have properly configured and connected your equipment, and that you have correctly set the channel's parameters. The channel will remain ON until you select to turn the channel OFF, or you play a sequence.

Importing Visualizer files into the Pixel Editor

You can now import Visualizer files (*.lee) into the Pixel Editor. In the Pixel Editor, select Tools > Manage Previews from the menu, then click on the "Import Visualizer" button. This functionality is preliminary - only fixtures get imported at this time. It is intended that in a future release, Visualizer props will also get imported as Pixel Editor prop groups.

Pixel Editor playback performance improved

The performance of sequence playback has been improved in the Pixel Editor.

Bug fix

·In the Pixel Editor, the timing mark display no longer bleed through if the user switches to another window/application during playback.

What's New in Version 4.0.24

· Hardware Utility can take control of ports from the Comm Listener

· PixCon16 can now be automatically configured as 1 UID/Universe per port

· Bug Fixes

Hardware Utility can take control of ports from the Comm Listener

Only one program can have a comm port open at any given time. For ports associated with LOR Enhanced networks and DMX networks, typically the Comm Listener will have the port open. In previous versions, this meant that if you wanted to use the Hardware Utility on such a port, you would have to ensure that the Comm Listener was not running, which is typically done via "Unload Light-O-Rama" in the LOR Control Panel's right-click popup menu. Now, instead, when the Hardware Utility cannot open a port and it suspects that the reason might be that the Comm Listener has that port open, it now offers you the choice of whether or not it should ask the Comm Listener to temporarily give up control of the port. Thus, you can use the Hardware Utility on such ports without completely unloading the LOR Control Panel.

Two things should be noted: First, if you ask the Comm Listener to give up control of the port, then no program other than the Hardware Utility will be able to control lights on that port (until the Comm Listener retakes control of it). Notably, this means that if a show is running, any lighting commands from the show for the lights on that port will not take effect. Similarly with lighting commands from the Sequence Editor or Pixel Editor.

Second, the Hardware Utility does not really know that the Comm Listener is the culprit that is preventing it from opening the port; it just has a good guess that this might be the case. The culprit might instead be some other program entirely; for example the Sequence Editor might have the port open, or even some program completely unrelated to Light-O-Rama. So, if the Hardware Utility asks you if you want it to ask the Comm Listener to give up control of the port, and you say yes, this might not cause the Hardware Utility to be able to take control of the port. In some cases, you might still have to (for example) close the Sequence Editor.

PixCon16 can now be automatically configured as 1 UID/Universe per port

When configuring the PixCon16, the only way to automatically have the board assign ascending Universe or LOR Unit IDs previously was to use the 'Advanced' configuration and manually create the parameters for each port. The PixCon16 configuration can now perform this task automatically in simple or advanced mode. In simple mode, select the 'One UID/Universe per port' radio button. In Advanced configuration use one of the 2 buttons which automatically update all lower ports with ascending unit IDs.

Bug fixes

·When automatically creating Network Configuration while configuring a PixCon16, not all DMX Universes in use were being created.

·In the Hardware Utility the 'Lights Off' button on the bottom right of the main screen was not turning all lights off on Cosmic Color devices

What's New in Version 4.0.22

· Prop creation is now optional when using the DMX Pixel Draw or CCR Pixel Draw Wizards

· PixCon16 can now be configured to run in LOR mode

· PixCon16 configuration can now optionally create DMX Network Configuration on save

· More robust PixCon16 communications for loading board configuration and updating firmware

· Bug Fix

Prop creation is now optional when using the DMX Pixel Draw or CCR Pixel Draw Wizards

Previously, when finished drawing a DMX Pixel Universe or a CCR String, it was always required to create a new prop. However many times these wizards are used to continue adding pixels to existing fixtures. These wizards now ask if you want to create a new prop or not.

PixCon16 can now be configured to run in LOR mode

The PixCon16 has 2 operation modes: It can be used as an E1.31 controller on an Ethernet network, or it can be used as an LOR controller on an LOR RS485 network. Now the user can specify which mode to use the board in, and will change its operation accordingly (Unit IDs instead of Universes, Circuit IDs rather than Channels, etc.)

PixCon16 configuration can now optionally create DMX Network Configuration on save

When the PixCon16 is in E1.31 (DMX) mode, saving the configuration will bring up an option to automatically create the necessary DMX Network configuration changes. If the user selects yes, for each DMX universe in use on the board the system will create Multicast entries in the network configuration.

More robust PixCon16 communications for loading board configuration and updating firmware

Previous versions took a very conservative approach when reading or writing to the board, including during firmware updates. Now the read/update process will retry more often and at a faster rate in an effort to reduce the number of errors the user has to deal with.

Bug fix

·When creating DMX Pixel Universes using a Wizard, the Visualizer would not correctly display fixtures with available pixels. Instead the wizard would crash and leave the Visualizer in an inconsistent state.

What's New in Version 4.0.20

· Bug Fix

Bug fix

·The Hardware Utility main window was improperly sized allowing for controls that should have been hidden to be visible.

What's New in Version 4.0.18

· Sequence Editor's comm status more informative and more accurate

· Hardware Utility can now more easily test Cosmic Color Ribbons and Bulbs/Pixels

· Separate tab for traditional strings in prop definition window

· Custom bulb colors for traditional strings in the Pixel Editor

· Bulb shape and transparency in the Pixel Editor

· New Pixel Editor prop shape, "Bulbs"

· Increased maximum bulb size in the Pixel Editor

· Overriding default channel settings in the Pixel Editor

· Props comment field

· Renamed Pixel Editor sequence method

· Color selection palette hidden for effects that do not use it

· Movie effect support for uncompressed AVI files

· New default for Pixel Editor migration tool

· Custom Pixel Editor dimming curves

· Wait dialog while saving intensity files

· Bug fixes

Sequence Editor's comm status more informative and more accurate

There is a small colored square in the bottom right corner of the Sequence Editor which indicates the status of various networks: Blue means everything's OK, red means some sort of problem exists, and orange means other (for example, if Control Lights is off). This has been improved in several ways in this version of the Sequence Editor:

·In S3, it would only indicate the status of LOR networks. In earlier beta releases of S4, it would actually indicate less than that: It would only indicate the status of non-enhanced LOR networks. It now also indicates the status of non-enhanced LOR networks and of DMX networks (although see below for a caveat).

·Previously, if an error existed on some network, its tooltip would simply say that there is an error. It now indicates which network or networks have errors.

·Previously, starting play would in some cases make the panel turn from red to blue even if some network still had an error.

·It now updates in close to real time when some sort of status change happens.

Two things should be noted: First, for LOR enhanced networks and for DMX networks, the status describes whether or not the Sequence Editor is successfully communicating with the Comm Listener; it does not necessarily indicate that the Comm Listener is successfully communicating with the network. Check the Comm Listener itself for that information. Second, only the statuses of LOR and DMX networks are taken into account at this time; the statuses of Dasher, X10, Digital IO and BSOFT Digital IO networks are not reflected.

Hardware Utility can now more easily test Cosmic Color Ribbons and Bulbs/Pixels

Previously, the Hardware Utility Test screen could only test up to 32 circuits on a device. Cosmic Color devices however can have 150 or more circuits, which could lead to user confusion. Now when a Cosmic Color device, like the Cosmic Color Ribbon or Cosmic Color Bulb, is selected the test screen changes to testing the entire device with a particular color rather than circuit by circuit.

Separate tab for traditional strings in prop definition window

On the Pixel Editor's prop definition window, the details of setting up a traditional string have been moved to a separate tab from RGB strings.

Custom bulb colors for traditional strings in the Pixel Editor

In the Pixel Editor, traditional strings can now have a custom bulb color (defined with the rest of the string colors). Press the "Custom" button to set the color.

Bulb shape and transparency in the Pixel Editor

Bulb shape and bulb transparency were added to the Pixel Editor's props. These can be set in the preview design window after one or more props have been selected.

New Pixel Editor prop shape, "Bulbs"

The Pixel Editor has a new prop shape of "Bulbs". Each bulb in the prop can be individually positioned.

Increased maximum bulb size in the Pixel Editor

The maximum possible bulb size in the Pixel Editor has been increased so as to better accommodate flood lights.

Overriding default channel settings in the Pixel Editor

It is now possible to override the default channel settings for every channel in a prop with traditional strings in the Pixel Editor. For example, a traditional megatree with red and green strings can now have a channel configuration of RRRR...GGGG.... Previously, it had to be RGRGRGRG....

Props comment field

The Pixel Editor has a new comment field for props, which you can use to enter your own notes about the prop.

Renamed Pixel Editor sequence method

The Pixel Editor's "Traditional" sequence method has been renamed to "Sequence Editor".

Color selection palette hidden for effects that do not use it

The color selection palette on the Pixel Editor's Effect Generator window is now hidden for effects that don't use the palette (e.g. Picture and Movie effects).

Movie effect support for uncompressed AVI files

The Pixel Editor's Movie effect can now read uncompressed AVI files produced by the ffmpeg program.

New default for Pixel Editor migration tool

The Pixel Editor's "Remove prop channel data from Sequence Editor" migration tool defaults to checked if the Pixel Editor and Sequence Editor channel counts match and the Has SE Events column is Yes.

Custom Pixel Editor dimming curves

You can now create your own dimming curves for the Pixel Editor, placing them in the "Pixel Editor\Curves" directory within your LOR data directory.

Wait dialog while saving intensity files

The Pixel Editor now shows a wait dialog while saving intensity files.

Bug fixes

·The Pixel Editor would hang after pressing play when the audio file was missing.

·The Pixel Editor would crash if a sequence was opened, closed, re-opened, and then the preview was changed. A memory leak related to this was also fixed.

·A bug in the Pixel Editor's onscreen playback of strobes was fixed.

·A Pixel Editor bug dealing with custom RGB props with multiple strings has been fixed.

·After a "Save As" was done in the Pixel Editor, the Pixel Editor file (LPE) had a timestamp that was current, but the new LMS/LAS file's timestamp was the same as the original file. Now both files will have a timestamp that is current.

What's New in Version 4.0.16

· Pixel Console in the Hardware Utility can now test DMX pixels

· Sequence Editor no longer turns off Control Lights when a port cannot be opened

· Bug fixes

Pixel Console in the Hardware Utility can now test DMX Pixels

The Pixel test Console in the Hardware Utility has been improved to now be able to test DMX pixels. DMX Pixels can only be tested when the Comm Listener is running and if your software is registered at the Advanced level or higher.

Sequence Editor no longer turns off Control Lights when a port cannot be opened

In previous versions of the Sequence Editor, if any particular comm port for an LOR network could not be opened, the Sequence Editor would automatically turn off Control Lights and therefore not attempt to control lights on any network. The reason for this was that it would be very resource-intensive to keep trying to open a comm port that just could not be opened, to a degree that would noticeably affect play. Now, instead, the Sequence Editor will leave Control Lights on, but not attempt to control the specific problematic network (or networks). If you find yourself in this situation, and you fix the problem with the comm port, you can get the Sequence Editor to attempt to open the port again by manually turning Control Lights off and then on.

Bug fixes

·For some DMX visualizations, SuperStar would not export all of the pixels.

·In certain situations, the Visualizer when in normal rendering mode would not display all fixtures properly.

·When entering Simulation Mode in the Visualizer, DMX Pixel Universe fixtures were not being properly flagged as an error if they contained duplicate pixels.

What's New in Version 4.0.14

· Network Preferences Program can export/import network configurations

· Right click copy in the Pixel Editor

· Dragging effects in the Pixel Editor

· Overlapping channel warnings in the Pixel Editor

· New Pixel Editor prop types

· Control over beat interval range in SuperStar

· Bug Fixes

Network Preferences program can Export/Import network configurations

There are two new buttons on the Network Preferences Advanced configuration that allow for the export and import of user network configurations. These functions can be used to keep multiple configurations on the same computer, or to move configurations between computers.

Right-click copy in the Pixel Editor

In the Pixel Editor, you can right-click on an effect thumbnail and select "Copy" from the popup menu. This puts the effect on the clipboard, from where it can be pasted anywhere on the grid.

Dragging effects in the Pixel Editor

In the Pixel Editor, you can drag an effect thumbnail onto a grid cell, and that cell will then be populated with that effect.

Overlapping channel warnings in the Pixel Editor

In the Pixel Editor's Preview Management window, clicking the "Info" button now lists warnings where channel assignments overlap (in addition to listing basic statistics about the preview). This is a great way to check whether you have any errors in creating your preview.

New Pixel Editor prop types

The Pixel Editor's prop types "Line-Horizontal" and "Line-Vertical" have been replaced with "Lines-Closed Shape", "Lines-Connected", and "Lines-Unconnected", which can be used to create a much larger variety of shapes. Any Line-Horizontal props in your preview will be automatically converted to a Matrix-Horizontal that is one string high. Line-Vertical props will be automatically converted to a Matrix-Vertical that is one string wide.

Control over beat interval range in SuperStar

When doing a "Create Timings" in SuperStar, a dialog box now appears, giving control over the range that the beat interval can be. The default range is what it used to be a year ago so that Carol of the Bells is given a short beat interval that matches what is in the first SuperStar tutorial.

Bug fixes

·In some very limited cases, the Network Preferences program would produce an error stating that a COM port and a DMX adapter were in conflict but were not. This same bug could also manifest itself as an 'Error 9 - Subscript out of Range' error and crash when starting the Network Preferences program.

·If the user pressed ESC while in simulation mode using the Advanced Rendering Engine, Visualizer would completely exit rather than return to Edit Mode.

·The position of the Visualizer Advanced Rendering Engine window would not be remembered between executions.

What's New in Version 4.0.12

· Checkmark for currently selected waveform size

· Bug fixes

Checkmark for currently selected waveform size

The Pixel Editor now shows a checkmark in the menu next to the currently selected waveform size.

Bug fixes

·In some situations, the Light-O-Rama Control Panel would issue an error message saying "Error in Form_Unload: (91) Object variable or With block variable not set".

·Lighting commands for DMX universes would not be sent to the Visualizer unless "Control Lights" was enabled, even if "Control Visualizer" was enabled.

·Lighting commands for LOR Enhanced networks would be sent to the physical controllers if "Control Visualizer" was enabled, even if "Control Lights" was not enabled.

·The way that SuperStar's configuration is saved has been changed for better backward compatibility.

·On some computers, if the Pixel Editor's preview playback window lost the focus, the playback would be blank.

·The Pixel Editor would only allow one universe for custom props.

·Media files longer than twenty minutes were not loading in the Pixel Editor.

What's New in Version 4.0.10

· MP3 directors running DMX universes can now optionally leave lights on at the end of a sequence.

· Commands menu in LOR Control Panel

· Comm Listener starts even if no networks are configured to use it

· Pixel Editor migration tool to remove channel data from sequence

· Pixel Editor preview data now stored in LOR data path

· Pixel Editor Design & Playback window split into two windows

· Pixel Editor toolbar changes

· Pixel Editor preview playback changes

· Windows Media Player used for all Pixel Editor playback

· Bug fixes

MP3 Directors running DMX Universes can now optionally leave lights on at the end of a sequence.

A new option has been added to Hardware Utility when creating SD cards for MP3 directors to either leave channels on DMX Universes at their current intensities or else turn them off when a sequence ends.

Commands menu in LOR Control Panel

The Light-O-Rama Control Panel's right-click popup menu is now also accessible from its Status window, as the "Commands" menu. Generally speaking, this may (or may not) be more convenient in some situations, but it could be very useful in certain situations where Windows repeatedly keeps closing the popup menu automatically before you get a chance to select the menu item that you want to use from it.

Comm Listener starts even if no networks are configured to use it

In previous versions, the Light-O-Rama Control Panel would not start up the Comm Listener unless at least one network was configured in Network Preferences to use the Comm Listener. It now no longer requires any such networks to be configured. This allows commands to go through the Comm Listener to the Visualizer even if no networks at all are configured to use the Comm Listener.

Pixel Editor migration tool to remove channel data from sequence file

The Pixel Editor migration tool to remove channel data associated with Pixel Editor props from the sequence file (LMS or LAS file) is now operational. This tool should be used only after you have first imported your sequence using the Sequence Editor import and/or the xLights import. The benefit of this tool is that it eliminates any overlapping channels between the sequence file and the intensity file, which is necessary for proper playback outside of the Pixel Editor. It can also greatly reduce the size of your sequence file.

Pixel Editor preview data now stored in the standard LOR data path

The Pixel Editor previously stored the preview data file under the hidden AppData directory. It now stores it in the standard LOR data path, and no longer stores any data under AppData.

Pixel Editor Design & Playback window split into two windows

The Pixel Editor's Design & Playback window has been split into two separate windows, one for design and the other for playback. This was a prerequisite for solving other playback issues.

Pixel Editor toolbar changes

The Pixel Editor's toolbar above the sequence grid has been revamped to look more uniform. Also, playback buttons were added, as were some options that were previously in the Sequence menu.

Pixel Editor preview playback changes

The Pixel Editor's preview playback can now be hidden, shown on the main window, or shown on a separate window. Even when on a separate window, the grid remains interactive. The choice of which mode to use is under the new Tools > Preview Playback menu, and applies to all sequences.

Windows Media Player used for all Pixel Editor playback

Windows Media Player is now used for all media playback in the Pixel Editor. Previously, the displayed audio waveform (compressed audio) was used for playback on the main window, but this had low sound quality.

Bug fixes

·In SuperStar, regular light string effects would not work in certain visualizations.

·The SuperStar star was not getting marked properly if it also had row/column coordinates.

·The Comm Listener would ignore lighting effects for DMX universes that were not set up in Network Preferences. As a result, the effects would not be displayed in the Visualizer.

· SuperStar has improved error reporting when importing visualizations with DMX pixels.

·In the Pixel Editor's Preview Design window for "Dumb RGB" and traditional strings, moving an end point on such a string would cause the drawn string to collapse to a single point.

·The Pixel Editor's media file search was not locating files in subdirectories under the default LOR media directory.

What's New in Version 4.0.8

· New CMB16D firmware

· Dumb RGB elements in groups

· Clockwise and counterclockwise pixel orders in Window Frame props

· Prop creation dialog change

· Bug fixes

New CMB16D firmware

Version 1.33 of the firmware for the CMB16D has been released (filename CMB16-1-33.lhx). This new version has no effect on functionality; it is being released because the recently released previous version 1.32 would incorrectly be displayed in the Hardware Utility as being version 1.31.

Dumb RGB elements in groups

In the Pixel Editor, dumb RGB elements can now be members of a group.

Clockwise and counterclockwise pixel orders in Window Frame props

In the Pixel Editor, the user can now specify Window Frame props to use clockwise (CW) or counterclockwise (CCW) pixel order. Users who have created Window Frame props with previous beta versions will need to go back into those prop definitions and update the Start Location value to match their prop.

Prop creation dialog change

In the Pixel Editor's prop creation dialog, the number box next to the DMX radio button (max channel/circuit number) now applies to both DMX and LOR networks. In particular, this resolves an issue when defining props based on the CMB24DC card.

Bug fixes

·The Comm Listener is designed to shut down when the LOR Control Panel shuts down. In previous versions, this behavior relied upon the LOR Control Panel periodically sending "keep alive" messages to the Comm Listener; if the Comm Listener didn't receive such a message within a reasonable amount of time, it would shut itself down. This worked fine most of the time, but in some situations (typically involving very large shows), the LOR Control Panel would sometimes not get a chance to send such a message to the Comm Listener for a while, leading to the Comm Listener shutting itself down prematurely. Now, instead of relying on these messages, the Comm Listener periodically directly checks whether or not the LOR Control Panel is running.

· SuperStar's progress dialog box works smoother.

·In SuperStar, play of a song sometimes wouldn't stop until the end of the song was reached.

·The Verifier is supposed to check for the existence and correct version numbers of various program files (in Verifer message number 7 and number 16 respectively), but it was not doing so for several relatively new files.

·The Network Preferences program could incorrectly identify two or more networks as being in conflict when they were actually not.

·The Pixel Editor now displays unit IDs in hex on the prop layout window.

·The Pixel Editor's "Control Lights" command was always using the default port to attempt to connect to the Comm Listener, even if the Comm Listener were configured to listen on a different port.

·The Pixel Editor could crash during migration of custom props.

·The preview calculation for LOR channels in the Pixel Editor was producing a range of 0-100 instead of 0-255, which made them appear dim (both as part of the preview and as part of the Sequence Editor migration). Users should rerun any Sequence Editor migrations they performed using version 4.0.6.

What's New in Version 4.0.6

· Highlighted thumbnail in Pixel Editor effects

· Comm Listener no longer requires FTDI drivers

· New firmware for CMB16D card

· New Pixel Editor Sequence Editor migration tool

· New Pixel Editor effect: Movie

· Performance improvements in the Pixel Editor

· Bug fixes

Highlighted thumbnail in Pixel Editor effects

In the Pixel Editor's table of effect thumbnails, the current thumbnail is now highlighted, making it easy to distinguish which thumbnail is playing in the right-hand window.

Comm Listener no longer requires FTDI drivers

Previous versions of the Comm Listener required FTDI drivers to be installed on the computer, even if the Comm Listener weren't supposed to drive any lights that use FTDI-based adapters. It now no longer requires these drivers. If they are not installed, then the Comm Listener will not be able to control any lights on FTDI-based networks (such as LOR Enhanced networks and most types of DMX networks), but it will be able to control the Visualizer, and also control lights on E1.31 networks.

New firmware for CMB16D card

Version 1.32 of the firmware for the CMB16D card has been released (filename CMB16-1-32.lhx). It now supports 500K comm speed and LOR Enhanced protocol.

New Pixel Editor Sequence Editor migration tool

The Pixel Editor has a new Sequence Editor migration tool. From the menu: Sequence > Migration Tools > Import from Sequence Editor. It will allow sequences for RGB props to be copied into the Pixel Editor. The result will be an exact pixel for pixel copy displayed as a single effect that spans the length of the sequence (one effect per imported prop). Portions of that single effect can then be removed and replaced with Pixel Editor effects as desired.

New Pixel Editor effect: Movie

The Pixel Editor has a new effect: Movie. This effect will play AVI movie files on your props (files with an "avi" extension). This effect is a bit limited in that the AVI movie files must be "uncompressed". Various third-party programs (such as VirtualDub) can be used to produce such uncompressed AVI files.

Performance improvements in the Pixel Editor

The Pixel Editor has received some performance improvements: There has been some modest improvement in the preview calculation speed, and a large speed improvement to the Pinwheel effect (meaning it now takes far fewer CPU cycles to calculate).

Bug fixes

·In SuperStar, if you attempted to export an intensity file to a directory other than the sequences folder, the empty *.lms file got placed in the correct folder, but the associated intensity file always got placed in the sequences folder.

·When a visualization file would get a "ran out of sequencing rows" error, SuperStar would sometimes freeze.

·Preview of text on SuperStar's sequencing grid was being clipped to only the matrix in a visualization that contained a matrix and other lights. It will now display the preview of the text to the entire sequencing grid.

·If the Comm Listener were configured to use some particular adapter, but it could not open that adapter, lighting commands sent to the Comm Listener for that adapter's network would build up without being processed until the adapter was successfully opened. This would result in the Visualizer unnecessarily not receiving the lighting commands either, and also potentially lead to an out-of-memory condition eventually.

·Ramp up effects on the left side of the Pixel Editor's grid were displayed incorrectly.

·In some cases, Sequence Editor channels were not being displayed in the Pixel Editor's grid even though they were selected after clicking the "Props" button.

·The Pixel Editor's xLights 3 import tool is now located under the Sequence > Migration Tools menu.

· SuperStar now remembers the clip rectangle state for Smooth Effects mode, Image mode, and Text mode.

What's New in Version 4.0.4

· New CMB24D firmware

· Bug fixes

New CMB24D firmware

Version 1.05 of the firmware for the CMB24D card has been released (filename CMB24D-V1_05.lhx). It has support for the Enhanced LOR Protocol.

Bug fixes

·If you did not have an LOR USB dongle attached to the computer and attempted to start the Pixel Console, it would crash the Hardware Utility with no error message.

·In the Visualizer if in one session you ran a simulation with the Advanced Rendering Engine and then switched options to the Regular engine, the simulation would not run.

·The Visualizer was not correctly reporting issues with simulations that used pixel universes. This could lead towards the Visualizer deleting fixtures coming out of simulation.

·One of the things that the Light-O-Rama Post Install utility does is to give you a chance to choose the directory that Light-O-Rama will (by default) use to store your data files (such as your sequences and visualizations). If you previously had chosen a data directory, then ran Post Install again and told it to use a different directory, it would copy your data from the old directory to the new. However, it would not copy all such data; in particular, data files that you had stored in subdirectories would not typically be copied over to your new data directory.

What's New in Version 4.0.2

· "Spokes" prop shape in Pixel Editor

· Pixel Editor pinwheel effect improvements

· Visualizer will back up S3 and earlier Editor Files before converting to S4

· Comm Listener identifies clients by name in log messages

· New Pixel Test Console for the Hardware Utility

· Tracks and props now remember whether or not they are hidden

· New sample visualization file

· Bug fixes

"Spokes" prop shape in Pixel Editor

The Pixel Editor has a new predefined prop shape called "Spokes", for props that have spokes that radiate from a central hub.

Pixel Editor pinwheel effect improvements

The Pixel Editor's pinwheel effect has new controls: Two sliders to control the center of rotation, and one to control the length of the arms.

Visualizer will back up S3 and earlier Editor Files before converting to S4

The file format of Visualizer files has changed. When saving an S3 file in S4, the Visualizer will first back up the editor file. Should you choose not to move to S4, you can use this backup file to restore to an S3 format.

Comm Listener identifies clients by name in log messages

When issuing a log message about one of its clients (such as the Sequence Editor or Show Player), the Comm Listener would refer to the client via the IP socket that the client used to connect to the Comm Listener. For example, it might refer to a certain client as "Socket 127.0.0.1:57223". This is enough to uniquely refer to the client (at least until it disconnects and later reconnects), but it's not terribly informative for troubleshooting purposes. Now it additionally refers to the client by name (such as "Sequence Editor"), if the client has identified itself to the Comm Listener in that way. Please note that not all clients will necessarily identify themselves to the Comm Listener in all situations, so in some cases the Comm Listener will still only log the IP socket information.

New Pixel Test Console in the Hardware Utility

A new testing console that can more easily be used with Light-O-Rama RGB devices has been added to the Hardware Utility.

Tracks and props now remember whether they are hidden

In the Sequence Editor, when you opened a sequence, all tracks and the props section would be unhidden, even if you had previously hid some of them while that sequence was open earlier. The sequence now remembers whether or not they should be hidden even after it is closed and reopened.

New sample visualization file

A new sample visualization file, 24x25Tree_8RowGlobe_dmxPixelTool.lee, has been added.

Bug fixes

·When the Pixel Editor was displayed on a secondary monitor, the timing marks would display incorrectly during prop playback.

·In the Pixel Editor, when creating custom props that skipped node numbers, the program would crash.

·In the Pixel Editor, when creating custom props that used the same node number more than once, the prop would display some nodes in the wrong locations.

·When loading certain sequences into the Pixel Editor, the program would crash. This would happen with sequences that had more than one channel assigned to the same physical circuit. It would also happen with sequences that used the same channel name more than once.

·The version number displayed in the Pixel Editor's "About" box did not match the rest of the Light-O-Rama programs (it had an extra ".0" in it).

·The caption on the Pixel Editor's main window was missing some of the information displayed in the captions of other Light-O-Rama programs.

·In certain cases after unexpectedly disconnecting from and successfully reconnecting to the Comm Listener, a client may not have correctly told the Comm Listener whether or not lights should be turned off the next time that it disconnects.

·In the Visualizer when using the Arch Wizard to create a pixel based fan, the fan was not properly created.

·When the Pixel Editor displayed effect thumbnails in the left window, thumbnails for Firestick props were bunched too close together. A similar problem could occur for horizontal lines.

·When a log message is added to the LOR Control Panel's status window and it is beyond the end of the visible portion of the log, the log should automatically scroll to the bottom in order to display the message. In certain situations, this was not happening.

·The Pixel Editor was requiring unit IDs for LOR networks to be entered using their decimal value. Now unit IDs are entered with their hex value, just like every other LOR program. Users of version 4.0.0 will need to go back into each prop that is on an LOR network and update the unit ID to use the controller's hex value.

What's New in Version 4.0.0

· Pro level license

· The Light-O-Rama Pixel Editor

· Intensity files

· Enhanced Light-O-Rama networks

· Speed improvement for converting channels to RGB channels

· Fading images and text in and out in SuperStar

· Visualizer now supports DMX RGB Pixel Universes

· Visualizer now supports inserting Symbol Fixtures with more than 256 Vertices

· Visualizer Wizard Updates

· Improved Pixel Ordering Display in Visualizer Draw Window

· Improved Visualizer performance while rendering

· Improved Visualizer Error Messages

· Improved Visualizer Shimmer and Twinkle Emulation

· New SuperStar parameters windows in Visualizer for Fixtures & Props

· Improvements for certain Comm Listener log messages

· New and updated firmware

· "4GB Patch" enabled by default

· New LOR PIXCON16 E1.31 based controller

· Cosmetic Control Panel changes

· MP4 media files

· Bug fixes

Pro Level License

There is now an additional license level, "Pro", above Advanced. A Pro level license enables several new features designed to help with very large displays: The Light-O-Rama Pixel Editor, intensity files, and enhanced Light-O-Rama networks.

The Light-O-Rama Pixel Editor

The Light-O-Rama Pixel Editor is a new program which can be used to produce lighting effects for sequences in a visual way. It produces intensity files, which can efficiently support large lighting displays.

Intensity Files

Intensity files are a new way to store lighting commands. An intensity file, generated by the Light-O-Rama Pixel Editor or the Light-O-Rama SuperStar Sequencer, is associated with a sequence, and will play at the same time that the associated sequence plays. Instead of storing lighting commands in the traditional high-level way (such as "fade up over the next five seconds from 0% to 100%"), an intensity file stores large blocks of instantaneous intensity values for potentially many circuits. This allows the intensity file to be very efficient during play, and so enables better support for very large lighting displays.

Only Light-O-Rama controllers and native DMX devices can be used in an intensity file, and the Light-O-Rama controllers must be on enhanced LOR networks. The LOR Comm Listener must be running in order for the lights to be controlled. This feature only works under the Pro license level.

Enhanced Light-O-Rama Networks

A Light-O-Rama network can now be set to be an "enhanced" network. This causes the network to use a new communications protocol (an extension of the standard Light-O-Rama communications protocol) which can deliver lighting commands for many channels efficiently. If an intensity file is used, any LOR controllers from the intensity file must use an enhanced LOR network, but enhanced LOR networks also support effects defined directly in a sequence.

The Hardware Utility can also write SD cards for G3 Directors for Enhanced Networks. Again, all controllers connected to a port must support the Enhanced Protocol, and the G3 directors firmware will need to be updated to at least version 5.32.

Not all Light-O-Rama controllers support the enhanced protocol, and some may require firmware updates in order to do so. The LOR Comm Listener must be running in order for lights on an enhanced network to be controlled when using a computer. Enhanced LOR Networks only work under the Pro license level.

Speed Improvement for Converting Channels to RGB Channels

In the Sequence Editor, converting channels to RGB channels would get slower and slower as the sequence got larger and larger, and eventually the sequence would become large enough that the conversion would take a very long time. This has been sped up significantly.

Fading Images and Text In and Out in SuperStar

You can now fade images and text in and out in SuperStar, using PreRamp and PostRamp times (see here for images and here for text).

Visualizer now supports 'DMX RGB Pixel Universes'

The Visualizer now supports a 'DMX RGB Pixel Universe' fixture. This fixture allows for up to 170 RGB pixels to be part of a single fixture which is defined as a DMX Universe.

Visualizer now supports inserting Symbol Fixtures with more than 256 vertices

Previously the Visualizer was limited to creating a single fixture for a symbol. This limited the selection of a font glyph to one that had less than 256 vertices. The Visualizer will now create a prop and as many fixtures as needed for a single glyph, up to a maximum of approximately 16,000 vertices.

Visualizer Wizard Updates

·All drawing wizards that could previously be used with Cosmic Color Devices have been updated to be able to use the new DMX Pixel Universe fixtures as well.

·A new wizard for drawing DMX Pixel Strings has been added.

·A new option for 'Snake' layouts has been added to the Matrix Wizard, as well as a new selection that will show pixel ordering while the wizard is running.

·Maximums for the Tree, Arch, and Matrix wizards have all been increased. Trees and Arches can now be up to 64 segments. A matrix can be either 64 pixels wide or high depending on the orientation.

Improved Pixel Ordering display in Visualizer Draw Window

Pressing SHIFT while pointing at a CCR or DMX Pixel Fixture in the drawing area will 'blink' the pixels in the order they are assigned. The speed of the blink can be controlled in the The Visualizer's Options window, Tab 2.

Improved Visualizer performance while rendering

A new advanced rendering engine has been added to the Visualizer to greatly enhance performance of the program while simulating many channels, especially RGB bulbs. The new rendering engine takes advantage of the hardware acceleration available on nearly all modern video cards. This new engine is experimental, however it has been tested on several different cards. The new engine is enabled by default, however it can be disabled if needed.

Improved Visualizer Error Messages

When entering simulation mode, the Visualizer would give cryptic error messages if it was unable to assemble Cosmic Color Devices into meaningful groups. Those error messages have been improved and expanded to include DMX Pixel Universes.

Improved Visualizer Shimmer and Twinkle emulation

The Visualizer will now more closely emulate how a real controller presents shimmers and twinkles. Due to differences between actual hardware clock speed and the visualizer, slight differences will remain, however the look is much improved over S3.

New SuperStar parameters windows in Visualizer for Fixtures and Props

A new dedicated window has been added to both Fixtures and Props in the Visualizer to store SuperStar parameters. Previously, these parameters were placed as a keyword in the comments of a fixture/prop. They now have a dedicated area for ease of use.

Improvements for certain Comm Listener log messages

Certain log messages that were output by the Comm Listener, associated with errors or other information about TCP/IP sockets, would include in their output some numbers that were essentially meaningless from the point of view of the end user. They now instead output the IP address and port of the socket.

New and updated firmware

Several new and updated pieces of firmware have been released:

·CCB100D-V1_20.lhx (CB100D Cosmic Color Pixel/Bulb Controller) : Added support for Enhanced LOR networks, and fixed a bug where the bulb self test did not correctly run while the reset button was held on the controller.

·CCR150D-V1_19.lhx (CR150D Cosmic Color Ribbon): Added support for Enhanced LOR networks.

·CMB24D-V1_02.lhx (CMB24D): This is the first version of firmware for this device that has been distributed with the LOR software suite.

·CTB04Dg3-V1_01.lhx (the new 4 channel CTB04g3 AC controller; also used in the new LOR400Wg3 and LOR400ELLWg3 controllers).

·CTB08Dg3-V1_02.lhx (the CTB08Dg3 controller card and the LOR800Wg3 controller): Added support for Enhanced LOR networks.

·CTB16PCg3-V1_08.lhx (the CTB16PCg3 card and the gen3 residential controllers): Added support for Enhanced LOR networks.

·CTB32Lg3-V1_12.lhx (the CTB32L card and the LOR16xxWg3 light controllers). Added support for Enhanced LOR networks.

·DC_MP3_V4-20.lhx (DC-MP3): This version of the firmware makes triggered shows start faster.

·iDMX1000_V1_50.lhx (the iDMX1000 controller). Fixed a problem with missed effects when running at 115.4K. Added support for 500K. Added support for Enhanced LOR networks.

·MP3g3-V5_32.lhx (G3 MP3 Dual Network Director): Supports Enhanced LOR networks, and fixes two bugs: (1) In some cases, the firmware would believe that the sound and lights were extremely out of sync when they were not. This would cause error detection code to be triggered which would stop the song that was playing and move on to the next song. (2) In some cases, the firmware would ignore a show's schedule. Instead, a show would start as soon as the SD card was inserted.

·RF-V4_v2-10.lhx (RF-V4 Easy Light Linker): This release allows the RF-V4 to use 115K comm speed.

·uMP3g3-V5_32.lhx (G3 Mini Director): Supports Enhanced LOR networks, and fixes two bugs: (1) In some cases, the firmware would believe that the sound and lights were extremely out of sync when they were not. This would cause error detection code to be triggered which would stop the song that was playing and move on to the next song. (2) In some cases, the firmware would ignore a show's schedule. Instead, a show would start as soon as the SD card was inserted.

"4GB Patch" enabled by default

In recent times, many customers with very large sequences who have been running into memory-related issues have been using a third-party tool known as the "4GB Patch" to modify the Sequence Editor and Show Player executable files. The effect of this is that Windows will allow the patched programs to use more memory than it would allow for the unpatched programs. Whenever a customer using the 4GB Patch upgraded to a new version of Light-O-Rama, they would have to remember to use the 4GB Patch on the new versions of the two executable files, or else they would start running into memory-related issues again.

Now, though, the Light-O-Rama installer distributes the Sequence Editor and Show Player executable files as if they had been patched using the 4GB Patch. Users therefore should no longer need to run the 4GB Patch on these programs.

Just in case something unexpected occurs because of this, the installer also distributes unpatched versions of the executables. The patched versions are what are used by default, without the user needing to take any action. If for whatever reason you want to use the unpatched versions, though, they can be found in the Light-O-Rama program files directory (which is typically, but not always, either C:\Program Files\Light-O-Rama or C:\Program Files (x86)\Light-O-Rama). They are called LORSequenceEditor-Unpatched.exe and LORMonitor-Unpatched.exe. To start using them, shut down your running programs, then rename the default patched versions out of the way (for example, rename LORSequenceEditor.exe to LORSequenceEditor-4GBPatched.exe), and then copy the unpatched versions into their place (for example, copy LORSequenceEditor-Unpatched.exe to LORSequenceEditor.exe).

The LOR PixCon16 E1.31 Controller

The LOR PixCon16 is the first E1.31 and newest controller offering from Light-O-Rama. The board can control up to 16 170-pixel strings using various different chipsets, as well as be a bridge for 4 separate DMX universes all running on Ethernet.

Cosmetic Control Panel Changes

The order of menu items in the LOR Control Panel's right-click popup menu has been changed so as to hopefully more clearly group sets of similar items. Also, the Control Panel would say things like "Light-O-Rama is Disabled" to mean that scheduled play of shows was not currently enabled; this has been changed to the hopefully less confusing "Scheduled Play is Off".

MP4 Media Files

The Sequence Editor now allows MP4 files to be used as the media files for musical sequences. Please note that not all such files will work on all computers; for example, a particular MP4 (or some other type of media file) may be encrypted with DRM or may require a codec or filter that is not present on the computer.

Bug Fixes

·Using a Wizard other than the Channel Wizard could cause the Visualizer to leak resources.

·When using the Arch Wizard, changing from Arch to Fan or vice-versa the minimum number of segments was not being set correctly. This could lead to errors in the wizard which were caught and dealt with, but which should not have occurred.

·When using the Tree Wizard, the Pixels Per Segment spin control did not accelerate the longer the user pressed the up/down buttons.

·The Matrix Wizard was generating errors whenever the form was re-sized. This lead to errors in the wizard which were caught and dealt with, but which should not have occurred.

·Deleting a Prop did not always remove the Prop's definition from the program. In essence, a prop with no fixtures was saved/loaded each time. Any prop that is deleted now also deletes the prop's definition.

·If a sequence file could not be loaded due to an invalid end centisecond for one of its effect events, the Sequence Editor would issue an error message mistakenly quoting the event's start centisecond instead of its end centisecond.

·Some memory leaks (in various programs) associated with interacting with the Windows shell have been fixed. Most of these seem unlikely to have actually caused memory to leak in practice, but in theory they might have. One would definitely cause memory to leak in practice, but a relatively small amount.

·When the LOR Verifier was checking for warning 32 ("Channel in tracks of conflicting length"), it would display its progress percentage incorrectly, sometimes even displaying progress above 100%.

·The Simple Show Builder and the MP3 tab of the Hardware Utility would incorrectly allow for more than 99 sequences to be added to a show. Hardware Directors can only handle a maximum of 99 sequences in a single show.

·The Network Preferences program was not correctly deleting old versions of the network configuration from the registry. This was due to a recent change in how Microsoft allows access to the registry.

·In the Visualizer, when simulating devices with Unit IDs greater than 100 (hex 64), a channel could be incorrectly activated on a different channel on the next higher network.

·The Network Preferences program could incorrectly flag two ports as being in conflict even if they were not. If the ports were in conflict, there was also a chance that the incorrect ports/adapters were reported.

·The Network Preferences program could experience unintended behavior if the column header in any of the list displays were clicked.

·If the Sequence Editor or Show Player stopped while a sequence was playing, any DMX lights that happened to be on at that time would remain on indefinitely.


What's New in Version 3.x.x

· What's New in Version 3.12.2

· What's New in Version 3.12.0

· What's New in Version 3.11.2

· What's New in Version 3.11.0

· What's New in Version 3.10.14

· What's New in Version 3.10.12

· What's New in Version 3.10.10

· What's New in Version 3.10.8

· What's New in Version 3.10.6

· What's New in Version 3.10.4

· What's New in Version 3.10.2

· What's New in Version 3.10.0

· What's New in Version 3.9.0

· What's New in Version 3.8.0

· What's New in Version 3.7.0

· What's New in Version 3.6.0

· What's New in Version 3.5.0

· What's New in Version 3.4.0

· What's New in Version 3.3.0

· What's New in Version 3.2.4

· What's New in Version 3.2.0

· What's New in Version 3.1.4

· What's New in Version 3.1.2

· What's New in Version 3.1.0

· What's New in Version 3.0.2

· What's New in Version 3.0.0

What's New in Version 3.12.2

· New SuperStar license level: 60 CCR

New SuperStar license level: 60 CCR

SuperStar now supports a new license level for up to 60 CCRs. The highest previously existing license level supported up to 40.

What's New in Version 3.12.0

· MP3g3 Directors can now output to DMX devices

· MP3 File Loading Speed Improvements for MP3 Directors

· New MP3g3 Show Time Director Firmware

· Initial firmware for Single Network Mini MP3 Director

· Improvements for busy sequences being run on MP3 Directors

· New Options and Features in SuperStar Instant Sequencing

· New Pre-ramp and Post-ramp options for SuperStar images

· New SuperStar Morph Option

· New Wrapped Tree for SuperStar

· Bug Fixes

MP3g3 Directors can now output to DMX devices

MP3g3 Directors can now output to both LOR, DMX, or a combination of the two devices. All the devices must be the same on a particular port, but a particular port can run LOR or DMX devices now. You must use the Hardware Utility to write the sequence to the SD card, and the MP3g3 director must be updated to version 5.28 of the firmware.

MP3 File Loading Speed Improvements for MP3 Directors

The Hardware Utility can now optionally strip unnecessary header information from an MP3 while creating an SD card, improving sequence loading speed on MP3 directors.

New MP3g3 Show Time Director Firmware

A new version of the firmware for the MP3g3 Show Time Director, MP3g3-V5_28.lhx, allows for the use of DMX or LOR devices on a port.

Initial firmware for Single Network Mini MP3 Director

The initial version of firmware for the Single Network Mini MP3 Director, uMP3g3-v5_28.lhx, has been released. This version of firmware supports both LOR and DMX512 output (DMX512 output requires version 3.12.0 of the Hardware Utility).

Even though this is the first release of firmware for this particular device, the version number is 5.28 so as to keep in sync with the version number of the Dual Network ShowTime MP3 Director (MP3g3-V5_28.lhx).

Improvements for Busy Sequences Being Run on MP3 Directors

The Hardware Utility and the Simple Show Builder will now throttle busy sequences so that they better stay in sync with audio. Once the bandwidth of a port on an MP3 director is exceeded, the amount of sequence data written to the card is reduced until the director can catch back up with the sequence. Previously MP3 directors would continue to send all data out the port, regardless of the bandwidth available. During particularly busy sequences, the director would fall back further and further. Once a sequence falls behind now, all subsequent commands are discarded until the director finishes sending the queued data.

New Options and Features in SuperStar Instant Sequencing

The SuperStar Instant Sequencer now has new options including new custom colors, new movement options, and a new trigger type.

New 'Pre-ramp' and 'Post-ramp' options for SuperStar Images

The user can now specify pre and post ramp options when using images in the SuperStar editor.

New Superstar Morph Option

The user now has the option to not shrink a visualization when doing a morph.

New 'Wrapped Tree' for SuperStar

The Superstart Sequencer now can use Wrapped Trees in Visualization sequences.

Bug Fixes

·In the Hardware Utility when creating an SD card for an MP3 Director that used triggers, immediately trying to create another show using a different trigger could overwrite the wrong show number.

·The Hardware Utility incorrectly identified the CCB100D as having stand-alone capability. It does not.

·If SuperStar was in Visualization mode and a smooth effect color is set to white, if the color is changed to something that is not white, the bar in the time layers would stay white.

·If SuperStar was in Visualization wrap around mode and also in scene mode there were cases where the first pixel turns black with a yellow border.

·If SuperStar was in Visualization wrap around mode sometimes only the left half would have pixels set.

·In some cases, SuperStar could create instant sequences that go beyond the end of a song. This is caused issues since the Sequence Editor fails to play the exported sequence if there are effects that go beyond the end of the song.

·In some cases, SuperStar would crash when creating a Quick Visualization.

·In SuperStar, when opening an .sup file the Instant Sequence settings were being cleared.

·In SuperStar, if a fixture was multi-color and had no channels assigned it was still being drawn as if it were active.

·In SuperStar non-CCR strings would sometimes display in dark gray on the screen when clicking on the "VisEffect" checkbox.

·For SuperStar, increased the maximum value of the Sequencing Grid Max Length from 200 to 360 in the Import Visualization dialog box,

·For SuperStar, changed the valid range of morphs to be -50 to 360.

·In some instances, SuperStar was not checking the length of the row it was sequencing.

·For SuperStar the limit of Maximum Detection lines was increased from 24 to 36 in the Import Visualization dialog box.

·In SuperStar if the user clicked twice very quickly on the Play or Play All button, the program Beeped, played and then crashed at the end of the Play.

·In SuperStar, if in Visualization mode and a smooth effect color was set to white, and then the color was changed to something that is not white, the bar in the time layers would stay white.

What's New in Version 3.11.2

· Changes to Edit menu keyboard shortcuts

· Verifier checks for old MC-P compatibility mode

· Optional speed improvements for saving in the Sequence Editor

· Manual creation of compressed sequences

· Bug fixes

Changes to Edit Menu Keyboard Shortcuts

The menu items Undo Settings and Use Internal Media in the Sequence Editor's Edit menu did not have shortcut keys assigned to them. To give them shortcut keys, the menu items "Turn on Loops" and "Select" were changed to "Turn on Loop Levels" and "Select Zone", which allowed them to be moved to the shortcut keys "v" and "z", thus freeing up "s" and "l" for Undo Settings and Use Internal Media, respectively.

Verifier Checks for Old MC-P Compatibility Mode

The Verifier now checks to see whether old MC-P compatibility mode has been enabled. This compatibility mode is required for certain controllers, but they are rare, and if it is enabled, it can cause significant overhead on your network. The Verifier therefore warns you if it detects that this mode is enabled.

Optional Speed Improvements for Saving in the Sequence Editor

When the Sequence Editor saves a sequence, it actually saves it to a temporary file first, and then attempts to reload that temporary file. Only if the load is successful will it actually overwrite the existing "real" sequence file with the newly saved temporary one. This is intended to minimize the potential for a save where something went wrong to cause the user to lose a good (earlier) save. This behavior is now optional, via the Verify Load option in the Saving Preferences menu. It is still recommended to have this behavior enabled, but if you work with very large sequences that take significant amounts of time to load and save, and are willing to take the risk of a corrupted save overwriting your previous good save file, you might want to turn it off in order to speed up saving.

The Sequence Editor also creates a compressed sequence whenever it saves a sequence, but you can now optionally disable this behavior via the Export Compressed option in the Saving Preferences menu. Again, it is still recommended to have this behavior enabled, but if you work with very large sequences that take significant amounts of time to save, you might want to turn it off in order to speed up saving. If you do choose to turn it off, it is highly recommended that you manually ensure that your sequences each have an up-to-date compressed sequence before starting your show. You can do so via the Export as Compressed command from the File menu.

Manual Creation of Compressed Sequences

By default, the Sequence Editor creates a compressed sequence whenever it saves a sequence, but this behavior can be disabled via the Export Compressed option in the Saving Preferences menu. If you choose to disable that option, it is highly recommended that you manually ensure sure that your sequences each have up-to-date compressed sequences before starting your show. You can now manually create a compressed sequence for a single sequence via the new Export as Compressed menu item on the File menu, or manually create compressed sequences for a show or for the entire schedule via the Sequence Compressor program.

Bug Fixes

·The LOR Verifier would incorrectly report that three files (AdjMmsEng.dll, amp3dj.ocx, and Asoedmms.ocx) had unexpected version numbers.

· SuperStar's Play 8 Seconds and Play All buttons were not staying depressed when used in visualization mode, and the other buttons were not being grayed out.

· SuperStar's Configuration dialog box will now give a message if the range of unit IDs for a network is invalid.

·In SuperStar, if the row visualization had a fixture that was not in the real visualization, it sometimes would not get reported as a warning.

·If you modified a morph in SuperStar and then played a part of the sequence, the start and end coordinates of the morph would get set to -1 after stopping play of the sequence.

· SuperStar might have crashed if you put a smooth effect in the right half of a visualization that was in wrap around mode.

· SuperStar might have crashed when playing a shockwave effect using a visualization in wrap around mode, especially if the shockwave had a large leading or trailing edge.

·Various Light-O-Rama programs used to depend upon the Microsoft library "SCRRUN.DLL". If this library was missing or misconfigured, various strange problems would occur. An example is that keyboard maps would not function in the Sequence Editor. In recent times, this library seems to be missing or misconfigured more and more frequently on customers' computers, and so Light-O-Rama no longer depends upon this library.

· SuperStar now checks in the Configuration dialog box to make sure that entries for the star unit ID, first CCR unit ID, and the ranges of the networks are all valid.

·If Windows had been running for about 25 days or more without having been shut down, the Hardware Utility would sometimes not be able to write the time to an SD card.

What's New in Version 3.11.0

· Cosmic Color Array support

· Channel priority

· Named timing grids kept even if empty and not in use

· New card and controller support in the Hardware Utility

· Easy Light Linker configuration change

· SuperStar font update

· SuperStar CCR string segments increase

· Sequences can be removed from the Recent Sequences list

· Paste options moved to their own portion of the Tools Panel

· Memory and speed improvements for sequences

· Control over number of recorded undo items

· Changing input types with InputPup devices

· New MP3g3 Show Time Director firmware

· New CTB32LD/LOR160xWg3 firmware

· Bug fixes

Cosmic Color Array Support

Cosmic Color Arrays are now supported in the Sequence Editor, via the Insert Device dialog and also in channel grouping.

Channel Priority

In most cases, if two lighting effects for two different channels on the same controller are supposed to happen at the same time, it does not matter which of the two commands is sent to the controller first. However, in some cases, it does matter: For example, a macro command for a Cosmic Color Device should be sent before a command for a regular channel on that CCD (presuming the two commands are supposed to take effect at the same time). In the past, this was determined based upon the circuit number of each channel. However, with the introduction of Cosmic Color Arrays, this is no longer possible, as their special channels use different circuit numbers than the special channels of other CCDs. So, the concept of "channel priority" has been added, to explicitly set which channels take priority over which others. Please note: If you have created a Cosmic Color Device (or Array) channel group in the sequence, channels within that group will automatically have their priorities set appropriately. You only need to manually set the priority yourself if you have not included those channels in a CCD/CCA channel group in the sequence.

Named Timing Grids Kept Even If Empty and Not In Use

Previously in the Sequence Editor, if you changed which timing grid a track was using, and the old timing grid was empty (i.e. had no timings) and was not in use by any other track, that old timing grid would be discarded. This is now only done if, additionally, that old timing grid does not have a name.

New Card and Controller Support in the Hardware Utility

The Hardware Utility now recognizes the CTB08Dg3 card, and the LOR800W which uses that card.

Easy Light Linker Configuration Change

Easy Light Linker (ELL) configuration has been changed in the Hardware Utility: Support was added for the new LOR-RF-V5, which supports 115200 kbps. Also, previously, the LOR-RF-V4 only supported speeds up to 57600, but with the introduction of the LOR-RF-V5, there will be a new release of firmware for the LOR-RF-V4 that will enable it to run at 115200 as well.

SuperStar Font Update

Several of SuperStar's fonts have been updated:

·6-6x6_Thin_Vertical.system.font

·8-8x8_Thin_Vertical.system.font

·10-12x12_Bold_Vertical.system.font

·10-12x12_Thin_Vertical.system.font

SuperStar CCR String Segments Increase

The number of CCR string segments that can be used in an imported visualization in SuperStar has been increased from 124 to 160.

Sequences Can Be Removed from the Recent Sequences List

Sequences can be removed from the Sequence Editor's Recent Sequences list. To do so, right-click on the file you wish to remove, and a popup menu will open. The menu will have an entry to remove the file from the list.

Paste Options Moved to Their Own Portion of the Tools Panel

The Clipboards subpanel of the Tools Panel in the Sequence Editor used to contain controls for both clipboards and for paste options. The paste options have now been moved to their own subpanel. This will hopefully make them a little easier to get at when many clipboards are present, by collapsing the Clipboards subpanel.

Memory and Speed Improvements for Sequences

Various memory and speed improvements related to sequences have been made. For example, one particular very large sequence which took about 2 minutes 15 seconds to load, consuming about 420 MB of memory, now takes about a minute and a half and about 160 MB.

Control Over Number of Recorded Undo Items

The Sequence Editor only remembers a certain number of changes (per sequence) for undoing and redoing. This number can now be changed, via the Undo Settings dialog. For most users, the default value will be fine, but users with large sequences who make large changes to those sequences might want to place a smaller limit on the number of remembered changes so as to help avoid running into memory-related issues.

Changing Input Types with InputPup Devices

The Hardware Utility will now allow changing input types (NO/NC) with InputPup devices.

New MP3g3 Show Time Director Firmware

A new version of the firmware for the MP3g3 Show Time Director, MP3g3-V5_25.lhx, fixes a bug where animation sequences (non-musical sequences) would not run if two networks were specified in the file.

New CTB32LD/LOR160xWg3 Firmware

A new version of the firmware for CTB32LD/LOR160xWg3 controllers, CTB32LG3-V1_12.lhx, fixes a bug where most standalone sequences would not operate properly.

Bug Fixes

·In the Hardware Utility, sometimes the ELL icon would show up when an MP3 director was connected but no ELL was on the network.

· Smooth effects in SuperStar would not export beyond 4 minutes 21 seconds of a song.

·The LOR Verifier would report an "error 7" on the file "audioconv.ocx", meaning that the file was missing. This is because the file is no longer used by the current version of Light-O-Rama software, and therefore is no longer distributed. That check has now been replaced with checks for new libraries used by the current version of software.

·In SuperStar's Visualization mode, the Pixel Resolution macro was not being supported for auxiliary networks.

·On some computers, SuperStar would have a repaint problem that would happen when you replayed a sequence to the computer screen.

· Import visualization in SuperStar had various issues relating to mapping lights to the sequencing grid.

· Text with a ramp in SuperStar could create channel commands for channel 151 when exported, resulting in white flashes on the CCR.

·In SuperStar, the selection rectangle would not get drawn around text actions that had a trailing ramp.

· SuperStar would crash when saving a file with a very large image.

·Only one star could be set when applying a star scene in SuperStar.

·If you had more than one sequence open in the Sequence Editor, and they were not maximized (with respect to the Sequence Editor itself, as opposed to with respect to the screen), and you attempted to close them via their "X" buttons, the last one would not close.

· Musical sequences are not allowed to have loop levels, but the Sequence Editor would allow you to add a media file to an animation sequence that had loop levels, which would lead to various issues. Now the Sequence Editor will offer to remove the loop levels, and will not add the media file unless the loop levels are removed.

·In SuperStar, selecting or moving an effect in the time layers in a large sequence could take 30 seconds or more and cause the program to appear to crash.

·If you moved two smooth effects that have the same start time up or down a layer in SuperStar, one of them could disappear.

·If you tried to use a sequence containing a loop that looped back more than 255 times as a standalone sequence, the Hardware Utility would refuse, giving a not-too-helpful error message that merely said "Overflow". The Hardware Utility will still refuse, but it will now give an error message that is, hopefully, more helpful.

·There could be a flicker at the end of the tail on a visEffect. The flicker would only be seen in the exported file.

·Moving endpoints of a group of morphs in SuperStar wouldn't move to the upper sequencing rows if using half ribbons in CCR mode.

·A light in a QuickVis visualization would fail to draw if the QuickVis was large and had to be shrunk to fit on the SuperStar screen.

What's New in Version 3.10.14

· Bug fixes

Bug Fixes

·The Sequence Editor could sometimes report that a media file is not present when in fact it is present. This could cause an error within the Sequence Editor or any of its tools. This problem usually manifested itself when adding a track to a new sequence. However, any part of the Sequence Editor that requires media could also have had this issue.

·CCRs laid end to end horizontally did not import properly in SuperStar.

· SuperStar would crash on some computers if the first effect in a sequence was the smallest star in the SuperStar star.

·When modifying a text mask in SuperStar, it would always display an error.

·In SuperStar, visualizations with draw objects that have the same unit ID would display the square in the sequencing grid as disabled, and instant sequence would not properly define effects to the row.

·A matrix of CCR props would sometimes not import in the proper order in SuperStar.

What's New in Version 3.10.12

· Bug fixes

Bug Fixes

·Text and images sometimes would not clip properly when played to a visualization in SuperStar.

·Some visualizations would not import properly in SuperStar.

What's New in Version 3.10.10

· Help file available in EPUB format

· Bug fixes

Help File Available in EPUB Format

An EPUB (e-book) version of the Light-O-Rama help file is now available, and is published along with the installer as well as on the Light-O-Rama website.

Bug Fixes

· Importing a prop into a visualization that was empty (that is, which had no fixtures) would cause the object selection area to disappear from the Visualizer.

·If Play Again was used in the Sequence Editor before Play (without "Again") had ever been used, play would hang.

·If a large sequence with a ribbon located at the bottom was exported, SuperStar would crash.

·If SuperStar was launched into CCR mode, the "star in use" setting would get set to "no", and the star channels would get played to ribbons, and you wouldn't be able to add star channel effects either.

·Visualization errors in SuperStar no longer get reported at launch if you are in CCR mode. Also, visualization file errors are not reported when loading a CCR mode sequence.

·Some dialog boxes in SuperStar would allow the start time of an effect to be after the end time.

What's New in Version 3.10.8

· New device in Insert Device: CMB24D

· Continued improvements to media handling

· VisEffects

· Import Visualization Pair

· "Reverse" keyword for pixel layout in CCR fixtures

· "Myorder" keyword for order of fixtures

· Bug fixes

New Device in Insert Device: CMB24D

The Insert Device dialog of the Sequence Editor now supports an additional device: The CMB24D. It is a 24 channel controller; you can tell the Insert Device dialog to treat it either as 24 channels or as 8 RGB channels.

Continued Improvements to Media Handling

The Sequence Editor will continue to attempt to create two different internal media formats, for different purposes. However, should one of those conversions fail, the Sequence Editor will no longer refuse to create or open a sequence. Instead, the user is simply informed that one or both of the conversions failed. The Sequence Editor will then choose the best file to use for whatever purpose based upon which of the three files exists and/or the user-specified options. If a format that is required for a particular use could not be created, that use will simply not be available. For example, the Beat Wizard requires that a particular internal media file be created; if it could not be created for a particular sequence, then the Beat Wizard cannot be used for that sequence, and a warning will be presented if you attempt to use it.

A new option, Use Internal Media, has been added to the Edit menu. This option is set per sequence and is saved when the sequence is saved. It allows you to control whether or not Light-O-Rama attempts to use the internal formats with the sequence. It is recommended that this option be on. The option defaults to being on, except when a sequence created using an earlier version of Light-O-Rama is loaded (so that media handling behaves for these sequences as it did in earlier versions, unless you choose otherwise). More details can be found at "Use Internal Media".

VisEffects

SuperStar now supports "visEffects". This gives the ability to apply morphs to the visualization instead of to the sequencing grid, and allows a smooth coordinated sweep across all the lights in the visualization.

Import Visualization Pair

You can now import a pair of visualizations into SuperStar, as a "Row Visualization" and a "Real Visualization". The Row Visualization is to be laid out in rows according to how you want the lights mapped to the sequencing grid. The Real Visualization should be laid out how the light display actually appears.

"Reverse" Keyword for Pixel Layout in CCR Fixtures

SuperStar now supports a new keyword, "reverse", for the layout of pixels in a CCR fixture.

"Myorder" Keyword for Order of Fixtures

SuperStar now supports a new keyword, "myorder", controlling the order of fixtures.

Bug Fixes

· Musical sequences whose media files had names that included multiple consecutive periods (such as "1983... (A Merman I Should Turn To Be).mp3") would not successfully play.

·In SuperStar, if you clicked on an effect in one of the effect lists and then hit play, the effects wouldn't get rebuilt and played for the new location you are at.

·The movement and color of instant sequence effects in SuperStar would get reinitialized every 10 seconds.

·The grid setting and star in use setting could change when changing between SuperStar's CCR mode and Visualization mode.

·After changing from SuperStar's Visualization mode to CCR mode, you could not add a scene to the star.

·Export of large sequences could cause SuperStar to crash.

·On some computers with older versions of Windows Media Player, no matter what play speed was selected in the Sequence Editor, the sequence would always play at normal speed.

·In SuperStar, rendering a fast rotating fan with thin blades would play fine on the computer screen, but would export as a dot.

·In SuperStar, a fan longer than ten seconds would play fine on the computer screen, but when exported would last less than ten seconds.

·If a soundboard interactive group were set up in a show, and contained a single sequence on a particular trigger, and that trigger were tripped while that sequence was playing, an error message would occur ("ERROR STARTING SEQUENCE (This key is already associated with an element of this collection)"). The sequence would not start, and could no longer be started during the current run of the show.

· Text masks in SuperStar were not working for imported visualizations using a matrix made up of fixtures.

· SuperStar's smooth effects would not play to white mono-color lights.

· Shimmers produced in SuperStar would not stay the same color while shimmering.

·If a CCR with no assigned base unit is in an imported visualization, SuperStar will issue a warning.

·You can now open a file in SuperStar by double clicking on the file in Windows. Previously, SuperStar would crash while attempting to open the file if you did this.

·In an imported visualization in SuperStar, props of two or three fixtures would be in reverse order.

·In an imported visualization in SuperStar, the trailing ramp of an image would not clip the maxrix CCRs.

What's New in Version 3.10.6

· Bug fixes

Bug Fixes

·If you exported a sequence from SuperStar, and then opened that sequence in the Sequence Editor, made a change to it, and saved it, the Sequence Editor would warn you that the sequence was created by an older version of Light-O-Rama.

·If SuperStar were already in visualization mode, and you opened a .SUP file that referenced a visualization file that did not exist, SuperStar could crash.

What's New in Version 3.10.4

· Additional networks in SuperStar

· Bug fixes

Additional Networks in SuperStar

The number of networks in CCR mode in SuperStar has been increased from 4 to 8. Note that in Visualization mode, you can have the full 16 networks.

Bug Fixes

·A fast double click in the object selection area could lock up the Visualizer.

·In SuperStar, if the "white" color control is nonzero, and you scroll some text or images using a visualization, the text or image in the exported sequence could skip and jump in some cases.

What's New in Version 3.10.2

· Bug fixes

Bug Fixes

·In SuperStar, the clipboard could not be saved to a file.

·The Sequence Editor would sometimes give an "invalid procedure call or argument" error when attempting to save a sequence.

·The Sequence Editor would have problems with MIDI files, most prominently being unable to create new musical sequences based on MIDI files.

·Sometimes an imported visualization in SuperStar would get resized too large, and its bottom would get chopped off.

What's New in Version 3.10.0

· Sorting in the Keyboard

· Copy and Print in the Keyboard Preferences dialog

· Better memory usage in SuperStar

· New and updated fonts in SuperStar

· Updated SuperStar visualizations

· Eight channel Gen3 controller support in Hardware Utility

· Improved network detection in the Visualizer

· LOR Control Panel can restart the Show Player

· Show Player can automatically shut down and restart in certain situations

· Show Player will decache sequences if memory usage is too high

· Visualizer Keywords in SuperStar

· Duplicate RGB channel assignment warning in SuperStar

· More DMX adapters supported

· LOR Diagnostic shows more information

· Copy and save in LOR Diagnostic

· Beat Wizard, VU Wizard and Waveform Display support more media types

· Better support for variable bit rate MP3s

· Optionally play only audio while sequencing a video sequence

· Show entire head at start of morph

· Acceleration for morphs

· Smooth effects in SuperStar

· Support for more (and less) channels in the Hardware Utility

· Firmware updates

· Extend length of effects in instant sequence

· Instant sequence and timing map dialog settings saved

· Bug fixes

Sorting in the Keyboard Preferences Dialog

The Keyboard Preferences dialog in the Sequence Editor would previously display the list of keyboard preferences in order of the keys - for example, an entry associated with the A key would be listed before an entry associated with the B key. Now, the list can be sorted either in that order or in order of operation - for example, an entry that causes the "Apply Fade Down" operation to be performed would be listed before an entry that causes the "Copy Timing" operation to be performed.

Copy and Print in the Keyboard Preferences Dialog

In the Sequence Editor's Keyboard Preferences dialog, there are now new buttons to copy the list of keyboard preferences to the Windows text clipboard and to print the list.

Better Memory Usage in SuperStar

When building a sequence, SuperStar now uses about half as much memory as it used to.

New and Updated Fonts in SuperStar

Five new vertical fonts were added to SuperStar, and two fonts were updated with new asterisk characters. The new fonts are:

·6-5x6_Thin_Vertical.system.font

·6-6x6_Thin_Vertical.system.font

·8-8x8_Thin_Vertical.system.font

·10-12x12_Bold_Vertical.system.font

·10-12x12_Thin_Vertical.system.font

And the updated fonts are:

·10-12x12_Thin.custom.font

·10-12x12_Thin.system.font

Updated SuperStar Visualizations

Two sample visualization files for SuperStar, SuperStar_ControllersBottomLeft.lee and SuperStar_ControllersTopLeft.lee, have been updated.

Eight Channel Gen3 Controller Support in Hardware Utility

The Hardware Utility's Advanced Configuration screen used to support only 16 or 32 channel controllers. It now also supports 8 channel Gen3 controllers.

Improved Network Detection in the Visualizer

On a very limited number of machines, the Visualizer would be unable to detect the available network adapters. If the detection fails, an alternate method is now used.

LOR Control Panel Can Restart the Show Player

In previous versions of Light-O-Rama, if the schedule was enabled but the Show Player was not running (for example, if it were stopped via Windows Task Manager), the LOR Control Panel would simply change so that the schedule was disabled. Now, it will instead attempt to restart the Show Player. This may also help get the show running again more quickly if the Show Player crashes, but not necessarily: In at least some cases the Show Player might still be "running" in a technical sense until the user dismisses a Windows message box saying that the Show Player had crashed.

Show Player Can Automatically Shut Down and Restart in Certain Situations

If no show is playing, and if no show is scheduled to start playing within the next sixty seconds, and the Show Player is using over a hundred megabytes of memory (commit charge size), it will automatically shut itself down (and will then be automatically restarted by the LOR Control Panel, assuming the schedule is still enabled). The intention of this is a preventive measure to protect against ill effects of possible memory leaks in the Show Player, which could otherwise build up over time to a point that would cause the Show Player to crash.

This behavior can be disabled (so that the Show Player will never shut itself down automatically) by unchecking "Show Player Memory Restarts" in the LOR Control Panel's right-click popup menu.

Show Player Will Decache Sequences If Memory Usage Is Too High

During a show, whenever a sequence is about to start, the Show Player checks how much memory (commit charge size) it is using. If it is using over a gigabyte of memory, it will attempt to reduce memory usage by decaching sequences that it has previously loaded, until it drops down below 900 megabytes (or until it has no more sequences which it can decache). This is so as to prevent it from caching more and more sequences until it finally runs out of memory and crashes.

If it winds up needing to play one of the decached sequences again, this means that it will have to reload that sequence. Therefore, the sequences are decached in an order intended to minimize loading time:

1.If a sequence is currently playing, it will not be decached.

2.If the Show Player knows for sure that a sequence is about to be played, it will not be decached. Please note, though, that the Show Player may not always know for sure that a sequence is about to play, even if you know it, and so in certain situations you may occasionally see a sequence be decached soon before being played.

3.Sequences that are in sections of the show that are already finished are considered highly decacheable, and will be decached before any other sequences. For example, if the Shutdown section of the show is playing, then any sequences in the Musical or Animation sections are considered very decacheable, since they will never be played again during this run of the show.

4. Compressed sequences are considered more decacheable than non-compressed sequences, since compressed sequences can be loaded much more quickly than non-compressed sequences.

5.Two compressed sequences, or two non-compressed sequences, are compared to each other based upon the number of times that they have been played and the amount of memory that they took to load. Generally speaking, all else equal, a smaller sequence is more decacheable than a larger sequence, since it can be loaded more quickly. However, for any specific pair of sequences, the larger might be decacheable if the smaller sequence were played sufficiently more often.

Visualizer Keywords in SuperStar

You can now control various behaviors of how SuperStar will import a visualization by putting certain keywords in the comments areas of props or fixtures in the visualization. For example, you can mark a prop in the Visualizer so that when SuperStar imports the visualization, it will put the prop's lights in certain specific locations in the sequencing grid.

Duplicate RGB Channel Assignment Warning in SuperStar

If you have RGB lights with duplicate channel assignments in an imported visualization, SuperStar will warn you.

More DMX Adapters Supported

Two more DMX adapters, the DMXKing UltraDMX Micro and the DMXKing UltraDMX RDM Pro, have been added to the list of supported DMX adapters. Both should be configured in LOR Network Preferences to use the "ENTTEC DMX USB Pro" protocol.

LOR Diagnostic Shows More Information

In the past, LOR Diagnostic would display certain specific entries from the Light-O-Rama portion of the Windows registry. If Light-O-Rama started using a new registry entry, and LOR Diagnostic was not updated to include it, the information simply wouldn't be displayed at all. It now still shows those specific entries, but also shows raw data from the entire LOR portion of the registry, so that the information is present even if LOR Diagnostic is not specifically updated to include it.

Copy and Save in LOR Diagnostic

The LOR Diagnostic utility now has buttons enabling you to copy the utility's output to the Windows clipboard or to save it to a file.

Beat Wizard, VU Wizard, and Waveform Display Support More Media Types

The Sequence Editor's Beat Wizard, VU Wizard, and Waveform Display now support more media types, including video files. It also now has better support for the types that it supported in the past - for example, they would be unable to handle certain MP3s, issuing an error message such as "Cannot init conversion".

Better Support for Variable Bit Rate MP3s

In past versions, if your musical sequence used a variable bit rate MP3, and you wanted to use certain features in the Sequence Editor (such as starting play somewhere in the middle of the sequence instead of at the natural start of the sequence), you would need to convert the MP3 to use a constant bit rate (using a third party audio editor such as Audacity), or it would not work properly. Now, you may be able to do this without converting to a constant bit rate. Note that it's possible that you may still have to convert in some cases, so keep tools like Audacity in mind just in case.

Optionally Play Only Audio when Sequencing a Video Sequence

The Sequence Editor's Video Preferences dialog now has an option which can be used to make the Sequence Editor play only the audio track of a video file in a musical sequence, as opposed to also showing the actual video.

Show Entire Head at Start of Morph

In SuperStar, there is now an option to show the entire head at the start of a morph. This can be used, for example, to have a morph start out 50 pixels long, and get progressively shorter until it disappears at the end.

Acceleration for Morphs

In SuperStar, morphs can now be set up to accelerate (or decelerate). This can be used, for example, to make a morph going up that slows down, or a morph going down that speeds up, as if under the influence of gravity.

Smooth Effects in SuperStar

SuperStar now has three "Smooth Effects": Shockwave, Spiral, and Fan.

Support for More (and Less) Channels in the Hardware Utility

The main test screen of the Hardware Utility now supports 32 channels, rather than 16 as in the past. This allows the use of this screen (rather than the console) to test the DIO32 (in native address mode) and the new CMB24D (which is a 24 channel Direct Current (DC) card).

The advanced configuration screen previously only supported 16 and 32 channel cards. It has been updated to support the new CTB08Dg3, an eight channel card.

Firmware Updates

Several new firmware updates are included:

·CCB100D-V1_16.lhx

·CCR150D-V1_17.lhx

·CTB16PG3-V1_07.lhx

·CTB32LG3-V1_11.LHX

·DIO32_V1-32.LHX

·mDC_MP3_V4-22.lhx

The CCB100D and CCR150D firmware includes additional support for 500K. The CTB16PG3 and CTB32LG3 firmware includes support for "noisy AC" (less chance of flicker on noisy power). The DIO32 and mDC_MP3 firmware contain many changes that have previously been posted online, but never before distributed with the software installer.

Extend Length of Effects in Instant Sequence

SuperStar now has an additional option for instant sequences: "Extend Length of Effects". This option will extend the length of each effect up to the start of the next effect. This makes the instant sequence less "blinky".

Instant Sequence and Timing Dialog Settings Saved

SuperStar now saves the settings used in the Instant Sequence and Timing Map dialog boxes.

Bug Fixes

·In SuperStar, if you created a sequence in Instant Sequence, then clicked on "roll dice" and "sequence all", it would not erase the existing sequence before creating the next sequence. You would end up with multiple sequences stacked on top of each other.

·Some memory leaks related to sequences have been fixed.

·If you attempted to add an effect in visualization mode in SuperStar, and the fixtures involved did not contain any of the colors in the effect, an error would be displayed and you would not be allowed to add the effect. This error would prevent you from using group modify to move pixels on scenes. This error has been changed to a warning, and you are allowed to proceed if you want.

·After moving a selected group of effects in SuperStar, the first active selection could have been moved. This would result in group modify thinking that some attributes had been changed when they had not.

·In SuperStar's Import Visualization dialog box, if you type a value for "max length" and then click OK, it would not use the value that you had typed in.

·If you add a prop in SuperStar with a row and column specified, and then add a prop without a row and column specified, it would use the row and column of the first prop for both props.

·A memory leak in SuperStar, related to the conversion of an MP3 to a WAV file, has been fixed.

·Non-CCR RGB strings would not process correctly in SuperStar if there were more than 48 pixels.

·If SuperStar's sequencing row max length was more than 50, and if the total number of 50 pixel CCRs was more than 24, it would make the sequence row count be 24.

·If SuperStar's sequencing row max length was more than 50, the location of the SuperStar star was not being calculated properly.

·The time progress display while SuperStar was playing a sequence would flicker.

·If two channel commands overlapped in SuperStar, the channel would play differently in SuperStar than it would in the exported sequence.

·If the SuperStar fonts directory contained more than twelve fonts, SuperStar would hang.

·If the text in a SuperStar text action contained a double quote character ("), everything after that character would disappear when you saved the .sup file and reloaded it.

·If no method returns an available network adapter for the Visualizer, the "Local Loopback" adapter is automatically used.

·When writing a show to an SD card via the Hardware Utility, you could type in the dropdown box which is supposed to allow you to select the show number. Doing so would cause the show number to be 0.

·The "cleanup sequence" in the Musical section of a show was not paying attention to the Musical section's "Turn used lights off at the end of each sequence" option. It would instead always turn the used lights off, no matter whether the option was enabled or not.

·If you open a SuperStar sequence and it fails to open the associated audio file, the time layers would be blank. This has been fixed to default to a five minute length.

·The Hardware Utility might have crashed if an error occurred while selecting a COM port.

·When importing a visualization in SuperStar, sometimes the morph selection points would disappear, and the next time you used them, a spurious line would get drawn.

·The LOR Diagnostic utility was displaying incorrect information about the configured LOR networks, and no information about configured DMX universes.

·If the name of a DMX adapter began with a number, the Network Preferences program would list its name right justified instead of left justified on the DMX tab.

·On some computers, various Light-O-Rama programs would refuse to run, saying that "Light-O-Rama is not correctly installed", despite LOR having been installed.

·Undo and redo in SuperStar would sometimes not work properly; sometimes redo would not restore all effects that had been undone, and sometimes undo or redo would cause SuperStar to crash.

What's New in Version 3.9.0

· Comm speed changes

· Hardware Utility support for two networks in G3 MP3 Directors

· Hardware Utility support for 500K speed in G3 MP3 Directors

· Increased range of allowable sequencing grid lengths in imported visualizations

· New functions added in SuperStar dialogs

· Warning for channels needing a higher license level

· Verifier can be used on a single show or a single sequence

· New CCB/CCP firmware: Version 1.15

· New CCR firmware: Version 1.10

· New CTB32LG3/LOR160xWG3 firmware: Version 1.08

· New CTB16PCG3 firmware: Version 1.05

· New G3-MP3-Director Firmware: Version 5.22

· Bug fixes

Comm Speed Changes

Light-O-Rama networks were previously able to use communication speeds up to 115.4K. New Generation 3 controllers, Cosmic Color Bulbs, Cosmic Color Ribbons, and Cosmic Color Pixels are now able to support 500K, approximately four times faster. You can set your network to use 500K in the LOR tab of the Network Preferences program. You may have to update your firmware to take advantage of this new feature.

Also, network speeds are no longer referred to as distances. Instead, the actual speed of the connection is used. "Long Range" is now called "19.2K", "Average" is now "57.6K", and "Short Range" is now "115.4K".

Hardware Utility Support for Two Networks in G3 MP3 Directors

Previously, a Light-O-Rama MP3 Director was able to control a show on a single LOR network. The new Generation 3 MP3 Directors are able to control two separate networks, and the Hardware Utility has been updated to support this new functionality.

Hardware Utility Support for 500K Speed in G3 MP3 Directors

Previously, a Light-O-Rama MP3 Director was able to support communications speeds up to 115.4K. The new Generation 3 MP3 Directors are able to additionally support 500K, approximately four times as fast as earlier controllers. The Hardware Utility has been updated to support this new functionality. You may have to update your firmware to take advantage of this new feature.

Increased Range of Allowable Sequencing Grid Lengths in Imported Visualizations

When importing a visualization into SuperStar, you can now set the maximum sequencing grid length anywhere from 25 to 200, rather than the previous 50 to 100.

New Functions Added in SuperStar Dialogs

Various new functions were added to some of SuperStar's dialog boxes: "Move pixels" was added in the scene group modify dialog box; "Move endpoints" and "Reverse direction" were added in the morph group modify dialog box; "Use Head Color" was added in the morph dialog box.

Warning for Channels Needing a Higher License Level

When opening a sequence in the Sequence Editor, a warning is presented if the sequence contains channels that your license level cannot control. This warning appears only once per Sequence Editor session.

Verifier Can Be Used on a Single Show or a Single Sequence

The Light-O-Rama Verifier, which can be used to check for various problems with your schedule, shows, and sequences, used to check your schedule, the shows that are on that schedule, and the sequences that are in those shows. It still can do that (and still does it by default), but now you can also ask it to check just a single show (regardless of whether it is scheduled or not), or a single sequence (regardless of whether it is in a show or not).

Note, though, that it's possible that two sequences which each pass individual checks from the Verifier without any problems might still have problems when used together within a single show. So it's always a good idea to run the Verifier against their show, and especially against the entire schedule, at least once before going live with your show.

New CCB/CCP Firmware: Version 1.15

This new firmware for Cosmic Color Bulbs and Cosmic Color Pixels supports 500K communications speed.

New CCR Firmware: Version 1.10

This new firmware for Cosmic Color Ribbons supports 500K communications speed.

New CTB32LG3/LOR160xWG3 Firmware: Version 1.08

This new firmware for CTB32LG3/LOR160xWG3 has the following changes:

·Support for 500K communications speed.

·Support for LED Display sharing with the new G3-MP3-Director when the director is attached rather than the regular Display Daughter Card.

·A bug was fixed in standalone mode when the unit is used as a director for other controllers while running a standalone sequence.

New CTB16PCG3 Firmware: Version 1.05

This new firmware for CTB16PCG3 controllers supports 500K communications speed.

New G3-MP3-Director Firmware: Version 5.22

The G3-MP3-Director is a new device that will replace the DC-MP3.

Bug Fixes

·In SuperStar, a visualization with a matrix of CCRs sometimes would not clip effects to stay within the CCR matrix. This was especially noticeable when playing image actions on the CCR matrix.

·In SuperStar, if you saved an archive file, and then opened it, you could no longer export it with the demo version.

·If you did a Create QuickVis on a combination of CCR controllers and standard 16 channel controllers, then SuperStar would place the first row of 16 channel controllers on top of the last row of CCR controllers.

·In SuperStar, only the end points of RGB light strings (strings where all the lights are the same RGB color) were being drawn. This has been fixed to draw bulbs along the entire string.

·When pressing the Play or Paste button in SuperStar, some unnecessary screen redraws were done. These have been removed.

·Selection of an RGB fixture was not working in SuperStar.

·If you change from CCR mode to Vis mode, SuperStar will now automatically rename the file by appending "_vis" to the end of the name. This is to prevent cases where you would otherwise lose the star channels in a sequence that was done in CCR mode.

·If the Sequence Editor had hold of an audio file while SuperStar tried to create timings using that audio file, SuperStar would crash.

·If you are in "Full Range" color mode in SuperStar, and you set the color controls with the color picker dialog box, red and green could be set to 130. This caused constant "integer out of range" errors because the color fields in the dialog boxes had values out of range.

·In the Animator, if the file that was supposed to be used as the background image of the animation did not exist, the "Remove Image" button would be grayed out, thus giving no straightforward way to remove the reference to the image from the animation.

·When trying to create a new musical sequence in the Sequence Editor, media files with the extension "m4a" would not be shown unless the dropdown box controlling the types of media files displayed was changed from "All Supported Files" to "MPEG Audio".

·Added support for non-continuous lines in a light string in a visualization in SuperStar.

·Added support for "superstar cool" and "superstar warm" to indicate the dimming curve to use in SuperStar.

·On a large resolution screen, you could have ended up with more than ten rows in the time layers in SuperStar.

·In SuperStar, if using an imported visualization using up and over CCRs, or wedge CCRs, images got clipped to the first half of the sequencing rows.

·One of the things that the Verifier checks is whether or not any LOR program files (such as the Sequence Editor) are missing. There were a few such program files that it was not checking for.

· ServoDog controllers were not being properly detected by the Hardware Utility.

·If an international character was used in the name of an audio file in SuperStar, and the sequence was exported, the Sequence Editor would fail to open the sequence.

·In some situations, a SuperStar sequence could be erased if you saved after clicking "New Document".

·A memory leak, which could affect any program using a sequence but which was most noticeable in the Show Player during shows that were using non-compressed sequences, has been fixed.

·In SuperStar, after a paste of a group of effects and nudging the pasted effects around, sometimes a "group modify" would modify more than it should.

·When changing configuration or layout information, SuperStar would crash if SSEdit.cfg was "read only" (this would typically only happen if the Lightorama directory were placed in an area that the operating system does not allow write access to). This has been fixed so that SuperStar will instead display an error message advising that configuration and layout information could not be saved.

What's New in Version 3.8.0

· M4A Support

· Hiding Fixture/Prop Names

· Default Channel Names Options

· Protected Sequences on SD Cards

· Bug Fixes

M4A Support

M4A media files are now supported in musical sequences.

Hiding Fixture/Prop Names

A new option has been added to hide fixture/prop names in the Visualizer when something is selected in the editor. This can reduce editing screen clutter.

Default Channel Name Options

When creating new channels on a fixture in the Visualizer, there are now options to default the channel name to one or more of the Fixture Name, Channel Order Number, or RGB Color (if applicable).

Protected Sequences on SD Cards

Protected sequences can now be used on SD cards via the Hardware Utility or the Simple Show Builder.

Bug Fixes

·When upgrading to a new version of Light-O-Rama, existing SuperStar custom fonts would be overwritten with those from the installer. Only the system fonts, not the custom fonts, should have been overwritten (both should be installed if not already present).

·After double clicking a .LEE file in Windows, the Visualizer's toolbar icons were sometimes not correctly enabled.

·Pressing Delete a second time while the Visualizer's "Are You Sure?" dialog was presented caused a second "Are You Sure?" dialog to pop up. After responding to both of them, the simulation data could be left in a corrupted state.

·If you reduced the number of CCRs in a SuperStar sequence, saved, relaunched, and selected a scene, the program would hang.

·In SuperStar's visualization mode, if you opened a sequence that uses an invalid visualization path, the program would hang.

·In SuperStar, if a visualization had a matrix of CCRs, and some other CCRs as well, then image actions could be seen on the other CCRs.

·If there was more than one prop with CCRs in it, SuperStar would add them in the order found in the visualization. They are now sorted and added according to the row they are on.

What's New in Version 3.7.0

· Easier Visibility of Morph Paths

· Max Length of Sequencing Rows

· Wrap Around Mode

· Tree Wizard Improvements

· Performance of Creation of Standalone Sequences Improved

· Bug Fixes

Easier Visibility of Morph Paths

In SuperStar, a line is drawn from 1a-2a and 1b-2b for morph anchor points. This makes it easier to see the path that the morph is going to take.

Max Length of Sequencing Rows

SuperStar now has a "Max Length" setting to set the length of sequencing rows from 50 to 200. This allows the sequencing rows to be longer, so all fixtures on a row in a visualization will fit on one row.

Wrap Around Mode

SuperStar now has a "wrap around mode", designed to be used with 360 degree trees to make it easier to have an effect start and end in a particular place.

Tree Wizard Improvements

The Tree Wizard in the Visualizer has been streamlined. This includes a new option for a top radius, and several new CCR bundle types.

Performance of Creation of Standalone Sequences Improved

The creation of standalone sequences (for example, in the Hardware Utility for an MP3 Director) has been made significantly faster. For example, a certain very large sequence that used to take over twenty minutes to convert to a standalone sequence on a certain computer now takes approximately one minute on that same computer.

Bug Fixes

·If SuperStar had never been run on a particular computer before, or its configuration had never been changed, and you attempted to change the rotation on a new sequence (not on a sequence loaded from a file), SuperStar would hang in certain cases.

·If SuperStar had never been run on a particular computer before, or its configuration had never been changed, and you attempted to bring up the Layout dialog box and change to half ribbons, the text would be clipped so that only the first ribbons got text on them.

·In SuperStar's CCR mode, if you added white text, it would have a red shadow on it.

·When a visualization was used in SuperStar, in some situations the file would be renamed to _vis.sup.

·In SuperStar's visualization mode, if the "Star in Use" setting was "Yes", effects would get offset by four rows.

·In SuperStar, if the regular network was not being used, but had unit IDs in the same range as an Aux network that was being used, channels for those unit IDs would have incorrectly used the regular network instead of the Aux network.

·In the Visualizer, after inserting a prop from a file, the prop/fixture buttons and/or the list of props/fixtures shown on the main editing window could be wrong.

What's New in Version 3.6.0

· Vertical Mode in Import Visualization

· Bug fixes

Vertical Mode in Import Visualization

· SuperStar's Import Visualization dialog now has an optional "vertical mode" sequencing grid orientation, which can be used to more easily deal with displays that are taller than they are wide (such as a visualization of an RGB megatree).

Bug Fixes

·A bug in SuperStar was fixed related to the drawing of floods and bulbs in a visualization.

· Instant Sequence was producing white effects for CCRs, but not for RGB lights. It will now treat strings of RGB lights the same as CCRs.

· SuperStar now supports reversing the order of fixtures in a prop if necessary in order to support a matrix of RGB lights that are not a Cosmic Color Device.

·Having an "&" character in a fixture or prop name in a visualization exported to a sequence by SuperStar sometimes caused an "unterminated entity" error when the exported sequence file was opened in the Sequence Editor.

What's New in Version 3.5.0

· E1.31 supported

· New Network Configuration program

· Play efficiency improvements

· New "QuickVis" files in SuperStar

· Improved handling of half-ribbon matrix arrays in imported visualizations

· Maximum Detection Rows setting for imported visualizations

· Improved error reporting when importing visualizations

· Change to names of channels in exported visualizations

· Morphs across entire sequencing grid after importing visualization

· Can select individual pixels in CCR visualization in SuperStar

· New mouse selection abilities in SuperStar visualizations

· Can select start and end points of morphs in SuperStar visualizations

· Start and end marks of morphs more easily identifiable

· Dimming curves in exported visualizations

· Support for duplicate fixtures in SuperStar visualization mode

· Improved Instant Sequence effects

· Improved balance across comm networks

· Arches with less than four segments

· Default grid color in Visualizer's options dialog

· Cancelling out of Visualizer's wizard to create fixtures

· Increase pointer precision in Visualizer by holding Shift

· Move only horizontally or vertically in Visualizer by holding Ctrl

· Suppress "Is this the port for shows" in the Hardware Utility

· "Color by time" in Instant Sequence

· Too-frequent SuperStar warning removed

· SuperStar group delete efficiency improved

· Bug fixes

E1.31 Supported

E1.31 protocol, also known as "streaming DMX over ACN", is now supported for DMX devices. This allows native DMX devices to be hooked up to LOR over an ethernet network, rather than over a serial port. Note that one or more E1.31 gateway devices, which convert E1.31 to standard DMX, would be required between your computer and your DMX devices.

New Network Configuration Program

A new program, the Light-O-Rama Network Preferences program, has been made. This program can be used to set up your various network settings, such as for your Light-O-Rama networks, DMX universes, X10 network, and so on.

This new program replaces the Sequence Editor's Network Preferences dialog. It can be launched through the Sequence Editor's Preferences menu, the Light-O-Rama Control Panel, or as a standalone Windows program.

Play Efficiency Improvements

Several efficiency improvements were made related to playing sequences, both at the startup of play and during play itself. These would be most noticeable on very large sequences, or sequences using many events on DMX channels.

New "Quick Vis" Files in SuperStar

SuperStar now has the ability to create "Quick Vis" files, which are simple visualizations, enabling you to use SuperStar's Instant Sequence feature without actually having a "real" visualization.

Improved Handling of Half-Ribbon Matrix Arrays in Imported Visualizations

SuperStar's handling of half-ribbon matrix arrays in imported visualizations has been improved.

Maximum Detection Rows Setting for Imported Visualizations

SuperStar's imported visualizations feature now has a new "maximum detection rows" setting, which enables you to control how many rows the lights from the visualization will be imported into.

Improved Error Reporting when Importing Visualizations

SuperStar's error reporting has been improved in situations when an error occurs while importing a visualization.

Change to Names of Channels in Exported Visualizations

When SuperStar would export a visualization sequence, the names of exported channels used to just be the names of the visualization's channels. Now they are the visualization channel names plus the visualization fixture names.

Morphs across Entire Sequencing Grid after Importing Visualization

After importing a visualization into SuperStar, the unused portion of a sequencing row is drawn in dim green and is selectable. This makes it possible to apply only one morph across the entire sequencing grid.

Can Select Individual Pixels in CCR Visualization in SuperStar

Individual pixels can now be selected in a CCR visualization in SuperStar.

New Mouse Selection Abilities in SuperStar Visualizations

You can now select in SuperStar visualizations using Ctrl-left click and Ctrl-drag.

Can Select Start and End Points of Morphs in SuperStar Visualizations

You can now specify the start and end points of a morph in a visualization in Superstar.

Start and End Marks of Morphs More Easily Identifiable

The start and end marks of a morph in SuperStar are now cyan and magenta to help identify them. Formerly, they were both white.

Dimming Curves in Exported Visualizations

When exporting a visualization in SuperStar, an LED dimming curve is used for CCRs and RGB devices, while an incandescent dimming curve is used for all other lights.

Support for Duplicate Fixtures in SuperStar Visualization Mode

SuperStar's visualization mode now supports duplicate fixtures.

Improved Instant Sequence Effects

The effects generated by SuperStar's Instant Sequence are now limited by the size of each sequencing row. This improves Instant Sequence effects to make them a bit more in sync and a bit less choppy.

Improved Balance across Comm Networks

The buffer size for writes to serial port devices has been increased, as has the associated timeout value. These changes improve balance across communications networks.

Arches with Less than Four Segments

The Visualizer's Arch Wizard previously wanted four or more segments; otherwise the arch would not actually look like much of an arch. It now appears more archlike even with less than four segments.

Default Grid Color in Visualizer's Options Dialog

The Visualizer's Options dialog now supports the default grid color option.

Cancelling Out of Visualizer's Wizard to Create Fixtures

The Visualizer's dialog to create fixtures now has a cancel button, giving the user the opportunity to cancel out of the process.

Increase Pointer Precision in Visualizer by Holding Shift

Holding the Shift key while moving the mouse in the Visualizer now reduces the cursor speed, thus making more precise cursor movements easier.

Move Only Horizontally or Vertically in Visualizer by Holding Ctrl

Holding the Ctrl key while moving the mouse in the Visualizer will now limit cursor movement to either horizontal or vertical, depending upon the basic direction the mouse was moving at the start of movement.

Suppress "Is this the port for shows?" in the Hardware Utility

When the user selects a different COM port in the "Manual Select" dropdown box of the Hardware Utility, the system asks if the newly selected port was "the LOR Show Port". If "Yes" was selected, the Regular network was set to use that port. A "Don't show this again" option has been added to that dialog, so that the user will not see it over and over, if desired.

"Color by Time" in Instant Sequence

SuperStar's Instant Sequence feature now supports a "color by time" option, which enables you to specify an absolute length of time (such as "four seconds") that it will take for effects in a theme to change color.

Too-Frequent SuperStar Warning Removed

When creating a new Instant Sequence in SuperStar, it would often give a warning about not being able to undo your action. This warning has been removed.

SuperStar Group Delete Efficiency Improved

SuperStar's group delete function has been optimized to be faster when deleting a large number of effects.

Bug Fixes

· Lock and Unlock on the Visualizer's right-click context menu were not working correctly.

·The Visualizer incorrectly allowed for multiple unselected fixture/prop deletes when using the DEL key.

·In SuperStar, shrinking a visualization to fit the screen would not always work correctly.

·Various "import visualization" bugs were fixed in SuperStar.

·If you imported a visualization in SuperStar, the first and last boxes on the first sequencing row would be set to white, yet if you tried to add a scene, you would get an error saying that no pixels were selected. This has been fixed so that no sequencing row boxes are selected after the import of a visualization.

·When the Light-O-Rama Control Panel launched another program (such as the Schedule Editor), the program would start minimized.

·When checking that the networks used by channels were configured, the Verifier would not check if the network was a DMX universe.

·The first effect in a SuperStar Instant Sequence would not start out at the right color.

·When doing an Instant Sequence on a visualization using SuperStar's Color Wheel, and a row of fixtures did not contain a color, there were cases where the row would not receive any visible effects for long periods of time.

·In SuperStar's Import Visualization, there were cases where fixtures were not being recognized.

What's New in Version 3.4.0

· SuperStar supports images and text when in visualization mode

· Timing change in SuperStar's "forward" and "reverse"

· Expanded WAV support in SuperStar

· Visualizer can make itself shown in front of all other windows

· SuperStar's export limit based on number of channels

· Large visualizations shrunk to fit in SuperStar

· Bug fixes

SuperStar Supports Images and Text when in Visualization Mode

Images and text are supported in SuperStar while in Visualization mode. Note that it only makes sense to use images in text in a visualization if you have a grid of lights. To use text, the grid must be at least 5x5.

Timing Change in SuperStar's Forward and Reverse

When clicking on the Forward and Reverse buttons on the group of tape recorder buttons on SuperStar's toolbar, it now scrolls forward or backward one second (it used to scroll two).

Expanded WAV Support in SuperStar

If the header in a WAV file is of an unknown format, SuperStar now uses default values to open the WAV file. This is an unusual case, but it means that there are some WAV files that will now play properly whereas they would fail to play previous to this change.

Visualizer Can Make Itself Shown in front of All Other Windows

A new option, "Force Simulation Window to Front", has been added to the Visualizer's Com/Ref options tab (tab number 6). When this option is enabled, whenever the Visualizer receives data and is in Simulation mode, the Visualier window will force itself to be shown in front of all other windows. This option is off by default.

SuperStar's Export Limit Based on Number of Channels

When in visualization mode, SuperStar now limits export based on the number of channels instead of on the number of sequencing rows. For example, if you have a 2 CCR license, it will now allow export of up to 300 channels when in visualization mode.

Large Visualizations Shrunk to Fit in SuperStar

If a visualization imported into SuperStar is too big, it is now shrunk to fit within the screen.

Bug Fixes

·If in one of SuperStar's small views, sometimes the sequencing grid was too wide.

·If a sequence were opened in one of SuperStar's small views, the numbers at the left of the time layers wouldn't display properly.

· SuperStar's effect bar representing a scene for the star could have ended up being any color. This has been fixed so that the bar is always white.

What's New in Version 3.3.0

· Setting SuperStar's color control for images

· Cosmic Color Bulb Support

· Support for flipped Cosmic Color strings in Insert Device

· Bug fixes

Setting SuperStar's Color Control for Images

When drawing an image in SuperStar, you can set the color of the color control to the color of an image pixel by holding the Shift key and left-clicking the pixel with your mouse.

Cosmic Color Bulb Support

Support for Cosmic Color Bulb devices has been added to the Sequence Editor's Insert Device screen (in the Cosmic Color Device section) and to the Hardware Utility's CCR/CCB Configuration screen.

Support for Flipped Cosmic Color Strings in Insert Device

Cosmic Color Devices have a hardware setting option where the pixel numbers can be "flipped" - i.e. instead of pixel #1 being closest to the device and pixel #50 being furthest from it, pixel #50 is closest and pixel #1 is farthest. The Sequence Editor's Insert Device screen's Cosmic Color Device section now has an option to list RGB channels in the device being created from 1 to 50 or from 50 to 1, so as to more easily match up the sequence as shown on the screen with the actual hardware device.

Bug Fixes

·In SuperStar, sometimes the length of an archive file would become five minutes instead of the length of the original audio file.

·In the Visualizer, if the user pressed the Enter key on the Prop Properties screen, the last fixture selected to be part of the prop may not have been saved correctly.

·When using the Visualizer's Prop Properties box, the system could occasionally throw a logged error. The system correctly recovered, but the error should not have happened in the first place.

·When using the Visualizer's Channel Wizard on RGB props along with a reference file with RGB channels, the second and subsequent fixtures assigned to the prop could have incorrect channel assignments.

·In SuperStar, sometimes if you modified the image an an image action and then played the sequence, it would hang.

·Some morphs in SuperStar could have had missing pixels.

What's New in Version 3.2.4

· Play startup speed improved in the Sequence Editor

· SuperStar filename changes

· SuperStar exported timing grid changed

· Bug fixes

Play Startup Speed Improved in the Sequence Editor

The amount of time that the Sequence Editor takes to start playing a sequence has been reduced (this is most noticeable on very large sequences).

SuperStar Filename Changes

The names of various file types that SuperStar creates have been changed: Export files are now "_sup.lms" instead of ".sup.lms"; vis files are "_vis.lms" instead of ".vis.lms"; archive files are "_archive.lms" instead of ".archive.lms". Also, exported files are named ".lms" regardless of whether they have an associated media file, with the expectation that the user will soon add a media file to them.

SuperStar Exported Timing Grid Changed

The timing grids of sequences exported from SuperStar have been changed from 0.10 seconds to 0.05 seconds.

Bug Fixes

·If you chose a color such as yellow-white in SuperStar's instant sequencing in CCR mode, you would only see occasional yellow.

·In some cases, when "loop at end" was on and the play range started close to the end of the sequence, play would not start properly in the Sequence Editor.

·On some Windows 7 computers, every time the Visualizer was started, it would ask the user if they wanted to associate .LEE files to the program.

What's New in Version 3.2.0

· Running sequences displayed in LOR Control Panel

· New DMX adapter supported

· Simple Show Builder defaults to "All Files"

· SuperStar ".vis.sup" files

· SuperStar ".archive.sup" files

· New option for creating trees in the Visualizer

· Effect type options for the tail of a morph in SuperStar

· Added group modify for scene effect type in SuperStar

· Updating Visualizer channels by name

· SuperStar supports DMX for visualizations

· SuperStar supports multiple networks for visualizations

· Visualizer from the command line

· Visualizer files registered with Windows

· Paste Multiple can paste to the end of a group

· Sequence Editor remembers the directory of the last sequence opened or saved

· Ending drawing via the keyboard

· Tooltips for channel group expander buttons

· Control Panel remembers whether schedule is enabled or not after shutting down

· Bug fixes

Running Sequences Displayed in LOR Control Panel

During a show, the LOR Control Panel's status window now shows information about the various sequences that are running.

New DMX Adapter Supported

The LOR USB485-ISO is now officially supported for use as a DMX adapter. It should use the "Raw DMX" protocol.

Simple Show Builder Defaults to "All Files"

When selecting the sequences to use in the Simple Show Builder, the user is given a choice of which sequences should be displayed so as to be able to choose from: "16 Channels", "32 Channels", and "All Files". The first two are not really based upon the number of channels in the sequence; rather, they are based on the name of the file (for example, if "16 Channels" is selected, all files with "16" in their names are displayed).

Previously, the default would be "16 Channels". Since many people make sequences without any having "16" in their filenames, this would result in a blank list being displayed, often leading to confusion as to why the Simple Show Builder was not listing the sequences. To prevent this, the Simple Show Builder now defaults to "All Files" instead of "16 Channels".

SuperStar ".vis.sup" Files

If you load a SuperStar sequence file and then import a visualization, the filename of the SuperStar sequence file is changed to end with ".vis.sup" instead of ".sup". For example, a SuperStar sequence named "AwesomeSequence.sup" will be changed to "AwesomeSequence.vis.sup" upon importing a visualization.

SuperStar ".archive.sup" Files

If a SuperStar sequence file's name ends with ".archive.sup", SuperStar will not let you change the file using "Save". Instead, it will prompt you to use "Save As". If you then use "Save As", it will rename the file to not have "archive" in the name. This is to help prevent changing an archive file.

New Option for Creating Trees in the Visualizer

The Visualizer's Tree Wizard can now also create trees that start at the center pole and go to the base. Previously, it could only create trees where the initial point was on the base.

Effect Type Options for the Tail of a Morph in SuperStar

When doing a morph in SuperStar, you can now do a shimmer or a twinkle on the tail of the morph.

Added Group Modify for Scene Effect Type in SuperStar

"Modify Effect Type" was added as a check box in SuperStar's Scene Group Modify dialog box. Previously, you could set the effect type individually, but could not set it to a group.

Updating Visualizer Channels by Name

When using a reference file, the Visualizer now gives you the option to update channels based on the channel's name or the channel's key. Previously, the only update available was "by key". Now when updating by name, the Visualizer can update the Device, Network, Unit, Circuit, and Channel Color to what was loaded in the reference file(s). Updating by name will help those people who change the physical layout of their channels.

SuperStar Supports DMX for Visualizations

Previously, SuperStar supported only Light-O-Rama controllers for imported visualization files. DMX is now also supported.

SuperStar Supports Multiple Networks for Visualizations

Previously, SuperStar supported only one network for imported visualization files. It now supports multiple networks.

Visualizer from the Command Line

The Visualizer can now accept filenames on the command line. If you specify a filename on the command line, the Visualizer will attempt to load it, skipping the "On Startup..." option. If it is not successful, the "On Startup..." option will be used.

Visualizer Files Registered with Windows

The Visualizer now registers the ".lee" filename extension with Windows, so if you double click a .lee file in Windows, the Visualizer will start and load that file automatically.

Paste Multiple Can Paste to the End of a Group

When selecting the number of times to paste vertically, the Sequence Editor's Paste Multiple dialog used to give a choice between pasting an explicit number of times (such as 3 or 7) and "Paste all the way to the end of the sequence", which would paste vertically as many times as it took to get to the last channel in the track. It now also gives the option to paste to the end of any channel group or groups that contain the first channel being pasted to.

Sequence Editor Remembers the Directory of the Last Sequence Opened or Saved

When a sequence is opened or saved in the Sequence Editor, the Sequence Editor now remembers the directory of the sequence, so that the next time a new sequence is saved, or the next time the Existing Sequence tab of the New and Open dialog is used, it will default to that directory.

Ending Drawing via the Keyboard

Previously, the only way to end a drawing in the Visualizer's editing window was to double click. You can now also end a drawing by pressing either the End key or the Enter key.

Tooltips for Channel Group Expander Buttons

In the Sequence Editor, if you hover your mouse over the expander button for a channel group (the small "+" or "-" button to the left of a channel group button), a tooltip will pop up saying the name of the channel group it is for, and whether left-clicking on the button will cause the group to expand or collapse.

Control Panel Remembers Whether Schedule Is Enabled or Not After Shutting Down

The LOR Control Panel has always had the ability to start up automatically upon the computer being started (and the Windows user logged on), and if the schedule had been enabled when the computer was shut down, it would automatically enable the schedule upon being started as well. However, if the Control Panel were unloaded via "Unload Light-O-Rama", it would not automatically enable the schedule upon being started again. Now, when it is started up, it enables the schedule or not based on whether or not it was enabled the last time it had been running.

Bug Fixes

·In SuperStar, exported CCR sequences have the RGB values "balanced" so that the colors on the actual CCRs match the colors on your computer screen (think of this as a color correction made to the RGB values). This was being done when in CCR mode, but when in visualization mode, exported CCRs were not having their RGB values balanced.

·A SuperStar scene that used the Twinkle effect did not show that effect on the computer screen (note that the effect did happen on the actual CCRs themselves).

·After selecting effects in SuperStar, Ctrl-C would not copy the effects that you had just selected.

·If you created a SuperStar sequence in CCR mode using the star, and then imported a visualization, the channels for the star did not appear on the sequencing grid, and made it impossible to change the star channels.

·If two different effects in SuperStar attempt to control a channel at the same time, SuperStar throws out the shortest command. However, this was not being done for the commands in an exported sequence. The result was that sequences with overlapping channel commands played back differently in SuperStar than they did from an exported sequence.

·After using a wizard, the Visualizer would correctly show Prop mode. However, pressing the "Fixture" button on the main screen sometime did not correctly change into Fixture mode.

·Pressing the "Default" button on the Visualizer's Tree Wizard could incorrectly set the number of pixels per segment, which could then cause an error.

·If you make a selection in SuperStar's star channel grid, selections in the CCR channel grid will be cleared, and vice-versa. Previously, the existing selection would not be cleared, which could lead to confusing effects.

·In SuperStar, if you loaded a sequence with timings, and then loaded one without timings, the timing map would get stuck in Imported Timings mode, and attempting to set the frequency spectrum would not work.

·If you loaded a channel configuration file as a reference in the Visualizer, and then chose to update existing channels, the channel colors for matching virtual channels could be set incorrectly.

·When "Disable Shows Immediately" was done in the LOR Control Panel, the lights on native DMX universe devices would not be turned off.

·If the Sequence Editor's "Channel Button Colors" setting were set to anything besides "None", the color of the channel buttons' fonts would vary during play even if "Vary Color of Channel Button Fonts" were turned off in the Play Preferences dialog.

·The Sequence Editor's Edit menu's keyboard shortcut for Set Paste Mode was changed from M to O, because M was already in use for Paste Multiple, which led to it being impossible to open the Set Paste Mode menu via the keyboard.

·After a "Disable Shows Immediately" was done in the LOR Control Panel, in some cases a message would appear in the status log saying "tmNextAction_Timer Error: Object variable or With block variable not set".

·When selecting a show file to schedule in the Schedule Editor, the "file type" dropdown box of the file browsing dialog would allow either "Show Files" (which was the default) or "All Files". Selecting "All Files" would allow you to schedule some sort of file other than a show file, which would not accomplish what you were hoping (since the Show Player only supports scheduled shows, not any other sort of scheduled thing). The Schedule Editor now only allows you to schedule shows.

·If a track were hidden, and that track were selected from the Sequence Editor's track dropdown list (in the Tracks and Timings toolbar), the track would become the active track (as it should), but it would remain hidden and the display would not move to show it.

·In SuperStar, if you imported a visualization file and picked a recent file to open such as "Untitled.sup", the program would advise that it changed the name to "Untitled.vis.sup". However, if you do a Save As, the name would default to "Untitled.sup" instead of "Untitled.vis.sup".

·When exporting a file in SuperStar, if you typed in a name such as "MySequence", it would give an error saying that the file name has to end in ".lms" or ".las". This has been fixed so that the appropriate file extension automatically gets appended to such a file name.

·In SuperStar, an image that was moved a short distance would stay on the screen too long.

·In SuperStar, if you added some macros, selected those macros, deleted them, and then tried to undo the group delete, they would not get restored. Also, if you selected a group of effects that include some macros and did a group delete, it would not always undo properly, and in some cases would cause SuperStar to crash.

·Sometimes when importing a visualization file that contained RGB fixtures into SuperStar, the channels for that fixture were not red, green, and blue.

·The controller for the star in SuperStar was always being placed in the Regular network; it can now be placed in any network.

·If the Visualizer attempted to load a file that previously existed but was now missing, the error message presented was not clear. The error message now explicitly says that the file is missing, rather than the generic "XML error".

·If you deleted the currently displayed timing grid in the Sequence Editor, it would continue to be displayed until you manually displayed another.

·When exporting a SuperStar sequence, if the name of the media file contained the "&" character, an error would occur when trying to load the exported sequence in the Sequence Editor.

·When saving a morph in SuperStar, the end intensity level for white was always the same as the start intensity level for white.

·In some situations, as the Show Player was starting (after having enabled shows), the LOR Comm Listener would shut down. This would happen when the Show Player took longer than the Comm Listener would expect to start up, which might happen, for example, if the computer had the third-party Universal Library and InstaCal installed for controlling digital IO cards. The Comm Listener now gives the Show Player a longer amount of time to start up before deciding to shut itself down.

·On some computers, the LOR Comm Listener would occasionally get in a state where it would shut down and then restart over and over, fairly rapidly. A change was made to fix this in at least some situations.

·In SuperStar's Timing Map dialog box, if you deselected "Also Set TCM" and changed the TCM settings, it would set the TCM settings back to what they were before you changed them.

·Ball Tree (RGB light strings where the color of the whole string of lights changes together) was not playing back properly in SuperStar.

·In the Sequence Editor, if "Loop at End" is turned on, and the play range includes the end of the sequence, and the sequence is a musical sequence, the loop would be done back to the beginning of the sequence rather than to the beginning of the play range.

·If a sequence contained more than one channel, then on the Channel Configuration screen, the tab key would move the focus from control to control in a strange order.

·When you zoomed channels in or out in the Sequence Editor, any channel group expander buttons on the screen would not be redrawn into their proper new positions until you did something like hover over them.

·In some situations, a clipboard removed from the Sequence Editor would still be partially visible in the list of clipboards, leading to errors if it were selected.

What's New in Version 3.1.4

· Bug Fix

Bug Fix

·In most cases, the LOR Control Panel would slowly leak memory resources, eventually leading to strange behavior such as shows stopping or crashing.

What's New in Version 3.1.2

· Bug Fix

Bug Fix

· SuperStar could crash at startup time. This has been fixed.

What's New in Version 3.1.0

· Expand All and Collapse All for channel groups

· New DMX adapters supported

· Performance of ENTTEC DMX USB Pro adapters improved

· Scrunching the SuperStar sequence grid for imported visualizations

· Instant Sequencing with imported timings

· Increased limit on SuperStar's number of fixtures per prop

· SuperStar exports grouped CCR devices

· Sample SuperStar clipboard files added

· Bug fixes

Expand All and Collapse All for Channel Groups

In the Sequence Editor, clicking on a channel group's expander button expands or collapses the channel group - that is, it makes the channel group's children visible, or hides them. In addition to this, now you can expand or collapse the channel group and all of its descendents:

Holding the Shift key while clicking on a collapsed group will expand it and all of its descendants except for RGB channel descendants; holding both Ctrl and Shift while clicking on a collapsed group will expand it and all of its descendants including RGB channel descendants.

If the group is expanded, holding Shift (or both Ctrl and Shift) while clicking will collapse it and all of its descendants.

New DMX Adapters Supported

The LOR USB485B and the Lynx adapters are now officially supported for use as DMX adapters. The LOR USB485B should use the "Raw DMX" protocol, and the Lynx should use the new "Lynx" protocol.

Performance of ENTTEC DMX USB Pro Adapters Improved

One of the supported adapters for native DMX devices, the ENTTEC DMX USB Pro, is capable of offloading some CPU utilization from the computer driving the DMX devices through it. Previous versions of Light-O-Rama did not take advantage of this capability, but it does as of this version.

Scrunching the SuperStar Sequence Grid for Imported Visualizations

A new option has been added to SuperStar's Import Visualization dialog, allowing you to "scrunch" the sequencing grid for your visualization. This allows you to pack the most light fixtures possible into each sequencing row. For example, if you have the 2 CCR license level, and you are getting an error message saying that your visualization can only have 2 green sequencing grid rows or less during export, then you can try importing your visualization again and selecting the "Scrunch the Sequence Grid" option, then try exporting again.

Instant Sequencing with Imported Timings

Previous to this release, in SuperStar, you could import timings, but could only use them for visual reference. They can now be used to create an instant sequence. You can import up to three timing channels, which will become the top three timings. After importing timings, if you open the Timing Map dialog box, you will see that the "All Freqs" row of timings has been renamed to "Imported".

Increased Limit on SuperStar's Number of Fixtures per Prop

SuperStar's limit on the number of fixtures allowed in a prop has been increased from 32 to 64. This brings the limit up to the same limit as in the Visualizer.

SuperStar Exports Grouped CCR Devices

SuperStar now exports CCRs as grouped CCR devices. This makes it much easier to see the entire sequence in the Sequence Editor.

Sample SuperStar Clipboard Files Added

Twenty new sample system clipboard files have been added to SuperStar. Click on the Edit menu and select "Load/Save Clipboard", and you will see the new files, such as "Sys - BubblesRiseAndPop.scb", "DiamondExpanding.scb", and "Sys - SharkFinForHorizontalRibbons.scb". To use one, select it from the list, click on "Load Clipboard from File", and then click on "Paste". The effects will be pasted into your sequence starting at the time you have selected.

Bug Fixes

·When using the Visualizer's "Insert Fixture from Symbol" command, the symbol inserted may have been missing a segment from the last point defined back to the first.

·When starting a simulation in the Visualizer with more than 255 virtual channels, a warning is now shown that only the first 255 will be used.

·The Visualizer now prevents errors when loading images that are too large, or starting a new simulation with a blank background that is too large. The absolute maximum size is now 2500x2500.

·If you cancelled the creation of a new visualization in the Visualizer, you would incorrectly be prompted for a save filename. Since no visualization was created, there was nothing to save.

·If you loaded a file with a bad signature into the Visualizer, any new file created in that session could also be marked as bad.

·Depending on the size of fonts in Windows, text in the Visualizer's Options dialog may have been cut off.

·In some situations, using certain keyboard functions (such as Ctrl-Z to undo) in the Sequence Editor would cause the display to jump to another location (such as to the bottom of the channel list).

·The Visualizer's Channel Wizard did not correctly assign channels when using the DMX device type.

·In some cases, if an error occurred while the Visualizer was loading a prop file, existing prop and fixture data could be corrupted.

· Importing a channel configuration file would fail if one of the channels in the channel config file was a subsequence and that subsequence's sequence file was missing or otherwise unloadable.

·In the Tapper Wizard, if "Insert a timing into the timing grid for each tap" were checked, and "Insert effects into a channel" were unchecked, and taps were collected and then applied to the sequence, starting over with new taps would not be able to collect more taps than the originally collected number unless the Tapper Wizard were exited and reopened first.

·The Sequence Editor would crash if a port number greater than 32767 were entered into the Visualizer Preferences dialog.

·For large audio files (for example, an audio file that is half an hour long), the Beat Wizard, VU Wizard, and Waveform Display would sometimes fail with an error saying that memory could not be allocated.

·In the Sequence Editor, when pasting from a saved clipboard which happens to be locked, the clipboard would automatically unlock.

·When exporting a file in SuperStar, if the audio file was an MP3 file, the filename would get exported as SSEditAudioFile.wav. This has been fixed to use the MP3 audio file name.

· SuperStar's effect bars in the time layer were sometimes white when they were supposed to be colored.

·In SuperStar, Light-O-Rama controllers were assumed to never have more than 16 channels. They can now have up to 512.

·Orange, yellow, and purple lights were not being sequenced by SuperStar's Instant Sequence feature.

· SuperStar was not handling duplicate channels in a visualization (i.e. channels that are assigned to more than one light fixture). Now, they are displayed in dark gray, and cannot be selected or sequenced.

· SuperStar was not properly detecting rows in visualizations with props that do not contain any lights.

·Sometimes, not all channels in a visualization were being read properly by SuperStar.

· SuperStar was not exporting macro commands when in visualization mode.

·If you load and play an audio file in SuperStar, then open and play a sequence using the same audio file in the Sequence Editor, you could get an error in SuperStar saying to shut down the other program. If you then shut down the Sequence Editor, and try to play the audio file again, it would not play (even if you tried to load the audio file again).

· SuperStar's Configuration Dialog box previously listed "Unit Nbr" and "Unit ID". A controller's "Unit Nbr" was the decimal number that equated to the controller's unit ID (which is a hexidecimal number). This ended up being confusing, and so now only the unit ID is listed. This is now consistent with the rest of the Light-O-Rama software suite.

What's New in Version 3.0.2

· Bug fix

Bug Fix

·When the Hardware Utility scans for connected controllers, it could confuse CTB16PC, CCF, and CCB100 controllers with each other.

What's New in Version 3.0.0

· The Light-O-Rama Visualizer

· The Light-O-Rama SuperStar Sequencer

· Channel Groups

· Native DMX Devices

· Paint Sequence

· Compressed Sequences

· Variables in Windows shell commands

· New paste modes

· Dimming curves

· Hide or unhide a track by left-clicking its track bar

· Select columns or rows via the right-click context menu

· Protected sequences

· Custom keyboard maps

· Reversing pixel order in CCRs/CCBs

· Effect tools' keyboard shortcuts shown in toolbar tooltips

· Control over channel button colors while not playing

· Several view settings for sequences are now persistent

· Tools Panel can be completely hidden

· Control over channel names in "Insert Device"

· Channel names in "Insert Device" indicate network for auxiliary networks

· Subsequences changed on disk automatically reloaded

· Additional clipboard management capability

· Locking channels in tracks

· Additional info in channel button tooltips

· Sequence grid tooltips show channel color

· Time ranges in Beat Wizard and VU Wizard automatically set to play range

· VU Wizard shows percent of time above threshold

· New "Change Controller" dialog

· Add Controller dialog allows selection of network

· Additional Mouse Scroll Wheel Support

· Sequence and track names are printed

· Control Panel's menu reorganized

· Performance of "Repeat" improved

· Memory usage of undo recording improved

· Verifier speed improved for channel conflict check

· "Channel Property Grid" renamed to "Channel Configuration"

· Bug Fixes

The Light-O-Rama Visualizer

The Light-O-Rama Visualizer is a new program in the Light-O-Rama software package. It is intended to give a visual representation on your computer screen of how your lights will look during a sequence or during your show.

Please note that the Animator, which has a similar purpose, is still supported, so that existing sequences continue to work with it. However, the Visualizer is more fully featured than the Animator, so consider using the Visualizer instead of the Animator, especially for new sequences.

The Light-O-Rama SuperStar Sequencer

The Light-O-Rama SuperStar Sequencer is a new program in the Light-O-Rama software package. It can be used as a sort of front end for the Light-O-Rama Sequence Editor, creating sequences visually rather than via a channels-versus-time grid.

Note that existing Light-O-Rama licenses do not cover SuperStar (except in demo mode). In order to fully use SuperStar, your license will have to be upgraded to have SuperStar support.

Channel Groups

The Insert Device dialog can now optionally create devices as channel groups, instead of as raw channels and/or RGB channels. A channel group is a set of channels and/or RGB channels that can be collapsed down to a single row in the display, or expanded to show rows for all (or some) of its members.

Native DMX Devices

Light-O-Rama now supports control of native DMX devices.

Note that only the Advanced license level supports this.

Paint Sequence

The new Paint Sequence tool can be used to paint effects from another sequence into the current sequence. This can be used to accomplish things similar to what can be accomplished with subsequences, in a potentially clearer and easier way, without the extra complication of subsequences.

Compressed Sequences

It may take a significant amount of time to load a large Light-O-Rama sequence. When loading one in the Sequence Editor, in order to view or modify it, this may be an inconvenience, but the real issue is loading one in the Show Player: When the Show Player has to load a large sequence, it may cause a noticeable pause in your show as the sequence loads.

To resolve this issue, this release of Light-O-Rama introduces the concept of compressed sequences. A compressed sequence is a separate save file, associated with a a sequence but containing only enough information to play the sequence in the Show Player, and optimized for loading speed. This can speed up loading times dramatically - for example, for a certain large sequence that takes eight seconds to load on a certain computer, the associated compressed sequence only takes a small fraction of a second to load on that same computer.

Variables in Windows Shell Commands

In previous versions of Light-O-Rama, the Windows shell command associated with a sequence was a static thing - it would be executed exactly as you had typed it. Now, they are instead templates; you can type in pieces that will be executed exactly as you typed them, just as before, but you can also type in variables, which will be replaced with run-time information, such as the name of the song that is being played.

New Paste Modes

The Sequence Editor previously offered two different modes for pasting: paste by cell and paste by time. There are now two additional new modes: stretch to fit and repeat to fit. Stretch to fit stretches (or compresses) the copied effects so that they fit into the area that you select, while repeat to fit repeats (or cuts off) the copied effects so that they fit into the area that you select.

Dimming Curves

Gen3 Light-O-Rama Controllers, and pre-Gen3 LOR controllers with Gen3 firmware installed, support customizable dimming curves. A dimming curve determines the output of a circuit from the intensity setting sent to that circuit; for example, some pieces of hardware (such as strobe lights) should never be dimmed, and so a dimming curve can be set for such a device that sets the output at 100% for any intensity of 50% or above, and at 0% for any intensity lower than 50%. Another example is that different types of bulbs (such as incandescents versus LEDs) may naturally get brighter or dimmer at different rates when going from one intensity to another, and so different dimming curves can be used to even them out, making fades on them appear more similar to each other.

You can control what dimming curve is used for what circuit via the Hardware Utility's new Advanced Configuration screen.

Hide or Unhide a Track by Left-Clicking Its Track Bar

In previous versions of the Sequence Editor, both left-clicking and right-clicking on a track's track bar would cause that track bar's popup menu to open. Right-clicking still does, but left-clicking now instead hides or unhides the track.

Select Columns or Rows via the Right-Click Context Menu

In previous versions of the Sequence Editor, you could select an entire row or rows, or an entire column or columns, via the Edit menu's Select Rows and Select Columns menu items. Now, you can also do this via the right-click context menu.

Protected Sequences

The Sequence Editor can now be used to create protected sequences, which are sequences whose sequence grids cannot be viewed or (generally speaking) modified, but which can still be played, control lights, be scheduled in shows, and so forth.

Control Over Channel Button Colors While Not Playing

In previous versions of the Sequence Editor, while a sequence was not playing, channel buttons would be displayed as grey (or black for RGB channels). Now, it still operates that way by default, but the Channel Button Colors submenu on the View menu gives you two other options: to be displayed using the channel's full color, or to be displayed using the channel's color at the time of the start of the current selection.

Reversing Pixel Order in CCRs/CCBs

The Hardware Utility's CCR/CCB Configuration screen now supports reversing the pixel order of a Cosmic Color Device (so that pixel 50 is closest to the controller, rather than pixel 1).

Custom Keyboard Maps

The behavior of keyboard keys in the Sequence Editor can now be configured, via the new Keyboard Preferences dialog.

Effect Tools' Keyboard Shortcuts Shown in Toolbar Tooltips

If one of the effect tools on the Tools toolbar has a keyboard shortcut that applies that tool, and only applies that tool, it is displayed in the tooltip for that effect tool's button on the toolbar.

Several View Settings for Sequences Are Now Persistent

In the Sequence Editor, several view settings for sequences are now persistent. That is, for example, if you change the width of the channel buttons for a sequence, they will automatically be that size whenever you open that sequence in the future (unless you explicitly change their size again).

This information is automatically remembered outside of the sequence file itself (but associated with it), so you do not have to save the sequence file when you make a cange to such a setting. Also, there had been some such settings which already were persistent, but used the sequence file, so that you would have to save the sequence whenever you altered them; these now are instead automatically persisted outside of the sequence file.

The following view settings are now persisted in this manner:

·The width of the channel buttons

·Whether the channel buttons are displayed or not

·The height of a row of the grid (and of the channel buttons)

·The width of the grid per unit of time

·The zoom setting of the Animator

·Whether the Animator's controls are shown or hidden

·The zoom level of the waveform display

Tools Panel Can Be Completely Hidden

The Sequence Editor's Tools Panel can now be completely hidden, so that not even the narrow bar with its wrench icon is displayed, via "Tools Panel" on the View menu.

Control Over Channel Names in "Insert Device"

The Sequence Editor's Insert Device dialog used to give no control over the names of the channels that it would create. You can now specify the base name (such as changing the default "SD" for a Servo Dog device to "Animatronic Rudolph", resulting in channel names like "Animatronic Rudolph 03.7" for unit 03 circuit 7 instead of "SD 03.7"). You can also specify that the unit ID should not be included at all (resulting, for example, in "Animatronic Rudolph 7" for circuit 7).

Channel Names in "Insert Device" Indicate Network for Auxiliary Networks

When creating channels, the Sequence Editor's Insert Device dialog would not include any indication of the channel's network in the channel's name. For example, a channel for unit 03 circuit 7 of a Servo Dog device would be called "SD 03.7" no matter what network it was on. Now, if the channel is on an auxiliary network, it will additionally include that network's identifier. For example, "SD C03.7" would indicate that the channel is on the Aux C network, while a plain "SD 03.7" would indicate that the channel is on the regular network.

Subsequences Changed on Disk Automatically Reloaded

If a sequence containing a subsequence was loaded, and then the subsequence was changed and saved, and the parent sequence then played, it would play as if the subsequence had not been changed. It will now instead play using the newly saved contents of the subsequence.

Additional Clipboard Management Capability

In previous versions of the Sequence Editor, if a saved clipboard were changed, the changes would automatically be resaved when the Sequence Editor was closed. This is still done, but there is now a new menu item on a clipboard's popup menu to manually resave it, and an option on the Clipboard Preferences menu to automatically resave. Similarly, there is now a new menu item to reload a saved sequence (in case the contents of its save file were changed outside of the Sequence Editor), and an option on the Clipboard Preferences menu to do so automatically. These changes are intended to ease the use of clipboards by third party tools.

Additionally, a new menu item to remove a clipboard from the list of clipboards has been added.

Locking Channels in Tracks

The channels of a track can now be locked, meaning that you will be unable to add channels to the track, remove channels from it, move channels within it, or modify settings (such as device type and unit) within it, unless you unlock the track first. To lock or unlock a track, use "Lock Track" (or "Unlock Track") from the track bar's popup menu.

Additional Info in Channel Button Tooltips

In previous versions of the Sequence Editor, the tooltip that would open when the mouse hovered over a channel button would show the name of the channel. It now shows additional information, such as the unit and circuit.

Sequence Grid Tooltips Show Channel Button Color

In the Sequence Editor, the tooltip that opens when the mouse is hovered over the sequence grid now displays the color of the channel of the row that the mouse is hovering over.

This new behavior can be turned off via "Use Channel Colors" in the Display Preferences dialog.

Time Ranges in Beat Wizard and VU Wizard Automatically Set to Play Range

In previous versions of the Sequence Editor, when the Beat Wizard or VU Wizard was opened, it would automatically be set to operate on "the entire song". It will now instead be automatically set to operate on the play range (the freeform play range if one exists, or the play range as set on the Play menu if not).

Note: This behavior can be overridden, for these wizards and also the Tapper Wizard, via the "Use Play Range for Wizards" option on the Play Preferences dialog. If this option is not enabled, then the wizards will default to using the time range of the entire song.

VU Wizard Shows Percent of Time above Threshold

The VU Wizard now displays the percent of time that is above the specified threshold, with the specified settings.

New "Change Controller" dialog

The new Change Controller dialog (which can be accessed from the Channel Configuration screen) presents a list of the controllers in a track, and allows you to select one and change its physical settings. For example, you could use this dialog to quickly change all channels for the Light-O-Rama controller 03 on the Regular network to instead be controller 07 on the Aux C network. Note: The "Channel Configuration" screen used to be known as the Channel Property Grid.

Add Controller Dialog Allows Selection of Network

The Channel Configuration screen's Add Controller dialog now allows the network of the controller to be selected (for those device types that have networks). Note: The "Channel Configuration" screen used to be known as the Channel Property Grid.

Additional Mouse Scroll Wheel Support

The mouse scroll wheel is now supported in the Schedule Editor and in the Sequence Editor's Channel Configuration screen. Note: The "Channel Configuration" screen used to be known as the Channel Property Grid.

Sequence and Track Names are Printed

When the "Print" function is used in the Sequence Editor's Channel Configuration screen, the printout now includes the name of the sequence and of the track. Note: The "Channel Configuration" screen used to be known as the Channel Property Grid.

Control Panel's Menu Reorganized

In previous versions of the Light-O-Rama Control Panel, some of the menu items on its popup menu were paired with each other. For example, to control whether or not the Control Panel should be automatically launched whenever the computer starts up, there was a "Launch at startup" menu item and also a "Do not launch at startup" menu item. This could be a bit confusing, as the way that you could tell (for example) that the Control Panel would be launched at startup was that the "Launch at startup" menu item was greyed out, so that you couldn't select it.

Now, instead, such pairs have been replaced by single menu items, which can be checked or unchecked. For example, if "Launch at startup" is checked, the Control Panel will launch at startup, and if it is not, it will not; there is no longer any "Do not launch at startup" menu item.

Performance of "Repeat" Improved

The Sequence Editor's "Repeat" function is now quicker than it used to be, and also uses less memory than it did.

Memory Usage of Undo Recording Improved

The Sequence Editor now uses significantly less memory than it used to in order to record events for later undoing/redoing.

Verifier Speed Improved for Channel Conflict Check

One of the possible issues that the Light-O-Rama Verifier can check for is whether a sequence has two different channels with the same physical settings (such as unit and circuit). In the past, this check could take quite a while to perform on large sequences; it has now been speeded up considerably. For example, for a certain sequence, the Verifier running on a certain computer would need ten minutes to perform this check. It now needs only about a second, for the same sequence on the same computer.

"Channel Property Grid" Renamed to "Channel Configuration"

The Channel Property Grid has been renamed to "Channel Configuration".

Bug Fixes

·The tooltip for the Sequence Editor's "Custom Shimmer" button was inappropriately labeled.

·If multiple sequences were open in the Sequence Editor, and they were not maximized, switching from one sequence to another by directly clicking on a sequence would correctly activate that sequence, but would not update the row of sequence tabs to show that that sequence is now active.

·A bug in an earlier Beta release of the software, which was not released to the general public, would sometimes cause a sequence to accumulate "extra" RGB channels, which were not present in any of the sequence's tracks. These RGB channels weren't noticeable to a user, and they would not affect the behavior of the lights, but their presence in a sequence could cause certain operations, such as deleting channels, to be much slower than normal, for that particular sequence. Such operations have now been sped up.

· Clipboards that were loaded from saved clipboard files would always paste as if "Paste from foreground" was enabled.

·If both the Sequence Editor and the active sequence were maximized, and neither vertical scroll bar (the one to scroll between tracks and the one to scroll within a track) were present, and the program was running on the rightmost monitor, then when selecting an area by clicking and dragging, you would be unable to scroll to the right while selecting.

·When loading a clipboard, if you selected the clipboard file's name by double clicking it in the file browsing dialog, and the mouse happened to be over a sequence, then after the clipboard loaded, a phantom mouse click would be applied to the sequence. So, for example, if the Fade Up tool was selected, a fade up would be applied to the spot on the sequence where your mouse happened to be.

·The Delete Controller dialog used to be unable to distinguish between different LOR controllers that happen to have the same unit ID on different networks.

·If a show has a jukebox interactive group, and the trigger associated with that group is pushed while a sequence from that group is playing, the trigger should not cause the sequence to be interrupted and the next sequence in the group to be played. This worked fine. However, it would cause the sequence that is considered to be "next" to be changed. For example, if the group contains three sequences, A, B, and C, and A is playing when the trigger is pushed, A would continue playing (as it should), but after A ended, if the trigger were pushed again, C, not B, would play.

·When creating a new musical sequence, if you set the number of channels to zero, and then specify that the channels should be created via a channel configuration file instead of via the specified number of channels, the Sequence Editor would tell you that you need to specify more than zero channels, and then crash.

·In the Sequence Editor, when the time range of a track is scrolled, the time ranges of any other tracks in the sequence should scroll with it. However, this did not occur unless those other tracks had already been displayed at least once since the sequence was loaded or created. It also would not occur during play except when those other tracks were displayed.

·On the Hardware Utility's LOR MP3 tab, if no MP3 controller were connected, the "Set" button (to set the unit's time) should be greyed out. In most cases, it was, but if no comm port existed (as opposed to merely no comm port being selected) it was not greyed out, and so could be pushed. Pushing it in such a situation would result in a crash of the Hardware Utility.

·When the track list of a sequence is changed in the Sequence Editor - for example, if a track is moved to another position - any tracks that had been hidden would automatically unhide.

·In the Sequence Editor, when a file was chosen from a file browsing dialog by double clicking on the file, sometimes the sequence grid that was "beneath" the dialog would act as if it had been clicked. For example, an effect tool might be applied to the grid, or a Channel Settings dialog would open.

·If a track was hidden, moving it up in the list of tracks would cause it to become the first displayed track.

·If a clipboard was saved in the Sequence Editor, and the clipboard's name was invalid in certain ways, the Sequence Editor would crash.

·If an iDMX1000 controller was selected in the Hardware Utility's Test Console, the "Current Channel Range" display would be incorrect.

·The "Move to Track Number..." menu item on a channel button's popup menu was enabled even if there was only one track.


What's New in Version 2.x.x

· What's New in Version 2.9.4

· What's New in Version 2.8.12

· What's New in Version 2.8.10

· What's New in Version 2.8.8

· What's New in Version 2.8.6

· What's New in Version 2.7.6

· What's New in Version 2.7.4

· What's New in Version 2.6.2

· What's New in Version 2.6.0

· What's New in Version 2.5.6

· What's New in Version 2.5.4

· What's New in Version 2.5.2

· What's New in Version 2.4.10

· What's New in Version 2.4.8

· What's New in Version 2.3.8

· What's New in Version 2.3.6

· What's New in Version 2.3.4

· What's New in Version 2.1.6

· What's New in Version 2.1.4

· What's New in Version 2.1.2

· What's New in Version 2.0.16

· What's New in Version 2.0.14

· What's New in Version 2.0.12

· What's New in Version 2.0.8

· What's New in Version 2.0.4

· What's New in Version 2.0.0

What's New in Version 2.9.4

· Up to sixteen Light-O-Rama networks supported

· Old MC-P only affects the Regular Light-O-Rama network

· Feedback for attempting to copy or cut to a locked clipboard

· Vary color of channel button fonts

· Unqualified file name used on Sequence Editor tabs

· Standalone sequences no longer download commands for auxiliary networks

· Bug Fixes

Up to Sixteen Light-O-Rama Networks Supported

Previous versions of Light-O-Rama could support Light-O-Rama controllers on up to four different networks ("Regular", "Aux A", "Aux B", and "Aux C"). This has been increased to sixteen (in addition to the original four, "Aux D" through "Aux O").

Old MC-P Only Affects the Regular Light-O-Rama Network

Old MC-P compatibility mode is required if you have certain old Light-O-Rama controllers (MC-P controllers purchased prior to November 15, 2003). This compatibility mode causes significant overhead on the communications protocol. In previous versions of Light-O-Rama, if you turned on Old MC-P compatibility mode, it would affect all of your Light-O-Rama networks. Now, instead, it only affects the Regular Light-O-Rama network; it does not affect any auxiliary Light-O-Rama networks. So, you can now put all of your old MC-P controllers on the Regular network, and your other controllers on other networks, so that they are not affected by the communications protocol overhead.

Feedback for Attempting to Copy or Cut to a Locked Clipboard

In the Sequence Editor, if the currently selected clipboard is locked, copying or cutting does nothing. This is so as to avoid accidentally overwriting the data on a clipboard that you want to keep. However, there is nothing stopping you from hitting "Ctrl-C" or "Ctrl-X", attempting to copy or cut, and in previous versions of Light-O-Rama, doing so would give you no indication that something was amiss until you later attempted to paste, and wound up pasting whatever had previously been on the clipboard, instead of what you thought you had just copied or cut. Now, the Sequence Editor will beep, to indicate that the attempted copy or cut did not take effect.

Vary Color of Channel Button Fonts

In the Sequence Editor, you can control whether or not the color of channel buttons changes during play (based upon the lighting effects happening on those channels). In early versions of Light-O-Rama, the text on the buttons was always black, and stayed black no matter what, which meant that sometimes the text was not readable.

In a relatively recent release, this was changed so that the color could be either black or white, depending upon which gives a more readable contrast with the background color of the button itself. However, some users found it to be distracting when a channel button's font would switch between black and white during play, and so you can now control whether or not this happens.

You can control it temporarily (until the next time the Sequence Editor is started) via the Vary Color of Channel Button Fonts item on the Play menu, or set your default preference (which will take effect every time the Sequence Editor is started) via Also vary their font colors on the Play Preferences dialog.

Unqualified File Name Used on Sequence Editor Tabs

When the Sequence Editor has multiple sequences open, it displays a tab strip across the top, with one tab per sequence. Each tab has the name of an open sequence; clicking on a tab causes that sequence to be displayed. In previous versions, the name of the sequence would include its directory name, if the sequence was not stored in the default directory for sequences. This could lead to some very wide tabs. Now, only the unqualified filename, without any directory information, is displayed.

The fully qualified filename can still be found via "Sequence Info", on the View menu.

Standalone Sequences No Longer Download Commands for Auxiliary Networks

If a sequence that used multiple Light-O-Rama networks was downloaded to a standalone controller (via the Hardware Utility's MP3 tab or via the Simple Show Builder), previous versions of Light-O-Rama would warn you of that fact, because standalone controllers only send commands out over a single comm line, and therefore the multiple networks would all get amalgamated into a single one when downloaded. Now, instead, only commands for controllers on the Regular Light-O-Rama network are downloaded.

Bug Fixes

·The Hardware Utility previously used Old MC-P compatibility mode when it should have not done so, and did not use it when it should have.

·On some computers, the Clipboards panel would not show its full height, leading to most of its functionality being unavailable due to being offscreen.

·Downloading large sequences for standalone controllers, such as via the Hardware Utility's MP3 tab, was much slower than it had been; its speed has now been increased.

·Depending upon how Windows is set up, the LOR Control Panel would sometimes be unable to launch the various other LOR applications (such as the Show Player).

·The Hardware Utility and Simple Show Builder would previously allow you to download any type of media file for a standalone sequence, such as WAV files or WMA files, despite the fact that only MP3 files are supported by the controllers. They will now give an error message if you attempt to download a media file other than an MP3 file.

What's New in Version 2.8.12

· Sequence Editor Can Keep Lights On at End of Play, and Turn Them Off Manually

· Bug Fixes

Sequence Editor Can Keep Lights On at End Of Play, and Turn Them Off Manually

In previous versions of Light-O-Rama, the Sequence Editor would automatically turn off all lights in a sequence when that sequence finished playing. It can now optionally keep them turned on, via the new "Lights Off at End" menu item in the Play menu. The lights can subsequently be turned off manually via "Lights Off Now".

Bug Fixes

·If, while importing a channel configuration file, you double-clicked the channel configuration's filename in the file browsing dialog, and if your mouse was over a sequence grid at the time, then after the file was imported, depending upon where your mouse was, this could have caused the grid to behave as if you clicked your mouse on it. For example, if you were over a channel button, the Channel Settings dialog for that channel could have opened.

·If DMX effects were used in a sequence, and the Sequence Editor's Vary Color of Channel Buttons setting was turned on, then during play, for certain DMX effects, the sequence grid could temporarily go blank as displayed in the Sequence Editor (though the behaviour of your actual lights would not be adversely affected).

·In certain situations, such as after an undo, the selected channel from the channel dropdown list in the Animator would spontaneously change to being the first channel in the list.

·If you manually edited certain registry settings related to disk file paths (note: doing this is not recommended) which Light-O-Rama normally sets itself, leaving off a backslash at their ends would lead to unexpected results.

·If an RGB channel (as opposed to one of its constituent channels) was used to draw in the Animator, and that RGB channel was deleted from the sequence, the cells of the Animator using that RGB channel would not be blanked out.

·If a constituent channel of an RGB channel (as opposed to the RGB channel itself) was used to draw in the Animator, then in certain situations, the cells of the Animator using that constituent channel could have been blanked out inadvertently.

·In certain situations, very small fades (for example 0% to 1%) over relatively long spans of time would cause other effects to spontaneously appear on the channel.

·The Color Fade tool would give an option to insert DMX effects even if DMX editing was disabled.

·If the Color Fade tool was used to make DMX effects, and those DMX effects were themselves fades, they would not be sent to the controllers. They now are sent, but (as of the time of this writing) LOR hardware does not support fading DMX effects, and so they are converted to regular fades.

What's New in Version 2.8.10

· The Advanced OpenGL Settings Dialog

· Bug Fixes

The Advanced OpenGL Settings Dialog

The new Advanced OpenGL Settings dialog can be used, experimentally, to try to investigate or work around strange graphics issues. However, this is not recommended; such problems can typically be better resolved in other ways, such as updating your computer's graphics card's drivers.

Bug Fixes

·The Set Paste Mode submenu in the Sequence Editor's Edit menu did not have a shortcut key associated with its Paste from Foreground option.

·On some computers, selecting a sequence from the Sequence Editor's Windows menu would cause a portion of the display to remain showing the previous sequence, until something like a refresh was done.

·When the Chase tool was used with Paste from Foreground turned off, and the chase was done either from the bottom left to the top right or vice versa, in some cases it would not properly overwrite existing effects outside of the actual things being chased with off effects.

·The "+" key is supposed to invoke the Repeat tool, but only the "+" key on the standard part of the keyboard was doing so, while the "+" key on the numeric keypad did nothing.

·When more than one sequence was open in the Sequence Editor, and they were maximized, clicking on the "X" to the right of the menu bar would close the active sequence (as it should), but that sequence's tab would remain open in the row of sequence tabs. Subsequently clicking on that tab, for the closed sequence, would cause the Sequence Editor to crash.

·Stopping play of a sequence in the Sequence Editor would sometimes cause the column of cells that happened to be at the time of the start of play to become selected.

What's New in Version 2.8.8

· Bug Fixes

Bug Fixes

·Various things in the Animator, such as drawing and erasing, were much slower than normal.

·When a sequence was loaded, the Animator would not remember whether its controls were hidden for that sequence or not.

·Attempting to write a musical sequence to an SD card (for a standalone controller) would result in a "subscript out of range" error message.

What's New in Version 2.8.6

· RGB Channels

· Color Fade Tool

· Repeat Tool

· Intelligent Fade Tool

· Fill Tool

· Chase Tool

· Paste from Foreground

· Insert Device

· Tools Panel

· Recent Tools

· Saved Tools

· Clipboards

· Sequences Created with Equally Spaced Timings in Freeform Grids

· Select Multiple Files in the Hardware Utility's MP3 Tab

· Tabbed Sequences Display

· Tools Menu Hotkeys Changed

· Keyboard Editing Keys Changed

· Off Effect via Delete Key

· Keyboard's Background/Foreground Selectors' Behavior Changed

· Shimmer and Twinkle Display Update

· Text of Channel Buttons Changes Color During Play

· Offline Registration Utility

· Bug Fixes

RGB Channels

An RGB channel represents a light or string of lights that can change colors - for example, a pixel on a Cosmic Color Ribbon. It consists of three "normal" channels, representing the three component colors - red, green and blue. Previously, to sequence such a device, you would have to sequence those three channels for the three component colors individually - that is, you would set up the sequence to have those three channels, and you would (for example) set the red channel to fade up, the green channel to hold steady, and the blue channel to fade down.

Now, you still can sequence the three component channels individually, but instead you could simply add an "RGB channel" to the sequence, and use it to deal more directly with the resulting colors. For example, instead of telling the red channel to fade up, the green channel to hold steady, and the blue channel to fade down, you would simply tell the RGB channel to fade from cyan to yellow.

Color Fade Tool

The Color Fade tool is a new tool that can be used to tell RGB channels how to behave. For example, to specify that the RGB channel should fade from cyan to yellow over a certain time range in a sequence, you would select the Color Fade tool, with its colors set to cyan and yellow, and apply the tool to that time range of the sequence.

The Color Fade tool can also be used to do fills, by clicking the selected area instead of clicking and dragging.

Repeat Tool

The Repeat tool takes whatever is contained in the selected area of the sequence and makes a new copy of it immediately following the selected area. Using the tool again (without changing what area of the sequence has been selected) will make another new copy immediately following the first, and using it again will make a third new copy immediately following the second. This can be repeated as many times as you like, making as many back-to-back copies of the selected area as you want.

Intelligent Fade Tool

The Intelligent Fade tool is similar to the Fade Up and Fade Down tools. However, using it makes either a fade up or a fade down, depending upon whether you click and drag left to right or right to left.

It can also be used to do fills, by clicking the selected area instead of clicking and dragging.

Fill Tool

If you apply the Fill tool to an area that has no effects (i.e. the lights are off in that channel at that time), it will automatically make a fade from the intensity that precedes the empty area to the intensity that follows the empty area. For example, if there is a fade up from 0 to 75, followed by the lights being off, followed by a fade down from 50 to 25, and you apply the Fill tool to the area where the lights are off, it will change that area so that it becomes a fade down from 75 to 50.

The Fill tool can also be used in a similar way on RGB channels, where it will change an empty area so that it fades from the color preceding the empty area to the color following the empty area.

The Fill tool behaves a little differently than most other tools. With most tools, if you click and drag an area, that area will be selected, and when you let up on the mouse button, that tool will be applied to the selected area. The Fill tool, however, does not select an area, and it is applied as soon as you click, and as soon as you drag to a new area, too. This, combined with the fact that the Fill tool does nothing if it's used on an area that already has an effect, hopefully makes it quick and easy to fill a large and complicated area of the sequence just by clicking once and dragging around to the appropriate spots without letting go of the mouse button.

Chase Tool

The Chase tool takes a pattern and "chases" it through the selected area. That is, when you click on a spot in the sequence, and then drag through other channels and through time, then when you let go of the mouse button, it will take the pattern in the selected area's corner where you initially clicked and copy it through the remaining channels in the selection, offsetting it a little bit in time with each subsequent channel.

Paste from Foreground

"Paste from Foreground" is a new pasting option. When it is turned on, any portions of the clipboard's copy buffer that have "off" effects won't actually be pasted when you select "Paste". That is, copied "off" effects won't overwrite what you already have in your sequence.

Insert Device

The channel button popup menu now gives a new way to add channels to a sequence: "Add Device". When this is selected, a dialog will open asking the type of device to add (such as an LOR/CTB 16 or a Cosmic Color Ribbon) and some settings for that device (such as its unit ID). The appropriate number of channels will then be added to the sequence, and they will automatically be populated with the appropriate unit IDs, circuit IDs, and so forth.

Tools Panel

The left-hand side of the Sequence Editor now has a new Tools Panel, with a few subpanels ("Saved Tools", "Recent Tools" and "Clipboards"). The panel can be pinned to the display so that it is always open, or it can be hidden so that it appears only as a small tab on the left of the Sequence Editor, with the full panel sliding out when the mouse goes over that tab. The individual subpanels can also be collapsed or expanded.

Recent Tools

The Recent Tools subpanel of the Tools Panel on the left-hand side of the Sequence Editor shows buttons representing the tools that were used recently (such as "Fade Up 25-75", "Shimmer Down 100-0", or a color fade). Clicking on one of the buttons will make that tool the currently active tool.

Not all tools are put on the Recent Tools subpanel's list; only those that would take more than one mouse click to activate are put there. For example, "Toggle" and "Shimmer" do not get put on the list, since you could activate those in a single mouseclick (from the Tools toolbar).

Right-clicking on a tool's button enables you to put the tool on the Saved Tools list.

Saved Tools

The Saved Tools subpanel of the Tools Panel on the left-hand side of the Sequence Editor is similar to the Recent Toolssubpanel, except that it shows only those tools that you have decided to save. Once you put a tool on the Saved Tools list, it will remain there (until you explicitly remove it), even after the Sequence Editor has been stopped and restarted.

Clipboards

In previous versions of the Sequence Editor, there was only a single clipboard for copying and pasting. Now, the Sequence Editor starts with a single clipboard, but you can easily add more of them, and quickly switch between which one is in use at the moment, using the new Clipboards subpanel of the Tools Panel on the left-hand side of the Sequence Editor. That is, you now can have several different things copied at the same time, all of which can be pasted into your sequence.

The Clipboards subpanel also allows you to save a clipboard, so that its contents will be available to be pasted even after you stop and restart the Sequence Editor, and to lock a clipboard, so that it cannot be copied to (but still can be pasted from), to prevent accidental overwriting of a clipboard that you want to keep.

It also allows quick access to pasting options such as Paste by Cell, Paste by Time, and Paste from Foreground.

Sequences Created with Equally Spaced Timings in Freeform Grids

Previously, if you chose to create a sequence with equally spaced timings (such as "a timing every tenth of a second"), the sequence's first timing grid would be a fixed timing grid. You can now optionally make it either a fixed timing grid or a freeform timing grid.

Select Multiple Files in the Hardware Utility's MP3 Tab

You can now select multiple files simultaneously in the Hardware Utility's MP3 tab (by using standard Windows methods, such as Shift-click).

Tabbed Sequences Display

When more than one sequence is open, the Sequence Editor now shows a single one of them, maximized, with tabs across the top having the names of the open sequences. Selecting any particular tab will cause the Sequence Editor to switch to display that sequence.

If you want to see multiple sequences at once, you can unmaximize the currently displayed sequence.

Tools Menu Hotkeys Changed

Several hotkeys for various menu items on the Tools menu have been changed, to try to minimize overlap and to give unique hotkeys to as many "high profile" tools as possible.

Keyboard Editing Keys Changed

The keys assigned to several keyboard editing shortcuts have been changed, to make room for new functions (such as the Chase tool and Fill tool).

Off Effect via Delete Key

One changed keyboard editing shortcut which it is worth explicitly pointing out (because it has been requested by several people) is that the Delete key will now apply the "Off" tool to the selected area.

Keyboard's Background/Foreground Selectors' Behavior Changed

Previously, background and foreground effects mode could be enabled by certain keystrokes. To turn them off, there was a different keystroke for enabling "regular" effects. Now, instead of keystrokes to enable those modes, there are keystrokes to toggle them between being enabled and disabled.

Shimmer and Twinkle Display Update

In the sequence grid, shimmer and twinkle effects are now displayed as a little heavier than they used to be, to hopefully make them more easily recognized.

Note that this change is only from the point of view of how they look displayed on your screen in the Sequence Editor; their behavior on your actual lights is unchanged from what it was before.

Text of Channel Buttons Changes Color During Play

During play, the Sequence Editor can be set up to change the colors of channel buttons to represent the current intensity of the associated channel. The text of the channel name on that channel button, however, was always black. Depending upon the color of the channel and its current intensity, this could sometimes make the button difficult or even impossible to read. Now, the color of the text of a button will be either black or white, depending upon which would be easier to read at that moment for that channel.

Offline Registration Utility

Previously, if a user had a computer that was not connected to the internet, they could only register that computer by calling in to Light-O-Rama Customer Support. LOR Customer Support had a program called the "Offline Registration Utility" which they then used to get the user's computer activated.

This program is now distributed by the LOR installer, along with all the other programs (such as the Sequence Editor). So, if a customer has two machines, one of which is connected to the internet but the other of which is not, they can register their offline computer by using the Offline Registration Utility on the online computer, without calling in to LOR Customer Support.

Offline registration via LOR Customer Support is still available, in case (for example) the customer has only one computer, and it is not connected to the internet.

Bug Fixes

·In the Sequence Editor, when "Paste by Cell" was set, and a copy and paste was done including an event that was not completely coincident with a cell, in some situations the events pasted wouldn't appropriately match the events copied completely.

·In the Sequence Editor, dragging a channel button in order to move that channel would not work properly if the visible channel range was scrolled up or down while dragging.

·Various issues were fixed when converting a sequence from being a musical sequence to an animation sequence, and vice versa.

·When the DMX Tool, Fade Tool or Intensity Tool windows were closed by clicking on their "X" buttons, the next time that they were displayed, they would be displayed in an entirely new location instead of in the spot where they had been when they were closed.

·The "Paste" button on the Sequence Editor's toolbar would not be enabled until after a copy (as opposed to a cut) had been done. That is, if you started up the Sequence Editor and immediately did a cut, the Paste button would still be greyed out even though you had cut something.

·If you double-clicked somewhere on the New and Open dialog, for example to open a sequence by double-clicking its filename, then depending upon where your mouse was, when the dialog closed and the sequence opened, it could have caused something to happen such as a channel's settings dialog being opened, or the current tool being applied to a cell in the sequence.

What's New in Version 2.7.6

This version fixes the following bugs:

·The Schedule Editor only displayed a thin portion of its vertical scroll bar.

·In certain situations, the Sequence Editor could possibly crash after having undone the adding of timings.

What's New in Version 2.7.4

· Show on demand

· Show Player can preload sequences

· Shows can be shut down gracefully

· LOR Control Panel improvements

· Shuffle mode options

· Maximum Light-O-Rama circuit number is now 512

· New iDMX1000 firmware: version 1.41

· New DIO32 firmware:version 1.30

· New DC-MP3 firmware: version 4.10

· Bug fixes

Show On Demand

You can now cause a show to be played without having scheduled it. This is done via the "Show On Demand" menu item of the Light-O-Rama Control Panel's popup menu.

Please note that this feature is available only for license levels Basic Plus and higher.

Show Player Can Preload Sequences

In previous versions of Light-O-Rama, when the Show Player played a show, a sequence in that show would not be loaded until the first time it was used in the show. Depending upon the size of the sequence and the power of the computer, it could take a human-noticeable amount of time to load a sequence, so this could lead to undesired delays between sequences (the first time they are played during a given run of a show).

This is still the default behavior, but you can now optionally set the show to preload sequences, so that they will all be loaded as the first step in the show, before any of them are played.

Shows Can Be Shut Down Gracefully

In previous versions of Light-O-Rama, selecting "Disable Shows" from the Light-O-Rama Control Panel's menu would cause the currently running show to stop immediately, abruptly stopping any sequences that happened to be playing. This can still be done (by selecting "Disable Shows Immediately"), but you can now shut down a show gracefully instead (by selecting "Disable Shows Gracefully").

This will cause the show that happens to be playing (if any) to be put into shutdown mode; any song that happens to be playing will be allowed to finish, after which the show's Shutdown section will run. When the Shutdown section finishes, the show will stop, and shows will be disabled.

LOR Control Panel Improvements

Several improvements were made to the Light-O-Rama Control Panel:

·The "Current" and "Scheduled" sections of its status window were often mostly redundant (if the currently playing show was the show that was scheduled to be playing at the current time). The "Scheduled" section has now been replaced by a "Next" section, which shows what will happen after the current show.

·Those sections would update only after a noticeable delay of several seconds. They now update in a much more real-time fashion.

·Similarly, the first log messages that were displayed would be delayed; they are now real-time.

·The Control Panel's light bulb icon in the system tray now is different colors depending upon the state of the system: If scheduled shows are enabled, it is blue; if they are disabled, but shows on demand are enabled, it is orange; if shows are disabled entirely, it is red.

·Several new log messages were added, hopefully giving a more informative view into what the Show Player is doing.

Shuffle Mode Options

In previous versions of Light-O-Rama, when the Musical Section of a show was set to shuffle the sequences instead of playing them in order, any sequence could be randomly chosen to play at any time. This meant that, for example, the same sequence could play twice (or more) in a row, or some particular sequence could be played a second time before some other particular sequence was played even once.

The Show Editor now allows you to control the way that sequences are shuffled: You can choose whether or not a single sequence is allowed to be played twice in a row, and you can choose whether or not all sequences must be played once before some sequence is played a second time.

Existing show files will continue to behave in the same manner as they did before (unless and until you change their settings): a sequence can be repeated back-to-back, and can be played a second time before all other sequences have been played once.

The default for new shows is exactly the opposite: no sequence will be played twice in a row, and no sequence will be played a second time before all sequences have been played once.

Maximum Light-O-Rama Circuit Number Is Now 512

In previous versions of Light-O-Rama, the maximum allowable circuit number for a Light-O-Rama controller was 256. It is now 512. At the present time, this is primarily useful for controlling DMX devices.

New iDMX1000 Firmware: Version 1.41

A new version of the firmware for the iDMX1000 has been released (version 1.41). It contains the following enhancements:

·It now has native address support (i.e. there is no longer a need for multiple unit IDs for a single iDMX1000). The old method of having a single iDMX1000 use multiple unit IDs is still supported, as "legacy mode". An iDMX1000 will be in native mode or legacy mode depending upon the unit ID it is set to: If its unit ID ends in a "0" (such as "10", "20", or "30"), it will be in legacy mode, where it actually uses sixteen unit IDs of sixteen channels each (e.g. setting the unit ID to 10 will cause it to use unit IDs 10 through 19 and 1A through 1F). If its unit ID ends in anything other than a zero, it will use only that single unit ID, but it will support all its channels on that single unit ID.

·Previously, only DMX addresses up to 256 were supported. Now, addresses up to 512 are supported (but only in native mode).

·Previously, only 64 "intelligent channels" were supported at a time - i.e. only 64 channels could simultaneously be doing shimmers, twinkles, and/or fades. Now, 128 intelligent channels are supported at a time.

New DIO32 Firmware: Version 1.30

A new version of the firmware for the DIO32 motherboard has been released (version 1.30). This version adds native address support - that is, there is no longer a need to use multiple unit IDs for a single DIO32; it can now support all channels on a single unit ID.

Please note that in order to take advantage of this new functionality, you will not only have to use the new firmware, but you will also have to change a jumper on the board which tells it whether to operate in native mode or legacy mode. Please refer to your DIO32 documentation for details.

New DC-MP3 Firmware: Version 4.10

A new version of the firmware for the DC-MP3 has been released (version 4.10). It contains the following enhancements and fixes:

·Previously, an individual sequence could only last for up to ten minutes. It can now last up to 44 hours.

·Previously, only certain manufacturer's SD cards were supported. A much larger variety is now supported (list to be compiled - although it will more likely be a list of unsupported cards rather than a list of supported cards).

·Support for SD cards with the FAT32 file system was added.

·Support for SDHC (high capacity) SD cards was added.

·Previously, shows could be set to play every hour or every half hour; they now can also be set to play every 15 minutes or every 10 minutes.

·Digital output (DO) pins 1 through 6 now operate. They react to commands for unit ID F0, channels 1 through 6. They only react on the DC-MP3 that is controlling the show; for example, they will not react on a DC-MP3 controlled via the PC network.

·Under some circumstances, shows would start at midnight, without having been scheduled to do so. This has been fixed.

Bug Fixes

·Protection against several possible crashes was added to the Light-O-Rama Control Panel. Although it is not known if any of these actually caused any crashes, it is known that some customers have had the Light-O-Rama Control Panel crash.

·When disabling shows, or when unloading Light-O-Rama, the LOR Control Panel would hang frozen for a noticeable amount of time before becoming responsive again (in the case of disabling shows) or closing (in the case of unloading).

·The Light-O-Rama Control Panel's status window would sometimes incorrectly state that the next show would start at 12:00 AM on Sunday.

·Sometimes, lighting commands were quickly repeated back-to-back. This would not cause any noticeable problems with how the sequence looked, but it did cause a minor increase in network traffic, or standalone/SD sequence file size.

What's New in Version 2.6.2

· Light-O-Rama Diagnostic distributed by installer

· Bug fixes

Light-O-Rama Diagnostic Distributed by Installer

The Light-O-Rama Diagnostic is a troubleshooting tool that displays various information about your Light-O-Rama configuration. It used to be available only as a separate download from lightorama.com, but now is installed as a standard part of the Light-O-Rama Software Package.

Bug Fixes

·On Windows 98 SE machines, running a show of sufficient length would eventually cause an error message to pop up, saying that an error occurred in "Formhook_aftermessage". Clicking "OK" would close the error message, but it would soon pop up again, and again and again. If it was left without clicking "OK" to close it, eventually the show would stop abnormally.

·In the Sequence Editor, "Sequence Info", from the "View" menu, would sometimes display the incorrect directory of the media file associated with a musical sequence.

·If a channel was set up to be a subsequence, and the sequence file assigned to it did not exist or otherwise could not be loaded, then loading of the main sequence would fail when the loading of the subsequence failed. The result of this was that the main sequence could not be opened, and so the problem could not be fixed by modifying the subsequence filename associated with the channel. Now, the main sequence will successfully load, and the missing subsequence will simply not do anything during play. Note that the Light-O-Rama Verifier will still show this error.

·If you set the name of a channel to include an ampersand, then in the Sequence Editor, the name would be displayed on the channel's button improperly. The ampersand would be missing, and the character after it would be underlined (indicating that it could be used as a hotkey for that button).

·If the Sequence Editor was used on a computer with multiple monitors, and the cursor was hovered over a spot on a sequence grid that was on a monitor to the right of the primary monitor, the tool tip would pop up in the wrong place (on the far right side of the primary monitor).

·Hitting the escape key closes most dialogs, but it did not close the Beat Wizard, VU Wizard, or Tapper Wizard.

What's New in Version 2.6.0

· Undo/redo recording can be disabled

· All license levels now use unencrypted save files

· Hardware Utility shows version of connected MP3 Director's firmware

· New DC-MP3 firmware: Version 3.3

· New Servo Dog firmware: Version 1.02

· Bug fixes

Undo/Redo Recording Can Be Disabled

Certain very large operations in the Sequence Editor could take a very long time to do. For example, skewing a track involves changing all of the timings, effects, and loops in the track; in a large sequence with many channels, this could take a prohibitively long time. Much of the time spent is actually due to recording the changes so as to later be able to undo and redo them.

For situations like this, undo and redo recording can now be disabled, via the Edit menu. You will not be able to undo any changes that were made while undo recording was disabled, but the changes that you make will be made more quickly.

All License Levels Now Use Unencrypted Save Files

In previous versions of Light-O-Rama, when a sequence was saved using either a Basic license or else the unlicensed Demo version of the software, the sequence file would be encrypted instead of being saved in plain XML. Now, this encryption is done only for the unlicensed Demo version; a Basic level license (or any other level license) will cause files to be saved unencrypted.

Hardware Utility Shows Version of Connected MP3 Director's Firmware

Previously, the Hardware Utility's LOR MP3 tab would show whether an MP3 Director was connected or not. Now, if one is, it additionally shows the MP3 Director's firmware version.

New DC-MP3 Firmware: Version 3.3

Version 3.2 of the DC-MP3 firmware (DC_MP3_V3-3.lhx) adds one new feature and fixes two bugs:

·Output number 8, which was previously unused, will now be high (+5 volts) when a show is active, and zero when no show is active.

·When a sequence started playing, in some rare cases the music and the lights would start off significantly out of sync with each other.

·A bug was causing trigger number 6 to interact with trigger number 3 in some cases.

New Servo Dog Firmware: Version 1.02

Version 1.02 of the Servo Dog firmware (ServoDog_V1-02.lhx) fixes a bug where if channels 1 and 8 were in digital output mode, there would be crosstalk causing random results.

Bug Fixes

·Certain ways of scrolling through the channel list in the Animator window were not working.

· Skewing a track would not work if the timing grid currently in use by the track was a fixed timing grid.

·In the Servo Dog Utility, when a channel button was clicked, if another channel button had previously been selected, there was a chance that the configuration of the channel that was clicked would be set to the same values as the configuration of the channel that had previously been selected.

·In the Hardware Utility, controllers that were connected via Easy Light Linkers were not showing up in all cases.

What's New in Version 2.5.6

· Bug fixes

Bug Fixes

·If a show was scheduled starting on Saturday and ending on Sunday, instead of playing through, it would continuously shut down and restart. A common symptom of this is that the first sequence in the show's musical section would play over and over.

What's New in Version 2.5.4

· Bug fixes

Bug Fixes

· X10 controllers were not successfully being controlled in some situations.

·When a sequence was loaded, the zoom level of its waveform display was being set to a default value, rather than to the zoom level the sequence had been saved with.

What's New in Version 2.5.2

The following changes were made in this version:

· LOR Control Panel's status window now displays a log

· Support for configuring Cosmic Color Ribbons

· Circuit IDs greater than 16 supported

· The Light-O-Rama ServoDog Utility

· Bug fixes

LOR Control Panel's Status Window Now Displays a Log

The Light-O-Rama Control Panel's status window now displays a log of what is occurring with shows. For example, it displays messages indicating that a show or a sequence is stopping or starting, that an error occurred playing a sequence, and that an interactive trigger was detected.

Support for Configuring Cosmic Color Ribbons

The Hardware Utility's Configuration screen now supports configuring Cosmic Color Ribbons.

Circuit IDs Greater than 16 Supported

In previous versions, the circuit IDs of Light-O-Rama controllers could range from 1 to 16. They now can range from 1 to 256 instead.

Note that not all Light-O-Rama controllers have more than sixteen circuits, and of those that do, not all support this new feature yet (instead, they use more than one unit ID, each with sixteen possible circuit IDs). Currently, the only Light-O-Rama controller that can be set to use more than sixteen circuit IDs for a single unit ID is the Cosmic Color Ribbon. Support for this feature in some other controllers is planned for the future, at which time firmware upgrades may be necessary to take advantage of it.

The Light-O-Rama ServoDog Utility

The Light-O-Rama ServoDog Utility is a new program which can be used to configure Light-O-Rama ServoDog controllers.

Bug Fixes

·If an error opening a comm port occurred when the Hardware Utility was being started, this could lead to strange errors later, such as the Hardware Utility unexpectedly closing in certain situations.

·If the musical section of a show contained sequences that could not be played due to errors, then in some situations the first sequence of the musical section of the show might repeat several times in a row.

·On some computers, when a Light-O-Rama program (such as the Sequence Editor) was started, it would open in Demo mode very frequently, despite having previously been activated (and without having upgraded to a new version).

·In the Sequence Editor, if you clicked the space bar to start play while the mouse button was down, then when play ended, you would be in "mouse dragging" mode, no matter whether you subsequently released the mouse button or not.

·If you used a countdown in the Tapper Wizard, sometimes the song would not start after the conclusion of the countdown.

·Various problems would occur if you set the default Sequences and Audio directories to be top level directories of a drive (for example, "C:\Sequences" and "C:\Audio" rather than "C:\LOR\Sequences" and "C:\LOR\Audio").

·In some situations, deleting a track from a sequence would cause the track dropdown list and the timing grid dropdown list to misbehave.

What's New in Version 2.4.10

The following changes were made in this version:

· Exporting/importing channel configuration with tracks improved

· Commands sent to Holiday Lights Designer regardless of licensing level

· Hardware Utility supports DIO32 servo configuration

· Refresh command made quicker

· Bug fixes

Exporting/Importing Channel Configuration with Tracks Improved

In previous versions of Light-O-Rama, exporting and importing channel configuration from and to sequences that have more than one track could lead to strange, and probably undesired, results. This was due to the interaction between channels that were in more than one track of the sequence and channels that were in more than one track of the configuration file. If the positions of such channels did not match up between the sequence and the configuration file, then the resulting settings of those channels would be changed in a predictable, but probably undesired, way.

In this version, the method of importing has been altered, so as to give (hopefully) better results:

Unlike in previous versions, the first step to importing channel configuration, before any channels are actually imported from the configuration file, is now to check the sequence for channels that are in more than one track. If any such channels are found, then all copies of each channel, except for the first of each channel, are removed from the sequence.

Next, channels are imported from the configuration file. But unlike in previous versions, if a channel is in more than one track of the configuration file, instead of overwriting the settings of an existing channel in the sequence every time the channel is encountered in the configuration file, that is only done on the first encounter of the channel. Instead, on subsequent encounters of the same channel, a copy of the appropriate channel from the sequence is inserted into the track at the appropriate position.

This has two potential side effects to watch out for (although both of these seem minor compared to the side effects caused in previous versions):

First, if a track in the sequence is composed entirely of channels from previous tracks, and the channel configuration file has no track in the same position, then all channels will be removed from that track. Since the track has no channels, it will then be removed from the sequence. However, note that these channels have not been removed from the sequence - they have only been removed from the track. They are still in the earlier tracks.

Second, a channel from the sequence with no corresponding channel in the configuration file could get "pushed down" towards the bottom of the sequence's track, if the channel configuration file contains channels in that track which are copies of channels from earlier tracks.

Commands Sent to Holiday Lights Designer Regardless of Licensing Level

Different licensing levels can control different numbers of controllers; for example, the Basic level can control two controllers, while the Advanced level can control an unlimited number of controllers. If a sequence contains a lighting effect for a controller that the license level cannot control, the effect is simply not sent to the controller.

In previous versions, this also applied to sending commands to Holiday Lights Designer: lighting effects could be sent to Holiday Lights Designer only if they could be sent to an actual controller, based on the license level. Now, lighting effects can always be sent to Holiday Lights Designer, regardless of the licensing level.

Hardware Utility Supports DIO32 Servo Configuration

The Hardware Utility can now be used to configure the DIO32 for servos.

Refresh Command Made Quicker

The Hardware Utility's Refresh command, used to scan a Light-O-Rama network for controllers, now works more quickly than it did before.

Bug Fixes

·If a show contains some sequences in a "Magic Toy" interactive group, and a trigger in that group is triggered, any playing sequences that happen to be from that same interactive group should be, but were not, stopped, before the newly triggered sequences start.

·The Channel Property Grid would allow you to remove the last channel from a track, which would lead to undesired behavior. It now no longer allows the last channel to be removed from a track.

·There must be a channel in every track; Light-O-Rama should prevent you from removing the last channel from a track. Due to bugs, though, it's possible that the last channel could be removed from a track; in such a case, if the sequence were saved, it could not thereafter be reloaded. In this version, the sequence can now be loaded, but any tracks without channels will automatically be removed from the sequence during the load.

· Input triggers would work correctly only for the first eight circuits of a controller. They now work on the full sixteen.

What's New in Version 2.4.8

The following changes were made in this version:

· Tapper Wizard improvements

· Animator's twinkle effect made more realistic

· Fade Tool Settings and Intensity Tool Settings can be toggled on and off

· New keyboard shortcuts for selecting the current tool

· Keyboard editing while using the Animator made easier

· File saving made safer

· Track bar of active track highlighted

· Bug fixes

Tapper Wizard Improvements

The Tapper Wizard was improved in several ways:

·It now knows about timing grids. You can select an existing grid to use, or create new grids to use, from within the Tapper Wizard itself.

·Inserting timings and inserting lighting effects can now be done independently of each other - you can do either or both.

·You can play a particular part of a song, rather than the whole song. When the Tapper Wizard is first opened, its play range will automatically be set to the active track's freeform play range, if there is one, or to its normal play range (such as play full sequence or play visible screen) if not.

·You can set the play speed, either to normal speed, half speed, or double speed.

·It can be used repeatedly without closing, with or without tapping again. For example, after applying your taps to the sequence, you could collect a whole new set of taps, or you could apply your existing taps to the sequence again, in a new way (such as applying them to a different channel, or with different flash and fade times), all without ever closing the Tapper Wizard.

·It supports undo and redo within itself; you do not have to close the Tapper Wizard to undo or redo its changes.

·It no longer relies on helper forms to collect information (such as the length of time that a flash should take); this information is now set via fields on the Tapper Wizard itself.

·The settings that you choose, such as whether to use a countdown, how long that countdown should be, whether to use the mouse, the keyboard, or both, what kind of effects or timings should be inserted, and so forth, are remembered, so that you do not have to change them every time that you enter the Tapper Wizard.

Animator's Twinkle Effect Made More Realistic

Recent efficiency improvements to the Animator increased the speed it could redraw at. This had the side effect of making its twinkle effects twinkle too quickly, almost looking like shimmers. The Animator's twinkle effect has now been slowed back down, to more closely resemble the twinkle effect on actual lights.

Please note that this change does not affect the way that twinkle behaves on your lights at all; they will behave exactly as they always have. It only affects how twinkle is represented in the Animator (which is an approximation, not an exact representation, of how it looks on actual lights).

Fade Tool Settings and Intensity Tool Settings Can Be Toggled On and Off

In previous versions, clicking of the Fade Tool Settings toolbar button would open the Fade Tool Settings dialog, as would clicking on the Tools menu's Fade Tool Settings item. The only way to close the dialog was to click on its Windows close button, or to use the escape key. Now, the toolbar button (or the menu item) can be used as a toggle - clicking it once shows the dialog; clicking it again hides it.

A similar change was made for the Intensity Tool Settings dialog.

New Keyboard Shortcuts for Selecting the Current Tool

When editing sequences via the keyboard, previous versions would allow you to hit the Enter key to apply the current tool to the selected area of the sequence. Alternatively, to apply a different tool, you could hit some other key, specific to that tool; this would leave the current tool the same as it was. For example, if the current tool was the shimmer tool, you could hit Enter to apply a shimmer, or "T" to apply a twinkle.

However, the current tool itself could not be selected except via the toolbar, or menu items on the Tools menu. It can now be selected via the keyboard as well, by using Shift in addition to the desired effect's normal key. For example, Shift-T will change the current tool to change the current tool to be the twinkle tool. Note that this leaves the sequence itself untouched (but you can still hit Enter to apply the current tool to the sequence, or one of the specific keys to apply some other tool).

Due to this change, certain existing keyboard shortcuts had to be remapped. Specifically, Shift-S, Shift-T, Shift-I, Shift-U and Shift-D used to change the current custom tool to be a custom shimmer, twinkle, intensity, fade up, or fade down, respectively. These have been replaced with Ctrl-Shift-S, Ctrl-Shift-T, Ctrl-Shift-I, Ctrl-Shift-U, and Ctrl-Shift-D, respectively.

Keyboard Editing while Using the Animator Made Easier

When you click on a control in the Animator, after that control's operation has completed, the focus is now immediately given back to the sequence grid. The effect of this is that you can continue using the keyboard to edit the sequence without needing to mouse-click on it every time you change something in the Animator.

File Saving Made Safer

Previously, when the Sequence Editor saved a sequence, it would delete the backup file of that sequence, then rename the existing save file to the backup, then write a new version of the save file, then verify that it could load the new version of the save file. If it could not load the new version, it would give a warning message saying so, and giving the name of the backup file.

Instead, it now writes the sequence to a temporary file, then verifies that it can load that temporary file. Only if it can load the temporary file does it then proceed to delete the backup file, rename the existing save file to the backup, and finally rename the temporary file to the real save file name.

Track Bar of Active Track Highlighted

In the Sequence Editor, the track bar of the currently active track in a sequence is now colored green, so as to make it easily distinguishable from the other tracks.

Bug Fixes

·In the Sequence Editor, if the total time of a track was increased, and that track was currently using a fixed timing grid, an error message would pop up saying that timings cannot be added to fixed grids.

·If the Windows option "Hide extensions for known file types" was turned on, the New and Open dialog's "Existing Sequence" tab would not properly display the type of each file.

What's New in Version 2.3.8

This version fixes the following bugs:

·In the Sequence Editor, when the mouse was moved to the left of the channel bar, an error message would sometimes pop up, saying "Invalid centisecond for finding timing", followed by a negative number. This would always happen when the mouse was dragging, and sometimes happen otherwise.

·On some computers running Windows Vista, installation would fail, giving an error about Microsoft's MDAC component.

What's New in Version 2.3.6

This version fixes the following bug: Upon upgrade from a previous version of Light-O-Rama, if the user chose a different directory to store sequence and audio files than was chosen for the previous version, the post-install process would neglect to copy the files from the old directory to the new one.

What's New in Version 2.3.4

The following changes were made for Light-O-Rama version 2.3.4:

· Timing grids

· The Light-O-Rama Verifier

· Beat Wizard and VU Wizard improvements

· Initial play of sequences sped up

· Events straddling the start of a play range are played

· New and Open dialog improvements

· New musical sequence's initial channels can be based on a channel configuration file

· New musical sequence's artist, album, and song names pulled from MP3

· Support for normally closed input triggers

· Interactive triggers can be tested in the Hardware Utility

· Maximum and minimum intensities read from controller

· Extra Information in sequence grid tooltips

· Control Panel's status window can be minimized

· Fades are smoother in the Animator

· Animator CPU utilization improved

· Animator redraw throttling configurable

· Zooming with the Animator's autosize mode

· Bug fixes

Timing Grids

A timing grid is a collection of timings. A sequence can have more than one timing grid, but only one (per track) is displayed at any given time. You can quickly change which timing grid is displayed at any time by selecting from the Tracks and Timings toolbar's timings dropdown list.

There are two types of timing grids: fixed timing grids, which have timings at equal distances from each other, and which cannot have timings added, removed, or moved, and freeform timing grids, which can have timings anywhere, and which can have timings added, removed, or moved.

Timing grids are intended to better fulfill a role that was fulfilled in previous versions of Light-O-Rama by tracks: Allowing different sets of timings to be used on the exact same channels.

For example, perhaps you have a song for which you would like some lighting effects sequenced to the sound of the bass drum, and other lighting effects sequenced to the sound of the lead guitar. You could simply add timings for both, but this could make it easy to forget which timing is for which instrument; it could also make the display seem too cluttered with timings.

To solve this problem in previous versions of Light-O-Rama, you could duplicate the track to a new track, so that you had two different tracks in the sequence, both with the same channels as each other. The two tracks could use different timings, one track representing the bass drum and the other representing the lead guitar.

You can still do that in this new version of Light-O-Rama, but you can now instead solve the problem by using timing grids. Instead of adding a second track, you could add a second timing grid. One timing grid would represent the bass drum, and the other would represent the lead guitar. You could quickly switch which timing grid is displayed using the Tracks and Timings toolbar's timings dropdown list, changing back and forth between drum and guitar as appropriate, all with only a single track.

The Tracks and Timings toolbar also has a timings button; clicking on it will open a popup menu with various timings grid-related options, such as adding a new timing grid or deleting an existing one.

When this new version of Light-O-Rama opens a sequence created with a previous version (in which there was no such thing as a timing grid), it will automatically create one freeform timing grid per track in the sequence.

The Light-O-Rama Verifier

The new Light-O-Rama Verifier program can be used to check for certain types of problems with your Light-O-Rama configuration, schedule, shows, and sequences. By using the Verifier, you may be able to fix these problems before they cause any issues when your show is played.

Beat Wizard and VU Wizard Improvements

In previous versions, the Beat Wizard and the VU Wizard would always add timings, regardless of whether they were also adding effects or not. They can now add timings and effects independently of each other.

Also, when inserting effects, they can now optionally snap them to the timings being used.

Initial Play of Sequences Sped Up

The amount of time that it takes for a sequence to start playing the first time after it is loaded (or after it is changed or the play range is changed) has been decreased.

Events Straddling the Start of a Play Range Are Played

In the Sequence Editor, if the play range is set to anything other than the full sequence, and an effect event starts before the play range starts but ends during (or after) the play range, previous versions of Light-O-Rama would not control the lights based upon that event. Instead, now, the portion of the event within the play range is sent to the lights (for example, if the event is a fade up from 0% to 100% from 36 seconds to 38 seconds, and the play range starts at 37 seconds, the lights will be sent a command to fade up from 50% to 100%).

New and Open Dialog Improvements

Several improvements were made to the Sequence Editor's New and Open dialog:

In previous versions, the dialog was a fixed size, which could not be changed. It can now be resized or maximized, and will remember its sizing and positioning even after the Sequence Editor is closed and restarted.

The dialog's Existing Sequence tab used to always show a list of folders and sequences in a single way. It now has an option to change the view, similarly to Windows Explorer. For example, if the "Details" view is selected, then in addition to file names, details such as file sizes and modification dates will be displayed. Clicking on a column header in the "Details" view will sort the files by that column; clicking on it again will sort in reverse order. The dialog will remember the selected view and sorting behavior even after the Sequence Editor is closed and restarted.

The Existing Sequence tab now also has a "Search" box. If you type something into this box, only files with that somewhere in their name will be listed. Wildcard characters (*, ? and #) are supported in the search box.

The Standard Toolbar's "Open" button would previously always open the dialog to the "Existing Sequence" tab. It now instead opens it to whichever of "Existing Sequence" or "Recent Sequence" was most recently used.

New Musical Sequence's Initial Channels Can Be Based on a Channel Configuration File

When you create a new musical sequence, the New Musical Sequence dialog now lets you base the initial channels for the sequence off of the contents of a channel configuration file, rather than simply specifying a number of channels.

New Musical Sequence's Artist, Album, and Song Names Pulled from MP3

If you create a musical sequence based on an MP3 file, the New Musical Sequence dialog automatically uses the artist, album and song names from the MP3 itself (if the MP3 is tagged with this information). You can still change these in the dialog if you wish.

Support for Normally Closed Input Triggers

Previous versions of Light-O-Rama only supported normally open circuits for use as input triggers. Normally closed circuits are now supported as well, via the Hardware Utility's LOR controller configuration screen.

You may need to update the firmware of your controller in order to take advantage of this new feature.

Interactive Triggers Can Be Tested in the Hardware Utility

The Hardware Utility's LOR controller testing screen can now be used to test input triggers from LOR controllers.

Maximum and Minimum Intensities Read from Controller

The Hardware Utility's LOR controller configuration screen can now read the maximum and minimum intensity settings of a Light-O-Rama controller from the controller itself.

You may need to update the firmware of your controller in order to take advantage of this new feature.

Extra Information in Sequence Grid Tooltips

The tooltip displayed in the Sequence Editor when the mouse hovers over a cell in a sequence now includes more information than before, including details on the effect event being hovered over.

You can configure various settings about the tooltips, such as how long they take to open and how they close, via the Display Preferences dialog.

Control Panel's Status Window Can Be Minimized

The status window of the Light-O-Rama Control Panel can now be minimized to the Windows task bar.

Fades Are Smoother in the Animator

The Animator used to display fades in a somewhat jerky manner, only updating the display after the color of a cell has changed by a fairly significant amount. Depending upon the speed of the fade, this would lead to fades more as steps through several intensities rather than as actual fades (note that this only affected the appearance of the Animator, not the appearance of any real lights that you had hooked up via controllers). Fades should now appear more smoothly in the Animator.

Animator CPU Utilization Improved

Various changes were made to the Animator to decrease the amount of CPU time that it takes to display the animation.

Animator Redraw Throttling Configurable

During play, the Animator only redraws the animation every so often, rather than every time that something changes. This is to try to ensure that it does not use too much CPU time. In the past, the amount of time between redraws was a certain constant value; now, you can modify it in the Display Preferences dialog, to try to strike an appropriate balance between CPU usage and smoothness of display for your individual computer.

Zooming with the Animator's Autosize Mode

When the Animator's controls are hidden, expanding and contracting the Animator's window is supposed to also automatically resize the drawing area within the window. However, due to certain sizing requirements, the drawing area can only be certain possible sizes for any given animation. So, when the window was manually resized by clicking and dragging a side or a corner, the drawing area would remain the same size, until the window got large enough to hold the next possible size, at which time the drawing area would "jump" to the new size.

To make this autosizing quicker and easier, the ability to manually resize by dragging a side or a corner of the window has been replaced by "zoom" buttons on the toolbar, which will immediately resize the window (and the drawing area) to the next possible size.

Bug Fixes

This release fixes the following issues:

·If the same show had been scheduled twice back-to-back, it would have simply continued playing rather than stopping and restarting.

·If a channel was set up to represent a subsequence, changing the subsequence file associated with the channel would not cause the channel's main sequence to be marked as having unsaved changes.

·If a musical sequence based on a MIDI file was playing in the Sequence Editor, and was paused or stopped before its natural end, and the sequence had used the MIDI File Wizard, then the Sequence Editor would not send out MIDI commands saying to stop sounds. This caused whatever notes happened to be playing when the sequence was paused or stopped to continue playing indefinitely.

·If the VU Wizard were used to toggle cells on and off during part of a song, as opposed to the entire song, it would sometimes get the toggling backwards, turning on cells that should have been turned off, and vice versa.

·If the VU Wizard were used to toggle cells on and off during part of a song, as opposed to the entire song, it would not necessarily get the state of the first or the last cell in the range correct.

·If the VU Wizard were set up such that the entire selected area of the song was below the specified peak threshold, an error box would appear, saying "Subscript out of range".

·If an animation had a background image, and the Animator's controls were hidden, resizing the window would not necessarily keep the image's proportions as they were.

·If the Animator's controls were hidden, resizing the window would only automatically resize the animation if it had a background image.

·The menu items on the Wave Form submenu of the Sequence Editor's View menu would not become checked until one of them (or the View Waveform button on the Standard Toolbar) was clicked.

·When the Sequence Editor's New and Open dialog is first opened, its dropdown list of folders did not include all of the immediate child folders of "My Computer".

·In the Hardware Utility's Test Console, clicking the "All Off" or "All On" buttons would move the intensity sliders appropriately, but would not update the text boxes beneath them to say the new intensities.

·If Windows suspended while the Sequence Editor was open, and a USB adapter was in use for an LOR comm port, then when Windows resumed, the Sequence Editor would be locked up.

·The Hardware Utility would shut down without warning if "Lights Off" or "All Off" were pressed while the LOR comm port was set to a port number that could not be initialized.

·The Hardware Utility would shut down without warning upon trying to initialize an X10 CM-11A device on a port that had (till that point) been assigned to LOR devices.

What's New in Version 2.1.6

This version fixes the following bugs:

·If the waveform display were used with a completely silent audio file, the Sequence Editor would crash.

·If a sequence had a Windows shell command, and it were saved to a different filename than it had been loaded with, future changes to the Windows shell command in one of the two sequences would affect the Windows shell command in the other sequence as well.

· Shows scheduled by the Simple Show Builder, and run via the PC, would not necessarily end at their appropriate time.

What's New in Version 2.1.4

This version fixes the following bugs:

·In certain situations, adding a sequence to an MP3 Player Showlist would fail, with an error message saying "Path/File Access error".

· Sequences downloaded to an MP3 director would have their final lighting effect cut off prematurely.

·The Sequence Editor's New Musical Sequence Preferences dialog would not allow you to change the default timings to certain values ("MIDI File Wizard", "Beat Wizard", and "VU Wizard") if you opened the dialog via the "New Musical Sequence Preferences" menu item on the Preferences submenu of the Edit menu.

What's New in Version 2.1.2

The following changes were made for Light-O-Rama version 2.1.2:

· Licensing

· Custom fade/intensity twinkles and shimmers

· Triggered interactive sequences

· Show startup options

· Windows shell commands

· DMX intensity

· The New and Open dialog

· Keep lights on at end of play

· Automatic channel settings for newly created sequences

· Events can be dragged with timings

· Change in behavior for mouse switching tracks

· Animation sequences in the musical section cut off at end of show

· "Max Units" in Hardware Utility changed to "Max Unit ID"

· Bug fixes

Licensing

The Light-O-Rama Software Package must now be registered with a valid license in order to unlock its full potential. There are several different license levels, each with different features available. Additionally, Light-O-Rama can be run without a license, as a Demo version; the Demo version cannot be used to actually control lights, though.

Existing customers who have purchased earlier versions of the Light-O-Rama software package are entitled to a free license of the highest level ("Advanced").

For details about registering and about the features available with the different licenses, please see Registering Light-O-Rama and Feature Comparison.

Custom Fade/Intensity Twinkles and Shimmers

In previous versions of Light-O-Rama, twinkling or shimmering the lights could only be done at full intensity. You can now use new custom tools to twinkle or shimmer the lights while fading them up or down, or at some intensity other than full intensity.

Existing Light-O-Rama controllers may need firmware upgrades to take advantage of this new feature; if a custom twinkle or shimmer is sent to a controller without the upgrade, it will react as if it were a "regular" twinkle or shimmer - i.e. it will twinkle or shimmer at full intensity.

Triggered Interactive Sequences

In addition to being able to control lights, some Light-O-Rama controllers can now act as input triggers. This allows sequences to be played on demand during a show - for example, your display may have a group of buttons that people can press, each of which will cause a different song to be played.

For details, please see the help file page "Interactive Groups".

Show Startup Options

In previous versions of Light-O-Rama, the sequences in a show would start playing immediately at the show's scheduled start time. There is now more flexibility with regards to this; for example, you could hook a big red button labeled "Start the Show" up to one of your Light-O-Rama controllers, and the show will not be started until that button is pushed.

For details, please see "Show Startup Options".

Windows Shell Commands

Your sequences can now be configured so that, whenever one is played, Light-O-Rama will execute any arbitrary Windows command that you associate with that sequence.

An example of how this might be useful: If you broadcast the songs playing during your show over the radio, and have hardware allowing you to broadcast RDS ("Radio Data System") information, you can now set your sequences up so that, whenever one is played, Light-O-Rama will tell Windows to tell your RDS program to broadcast the name of the song for that sequence.

For details, please see the help file page "Windows Shell Commands".

DMX Intensity

A new effect, "DMX Intensity", has been added. This can be used to specify 256 possible intensities (from 0 to 255), rather than the regular 101 possible intensities (from 0 to 100). This is useful for DMX devices, which can take up to 256 possible intensities.

Note: The DMX intensity tool is not available by default in the Sequence Editor - for example, by default, no toolbar button will be displayed for it. To enable the tool, select "Allow DMX Editing" from the DMX Preferences menu.

The New and Open Dialog

The Sequence Editor's new "New and Open dialog" allows you to create a new sequence, or open an existing one. This dialog is opened by default when the Sequence Editor starts up (although this behavior can be suppressed), and also when something like "New" or "Open" is selected from the File menu or the Standard toolbar.

Keep Lights On at End of Play

For most sections in a show, you can now use the Show Editor to specify whether or not sequences in that section will automatically turn their lights off when they end playing.

There are two exceptions: First, the Background section does not allow this setting. Second, the Interactive section allows you to control this for each interactive group individually, rather than for the section as a whole.

Automatic Channel Settings for Newly Created Sequences

When creating a new musical sequence or new animation sequence, you now have the option to automatically configure the channels in the new sequence to use standard Light-O-Rama controllers. The first channel will be set up to use Light-O-Rama unit 1 circuit 1, the next unit 1 circuit 2, and so forth, then on to unit 2, and so forth. All such channels will be configured to use the regular LOR network.

Events Can Be Dragged with Timings

When a timing is dragged in the Sequence Editor, to change the time it is at, there is now an option to also drag any effect events that start or end at that timing along with it.

This option is controlled via the Edit menu's "Drag Events with Timings" checkbox.

Change in Behavior for Mouse Switching Tracks

Switching to another track via the mouse in the Sequence Editor now causes the selected area for that track to be set to the cell that was clicked, even if that cell is within what used to be the selected area for that track. In particular, if a tool other than "Select" is enabled, that tool will be applied to the new selection, not the old one.

Animation Sequences in Musical Section Cut Off at End of Show

In previous versions, when a show reached its scheduled end, if a sequence from the musical section of the show happened to be playing, that sequence would continue playing to its natural end before the shutdown section of the show would begin. Now, that is only the case for musical sequences; if the sequence is an animation sequence, it will abruptly stop at the scheduled end of show, regardless of the fact that it is in the musical section of the show.

"Max Units" in Hardware Utility Changed to "Max Unit ID"

When the Hardware Utility is asked to automatically detect units, it must individually search for each possible unit ID. This may take some time to do. To speed this up, the Hardware Utility allowed you to specify a maximum number of units to search for, in a box labelled "Max Units". For example, if you set "Max Units" to "3", the Hardware Utility would search for a controller with unit ID 01, another with unit ID 02, and a third with unit ID 03. It would not check for any unit IDs past 03. However, this often led to the following confusion:

Unit IDs are given in hexadecimal notation. So, for example, the next unit ID after 09 is not 10, but 0A. That is followed by 0B, 0C, 0D, 0E, and 0F, and only then does 10 come. So, if a person's highest unit ID was 10, they might be mislead to thinking that they should input "10" into "Max Units". But "Max Units" was merely a count, not an ID, meaning that the Hardware Utility would only search for the first ten possible unit IDs, i.e. 01 through 09 and 0A. Therefore, unit 10 would not be found (as it is actually the sixteenth possible unit ID).

To get rid of this common source of confusion, "Max Units" was changed to "Max Unit ID". So now, for example, entering "10" will search for unit IDs 01 through 09, unit IDs 0A through 0F, and unit ID 10.

Bug Fixes

This release fixes the following issues:

·If the Play Again button on the Standard Toolbar of the Sequence Editor were hit quickly two times in succession, an error message box would appear.

·If the "turn a channel on and off" feature of the VU Wizard were used on only part of a musical sequence, it would correctly turn the channel on and off in that part, but would additionally turn everything in the channel past that part off.

·In certain situations, when scrolling through tracks in the Sequence Editor, the track bar for some tracks would not be displayed, and instead part of the previously displayed channel grid would be displayed where the track bar should have been.

·If certain Light-O-Rama entries in the Windows registry were mistakenly deleted (for example, by a third-party registry cleaning program), and a musical sequence were modified and saved, the name of the sequence's media file would not be saved along with it, and you would be unable to modify the sequence again to tell it the name of the media file. This effectively means that the musical sequence would be "transformed" into an animation sequence. This no longer occurs. Note, though, that Light-O-Rama still might not be able to play the sequence, as those registry entries tell it where to look for media files. But after the issue with registry is corrected, Light-O-Rama will now play those musical sequences as normal.

·If a sequence had a channel that was set up to be a Light-O-Rama controller, but did not have its unit ID set, that sequence would not play in the Show Player.

·Removing a channel that was in more than one track from a track would not cause the sequence to be marked as having unsaved changes.

·If paste by cell is enabled, and effect events copied from a larger cell are pasted to a smaller cell, those events are "shrunk" to fit into the smaller cell. If such an event had to be shrunk to less than a centisecond in length, pasting would fail, giving an error message "Start time cannot be less than end time". Now, events shrunk to less than a centisecond are simply skipped when pasting.

·When creating an SD card for an MP3 Director, a valid COM port is no longer required.

·Some machines were having problems downloading standalone sequences to controllers. The reliability of downloading has now been improved.

·When setting a unit ID via the Hardware Utility, the dropdown boxes allowing you to select a unit ID only show unit IDs from 01 up to the unit ID specified in the Hardware Utility's "Max Unit ID" setting. Previously, though, changing "Max Unit ID" would not change the values listed in the dropdown boxes, until the Hardware Utility was closed and then restarted. Now, the new values will be available immediately, without needing to close and restart.

What's New in Version 2.0.16

The following changes were made for Light-O-Rama version 2.0.16:

· Simple Show Builder updated

· Bug fixes

Simple Show Builder Updated

Previous releases of Light-O-Rama version 2 included the same Simple Show Builder as was used in Light-O-Rama version 1. It therefore could not be used with sequences that were created using the version 2 Sequence Editor.

Simple Show Builder has now been updated so that it can be used with sequences that were created using either version 1 or version 2.

Bug Fixes

This release fixes the following issues:

·Various tools such as the Beat Wizard, VU Wizard, and Waveform Display had problems with certain audio files, resulting in an error message saying "Can't init conversion" appearing, after which these tools would be unusable with those files. This release fixes this issue (at least in the known situations that it happened in).

·The Beat Wizard would crash when used with certain audio files on some customers' machines.

·If either "Close All Files" or "Close All Files Except This" was used, and one of the sequences being closed had its Animator window open, an error message would pop up saying "Error Loading Animation Form".

What's New in Version 2.0.14

The following changes were made for Light-O-Rama version 2.0.14:

· New play ranges

· Freeform play mode

· Space Bar to play; enter to apply tool

· Subdividing cells

· Skewing tracks

· Waveform height

· Waveform display modes

· Waveform colors

· Bug fixes

New Play Ranges

Two new play ranges have been added to the Sequence Editor: "From Selection" plays from the start of the selection to the end of the sequence, and "To Selection" plays from the start of the sequence to the end of the selection.

Freeform Play Mode

You can now use the keyboard to select an arbitrary time range for future playing. Please see "Freeform Play Mode" for details.

Space Bar To Play; Enter To Apply Tool

In the Sequence Editor, the space bar can now be used to start a sequence playing, and then to stop it. If a freeform play range has been selected, that range will be played; otherwise, play will be in "from selection" mode - that is, it will start at the start of the current selection, and go until the end of the sequence. This can be used to effectively pause and unpause play.

In previous versions of Light-O-Rama, the space bar was used to apply the current effect tool to the selected cells. That is now done using the enter key instead.

Subdividing Cells

The Sequence Editor can now subdivide the selected cell or cells into a new number of cells (which you select). Each cell is subdivided into the specified number of cells, and all of the new cells within any particular old cell will be of the same length (or as close to the same length as possible).

For example, if you select two cells, the first from 3 seconds to 7 seconds, and the second from 7 seconds to 7.5 seconds, and ask the Sequence Editor to subdivide them into two cells each, you will wind up with four cells: From 3 to 5, from 5 to 7, from 7 to 7.25, and from 7.25 to 7.5.

This can be done via "Subdivide Timings" on the Timings submenu of the Edit menu, or via "Subdivide Timings" on the right-click context menu.

Skewing Tracks

The Edit menu of the Sequence Editor now has a new menu item, "Skew Track". This lets you move all of a track's events, timings, and loops by a specified amount of time, either to the left (i.e. earlier in time) or to the right (i.e. later in time).

Waveform Height

In previous versions of Light-O-Rama, the waveform of a musical sequence was either displayed or not. Now, if it is displayed, it can be displayed at two different heights: full height and half height. Full height is the same as the height that was used in previous versions of Light-O-Rama.

Half height and full height (and "off") can be selected from the Wave Form submenu of the View menu.

Waveform Display Modes

The waveform of a musical sequence can now be displayed in three different ways: "full mode", showing zero volume at the center and loud volumes above and below it; "fold mode", showing zero at the bottom and folding the two halves of full mode onto the top; "top mode", showing zero at the bottom and the top half of full mode above it. "Full mode" is the same as the way the waveform was always displayed in previous versions of Light-O-Rama.

To set the display mode, right-click on the waveform, and select the desired mode from the listed choices in the popup menu.

Waveform Colors

The colors used to display the waveform of a musical sequence are now configurable. To choose new colors, right-click on the waveform, and select "Change Colors" from the popup menu.

Bug Fixes

This release fixes the following issues:

·In the Channel Property Grid, if a channel was set up with a device type but no unit number and/or circuit number, it might later be displayed (in both the Channel Property Grid and the Channel Settings dialog) as if it had a unit number and/or circuit number set (although it still did not).

·When printing from the Channel Property Grid, unit numbers of some Light-O-Rama controllers would be mislabelled, as would device types of certain non-Light-O-Rama controllers.

·If a sequence was changed, but not yet saved, and "Revert to Saved" was selected from the File menu, the sequence would be properly reloaded, but could not be played again until it was closed and reopened.

·Several dialog windows had a problem where, if the dialog was closed by hitting the enter key rather than by clicking the OK button, changes to the last field modified might not be acted upon.

·If a channel was in two or more tracks, and had a shimmer effect, the effect would not be displayed properly in the Animator.

·If a sequence was playing in the Sequence Editor, and some other sequence was not playing but had its Animator open, clicking on that Animator's play button would set off a string of errors. Now, instead, it simply does not start play (while the other sequence is playing).

·A problem with undoing and redoing changes in sequences with loops was fixed.

· Highlight Current Event on the Play menu is supposed to control whether or not the current event is displayed with a thick border (as if it were the selection) during play. It did so, but it also mistakenly controlled whether the selection was displayed or not while play was not happening.

·If a musical sequence's media file did not have its "Ready for Archiving" flag turned on (in the file's properties in Windows Explorer), the Sequence Editor would not play the sequence, complaining that the media file could not be found.

·If the Sequence Editor played a musical sequence at quarter, half, double or quadruple speed, and the directory its media file was in contained a period in its name, sometimes the wrong media file would be played.

What's New in Version 2.0.12

This release fixes the following issues:

·A show would pause indefinitely if the Show Player was asked to play a musical sequence whose media file was missing.

· Musical sequences played during the startup and shutdown sections of a show would control the lights, but would not play audio.

·Commands for X10 channels were often getting lost.

What's New in Version 2.0.8

This release contains the following bug fixes:

·The Tapper Wizard's dropdown list allowing you to select the track to use did not work properly, leading to the taps being put into whatever track had been selected at the time that the Tapper Wizard was opened, rather than into the one that was selected in the list.

·The VU Wizard's option to operate on only a portion of the song, as opposed to the entire song, did not work properly.

· Importing channel configuration into a sequence did not mark that sequence as having unsaved changes.

·Communication with the controllers is kept alive during the loading of sequences. This is to fix an issue where, after the loading of a large sequence, the PC would have to resynchronize with the controllers due to communication having been paused. This resynchronization could have taken some time, causing strange effects immediately after synchronization.

·If an error occurs while communicating with the controllers, Light-O-Rama tries to reestablish communications, in the hopes that the error was merely a temporary glitch. However, for certain types of errors, it would not try to do so, leading to the communications being permanently down.

What's New in Version 2.0.4

Version 2.0.4 fixes a bug where X10 channels were not being controlled during shows.

What's New in Version 2.0.0

The following new features, changes, and fixes have been made for Light-O-Rama version 2.0.0:

· Tracks

· Sequence-in-sequence play

· Background and foreground effects

· Universal undo and redo

· Channel positioning

· Mouse scroll wheel support

· Pasting timings between sequences

· Video playback

· Intensity and fade presets

· The Beat Wizard

· The VU Wizard

· Recording of individual instruments in the MIDI File Wizard

· Multiple Light-O-Rama networks

· More media support

· Animator background image

· The Channel Property Grid

· Pasting effects: by time or by cell

· Holiday Lights Designer support

· XML sequence files

· Microsoft Windows Vista support

· Animator window CPU usage decreased

· Animator's maximum rows and columns increased

· Sequence Editor's keyboard support improved

· New look for the shimmer effect

· Channel settings form directly accessible via the channel's button

· Bug fixes and internal improvements

Tracks

Previously, a sequence was composed of channels, loops, and timings. Now, instead, a sequence is composed of tracks. Tracks, in turn, have channels, loops, and timings.

Two tracks in the same sequence can have different channels, or they can share channels with each other. They have different sets of loops and timings than each other. In an animation sequence, tracks can be of different lengths than each other.

Two tracks, with the same channels, in one sequence

A brief example of how this may be useful:

In a musical sequence, you may want to have some timings representing a bass drum, other timings representing a guitar, and yet another representing something totally unrelated to the song. Before tracks, in Light-O-Rama version 1, you could add all of these timings to your sequence, but it might be difficult to remember, while building the sequence, which timings were for which purpose. The more unrelated timings that you added to the sequence, the more confusing the sequence as a whole would become.

Now in Light-O-Rama version 2, instead, you can build a single sequence with multiple separate tracks, each with only one of those sets of timings, making each set of timings cleaner and simpler to understand. Plus, you can share channels between two or more tracks, have different channels in different tracks, or both.

Sequences are initially created with a single track. Another track can be added via the Edit menu's "Add New Track" or "Duplicate Track" items (the latter of which will share all channels in the current track with the new track), or via new items on the channel buttons' popup menus ("Copy to New Track" and "Move to New Track").

To share an individual channel between multiple tracks, do not simply set two different channels to use the same unit number, circuit number, et cetera, as this will likely have unexpected and undesired results. Instead, use the "Copy to New Track" or "Copy to Track Number ..." function on the channel's popup menu:

Share a channel with another track by copying it to the other track

If a sequence has more than one track, the tracks are separated in the display by a track bar, labelled (for example) "Track 1" or "Track 2". If the track has been given a name, it will also be displayed here (for example, "Track 2: Front Yard Mini-trees"). Clicking on this bar gives a popup menu containing various track-related items:

Click on a track bar for various track-related menu items

Sequence-in-Sequence Play

A channel in a sequence can now be set to represent another sequence (rather than representing a physical circuit), known as a "subsequence". This is done in the Channel Settings dialog, by changing the "Device Type" to "Sequence" (rather than to "Light-O-Rama Controller", "Digital IO Card", or so forth), and choosing the filename of the sequence in the "Sequence" box:

Channel settings for sequence-in-sequence play

A subsequence will play only when the channel that it is a subsequence of is turned on, and will continue playing as long as the channel is on. If the channel is turned off and then turned back on, the subsequence will start over from its beginning.

TIP: Don't try to control the same physical circuit with both a channel in a subsequence and a channel in the main sequence. Doing so will probably cause unexpected results, as the two channels will vie for control of the circuit.

Background and Foreground Effects

Turning on background effects or foreground effects in the Sequence Editor will affect the behavior of tools (such as "Fade Up", "Twinkle", "Set Intensity", et cetera) in the following manner:

If "Background Effects" has been turned on, the tool only applies to those selected cells that are completely off (that is, at intensity zero for their entire duration).

If "Foreground Effects" has been turned on, the tool only applies to those selected cells that are not completely off.

Some examples:

Before a background fade up

After a background fade up

Before a foreground fade up

After a foreground fade up

Universal Undo and Redo

The Sequence Editor's undo and redo used to only work for the effect tools (such as "on", "off", "fade up", "twinkle", and so forth). You can now undo and redo a much wider variety of things - adding channels, moving timings, changing loops, drawing in the Animator, and many others.

Examples of things that can be undone and redone

Channel Positioning

Channels can now be moved up and down in the Sequence Editor. There are two ways to do this: First, the channel buttons' right-click popup menu now includes "Move Up" and "Move Down", which will move the channel by one spot. Second, a channel button can now be mouse dragged to a new position.

Mouse Scroll Wheel Support

The mouse scroll wheel now works in the Sequence Editor. Scrolling with the wheel causes the displayed channels in the active sequence to scroll.

Pasting Timings between Sequences

Previously, timing ranges copied from a sequence could only be pasted into that same sequence. Now, a timing range copied from one sequence can be pasted into a different sequence.

Video Playback

The Show Player and the Sequence Editor can now use video files (in addition to the previously available audio files) to create sequences. The video output can be displayed during play.

In the Sequence Editor's Edit/Preferences menu, there is now a new item called "Video Preferences", which gives control over how video files will be used (both in the Sequence Editor and during scheduled shows):

Edit/Video Preferences

These options can also be temporarily changed in the Sequence Editor via the View/Video menu. However, changes made this way will only affect the Sequence Editor (not the Show Player), and will only last during the current use of the Sequence Editor - that is, the next time that the Sequence Editor is started, the video preferences as set in "Edit/Preferences/Video Preferences will be used again).

View/Video

Intensity and Fade Presets

The Sequence Editor's Set Intensity, Fade Up and Fade Down tools now have ten preset values (or ranges). The old "Tool Options" dialog was replaced with the Fade Tool Settings and Intensity Tool Settings dialogs to set these presets:

Intensity Settings, with 70% selected

Fade Settings, with fade up 50-75% and fade down 100-0% selected

The Sequence Editor comes with default preset values (such as 10%, 20%, and so forth) build in; if you want to change any of the presets, you can do so by clicking the settings tool's "EDIT" button:

Changing an intensity preset to 37%

The preset has now been changed to 37%

The values of the presets for both intensities and fades can also automatically be set using Load Intensities and Fades from Current Sequence, of the Tools menu. This will figure out the most commonly used percentages for both intensities and fades existing in the current sequence, and set the preset values to them.

The Beat Wizard

The Sequence Editor's new Beat Wizard can be used to automatically analyze a song to try to determine its beat, and to populate a musical sequence with timings or effects based upon that beat. The Beat Wizard can be found in the Sequence Editor's Tools menu. It is also available as one of the options for creating a new musical sequence, and for creating a new track.

The Beat Wizard

The VU Wizard

The Sequence Editor's new VU Wizard is a VU meter-like tool that can be used to automatically populate a musical sequence based upon peaks in the audio. The VU Wizard can be found in the Sequence Editor's Tools menu, and is also available as one of the options for creating a new musical sequence, and for creating a new track.

The VU Wizard

Recording of Individual Instruments in the MIDI File Wizard

The MIDI File Wizard can now automatically create lighting effects for a musical sequence based on the notes played by individual instruments in a MIDI file.

The MIDI File Wizard's can automatically create lighting effects based on the notes played in a MIDI file

Multiple Light-O-Rama Networks

Previously, only a single COM port could be used for Light-O-Rama controllers. Now, up to four Light-O-Rama networks can be used simultaneously on the same computer, on different COM ports.

The same unit and circuit number can be used on multiple networks simultaneously and independently, with different effects happening on the different networks.

Up to four different networks can be used for LOR controllers

More Media Support

Various new media file types (including Windows Media Files and certain types of videos) are now supported for musical sequences.

Various supported media types

Animator Background Image

A sequence's animation can now be set up to have a background image, such as a picture of a house on which Christmas lights are to be placed.

The Animator, with a background image

The Channel Property Grid

The Sequence Editor's new Channel Property Grid is a window showing information about all of the channels in a sequence (their color, device type, unit number, et cetera), and allowing changes to those properties in a (hopefully) convenient manner. This can be accessed via the Sequence Editor's Tools menu.

The Channel Property Grid

Pasting Effects: By Time or By Cell

When pasting effects in the Sequence Editor, you can now choose to insert the events into the destination based upon either the length of the copied events or else the relative lengths of the copied and destination cells.

For example, consider timings at 0 seconds, 1 second, and 2 seconds. Between 0 and 1 is a fade up, and between 1 and 2 is a fade down:

Events to be copied

These events will be copied, and pasted to the time starting at 5 seconds. There are timings at 5 seconds, 7 seconds, and 7.5 seconds:

Where they will be pasted to

If "Paste by Cell" is selected, then there will be a fade up from 5 to 7, and a fade down from 7 to 7.5 (this is the same way that pasting always behaved in version 1 of Light-O-Rama):

After pasting by cell

If "Paste by Time" is selected, then there will be a fade up from 5 to 6, and a fade down from 6 to 7. The timings at 7 and 7.5 are ignored; only the original lengths of the events are used:

After pasting by time

You can switch between these two modes by selecting "Set Paste Mode" in the Sequence Editor's Edit menu.

Holiday Lights Designer Support

Light-O-Rama can now interact with Holiday Lights Designer , a third-party application by Holidaysoft.

Holiday Lights Designer can be used to virtually place lights and decorations on images of your home or business, and Light-O-Rama can now send Holiday Lights Designer commands during play to make those virtual lights behave as your real lights would during a show.

To send commands to Holiday Lights Designer, first set the Holiday Lights Designer Preferences in the Sequence Editor under the Edit menu. After this is done, commands can be sent from the Sequence Editor by turning on "Control Holiday Lights Designer" in the Play menu, or from the Show Player by selecting "Holiday Lights Designer On" in the Light-O-Rama Control Panel.

Version 4.0 or above of Holiday Lights Designer is required to take advantage of Light-O-Rama interaction.

For more information about Holiday Lights Designer, please see the Holidaysoft website.

XML Sequence Files

Sequence files (and channel configuration files) are now saved as XML files. LOR 2 understands both these new sequence files and the old LOR 1 style sequence files.

If an LOR 1 file is modified and saved by LOR 2, it is automatically updated to the new LOR 2 style. This means that LOR 1 will no longer understand the updated file. However, to be safe, a copy of the original LOR 1 save file is automatically created, and labelled as an LOR 1 file. For example, if the LOR 1 sequence file "lights.las" is converted to an LOR 2 file, then a copy of the original LOR 1 file will be created, named "lights.las.v1.bak".

Microsoft Windows Vista Support

Various changes were made to better support Light-O-Rama on the Microsoft Windows Vista operating system.

Animator Window CPU Usage Decreased

The Sequence Editor's Animator window now uses significantly less CPU during play than it used to.

Animator's Maximum Rows and Columns Increased

The Animator window now supports up to two hundred rows and columns:

Animation with 200 rows and 200 columns

Sequence Editor's Keyboard Support Improved

Several changes were made to make using the keyboard easier in the Sequence Editor. For example:

·The "enter" key now chooses the "OK" button on most forms;

·The "escape" key now chooses the "Cancel" button on most forms;

·The "tab" key circulates between controls in a more sane order;

·Many Alt-key shortcuts were added to various forms;

·The various menus were reorganized so as to cause less conflict among their various items' shortcut hotkeys.

New Look for the Shimmer Effect

The shimmer effect is now drawn (in the Sequence Editor) using diagonal lines, instead of the previous vertical lines. This will hopefully make them stand out more against the background of vertical lines which represent timings.

Note that this change is simply for display of the sequence in the Sequence Editor; the actual appearance of the shimmer effect on controlled lights is unaffected by this.

Some channels with shimmer effects

Channel Settings Form Directly Accessible via the Channel's Button

In the Sequence Editor, left-clicking and right-clicking on a channel button used to both bring up a context menu of channel-related functions (such as adding, deleting, and moving channels). Right-clicking still does that, but left-clicking now brings up the channel's settings form instead:

The Channel Settings form

Bug Fixes and Internal Improvements

Several bug fixes have been made, including but not limited to the following:

·If a show includes a musical cleanup sequence, it is supposed to be played after each song. Instead, it was being played only at the end of the show, just before the first shutdown sequence.

·Some musical sequences, when played in the Sequence Editor, would reach the end of their audio file, but would not cause the Sequence Editor to exit from play mode.

·Certain audio files would not play their audio.

·The Sequence Editor incorrectly determined the total length of certain audio files.

·When a musical sequence was played in the Sequence Editor using the "Visible Screen" play range, the display would sometimes jump to an adjacent portion of the sequence, rather than remaining on the initially visible portion of the sequence.

·Attempting to delete the first timing in a sequence (at time zero) would cause the Sequence Editor to crash.

·Attempting to resize multiple timings (simultaneously) using the Sequence Editor's "Resize Timings to ..." function (on the right-click popup menu) would cause the Sequence Editor to crash if the sequence happened to be more than 5:27.67 long.

·When the Sequence Editor displayed fades using gradual changes in colors (as opposed to when it displayed them using ramps), it would sometimes draw the end of a fade event past where it should have been.

·The Tapper Wizard's option to not use a countdown before the song begins did not work.

·When a sequence was playing at a speed other than the normal speed (for example, through the "Play Speed" menu item in the Sequence Editor, or due to a loop that was set up to increase or decrease speed each time through), if a fade up or a fade down was done, the lights would not properly take the speed of the sequence into account when determining how quickly to fade. For example, a fade up from 0 to 100% that normally takes one second, played at half speed, should fade up from 0 to 100% in two seconds. Instead, it would fade up from 0 to 100% in the first second, and then remain at 100% for the entire second second.

·When the Cleanup or Delay portion of a show was modified in the Show Editor, the Save button would not become enabled.

·The Sequence Editor's audio waveform display (and its positioning line) did not exactly match up with the time of the rest of the display. This was especially noticeable at very high zoom levels.

·When moving a timing in a sequence by clicking and dragging it in the Sequence Editor, sometimes the timing before the selected one would be moved.

·When a musical sequence was opened in the Sequence Editor, and the "View Wave Form by Default" option was selected, if the sequence's audio file no longer existed (or otherwise could not be opened), the Sequence Editor would crash.

·If a musical sequence was played in the Sequence Editor, and the sequence's audio file no longer existed (or otherwise could not be opened), nothing would appear to happen. The Sequence Editor now instead shows an error message box describing the problem.

Various internal improvements have been made as well.


What's New in Version 1.x.x

· What's New in Version 1.5.0

· What's New in Version 1.4.0

What's New in Version 1.5.0

The following new features, changes, and fixes have been made for Light-O-Rama version 1.5.0:

· Tapper Wizard Behavior Change

· Channel Deletion Fix

· Channel Button Feedback during Loops Fixed

· Animator Fix

Tapper Wizard Behavior Change

When the Tapper Wizard's "toggle" and "snap to existing events" options are used together, both the beginning time and the end time of each toggle are snapped to existing events. This causes the combination to behave in a way that is probably more similar to what most people would expect.

Channel Deletion Fix

Various problems occurred when the last channel in a sequence was deleted. These have been fixed.

Channel Button Feedback during Loops Fixed

When the Sequence Editor was used to play a sequence with a loop, and the end of the loop was reached, just before going back to the beginning of the loop, the channel buttons' color displays would sometimes briefly act upon the event just after the loop. This has been fixed. Note that it did not affect the actual display of lights; it only affected the display within the Sequence Editor itself.

Animator Fix

If the Animator was sized so that scroll bars were necessary, the "draw" and "erase" functions would act upon the wrong cells. This has been fixed.

What's New in Version 1.4.0

· Time Scale

· Copy and Paste Timings

· Animation Saved in Channel Configuration Export

· Right-Click in Animator Now Erases

· Duration in Status Bar

· Play Again

· Several Zoom Improvements

· Delete Selected Events

· Animator Efficiency

· Manual Stop Stays in Position

· Program's Main Window Remembers Its Position

· Bug Fixes and Internal Improvements

Time Scale

In the Sequence Editor, at the top of each sequence, a time scale is optionally displayed. Also, during play, the button to the left of this scale now displays the current time offset.

Whether the time scale is displayed or not for any particular sequence can be controlled via the View menu, or via a button on the toolbar. It can be turned on or off by default using the Display Preferences dialog on the Edit menu.

Copy and Paste Timings

In the Sequence Editor, you can now copy and paste timings - that is, make new cells having the same duration and relative positions as some existing timings.

To copy a set of timings, select the range of cells that you want to copy, and then copy them in one of three ways:

·Select "Copy Timing" from the Edit menu;

·Select "Copy Timing" from the right-click context menu;

·Using the keyboard, hold the "Shift" key and simultaneously hit the "Delete" (or "Del") key.

Once these timings are copied, you can paste them in one of several ways:

·Via the right-click context menu:

·"Paste timing at (the centisecond that was right-clicked)";

·"Paste timing at ...", which brings up a dialog box asking the centisecond to paste to (defaulting to the centisecond that was right-clicked");

·"Paste timing multiple", which is similar, but also asks how many times you would like to paste the timings consecutively, or if you wish to keep pasting them all the way to the end of the file.

·Via the Edit menu, using "Paste Timing". This is the same as the right-click menu's "Paste timing multiple", except that the starting centisecond defaults to the start of the current selection, rather than the right-clicked centisecond.

·Using the keyboard, hold the "Shift" key and simultaneously hit the "Insert" (or "Ins") key. This is the same as "Paste Timing" from the Edit menu.

Animation Saved in Channel Configuration Export

When a sequence's channel configuration is saved (using "Export Channel Configuration" from the Edit menu of the Sequence Editor), the sequence's animation is saved along with it. When the channel configuration is later imported into another sequence (using "Import Channel Configuration" from the same menu), the user is given the option to import the animation as well.

Right-Click in Animator Now Erases

The right mouse button can now be used to erase cells in the Animator.

Duration in Status Bar

The status bar along the bottom of the Sequence Editor now shows not only the total time and selected time range, but also the duration of the selected time range.

Play Again

You can now tell the Sequence Editor to "play again". This causes it to play the last thing that you asked it to play, regardless of the current play settings. For example, if you choose a certain time range, with the play range set to "Selection", the Sequence Editor will play that selection. After play ends, you may fix some problem that you noticed, which causes the selected time range to change. If you wanted to play the same time range again, previously, you would have to re-select that time range. Now, you can instead simply hit "Play Again".

There are two ways to do this: Via the "Play Again" item of the Play menu, and via a new toolbar button.

Several Zoom Improvements

Several zoom improvements have been made in the Sequence Editor:

·The "Zoom In" and "Zoom Out" buttons on the toolbar have been replaced by individual buttons for "Zoom Channels In", "Zoom Channels Out", "Zoom Time In", and "Zoom Time Out".

·Preferred zoom settings can now be saved or restored via the Zoom Preferences dialog on the Edit menu. The saved zoom preferences are used by default when opening or creating new sequences.

· Keyboard shortcuts now exist to zoom in various directions: Alt-Up and Alt-Down to zoom channels in and out, and Alt-Left and Alt-Right to zoom time in and out. Also, Alt-Page-Up and Alt-Page-Down to go to the minimum or maximum channel zoom settings, and Alt-Home and Alt-End for the minimum and maximum time zoom settings.

Delete Selected Timings

In the Sequence Editor, several timings can now be deleted at once, by selecting a range of timings and choosing "Delete Selected Timings" from the right-click context menu.

Animator Efficiency

The Animator has been made more efficient, using less CPU during play. This improves the jerkiness that was seen on some machines during play while the Animator window was open.

Manual Stop Stays in Position

When you manually stop play of a sequence (as opposed to letting it stop by reaching its natural end), the Sequence Editor now continues to display the screen that was being displayed when play was stopped.

Program's Main Window Remembers Its Position

When you start the Sequence Editor, its main window is now opened in the same position that it was in the last time it was closed.

Bug Fixes, Internal Improvements

Several bug fixes and internal improvements have been made.


Feature Comparison

The Light-O-Rama software package must be registered, with a valid license, in order to be used to its full potential. Each license contains two separate types of license levels: the main license level and the SuperStar license level.

The main license level covers all of the Light-O-Rama software package except for the Light-O-Rama SuperStar Sequencer. Several different main license levels exist, each having different features: Basic, Basic Plus, Standard, Advanced, and Pro. Additionally, there is an unlicensed Demo version (which is the same as the Basic version, except that it cannot be used to actually control lights, and has encrypted save files).

The SuperStar license level covers the Light-O-Rama SuperStar Sequencer. Its possible levels have names such as 2_CCR, 24_CCR, 60_CCR, and the like, indicating the number of Cosmic Color Ribbons you can use with SuperStar. Additionally, there is an unlicensed Demo version which does not allow export to an actual sequence.

Any reference in this help file to a "license level" or "feature level" refers to the main license level, not to the SuperStar license level, unless specifically noted otherwise.

You will be given a chance to register your Light-O-Rama software at the time that you install it. To register after that time, or to upgrade to a higher level license, please see the "Register Light-O-Rama" (or "Upgrade Light-O-Rama") menu item on the Sequence Editor's Help menu, or on the Control Panel's popup menu.

The following chart summarizes what features are available with each license level, with detail on each coming after the chart.

If a feature is listed as "(demo mode)", it means that the feature can be used with this license to see what it's like, but it won't be fully supported. For example, if you try one of the Sequence Editor's demo mode features while building a sequence, you won't be able to save your changes to that sequence. Please see the details for each feature for exactly what "demo mode" means for that feature.

Any features not listed here are available with all license levels.

FEATURE | DEMO | BASIC | BASIC PLUS | STANDARD | ADVANCED | PRO
Number of LOR Units Supported | 0 | 2 | 4 | 8 | UNLIMITED | UNLIMITED
Number of Tracks Supported | 2 | 2 | 2 | 4 | UNLIMITED | UNLIMITED
Full Access XML Data Storage | No | YES | YES | YES | YES | YES
Beat Wizard | (demo mode) | (demo mode) | YES | YES | YES | YES
VU Wizard | (demo mode) | (demo mode) | YES | YES | YES | YES
Video Playback (Windowed Mode) | No | No | YES | YES | YES | YES
Show On Demand | No | No | YES | YES | YES | YES
Schedule Shows Based on Day of Year | (demo mode) | (demo mode) | YES | YES | YES | YES
Startup Sequences in Shows | (demo mode) | (demo mode) | (demo mode) | YES | YES | YES
Shutdown Sequences in Shows | (demo mode) | (demo mode) | (demo mode) | YES | YES | YES
Background Sequences in Shows | (demo mode) | (demo mode) | (demo mode) | YES | YES | YES
Sequence in Sequence | (demo mode) | (demo mode) | (demo mode) | (demo mode) | YES | YES
MIDI File Wizard | (demo mode) | (demo mode) | (demo mode) | (demo mode) | YES | YES
Triggered Interactive Sequences | (demo mode) | (demo mode) | (demo mode) | (demo mode) | YES | YES
Show Startup Options | No | No | No | No | YES | YES
Execute Windows Shell Commands | No | No | No | No | YES | YES
Full Screen Video Playback | No | No | No | No | YES | YES
Multiple Networks | No | No | No | No | YES | YES
Create Protected Sequences | No | No | No | No | YES | YES
DMX Intensity | No | No | No | No | YES | YES
Native DMX Devices Supported | No | No | No | No | YES | YES
Dasher Controllers Supported | No | No | No | No | YES | YES
X10 Controllers Supported | No | No | No | No | YES | YES
Digital IO Cards Supported | No | No | No | No | YES | YES
BSOFT Digital IO Cards Supported | No | No | No | No | YES | YES
Pixel Editor | (demo mode) | (demo mode) | (demo mode) | (demo mode) | (demo mode) | YES
Intensity Files and Enhanced Networks | No | No | No | No | No | YES

Number of LOR Units Supported

Except for the Advanced and higher license levels (which support an unlimited number of Light-O-Rama controllers), each license level will send lighting commands to a limited number of Light-O-Rama controllers: Basic supports a single controller, Basic Plus supports four, and Standard supports eight.

Whether a particular controller is supported or not depends on its unit ID. For example, the Basic license level will send lighting commands only to unit ID numbers 1 and 2, while the Standard license level will send lighting commands to any unit that has a unit ID between 1 and 8.

Regardless of whether a particular unit will be sent lighting commands, you can always use the Sequence Editor to build sequences using that unit; Light-O-Rama simply will not control the lights for that unit unless you upgrade to a higher license level.

The unlicensed Demo version will not send lighting commands to any controllers, so you cannot use it to actually control your lights.

Number of Tracks Supported

A sequence may have multiple tracks; however, certain license levels will only support a limited number of tracks in any given sequence. The Demo, Basic, and Basic Plus levels support two tracks per sequence, Standard supports four, and Advanced and higher support an unlimited number of tracks per sequence.

You will not be able to add new tracks to a sequence if it already has the maximum supported number. However, you can still open sequences that have more tracks (for example, a sequence that was created by someone who has a higher license level than you do). In this case, the extra tracks will be displayed in the Sequence Editor, but you will not be able to modify them, and any lighting effects in those tracks' channels will not actually control your lights during play.

Full Access XML Data Storage

When a sequence is saved using a licensed version of Light-O-Rama, its save file uses a standard XML format, which is designed to be understandable by people. Technically advanced users may feel comfortable editing these XML-based sequence files directly with a text editor, or even building their own tools that can be used with these files (although please be careful when doing so, as it is not terribly difficult to make a small mistake which may render the sequence file incomprehensible to the Light-O-Rama software package).

On the other hand, when a sequence is saved using the unlicensed Demo version, it is saved encrypted, and so the file itself cannot be easily understood or modified by anyone or anything except the Light-O-Rama software package. Additionally, data from an encrypted sequence cannot be copied and pasted, except on the computer that the sequence was originally encrypted on.

No matter whether a sequence is saved using the open XML format or using encryption, the Light-O-Rama software itself will still be able to use it.

If you create an encrypted sequence using the unlicensed Demo version, and later purchase a license, you can unencrypt the sequence by resaving it on the same computer it was originally encrypted on, using your licensed version of the software.

Beat Wizard

The Beat Wizard can be used to analyze a song to try to determine its tempo, and to automatically place timings and lighting effects into a sequence based upon that tempo. It is fully supported in license levels Basic Plus and higher.

It is not supported in license level Basic (nor in the unlicensed Demo version). However, you can still try it out in a "demo mode" to see what it is like; after trying it on a sequence, you will not be able to save your changes. You will be given a warning about this when you try it, along with a chance to back out before committing to using it. Additionally, if you do decide to use it, and your sequence already has unsaved changes, you will be given a chance to save them before you actually use this feature.

VU Wizard

The VU Wizard can be used to analyze a song to find peaks in the audio - much like a VU meter - and to automatically place timings and lighting effects into a sequence based upon those peaks. It is fully supported in license levels Basic Plus and higher.

It is not supported in license level Basic (nor in the unlicensed Demo version). However, you can still try it out in a "demo mode" to see what it is like; after trying it on a sequence, you will not be able to save your changes. You will be given a warning about this when you try it, along with a chance to back out before committing to using it. Additionally, if you do decide to use it, and your sequence already has unsaved changes, you will be given a chance to save them before you actually use this feature.

Video Playback (Windowed Mode)

You can build musical sequences based on audio files (such as MP3) or on video files (such as WMV). When a musical sequence is played, the sound will always play, but the actual video (or audio visualization) will only be displayed for license levels Basic Plus and higher. License level Basic will not display video (or audio visualization).

Additionally, your license level may or may not support video playback in full screen mode; see "Full Screen Video Playback" for details.

Show On Demand

Using license level Basic Plus or above, you can cause a show to be played without having scheduled it. This is done via the "Show On Demand" menu item of the Light-O-Rama Control Panel's popup menu.

Schedule Shows Based on Day of Year

The Light-O-Rama Schedule Editor can be used to schedule shows to play in two different ways: by the day of the week (such as "from 6:00 PM to 9:00 PM on Friday") or by the day of the year (such as "from 9:00 AM to 9:00 PM on December 25th").

However, scheduling based on the day of the year is fully supported only in license levels Basic Plus, Standard, and Advanced.

Using the Basic license level, you will still be able to use the Schedule Editor based on the day of the year in a sort of "demo mode" to see what it is like, but the Light-O-Rama Show Player will not actually play shows that are scheduled this way - it will only play shows that were scheduled by the day of the week.

Startup Sequences in Shows

The Light-O-Rama Show Editor can be used to build shows with several different sections. Among these is the Startup Section. Sequences in the Startup Section are played immediately upon the show starting up, one at a time, in order. After all of them have been played, the main portion of the show (i.e. the Animation Section and the Musical Section) begins.

However, this section is fully supported only with the Standard or higher license levels.

Using the Basic and Basic Plus license levels, you will still be able to use this section in the Show Editor in a sort of "demo mode", to see what it is like. However, the Light-O-Rama Show Player will not actually play the sequences in a show's Startup section; instead, the show will simply begin play directly with the Animation Section and the Musical Section.

Shutdown Sequences in Shows

The Light-O-Rama Show Editor can be used to build shows with several different sections. Among these is the Shutdown Section. When the scheduled end time for the show is reached, the main portion of the show (the Animation Section and the Musical Section) stops, and the sequences in the Shutdown Section are then played, one at a time, in order. After they have all finished, the show is truly finished.

However, this section is fully supported only with the Standard or higher license levels.

Using the Basic and Basic Plus license levels, you will still be able to use this section in the Show Editor in a sort of "demo mode", to see what it is like. However, the Light-O-Rama Show Player will not actually play the sequences in a show's Shutdown section; instead, when the scheduled end time for the show is reached, the Animation Section and the Musical section will stop, and the show will be over.

Background Sequences in Shows

The Light-O-Rama Show Editor can be used to build shows with several different sections. Among these is the Background Section. All sequences in the Background Section will play simultaneously, looping back to their starts when they reach their ends, throughout the entire course of the show.

However, this section is fully supported only with the Standard or higher license levels.

Using the Basic and Basic Plus license levels, you will still be able to use this section in the Show Editor in a sort of "demo mode", to see what it is like. However, the Light-O-Rama Show Player will not actually play the sequences in a show's Background Section.

Sequence in Sequence

Sequences can themselves contain subsequences - a parent sequence containing a child sequence. The parent sequence can be set to start or stop the child sequence at any given point during play.

However, subsequences are only fully supported with the Advanced license level or higher.

Using other license levels, you will still be able to use subsequences in a sort of "demo mode", to see what they are like, but you will not be able to save changes to your sequence after having done so.

MIDI File Wizard

The MIDI File Wizard can be used to automatically insert timings and lighting effects into a musical sequence that is based upon a MIDI song. For example, it can make your lights chase each other in time to the music, or turn certain channels on or off based upon what notes are being played.

However, the MIDI File Wizard is fully supported only with the Advanced license level or higher.

Using other license levels, you will still be able to use the MIDI File Wizard in a sort of "demo mode", to see what it is like, but you will not be able to save changes to your sequence after having done so.

Execute Windows Shell Commands

Using the Advanced license level or higher, Light-O-Rama can optionally tell Windows to execute any arbitrary command that you specify when a particular sequence is started. An example of how this might be used: If you broadcast the songs playing during your show over the radio, you might set your sequences up so that they tell Windows to tell your RDS ("Radio Data System") program to also broadcast the name of the song, allowing people with RDS-enabled radios to see the name of the song currently playing in your show.

Triggered Interactive Sequences

In addition to being able to control lights, some Light-O-Rama controllers can also accept input, acting as triggers to start particular sequences on demand during a show. For example, as part of your display, you could have several buttons for people to push, each of which will play a particular song.

However, this feature is fully supported only with the Advanced license level.

Using other license levels, you will still be able to use this section in the Show Editor in a sort of "demo mode", to see what it is like. However, the Light-O-Rama Show Player will not actually play any sequences which are triggered during your show.

Show Startup Options

Normally, the sequences in a show will start playing immediately at the show's scheduled start time. The Advanced license level or higher allows more control over this; for example, you could hook a big red button labeled "Start the Show" up to one of your Light-O-Rama controllers, and the show will not start until that button is pushed.

For details, please see "Show Startup Options".

Full Screen Video Playback

When a musical sequence is based upon a video file (such as a WMV file), the Advanced license level or highercan show the video in full screen mode (and similarly, it can show full screen audio visualizations for musical sequences based upon audio files).

Lower license levels cannot show full screen video (or full screen audio visualizations), but they may still be able to show video and visualizations in a window instead of in full screen. See Video Playback (Windowed Mode) for details.

Multiple Networks

The Light-O-Rama Software Package can send lighting commands to Light-O-Rama controllers over several different Comm ports simultaneously. This has several potential uses, especially for people with large numbers of controllers, or lights spread out physically far from each other.

However, this is supported only in the Advanced license level or higher. Other license levels will send lighting commands to Light-O-Rama controllers only over a single Comm port.

Create Protected Sequences

The Light-O-Rama Sequence Editor can be used to create protected sequences, which are sequences which cannot be modified (generally speaking) or viewed in the Sequence Editor, but which can still be played, control lights, scheduled in shows, and so forth.

However, this is supported only in the Advanced license level or higher. Other license levels can use protected sequences, but cannot create them.

DMX Intensity

Light-O-Rama allows the possible intensity of most lighting effects ranges from 0 to 100, i.e. a percentage of full intensity. DMX devices, however, are capable of taking 256 different intensities (from 0 to 255), rather than 101. Light-O-Rama supports this possibility via the DMX Intensity tool.

However, this is only supported in the Advanced license leve or higherl. Other license levels will not have access to the DMX Intensity tool.

Native DMX Devices Supported

The Advanced license level or higher can send lighting commands to DMX devices, in addition to Light-O-Rama controllers. Lower license levels can only send lighting commands to Light-O-Rama controllers.

Dasher Controllers Supported

The Advanced license level or higher can send lighting commands to Dasher controllers, in addition to Light-O-Rama controllers. Lower license levels can only send lighting commands to Light-O-Rama controllers.

X10 Controllers Supported

The Advanced license level or higher can send lighting commands to X10 controllers, in addition to Light-O-Rama controllers. Lower license levels can only send lighting commands to Light-O-Rama controllers.

Digital IO Cards Supported

The Advanced license level or higher can send lighting commands to digital IO cards, in addition to Light-O-Rama controllers. Lower license levels can only send lighting commands to Light-O-Rama controllers.

BSOFT Digital IO Cards Supported

The Advanced license level can send lighting commands to BSOFT digital IO cards, in addition to Light-O-Rama controllers. Lower license levels can only send lighting commands to Light-O-Rama controllers.

Pixel Editor

The Light-O-Rama Pixel Editor can be fully used only with the Pro license level. Lower license levels can use the Pixel Editor in a sort of demo mode, but will be unable to use it to create intensity files, which are needed to actually control your lights based on your work in the Pixel Editor.

Intensity Files and Enhanced Networks

The Pro license level can use intensity files and enhanced LOR networks. These can help with displays involving very large numbers of independent lighting elements. Lower license levels cannot use these features.


Light-O-Rama Concepts

Light-O-Rama allows your computer to control your lights and other equipment in synchronized displays. Such a display is organized in a few levels:

At the lowest level, a sequence contains commands to be sent to your Light-O-Rama hardware, which will actually control your lights. For example, a sequence might contain a command to turn on one string of lights while making another string twinkle, and two seconds later, fading the first string down while fading the second string up. A sequence can contain commands for many circuits.

A sequence contains commands for individual strings of lights

Typically, people build a sequence per song that they want in their display (known as musical sequences), each one containing all of the lighting commands for its particular song. People also build animation sequences, not associated with any particular song, and often build one for each independent part of their display - for example, one animation sequence to control a group of snowmen having a snowball fight, and another to control a tin soldier firing a cannon.

Sequences can be grouped together into shows. A show allows several sequences to be played at the same time, or sequentially, or in random order. A show can contain different sections - for example, some sequences might be played only at the beginning of a show, others only at the end, others in between, and still others for the entire duration of the show.

A show contains sequences to be played together, or in order, or randomly

Finally, shows can be scheduled to be played at certain times. Only one show (at most) can be playing at any given time, but any number of shows can be scheduled for different times, and the same show can be scheduled to play at many different times.

A schedule is used to play shows at specific times


Sequences

A sequence is a set of commands to be sent to lights - for example, a sequence may command the lights to turn on when the sequence starts, turn off a second later, stay off for a tenth of a second, start twinkling for the next two seconds, and then fade up, from completely off to completely on, during the next three seconds.

A sequence can control multiple sets of lights independently of each other. Each set of lights should be hooked up to a particular circuit on a particular controller; each such circuit is referred to as a "channel". Additionally, for RGB devices, capable of changing color, three independent channels (a red, a green and a blue) can be grouped together into a single RGB channel.

There are two types of sequences: animation sequences and musical sequences. Musical sequences are associated with songs (or sound effects, videos, et cetera); the lights can be made to turn off and on (and do other effects) in sync with the music. Animation sequences are not associated with songs. Many sequences can be played simultaneously, but at most one musical sequence can be playing at a time - all others must be animation sequences. This means that you can control some of your lights in sync to a song via a musical sequence, while simultaneously controlling other lights independently, via animation sequences.

The Light-O-Rama Sequence Editor is used to create and modify sequences. After creating sequences with the Sequence Editor, you can package sequences together into a show, using the Show Editor, and then schedule shows to be played at certain times using the Schedule Editor. The Show Player (if enabled, via the "Enable Schedule" on the Light-O-Rama Control Panel) will monitor your schedule and play your shows at the appropriate times.

For example, here is a simple sequence, containing six channels, as represented in the Sequence Editor. As time passes (from left to right), you can see that the first channel is turned on, then it is turned off and the second channel is turned on, then that is turned off and the third channel is turned on, and so forth, through the six channels:

A simple sequence, with lights turning on and off, chasing through six channels

The vertical lines in the grid, representing distinct points in time, are known as timings. These timings do not have any direct effect on how your lights will look; instead, they allow you to select time ranges for lighting effects to happen, using various tools in the Sequence Editor.

Timings are grouped together into timing grids. A sequence can have more than one timing grid; which one is currently displayed can be controlled via the "Timings" dropdown box in the Tracks and Timings toolbar. For example, the timing grid currently displayed in the sequence shown above has a timing every half a second, and is shown in the dropdown box as "Fixed Grid: 0.50". "Fixed Grid" in this means that the timings are all a certain length of time apart, and that they cannot be moved, deleted, or added to; "0.50" is that length of time (in this case, half a second).

In addition to "fixed" timing grids, a sequence can also have "freeform" timing grids. In a freeform timing grid, timings can be at any location, and can be moved, added, and deleted. For example, here is the same sequence, but now with a freeform timing grid displayed:

The same sequence, with a freeform timing grid

Note that the timings in this freeform grid are not the same distance from each other. Also note that the timings and the effects do not line up with each other - there is no reason that they would have to. This is so as to allow flexibility in where effects can be applied, without cluttering the display with many timings.

For example, perhaps you might want a sequence to have some effects that are following the drumming in a song, and other effects that are following the lead guitar. You could simply add timings representing both the drumming and the guitar to a single timing grid, but if you do, it could be difficult to remember which timing is for which instrument; also, the display might become cluttered with so many timings. So, instead, you could put the timings for the drums into one timing grid, and the timings for the guitar in another timing grid, and use the dropdown box to easily switch between the two timing grids as appropriate. The effects that you add using the timing grid for the drums will not necessarily line up with the timing grid for the guitar, nor the effects added using the timing grid for the guitar with the timing grid for the drums, but neither should they.

A sequence can contain multiple tracks. A track is a group of channels. Each track can have its own channels, or can share channels with other tracks, or both. Each track can be switched to display any particular timing grid at any time, independently of every other track.

Animation sequences (but not musical sequences) can be set up to use loops. When playing a sequence that contains a loop, when the end of the loop is reached, the sequence will jump back to the beginning of the loop. It will do this a certain number of times (that you specify), and then will continue past the end of the loop. Each time that it jumps back, you can make it go through the loop faster, slower, or the same speed as before. There can be many loops in a sequence (set up for different time ranges), and loops can even contain other loops.

Each sequence can have an animation associated with it. This lets you draw how your lights will be laid out. When you play a sequence in the Sequence Editor and display its animation, the drawing will behave just like your lights will - your drawing will turn on and off, fade up and down, and so forth.

A sequence can also contain another sequence as a subsequence. The subsequence can be turned on or off at different points in the main sequence, and its effects will play only when it is turned on.

For more detailed information on sequences, please refer to the following sections:

· The Sequence Editor

· Animation Sequences

· Musical Sequences

· Tracks

· Channels

· RGB Channels

· Timings

· Effects

· Loops

· Animations

· Subsequences

· Windows Shell Commands


Animation Sequences

An animation sequence is a sequence that is not associated with a song (or video, or other audio file). This is as opposed to a musical sequence.

There are some other differences between animation sequences and musical sequences:

·Animation sequences can contain loops, which musical sequences cannot;

· Tracks in an animation sequence can be of different lengths, while tracks in a musical sequence must be the same length;

·Various song-related tools such as the Beat Wizard, MIDI File Wizard, VU Wizard and Tapper Wizard are only available for musical sequences.

·Generally speaking, only one musical sequence can be played at a time (although there is an exception to this, described in the help page on musical sequences), whereas many animation sequences can be played simultaneously.

To create an animation sequence in the Sequence Editor, use the New Animation dialog.

The New Animation dialog


Musical Sequences

A musical sequence is a sequence that is associated with a song (or video, or other audio file), allowing you to synchronize the song with lighting effects. This is as opposed to an animation sequence.

There are some other differences between animation sequences and musical sequences:

·Animation sequences can contain loops, which musical sequences cannot;

· Tracks in an animation sequence can be of different lengths, while tracks in a musical sequence must be the same length;

·Various song-related tools such as the Beat Wizard, MIDI File Wizard, VU Wizard and Tapper Wizard are only available for musical sequences.

·Generally speaking, only one musical sequence can be played at a time (although there is an exception to this, noted below), whereas many animation sequences can be played simultaneously.

The exception to the rule that "only one musical sequence can be played at a time" is that musical sequences put into any section of a show other than the musical section are, effectively, treated as animation sequences. That is, their associated songs will not be played, and more than one of them can be played simultaneously.

To create a new musical sequence in the Sequence Editor, use the New Musical Sequence dialog.

The New Musical Sequence dialog


Channels

A channel is a part of a sequence, representing a particular circuit on a particular controller, which you have lights hooked up to. The Sequence Editor can be used to assign effects to channels, to make the lights turn on and off, fade, shimmer, twinkle, and so forth.

Channels have several properties that define exactly which string of lights they relate to:

·Device type, which is the type of controller (for example, a Light-O-Rama controller or an X10 controller);

·Network, which is the COM port that this channel's controller is hooked up to the PC over;

·Unit, which is the unit ID of the controller, allowing different controllers to be distinguished from each other;

·Circuit, which represents one particular string of lights hooked up to the controller.

Not all device types have all of these properties - for example, X10 controllers have a unit ID, but no circuit number. Please see the help pages on the various types of controllers for details.

Additionally, there is a "special" device type: a subsequence. A channel set up with this device type does not represent a strand of lights. Instead, it represents another sequence, that the main sequence can turn on and off at different points in time.

Channels also have names and colors associated with them. These have no effect on the way that your lights will look; they only effect how the sequence is displayed in the Sequence Editor. It could be convenient to set them up in meaningful ways. For example, you might want to name the channel associated with a string of red lights running through the bushes in your front yard as "Front Bushes (Red)", and set its color to some shade of red.

In the Sequence Editor, channels are represented as horizontal rows. On the left side of a row is a channel button, labelled with the name of the channel; on the right side is a grid showing what effects are assigned to the channel at what times. For example, the following sequence has six channels, and they are named, simply, "Channel 1" through "Channel 6". One of them ("Channel 4") has an effect: a fade up, from zero seconds to one second:

A sequence with six channels - one on each row - and a fade up on the fourth channel

To turn a channel on or off at a certain time, or do other effects such as fades or twinkles, select the effect that you want, and click on the cell or cells for the times that you want that effect to take place. See Editing Sequences Using the Keyboard and Editing Sequences Using the Mouse for more details on this.

Between the channel buttons and the grid is a thick grey vertical bar. You can change the size of the channel buttons by clicking and dragging this bar. Clicking the bar (without dragging) will hide the channel buttons entirely; clicking it again will make them reappear. You can also control whether channel buttons are displayed or hidden from the View menu, and from the standard toolbar, and set your default preference in the Display Preferences menu.

Clicking on a channel's button brings up the Channel Settings dialog. This allows control over various things like the channel's name, color, unit, and circuit:

The Channel Settings dialog

Right-clicking on a channel's button brings up a popup menu with various channel-related tools:

The Channel Button Popup Menu

Channel buttons can be dragged up and down to rearrange their order. This has no effect on your lights; it only affects the order that they are displayed in the Sequence Editor.

When you play a sequence in the Sequence Editor, its channel button flashes with the color that you selected as it turns on and off; it will also fade up and down, shimmer, twinkle, and so forth, just as your lights will. If you do not wish to see the channel buttons change color during play, you can turn it off temporarily in the Play menu or the standard toolbar, or set your default preference in the Display Preferences menu.

The Channel Configuration screen can be used to view and change many channels' settings at once:

The Channel Configuration screen, showing several channels simultaneously

A channel can be in a single track, or shared among more than one track. By default, there is one track in a sequence, and all channels in the sequence are in that track. To share a channel between tracks, do not simply set up two different channels having the same unit number, circuit number, et cetera in the two tracks; this will have unexpected and undesired results, as the two different channels will compete with each other for control of the same circuit. Instead, share a channel by copying it to the other track. There are several ways to do this; see the help page on tracks for details.

For RGB devices, which can change colors, three separate channels (a red, a green, and a blue) can be grouped together into a single RGB channel.

For more detailed information on how to create and modify channels in the Sequence Editor, please see:

· Channel Buttons

· Channel Settings

· Channel Buttons' Popup Menu

· The Channel Configuration Screen


RGB Channels

An RGB channel is a group of three channels - a red channel, a green channel, and a blue channel - representing a single pixel on an RGB device (which can change colors), such as a pixel on a Cosmic Color Ribbon. In the Sequence Editor, an RGB channel is represented by a black row in a sequence (as opposed to normal channels, which are represented by grey rows). Lighting effects on an RGB channel are represented in the row as colors:

A sequence with an RGB channel followed by several normal channels

To the left of an RGB channel's button is a small button with red, green, and blue stripes. Clicking on this button will expand the view of the RGB channel so that its constituent red, green, and blue channels can also be seen (and clicking it again will collapse the view to hide those constituent channels):

The same sequence, with the view of the RGB channel expanded so that its constituent channels can be seen

The RGB channel's lighting effects can be modified by applying tools (such as Shimmer or Toggle or Fade Up) to its constituent channels, but they can also be modified directly by using the Color Fade tool on the RGB channel itself. This tool allows you to specify a start color and an end color; when applied to a time range in the RGB channel, it will cause that time range to gradually fade from the start color to the end color.

An important thing to note here, though, is that the colors displayed on your screen in the Sequence Editor are not necessarily the same colors that will appear on your actual RGB device, and in some cases may actually be very different. Different RGB devices may produce different colors when their constituent R, G, and B channels are sent the exact same intensities. So, you may have to experiment a bit to figure out colors as displayed in the Sequence Editor that wind up looking the way you want on your actual RGB devices.

Another tool which may be particularly useful for RGB channels is the Fill tool, which (on a normal channel) allows you to click an empty area and cause it to become a fade from the preceding intensity to the following intensity. For example, if you have a normal channel which has a fade up from 40 to 60, followed by the lights being off, followed by a fade down from 80 to 20, then applying the Fill tool to the area where the lights are off will cause that area to become a fade up from 60 to 80 (because the effect preceding the empty area ended at intensity 60, and the effect following the empty area started at 80). On an RGB channel, the Fill tool will instead cause a color fade from the preceding color to the following color, hopefully allowing you to quickly set up smooth color transitions across several different colors.

The Chase and Repeat tools may also be of particular use on RGB channels. The Chase tool causes the lighting effects in a single channel (or RGB channel) to be applied through a range of following channels (or RGB channels), offset in time a bit with each passing row, so that the effect seems to be "chasing" through the channels (or RGB channels) as time passes. The Repeat tool causes one or more copies of the lighting effects in your selection to be applied immediately following your selection.

Other tools, such as Shimmer or Toggle or Fade Up, can also be applied to RGB channels. Doing so will cause the tool to be applied to each of the RGB channel's constituent channels. For example, applying the Fade Up tool, with intensities 0 to 100, to an RGB channel will cause each of the red, green, and blue channels to fade up from 0 to 100, thus making the RGB channel itself fade from black to white.

Such tools can also be directly applied to the constituent channels of an RGB channel (as opposed to the RGB channel itself), allowing for finer grained control over the behaviour of the RGB channel.

Clicking on an RGB channel's button will open the RGB Channel Settings dialog, allowing control over various settings such as the units and circuits of the constituent channels:

The RGB Channel Settings dialog

Right-clicking on an RGB channel's button will open up a popup menu with various channel and RGB channel-related tools:

The RGB Channel Button Popup Menu

RGB channels can be added to a sequence in a few ways, all via the Channel/RGB Channel Button Popup Menu. First, the "Insert Device" menu item has options to insert a Cosmic Color Device or a generic RGB device, both of which will result in RGB channels being added to the sequence. Second, the "Insert RGB Channels" menu item will create new RGB channels. Third, existing regular channels can be converted to RGB channels via the "Convert to RGB Channel" menu item.


Channel Groups

A channel group is a set of channels or RGB channels (or, conceivably, other channel groups) that is nested together, so that it can be collapsed down to a single row in the sequence's display, or expanded to show all of its members, or (in some cases) partially expanded to show some of its members. When a channel group is first created (or when a sequence with one is first opened or created), the channel group is shown as a single row:

An unexpanded channel group

To the left of the channel group's row is a small white button with a "+" sign. Left-clicking on this expands the channel group to show all of its rows (and the "+" sign changes to a "-" sign):

The same channel group, fully expanded

Clicking the small white button again collapses the channel group back to a single row:

The same channel group, collapsed again.

If you hold the Shift key while clicking, not only the channel group, but also all of its descendants (with the exception of RGB channel descendants) will be expanded if it is collapsed, and all of its descendants collapsed if it is expanded. Holding both the Ctrl and Shift keys will cause all of its descendants (including RGB channels) to be expanded if it is collapsed, and all of its descendants to be collapsed if it is expanded.

Depending upon how many channels are in the channel group, right-clicking on the small white button may partially expand the channel group, showing the first and last channels, plus some approximately equally spaced channels in between:

ChannelGroupPartiallyExpanded1
The same channel group, partially expanded.

Right-clicking on the small white button again may partially expand it further, showing more channels:

The same channel group, partially expanded further

If you keep right-clicking, eventually the channel group will be fully expanded, after which another right-click will collapse it back to a single row. Exactly how many right-clicks it takes to go from collapsed to fully expanded depends upon the number of channels in the channel group.

If you hover your mouse over the button, it will show the name of the channel group it operates on, and whether clicking on it will cause that group to expand or collapse.

When a channel group is collapsed, the effects displayed on its row are the events of its first channel (or RGB channel). However, applying a tool to the row actually applies it to all of its members. For example, with the channel group compressed, if you apply the Fade Up tool to its first cell, the result will look like this:

The same channel group, collapsed, after applying the Fade Up tool while it was collapsed

But when you expand the channel group, it becomes apparent that the Fade Up tool was applied to all of the channel group's members:

The same channel group, expanded

If you then collapse the channel group, and apply the Chase tool to it while it is collapsed, no change will be evident from what is displayed:

After applying the Chase tool, while collapsed

But a change did happen - the Chase tool was applied to the entire channel group. The only reason that no change is evident from what is displayed is because when the channel group is collapsed, only the effects of the first channel are displayed, and the Chase tool did not alter the effects of the first channel. Expanding the channel group reveals the change:

Expanded, after a chase

If the channel group is then partially expanded, the chase can be partially seen:

Partially expanded, after a chase

While it is partially expanded, applying a tool to a single row will apply that tool only to that channel. For example, if the Shimmer tool is applied to the row for "Unit 01.6", the result will look like this:

After a shimmer is applied to a single row while partially expanded

Expanding the channel group reveals that the shimmer really was applied only to that channel:

Fully expanded, after a single row shimmer

But if a tool is applied to more than one row while partially expanded, it is actually applied to all channels from the first selected row to the last, regardless of whether they are explicitly displayed or not. For example, if (while partially expanded) the Twinkle tool is applied to "Unit 01.6" and "Unit 01.11", the result will look like this:

Partially expanded, after a twinkle is applied to multiple rows

But expanding the channel group reveals that the twinkle was applied not just to Unit 01.6 and Unit 01.11, but also to all channels in between them:

Expanded, after a twinkle was applied to multiple rows while partially expanded

Channel groups can be created via the Insert Device dialog. If the "Add as a Group" checkbox on that dialog is checked, the device will be added as a channel group; if it is unchecked, the device will be created as raw channels and/or RGB channels.

You can also convert existing channels (and RGB channels, etc.) so that they become part of a new channel group, by using "Convert to Group" on a channel button's right-click popup menu. You can "degroup" a group -- that is, move its children to its parent, and then remove it itself from its parent -- by using "Degroup" on that same popup menu.

Cosmic Color Device Channel Groups

When a Cosmic Color Ribbon (or Bulb) or a Cosmic Color Array is created as a group, and it contains macro channels, it is treated a little differently than other channel groups. First, those macro channels will only be displayed when the channel group is fully expanded, and never when it is only partially expanded. Instead, when it is partially expanded, the last displayed row will be the last RGB channel. Second, if a tool is applied to the group while collapsed, it is only applied to the group's RGB channels, not to its macro channels.


Timings

Timings are the times in a sequence at which you can command the lights to do various effects - to turn on, turn off, fade up, fade down, and so forth.

Timings are represented in the Sequence Editor by vertical grey lines. For example, the following sequence has timings every half a second, at 0.5 seconds, 1 second, 1.5, 2, 2.5, 3, and so forth:

A sequence with timings every half a second

Timings do not have any direct effect themselves on the behavior of your lights; rather, they simply give you a way to specify a start time and an end time for effects on a channel. The space between two timings can be set to an effect by selecting the appropriate tool (such as the "Fade Up" tool) and clicking on the space (please see "Editing Sequences Using the Keyboard" and "Editing Sequences Using the Mouse" for details). For example, selecting the "On" tool and clicking the cell between 1 second and 1.5 seconds for Channel 2 results in:

The second channel has been turned on, between 1 second and 1.5 seconds

Timings do not have to be equally spaced (as they are in the above example). For example, the following sequence has timings at 0.37 seconds, 1 second, and 3.2 seconds:

A sequence with timings at 0.37 seconds, 1 second, and 3.2 seconds

Timing Grids

A set of timings is known as a "timing grid". A sequence can have more than one timing grid, with one being shown at a time (or, if the sequence has more than one track, one per track at a time). The timing grid that is currently shown can be changed by selecting from the "Timings" dropdown box on the Tracks and Timings Toolbar. There are two types of timing grids: fixed grids and freeform grids.

Fixed Timing Grids

In a fixed timing grid, each timing is the same length of time from the next timing. For example, a fixed timing grid might have a timing every second, or every tenth of a second.

The timings in a fixed timing grid cannot be moved, deleted, or added to.

Freeform Timing Grids

In a freeform timing grid, timings do not have to be equidistant. For example, a freeform timing grid might have one timing at time 1.00 (i.e. one second), another half a second later at time 1.50, and another 2.2 seconds past that at time 3.70.

The timings in a freeform grid can be moved or deleted, and new timings can be added.

Creating, Deleting, and Modifying Timings

Timings can be automatically inserted into a sequence when it is created, in a variety of ways. For example, you can tell the Sequence Editor to insert timings every so often - for example every half second, or, for a musical sequence, insert timings based on the song itself using various tools like the Beat Wizard, VU Wizard, Tapper Wizard, and MIDI File Wizard. If you tell it to insert timings every so often (such as every half second), it will give you the option to create them in a fixed timing grid or a freeform timing grid; if you tell it to use one of the tools, or not to insert timings, it will use a freeform timing grid. Please see the New Animation dialog and New Musical Sequence dialog for details.

The New Musical Sequence dialog

These tools (such as the Beat Wizard and MIDI File Wizard) can also be used after the sequence has been created, by selecting them from the Tools menu.

Timings in a freeform timing grid can be moved by clicking and dragging them. Or, if you wish, this behavior can be turned off by selecting "Lock Timings" in the Edit menu.

Timings can also be added, deleted, and resized in a variety of other ways:

·On the Edit menu:

· Copy and paste timings

· Insert multiple timings

· Delete extraneous timings

· Switch timing grid

·On the right-click context menu:

· Copy timing

· Paste timing at...

· Paste timing at (centisecond)

· Paste timing multiple

· Insert timing at...

· Insert timing at (centisecond)

· Insert multiple timings

· Delete timing at...

· Delete selected timings

· Resize timings to...

· Resize timings to equal times

·Using the Tracks and Timings toolbar


Effects

Light-O-Rama allows you to make your lights behave in a variety of ways. In addition to simply turning them on and off, you can turn them on to varying levels of brightness, have them fade up or down, shimmer, or twinkle.

You can assign these effects to channels in a sequence using the Sequence Editor. There are various ways to apply the effects to a sequence; see Editing Sequences Using the Keyboard and Editing Sequences Using the Mouse for details. One simple way is to select the effect's tool from the Tools toolbar, and click on a cell or range of cells that you want to apply the effect to.

Most of these effects require that you use Light-O-Rama controllers. Although Light-O-Rama can control other types of devices (such as X10 controllers or digital IO cards), only "on" and "off" are supported in these non-LOR controllers.

· On, Off, and Set Intensity

· Twinkle

· Shimmer

· Fade Up and Fade Down

· Custom Fade/Intensity Twinkles and Shimmers

· DMX Intensity

Related to effects are the effect editing modes: background effects, foreground effects, and regular effects. These are not themselves effects, but are ways to use the Sequence Editor to turn effects on based upon the existing effects. For example, with background effects mode on, if some cells are selected and the "twinkle" tool is used, only the selected cells that are currently off will be changed to twinkles. The other cells - those that are on or at some intensity, have fades, shimmers, or twinkles, will remain unchanged.

On, Off, and Set Intensity

The "On" and "Off" effects will turn a string of your lights to their full brightness or completely off, respectively. Additionally, the "Set Intensity" effect allows you to specify a percentage of full brightness - for example, 50% bright.

In the Sequence Editor, an "on" effect is displayed as a cell having the color that you chose for the channel, and an "off" effect is displayed as a light grey cell. "Set intensity" is displayed as a color somewhere in between the two (depending upon the intensity chosen). For example, the following picture shows a sequence with two channels (one red and one green), each being on for the first half second, off for the next, then 50% on, then off again, then 20% on, and then off again:

Different levels of intensity

Alternatively, you can choose to have varying intensities displayed not by varying colors, but by filling in the cells to varying degrees. This is done by selecting "View Fades as Ramps" from the View menu (or, to make this your default, by setting it in the Display Preferences dialog of the Edit menu). For example, here is the exact same sequence, but this time with "View Fades as Ramps" turned on:

The same sequence, with "View Fades as Ramps" turned on

The brightness used by the "Set Intensity" tool can be controlled by the Intensity Tool Settings dialog:

The Intensity Tool Settings dialog, with 70% intensity selected

Any of the ten values listed on the Intensity Tool Settings dialog can be changed, by clicking its "Edit" button to open the Intensity Tool Options dialog.

In the Tools toolbar, the "On" tool's button shows a green square, the "Off" tool's shows a red square, and the "Set Intensity" tool's shows three green columns of varying heights. Additionally, there is a "Toggle" tool, which can be used to turn any cell that is off to on, and any other cell to off. The "Toggle" tool's button shows two blue squares, one in front of the other. Finally, the Intensity Tool Settings dialog's button looks like the Set Intensity button, but with a question mark in front of it:

Intensity-related toolbar buttons

"Set Intensity" is only supported on Light-O-Rama controllers. If it is used on a different device type, any intensity greater than 10% is considered "on", and lesser percentages are considered "off".

Twinkle

The "Twinkle" effect causes your lights to quickly vary between on and off.

The difference between "Twinkle" and "Shimmer" is that twinkle is more random: Two different strings of lights that are both told to shimmer at the same time will quickly turn off and on in sync with each other; if they are instead told to twinkle, they will still quickly turn off and on, but not in sync with each other.

In the Sequence Editor, twinkle is represented with crossed diagonal hatching:

Two channels, each with twinkle between 1 and 2 seconds

On the Tools toolbar, the Twinkle tool is represented by a button with stars on it:

The twinkle toolbar button

Twinkle is only supported on Light-O-Rama controllers. If it is used on a different device type, it will simply turn the lights on to their full brightness.

The Twinkle tool itself twinkles the lights at full intensity. You can also twinkle the lights while fading up or fading down, or at some intensity other than full intensity, by using a custom tool instead of the Twinkle tool.

Shimmer

The "Shimmer" effect causes your lights to quickly vary between on and off.

The difference between "Shimmer" and "Twinkle" is that twinkle is more random: Two different strings of lights that are both told to shimmer at the same time will quickly turn off and on in sync with each other; if they are instead told to twinkle, they will still quickly turn off and on, but not in sync with each other.

In the Sequence Editor, shimmer is represented with diagonal lines:

Two channels, each with shimmer between 1 second and 2 seconds

On the Tools toolbar, the Shimmer tool is represented by a button with wavy lines:

The shimmer toolbar button

Shimmer is only supported on Light-O-Rama controllers. If it is used on a different device type, it will simply turn the lights on to their full brightness.

The Shimmer tool itself shimmers the lights at full intensity. You can also shimmer the lights while fading up or fading down, or at some intensity other than full intensity, by using a custom tool instead of the Shimmer tool.

Fade Up and Fade Down

The fade tools will make the brightness of your lights gradually change, either brighter or less bright. Both the starting brightness and the ending brightness can be specified, anywhere from 0% to 100%, as can the length of time that it takes to fade from one to the other.

In the Sequence Editor, fades are represented by gradually varying colors, between light grey (representing 0%) and the color that you assigned to the channel (representing 100%). For example, the following picture shows a sequence with four channels (two red and two green), all fading over the course of the first second of the sequence. The first channel fades up from 0% to 100%; the second from 25% to 100%; the third fades down from 100% to 0%; the fourth from 100% to 25%:

Four different fades

Alternatively, you can choose to have fades displayed not by varying colors, but by filling in the cells to varying degrees. This is done by selecting "View Fades as Ramps" from the View menu (or, to make this your default, by setting it in the Display Preferences dialog of the Edit menu). For example, here is the exact same sequence, but this time with "View Fades as Ramps" turned on:

The same sequence, with "View Fades as Ramps" turned on

The starting and ending brightnesses used by the Fade Up and Fade Down tools can be controlled via the Fade Tool Settings dialog:

The Fade Tool Settings dialog, with fade up 50%-75% and fade down 100%-0% selected

Any of the ten values on the Fade Tool Settings dialog can be changed, by clicking its "Edit" button to open up the Fade Tool Options dialog.

On the Tools toolbar, the Fade Up and Fade Down tools are represented as blue up and down arrows in front of green triangles. The Fade Tool Settings dialog's button looks like that of the Fade Up tool, but with a question mark in front of it:

Fade-related toolbar buttons

Fades are only supported on Light-O-Rama controllers. If one is used on a different device type, it will simply immediately turn the lights completely on or completely off, based on the ending brightness of the fade (fades ending at greater than 10% brightness are considered "on", and others are considered "off").

Custom Fade/Intensity Twinkles and Shimmers

Only one of the Twinkle, Shimmer, Fade Up, Fade Down, and Set Intensity tools can be selected at any given time. They can therefore be used, for example, to twinkle the lights, or to fade the lights up, but not both. However, you can still twinkle the lights while fading them up, in another way: By using the Custom tool.

On the Tools toolbar, the Custom tool is shown as a large yellow star. To the right of it are five buttons, which are enabled when the Custom tool is selected (and disabled if any other tool is selected). These five buttons allow you to select "twinkle" or "shimmer", and "set intensity", "fade up", or "fade down". Each of these five looks like the corresponding button for the base effect (such as "twinkle"), with a smaller yellow star in its lower right corner.

For example, to select a tool that will let you twinkle the lights while fading them up, select the yellow star "Custom" button. The five custom option buttons will then become enabled; select the "Custom Twinkle" button and the "Custom Fade Up" button.

The regular fade tool settings apply to faded twinkles and shimmers, and the regular set intensity tool settings apply to set intensity twinkles and shimmers.

If you have an older Light-O-Rama controller, it may need a firmware upgrade before it will be able to twinkle or shimmer while fading, or at any intensity other than full intensity. If a custom twinkle or shimmer is sent to such a controller that does not have the appropriate firmware upgrade, it will react as it would to a "standard" twinkle or shimmer - i.e. it will twinkle or shimmer at full intensity.

A twinkling fade up followed by a shimmering fade down

Toolbar icons for custom twinkles and shimmers

DMX Intensity

The intensity for most effects - such as fades - can vary between zero and 100. The DMX intensity effect, however, can vary between zero and 255.

This is useful for sending DMX commands to DMX devices via a Light-O-Rama controller; the DMX protocol supports intensities from zero to 255, and so this effect allows Light-O-Rama to send any of the 256 possible DMX intensities to a device, instead of only 101 of them. However, please note that not all Light-O-Rama controllers support this functionality; DMX intensity events sent to a controller that does not support them will simply be ignored. To check whether any particular controller supports it, please refer to that controller's documentation.

The DMX intensity tool is not enabled in the Sequence Editor by default - that is, by default, the Sequence Editor will not show a toolbar button for the DMX intensity tool, nor a menu item in the Tools menu, nor allow a keyboard shortcut for it. To enable these things, make sure that "Allow DMX Editing" is checked in your DMX Preferences.

The DMX Intensity toolbar button

When DMX editing is enabled and the DMX intensity tool is selected, a dialog will appear allowing you to set the exact DMX intensity that will be used whenever the tool is used on a cell or group of cells:

The DMX Intensity dialog

The intensity can be set in this dialog in several ways: by moving the slider, by typing in the text box, by using the up/down buttons next to the text box, or by selecting any of the preset intensity buttons. Additionally, the values of the preset buttons can be changed by clicking the "Edit" button:

Editing the DMX Intensity dialog's preset intensities

After modifying the preset intensities using these text boxes, click "Save" to go back to showing the buttons instead of the text boxes. Note: When you click "Edit", Light-O-Rama will automatically sort the values that you entered so that they are displayed from lowest to highest, regardless of the order that you entered them in. Also, if you enter any particular value more than once, Light-O-Rama will automatically filter out the duplicates, and replace them with values that are in between those that you have entered.

The Sequence Editor displays DMX intensity effects using a checkerboard pattern:

Several channels, each with a DMX intensity of 128 followed by a DMX intensity of 255

Background and Foreground Effects

Background and foreground effects are not themselves effects, but are rather modes of editing effects in the Sequence Editor. These modes affect the behavior of tools (such as "Twinkle" and "Fade Up") in the following manner:

If background effects have been turned on, the tool only applies to those selected cells that are completely off (that is, at intensity zero for their entire duration).

If foreground effects have been turned on, the tool only applies to those selected cells that are not completely off.

If neither background effects nor foreground effects have been turned on, the tool will apply to all selected cells. This is referred to as "regular effects".

Some examples:

Before a background fade up

After a background fade up

Before a foreground fade up

After a foreground fade up

Background and foreground effects can be turned on and off in several ways:

·Via the Tools Menu ("Tools/Background Effects" and "Tools/Foreground Effects");

·Via the Tools toolbar;

·Via the keyboard:

·The "A" key ("bAckground") will cause the next keystroke (and only the next keystroke) to use background effects mode rather than whatever mode is currently selected;

·"Shift-A" will cause background effects to be turned on until it is explicitly turned off;

·Similarly, "O" and "Shift-O" ("fOreground") for foreground effects, and "E" and "Shift-E" ("rEgular") for regular effects (i.e. for turning off both background and foreground effects).

These tools are also available via the effect grid's right-click popup menu, for single-shot use, like the other tools (for example "on", "twinkle", and "fade up").

The background and foreground effects toolbar buttons


Loops

An animation sequence (but not a musical sequence) can contain loops. When the Show Player or the Sequence Editor plays a sequence with loops, when the end of a loop is reached, the sequence will go back to the beginning of the loop. This will happen a certain number of times (which you specify), after which the sequence will continue on past the end of the loop.

Each time through a loop, you can have the sequence speed up, slow down, or remain at the same speed.

A sequence can contain many loops. Loops can be nested - that is, a loop can contain other loops.

In the Sequence Editor, loops are shown in a white row, above the grey rows representing channels. For example, the following picture shows a sequence with a loop starting at 1 second and ending at 2 seconds:

A sequence with a loop, starting at 1 second and ending at 2 seconds

More than one loop can be in a sequence. For example, here is the same sequence, with a second loop added, from 2.5 seconds to 3 seconds:

Two loops in a sequence

Loops can contain loops; this is represented by having multiple rows of loops. For example, in the following picture, a second loop level has been added, and a loop was put into it from 0.5 seconds to 3 seconds, thus containing both of the loops of the lowest loop level:

A loop containing loops

To use loops in an animation sequence, you first must use the "Turn on Loops" option in the Edit menu of the Sequence Editor (or, alternatively, specify that you want to use loops when you create the sequence in the New Animation dialog).

To create a loop, select the appropriate time range and the loop level, either by clicking and dragging the mouse in the white loop rows or by using the keyboard. The Loop Context menu will pop up:

The Loop Context menu

After selecting "Insert Loop". You will then be prompted for how many times the loop should loop back, and then whether (and by how much) it should increase, decrease, or remain the same speed in each pass through the loop:

Inserting a loop: How many times should it loop back?

Inserting a loop: Should it speed up or slow down?

Clicking on an existing loop also brings up the Loop Context menu, but with additional menu items, such as displaying information about the loop and removing the loop:

The Loop Context menu, on an existing loop

Several of these menu items can also be accessed by clicking on the loop level's button (specifically, the ones dealing with loop levels, such as "Add Loop Level Above" and "Remove Loop Level").


Tracks

A sequence can contain multiple tracks, with each track being a group of channels. A channel can be in one track, or can be shared among multiple tracks. For example, the following sequence has two tracks, and two channels, with both of the channels being in both of the tracks:

Two tracks in one sequence, with the same channels in both tracks

Notice that the two tracks have different timings than each other - in this case, the top track has timings every tenth of a second, and the bottom track every half a second.

All sequences are initially created with a single track. There are a few ways to add another track using the Sequence Editor:

·In the Edit menu:

·"Add New Track" will add a track with entirely new channels.

·"Duplicate Track" will add a new track and share all of the channels of the currently selected track with it.

·On a channel button's right-click popup menu:

·"Copy to New Track" will add a new track and copy the channel to it, while also giving you the option to automatically insert new channels as well.

·"Move to New Track" does much the same, except that the channel will be moved, not copied, to the new track.

·Using the Tracks and Timings toolbar

Important: To share a channel between tracks, make sure to use one of the above duplication or copying commands. Do not simply set two different channels in different tracks to the same unit ID, circuit number, et cetera. Doing that will have unexpected and undesired results, as the two different channels compete for control over the same physical circuit.

If a sequence has more than one track, each will be displayed with a preceding track bar. The bar will be labeled with the track's number within the sequence (the track at the top is track #1, the next one down is track #2, and so forth). If the track is given a name (such as by "Change Track Name" of the Edit menu), it will also be displayed on the bar:

Track 1 has no name, while Track 2 is named "Awesome Guitar Solo"

Left-clicking on a track bar will hide or unhide the track, while right-clicking on one will bring up the track bar's popup menu, containing various track-related functions (such as renaming the track, moving the track up or down in the sequence, duplicating the track to a new track, or deleting the track):

The track bar popup menu

If the "Hide Track" item on that popup menu is selected, the track will no longer be displayed. However, the track's track bar still will be, and will indicate that the track has been hidden; clicking on it again to bring up the popup menu will now allow you to "Show Track":

For more detail on these and other track-related functions, please see:

· The Edit menu

· Channel buttons' right-click popup menus

· Track bars' popup menus


Animations

NOTE: The Animator was created before the Light-O-Rama Visualizer existed; the Visualizer is more fully featured than the Animator. The Animator is still supported so that existing sequences continue to work, but consider using the Visualizer instead of the Animator, especially for new sequences.

Each sequence that you create may have an animation associated with it. This is a simple drawing of the layout of the lights that will be used in the sequence. Note that this "animation" should not be confused with "animation sequence". Both animation sequences and musical sequences can have animations.

When you play a sequence using the Sequence Editor, you can also watch the sequence's animation. The drawing will change as if it were the lights that the sequence controls - that is, parts of the drawing will turn on and off, fade up and down, twinkle, and shimmer, just as the sequence commands.

A sequence's animation can be assigned a background image (for example, a photo of your house), which you can draw the lights on top of.

To view or edit a sequence's animation in the Sequence Editor, select "Animation" from the View menu, or click the "View Animation" button in the Standard toolbar.

For details on how to create and modify animations, please see the Animator.

The Animator, with lights drawn on top of a background photo of a house


Subsequences

A subsequence is a sequence that is used as a part of another sequence (its "parent sequence", or "the main sequence"). The subsequence is represented in the main sequence as a channel, with a special device type of "Sequence", as opposed to "Light-O-Rama controller", "X10 controller", or so forth.

For example, the following Channel Settings dialog shows a channel that is a subsequence:

Channel settings for a subsequence

A channel for a subsequence can be turned on and off, using the Sequence Editor, in the same ways that other channels can be. When the channel in the main sequence is turned on, the subsequence will begin playing, from its beginning. It will continue playing for as long as the channel remains on; if play of the subsequence reaches its end before the channel has been turned off in the main sequence, the subsequence will simply loop back to its beginning and continue playing.

When the channel in the main sequence is turned off, the subsequence will stop playing. If the channel is subsequently turned back on, the subsequence will start playing again, from its beginning (not from the last point that it left off at).

If you have the Animator open, it will not show the play of your subsequence. Only the events in your main sequence will be displayed. This only affects the display in the Animator; your actual lights will reflect play of both the main sequence and its subsequences.

Tip: Do not set up the same physical unit and circuit to be a channel in a sequence and a channel in a subsequence of that sequence (or two channels in two different subsequences of a sequence). Doing so will likely cause unexpected and undesired results, as the two channels compete for control over the same physical circuit.

Tip: Consider using the new Paint Sequence tool instead of subsequences; it can be used to accomplish some of the same things as subsequences, without the extra complication, and perhaps in a more obvious way. As opposed to subsequences, the effects generated via Paint Sequence really do become effects in the sequence being painted into, and are displayed in regular channels of the sequence just like any other effects in the sequence. The main advantage remaining to subsequences is that if you update the effects in the subsequence file, the change will take place in the main sequence as well. If this is not necessary or desired, Paint Sequence may be a better, easier, and clearer choice.

Note: If a sequence with a Windows shell command is used as a subsequence, that command will not be executed. Only the shell command associated with the main sequence (if any) will be executed.

Note: If a sequence with any intensity files is used as a subsequence, its intensity files will be ignored. Only the intensity files associated with the main sequence (if any) will be used.


Windows Shell Commands

When a sequence is started, Light-O-Rama can optionally also execute an arbitrary Windows command, running any program that you specify.

For example, some people broadcast the songs that play during their shows over radio, and would like the name of the song to be broadcast along with it, using the RDS ("Radio Data System") protocol, allowing people with RDS-enabled radios to see the name of the song that they are listening to. RDS is not directly supported by Light-O-Rama, but you could set up your musical sequences so that, whenever one of them is played, Light-O-Rama will tell Windows to tell your RDS program to broadcast the name of the song for that sequence.

To set up a sequence to execute a Windows command, select "Windows Command" from the Sequence Editor's Edit menu. After that, whenever that sequence is played (either by the Sequence Editor or the Show Player), the command will be executed. Note, though, that the command will not be executed if the sequence it is associated with is used as a subsequence of another sequence.

Note, though: If the Show Player is running when you change the command associated with a sequence, you may have to stop and start the Show Player in order for this change to be picked up.

This feature is available only for the Advanced feature level.

· Shell Command Variables

· Sharing Sequences between Computers, and Security

Shell Command Variables

For the most part, a shell command will be executed exactly as you type it. You can, however, additionally use certain variables, which will be replaced at run-time with various information, such as the title of the song associated with the sequence. The following variables can be used (note: the exact result of using any of the date/time "DT_" variables may depend upon your computer system, so try them out if you need to rely upon an exact format):

Variable | Meaning
%% | A single percent character ("%")
%DT_a% | Day of week, abbreviated ("Mon")
%DT_A% | Day of week ("Monday")
%DT_b% | Month name, abbreviated ("Aug")
%DT_B% | Month name ("August")
%DT_c% | Date and time ("Mon Nov 29 16:32:37 2010")
%DT_d% | Day of month (01 through 31)
%DT_H% | Hour, 24 hour clock (00 through 23)
%DT_I% | Hour, 12 hour clock (01 through 12)
%DT_j% | Day of year (001 through 366)
%DT_m% | Month number (01 through 12)
%DT_M% | Minute (00 through 59)
%DT_p% | AM or PM
%DT_S% | Second (00 through 61)
%DT_U% | Week of year, with the first Sunday of the year starting week 01 (00 through 53)
%DT_w% | Day of week, number (0 through 6, Sunday being 0)
%DT_W% | Week of year, with the first Monday of the year starting week 01 (00 through 53)
%DT_x% | Date ("11/29/10")
%DT_X% | Time ("16:32:37")
%DT_y% | Year, two digit ("10")
%DT_Y% | Year, four digit ("2010")
%DT_Z% | Time zone ("EST")
%ENV_something% | The value of your computer's environment variable "something"; for example, use %ENV_PATH% to get the value of your computer's PATH environment variable
%MEDIA_ALBUM% | The name of the album that this sequence's media file is from (if set in your sequence)
%MEDIA_ARTIST% | The name of the artist that this sequence's media file is by (if set in your sequence)
%MEDIA_FILENAME% | The name of the sequence's media file, without path information
%MEDIA_FILENAME_FULL% | The name of the sequence's media file, with path information
%MEDIA_FILENAME_NO_EXT% | The name of the sequence's media file, without path information and without the file extension (such as ".mp3")
%MEDIA_TITLE% | The name of the song that this sequence's media file is (if set in your sequence)
%SEQUENCE_AUTHOR% | The author of this sequence (if set in your sequence)
%SEQUENCE_CREATED_AT% | The date and time at which the sequence was created
%SEQUENCE_FILENAME% | The name of the sequence file, without path information
%SEQUENCE_FILENAME_FULL% | The name of the sequence file, with path information
%SEQUENCE_FILENAME_NO_EXT% | The name of the sequence file, without path information and without the file extension (such as ".lms")
%SEQUENCE_MODIFIED_BY% | The name of the person who has modified the sequence (if set in your sequence)

Sharing Sequences between Computers, and Security

The ability to execute an arbitrary Windows command is very powerful, and even potentially harmful - for example, you could execute a command which will install spyware on your machine. Therefore, it would not be wise to execute whatever Windows command another person chose, unless you are absolutely sure that the command they chose is safe and harmless.

For this reason, Light-O-Rama imposes a security measure: The command to be executed is not stored directly in the sequence file itself. Instead, the sequence file contains a key for an entry in another file ("cmdmap.lcm", located in your Light-O-Rama sequences directory); that entry specifies the Windows command to be executed. If that file doesn't contain an entry for that key, Light-O-Rama simply does not execute any command when the sequence plays.

So, you can use sequences created by other people without fear of spyware or other harmful programs, as long as you continue to use your own version of cmdmap.lcm, not a copy of the other person's cmdmap.lcm.

However, this means that if you yourself use Light-O-Rama on two separate machines - for example one to create your sequences on, and another to run your shows on - you will have to copy your "real" version of cmdmap.lcm from one machine to the other if you want your sequences to execute Windows shell commands. You would typically do this at the same time that you copy your sequences themselves over from one machine to the other.


Compressed Sequences

The layout of a Light-O-Rama sequence file is somewhat verbose. This is intended to make it easier for third party tools which use LOR sequence files to be created. However, it has a drawback: Large sequences may be fairly slow to load. When loading a large sequence in the Sequence Editor, this may be an inconvenience. But the real problem is when loading a large sequence in the Show Player: It may take several seconds, during which time your show is effectively paused.

To resolve this issue, Light-O-Rama now supports the concept of a "compressed sequence". A compressed sequence is a separate save file, associated with a sequence but containing only enough information to play the sequence in the Show Player, and optimized for loading speed. This can speed up loading times dramatically - for example, for a certain large sequence that takes eight seconds to load on a certain computer, the associated compressed sequence only takes a small fraction of a second to load on that same computer.

Light-O-Rama will automatically create compressed sequences whenever appropriate, and the Show Player will automatically use them instead of the associated sequence file whenever they are present. So, you should not have to take any steps in order to start taking advantage of this feature. You can, however, prevent the Show Player from using compressed sequences (for example, if something unexpected goes wrong with them), in which case it will simply use the sequences instead. This can be controlled through the LOR Control Panel's "Use Compressed Sequences" option.

Not all sequences can have compressed sequences associated with them; if a sequence contains loops, or if it contains two or more tracks that have different time lengths than each other, it cannot have a compressed sequence. There are no other restrictions on what sequences can have compressed sequences. So, since musical sequences also cannot have loops or tracks of different lengths, note that this means in particular that all musical sequences can have compressed sequences.

Assuming that a compressed sequence can be associated with a sequence, then the Sequence Editor will automatically save a compressed sequence whenever it saves a sequence, unless you disable this behavior via the Export Compressed option in the Saving Preferences menu. It is generally recommended to keep this behavior enabled, but users with very large sequences might want to disable it in order to cut down on the amount of time it takes to save a sequence. If you choose to disable this behavior, it is highly recommended that you manually ensure that each of your sequences has an up-to-date compressed sequence built before starting your show (which you can do for a single sequence via the Export as Compressed command in the Sequence Editor's File menu, or for an entire show or schedule via the Sequence Compressor program).

Assuming that you do not turn "Use Compressed Sequences" off, the way that the Show Player handles sequences and compressed sequences is this:

When your show calls for a certain sequence to be loaded, the Show Player will first check to see if there is a compressed sequence associated with that sequence. If so, and if the compressed sequence is more recent than the sequence, it will load the compressed sequence instead of the sequence.

Otherwise, it will load the sequence. After loading the sequence, it will check whether or not a compressed sequence can be made for it, and, if so, it will create the compressed sequence. This is so that in future runs of the show, it can simply use the compressed sequence instead of the sequence.


Protected Sequences

A protected sequence is a sequence which, generally speaking, cannot be modified, and whose sequence grid cannot be viewed in the Sequence Editor. Protected sequences can, however, be played just like any other sequence; they can be scheduled in your shows, they can be played in the Sequence Editor, they can be downloaded as standalone sequences, and they will control your lights.

There are some things about a protected sequence which can be modified:

·The location of the media file (via Edit / Media File);

·The animation (via View / Animation);

·The Windows shell command (via Edit / Windows Command).

To create a protected sequence, open the sequence which you wish to protect, and then select "Export as Protected" from the File menu. It will prompt you to select a filename for the protected sequence; note that you should not use the same filename as the original (unprotected) sequence itself, because if you do, you will no longer be able to modify that sequence. Instead, select a different filename; by default, the Light-O-Rama software will suggest "Protected-" followed by the original sequence's filename. For example, if your original, unprotected sequence is named "MySequence.lms", Light-O-Rama will suggest "Protected-MySequence.lms" for the filename of the protected sequence.

The ability to create a protected sequence is available only with the Advanced license level.

A protected sequence, as displayed in the Sequence Editor


Intensity Files

An intensity file contains lighting effects for a sequence, but not in the same way as the main sequence file. In a sequence file, effects are defined with high-level descriptions. For example, a sequence file might say that a certain channel is supposed to fade up from 0% to 37% over the course of three seconds starting seven seconds into the sequence. An intensity file instead stores raw intensity values at all points in time. Using the same example, the intensity file would contain something more like, "Intensity 0 at time 3.00, intensity 0 at time 3.01, intensity 0 at time 3.02, ... intensity 1 at time 3.19, intensity 1 at time 3.20, ..., intensity 37 at time 10.00". This allows intensity files to be very efficient during play, and so can be helpful with designing shows with very large channel counts.

Intensity files are created by the Light-O-Rama Pixel Editor or the Light-O-Rama SuperStar Sequencer, and can only be used with a Pro license. Each intensity file is associated with a sequence file, and the effects from both the intensity file and the "main" sequence file will be played whenever the sequence is played. The filename of the intensity file used by a sequence (if any) is determined by the filename of the sequence itself, by appending ".pe.lid" or ".ss.lid" (depending on whether it was created by the Pixel Editor or by SuperStar, respectively) to the sequence file name. For example, if you have a sequence named "MySequence.lms", then its intensity files (if any exist at all) will be named either "MySequence.lms.pe.lid", "MySequence.lms.ss.lid", or both. They must be in the same directory as the sequence file.

Only effects for Light-O-Rama controllers and for native DMX devices can be used in an intensity file. Also, if effects for Light-O-Rama controllers are used, they must be on enhanced Light-O-Rama networks.

The Light-O-Rama Comm Listener must be running in order for effects from an intensity file to get to the actual lights, which means that the Light-O-Rama Control Panel must be running (the Light-O-Rama Control Panel is responsible for making sure that the Light-O-Rama Comm Listener is running).

If a sequence with any associated intensity files is used as a subsequence, its intensity files will be ignored. Only intensity files associated with the main sequence will be used.


Shows

What is a Show?

A show is a collection of sequences, to be played as a set. After creating sequences with the Sequence Editor, you can build a show from them using the Show Editor. Shows can then be scheduled to play at certain times, using the Schedule Editor, and are then actually played by the Show Player.

Assuming that your license level is at least Basic Plus, you can also cause a show to be played on demand, without scheduling it, via the Light-O-Rama Control Panel.

There are six different parts to a show, each of which consists of sequences:

· The Background Section

· The Startup Section

· The Animation Section

· The Musical Section

· The Interactive Section

· The Shutdown Section

Each of these parts is optional. For example, a show can be built having only a musical section and a shutdown section.

By default, when a show is being played in the Show Player, any given sequence in the show will not be loaded until when it is about to be played for the first time. Depending upon the size of the sequence and the power of the computer, it may take a human-noticeable amount of time to load a sequence; if so, this may cause an undesired delay between sequences, the first time they are played. So, optionally, you can choose to preload all sequences before any of them are played.

Additionally, if your Light-O-Rama software license is for the Advanced feature level, you can modify exactly how your show will start up - for example, immediately at its scheduled start time, or after a certain circuit on a certain Light-O-Rama controller has been triggered (for example, by someone hitting a "start" button). See "Show Startup Options" for details.

Note that the duration of a show is not part of the show itself; rather, it is determined by the schedule.

The Background Section

When a show is started (at a time determined by the schedule), all of the sequences in the show's background section will start playing, simultaneously. When such a sequence reaches its end, it will simply loop back to its beginning and keep playing. All of these sequences will continue playing in this way until the show ends (also at a time determined by the schedule).

If your Light-O-Rama software license is for the Advanced feature level, you additionally have control over whether this section (and/or the rest of your show) starts immediately at its scheduled time, or upon an input trigger (for example, when someone hits a "start" button). See "Show Startup Options" for details.

Only animation sequences can be used in the background section of a show.

The Show Editor's tab for the background section of a show, with one sequence

The Startup Section

When a show is started (at a time determined by the schedule), the sequences in its startup section will be played, one at a time, in order. After they all have finished, the main portion of the show will begin, consisting of the animation section and the musical section.

You can control whether or not sequences in this section will automatically turn their lights off when they reach their end by setting the "Turn used lights off at the end of each sequence" checkbox.

If your Light-O-Rama software license is for the Advanced feature level, you additionally have control over whether this section (and the rest of your show) starts immediately at its scheduled time, or upon an input trigger (for example, when someone hits a "start" button). See "Show Startup Options" for details.

The startup section in the Show Editor, with three sequences

The Animation Section

After a show's startup section has completed, its animation section will begin (as will its musical section).

Sequences in the animation section can be played concurrently or sequentially. If you choose to play them sequentially, the first in the list (as displayed in the Show Editor) will be played, and when it finishes, the next will be played, and so forth. After all of them have been played, the first in the list will be played again. This pattern will continue until the show is shut down (at a time determined by the schedule).

If they are played concurrently, all of them will be played at once, and whenever one reaches its end, it will simply loop back to its beginning and keep playing. Again, this will continue until the show is shut down.

You can control whether or not sequences in this section will automatically turn their lights off when they reach their end by setting the "Turn used lights off at the end of each sequence" checkbox.

Only animation sequences can be used in the animation section of a show.

The animation section in the Show Editor, with five sequences, played sequentially

The Musical Section

After a show's startup section has completed, its musical section will begin (as will its animation section).

Only one sequence from the musical section will play at a time. They can be played in the order listed in the Show Editor, or shuffled randomly. If shuffled randomly, you can also control two different aspects of how shuffling is done: Whether or not a sequence is allowed to be played a second time before all sequences have played once, and whether or not a sequence is allowed to play twice in a row (this latter does not apply if you have only one sequence in the musical section - it will definitely be played back-to-back).

Play will continue until the show is shut down (at a time determined by the schedule). If the sequences are to be played in the order listed, and the end of the list is reached before the show is to shut down, play will loop back to the first sequence in the list.

Optionally, a "cleanup sequence" can also be specified in the musical section. If so, that sequence will be played immediately after the completion of any sequence in the musical section, before the next one begins. Also optionally, a delay can be specified between songs.

You can control whether or not sequences in this section will automatically turn their lights off when they reach their end by setting the "Turn used lights off at the end of each sequence" checkbox.

The musical section in the Show Editor, with several sequences, shuffled, with a delay and a cleanup sequence

The Interactive Section

Some Light-O-Rama controllers can be used not only to control lights, but also to accept input from people, causing Light-O-Rama to play sequences on demand. For example, you could have a big red button as part of your display, which, when pressed, will cause Light-O-Rama to start playing a particular song or songs.

This is controlled through the interactive section of the show. You can use this tab in the Show Editor to specify what sequences are to be played when which inputs are triggered. Please see the separate page on interactive groups for details.

Note that, unlike for the other sections of the show, the Show Editor's "Interactive" tab actually lists groups of sequences, rather than directly listing sequences. Again, please see the page on interactive groups for details on how to create and modify these groups of sequences.

You can control whether or not sequences in this section will automatically turn their lights off when they reach their end by setting the "Turn used lights off at the end of each sequence" checkbox, but unlike in other sections of the show, this setting is controlled individually for each interactive group, rather than for the section as a whole.

The interactive section in the Show Editor, with two groups of sequences

The Shutdown Section

When the end of a show is reached (at a time determined by the schedule), its animation section and musical section will end, and its shutdown section will begin. Sequences in the shutdown section will play, one at a time, in the order listed in the Show Editor. After they all have completed, the show is truly finished.

You can control whether or not sequences in this section will automatically turn their lights off when they reach their end by setting the "Turn used lights off at the end of each sequence" checkbox.

The shutdown section in the Show Editor, with two sequences

Show Startup Options

If your Light-O-Rama software license is for the Advanced feature level, you have more control over exactly how your show will start up:

· Immediate startup

· Triggered startup

· Immediate background startup

To choose which way you want your show to start, select the "Options" button at the top of the Show Editor. This will bring up the following dialog, which has a "Startup Type" section where you can choose which way the show will start:

The Show Options dialog, with triggered startup selected

Immediate Startup

In immediate startup mode, your show will begin immediately at its scheduled start time.

This is equivalent to the same way that shows always started in earlier releases of Light-O-Rama.

Triggered Startup

In triggered startup mode, your show will start when a specified circuit on a specified Light-O-Rama controller is triggered (as long as it is triggered during the show's scheduled run time). For example, you could hook up a big red button labeled "Start the Show" to a controller. Please note that triggers are not supported on LOR Enhanced networks.

Immediate Background Startup

In immediate background startup mode, your show's Background section will start immediately at the show's scheduled start time, but the rest of the show will not start until a specified circuit on a specified Light-O-Rama controller is triggered (as long as it is triggered during the show's scheduled run time). Please note that triggers are not supported on LOR Enhanced networks.

Sequence Loading Options

By default, when a show is being played in the Show Player, any given sequence in the show will not be loaded until when it is about to be played for the first time. Depending upon the size of the sequence and the power of the computer, it may take a human-noticeable amount of time to load a sequence; if so, this may cause an undesired delay between sequences, the first time they are played. So, optionally, you can choose to preload all sequences before any of them are played. To do so, click on the "Options" button in the Show Editor's toolbar, and then select "Sequences are loaded before any are played" from the "Sequence Loading" section of the options dialog:

The Show Options dialog


Interactive Groups

Some Light-O-Rama controllers can be used not only to control lights, but also to accept input that can be used to trigger a sequence or sequences. For example, your display might have several buttons for people to press, each of which will cause Light-O-Rama to play some particular song on demand.

This is controlled through the Interactive Section of a show. Unlike the other sections of a show, the Show Editor's "Interactive" tab displays not sequences, but groups of sequences, known as "interactive groups". Each group matches individual circuits on individual controllers with individual sequences to be played when those circuits are triggered.

Only one musical sequence can be playing at any given time. Therefore, if a musical sequence from an interactive group is triggered, any musical sequence that happens to already be playing will be stopped (for one exception to this, see the "Jukebox" type of interactive group, below).

Interactive groups cannot be used on LOR Enhanced networks. If you want to use an interactive group, in order to function during your show, it must be defined on a non-enhanced LOR network.

· Types of Interactive Groups

· Jukebox

· Soundboard

· Magic Toy

· Choosing Sequences for a Group

The Show Editor's Interactive tab

Types of Interactive Groups

When you click the large "+" button, to add a new interactive group to the show, you will then be prompted to choose the type of interactive group to add:

Choosing the type of a new interactive group

There are three types of interactive groups:

· Jukebox

· Soundboard

· Magic Toy

After choosing which type of interactive group you want, you will be given a choice of which sequences to put in the group.

Jukebox

"Jukebox" interactive groups allow you to define a group of sequences, each hooked up to be triggered by an individual circuit on some LOR controller, such that only one sequence in the group can be playing at any given time, and if one already is playing when another is triggered, the first will continue playing uninterrupted, and the trigger will be ignored.

If you assign more than one sequence to a single circuit in a single jukebox, then whenever that circuit is triggered, the "next" sequence in the list, round-robin, will be played.

Both musical sequences and animation sequences can be placed into a jukebox interactive group.

Soundboard

"Soundboard" interactive groups are similar to jukebox interactive groups in that only one sequence in the group can be playing at any given time. However, unlike jukebox interactive groups, triggering a sequence while another sequence from the group is currently playing will cause the playing sequence to stop, and the triggered sequence to start.

If you assign more than one sequence to a single circuit in a single soundboard, then whenever that circuit is triggered, the "next" sequence in the list, round-robin, will be played.

Both musical sequences and animation sequences can be placed into a soundboard interactive group.

Magic Toy

"Magic toy" interactive groups allow you to set up a group of sequences such that many of them can be started simultaneously by a single trigger. Any sequences already playing from the group will be stopped when the new set is started.

Only animation sequences (as opposed to musical sequences) can be placed into a magic toy interactive group.

Choosing Sequences for a Group

After you choose the type of your new interactive group, or upon editing an existing group, you will be shown a list of the triggers for the group:

The triggers in an interactive group

When you add a new trigger to this list (by clicking the large "+" button) or edit an existing trigger, you will be given a choice of which sequences are assigned to the trigger, and which circuit on which unit of which network triggers them (please note that triggers are not supported on LOR Enhanced networks). You can also assign a name to the trigger:

Choosing the sequences assigned to a trigger in an interactive group


Schedules

What Is a Schedule?

The schedule is at the top of the Light-O-Rama schedule/show/sequence hierarchy:

·The schedule is created and modified by the Light-O-Rama Schedule Editor, and played by the Light-O-Rama Show Player.

·It consists of shows, which are created and modified by the Light-O-Rama Show Editor. The schedule schedules these shows to be played at certain times.

·Shows consist of sequences, which are created and modified by the Light-O-Rama Sequence Editor.

·Sequences are composed of commands to be sent to your lights, producing various lighting effects.

The schedule has two parts: the weekly schedule and the calendar schedule. The weekly schedule contains information on shows that should be played on a recurring, weekly basis - for example, every Wednesday night from 7:00 PM to 10:00 PM. The calendar schedule contains information on shows that should be played once, at a specific date and time.

When the Light-O-Rama Show Player looks at the schedule to decide whether a show should be played, it first checks the calendar schedule to see if it has any shows scheduled for the current date and time. If there are, the Show Player will play that show. Otherwise, the Show Player will check the weekly schedule.

Example

Suppose you have a single show which you want to play every Friday and Saturday night, from 7:00 PM to 10:00 PM, except for Christmas Eve (when you want it to run from 5:00 PM to 11:00 PM) and Christmas Day (when you want it to run from 8:00 AM to 2:00 PM). Then you would put the Friday and Saturday shows into the weekly schedule, and the Christmas Eve and Christmas Day shows in the calendar schedule. The Light-O-Rama Show Player would then follow the weekly schedule on every day except Christmas Eve and Christmas Day, when it would then follow the calendar schedule.

Considerations

·Unlike the Show Editor, which can be used to create many shows, and the Sequence Editor, which can be used to create many sequences, the Schedule Editor only maintains a single schedule, and the Show Player only uses that single schedule.

·The Show Player will not play any scheduled shows unless it is started and scheduled shows are enabled, via "Enable Schedule" in the Light-O-Rama Control Panel.

·After modifying your schedule in the Schedule Editor, make sure to save it. Changes to your schedule will not be picked up by the Show Player until the schedule has been changed.


The Weekly Schedule

The weekly schedule is part of the schedule, saying which shows should be played when. The other part of the schedule is the calendar schedule.

The difference between these two parts of the schedule is that the weekly schedule allows you to specify shows that should be played by the Light-O-Rama Show Player on a recurring, weekly basis, while the calendar schedule allows you to specify shows that should be played by the Show Player once, at a specific date and time. For example, the weekly schedule would be used to have a show run every Thursday between 5:00 PM and 10:00 PM, while the calendar schedule would be used to have a show playing specifically on Christmas Eve.

Both parts of the schedule are created and modified using the Light-O-Rama Schedule Editor, and shows in them are played at the scheduled times by the Light-O-Rama Show Player (assuming that "Enable Schedule" has been turned on in the Light-O-Rama Control Panel). The Show Player, when deciding whether a show should be played, will first check the calendar schedule, and only play a show from the weekly schedule if none is scheduled for the current date and time in the calendar schedule.

The following picture shows the weekly schedule, as displayed in the Schedule Editor, with two different shows scheduled:

·"Weekday Show.lss", run Mondays to Thursdays from 5:00 PM to 9:00 PM, and Fridays 5:00 PM to 11:00 PM;

·"Weekends.lss", run Saturdays from 1:00 PM to 11:00 PM, and Sundays from 1:00 PM to 9:00 PM.

The weekly schedule, as displayed in the Schedule Editor, with some scheduled shows

For details on creating and modifying the weekly schedule, please see the Schedule Editor.


The Calendar Schedule

The calendar schedule is part of the schedule, saying which shows should be played when. The other part of the schedule is the weekly schedule.

The difference between these two parts of the schedule is that the weekly schedule allows you to specify shows that should be played by the Light-O-Rama Show Player on a recurring, weekly basis, while the calendar schedule allows you to specify shows that should be played by the Show Player once, at a specific date and time. For example, the weekly schedule would be used to have a show run every Thursday between 5:00 PM and 10:00 PM, while the calendar schedule would be used to have a show playing specifically on Christmas Eve.

Both parts of the schedule are created and modified using the Light-O-Rama Schedule Editor, and shows in them are played at the scheduled times by the Light-O-Rama Show Player (assuming that "Enable Schedule" has been turned on in the Light-O-Rama Control Panel). The Show Player, when deciding whether a show should be played, will first check the calendar schedule, and only play a show from the weekly schedule if none is scheduled for the current date and time in the calendar schedule.

The following picture shows the calendar schedule, with a show named "Christmas Eve.lss" scheduled to be run on December 24, 2007 from 5:00 PM to 11:00 PM:

The calendar schedule, displayed in the Schedule Editor, with a show scheduled on December 24 at 5:00 PM

For details on creating and modifying the calendar schedule, please see the Schedule Editor.


Hardware

Light-O-Rama can control your lights via several different kinds of hardware controllers. Primary among these, of course, are Light-O-Rama controllers, but all of the following types of controllers can be used:

· Light-O-Rama controllers

· Native DMX devices

· Dasher controllers

· Digital IO cards

· BSOFT digital IO cards

· X10 controllers

Most lighting effects (such as fading, twinkling, and shimmering) are only supported on Light-O-Rama controllers and native DMX devices. Other controllers can only be turned on (to full brightness) or off.

When a channel is created in a sequence using the Sequence Editor, the kind of controller (known as "device type") can be assigned to it in a couple of ways:

·In the Channel Settings dialog, accessible by left-clicking the channel's button or by selecting "Change Channel Settings" on the channel's right-click popup menu;

·Via the Channel Configuration screen, accessible by selecting "Channel Configuration" in the Tools menu.

The Channel Settings dialog is most useful for changing a single channel, while the Channel Configuration screen is more useful for changing many channels at once.

The Channel Settings dialog

The Channel Configuration screen


Light-O-Rama Controllers

Light-O-Rama allows your computer to control your lights via a variety of hardware controllers. Primary among these are Light-O-Rama controllers. Other kinds of controllers can be used, but most lighting effects (such as fading and twinkling) are only supported on Light-O-Rama controllers.

Some Light-O-Rama controllers can also act as input triggers, allowing you to start particular sequences on demand (such as when a person pushes a button).

Unit IDs

Each Light-O-Rama controller is assigned a unit ID. A unit ID is an identifier for the controller, and is two characters long, with each character being a digit (0-9) or a letter from A to F. For example, 37, 25, 4B, C8, and DA are all valid unit IDs. Some such combinations are reserved, though, and should not be used for as a unit ID. Specifically, 00, F1 through F9, and FA through FF are not valid unit IDs.

Controllers will only react to lighting commands that are intended for their own unit ID; if two controllers on the same network have the same unit ID, both will react simultaneously to the same commands. However, a unit set up to use input triggers must have its own unique unit ID, not shared with any other unit, and must not be on an LOR Enhanced network. Also, the Hardware Utility may react strangely with respect to a unit ID which has more than one unit - for example, detecting them as a single unit, or misdetecting them as some unknown controller type.

The unit ID of a controller is set in one of two ways, depending upon the type of controller:

·Most controllers have physical switches on them that allow you to set the unit ID by moving the switches.

·Otherwise, the Hardware Utility can be used to select a unit ID for controllers without such switches.

It is generally a good habit to assign your unit IDs sequentially starting at 01. This is not necessary, but it will speed up some maintenance such as configuring and testing your controllers in the Hardware Utility.

Circuit IDs

Within a controller, each string of lights is assigned a specific circuit ID. This allows Light-O-Rama to make different lights do different effects at the same time, using the same controller.

Standalone Mode and Computer Controlled Mode

Light-O-Rama controllers can be set up in standalone mode, in which a sequence is downloaded to them in advance via the Hardware Utility, or hooked up to your computer via a COM port, in which case the Light-O-Rama Show Player will send them lighting commands (during scheduled shows), or the Light-O-Rama Sequence Editor will (on demand for a single sequence).

A controller in standalone mode can also send lighting commands to other controllers that are hooked up to it via phone lines or data lines, similarly to the way that the Show Player or Sequence Editor would. Therefore, in standalone mode, a sequence only needs to be downloaded (via the Hardware Utility) to a single controller; the other controllers hooked up to it will receive their commands from it.

Only one source of lighting commands should be present in any group of controllers that are hooked up to each other - either the Show Player, the Sequence Editor, or a single controller with a downloaded sequence. Having more than one source of commands will cause unexpected and undesired results, as lighting commands will be missed or garbled.

Light-O-Rama Networks

The Show Player and Sequence Editor can control up to sixteen different networks of Light-O-Rama controllers, each hooked up over a different COM port. These networks are referred to as "Regular" (which is the default), "Aux A", "Aux B", "Aux C", and so on, up to "Aux O".

One main use of multiple networks is for displays with very large numbers of controllers; they enable more lighting commands to be sent out at a single time. They also allow you to set up a sort of star network centered on your PC, rather than a single long daisy chain of controllers; both of these may make such sequences perform more smoothly.

Another use is for displays whose controllers are hooked up using wireless communications, via a Light-O-Rama Easy Light Linker. Wireless communications has a lower top speed than wired, but using multiple wireless networks allows commands to be sent over all of them simultaneously. So, depending upon how many controllers you have and how many lighting effects you send them during your show, using multiple wireless networks could make your show perform more smoothly than using a single wireless network.

It is simplest, though, to just use a single Light-O-Rama network, and in many situations, this is perfectly sufficient.

Light-O-Rama networks can be either normal or "enhanced".

The COM ports represented by each of the networks can be set via the Light-O-Rama Network Preferences program. For example, the following picture shows COM3 assigned to the Regular network, COM12 assigned to auxiliary network Aux O, and the remainder of the networks unassigned, with Regular (COM3) being an enhanced network:

Multiple COM ports assigned to various Light-O-Rama networks

Enhanced Light-O-Rama Networks

A Light-O-Rama network can be an "enhanced" network (via the Advanced Mode of the Light-O-Rama Network Preferences program). This allows intensity files to be used for controllers on the network, which can be especially helpful with displays having large numbers of channels and lighting effects. Intensity files do not have to be used, though; effects defined in regular sequence files will still work fine on an enhanced LOR network. In fact, effects from both a regular sequence and from its associated intensity file can be used simultaneously.

A Pro level license is required to use this feature, and the Light-O-Rama Comm Listener must be running in order for the lights to be controlled. Not all controllers can be used on such a network, and some controllers may require firmware updates before they are able to be used on an enhanced network. Also, input triggers are not supported on LOR Enhanced networks.

Assigning Circuits to Channels

When a sequence is created using the Sequence Editor, each of its channels can be assigned a string of lights using the Channel Settings dialog or the Channel Configuration screen (the former may be more convenient for modifying a single channel, and the latter for modifying multiple channels at once).

For Light-O-Rama controllers, these allow you to set the network, unit ID, and circuit ID assigned to the channel. Without these being assigned for a channel, any lighting effects made for that channel will not happen on your actual lights.

For example, the following Channel Settings dialog shows a channel for a Light-O-Rama controller on the regular network, with unit ID 03 and Circuit ID 7:

The Channel Settings dialog for a Light-O-Rama controller

The Channel Settings dialog can be accessed by left-clicking on the channel's button, or by selecting "Change Channel Settings" from the channel button's right-click popup menu. The Channel Configuration screen can be accessed by selecting "Channel Configuration" from the Tools menu.

The Channel Configuration screen


Light-O-Rama Pixel Controllers

Light-O-Rama sells several different Pixel Controllers which support multiple different Pixel ICs. The Pixie 16, Pixie 8, and Pixie 4 controllers can support up to 100 pixels per port and fully integrate into the existing Light-O-Rama network.


Light-O-Rama PixCon16 Devices

With the introduction of the PixCon 16 controller, Light-O-Rama is now selling and supporting native E1.31 devices. These devices are configured from the Network Preferences program on the advanced tab. To start the configuration of LOR E1.31 devices, press the 'Find/Configure E1.31 devices' button.

You can quickly add RGB channels and channel groups appropriate for a PixCon16 device to a sequence using the "PixCon16" option in the Sequence Editor's Insert Device dialog.


Native DMX Devices

In addition to Light-O-Rama controllers and various other types of controllers, Light-O-Rama can control native DMX devices, either directly over a serial port and adapter or over ethernet via E1.31.

To set a channel to use DMX protocol, set its device type to "DMX Universe". You can then set its universe and address (similarly to setting up an LOR controller's network, unit, and circuit). This can be done in the Sequence Editor's Channel Configuration Screen or in the channel's Channel Settings dialog.

Several DMX universes can be used, each having a unique universe number from 1 to 999. Each should be assigned a separate DMX adapter (such as an ENTTEC Open DMX USB adapter) or else E1.31 settings (such as IP address and port). You can assign adapters or E1.31 settings to universes via the Network Preferences program.

Unlike other protocols (such as LOR or X10), the DMX protocol requires that the LOR Control Panel be running in order to actually control the devices. The LOR Control Panel will, in turn, start up the LOR Comm Listener. When a program such as the Sequence Editor or Show Player wants to send a command to a DMX device, it actually sends the command to the LOR Comm Listener, which in turn sends it out over the adapter or E1.31 address assigned to the device's specified universe.

Note that you do not have to use the "DMX Intensity" effect on DMX channels. You can, but you can also use any other effect (such as Fade Up or Twinkle). If you use a DMX Intensity effect, it will have a natural DMX intensity range of 0 to 255. If you use any other effect, it will have a range of 0 to 100, but Light-O-Rama will automatically scale it to DMX's 0 to 255 range immediately before sending it out to the actual DMX device.


Dasher Controllers

In addition to Light-O-Rama controllers and various other types of controllers, Light-O-Rama can control your lights that are hooked up to Dasher controllers.

Limitations of Dasher Controllers

Not all of Light-O-Rama's lighting effects are supported on Dasher controllers; to use effects other than "on" or "off" (such as twinkling, shimmering, fading, and brightness intensities other than "totally off" or "full brightness"), you must use Light-O-Rama controllers.

The Dasher Port

All Dasher controllers that you will use must be hooked up to your computer over a single COM port, known as the Dasher Port. You can select which COM port is the Dasher port in the X10/Dasher tab of the Network Preferences program:

The Network Preferences dialog, with the Dasher Port set to COM8

Unit IDs

Each Dasher controller has a unit ID, identifying which controller it is. A controller will only react to lighting commands for its unit ID. For a Dasher controller, the unit ID is a number between 1 and 106.

Circuit IDs

Each Dasher controller has eight circuits, each of which can control independent strings of lights. A circuit is on a Dasher controller identified by a circuit ID between 1 and 8.

Assigning Circuits to Channels

When a sequence is created using the Sequence Editor, each of its channels can be assigned a string of lights using the Channel Settings dialog or the Channel Configuration screen (the former may be more convenient for modifying a single channel, and the latter for modifying multiple channels at once).

For a Dasher controller, these allow you to set the unit ID and circuit ID assigned to a channel. Without these being set, controllers will not react to lighting effects that you have put into your sequence.

For example, the following shows the Channel Settings dialog for a channel assigned to circuit 7 of a Dasher controller with unit ID 37:

Channel Settings for a Dasher controller

The Channel Settings dialog can be accessed by left-clicking on the channel's button, or by selecting "Change Channel Settings" from the channel button's right-click popup menu. The Channel Configuration screen can be accessed by selecting "Channel Configuration" from the Tools menu.

Importing Dasher Files

In addition to being able to use Dasher controllers, Light-O-Rama can also import sequences created using the Dasher program, and convert them to Light-O-Rama sequences that can be used in your shows.

To convert a Dasher sequence to a Light-O-Rama sequence, simply open the Dasher sequence using the Sequence Editor (for example, via "Open" of the File menu). Light-O-Rama will detect that it is a Dasher sequence, and prompt you on how to import it:

The Dasher Import dialog

The reason for this dialog is one of the differences between Light-O-Rama and the Dasher program: Dasher sequences must always be associated with an audio file, even if you don't want any sound to play while the sequence is controlling the lights. Often, people who used Dasher but did not want sound during a particular sequence would therefore create audio files that had no sound in them.

Light-O-Rama, on the other hand, has no need for such "empty" audio files. A Light-O-Rama musical sequence is associated with an audio (or video) file, and a Light-O-Rama animation sequence is not.

When you ask Light-O-Rama to import a file that was created using Dasher, it does not know whether the audio file used by the Dasher sequence is "empty" or not. If it is, then Light-O-Rama has no need for the audio file. So, the Sequence Editor displays this dialog asking you whether it really needs this audio file or not.

Finally, after importing a Dasher sequence, make sure to save it. It will be saved as a Light-O-Rama sequence. Only the new Light-O-Rama sequence can be used in your shows; the old Dasher sequence that it was imported from cannot.


Digital IO Cards

In addition to Light-O-Rama controllers and various other types of controllers, Light-O-Rama can control your lights that are hooked up to digital IO cards.

Note: This page does not apply to BSOFT digital IO cards. Light-O-Rama can control BSOFT digital IO cards, but if your digital IO card is a BSOFT digital IO card, please see the separate help file page for such cards.

Requirements

In order to use digital IO cards with Light-O-Rama, your computer must have the Universal Library and the InstaCal program.

Limitations of Digital IO Cards

Not all of Light-O-Rama's lighting effects are supported on digital IO cards; to use effects other than "on" or "off" (such as twinkling, shimmering, fading, and brightness intensities other than "totally off" or "full brightness"), you must use Light-O-Rama controllers.

Unit IDs

Each digital IO card has a unit ID, identifying which controller it is. A controller will only react to lighting commands for its unit ID. For a digital IO card, the unit ID is a number between 0 and 99.

Circuit IDs

Each digital IO card can control multiple strings of lights independently. To identify each such string, it is assigned a circuit ID between 0 and 191.

Assigning Circuits to Channels

When a sequence is created using the Sequence Editor, each of its channels can be assigned a string of lights using the Channel Settings dialog or the Channel Configuration screen (the former may be more convenient for modifying a single channel, and the latter for modifying multiple channels at once).

For a digital IO card, these allow you to set the unit ID and circuit ID assigned to a channel. Without these being set, controllers will not react to lighting effects that you have put into your sequence.

For example, the following shows the Channel Settings dialog for a channel assigned to circuit 3 of a digital IO card with unit ID 37:

The Channel Settings dialog for a digital IO card

The Channel Settings dialog can be accessed by left-clicking on the channel's button, or by selecting "Change Channel Settings" from the channel button's right-click popup menu. The Channel Configuration screen can be accessed by selecting "Channel Configuration" from the Tools menu.


BSOFT Digital IO Cards

In addition to Light-O-Rama controllers and various other types of controllers, Light-O-Rama can control your lights that are hooked up to BSOFT digital IO cards.

Note: This page does not apply to any digital IO cards except BSOFT digital IO cards. Light-O-Rama can control other digital IO cards, but if your digital IO card is not a BSOFT digital IO card, please see the separate help file page for such cards.

Requirements

In order to use BSOFT digital IO cards with Light-O-Rama, your computer must have the Universal Library and the InstaCal program.

Limitations of BSOFT Digital IO Cards

Not all of Light-O-Rama's lighting effects are supported on BSOFT digital IO cards; to use effects other than "on" or "off" (such as twinkling, shimmering, fading, and brightness intensities other than "totally off" or "full brightness"), you must use Light-O-Rama controllers.

Unit IDs

Each BSOFT digital IO card has a unit ID, identifying which controller it is. A controller will only react to lighting commands for its unit ID. For a BSOFT digital IO card, the unit ID is a number between 0 and 99.

Circuit IDs

Each BSOFT digital IO card can control multiple strings of lights independently. To identify each such string, it is assigned a circuit ID between 0 and 95.

Assigning Circuits to Channels

When a sequence is created using the Sequence Editor, each of its channels can be assigned a string of lights using the Channel Settings dialog or the Channel Configuration screen (the former may be more convenient for modifying a single channel, and the latter for modifying multiple channels at once).

For a BSOFT digital IO card, these allow you to set the unit ID and circuit ID assigned to a channel. Without these being set, controllers will not react to lighting effects that you have put into your sequence.

For example, the following shows the Channel Settings dialog for a channel assigned to circuit 7 of a BSOFT digital IO card with unit ID 3:

The Channel Settings dialog for a BSOFT digital IO card

The Channel Settings dialog can be accessed by left-clicking on the channel's button, or by selecting "Change Channel Settings" from the channel button's right-click popup menu. The Channel Configuration screen can be accessed by selecting "Channel Configuration" from the Tools menu.


X10 Controllers

In addition to Light-O-Rama controllers and various other types of controllers, Light-O-Rama can control your lights that are hooked up to CM11A X10 controllers.

Limitations of X10 Controllers

Not all of Light-O-Rama's lighting effects are supported on X10 controllers; to use effects other than "on" or "off" (such as twinkling, shimmering, fading, and brightness intensities other than "totally off" or "full brightness"), you must use Light-O-Rama controllers.

Additionally, X10 controllers do not react quickly to commands, so they are best used for portions of your display that are mostly static, changing infrequently. For more dynamic displays, it is best to use Light-O-Rama controllers.

X10 is a very slow control mechanism. Commands take, on average, a full second to complete. When building a sequence that uses X10 controllers, you should not send commands to X10 devices more frequently than once a second. Note that turning on one light and turning off another is two commands, not one.

Light-O-Rama will allow up to fifty commands to be queued up to X10 controllers at any time. If that number is exceeded, then commands will be lost.

The X10 Port

All X10 controllers that you will use must be hooked up to your computer over a single COM port, known as the X10 Port. You can select which COM port is the X10 port in the X10/Dasher tab of the Network Preferences program:

The Network Preferences dialog, with the X10 port set to COM7

Unit IDs

Each X10 controller has a unit ID, consisting of its X10 house code followed by its X10 unit code. X10 house codes are letters ranging from A to P, while X10 unit codes are numbers ranging from 1 to 16; hence, the X10 unit ID ranges from "A-1" to "P-16".

Assigning Circuits to Channels

When a sequence is created using the Sequence Editor, each of its channels can be assigned a string of lights using the Channel Settings dialog or the Channel Configuration screen (the former may be more convenient for modifying a single channel, and the latter for modifying multiple channels at once).

For an X10 controller, these allow you to set the unit ID assigned to a channel. Without this being set, controllers will not react to lighting effects that you have put into your sequence.

For example, the following shows the Channel Settings dialog for a channel assigned to X10 controller C-7:

The Channel Settings dialog for an X10 controller

The Channel Settings dialog can be accessed by left-clicking on the channel's button, or by selecting "Change Channel Settings" from the channel button's right-click popup menu. The Channel Configuration screen can be accessed by selecting "Channel Configuration" from the Tools menu.


LED Pixel and Node Terminology

When discussing individually addressable bulbs, there are many terms that can be used. In an effort to standardize these terms when dealing with RGB devices, Light-O-Rama defines the following:

·'LED' (or 'Light'): A single locus (point) of light. One or more LEDs are part of a NODE. LEDs (or LIGHTs) are elemental - they can NOT be broken down further.

·'Node': A single processor for one or more LEDs. Nodes are PHYSICAL. Think of them as the processor chip on every individual LED/LIGHT.

·'Pixel': A pixel is a collection of one or more NODEs. Pixels are VIRTUAL, and controlled by a single TRIPLET. All nodes that are part of a pixel will react in the same way. Pixels are the 'bridge' between the physical world and the virtual (sequencing) world.

·'Triplet': A group of 3 CHANNELs that set the color of a PIXEL. When we speak about a triplet we do not specify the order of the CHANNELs. For example, some pixels are in RGB order, while some others could be in GRB order. Either of those orders refer to the same triplet.

·'Channel': A channel controls a single color of a TRIPLET. A TRIPLET consists of 3 channels: Red, Green, Blue in the order specified by the manufacturer of the string.

The number of TRIPLETs required will always be the same as the number of PIXELs. When we talk about something that you can physically touch we use 'Pixel'. When we are talking about it otherwise, say in reference to a sequence, we use 'Triplet'.

Here are some examples to help:

A Light-O-Rama Cosmic Color Ribbon has 150 LEDs. Every 3 LEDs are attached to a single NODE. When you set the resolution of the CCR, you control how many consecutive NODES are assigned to a single PIXEL. At a resolution of 50, each NODE is controlled by 1 PIXEL for a total of 50 PIXELs. At a resolution of 25, every two NODEs are controlled by 1 PIXEL for a total of 25. In all cases a single TRIPLET will control a single PIXEL.

You may have a string of 170 RGB LEDs. Each one of these LEDs is attached to a single NODE. If you do not group any of the NODEs together, you will have 170 PIXELs that are controlled by 170 TRIPLETs which consist of 3 CHANNELs each for a total of 510 CHANNELs.

Separating the notion of Nodes from Pixels also allows virtual addressing to make more sense. For example, say you have 30 pixels that are arranged as a 10 x 3 matrix. When you physically construct this matrix, you will most likely use a snake pattern as that minimizes the amount of wire/etc. Your NODES will look like this:

1 2 3 4 5 6 7 8 9 10

20 19 18 17 16 15 14 13 12 11

21 22 23 24 25 26 27 28 29 30

Notice how when we get to the right side, we don't start over at the left, but instead go one line lower and in reverse order. While that make a lot of sense while building the matrix, logically the pixels are not in the correct order. Since we read left-to-right, we'd like to see all the pixels ordered from left to right. If we were to set the 'Zig-Zag' parameter on a PixCon16 to 3, the physical nodes will still be in the same order, however the pixels will be numbered:

1 2 3 4 5 6 7 8 9 10

11 12 13 14 15 16 17 18 19 20

21 22 23 24 25 26 27 28 29 30

Since NODE refers to the physical and PIXEL refers to the virtual, we now can state 'Node 18 is Pixel 13', and it makes sense.


The Light-O-Rama Software Package

The Light-O-Rama software package is a suite of programs, each helping with a different portion of computerized control of your lights to help build a dynamic display:

·The Control Panel runs in your system tray, and gives convenient access to control over your shows.

·The Sequence Editor is used to create, modify, and test sequences.

·The SuperStar Sequencer is a sort of front end to the Sequence Editor, used to create sequences visually rather than via a channels-versus-time grid.

·The Pixel Editor allows you to create lighting effects for your sequences in a visual way.

·The Show Editor is used to package sequences together into shows.

·The Schedule Editor is used to schedule shows to play at certain times.

·The Simple Show Builder is an alternative to the Show Editor and the Schedule Editor. It is generally simpler to use, but less flexible.

·The Show Player monitors the schedule, and plays the scheduled shows at the appropriate times.

·The Comm Listener is used by other programs (such as the Sequence Editor and Show Player) to communicate with DMX devices.

·The Network Preferences program allows you to configure the comm networks that your computer will use to communicate with your controllers.

·The Hardware Utility can be used to test your controllers, and to download sequences to them to be used in standalone mode.

·The ServoDog Utility can be used to configure Light-O-Rama ServoDog controllers.

·The Visualizer can be used to give a visual representation on your computer screen of how your lights will look when a sequence or your show plays.

·The Verifier can be used to check for certain types of problems with your Light-O-Rama configuration, schedule, shows and sequences.

·The Sequence Compressor can be used before shows to make sure that your compressed sequences are up-to-date.

·The Diagnostic is a troubleshooting tool that displays various information about your Light-O-Rama configuration.

·The Offline Registration Utility can be used to register Light-O-Rama on a computer that does not have access to the internet.

Additionally, several add-ons can be used with Light-O-Rama (these are not supplied as a part of the Light-O-Rama software package).

The Light-O-Rama software package must be registered with a valid license in order to use it to its full potential. There are several different possible license levels, each having different features available. Light-O-Rama can also be used unlicensed, in Demo mode, but you will not be able to actually control lights while in Demo mode.

Please note that the Light-O-Rama software package must be installed on a local drive; it is not supported when installed on a network drive.


Registering Light-O-Rama

The Light-O-Rama Software Package must be registered, with a valid license, before it can be used to its full potential. Without a license, Light-O-Rama can be used as a demo, but it will not actually control your lights.

There are several different license levels, each having different features available; please see the feature comparison for details.

To register Light-O-Rama first visit the Light-O-Rama website, and purchase a license. You will then be able to enter your license information in any of a few different ways: When you first install the software, or using the "Register Light-O-Rama" (or "Upgrade Light-O-Rama") menu items on the Sequence Editor's Help menu or on the Control Panel's popup menu.

Doing any of these things will open the Registration dialog:

The Registration Dialog

If your computer is connected to the internet, you can register simply by entering the name and license key from your license information, and clicking "Register" (the license name and key can be copied and pasted from the email in which they were sent to you). Light-O-Rama will then automatically verify your license information, and, if it is valid, register your computer.

You may then have to close any Light-O-Rama programs that are running, and then restart them, before all of your newly available features will be available.

If your computer is not connected to the internet, click on the link at the bottom of the Registration dialog in order to register offline.


Registering Offline

If your computer is connected to the internet, you can register Light-O-Rama directly in the Registration dialog. If not, though, you can still register while offline. Open the Registration dialog and click the link at its bottom ("Need to register offline? Click here.").

Doing so will open the Offline Registration dialog:

The Offline Registration Dialog

Once this dialog is opened, follow the instructions on it to register offline. A brief summary:

First, enter your license name and license key (these can be copied and pasted from the email in which they are sent to you).

Next,click "Show Offline Registration Key".

At this point, you will need to use your offline registration key to get an offline authorization key. There are two ways to do this:

First, if you have another computer, which is connected to the internet and which has Light-O-Rama installed, you can run the Offline Registration Utility on that computer. Make sure to have your license name, license key, and offline registration key available to enter onto that computer; the Offline Registration Utility will use them to create an offline authorization key.

If you do not have another computer that you can use to run the Offline Registration Utility, then you can obtain an offline authorization key by calling Light-O-Rama, at the telephone number shown on the form. Provide the person you speak to with your license name, license key, and offline registration key, and they will provide an offline authorization key to you.

After you have obtained an offline authorization key, type it into the boxes near the bottom of the form, and click "Register".

After you have successfully registered, you may need to close any Light-O-Rama programs that are running and restart them before all of your newly available features can be used.


Control Panel

What is the Light-O-Rama Control Panel?

The Light-O-Rama Control Panel is an application that runs in your system tray, allowing convenient access to other programs in the Light-O-Rama software package, as well as control over your displays.

The Light-O-Rama control panel must be running in order for the Show Player to play your scheduled shows (additionally, "Enable Schedule" must be turned on). It also must be running in order to control lights on LOR Enhanced networks or on DMX networks.

Running the Light-O-Rama Control Panel

To run the Light-O-Rama Control Panel, select it from your computer's Start menu, under All Programs (or "All apps") / Light-O-Rama / Light-O-Rama Control Panel:

Run the Light-O-Rama Control Panel from your computer's Start menu

Once running, the Control Panel will show up as a Light-O-Rama light bulb icon in your system tray:

The Control Panel, running in the system tray

The color of the light bulb describes the current state of the Show Player: If scheduled shows are currently enabled, it will be blue; if they are disabled, but shows on demand are enabled, it will be orange; if shows are disabled entirely, it will be red:

The different possible colors of the Control Panel

If you wish, you can set it up so that the Control Panel will automatically be run whenever your computer starts up (and therefore you won't have to start it via the Start menu anymore). To do this, select Launch at Startup from the Control Panel's popup menu.

The Status Window

Left-clicking on the Light-O-Rama Control Panel's icon in your computer's system tray opens up the Light-O-Rama status window. This window shows whether or not the Light-O-Rama Show Player is currently monitoring your schedule to play shows at their scheduled times, and, if so, whether a show is currently running, what show that is, and what the next show will be. If any sequences are currently running, it also shows information about all of them.

The Status window also has a "Commands" menu, which has the same menu items as the right-click popup menu.

It also shows various log messages, indicating such things as that a show or a sequence is starting or stopping, that an error occurred playing a sequence, or that an interactive trigger was detected. The "Clear Log" button will clear out all existing messages from the display, and "Copy Log" will copy the log messages to your computer's clipboard, so that you can paste them into a file. Please note that the log does not retain its messages indefinitely; it will periodically clear earlier messages out.

If that Status window shows Light-O-Rama's status as "Scheduled Play is Off", your scheduled shows will not play. If you wish to enable them, select "Enable Schedule" from its "Commands" menu or from the Control Panel's right-click popup menu. Similarly, if the Status window says that they Light-O-Rama is "enabled", your scheduled shows will play; if you wish to disable them, select either "Disable Shows Gracefully" or "Disable Shows Immediately".

The Status window can also say that Light-O-Rama is "enabled (only for on demand shows)", in which case your scheduled shows will not play, but on demand shows will. In this situation, you will be able to either enable your scheduled shows or disable shows entirely (either gracefully or immediately).

The status window, with scheduled shows enabled and a show currently playing

The status window, with scheduled shows enabled, but no show currently playing

The status window, with on demand shows enabled, but not scheduled shows

The status window, with shows disabled

The Popup Menu

Right-clicking on the Light-O-Rama Control Panel's icon in the system tray brings up a popup menu (this same menu is also available as the "Commands" menu in the Status window). This menu contains items to quickly launch other programs in the Light-O-Rama software package, and to control your display in various ways:

· Register (or Upgrade) Light-O-Rama

· Sequence Editor

· Pixel Editor

· SuperStar Sequencer

· Visualizer

· Hardware Utility

· ServoDog Utility

· Network Preferences

· Verifier

· Sequence Compressor

· Show Editor

· Schedule Editor

· Simple Show Builder

· Enable Schedule

· Disable Shows Gracefully

· Disable Shows Immediately

· Show On Demand

· Shut Down Show On Demand

· Use the LOR Visualizer

· Use Holiday Lights Designer

· Use Compressed Sequences

· Show Player Memory Restarts

· Launch at startup

· Unload Light-O-Rama

· Close Menu

· Help

The Control Panel's right-click popup menu

Register (or Upgrade) Light-O-Rama

Selecting "Register Light-O-Rama" (or "Upgrade Light-O-Rama") from the Control Panel's right-click popup menu allows you to register your Light-O-Rama software, or to upgrade to a higher level license, unlocking various features.

This item will show up as "Register Light-O-Rama" if you are using the unlicensed Demo version of the software, or "Upgrade" if you are using a license, but it is not the highest possible license level. If you are using the highest possible license level, this item will not be displayed at all.

Sequence Editor

Selecting "Sequence Editor" from the Control Panel's right-click popup menu launches the Light-O-Rama Sequence Editor, used to create, modify, and test sequences.

Pixel Editor

Selecting "Pixel Editor" from the Control Panel's right-click popup menu launches the Light-O-Rama Pixel Editor, used to create intensity files for sequences.

SuperStar Sequencer

Selecting "SuperStar Sequencer" from the Control Panel's right-click popup menu launches the Light-O-Rama SuperStar Sequencer, used to create sequences and intensity files for sequences.

Visualizer

Selecting "Visualizer" from the Control Panel's right-click popup menu launches the Light-O-Rama Visualizer.

Hardware Utility

Selecting "Hardware Utility" from the Control Panel's right-click popup menu launches the Light-O-Rama Hardware Utility, used for various things such as testing controllers and downloading sequences to them for use in standalone mode.

ServoDog Utility

Selecting "ServoDog Utility" from the Control Panel's right-click popup menu launches the Light-O-Rama ServoDog Utility, used to configure Light-O-Rama ServoDog controllers.

Network Preferences

Selecting "Network Preferences" from the Control Panel's right-click popup menu launches the Light-O-Rama Network Preferences program.

Verifier

Selecting "Verifier" from the Control Panel's right-click popup menu launches the Light-O-Rama Verifier, used to check for certain problems with Light-O-Rama's configuration, schedule, scheduled shows, and scheduled sequences.

Sequence Compressor

Selecting "Sequence Compressor" from the Control Panel's right-click popup menu launches the Light-O-Rama Sequence Compressor, which can be used before shows to ensure that all compressed sequences are up-to-date.

Show Editor

Selecting "Show Editor" from the Control Panel's right-click popup menu launches the Light-O-Rama Show Editor, used to create and modify shows.

Schedule Editor

Selecting "Schedule Editor" from the Control Panel's right-click popup menu launches the Light-O-Rama Schedule Editor, used to schedule shows to be played by the Light-O-Rama Show Player.

Simple Show Builder

Selecting "Simple Show Builder" from the Control Panel's right-click popup menu launches the Light-O-Rama Simple Show Builder, which is intended as an easier to use, but less flexible, alternative to the Show Editor and the Schedule Editor.

Enable Schedule

Selecting "Enable Schedule" from the Control Panel's right-click popup menu causes the Light-O-Rama Show Player to monitor your schedule and to play your shows at their scheduled times.

Note that on demand shows can be played regardless of whether your scheduled shows are enabled or not.

When scheduled shows are enabled, the light bulb icon in the computer's system tray will be blue.

Note: If "Enable Schedule" is greyed out, this means that it has already been selected, and the Show Player is monitoring your schedule. To stop the Show Player from monitoring your schedule, select "Disable Shows Gracefully" or "Disable Shows Immediately".

Disable Shows Gracefully

Selecting "Disable Shows Gracefully" from the Control Panel's right-click popup menu causes the Light-O-Rama Show Player to put your current show (if one is running) into shutdown mode, and to stop monitoring your schedule for shows to be played. When the show goes into shutdown mode, any song from the Musical section that is currently playing will be allowed to finish, and then the show's Shutdown section will start.

To instead shut down your show immediately, including abruptly stopping any sequences or song that might be playing, choose Disable Shows Immediately instead.

When shows are disabled, the light bulb icon in the computer's system tray will be red.

Note: If "Disable Shows Gracefully" is greyed out, this means that the Show Player is not monitoring your schedule. To have the Show Player start monitoring your schedule, select "Enable Schedule".

Disable Shows Immediately

Selecting "Disable Shows Immediately" from the Control Panel's right-click popup menu causes the Light-O-Rama Show Player to immediately stop your current show (if one is running), and to stop monitoring your schedule for shows to be played.

Stopping your show immediately will abruptly stop your sequences, including any song that happens to be playing. To have the Show Player stop your show more gracefully, choose Disable Shows Gracefully instead.

When shows are disabled, the light bulb icon in the computer's system tray will be red.

Note: If "Disable Shows Immediately" is greyed out, this means that the Show Player is not monitoring your schedule. To have the Show Player start monitoring your schedule, select "Enable Schedule".

Show On Demand

Selecting "Show On Demand" from the Control Panel's right-click popup menu causes the following dialog to open:

The Show On Demand dialog

Using this dialog, you can choose a show file to play immediately, or at a certain time, without needing to add it to your schedule. You can choose to let it play until a certain time, or else indefinitely, in which case it will not stop until you "shut down show on demand", "disable shows gracefully", "disable shows immediately", or "unload Light-O-Rama".

If a show is already playing at the time the on demand show is supposed to start, the playing show will be allowed to stop gracefully before the on demand show will start. That is, if a sequence from its Musical Section is currently playing, that sequence will be allowed to continue to play until its natural end; also, the sequences from its Shutdown Section, if any exist, will be played (after the current sequence from the Musical Section ends, or immediately if there is no current sequence from the Musical Section).

If "Show On Demand" is used when scheduled shows are disabled, it will not enable your scheduled shows; only your on demand show will play (if desired, though, you can enable your scheduled shows too, simply by clicking "Enable Schedule"). When this is the case, the light bulb icon in the computer's system tray will be orange.

Please note that the Show On Demand feature is only available for license level Basic Plus and higher.

Shut Down Show On Demand

If an on demand show is currently playing, selecting "Shut Down Show On Demand" from the Control Panel's right-click popup menu will cause the on demand show to stop. It will be allowed to stop gracefully; that is, if a sequence from its Musical Section is currently playing, that sequence will be allowed to continue to play until its natural end; also, the sequences from its Shutdown Section, if any exist, will be played (after the current sequence from the Musical Section ends, or immediately if there is no current sequence from the Musical Section).

After the on demand show stops, if scheduled shows are enabled, the Show Player will start whatever show is scheduled for the current time (if any).

"Shut Down Show On Demand" can also be used to cancel an on demand show that has been requested, but not yet started (either due to its start time not having been reached, or else due to another show still being in the process of shutting down).

Use the LOR Visualizer

Checking "Use the LOR Visualizer" from the Control Panel's right-click popup menu causes Light-O-Rama to send lighting commands to the Light-O-Rama Visualizer. Unchecking it causes Light-O-Rama not to send such commands.

Use Holiday Lights Designer

Checking "Use Holiday Lights Designer" from the Control Panel's right-click popup menu causes Light-O-Rama to send lighting commands to Holiday Lights Designer whenever a sequence is played (whether by the Show Player or the Sequence Editor). Holiday Lights Designer is a third party add-on that allows you to virtually place Christmas lights and holiday decorations on images of your home or business. Unchecking it causes Light-O-Rama not to send such commands to Holiday Lights Designer.

Version 4.0 or above of Holiday Lights Designer™ is required to take advantage of Light-O-Rama interaction.

Use Compressed Sequences

Checking "Use Compressed Sequences" from the Control Panel's right-click popup menu causes the Light-O-Rama Show Player to create and use compressed sequences if possible, which should cut down on the time it takes to load. Unchecking it causes it to ignore compressed sequences, and instead use the regular sequences.

Show Player Memory Restarts

Checking "Show Player Memory Restarts" from the Control Panel's right-click popup menu causes the Show Player to automatically restart in certain situations: When no show is playing, and no show is scheduled to start playing within the next sixty seconds, if the Show Player is using more than 100 megabytes of memory, it will automatically shut down. Assuming that the schedule is enabled, the Light-O-Rama Control Panel will then automatically restart the Show Player. The intention of this is a preventive measure to protect against ill effects of possible memory leaks in the Show Player, which could otherwise build up over time to a point that would cause the Show Player to crash.

Launch at Startup

Checking "Launch at Startup" from the Control Panel's right-click popup menu causes the Light-O-Rama Control Panel to automatically run whenever your computer starts up. Unchecking it causes it not to run at startup time, in which case you can start it manually whenever you like.

Unload Light-O-Rama

Selecting "Unload Light-O-Rama" from the Control Panel's right-click popup menu will shut down both the Light-O-Rama Control Panel and the Light-O-Rama Show Player. Your scheduled shows will not run while these are shut down.

To start the Light-O-Rama Control Panel again, run it from your computer's Start menu. Or, if "Launch at startup" has been enabled, the Control Panel will automatically run the next time that your computer starts up.

Close Menu

Selecting "Close Menu" from the Control Panel's right-click popup menu will close the popup menu. The Light-O-Rama control panel will still remain active.

Help

Selecting "Help" from the Control Panel's right-click popup menu will open up the Light-O-Rama help files.


Sequence Editor

The Light-O-Rama Sequence Editor is a tool used to create sequences, which are files that contain commands to be sent to controllers to produce various lighting effects - to turn lights on and off, make them twinkle or shimmer, fade up or down, and so forth.

After creating sequences with the Sequence Editor, they can be grouped together into shows, using the Show Editor. Shows can then be scheduled to run at certain times, using the Schedule Editor, and the Show Player can be used to monitor the schedule and play those shows at the scheduled times.

A sequence is represented in the Sequence Editor as a grid, with rows being channels and columns being timings. A cell in the grid represents the lighting effect or effects on that channel at that time. For example, the following sequence has four channels. At the start of the sequence, the first channel turns on. It stays on for half a second, then turns off, and the second channel then turns on. Then it turns off, and the third turns on, and then the third turns off and the fourth turns on. This brings us two seconds into the sequence, at which point all four channels fade down, for a second. After that, the first and fourth channels start shimmering, while the second and third fade up:

A sequence with four channels, and various lighting effects

Notice that one cell is highlighted with a thick black box - the cell of the first channel from 3 seconds to 3.5 seconds. That is the currently selected cell. Various tools can be applied to the selected cell (or cells), for example to change the lighting effect used on that channel at that time.

For more detailed information about sequences and the Sequence Editor, please see the help file page on sequences, and the following topics:

· Editing Sequences Using the Keyboard

· Editing Sequences Using the Mouse

· The Menu Bar

· Toolbars

· The Right-Click Context Menu

· Channel Buttons

· Track Bars

· Loop Menus

· The Channel Configuration Screen

· The Animator

· The Beat Wizard

· The MIDI File Wizard

· The Tapper Wizard

· The VU Wizard

· Freeform Play Mode

· Intensity File Section

· Comm Status Panel

The Light-O-Rama Sequence Editor, with a sequence


Editing Sequences Using the Keyboard

The keyboard can be used in several ways to help build sequences in the Sequence Editor:

· Custom Keyboard Mappings

· Selecting a Cell

· Selecting Multiple Cells

· Modifying Cells

· Copying, Cutting and Pasting

· Copying and Pasting Timings

· Undoing and Redoing

· Zooming

· Creating and Opening Sequences

· Saving Changes

· Refreshing the Display

· Help

· Freeform Play Mode

· Opening a Tooltip

· Other Keyboard Usage

Please also see Editing Sequences Using the Mouse.

Custom Keyboard Mappings

Although Light-O-Rama has certain built-in keyboard behaviors -- for example, pushing the S key will cause a shimmer to be applied to the current selection -- you can change these behaviors. For example, you could change the S key so that it will cause a fade up to be applied, instead of a shimmer. Or, you could make it more complex, such as causing a shimmer to be applied, then the selection to be moved two cells to the right, and then a fade up applied (to the new selection).

For further details on custom keyboard mappings, please see the Keyboard Preferences page. The remainder of this help file page describes Light-O-Rama's built-in keyboard behaviors.

Selecting a Cell

Sequences are displayed in the Sequence Editor as a grid. Rows represent channels or RGB channels, and columns represent timings. Cells in the grid therefore represent the lighting effects that will happen on channels at various points in time while the sequence is being played.

A cell, or a range of cells, can be selected, allowing you to apply various tools to it (such as specifying what lighting effects should take place in that cell). You can recognize the currently selected cell (or cells) by a thick black and white border. For example, in the following sequence, the cell of the third channel between 1 second and 1.5 seconds is selected:

The time between 1 and 1.5 seconds of the third channel is selected

You can change which cell is selected by using the arrow keys - Up, Down, Left and Right. Page Up and Page Down can also be used, to go up and down in the sequence by a page at a time. Ctrl-Left and Ctrl-Right can be used to page left and right.

If the currently selected cell is not the first cell in the currently selected channel (i.e. the cell starting at time zero), hitting the Home key brings you to the first cell in the currently selected channel. If, however, the first cell is already selected, then hitting the Home key will bring you to the first channel in the sequence. So, hitting the Home key twice in a row will bring you to the first cell in the first channel.

The End key works similarly, but for the last event and the last channel.

Selecting Multiple Cells

A range of cells can be selected by holding down the shift key while using the arrow keys (or Page Up, Page Down, Home, or End). For example, the following picture has four cells selected, two each from second and third channels:

Four cells are currently selected, two each in Channel 2 and Channel 3

Modifying Cells

Once you have selected a cell, or a range of cells, you can modify the cell or cells by pressing keys:

Key

Effect

<Shift>-A

Set the currently selected tool (for the Enter key or mouse click) to the Intelligent Fade tool

A

Intelligent Fade

<Shift>-C

Set the currently selected effect tool (for the Enter key or mouse click) to the Custom tool

C

Custom tool (e.g. twinkling fade down)

<Ctrl><Shift>-D

Set the custom tool to fade down

<Shift>-D

Set the currently selected effect tool (for the Enter key or mouse click) to the Fade Down tool

D

Fade down

<Shift>-E

Turn on regular effects mode for subsequent keystrokes

E

Turn on regular effects mode for the next keystroke only

<Shift>-F

Set the currently selected effect tool (for the Enter key or mouse click) to the Fill tool

F

Fill

<Shift>-G

Set the currently selected effect tool (for the Enter key or mouse click) to the Toggle tool

G

Toggle

<Shift>-H

Set the currently selected effect tool (for the Enter key or mouse click) to the Chase tool

H

Chase

<Ctrl><Shift>-I

Set the custom tool to set intensity

<Shift>-I

Set the currently selected effect tool (for the Enter key or mouse click) to the Intensity tool

I

Set intensity

<Shift>-K

Turn on or off background effects mode for subsequence keystrokes

K

Turn on background effects mode for the next keystroke only

<Shift>-L

Set the currently selected effect tool (for the Enter key or mouse click) to the Select tool

<Shift>-N

Set the currently selected effect tool (for the Enter key or mouse click) to the On tool

N

On

<Shift>-O

Set the currently selected effect tool (for the Enter key or mouse click) to the Color Fade tool

O

Color fade

<Shift>-Q

Set the currently selected effect tool (for the Enter key or mouse click) to the Paint Sequence tool

Q

Paint sequence

<Shift>-R

Turn on or off foreground effects mode for subsequent keystrokes

R

Turn on foreground effects mode for the next keystroke only

<Ctrl><Shift>-S

Set the custom tool to shimmer

<Shift>-S

Set the currently selected effect tool (for the Enter key or mouse click) to the Shimmer tool

S

Shimmer

<Ctrl><Shift>-T

Set the custom tool to twinkle

<Shift>-T

Set the currently selected effect tool (for the Enter key or mouse click) to the Twinkle tool

T

Twinkle

<Ctrl><Shift>-U

Set the custom tool to fade up

<Shift>-U

Set the currently selected effect tool (for the Enter key or mouse click) to the Fade Up tool

U

Fade Up

<Shift>-X

Set the currently selected effect tool (for the Enter key or mouse click) to the DMX Intensity tool (Note: this key only works if DMX Editing has been enabled)

X

DMX Intensity (Note: this key only works if DMX Editing has been enabled)

+

Repeat

<Shift>-<Delete>

Set the currently selected effect tool (for the Enter key or mouse click) to the Off tool

<Delete>

Off

<Enter>

Use the currently selected effect tool (from the Tools toolbar)

The selected cells have been changed to twinkles

Copying, Cutting and Pasting

The lighting effects in cells can be copied, cut, and pasted using the standard Windows copy, cut and paste keys, Ctrl-C, Ctrl-X, and Ctrl-V.

Note that the Light-O-Rama Sequence Editor supports several different pasting modes and pasting options (paste from/to foreground/background). You can choose these settings using the Paste Options subpanel of the left-hand Tools Panel.

Copying and Pasting Timings

Timings can be copied using Ctrl-Insert, and inserted using Shift-Insert.

Undoing and Redoing

Changes to a sequence can be undone and redone using the standard Windows undo and redo keys, Ctrl-Z and Ctrl-Y. Note that this includes any changes to the sequence, not merely changes made using the keyboard.

Zooming

The view of a sequence's grid can be zoomed in and out using the keyboard. Both rows (channels) and columns (timings) can be zoomed.

To zoom in on channels - i.e. to make them bigger - use Alt-Down, and to zoom out, use Alt-Up. Alt-Page Down and Alt-Page Up also work, to zoom in and out as much as possible.

To zoom in on timings, use Alt-Right; to zoom out, use Alt-Left. Alt-End and Alt-Home zoom in and out as much as possible.

Creating and Opening Sequences

The New and Open Dialog can be opened using either Ctrl-N, Ctrl-O, or Ctrl-R. Ctrl-N will open it to its New Sequence tab, Ctrl-O will open it to its Existing Sequence tab, and Ctrl-R will open it to its Recent Sequence tab.

Saving Changes

Changes to a sequence can be saved using Ctrl-S. If this is a new sequence that has never before been saved, this will first prompt you for a filename to save the sequence to.

Refreshing the Display

Occasionally during play, the display of a sequence's grid may seem to blank out. This is typically caused when your computer happens to do something unrelated to Light-O-Rama, and temporarily takes the focus away from the Sequence Editor. The sequence itself is not affected, nor are the actual lights - only the Sequence Editor's display of the sequence is - and the display is typically returned to normal when play reaches the next screen (or stops). However, if you do not wish to wait for that, you can hit the F5 key to manually refresh the display.

Help

The Light-O-Rama help file can be opened by hitting the F1 key.

Freeform Play Mode

The space bar can be used to start and stop the current sequence either in "from selection" mode or, if a freeform play range has been selected, in freeform play mode. While playing, the up and down arrows can be used to define a freeform play range. If play is started with "Shift-Space" instead of just "Space", the freeform play range will be removed, and play will then start in "from selection" mode.

Opening a Tooltip

If your mouse is over the current sequence's grid, you can open a tooltip describing the cell it is pointing to by hitting the "P" key. This can be done regardless of whether you have set your display preferences to disable tooltips.

Other Keyboard Usage

The various menus on the menu bar can be accessed by holding down the Alt key while pressing a particular key for the menu in question:

Key

Effect

<Alt>-E

The Edit menu

<Alt>-F

The File menu

<Alt>-H

The Help menu

<Alt>-P

The Play menu

<Alt>-T

The Tools menu

<Alt>-V

The View menu

<Alt>-W

The Window menu

After opening a menu, menu items can be selected using their hotkeys (indicated by an underlined letter). For example, pressing Alt-E followed by K will select "Duplicate Track" from the Edit menu. Keys such as Up, Down, Left, Right, Enter and Space can also be used to navigate these menus.

Many functions in the Light-O-Rama Sequence Editor cause dialog windows to open up. Those which have "OK" and "Cancel" buttons can typically have "OK" invoked by hitting the Enter key, and "Cancel" by hitting the Escape key.

Standard Windows keyboard navigation should work on these dialogs - for example, using the Tab key to tab between controls, or the arrow keys to choose which radio button in a group is selected.

Hotkeys exist on many of these dialogs, which allow you to select a specific control on the dialog by holding the Alt key and pressing the key of the underlined letter. For example, in the Channel Settings dialog (picture follows), the "Name" control can be selected by Alt-N, the "Color" control by Alt-C, and so forth:

The Channel Settings dialog


Editing Sequences Using the Mouse

Sequences can be edited in the Light-O-Rama Sequence Editor using the mouse:

· Selecting a Cell

· Selecting Multiple Cells

· Modifying Cells

· Other Mouse Usage

See also "Editing Sequences Using the Keyboard".

Selecting a Cell

Sequences are displayed in the Sequence Editor as a grid. Rows represent channels, and columns represent timings. Cells in the grid therefore represent the lighting effects that will happen on channels at various points in time while the sequence is being played.

A cell, or a range of cells, can be selected, allowing you to apply various tools to it (such as specifying what lighting effects should take place in that cell). You can recognize the currently selected cell (or cells) by a thick black and white border. For example, in the following sequence, the cell of the third channel between 1 second and 1.5 seconds is selected:

The time between 1 and 1.5 seconds of the third channel is selected

Using the mouse, you can change which cell is selected by simply clicking in the cell that you want to be selected. However, unlike when you select a cell using the keyboard, this will not just select the cell - it will also apply the current effect tool (from the Tools toolbar) to the cell. So, for example, it might turn the cell on, or off, or cause it to twinkle, or fade up. So, if you want to just select a cell without changing its contents, either use the keyboard, or make sure that your current effect tool is the Selection tool.

Another option is to right-click in the desired cell. This will select the cell, and will not apply the current tool, but it will also bring up the right-click context menu. One exception: If you already have multiple cells selected, and you right click on one of those cells, that cell will not become the currently selected cell. Instead, the whole range of cells will remain selected, and the right-click context menu will pop up, applying to the entire range of cells.

Selecting Multiple Cells

You can select multiple cells using the mouse in two ways: either click and drag from the first to the last, or click in the first, move (without necessarily dragging) to the last, and shift-click in the last. Note that this will not just select the cells; it will also apply the current tool (from the Tools toolbar) to the cells. For example, it will make them shimmer, or fade down. So, if you want to select multiple cells without changing their contents, either use the keyboard, or make sure that the current tool is the Selection tool.

Right-clicking can also be used to select multiple cells, but will bring up the right-click context menu rather than applying the current tool.

Four cells are selected, two each in two different channels

Modifying Cells

Simply selecting a cell or a range of cells will apply the current effect tool (from the Tools toolbar) to the selection.

Another option is to right-click on the cell or cells, which will bring up the right-click context menu. This menu has a variety of options for modifying the cells.

Other Mouse Usage

Various popup menus and dialogs can be obtained by using the mouse:

·Right-clicking on the sequence grid brings up the right-click context menu.

·Left-clicking on a channel button brings up that channel's Channel Settings dialog.

·Right-clicking on a channel button brings up that channel's popup menu.

·Left or right-clicking on a track bar brings up that track's context menu.

·Left or right-clicking on a loop level portion of the grid brings up the Loop Context menu.

·Left or right-clicking on a loop level's button brings up part of the Loop Context menu (the items related to the whole loop level, rather than individual loops).

Additionally, the menu bar and the toolbars can be accessed via the mouse in the standard way for Windows programs.


Time Format

Whenever the Light-O-Rama Sequence Editor asks you for a length of time, you can generally specify hours, minutes, seconds, and hundredths of a second. You don't have to specify all of them if you don't want to.

The general format is:

HH:MM:SS.hh

Where HH is hours, MM is minutes, SS is seconds, and hh is hundredths of a second. You usually do not have to type all of that in, though; for example, if you are concerned only with seconds, you don't have to type in anything about hours, minutes, or hundredths of seconds.

The Sequence Editor also uses this same format whenever it displays a length of time to you.

The following examples show how to specify various lengths of time:

Length of Time | Format
Ten seconds | 10
Ten and 37/100 seconds | 10.37
Three minutes and ten seconds | 3:10
Three minutes, ten and 37/100 seconds | 3:10.37
Seven hours, three minutes, and ten seconds | 7:03:10
Seven hours, three minutes, ten and 37/100 seconds | 7:03:10.37


The Menu Bar

The Light-O-Rama Sequence Editor's menu bar gives access to a variety of different functionality. For detailed help, please refer to the help pages for each individual menu on the menu bar:

·The File menu

·The Edit menu

·The View menu

·The Tools menu

·The Play menu

·The Window menu

·The Help menu

The Sequence Editor's menu bar


The File Menu

The Light-O-Rama Sequence Editor's File menu has menu items related to things like creating, opening, and saving sequences.

Several of these menu items operate on the "currently selected sequence". Many sequences can be open simultaneously in the Sequence Editor, but only one is the currently selected sequence. It is distinguished by its bright blue title bar (as opposed to the pale blue title bar of unselected sequences). To select a sequence, simply click on its window.

· New

· Open

· Open Recent

· Close

· Close All Files

· Close All Files Except This

· Revert to Saved

· Save

· Save As

· Export as Compressed

· Export as Protected

· Exit

The Sequence Editor's File menu

New

Selecting "New" on the Sequence Editor's File menu opens the New and Open dialog, on its "New Sequence" tab, which gives a choice between creating a new animation sequence or a new musical sequence.

"New" has a keyboard hotkey: Ctrl-N.

Open

Selecting "Open" on the Sequence Editor's File menu opens the New and Open dialog, on its "Existing Sequence" tab, which lets you open an existing sequence using a file browser similar to Windows Explorer.

"Open" has a keyboard hotkey: Ctrl-O.

Open Recent

Selecting "Open Recent" on the Sequence Editor's File menu opens the New and Open dialog, on its "Recent Sequence" tab, which lets you open by selecting it from a list of the most recently opened sequences.

"Open Recent" has a keyboard hotkey: Ctrl-R.

Close

Selecting "Close" from the Sequence Editor's File menu closes the currently selected sequence.

If the sequence has unsaved changes, you will be prompted on whether you wish to save the changes or not; if the sequence has never been saved before, and you choose to save it, you will also be prompted to select a filename for the new sequence.

Close All Files

Selecting "Close All Files" from the Sequence Editor's File menu closes all open sequences.

If any of the sequences have unsaved changes, you will be prompted on whether you wish to save them or not; if any of the sequences have never been saved before, and you choose to save them, you will also be prompted to select filenames for the new sequences.

Close All Files Except This

Selecting "Close All Files Except This" from the Sequence Editor's File menu closes all open sequences except the currently selected sequence.

If any of the the sequences being closed have unsaved changes, you will be prompted on whether you wish to save the changes or not; if a sequence being closed has never been saved before, and you choose to save it, you will also be prompted to select a filename for the new sequence.

Revert to Saved

Selecting "Revert to Saved" from the Sequence Editor's File menu reloads the currently selected sequence from its last save. Any changes made to the sequence since the last save will be lost.

Save

Selecting "Save" from the Sequence Editor's File menu saves the changes that you have made to the currently selected sequence. If the sequence was newly created and has never been saved before, Save will also prompt you for a filename to use for the new sequence.

Save has a keyboard hotkey: Ctrl-S.

Save As

Selecting "Save As" from the Sequence Editor's File menu saves the current sequence to a new filename. The old file will still exist, but will not include any of the changes that you made to the sequence since the last time that you saved it.

Export as Compressed

Selecting "Export as Compressed" from the Sequence Editor's File menu can be used to manually create a compressed sequence based upon the current sequence. By default, the Sequence Editor automatically creates a compressed sequence for a sequence whenever it saves the sequence, so this function is not normally necessary, but the automatic creation can be disabled (via Export Compressed in the Saving Preferences menu), so this becomes useful if you have turned that behavior off. Please also see the Sequence Compressor program, which can be used to compress all sequences in a show, or in the entire schedule.

Export as Protected

Selecting "Export as Protected" from the Sequence Editor's File menu can be used to create a protected sequence based upon the current sequence.

Exit

Selecting "Exit" from the Sequence Editor's File menu closes the Sequence Editor. If any currently open sequences have changes that have not yet been saved, you will be prompted for whether or not you want to save them.


The New and Open Dialog

The Sequence Editor's New and Open dialog is used to create new sequences, or to open existing sequences. It has three tabs:

·"New Sequence", to create a new musical sequence or a new animation sequence;

·"Existing Sequence", to open an existing sequence, using a file browser similar to Windows Explorer;

·"Recent Sequence", to open a sequence that had recently been opened, by selecting it from a list.

While the New and Open dialog is displayed, you can change the selected tab by hitting Control-Tab (to cycle forward through the tabs) or Control-Shift-Tab (to cycle backward), or simply by mouse clicking on the desired tab.

The New and Open dialog can be opened, on the appropriate tab, via the File menu's "New", "Open", or "Open Recent" menu items, and also via the Standard Toolbar's "New Sequence" and "Open Sequence" buttons.

Also, by default, the New and Open dialog will open whenever the Sequence Editor is started (opening on the tab that had been used the last time the dialog was used). This behavior can be suppressed by checking the "Don't show this screen when Light-O-Rama starts" checkbox. If you have suppressed it, and want to unsuppress it, simply uncheck the box the next time that you use the New and Open dialog.

New Sequence

The New and Open dialog's New Sequence tab allows you to create a new musical sequence or a new animation sequence. Simply select which you want, which will cause either the New Musical Sequence dialog or the New Animation dialog to open.

The New and Open dialog's "New Sequence" tab

Existing Sequence

The New and Open dialog's Existing Sequence tab lets you choose a sequence to open, using a file browser similar to Windows Explorer.

This also allows you to import sequences that were created using the Dasher program. Simply select the Dasher sequence, and you will be prompted on how you wish to import it.

The "Search for files named" box, below the list of files, causes the list to show only those files with the specified text somewhere in their name. It also supports three wildcard characters, "*", "?" and "#", meaning "zero or more characters", "exactly one character", and "exactly one digit", respectively.

NewAndOpen
The New and Open dialog's "Existing Sequence" tab

Recent Sequence

The New and Open dialog's Recent Sequence tab lets you choose a sequence to open from a list of the sequences which had been opened the most recently.

A file can be removed from the recent list by right-clicking on it and selecting "Remove from Recent Sequences" from the popup menu that will open.

The New and Open dialog's "Recent Sequence" tab


The New Animation Dialog

The Sequence Editor's New Animation dialog is used to create a new animation sequence. The New Animation dialog is opened by selecting "New Animation Sequence" from the New and Open dialog's "New Sequence" tab. The New and Open dialog, in turn, can be opened in a few ways:

·Selecting "New" from the File menu;

·Clicking the "New Sequence" button on the Standard toolbar;

·Using the keyboard shortcut Ctrl-N.

For detailed help, please refer to the following sections:

· Who is the author of this new animation?

· How many channels should this animation use?

· Automatically set up channels to use standard LOR controllers

· How long should this animation be?

· How much time should be in between timings?

· Use a fixed timing grid

· Use loops.

· Save these choices as defaults.

· Don't ask me this again.

The New Animation dialog

Who is the author of this new animation?

If you wish, you can put your name here. It will be saved with the sequence, and will be displayed as a part of the information available via "Sequence Info" of the View menu.

Once set, even if set to a blank value, this cannot be changed.

How many channels should this animation use?

Specify the number of channels that you want in this sequence. You can always change this later, by adding or removing channels, for example via the Channel Configuration screen or via a channel's right-click popup menu.

Note: All channels specified here will be placed into a single track. More tracks can be added later, for example via Add New Track or Duplicate Track of the Edit menu.

Automatically set up channels to use LOR controllers

If you check this box, the channels in your newly created sequence will automatically be set up to use Light-O-Rama controllers. The first channel will be set up to use unit 1 circuit 1, the next unit 1 circuit 2, and so forth, up through unit 1 circuit 16, and then on to unit 2, and so forth. All such channels will be set up to use the regular LOR network.

How long should this animation be?

This allows you to specify the duration of the sequence. You will be able to change the value later, using "Change Total Time" in the Edit menu.

The time can include hours, minutes, seconds, and hundredths of a second. For details on the format used to specify various lengths of time, please see Time Format.

How much time should be in between timings?

This allows you to tell the Sequence Editor to automatically insert timings into the new sequence. Timings are the spots in time where you can easily place lighting effects - for example, turn a string of lights on, or have it twinkle, or have it fade down.

If you don't know how far apart you want timings to be, just take a guess. You can always insert, delete, or move timings later. Note that although the New Animation dialog only allows you to set timings up at equal lengths from each other, timings in general can be any length from each other. For example, you could later add a timing three seconds away from another, and a third timing half a second away from that one.

If you select "Some other value", you can enter any length you want, rather than one of the defaults. For details on the format used to specify various lengths of time, please see Time Format.

Use a fixed timing grid

Unless you chose "Don't add any timings" in response to the question "How much time should be in between timings?", then if this box is checked, the sequence's initial timing grid will be a fixed timing grid. Otherwise, it will be a freeform timing grid.

Use loops.

If you check the "Use Loops" checkbox, the newly created sequence will automatically include a loop level, which can be used to insert loops into the sequence.

If you create an animation sequence without having selected "Use Loops", and you later decide that you do want loops in the sequence, you can add a loop level by selecting "Turn on Loops" from the Edit menu.

Save these choices as defaults.

If you turn this checkbox on, your answers to the questions in this dialog will be saved so that whenever you create a new animation sequence in the future, those answers will automatically show up in this dialog as the default answers.

Don't ask me this again.

If you turn this checkbox on, then whenever you create new animation sequences in the future, you will not be presented with this dialog. Instead, the default answers to the questions will be used.

If you later decide that you want to change these defaults, you can do so by going to the New Animation Preferences dialog, from Preferences submenu of the Edit menu.


The New Musical Sequence Dialog

The Sequence Editor's New Musical Sequence dialog is used to create a new musical sequence. The New Musical Sequence dialog is opened by selecting "New Musical Sequence" from the New and Open dialog's "New Sequence" tab. The New and Open dialog, in turn, can be opened in a few ways:

·Selecting "New" from the File menu;

·Clicking the "New Sequence" button on the Standard toolbar;

·Using the keyboard shortcut Ctrl-N.

After doing one of these things, but before the New Musical Sequence dialog opens, you will be prompted to select the audio or video file that you want to build the new sequence based off of. After you select such a file, then the New Musical Sequence dialog will open.

For detailed help, please refer to the following sections:

· Author of this new sequence

· Musical Information

· Channel Setup

· Initial Timing

· Save as defaults.

· Don't ask me this again.

The New Musical Sequence dialog

Author of this new sequence

If you wish, you can put your name here. It will be saved with the sequence, and will be displayed as a part of the information available via "Sequence Info" of the View menu.

Once set, even if set to a blank value, this cannot be changed.

Musical Information

If you wish, you can put the name of the artist, song, and album of the associated song here. It will be saved with the sequence, and will be displayed as a part of the information available via "Sequence Info" of the View menu.

If you are basing the sequence on an MP3 file, and the file is tagged with this information, it will automatically be placed into this section (though you can still change or delete it if you wish).

When the "Use LOR Internal Media Format" is checked, the Sequence Editor will automatically attempt to fix various issues that the media may have with playback. It is suggested that this option always be checked. If desired, though, it can later be changed for any particular sequence via Edit / Use Internal Media.

You can change this information later, via "Sequence Info" of the Edit menu.

Channel Setup

In this section, you can either specify the number of channels that you want in this sequence, or specify that the channels should be set up based upon a channel configuration file.

If you specify the number of channels, you can also check the "Using standard LOR controllers" checkbox, which will cause the channels in the new sequence to be automatically set up to use Light-O-Rama controllers. The first channel will be set up to use unit 1 circuit 1, the next unit 1 circuit 2, and so forth, up through unit 1 circuit 16, and then on to unit 2, and so forth. All such channels will be set up to use the regular LOR network.

Unless you use a channel configuration file, all channels specified here will be placed into a single track. More tracks can be added later, for example via Add New Track or Duplicate Track of the Edit menu.

You can always change the number of channels or their settings later, by adding or removing channels, for example via the Channel Configuration screen or via a channel's right-click popup menu.

Initial Timing

This allows you to tell the Sequence Editor to automatically insert timings into the new sequence. Timings are the spots in time where you can easily place lighting effects - for example, turn a string of lights on, or have it twinkle, or have it fade down.

In addition to placing timings a certain length of time apart (a tenth of a second, a half second, a second, or "some other value"), add adding no timings at all ("Don't add any timings"), you can instruct the Sequence Editor to use various wizards to insert timings based upon the song itself:

·The MIDI File Wizard can insert timings and effects based upon the beat of a MIDI song, as well as based on the individual notes played by different instruments in the song.

·The Tapper Wizard allows you to tap the keyboard or mouse while the song plays, and will record the times at which you tap.

·The Beat Wizard attempts to determine the tempo of the song, and insert timings and effects based upon it.

·The VU Wizard looks for peaks in the song, much like a VU meter, and inserts timings and effects based upon them.

Not all of these wizards are available for every type of media file; for example, the MIDI File Wizard can only be used with MIDI files. Any wizards that cannot be used with the type of media file being used will be greyed out.

If you select "Some other value", you can enter any length you want, rather than one of the defaults. For details on the format used to specify various lengths of time, please see Time Format.

If you choose to have equally spaced timings, then you will be given the option to use a fixed timing grid or a freeform timing grid, by checking or unchecking the "Use a fixed timing grid" box. Otherwise, a freeform timing grid will be used.

Note that you can always insert, delete or move timings later, in a variety of ways.

Save as defaults.

If you turn this checkbox on, your answers to most of the questions in this dialog will be saved so that whenever you create a new musical sequence in the future, those answers will automatically show up in this dialog as the default answers.

The artist name, album name, and song name will not be saved as defaults (though if you use an MP3 tagged with this information, it will automatically be placed into that section).

Don't ask me this again.

If you turn this checkbox on, then whenever you create new musical sequences in the future, you will not be presented with this dialog. Instead, the default answers to the questions will be used.

If you later decide that you want to change these defaults, you can do so by going to the New Musical Sequence Preferences dialog, from Preferences submenu of the Edit menu.


The Edit Menu

The Light-O-Rama Sequence Editor's Edit menu contains menu items that let you modify sequences in a variety of ways, as well as to set your preferences for the behavior of the Sequence Editor.

Most of these menu items apply to the currently selected sequence, or to the active track of the currently selected sequence. There can be many sequences open in the Sequence Editor simultaneously, but only one is the currently selected sequence. It can be distinguished by its bright blue title bar (as opposed to the pale blue title bar of unselected sequences). You can select a sequence simply by clicking on its window.

· Undo and Redo

· Undo Settings

· Cut, Copy, Paste, and Paste Multiple

· Set Paste Mode

· Copy and Paste Timings

· Select Columns, Select Rows, and Select All

· Change Track Name

· Skew Track

· Add New Track

· Duplicate Track

· Change Total Time

· Timings

· Insert Multiple Timings

· Subdivide Timings

· Delete Extraneous Timings

· Lock Timings

· Drag Events with Timings

· Confirm Long Timing Drags

· Turn on Loop Levels

· Sequence Info

· Media File

· Use Internal Media

· Windows Command

· Export and Import Channel Configuration

· Preferences

The Sequence Editor's Edit menu

Undo and Redo

These allow you to undo and redo changes that you make to a sequence. A wide variety of changes can be undone and redone - changing lighting effects, moving timings, inserting channels, and many more. The next change to be undone or redone is named in the menu item:

The next items to be undone or redone are named on the menu

There is a limit to how many changes will be remembered for the purposes of undo and redo, so if you make many changes to a sequence and then start undoing them all, you may eventually reach a point where you can't undo any more, even though you haven't undone all of the changes that you made.

Also, you will not be able to undo any changes made before the last time that you saved the sequence.

A related option is to use "Revert to Saved" from the File menu. This will reload the sequence as it was the last time that you saved, getting rid of all changes since that time.

Undo and redo have keyboard hotkeys: Ctrl-Z and Ctrl-Y, respectively.

Undo Settings

The Undo Settings menu item will open up the Undo Settings dialog, which allows for control over whether or not undo recording is enabled as well as how many items will be available for undoing/redoing per sequence:

The Undo Settings dialog

Enable/Disable Undo Recording

Certain very large operations in the Sequence Editor could take a very long time to do. For example, skewing a track involves changing all of the timings, effects, and loops in the track; in a large sequence with many channels, this could take a prohibitively long time. Much of the time spent is actually due to recording the changes so as to later be able to undo and redo them.

For situations like this, you can disable undo recording before making such a change, which will speed up how long the change will take. You will not be able to undo any changes after doing so (except for changes that you make after re-enabling it later), so it is strongly suggested that you save your sequence before disabling undo recording.

Maximum Undo Items Per Sequence

For each open sequence, the Sequence Editor will remember only a certain number of changes so that they can be undone and redone. By default, this is 50. For example, if you make 51 changes to a sequence, and then decide you don't want them, you will only be able to undo the most recent 50; the 51st cannot be undone. For most users, this default will be fine. However, for users with large sequences who are doing large changes to their sequences, remembering this many changes could cause a lot of memory to be used, which in turn could cause any number of strange things to start happening as the Sequence Editor is unable to obtain more memory. If you are experiencing such issues, you might want to consider using the Undo Settings dialog to place a smaller limit on the number of changes that will be remembered. The new number will be remembered even after you close and reopen the Sequence Editor.

Please note that changing the maximum number of undo items will wipe out any items that had been recorded up to that point, so that they will no longer be available to be undone or redone. So, it is recommended that you save your sequences before changing this setting.

Cut, Copy, Paste, and Paste Multiple

When editing a sequence, you can select an area using your mouse or keyboard, and cut or copy the lighting effects in that area. You can then paste the contents of that area to another spot - even to a spot within a different sequence. Note that this copies only the lighting effects, not the timings - see "Copy and Paste Timings" for how to copy timings.

"Paste Multiple" allows you to paste the cut or copied events multiple times in a row - even to the end of the sequence:

The Paste Multiple dialog

The Sequence Editor supports four different pasting modes - "paste by time", "paste by cell", "repeat to fit" and "stretch to fit" - and pasting options "paste from/to foreground/background". Which of these is selected will affect how the pasted effect events will look.

Cut, copy, and paste have keyboard hotkeys: Ctrl-X, Ctrl-C, and Ctrl-V, respectively.

Set Paste Mode

When a set of lighting effects is copied (or cut) in the Sequence Editor, it can be pasted in several different manners: "paste by cell", "paste by time", "stretch to fit", and "repeat to fit". You can control which paste mode is used via the "Set Paste Mode" submenu of the Edit menu, or via the Paste Options subpanel of the left-hand Tools panel.

You can also use this submenu to control where events are copied from and to. See "Paste From/To" on the Paste Options subpanel for details.

Copy and Paste Timings

You can select a set of timings using the keyboard or the mouse, and use "Copy Timing" to copy them. After that, you can paste the timings to another point in the sequence (or even to another sequence) using "Paste Timing". Note that this copies only the timings, not any lighting effects (see "Cut, Copy, Paste, and Paste Multiple" for information on copying lighting effects).

For example, if you copy timings that are at 3 seconds, 3.5 seconds, and 5 seconds, and paste those timings starting at 7 seconds, you will wind up with timings at 7 seconds, 7.5 seconds, and 9 seconds.

Paste Timing allows you to optionally choose to paste the timings multiple times in a row:

The Paste Timing Multiple dialog

You can also copy and paste timings via the right-click context menu, in a few ways. Depending on the situation, using one of them may be more convenient than doing so via the Edit menu. For example, one of the options on that menu allows you to paste the timings once to the exact spot that you right-clicked on, getting rid of the need for the Paste Timing Multiple dialog.

Copy Timing and Paste Timing have keyboard hotkeys: Shift-Del and Shift-Ins, respectively.

Select Columns, Select Rows, and Select All

These menu items (in the "Select Zone" submenu of the Edit menu) allow you to select an entire column or set of columns (representing time) or an entire row or set of rows (representing channels), or both.

You can also select columns or rows from the right-click context menu.

Change Track Name

Tracks can optionally be given names. They can be set when the track is created, or via this menu item. The track's name (if any) will be displayed on its track bar, among other places.

Skew Track

Skewing a track will move all of its events, timings, and loops by some specified amount of time. A track can be skewed either to the left - i.e. shifting its events (and such) earlier in time - or to the right - i.e. shifting them later in time.

After selecting "Skew Track" from the Edit menu, a window will open up, allowing you to choose the size and direction of the skewing:

The Skew Track dialog

After completing this dialog, the active track will be skewed by the amount, and in the direction, that you chose.

Here is an example of a simple sequence, before and after skewing to the left by one-quarter second:

A simple sequence, before skewing

The same track, after skewing to the left by 1/4 second

Add New Track

This menu item allows you to add a new track, with new channels, to a sequence, using the Add New Track dialog.

Tip: To use the same channel in more than one track, do not simply set two channels in different tracks to point to the same hardware controller (i.e. to have the same unit number, circuit number, et cetera). Doing so will likely cause unexpected and undesired results, as the two channels compete for control over the same circuit. Instead, copy the channel to a new track or to an existing track. Or, if you want to share all the channels in a track with another track, duplicate the track.

Duplicate Track

This menu item instructs the Sequence Editor to duplicate all of the channels in the current track to a new track. The channels will be shared between the two tracks.

The Duplicate Track dialog

Change Total Time

This menu item allows you to change the duration of the active track. Note that all tracks in a musical sequence (as opposed to an animation sequence) must have the same length, so changing the length of one track in a musical sequence will automatically change the length of all of them.

For information on the format used to specify an amount of time, please see Time Format.

The Change Total Time dialog

Timings

This submenu of the Sequence Editor's Edit menu has various timing-related functions:

· Insert Multiple Timings

· Subdivide Timings

· Delete Extraneous Timings

· Switch Timing Grid

· Change Timing Grid Name

· Lock Timings

· Drag Events with Timings

· Confirm Long Timing Drags

Insert Multiple Timings

This allows you to insert multiple timings into the current selection, to divide it into equally-sized parts. For example, if you select an area whose time range is from 6 to 8 seconds, and use "Insert Multiple Timings" to insert three equally spaced timings, then the new timings will be inserted at 6.5, 7, and 7.5 seconds, splitting the selection into four equally spaced parts of half a second each.

See also Subdivide Timings, which divides each selected cell into equally-sized parts, as opposed to dividing the entire selection into equally-sized parts.

Subdivide Timings

This allows you to insert multiple timings into the current selection, dividing each selected cell into equally-sized parts. For example, if you select three cells, from 2 to 3 seconds, 3 to 3.6 seconds, and 3.6 seconds to 4 seconds, and use "Subdivide Timings" to subdivide into two cells, you will end up with six cells, from 2 to 2.5, 2.5 to 3, 3 to 3.3, 3.3 to 3.6, 3.6 to 3.8, and 3.8 to 4.

See also Insert Multiple Timings, which divides the entire selection into equally-sized parts, as opposed to dividing each selected cell into equally-sized parts.

Delete Extraneous Timings

The purpose of timings is to allow you to easily select a time range to apply a lighting effect to. Sometimes, a sequence winds up having timings which are not necessary for any of the existing lighting effects - for example, everything that was on before the timing is also on after the timing, everything twinkling before is also twinkling afterwards, and so forth.

"Delete Extraneous Timings" lets you automatically get rid of all such timings. Deleting these timings is not really necessary - it makes no difference to how your lights will behave - but it may make your sequence easier to understand and to edit by reducing clutter. It may also be useful, for example, when using the Tapper Wizard's "Snap to Existing Timings" functionality.

The following pictures are a before-and-after of deleting extraneous events. Note that the timing event at one second in the first picture is not necessary - every channel that is on before it is on after it, every one that is twinkling before it is twinkling after it, and so forth. The second picture - after deleting extraneous events - therefore does not have this timing. However, the way that the lights operate will be the same in both cases.

Before deleting extraneous timings

After deleting extraneous timings

Switch Timing Grid

Selecting this menu item opens a dialog window allowing you to switch which timing grid is currently used by the active track. You can switch to an existing timing grid simply by selecting it from the dropdown list, or switch to a new fixed or freeform timing grid, or a new freeform grid with copies of all the timings in the current grid, by clicking on the appropriate button:

The Switch Timing grid dialog

Change Timing Grid Name

This menu item allows you to change the name of the current timing grid. The main purpose of giving a name to a timing grid is so that they can be easily distinguished when listed in places such as the Tracks and Timings toolbar's timings dropdown list.

Lock Timings

Each timing in a sequence is a particular point in time (since the beginning of the sequence), and is represented by a vertical grey line. If "Lock Timings" is off (unchecked), and the current timing grid is a freeform timing grid, you can change the time of a timing by hovering over its line with your mouse (which will change your mouse cursor from a "pointer" cursor to an "east-west" cursor), and clicking and dragging the line to the left or the right.

If "Lock Timings" is on (checked), you cannot do this. This prevents you from accidentally changing the time of a timing while you're trying to modify the lighting effects in a cell between two timings.

See also "Drag Events with Timings", which controls whether or not effect events that start or end at the dragged timing will be dragged along with it.

Drag Events with Timings

Timings in a sequence can be dragged with the mouse to change the time that they are at (unless the Lock Timings option is turned on). If "Drag Events with Timings" is turned on, and any effect events start or end at the same time as the timing being dragged, they will be dragged along with it. If not, only the timing will move; the effect events will remain unchanged.

Confirm Long Timing Drags

If you change the time of a timing by dragging it with your mouse (as described in "Lock Timings"), and at some point in your drag you went past the previous timing or the next timing, the Sequence Editor guesses that you might not have actually intended to change the timing's time; rather, you might have accidentally clicked on the timing's line and dragged it while intending to do something else, like modifying the lighting effects near the timing.

In this case, the Sequence Editor will ask if you really want to change the timing, unless you turn off (i.e. uncheck) "Confirm Long Timing Drags", in which case it will simply move the timing without asking.

Turn on Loop Levels

Animation sequences (but not musical sequences) can contain loops: When a certain point in the sequence - the end of a loop - is reached during play, play continues at the start of the loop instead of continuing straight through, until the loop has been done a certain number of times (which you can choose).

When an animation sequence is created using the New Animation dialog, you have the option to say that loops will be used in the sequence. Doing so will cause a white "loop level" row to be present above all of the grey "channel" rows in the sequence.

If you did not choose to use loops in the New Animation dialog, you will not get a loop level row in your sequence. However, if you later decide that you do want to use loops, you can use "Turn on Loop Levels" to add a loop level to the sequence.

Sequence Info

This brings up a dialog displaying various information about the sequence, allowing you to change some of it:

·Created By: The creator of the sequence as specified in the New Animation dialog or the New Musical Sequence dialog. This value cannot be edited.

·Created At: The date and time at which the sequence was created. This value cannot be edited.

·Modified By: If you modify a file that was created by someone else, you can enter your name here, if you wish.

·Music Artist: For musical sequences, the artist who performed the song.

·Music Title: For musical sequences, the name of the song.

·Music Album: For musical sequences, the name of the album that the song is from.

The Edit Sequence Info dialog for a musical sequence

Media File

This menu item allows you to specify the audio or video file that should be used with the current sequence. This may be useful, for example, if you have changed the directory that you store your media files in.

It is available only for musical sequences, not animation sequences.

Use Internal Media

When Use Internal Media is checked, the Sequence Editor will look at the type of media (audio or video) as well as if the internal media was created or not. It will then select the best file with which to sequence. When enabled, this option allows the Sequence Editor the ability to automatically fix many of the playback issues that can arise with different media. This includes such problems as those related to Variable Bit Rate, nonstandard encoding rates, etc. It is suggested that you leave this option checked.

When it is unchecked, any internal media that has been created is ignored, and the user-specified media file is used. Basically, when unchecked, media handling will be identical to what it was previous to version 3.10.0.

The default value for Use Internal Media for new sequences is checked. This can be changed via Edit / Preferences / New Musical Sequence Preferences, or via the New Musical Sequence Options dialog (where it will be saved if you select "Save as Defaults"). When loading sequences created in prior versions of the Sequence Editor, this option defaults to unchecked, to allow for the same processing as those older versions.

Windows Command

Selecting "Windows Command" from the Sequence Editor's Edit menu will open up a dialog allowing you to specify an arbitrary Windows shell command to be executed whenever the sequence is run (whether by the Sequence Editor or by the Show Player). This dialog also allows you to choose how the window for the command will be opened - for example, whether it will be maximized or not.

The Windows Shell Command dialog.

Export and Import Channel Configuration

Every channel in a sequence has various information associated with it, such as its name, display color, and hardware information such as the unit number of the controller and the circuit number of the string of lights on that controller.

You can set up this information in various ways, such as via the Channel Configuration screen. However, it may be the case that you often want to do this the exact same way, for several different sequences, using the same channel names, hardware assignments, et cetera. Rather than manually setting it up every time, you can use the Export and Import Channel Configuration menu items.

Once you have the correct channel information set up for a particular sequence, you can choose "Export Channel Configuration" to save the channel information to a channel configuration file. When you create another sequence and you want to use the same controllers and the same circuits, you can simply choose "Import Channel Configuration" and select the channel configuration file that you previously exported to.

The saved channel configuration information also includes the animation associated with the exported sequence, so you will not have to redraw it every time.

If your exported sequence contains more channels (or tracks) than the sequence that you are importing to, new channels or tracks will automatically be created in the latter sequence during the import (or, if the channels in a track of the configuration file are copies of channels in earlier tracks of the configuration file, copies of the corresponding channels from the earlier tracks of the sequence will be put into the later tracks of the sequence). On the other hand, if the exported sequence contains less channels (or tracks), the extras in the sequence that you are importing to will simply remain unchanged.

When exporting and importing from and to sequences with more than one track, there are two potential minor side effects:

First, if a track in the sequence contains only channels that are copies of channels in earlier tracks of the sequence, and the channel configuration does not contain a track at the corresponding position, then the track will be removed from the sequence. Note that the channels from the track are not removed from the sequence - they are only removed from the track (and, since the track then contains no channels, the track is removed from the sequence). The channels will still be present in earlier tracks of the sequence.

Second, if a track in the sequence contains a channel which is not a copy of a channel of an earlier track in the sequence, and the channel configuration file does not contain a channel at the corresponding position (other than copies of channels from earlier tracks), then the channel will be "pushed down" towards the bottom of the track.

Preferences

The Preferences submenu of the Edit menu allows you to open various preference dialogs that affect how the Sequence Editor will behave. Please refer to the help page on the preferences dialogs for more detail.


The New Track Dialog

The Sequence Editor's New Track dialog is used to create a new track in a sequence. You can open the New Track dialog in a few ways:

·Via "Add New Track" on the Edit menu. This will create a new track with all new channels.

·Via "Copy to New Track" on a channel button's popup menu. This will create a new track that shares the selected channel with the old track, and optionally includes new channels as well.

·Via "Move to New Track" on a channel button's popup menu. This will create a new track, move the selected channel from the old track to the new, and optionally add new channels to the new track as well.

Important Note: If you want a single channel shared by multiple tracks, do not simply set up different channels in the different tracks to have the same unit ID, circuit ID, et cetera. Doing so will likely cause unexpected and undesired results, as the different channels vie for control over the same physical string of lights. Instead, copy the channel from one track to another, or duplicate a track (which shares all channels in it with the new duplicate track).

For detailed help on the New Track dialog, please see the following sections:

· What is this track's name?

· How long should this track be?

· What timings should be used?

· How much time should be in between timings?

· Move the display to show the newly created track

The New Track dialog

What is this track's name?

If you want the track to have a name, enter it here. The track's name will show up on its track bar, and in various other places where tracks are listed.

If you do not wish to have a track name, you can simply leave this field blank. If you change your mind later, you can always go back and add a name (or change an existing one) by using "Change Track Name" on the Edit menu.

How long should this track be?

For animation sequences, this allows you to specify the duration of the track. You can choose to use the duration of an existing track, or manually enter a time. For the format used for entering times, please see Time Format.

For musical sequences, this question is greyed out. All tracks in a musical sequence must have the same duration, and so the duration of the new track will automatically be set to the duration of the other tracks in the sequence.

How many channels should this track use?

Use this box to specify the number of new channels that this track should have.

If you have opened the New Track dialog by copying or moving a channel to a new track, this question will ask you how many channels this track should have in addition to the one that you are copying or moving. So, for example, if you want the track only to contain the copied channel, enter "0" in this box.

What timings should be used?

This allows you to instruct the Sequence Editor to automatically insert timings into the new track, or else to use an existing timing grid. You can choose from among various preset durations (such as half a second between timings), to manually enter a duration (see Time Format for how to specify an amount of time), not to insert timings at all, or, for musical sequences, to use various wizards to insert timings or effects based upon the song itself - the MIDI File Wizard, the Tapper Wizard, the Beat Wizard, and the VU Wizard. Not all of these wizards will be available for any given sequence - which is available depends upon the type of media file being used.

Note that you can always go back later and add, delete or move timings, in a number of different ways.

Move the display to show the newly created track

If this box is checked, then when the new track is created, the display will automatically move to show the new track. To get back to the other tracks in your sequence, scroll up.


Preference Dialogs

The Preferences submenu of the Edit menu of the Sequence Editor gives access to various preference dialogs which can be used to control the behavior of the Sequence Editor and other parts of the Light-O-Rama software package:

· Clipboard Preferences

· Display Preferences

· DMX Preferences

· Holiday Lights Designer Preferences

· Keyboard Preferences

· Network Preferences

· New Animation Preferences

· New Musical Sequence Preferences

· Play Preferences

· Saving Preferences

· Video Preferences

· Visualizer Preferences

· Zoom Preferences

The Preferences submenu of the Sequence Editor's Edit menu


Clipboard Preferences

The Clipboard Preferences menu of the Preferences submenu of the Sequence Editor's Edit menu enables you to control certain aspects of clipboard behavior:

· Automatically Reload

· Automatically Resave

The Clipboard Preferences menu

Automatically Reload

If this menu item in the Clipboard Preferences menu is checked, then whenever you paste from a saved clipboard, that clipboard's save file will be reloaded so as to pick up any changes to it that may have been made outside of the Sequence Editor.

Automatically Resave

If this menu item in the Clipboard Preferences menu is checked, then whenever you copy new contents to a saved clipboard, that clipboard will automatically be resaved immediately. If it is unchecked, the changes will not be saved until either you manually save them via the clipboard's popup menu, or until the Sequence Editor is closed.


Display Preferences

The Sequence Editor's Display Preferences dialog (which can be opened from the Preferences submenu of the Edit menu) gives control over some aspects of how the Sequence Editor looks:

· General Preferences

· View Channel Buttons by Default

· View Fades as Ramps by Default

· View Time Scale by Default

· View Wave Form by Default

· Tooltip Preferences

· Enable tooltips

· Seconds before opening

· Use Channel Colors

· Seconds before closing automatically

· Manually close tooltips on mouseover

· Manually close tooltips on click

· Animation Redraw Throttling

· Advanced OpenGL Settings

The Display Preferences dialog

General Preferences

· View Channel Buttons by Default

· View Fades as Ramps by Default

· View Time Scale by Default

· View Wave Form by Default

View Channel Buttons by Default

If this box is checked, the channel buttons for each channel in a sequence will be displayed whenever a sequence is created or opened.

If you don't want to change this default, but want to temporarily change whether or not channel buttons are displayed, you can use "Channel Buttons" from the View menu, or "View Channel buttons" from the Standard toolbar, or click on the thick grey vertical bar to the left of the sequence's grid (and, if channel buttons are currently visible, to the right of them).

A sequence with channel buttons displayed

The same sequence, with channel buttons hidden

View Fades as Ramps by Default

If this box is checked, fades and intensities will be displayed as ramps by default, whenever a sequence is opened or created. This means that a cell with a fade or an intensity will be displayed as partially filled in, based upon how bright the fade or intensity is, rather than as shades of the channel's color.

If you don't want to change this default, but want to temporarily change whether fades are displayed as ramps or as colors, you can use the Fades submenu of the View menu, or "View Fades as Ramps" from the Standard toolbar.

A sequence, with fades displayed using colors

The same sequence, with fades displayed as ramps

View Time Scale by Default

If this box is checked, then whenever a sequence is created or opened, a time scale will be displayed at the top of the sequence.

If you don't want to change this default, but want to temporarily change whether a time scale is displayed or not, you can use "Time Scale" from the View menu, or "View Time Scale" from the Standard toolbar.

A sequence, with a time scale displayed

The same sequence, with no time scale displayed

View Wave Form by Default

If this box is checked, then whenever a musical sequence is created or opened, a wave form of the song will be displayed near the top of the sequence (except for sequences using certain types of media files, such as MIDI files and video files). This setting has no effect on the display of musical sequences using those types of media files, or of animation sequences.

If you do not want to change this default, but want to temporarily change whether wave form is displayed or not, you can use "Wave Form" from the View menu, or "View Wave Form" from the Standard toolbar.

A sequence, with a waveform displayed

The same sequence, with no waveform displayed

Tooltip Preferences

· Enable tooltips

· Seconds before opening

· Seconds before closing automatically

· Manually close tooltips on mouseover

· Manually close tooltips on click

Enable tooltips

If this box is checked, when the mouse is over a sequence grid, a tooltip displaying information about the cell being pointed to can be displayed. You can control more specific behaviors of the tooltip via other tooltip preferences.

Seconds before opening

If tooltips are enabled, this text box controls how many seconds it will take before the tooltip pops up, when the mouse is kept still over a sequence grid.

You do not have to specify a whole number; for example, you can set it to three-quarters of a second by entering "0.75".

Use Channel Colors

If tooltips are enabled, this checkbox controls whether or not tooltips associated with channels will display the color of the channel.

Seconds before closing automatically

If tooltips are enabled, this checkbox and text box control whether or not they will automatically close themselves a certain amount of time after being opened. If the checkbox is checked, they will automatically close after the number of seconds specified in the text box.

You do not have to specify a whole number; for example, you can set it to three-quarters of a second by entering "0.75".

Manually close tooltips on mouseover

If tooltips are enabled, selecting this option will make them close when you roll your mouse over them. The other option is to make them close when you click on them.

Manually close tooltips on click

If tooltips are enabled, selecting this option will make them close when you click on them. The other option is to make them close when you roll your mouse over them.

Animation Redraw Throttling

During play, the Animator will only redraw the animation every so often, suppressing more frequent redraw requests. This is done to try to ensure that it does not take up too much of the computer's CPU time. However, it means that very fast events may not get displayed by the Animator (although they will still affect your actual lights).

The amount of throttling that the Animator will do is configurable. By default, it is set to "Low", which means that it doesn't throttle very much, and therefore the animation should be as smooth as possible. The cost of this smoothness is that the Animator will use more of your computer's CPU time.

So, if you notice that the Animator is having a hard time keeping up with your sequence, making the animation and perhaps even the sequence itself choppy or sluggish, it may be because the Animator is using too much CPU time for your computer. In this case, you may want to try changing this setting to "Medium", which will cause the Animator to allow redrawings less frequently, thereby decreasing the amount of CPU time it uses. "High" will decrease CPU utilization even further.

Advanced OpenGL Settings

This button opens up the Advanced OpenGL Settings dialog, which can be used experimentally to try to resolve various strange graphics issues. However, this is not recommended, and often other steps (such as updating your graphics card's driver) will resolve graphics issues in a better manner.


Advanced OpenGL Settings

The Advanced OpenGL Settings dialog (which can be accessed from the Display Preferences dialog) can be used, experimentally, to try to resolve various strange graphics issues, such as a blank area appearing where the grid of a sequence should be, or the grid appearing offset from where it should be (e.g. the rows of the grid do not properly line up with the channel buttons).

However, this is not recommended. Typically, such issues can be better resolved in other ways, such as updating your computer's graphics card's drivers. Some people have also had luck resolving such issues by doing things such as disabling advanced Windows themes (such as "Aero"), by disabling "hardware acceleration" in their graphics card's settings, or by changing their Windows display settings from 32 bit color to 16 bit color.

The Advanced OpenGL Settings dialog can be used as another option to these methods, but, again, it is not suggested. Changing the settings using this dialog could conceivably cause other strange graphics issues, or cause the Sequence Editor to run slowly.

The dialog allows you to choose between two options: "Use the default Windows pixel format" (which is recommended), and "Use a specific pixel format". If you chose to use a specific pixel format, then you can choose it from the dropdown list immediately below that option.

The list of pixel formats does not include all possible pixel formats that are available on your computer; instead, it only includes those that seem to meet the requirements of the Light-O-Rama Sequence Editor. It also includes brief descriptions of each of them; the meanings of these descriptions are beyond the scope of this help file. If you would like to know what they mean, please consult OpenGL documentation.

In either case, whether you choose to use the default Windows pixel format or a specific pixel format, a preview picture will be displayed at the bottom of the dialog, drawn using that pixel format. If the picture does not look as its description says it should, then the chosen pixel format will probably not work correctly on your computer.

Some pixel formats may be more efficient than others, so even if a pixel format seems to work, it may cause the Sequence Editor to run more slowly than normal. So, if you choose to change the pixel format in use, and the Sequence Editor then seems choppy or slow, you may want to try another pixel format.

After you choose a pixel format and exit the dialog, you may have to close the Sequence Editor and restart it before your changes will fully take effect.

The Advanced OpenGL Settings dialog


DMX Preferences

By default, the DMX intensity tool is not available for use in the Sequence Editor. This means that no toolbar icon will be shown for it on the Tools toolbar, nor a menu item in the Tools menu, nor will a keyboard shortcut be available for it. To enable these things, turn on "Allow DMX Editing" in the DMX Preferences submenu of the Preferences menu of the Edit menu:

The DMX Preference menu

Note: DMX communication settings are controlled through the Network Preferences dialog, not through DMX Preferences.


Holiday Lights Designer Preferences

Holiday Lights Designer ™ is a third-party application, by Holidaysoft ®, that can be used to virtually place lights and decorations on images of your home or business. Light-O-Rama can send Holiday Lights Designer™ commands during play to make those virtual lights behave as your real lights would during a show. The Holiday Lights Designer™ Preferences dialog (in the Preferences submenu of the Sequence Editor's Edit menu) is used to set up how Light-O-Rama interacts with Holiday Lights Designer™.

The Holiday Lights Designer Preferences dialog

To use this dialog, enter the IP address and port that Holiday Lights Designer™ listens to in the "HLD Host" and "HLD Port" fields, and the port that Light-O-Rama should listen to in the "Local Port" field. If Holiday Lights Designer™ is running on the same machine as Light-O-Rama, setting the HLD Host to 127.0.0.1 will likely work.

Similar settings may need to be made in the configuration of Holiday Lights Designer™ itself.

Some older versions of Holiday Lights Designer™ support shimmers and twinkles only as full intensity shimmers and twinkles; custom shimmers and twinkles (such as faded shimmers) are not supported. If your sequence contains such an effect, and it is sent to a version of Holiday Lights Designer™ without support for it, Holiday Lights Designer™ will simply ignore the effect. However, you could uncheck the "HLD supports faded shimmers and twinkles" box; this causes Light-O-Rama to send Holiday Lights Designer™ all shimmers and twinkles as if they were full intensity shimmers and twinkles, allowing these older versions of Holiday Lights Designer™ to at least partially display these effects. Note that this does not affect the behavior of your actual lights; it only affects what is displayed in Holiday Lights Designer™.

Additionally, commands will only be sent from Light-O-Rama to Holiday Lights Designer™ if "Control Holiday Lights Designer" is turned on in the Sequence Editor's Play menu, or if "Holiday Lights Designer On" is enabled in the Light-O-Rama Control Panel.

All of these settings will be used not only when sequences are played using the Sequence Editor, but also when shows are played using the Show Player.


Keyboard Preferences

In the Sequence Editor, you can use the keyboard to make changes to a sequence; there are several built-in functions that can be performed by striking certain keys. For example, you can turn the currently selected cell (or cells) on by hitting the "N" key. However, you can also change these behaviors - change what keys perform what functions. You can even make a single key perform multiple functions - for example, you could set up the "N" key to expand the selection to the right by three cells and down by two cells, and then turn the entire (newly expanded) selection on.

To control the behaviors of the keys, select Keyboard Preferences from the Preferences submenu of the Edit menu. Doing so will open the Keyboard Preferences dialog:

The Keyboard Preferences dialog

The Keyboard Preferences dialog has several sections:

·The "Active Keyboard Map" section allows you to choose what set of keyboard operations should be used;

·The "Maps" section allows you to define new sets of keyboard operations, or to delete existing sets;

·The "Keys" section allows you to define what keys should perform what operations in the currently active set of keyboard operations;

·The "Sort By" section allows you to sort the list either by key or by operation;

·Under that is displayed a list all keys in the current set of keyboard operations, and the operations that they perform;

·Buttons at the bottom allow you to copy the list to the clipboard or to print the list.

Active Keyboard Map

The "Active Keyboard Map" section allows you to choose which keyboard map should currently be used. You can choose to use the default keyboard map for the current version of software, to use the default keyboard map from a specific (perhaps earlier) version of software, or to use a custom keyboard map that you have defined.

Use the Default Keyboard Map

Choosing this option will cause the Sequence Editor to use its default keyboard map. Moreover, if you have this option selected, and later upgrade to a new version of software which has a different default keyboard map, the Sequence Editor will then use that new default keyboard map.

Use the Keyboard Map from a Particular Version

Choosing this option will cause the Sequence Editor to use the default keyboard map from some specific version of the software. Moreover, if you have this option selected, and later upgrade to a new version of software which has a different default keyboard map, the Sequence Editor will then continue to use the default map from the specific version that you have selected.

Use a Custom Keyboard Map

Choosing this option will cause the Sequence Editor to use a keyboard map that you yourself have defined. Moreover, if you have this option selected, and later upgrade to a new version of software which has a different default keyboard map, the Sequence Editor will then continue to use the custom map that you have selected.

Your custom keyboard maps are automatically saved to your "KeyMaps" directory (in your Light-O-Rama data directory). If you would like to share one of your custom maps with another user, you can simply give them a copy of that map's file. When they place it into their own "KeyMaps" directory, it will be available for them as a custom keyboard map.

Note that this option is not available until you have defined at least one custom keyboard map, which you can do through either "Duplicate Map" or "New Empty Map".

Maps

The "Maps" section allows you to create new custom keyboard maps (either duplicating the current map or else creating an empty map), or to remove maps that you have previously created.

Duplicate Map

Using this button, you can create a new custom keyboard map which uses the exact same key mappings as the currently selected map does. You can then modify the key mappings as you desire, using "New Key", "Edit Key", or "Remove Key".

The new map will show up in the dropdown list under "Use a Custom Keyboard Map", and in fact will automatically be selected when you create it.

New Empty Map

Using this button, you can create a new custom keyboard map which does not contain any key mappings at all - that is, no key will cause anything to happen when you press it. You can then add keys to it via "New Key", and later edit or remove them via "Edit Key" or "Remove Key".

The new map will show up in the dropdown list under "Use a Custom Keyboard Map", and in fact will automatically be selected when you create it.

Remove Map

If you have currently selected a custom keyboard map (via "Use a Custom Keyboard Map"), pressing this key will delete the map.

Note that if there is a chance that you will want to use the custom keyboard map again in the future, you should not remove it. Instead, simply switch to using a different custom map, or to a default map, leaving the map in the "Use a Custom Keyboard Map" list, thus enabling you to switch back to it when you desire. If you remove it, you will not be able to switch back to it in the future.

Keys

If you have specified that a custom keyboard map should be used (via "Use a Custom Keyboard Map"), then the "Keys" section allows you to add new keys to it, edit existing keys within it, and remove existing keys from it.

New Key

This button (which is available only when a custom keyboard map has been selected, via "Use a Custom Keyboard Map") opens up the New Key Mapping dialog, which allows you to choose a key and set its operation or operations:

The New Key Mapping dialog

To use the New Key Mapping dialog, press the key that you want to use (and, if you want, the Alt, Ctrl, and/or Shift keys), and then select the operation that you want it to perform from the dropdown list:

The New Key Mapping dialog, having selected a key and an operation

In the above example, Alt-Shift-F7 has been mapped to "Move Right" - that is, to move the selection to the right one cell.

You can use the green "+" button to assign multiple operations to a single key. They will be executed in the order that you list them. In the following example, Alt-Shift-F7 has been mapped to "Move Right, Move Down, Apply Shimmer". That is, the selection will be moved one square to the right, then one square down, and then the Shimmer tool will be applied to the new selection.

The New Key Mapping dialog, having selected a key and multiple operations

When multiple operations have been selected, you can delete any of them via the red "X" button next to it.

Edit Key

This button allows you to change the operation or operations that are in use for a certain key. It is available only when a custom keyboard map has been selected (via "Use a Custom Keyboard Map") and a particular key mapping from that map has been selected (by clicking on it in the list of key mappings at the bottom of the Keyboard Preferences dialog).

Pressing the button brings up the Edit Key Mapping dialog:

The Edit Key Mapping dialog

The Edit Key Mapping dialog can be used similarly to the New Key Mapping dialog, except that only the operations can be changed (or added to or removed from), not the key itself.

Remove Key

This button allows you to remove a certain key from the current keyboard map. It is available only when a custom keyboard map has been selected (via "Use a Custom Keyboard Map") and a particular key mapping from that map has been selected (by clicking on it in the list of key mappings at the bottom of the Keyboard Preferences dialog).

Sort By

This section allows you to sort the list either by key (so that, for example, an entry for the A key comes before an entry for the B key) or by operation (so that, for example, an entry for the "Apply Fade Down" operation comes before an entry for the "Copy Timing" operation). This sorting applies not only to the list as displayed on the screen, but also to the results of the Copy and Print buttons.

Operations

The following operations can be assigned to keys (in a custom keyboard map):

Operation | Description
Apply Chase | Apply the Chase tool to the current selection
Apply Color Fade | Apply the Color Fade tool to the current selection
Apply Current Tool | Apply the current tool to the current selection
Apply DMX Intensity | Apply the DMX Intensity tool to the current selection
Apply Fade Down | Apply the Fade Down tool to the current selection
Apply Fade Up | Apply the Fade Up tool to the current selection
Apply Fill | Apply the Fill tool to the current selection
Apply Intelligent Fade | Apply the Intelligent Fade tool to the current selection
Apply Intensity | Apply the Set Intensity tool to the current selection
Apply Off | Apply the Off tool to the current selection
Apply On | Apply the On tool to the current selection
Apply Paint Sequence | Apply the Paint Sequence tool to the current selection
Apply Shimmer | Apply the Shimmer tool to the current selection
Apply Toggle | Apply the Toggle tool to the current selection
Apply Twinkle | Apply the Twinkle tool to the current selection
Change Custom: Fade Down | Change the current custom tool to be a fade down tool
Change Custom: Fade Up | Change the current custom tool to be a fade up tool
Change Custom: Intensity | Change the current custom tool to be a set intensity tool
Change Custom: Shimmer | Change the current custom tool to be a shimmer tool
Change Custom: Twinkle | Change the current custom tool to be a twinkle tool
Change Effects: Regular | Disable Foreground Effects and Background Effects
Change Effects: Toggle Background | Enable Background Effects if it is currently disabled, or disable it if enabled
Change Effects: Toggle Foreground | Enable Foreground Effects if it is currently disabled, or enable it if disabled
Clear Freeform Range | Clear the freeform play range (if one exists)
Copy | Copy the effects from the current selection
Copy Timing | Copy the timings from the current selection
Cut | Cut the effects from the current selection
Expand Down | Expand the current selection down one channel
Expand End | Expand the current selection to the end of the track's time if it is not already; if it is already, expand it to the end of the track's channels also
Expand Left | Expand the current selection left one cell
Expand Page Down | Expand the current selection down one screen
Expand Page Left | Expand the current selection left one page
Expand Page Right | Expand the current selection right one page
Expand Page Up | Expand the current selection up one screen
Expand Right | Expand the current selection right one cell
Expand Start | Expand the current selection to the start of the track's time if it is not already; if it is already, expand it to the start of the track's channels also
Expand Up | Expand the current selection up one channel
Help | Open the help file
Move Down | Move the current selection down one channel
Move End | Move the current selection to the end of the track's time if it is not already; if it is already, move it to the end of the track's channels also
Move Left | Move the current selection left one cell
Move Page Down | Move the current selection down one screen
Move Page Left | Move the current selection left one screen
Move Page Right | Move the current selection right one screen
Move Page Up | Move the current selection up one screen
Move Right | Move the current selection right one cell
Move Start | Move the current selection to the start of the track's time if it is not already; if it is already; move it to the start of the track's channels also
Move Up | Move the current selection up one channel
New Sequence | Create a new sequence
Next Keystrike: Background Effects | Apply Background Effects to the next effect tools keystrike (or the next effect tools operation of this keystrike)
Next Keystrike: Foreground Effects | Apply Foreground Effects to the next effect tools keystrike (or to the next effect tools operation of this keystrike)
Next Keystrike: Regular Effects | Apply Regular Effects to the next effect tools keystrike (or to the next effect tools operation of this keystrike)
Open Existing Sequence | Open an existing sequence
Open Recent Sequence | Open a recent sequence
Paste | Paste from the current clipboard to the current selection
Paste Timing | Paste timings to the current selection
Redo | Redo the last operation that was undone
Refresh | Refresh the display
Repeat | Apply the Repeat tool to the current selection
Save Sequence | Save the current sequence
Select Chase | Make the Chase tool be the current tool
Select Color Fade | Make the Color Fade tool be the current tool
Select Custom Tool | Make the current custom tool be the current tool
Select DMX Intensity | Make the DMX Intensity tool be the current tool
Select Fade Down | Make the Fade Down tool be the current tool
Select Fade Up | Make the Fade Up tool be the current tool
Select Fill | Make the Fill tool be the current tool
Select Intelligent Fade | Make the Intelligent Fade tool be the current tool
Select Intensity | Make the Set Intensity tool be the current tool
Select Off | Make the Off tool be the current tool
Select On | Make the On tool be the current tool
Select Paint Sequence | Make the Paint Sequence tool be the current tool
Select Select | Make the Select tool be the current tool
Select Shimmer | Make the Shimmer tool be the current tool
Select Toggle | Make the Toggle tool be the current tool
Select Twinkle | Make the Twinkle tool be the current tool
Start Freeform Play | Start play using the freeform play range
Tooltip | Open up a tooltip appropriate to where the mouse cursor is currently pointing on the sequence grid
Undo | Undo the last operation
View Selection End Channel | Ensure that the last row in the current selection is visible
View Selection End Time | Ensure that the last time in the current selection is visible
View Selection Start Channel | Ensure that the first row in the current selection is visible
View Selection Start Time | Ensure that the first time in the current selection is visible
Zoom Rows In | Zoom in on rows (channels)
Zoom Rows In Fully | Zoom in on rows (channels) as far as possible
Zoom Rows Out | Zoom out on rows (channels)
Zoom Rows Out Fully | Zoom out on rows (channels) as far as possible
Zoom Time In | Zoom in on time (columns)
Zoom Time In Fully | Zoom in on time (columns) as far as possible
Zoom Time Out | Zoom out on time (columns)
Zoom Time Out Fully | Zoom out on time (columns) as far as possible

Copy

This button allows you to copy the list of keys and operations to your Windows text clipboard, so that you could (for example) paste it into a text document in Notepad. The list will be sorted as you specified in the "Sort By" section.

Print

This button allows you to print the list of keys and operations. The list will be sorted as you specified in the "Sort By" section.


Visualizer Preferences

The Visualizer Preferences dialog (in the Preferences submenu of the Sequence Editor's Edit menu) allows you to set up the host address and port that will be used to send lighting commands to the Light-O-Rama Visualizer.

Please also see the Play Menu's "Control Visualizer" menu item.

The Visualizer Preferences dialog


Network Preferences

The Sequence Editor's Network Preferences menu item, on the Preferences submenu of its Edit menu, launches the Light-O-Rama Network Preferences program. The Network Preferences program can be used to configure communications networks for various types of controllers, such as Light-O-Rama networks, DMX universes, and X10. Please refer to the Network Preference program's documentation for details.


New Animation Preferences

The Sequence Editor's New Animation dialog is used to create new animation sequences. When a new animation sequence is created, it allows you to specify things like the name of the author of the sequence and how many channels the sequence will use.

You can change the default answers to most of these questions, so that you don't have to type them in every time, by selecting "New Animation Preferences" from the Preferences submenu of the Edit menu.

For more detailed help, please refer to the help page for the New Animation dialog.

The New Animation dialog


New Musical Sequence Preferences

The Sequence Editor's New Musical Sequence dialog is used to create new musical sequences. When a new musical sequence is created, it allows you to specify things like the name of the author of the sequence and how many channels the sequence will use.

You can change the default answers to most of these questions, so that you don't have to type them in every time, by selecting "New Musical Sequence Preferences" from the Preferences submenu of the Edit menu.

For more detailed help, please refer to the help page for the New Musical Sequences dialog.


Play Preferences

The Sequence Editor can be used not only to create and edit sequences, but also to test them by playing them. The Play Preferences dialog of the Preferences submenu of the Edit menu allows control over certain aspects of how it plays them.

Note: These settings only affect play in the Sequence Editor. They do not affect play of Shows, via the Show Player.

The following options can be set in the Play Preferences dialog:

· Vary the Color of Channel Buttons during Play by Default

· Also Vary Their Font Colors

· Loop at the End of a Sequence by Default

· Highlight Current Event during Play by Default

· Highlight Current Time during Play by Default

· Use Play Range for Wizards

Vary the Color of Channel Buttons during Play by Default

Channels can be assigned colors. When a lighting effect is shown by the Sequence Editor in a sequence's grid, that color (or one based on it) will be used. This doesn't affect your actual lights, but it might be helpful to set the channels in your sequence to have the same colors as the real lights that will be hooked up to them.

When the Sequence Editor plays a sequence, it can vary the colors of the channel buttons to show the lighting effect taking place on that channel at that instant. For example, during a fade up, the color of the channel button will gradually fade from the default light grey up to the color assigned to that channel.

If you prefer not to see the channel buttons' colors vary this way during play, you can uncheck "Vary the color of channel buttons during play by default", and the channel buttons will simply remain light grey during play, regardless of what lighting effects occur.

If you do not want to change this preference as a default, but do want to temporarily change it, you can do so via "Vary Color of Channel Buttons" on the Play menu, or by the "View Channel Button Colors" button on the Standard toolbar.

See also "Also Vary Their Font Colors".

Also Vary Their Font Colors

If you have channel buttons set up to change color during play, the color of the text on them can also change during play, to try to keep a high contrast between the button color and the text color, so as to keep the text readable. However, some users have found the changing font colors to be distracting. So, the "Also vary their font colors" option in the Play Preferences dialog allows you to control whether or not the font colors will be changed during play, by default.

If you do not want to change this preference as a default, but do want to temporarily change it, you can do so via "Vary Color of Channel Button Fonts" on the Play menu.

See also "Vary the Color of Channel Buttons during Play by Default".

Loop at the End of a Sequence by Default

Normally, when the Sequence Editor plays a sequence, play stops automatically when the end of the sequence is reached (or the end of the selection, or of the currently visible screen; please see "Play Range" on the Play menu for details). However, if "Loop at End" is selected from the Play menu, then play will instead automatically loop back to the beginning of the play range whenever the end of the play range is reached. To stop playing a sequence when it is looping like this, you must manually stop it, for example via the Stop button on the Standard toolbar.

On the Play Preferences menu, you can set whether or not "Play at End" is enabled by default whenever the Sequence Editor starts up by choosing a value for "Loop at the end of a sequence by default".

Note that this does not affect the play of your sequences during a show (via the Show Player), nor should it be confused with loops within a sequence.

Highlight Current Event during Play by Default

If the "Highlight Current Event" option on the Play menu is enabled, then when the Sequence Editor plays a sequence, it will highlight the timings that are closest to the current time with thick black lines, moving them across the sequence's grid as play progresses. For example, if a sequence has timings every half a second, and the current time is 37 and 37/100 seconds, then a thick black border will be made on the timings at 37 seconds and at 37.5 seconds.

On the Play Preferences menu, you can set whether or not "Highlight Current Event" is enabled by default whenever the Sequence Editor starts up by choosing a value for "Highlight current event during play by default".

Highlight Current Time during Play by Default

If the "Highlight Current Time" option on the Play menu is enabled, then when the Sequence Editor plays a sequence, it will draw a dashed vertical line at the current time, which will move across the sequence's grid as play progresses.

On the Play Preferences menu, you can set whether or not "Highlight Current Time" is enabled by default whenever the Sequence Editor starts up by choosing a value for "Highlight current time during play by default".

Use Play Range for Wizards

The Beat Wizard, Tapper Wizard and VU Wizard can each be used on an entire song or on only a portion of a song. You can choose which is done from within the wizards themselves, but the "Use Play Range for Wizards" option on the Play Preferences dialog allows you to set which will be done by default.

If this option is enabled, then when one of these wizards is opened, it will be set to use the freeform play range (if there is one), or the play range from the Play menu otherwise. If this option is disabled, the wizard will be set to use the entire song.

One exception is when one of these wizards is opened directly from the New Musical Sequence dialog. In this case, the wizard will always default to using the entire song, regardless of how this option is set.


Saving Preferences

The Saving Preferences menu in the Preferences submenu of the Sequence Editor's Edit menu allows you to control certain options about how the Sequence Editor will save sequences.

· Export Compressed

· Verify Load

The Saving Preferences menu

Export Compressed

When the Sequence Editor saves a sequence, by default it also exports a compressed sequence for that sequence (if the sequence supports compression). This is intended to make using compressed sequences as simple as possible - with this option enabled, the compressed sequence for a sequence will always be up to date, and thus will not have to be recreated during your show (or manually before it). However, for users with very large sequences, creating a compressed sequence may take significant amounts of time, and so this option in the Saving Preferences menu allows you to disable this behavior. If you turn this behavior off, it is recommended that you manually make sure that your sequences each have an up-to-date compressed sequence before your show starts (which you can do for a single sequence via the Export as Compressed command in the Sequence Editor's File menu, or for an entire show or schedule via the Sequence Compressor program).

Verify Load

When the Sequence Editor saves a sequence, it actually saves it to a temporary file first, and then (by default) attempts to reload that temporary file. Only if the load is successful will it actually overwrite the existing "real" sequence file with the newly saved temporary one. This is intended to minimize the potential for a save where something went wrong to cause the user to lose a good (earlier) save. However, this behavior is optional, via this option in the Saving Preferences menu. It is recommended to have this behavior enabled, but if you work with very large sequences that take significant amounts of time to load and save, and are willing to take the risk of a corrupted save overwriting your previous good save file, you might want to turn it off in order to speed up saving.


Video Preferences

Musical sequences are associated with a song or other sound effect, from either an audio file (such as an MP3) or a video file (such as a WMV file). If a musical sequence is associated with a video file, Light-O-Rama can display the video during play. Or, for an audio file, Light-O-Rama can display a visualization.

The Video Preferences dialog, of the Preferences submenu of the Sequence Editor's Edit menu, can be used to control whether and how video is displayed during play.

Note: Most of these settings affect not only play of sequences in the Sequence Editor, but also play of shows by the Show Player.

The following options can be set via the Video Preferences dialog:

· Display Videos

· Display Audio Visualizations

· Use Full Screen Mode

· Use Audio Track Only When Sequencing With Video Media

· Select Monitor

The Video Preferences dialog

Display Videos

If "Show Videos" is enabled on the Video submenu of the View menu, and a musical sequence based on a video file is played by the Sequence Editor, Light-O-Rama will display the video during play.

You can control whether "Show Videos" is enabled by default via this setting on the Video Preferences menu. This also affects play during shows, by the Show Player.

Display Audio Visualizations

If "Show Audio Visualizations" is enabled on the Video submenu of the View menu, and a musical sequence based on an audio file is played by the Sequence Editor, Light-O-Rama will display a visualization of the audio during play.

You can control whether "Show Audio Visualizations" is enabled by default via this setting on the Video Preferences menu. This also affects play during shows, by the Show Player.

Use Full Screen Mode

If "Full Screen" is enabled on the Video submenu of the View menu, and a video or audio visualization is displayed for a musical sequence being played by the Sequence Editor, Light-O-Rama will display the video or visualization during play.

You can control whether "Full Screen" is enabled by default via this setting on the Video Preferences menu. This also affects play during shows, by the Show Player.

Use Audio Track Only When Sequencing With Video Media

If this option is selected, then when a musical sequence with a video is played in the Sequence Editor, only the audio track of the video will be played when running the sequence. This can speed up sequencing with video, since the video itself is not loaded (only the audio track is loaded). If you unselect this option, the video will be played as normal.

Select Monitor

If you have more than one monitor hooked up to your computer, you can use this button to select which monitor Light-O-Rama will use when it displays videos or audio visualizations. This also affects play during shows, by the Show Player.


Zoom Preferences

When a sequence is displayed in the Sequence Editor, it is represented as a grid. Columns represent time, and rows represent channels. You can zoom the display of either or both of these dimensions in or out for any particular sequence, in a variety of ways (such as by using the keyboard, or various buttons on the Standard toolbar).

Whenever you set the zoom level for a particular sequence, that zoom level will always be used for that sequence (unless you change it again). However, whenever the Sequence Editor creates a new sequence, it will use some default zoom level settings. If you prefer some particular zoom level, you probably do not want to zoom in or out every time that you create a sequence. So, the Zoom Preferences submenu (of the Preferences submenu of the Edit menu) allows you to save your current zoom level settings as defaults, by selecting "Save Zoom Preferences".

Later, when the Sequence Editor creates a new sequence, it will default to the zoom level settings that you had saved.

If you change the zoom level on a sequence, and want to get back to your saved default zoom level settings, the Zoom Preferences submenu also provides a way to do this, by selecting "Restore Zoom Preferences".

The Zoom Preferences submenu


The View Menu

The Light-O-Rama Sequence Editor's View menu contains items that enable you to customize how the Sequence Editor appears and how it displays sequences, as well as to view certain information about sequences.

The following items appear on the Sequence Editor's View menu:

· Channel Buttons

· Channel Button Colors

· Time Scale

· Wave Form

· Animation

· Video

· Show Videos

· Show Audio Visualizations

· Full Screen

· Fades

· Sequence Info

· Track Info

· Cell Info

· Zoom Rows

· Zoom Columns

· Tool Bars

· Tools Panel

· Refresh

The View menu

Channel Buttons

If this option is enabled, the channel buttons of the active sequence will be displayed. Multiple sequences can be open in the Sequence Editor at the same time, and this option can be set independently for each of them.

You can also control this using the "View Channel Buttons" button on the Standard toolbar, or by clicking on the thick grey vertical bar between the sequence's grid and the channel buttons.

You can control whether or not this option is enabled by default via "View Channel Buttons by Default" on the Display Preferences dialog.

A sequence, with channel buttons displayed

The same sequence, without channel buttons displayed

Channel Button Colors

This menu enables control over the colors of channel buttons while the sequence is not playing (note: for control over them while playing, see "Vary Color of Channel Buttons" on the Play menu). There are three options: "None", "Cell", and "Full":

·None: If this option is selected, channel buttons will all show the same grey color, except for those of RGB channels, which will show black.

·Cell: If this option is selected, each channel button will show the color of its channel at the time of the start of the currently selected cell or cells.

·Full: If this option is selected, each channel button will show the full color of its channel.

Time Scale

If this option is enabled, a time scale will be displayed at the top of each sequence. Multiple sequences can be open in the Sequence Editor at the same time, and this option can be set independently for each of them.

Clicking and dragging on the time scale will set the freeform play range; clicking without dragging will clear the freeform play range (if one had been set).

You can also control this using the "View Time Scale" button on the Standard toolbar.

You can control whether or not this option is enabled by default via "View Time Scale" on the Display Preferences dialog.

A sequence, with a time scale displayed at its top

The same sequence, with no time scale displayed

Wave Form

This submenu of the View menu can be used to display a waveform of the audio of a musical sequence (although this is not supported for all types of media files). Three modes can be selected: full height, half height, and off.

Changing between full height and half height will cause all waveforms in all open sequences to be displayed in the new manner, and Light-O-Rama will remember the choice for future waveforms. Changing between either of those and "off" will only update the currently active sequence. To control whether waveforms are off or not by default, use View Wave Form by Default of the Display Preferences dialog.

You can also toggle between "off" and whichever of "half height" and "full height" was last selected by using the View Wave Form button on the Standard Toolbar.

A sequence, with a wave form displayed at full height

The same sequence, with the wave form displayed at half height

The same sequence, with no wave form displayed

Animation

If this option is enabled, the animation of the current sequence will be displayed. Multiple sequences can be open in the Sequence Editor at the same time, and this option can be set independently for each of them.

The animation for a sequence

Video

This submenu of the View menu enables you to specify if and how the Sequence Editor will display videos during play:

· Show Videos

· Show Audio Visualizations

· Full Screen

Show Videos

If this option is enabled, then whenever the Sequence Editor plays a musical sequence based on a video file, the video will be displayed during play.

You can control whether or not this option is on by default via "Display Videos" on the Video Preferences dialog. That also controls whether videos will be displayed during shows by the Show Player.

Show Audio Visualizations

If this option is enabled, then whenever the Sequence Editor plays a musical sequence based on an audio file, a visualization of the audio will be displayed during play.

You can control whether or not this option is on by default via "Display Audio Visualizations" on the Video Preferences dialog. That also controls whether visualizations will be displayed during shows by the Show Player.

Full Screen

If this option is enabled, then whenever the Sequence Editor displays a video or an audio visualization, it will do so in full screen mode.

You can control whether or not this option is on by default via "Use Full Screen Mode" on the Video Preferences dialog. That also controls whether full screen mode will be used during shows by the Show Player.

Fades

When fade or intensity lighting effects are displayed in the Sequence Editor, they are displayed in one of two ways: "as ramps" or "as colors". You can use the Fades submenu of the View menu to control which is used.

When viewed "as colors", fades and intensities will be displayed as gradually varying shades between light grey (which indicates that the channel is off, i.e. the intensity is zero) and the color assigned to the channel (which indicates an intensity of 100%, i.e. full brightness).

When viewed "as ramps", they are instead displayed as partially filling in their cells with the color of the channel, to a degree based upon the intensity.

Neither of these settings have any effect on the behavior of your actual lights; they only affect how the Sequence Editor displays these lighting effects in a sequence's grid.

You can control which is used by default via "View Fades as Ramps by Default" on the Display Preferences menu.

A sequence with fades viewed using colors

The same sequence, with fades viewed as ramps

Sequence Info

Selecting "Sequence Info" from the View menu will cause various information about the active sequence to be displayed:

Sequence info

Track Info

Selecting "Track Info" from the View menu will cause various information about the active track in the active sequence to be displayed:

Track info

Cell Info

Selecting "Cell Info" from the View menu will cause various information about the currently selected cell to be displayed.

To use "Cell Info", there must be only a single cell currently selected. However, if the cell contains multiple lighting effects, all of them will be displayed, and if any of them fall partially outside of the cell, their entire lengths will be indicated, not just the portions that coincide with the cell:

Cell info

Zoom Rows

When the Sequence Editor displays a sequence, it is represented as a grid. Rows in the grid represent channels. You can zoom in and out on the channels by using the Zoom Rows submenu of the View menu.

You can also accomplish this using the zoom buttons on the Standard toolbar.

Whatever zoom level you set for a sequence will always be used for that sequence (until you change it again), but if you have a zoom level that you like, you may want to save it using the Zoom Preferences menu. Doing so will cause the Sequence Editor to use that zoom level by default whenever you create a sequence.

See also "Zoom Columns", to zoom time in and out.

Zoom Columns

When the Sequence Editor displays a sequence, it is represented as a grid. Columns in the grid represent time, bound by timings. You can zoom time in and out by using the Zoom Columns submenu of the View menu.

You can also accomplish this using the zoom buttons on the Standard toolbar.

Whatever zoom level you set for a sequence will always be used for that sequence (until you change it again), but if you have a zoom level that you like, you may want to save it using the Zoom Preferences menu. Doing so will cause the Sequence Editor to use that zoom level by default whenever you create a sequence.

See also "Zoom Rows", to zoom channels in and out.

Tool Bars

The Light-O-Rama Sequence Editor has two toolbars: the Standard toolbar and the Tools toolbar. You can control whether each of these is displayed using the Tool Bars submenu of the View menu.

Tools Panel

You can control whether or not the Sequence Editor displays the Tools panel via the "Tools Panel" menu item on the View menu.

Refresh

Occasionally during play, the display of a sequence's grid may seem to blank out. This is typically caused when your computer happens to do something unrelated to Light-O-Rama, and temporarily takes the focus away from the Sequence Editor. The sequence itself is not affected, nor are the actual lights - only the Sequence Editor's display of the sequence is - and the display is typically returned to normal when play reaches the next screen (or stops). However, if you do not wish to wait for that, you can select "Refresh" from the View menu, or simply hit the F5 key, to manually refresh the display.


The Tools Menu

The Light-O-Rama Sequence Editor's Tools menu contains items enabling you to choose which lighting effects will be applied when you edit sequences (via the mouse or the keyboard), settings for those effects, and several wizards that can be used to change sequences in various ways.

The following options are available on the Tools menu:

· Effect Tools

· Select

· Toggle

· Twinkle

· Shimmer

· On

· Off

· Set Intensity

· Fade Up

· Fade Down

· Intelligent Fade

· Fill

· Chase

· Color Fade

· Paint Sequence

· DMX Intensity

· Custom

· Effect Tool Settings

· Custom Settings

· Background Effects

· Foreground Effects

· Intensity Tool Settings

· Intensity Tool Options

· Fade Tool Settings

· Fade Tool Options

· Load Intensities and Fades from Current Sequence

· Channel Configuration

· Wizards

· Beat Wizard

· MIDI File Wizard

· Tapper Wizard

· VU Wizard

The Tools Menu

Effect Tools

The first group of items on the Tools menu enables you to choose the tool that will be used whenever you select a cell or cells using the mouse, or hit the enter key on the keyboard. The selected tool will generally apply a lighting effect to the selected cell or cells (an exception to this is the Fill tool, which applies a fill to the cell that you click on, and any cell that you then drag to, rather than to the selected cell or cells).

Only one of these tools can be enabled at any given time; enabling one will automatically disable the others.

You can also choose the current effect tool using the Tools toolbar.

The following effect tools can be enabled:

· Select

· Toggle

· Twinkle

· Shimmer

· On

· Off

· Set Intensity

· Fade Up

· Fade Down

· Intelligent Fade

· Fill

· Chase

· Color Fade

· Paint Sequence

· DMX Intensity

· Custom

Select

If this effect tool is enabled on the Tools menu, then clicking on a cell or cells in a sequence's grid will simply select those cells. No lighting effect will be applied, nor will any be applied by hitting the enter key.

Toggle

If this effect tool is enabled on the Tools menu, then clicking on a cell or cells in a sequence's grid, or hitting the enter key, will turn individual parts of the selection on or off. Each portion of the selection that had been on will be turned off, and every other portion will be turned on. Note that the latter includes not just portions of the selection that had been off, but also those that had been twinkles, fades, shimmers, and intensities.

Twinkle

If this effect tool is enabled on the Tools menu, then clicking on a cell or cells in a sequence's grid, or hitting the enter key, will apply the twinkle effect to the selected cells, making the selected channels blink on and off randomly during the selected time.

Shimmer

If this effect tool is enabled on the Tools menu, then clicking on a cell or cells in a sequence's grid, or hitting the enter key, will apply the shimmer effect to the selected cells, making the selected channels rapidly blink on and off in unison during the selected time.

On

If this effect tool is enabled on the Tools menu, then clicking on a cell or cells in a sequence's grid, or hitting the enter key, will apply the on effect to the selected cells, making the selected channels turn on at full brightness during the selected time.

Off

If this effect tool is enabled on the Tools menu, then clicking on a cell or cells in a sequence's grid, or hitting the enter key, will apply the offeffect to the selected cells, making the selected channels turn completely off during the selected time.

Set Intensity

If this effect tool is enabled on the Tools menu, then clicking on a cell or cells in a sequence's grid, or hitting the enter key, will apply the set intensity effect to the selected cells, making the selected channels turn on at a specified percentage of their full brightness during the selected time.

The exact percentage of brightness used can be chosen via the Intensity Tool Settings dialog.

Fade Up

If this effect tool is enabled on the Tools menu, then clicking on a cell or cells in a sequence's grid, or hitting the enter key, will apply the fade up effect to the selected cells, making the selected channels gradually increase in brightness during the selected time.

The exact levels of brightness that the fade will start and end at can be chosen via the Fade Tool Settings dialog.

Fade Down

If this effect tool is enabled on the Tools menu, then clicking on a cell or cells in a sequence's grid, or hitting the enter key, will apply the fade down effect to the selected cells, making the selected channels gradually decrease in brightness during the selected time.

The exact levels of brightness that the fade will start and end at can be chosen via the Fade Tool Settings dialog.

Intelligent Fade

The Intelligent Fade tool is similar to the Fade Up and Fade Down tools, but it can create either a fade up effect or a fade down effect, as well as applying a fill. It will create a fade up when you use it by clicking and dragging left-to-right, or a fade down when clicking or dragging right-to-left (or, if you are using the keyboard, fade up or fade down depends upon whether you expanded the selection left-to-right or right-to-left).

If you click without dragging, it will apply a fill. That is, if you click on an empty area of the grid, it will change that area to be a fade from the preceding intensity to the following intensity. For example, if a fade up from 10% to 40% is followed by the lights being off, which is followed by a fade up from 20% to 80%, then clicking on the area where the lights are off will make it into a fade down from 40% to 20%.

Fill

The Fill tool can be used to create smooth fades from one effect to another. For example, if a fade up from 10% to 40% is followed by the lights being off, which is followed by a fade up from 20% to 80%, then applying the Fill tool on the area where the lights are off will make it into a fade down from 40% to 20%:

Before a fill... ... and after a fill

It can also be used in a similar manner on RGB channels to smoothly fade from one color to another.

Before a fill... ... and after a fill

The Fill tool does not do anything when used on cells that are not completely off.

When used with the mouse, the Fill tool works slightly differently than other effect tools. With most tools, clicking a cell will change the selected area of the sequence grid to be that cell, and dragging (with the mouse still clicked) will expand the selection. Only after the mouse button is let up will the tool be applied to the selection.

The Fill tool, on the other hand, is applied to the effect that you click on, immediately when you click down, and to any effect that you subsequently drag to (with the mouse still clicked down). It does not change the selected area of the sequence grid in any way. This fact, plus the fact that the Fill tool does not affect effects other than off effects, hopefully makes it easy to apply a wide range of fills quickly, simply by clicking and dragging to the appropriate spots.

The Intelligent Fade tool and the Color Fade tool can also be used to apply fills in certain situations.

Chase

The Chase tool can be used to take a pattern and "chase" it through several channels over a time range. For example:

Before a chase...

... and after a chase

Exactly what is chased, and where it is chased to, depends upon how you click-and-drag (or, if using the keyboard, how you expanded the selection). The lighting effects in the corner that you started dragging from will be chased to the corner that you finished dragging to so that, for example, you could chase effects "up" or "down" through channels.

The effects that are chased will include everything up to and including the last non-off lighting effect in the channel that you start dragging from (or, if dragging backwards, everything from the first non-off lighting effect).

The Chase tool can also be used on RGB channels:

Before an RGB chase...

... and after an RGB chase

The Chase tool pays attention to the Paste from Foreground clipboard option, so that you can chase a pattern without overwriting existing effects with "off" effects. For example, consider the following sequence, and imagine that you want to chase the second fade up in the first channel:

Before chasing the second fade

If you did not have "Paste from Foreground" turned on, the chase would overwrite the ends of the existing fades in some of the other channels:

After chasing the second fade, without "Paste from Foreground"

But with "Paste from Foreground" turned on, the existing effects would be kept in place:

After chasing the second fade, with "Paste from Foreground"

Color Fade

The Color Fade tool can be used to apply colors to RGB channels. Selecting the Color Fade tool opens the Color Fade tool window, which enables you to specify the colors to be used (note, however, that the colors as displayed on your screen will not necessarily match those shown by your actual lights; you may have to experiment to determine colors that wind up looking the way you want, and different RGB devices may show different colors when sent the same intensities):

The Color Fade tool window

With the Color Fade tool selected, clicking and dragging an area of an RGB channel or multiple RGB channels will cause that area to become those colors:

Applying a color fade to an RGB channel

If you drag backwards, however, the colors will be applied in reverse order (this also happens if you are using the keyboard, and expand the selection from right to left instead of left to right):

Applying a color fade to an RGB channel by dragging backwards

Clicking (as opposed to clicking-and-dragging) on an empty area will cause the Color Fade tool to perform a fill, smoothly fading from the preceding color to the following color:

Before clicking the empty area... ... and after clicking the empty area

The Color Fade tool window gives several ways to select the colors to be used:

·The "Choose" buttons on either side will open a color picker dialog to specify the color for that side

·The "Copy" button on either side will copy the color from the opposite side

·The "Swap" button will move the two colors to their opposite sides

·The "Random" buttons on either side will choose a random color for that side

·The "Random button in the middle will choose random colors for both sides

The Color Fade tool window also enables you to choose what kind of effect should be applied. For example, here is a twinkling color fade:

A twinkling color fade

A note regarding DMX color effects: The Color Fade tool allows you to specify that DMX effects should be used. However, as of the time of this writing, LOR hardware does not support DMX effects which change intensity (for example, a fade up), and so unless the underlying DMX effects caused by using the Color Fade tool stay at a constant intensity, they will be automatically converted to regular fades when they are sent to the controllers. That is, for example, a DMX fade from 0 to 255 will be converted to a regular fade from 0% to 100%. So, the Color Fade tool will not give as fine-grained control over DMX as you may think.

However, if you make your sequence using DMX fades now, and in the future LOR hardware is updated to support them, then your sequence will take already be set up to advantage of this.

Paint Sequence

The Paint Sequence tool can be used to paint some or all of the effects from another sequence into the current sequence, in a variety of ways.

When this tool is selected, the Paint Sequence dialog will open:

The Paint Sequence dialog

To select a sequence to paint from, first click on the "Add New Sequence" button. This will open up a file browser, allowing you to select the sequence in question. After you do so, it will be added to the "Sequence" dropdown list. Many sequences can be added to the dropdown list, and after a sequence is in the list, you can choose to paint from it simply by selecting it in the list (rather than by clicking "Add New Sequence" every time).

If the Paint Sequence tool is applied to a time range in a sequence, it will paste effects from the first track of the sequence selected via the Paint Sequence dialog into that time range of the other sequence. All channels in the Paint Sequence dialog's sequence's first track are used, regardless of how many channels are selected in the sequence which is being painted into.

The exact way that the effects are painted depends upon the selected "Mode", and whether or not the "From Foreground" option is selected. These are handled much like the similar modes and options for pasting from clipboards. For example, if the "Repeat" option is selected, the effects will be painted by repeating them over and over again until the entire selected time range has been filled (or, if the selected time range is shorter than the sequence being painted from, however much of the effects fit in that time range will be used).

Note that the pasted effects truly become a part of the sequence that they are painted into; they are not linked back to the original sequence that they were painted from. That is, if you ever change the effects in the sequence that they were painted from, this change will not automatically be reflected in the sequence that you painted into.

Also, once a sequence has been added to the dropdown list via the "Add New Sequence" button, painting from that sequence will use the effects as they were at the time the sequence was added. That is, if you change the effects that are in a sequence in the dropdown list, and save that sequence, painting from that sequence will still use the old effects. If you want to use the new effects, then select that sequence in the dropdown list, and then click the "Reload Sequence" button.

As an example, consider the following sequences, the first selected in the Paint Sequence dialog, and the second to be painted into:

The sequence being painted from

The sequence being painted into, before painting

If the area from 1.00 second to 6.00 seconds on channel "Unit 01.3" is selected in the sequence being painted into, and the selected Mode is "Repeat", with "From Foreground" turned off, the results will be the following:

The sequence being painted into, after painting

Note that all eight channels from the first sequence were painted into the second sequence, despite the fact that only one channel was selected - the channel selection merely indicates the location to start pasting channels into.

Also note that because the selected time range was five seconds long, while the length of the sequence being painted from was only four seconds, the entire four seconds were painted (to time 1.00 through 5.00), followed by another copy of the first second (from time 5.00 to time 6.00). This is because the "Repeat" mode was selected; other modes will behave differently, as described in the similar clipboard modes.

DMX Intensity

If this effect tool is enabled on the Tools menu, then clicking on a cell or cells in a sequence's grid, or hitting the enter key, will apply the DMX intensity effect to the selected cells, allowing for 256 possible intensities (between 0 and 255), rather than 101 (between 0 and 100).

This tool is only available if DMX editing has been enabled.

Custom

If this effect tool is enabled on the Tools menu, then clicking on a cell or cells in a sequence's grid, or hitting the enter key, will apply the current custom tool effect to the selected cells, for example making the selected channels twinkle while gradually decreasing in brightness during the selected time.

Effect Tool Settings

The Tools menu contains several settings that affect the behavior of the currently selected effect tool:

· Custom Settings

· Background Effects

· Foreground Effects

· Intensity Tool Settings

· Intensity Tool Options

· Fade Tool Settings

· Fade Tool Options

· Load Intensities and Fades from Current Sequence

Custom Settings

This submenu of the Tools menu allows you to select the behavior of the current custom tool. For example, to make the current custom tool into a twinkling fading down tool, check "Twinkle" and "Fade Down" from this submenu.

Background Effects

Enabling this item on the Tools menu will turn on background effects mode, which causes the current effect tool to apply only to those portions of the selection which are currently off.

Background effects mode can also be turned on via the Tools toolbar, or by hitting Shift-A on the keyboard.

At most one of background effects mode and foreground effects mode can be enabled at the same time. Enabling one will automatically disable the other. However, using the keyboard, you can temporarily turn on either of them (and also regular effects mode) for the next keystroke only, using the A, O, and E keys, respectively.

Foreground Effects

Enabling this item on the Tools menu will turn on foreground effects mode, which causes the current effect tool to apply only to those portions of the selection which are not currently off.

Foreground effects mode can also be turned on via the Tools toolbar, or by hitting Shift-O on the keyboard.

At most one of background effects mode and foreground effects mode can be enabled at the same time. Enabling one will automatically disable the other. However, using the keyboard, you can temporarily turn on either of them (and also regular effects mode) for the next keystroke only, using the A, O, and E keys, respectively.

Intensity Tool Settings

This item on the Tools menu opens or closes the Intensity Tool Settings dialog, which allows you to choose what percentage of full brightness will be used when you apply the set intensity tool to cells in a sequence.

The dialog has ten preset values that you can select from. If you want to use a value that is not among these ten, use the Intensity Tool Options dialog to change the available preset values (by choosing it from the Tools menu, or by pressing the "Edit" button on the Intensity Tool Settings dialog). The values of the presets can also be set using Load Intensities and Fades from Current Sequence on the Tools menu.

The Intensity Tool Settings dialog, with 70% intensity selected

Intensity Tool Options

This item on the Tools menu opens the Intensity Tool Options dialog, which allows you to set the values of the available presets on the Intensity Tool Settings dialog.

The Intensity Tool Options dialog can also be opened by clicking the "Edit" button on the Intensity Tool Settings dialog.

The Intensity Tool Options dialog

Fade Tool Settings

This item on the Tools menu opens or closes the Fade Tool Settings dialog, which allows you to choose what percentages of full brightness will be used when you apply the fade up tool or fade down tool to cells in a sequence.

The dialog has ten preset values that you can select from, and the values for fade up and fade down can be selected independently. If you want to use a value that is not among these ten, use the Fade Tool Options dialog to change the available preset values (by choosing it from the Tools menu, or by pressing the "Edit" button on the Fade Tool Settings dialog). The values of the presets can also be set using Load Intensities and Fades from Current Sequence on the Tools menu.

The Fade Tool Settings dialog, with fade up 50%-75% and fade down 100%-0% selected

Fade Tool Options

This item on the Tools menu opens the Fade Tool Options dialog, which allows you to set the values of the available presets on the Fade Tool Settings dialog.

The Fade Tool Options dialog can also be opened by clicking the "Edit" button on the Fade Tool Settings dialog.

The Fade Tool Options dialog

Load Intensities and Fades from Current Sequence

This item on the Tools menu can be used to automatically set the preset values available in the Intensity Tool Settings dialog and the Fade Tool Settings dialog, based upon the most commonly used values in the current sequence.

Channel Configuration

This item on the Tools menu opens the Channel Configuration screen, which enables you to modify the settings of all of the channels in the current sequence (such as their names, colors, unit IDs, and circuit IDs).

The Channel Configuration screen

Note that only channels, and not RGB channels, are displayed in the Channel Configuration screen. However, the three constituent channels of an RGB channel (that is, the red, green, and blue channels of that RGB channel) are displayed in the Channel Configuration screen.

Wizards

The Tools menu can be used to launch several wizards that enable you to make changes to sequences in various ways:

· Beat Wizard

· MIDI File Wizard

· Tapper Wizard

· VU Wizard

Beat Wizard

This item on the Tools menu opens the Beat Wizard, which can be used to try to determine the tempo of a song, and insert timings and effects based upon it into the current sequence.

The Beat Wizard is only available for musical sequences, and not all types of media files are supported. MIDI files are not supported.

The Beat Wizard

MIDI File Wizard

This item on the Tools menu opens the MIDI File Wizard, which can be used to insert timings and effects into a sequence based upon the tempo of a MIDI file, or upon the individual notes played by instruments in that MIDI file.

The MIDI File Wizard is only supported for musical sequences based upon MIDI files.

The MIDI File Wizard

Tapper Wizard

This item on the Tools menu opens the Tapper Wizard, which can play the sequence's song and record you as you tap along with it, and insert timings and effects based upon your taps into the current sequence.

The Tapper Wizard is only supported for musical sequences.

The Tapper Wizard

VU Wizard

This item on the Tools menu opens the VU Wizard, which can be used to insert timings and effects based upon it into the current sequence based upon audio peaks in the song, much like a VU meter.

The VU Wizard is only available for musical sequences, and not all types of media files are supported. MIDI files are not supported.

The VU Wizard


The Play Menu

The Light-O-Rama Sequence Editor's Play menu contains menu items enabling you to play open sequences and to affect the behavior of the Sequence Editor during play.

The following items are available on the Play menu:

· Start This Sequence

· Start All Sequences

· Stop

· Lights Off Now

· Play Again

· Play Range

· Full Sequence

· Selection

· From Selection

· To Selection

· Visible Screen

· Loop at End

· Lights Off at End

· Control Lights

· Control Holiday Lights Designer

· Control Visualizer

· Move Grid with Play

· Vary Color of Channel Buttons

· Vary Color of Channel Button Fonts

· Highlight Current Event

· Highlight Current Time

· Speed

The Play menu

Start This Sequence

Selecting this item from the Play menu will cause the currently active sequence to start playing.

You can also start play by using the Play button on the Standard toolbar.

Start All Sequences

Selecting this item from the Play menu will cause all open sequences to start playing. However, only one musical sequence can be playing at a time, so if you have more than one musical sequence open, you will instead be told that you have to close all but one if you want to play all open sequences.

You can also start play by using the Play button on the Standard toolbar.

Stop

Selecting this item from the Play menu will stop all playing sequences.

You can also stop play by using the Stop button on the Standard toolbar, or by simply waiting until the sequences naturally complete (unless "Loop at End" is enabled).

Lights Off Now

This item from the Play menu will turn off any lights that had previously been turned on during play. It is only available when "Lights Off at End" is turned off, and play is stopped, and lights had been sent commands since the last time it was used.

Play Again

Selecting this item from the Play menu will play the same thing that you last asked it to play. An example of how this could be useful:

If you are working on some particular section of a sequence, you might set the play range to "Selection", and select the cells in the time range that you are currently interested in. When you start play, only that time range will be played. You might then notice something that you want to change about the lighting effects in that portion of the sequence. Doing so would change what time range was selected, so if you simply started play a second time, the portion of the sequence played would be different than your original selection.

You could re-select the original selection before starting play, but it would be easier to simply use "play again". It would play the same time range as you had originally selected, even though a different time range is now selected.

The Play Again button on the Standard toolbar also does this same thing.

Play Range

When playing a sequence in the Sequence Editor, you can choose what portion of the sequence will be played by setting the play range in the Play menu. The following play range modes are supported:

· Full Sequence

· Selection

· From Selection

· To Selection

· Visible Screen

Additionally, freeform play mode can be used to play any time range that you specify. Freeform play mode is not available on the Play Range menu; instead, please refer to its help page for details on how to use it.

Full Sequence

If you set the Sequence Editor's play range to "Full Sequence", then whenever it plays a sequence, it will start at the beginning of the sequence, and stop at the end of the sequence.

Selection

If you set the Sequence Editor's play range to "Selection", then whenever it plays a sequence, it will play only that time range of the sequence which is currently selected (i.e. the cells that are currently surrounded by a thick black border).

Note that all channels in the sequence will be played, even those outside of the current selection. Only the time range is set by this option.

From Selection

If you set the Sequence Editor's play range to "From Selection", then whenever it plays a sequence, it will play the time range from the start of the current selection (i.e. the cells that are currently surrounded by a thick black border) to the end of the sequence.

Note that all channels in the sequence will be played, even those outside of the current selection. Only the time range is set by this option.

To Selection

If you set the Sequence Editor's play range to "To Selection", then whenever it plays a sequence, it will play the time range from the start of the sequence to the end of the current selection (i.e. the cells that are currently surrounded by a thick black border).

Note that all channels in the sequence will be played, even those outside of the current selection. Only the time range is set by this option.

Visible Screen

If you set the Sequence Editor's play range to "Visible Screen", then whenever it plays a sequence, it will play only that time range of the sequence that is currently displayed.

Note that all channels in the sequence will be played, even those currently above or below the visible portion of the sequence. Only the time range is set by this option.

Loop at End

If "Loop at End" is enabled in the Play menu of the Sequence Editor, then whenever it plays a sequence and reaches the end of the play range, instead of stopping, it will automatically loop back to the beginning of the play range and continue playing. The sequence can still be stopped manually, via "Stop" on the Play menu or the Stop button of the Standard toolbar.

You can control whether or not "Loop at End" is enabled by default via "Loop at the End of a Sequence by Default" on the Play Preferences dialog.

Note that this should not be confused with loops within a sequence.

Lights Off at End

If "Lights Off at End" is enabled in the Play menu of the Sequence Editor, then whenever it plays a sequence and reaches the end of play, it will automatically turn off all lights in that sequence. If it is disabled, then any lights that happen to be on at the very end of the sequence will remain on.

Control Lights

If "Control Lights" is enabled in the Play menu of the Sequence Editor, then whenever it plays a sequence, the Sequence Editor will send lighting effect commands to your controllers, causing your actual lights to be used.

Note that you will additionally need to have the channels in your sequence set up appropriately with information such as the unit IDs and circuit IDs of the controllers that are hooked up to your computer.

If the Sequence Editor is unable to open a particular network, it will not attempt to send lighting commands to that network even if Control Lights is on. If you subsequently fix whatever issue was preventing the Sequence Editor from opening that network (for example, if you plug in the network adapter which had for some reason been unplugged), you can get the Sequence Editor to attempt to open the network up again by manually toggling Control Lights off and then back on.

Control Holiday Lights Designer

If "Control Holiday Lights Designer" is enabled in the Play menu of the Sequence Editor, then whenever it plays a sequence, the Sequence Editor will send lighting effect commands to Holiday Lights Designer ™, a third party add-on by Holidaysoft ® which can be used to virtually place lights and decorations on images of your home or business.

Please also see the Holiday Lights Designer Preferences dialog.

Control Visualizer

Enabling "Control Visualizer" is enabled in the Play menu of the Sequence Editor causes lighting effect commands to be sent to the Light-O-Rama Visualizer.

Please also see the Visualizer Preferences dialog.

Move Grid with Play

If "Move Grid with Play" is enabled in the Play menu of the Sequence Editor, then whenever a sequence is played, the portion of the sequence's grid that is currently displayed will change as play progresses so that the current time is always displayed. Otherwise, the grid's display will simply remain static.

Vary Color of Channel Buttons

If "Vary Color of Channel Buttons" is enabled in the Play menu of the Sequence Editor, then whenever it plays a sequence, the color of a channel button will vary based upon the lighting effect taking place on that channel at that moment during the sequence.

You can control whether or not "Vary Color of Channel Buttons" is enabled by default via "Vary the Color of Channel Buttons during Play by Default" on the Play Preferences dialog.

Vary Color of Channel Button Fonts

If "Vary Color of Channel Button Fonts" is enabled in the Play menu of the Sequence Editor, then if "Vary Color of Channel Buttons" is also enabled, then whenever it plays a sequence, the color of the text of a channel button will vary to try to give a readable contrast with the color of the channel button at that moment.

This setting has no effect if "Vary Color of Channel Buttons" is not enabled.

You can control whether or not "Vary Color of Channel Button Fonts" is enabled by default via "Also vary their font colors" on the Play Preferences dialog.

Highlight Current Event

If "Highlight Current Event" is enabled in the Play menu of the Sequence Editor, then whenever it plays a sequence, the timings closest to the current time will be highlighted with thick black lines, moving as play progresses.

You can control whether or not "Highlight Current Event" is enabled by default via "Highlight Current Event during Play by Default" on the Play Preferences dialog.

Highlight Current Time

If "Highlight Current Time" is enabled in the Play menu of the Sequence Editor, then whenever it plays a sequence, the current time will be highlighted with a dashed vertical line, moving as play progresses.

You can control whether or not "Highlight Current Time" is enabled by default via "Highlight Current Time during Play by Default" on the Play Preferences dialog.

Speed

The Speed submenu of the Play menu can be used to instruct the Sequence Editor to play sequences at different speeds - quarter speed, half speed, normal speed, double speed, or quadruple speed.

Slower speeds may be useful, for example, when you are trying to precisely adjust the time at which a lighting effect takes place; faster speeds may be useful to get a quick overview of how the sequence looks.


The Window Menu

The Window menu of the Light-O-Rama Sequence Editor enables you to control how the windows for the open sequences are arranged on your screen. It also shows a list of the open sequences, which can be used to select which one is currently active.

The following menu items are available:

· Tile Horizontally

· Tile Vertically

· Cascade

· Arrange Icons

· Minimize All Windows

· The Open Sequence List

The Window menu

Tile Horizontally

When the Sequence Editor has multiple sequences open at once, this option from the Window menu will cause their windows to take up all available space, not overlapping with each other, and to be placed next to each other horizontally.

Tile Vertically

When the Sequence Editor has multiple sequences open at once, this option from the Window menu will cause their windows to take up all available space, not overlapping with each other, and to be placed above and below each other.

Cascade

When the Sequence Editor has multiple sequences open at once, this option from the Window menu will cause their windows to overlap with each other in an organized way.

Arrange Icons

If the Sequence Editor has any sequences open with their windows minimized, this option from the Window menu will order their icons neatly.

Minimize All Windows

Selecting this option from the Window menu of the Sequence Editor will cause the windows for all open sequences to become minimized.

The Open Sequence List

At the bottom of the Window menu of the Sequence Editor is a list of all of the sequences that are currently open. Clicking on one, or hitting the key of the number displayed next to it, will cause it to become the active sequence.


The Help Menu

The Help menu of the Light-O-Rama Sequence Editor brings up help and other information about Light-O-Rama.

The following options are available on the Help menu:

· Contents

· Index

· Search

· Visit Light-O-Rama on the Web

· About the Light-O-Rama Editor

· Register (or Upgrade) Light-O-Rama

The Help menu

Contents

This option on the Help menu opens up the table of contents of the Light-O-Rama help files.

Index

This option on the Help menu opens up the index of the Light-O-Rama help files.

Search

This option on the Help menu opens up the search menu of the Light-O-Rama help files.

Visit Light-O-Rama on the Web

This option on the Help menu opens the Light-O-Rama website in your browser window.

About the Light-O-Rama Editor

This option on the Help menu brings up an "About" box displaying some information about the Light-O-Rama Sequence Editor.

Register (or Upgrade) Light-O-Rama

Use this item on the Help menu to register your Light-O-Rama software, or to upgrade to a higher level license, unlocking various features.

This item will show up as "Register Light-O-Rama" if you are using the unlicensed Demo version of the software, or "Upgrade" if you are using a license, but it is not the highest possible license level. If you are using the highest possible license level, this item will not be displayed at all.


Toolbars

The Light-O-Rama Sequence Editor has three toolbars: the Standard toolbar, the Tools toolbar, and the Tracks and Timings toolbar.

The Standard toolbar has buttons for a variety of different functions, such as creating, opening, and saving sequences, setting various display options, and playing sequences.

The Tools toolbar enables you to choose which lighting effect tool is currently in use, and set certain options regarding them.

The Tracks and Timings toolbar has dropdown boxes to allow you to quickly choose which track is displayed, and which timing grid it is displayed with, and it additionally has buttons with popup menus, with various track and timing grid-related menu items.

If desired, these toolbars can be hidden (and later unhidden) by using the "Tool Bars" item on the View menu.

The Standard toolbar

The Tools toolbar

The Tracks and Timings Toolbar


The Standard Toolbar

The Light-O-Rama Sequence Editor's Standard toolbar contains buttons for several functions and options. From left to right, they are:

StandardToolbarNew New Sequence

StandardToolbarOpen Open Sequence

StandardToolbarClose Close Sequence

StandardToolbarSave Save Sequence

StandardToolbarCut Cut

StandardToolbarCopy Copy

StandardToolbarPaste Paste

StandardToolbarRepeat Repeat

StandardToolbarUndo Undo

StandardToolbarRedo Redo

StandardToolbarViewAnimation View Animation

StandardToolbarViewFadesAsRamps View Fades as Ramps

StandardToolbarViewChannelButtons View Channel Buttons

StandardToolbarVaryChannelButtonColors Vary Channel Button Colors

StandardToolbarViewTimeScale View Time Scale

StandardToolbarViewWaveform View Waveform

StandardToolbarZoomChannelsOut Zoom Channels Out

StandardToolbarZoomChannelsIn Zoom Channels In

StandardToolbarZoomTimeOut Zoom Time Out

StandardToolbarZoomTimeIn Zoom Time In

StandardToolbarPlay Play

StandardToolbarPlayAgain Play Again

StandardToolbarStop Stop

StandardToolbarLightsOffNow Lights Off Now

If desired, the toolbar can be hidden (or unhidden) via "Tool Bars" on the View menu.

The Standard toolbar

New Sequence StandardToolbarNew

This button on the Standard toolbar can be used to create a new sequence. Clicking on it opens the New and Open dialog, on its "New Sequence" tab.

Open Sequence StandardToolbarOpen

This button on the Standard toolbar can be used to open a sequence. Clicking on it opens the New and Open dialog, on whichever of its "Existing Sequence" tab or its "Recent Sequence" tab was most recently used.

Close Sequence StandardToolbarClose

This button on the Standard toolbar can be used to close an open sequence. Please see "Close" on the File menu for details.

Save Sequence StandardToolbarSave

This button on the Standard toolbar can be used to save changes to an open sequence. Please see "Save" on the File menu for details.

Cut StandardToolbarCut

This button on the Standard toolbar can be used to cut effects from a sequence. Please see "Cut, Copy, Paste, and Paste Multiple" on the Edit menu for details.

Copy StandardToolbarCopy

This button on the Standard toolbar can be used to copy effects from a sequence. Please see "Cut, Copy, Paste, and Paste Multiple" on the Edit menu for details.

Paste StandardToolbarPaste

This button on the Standard toolbar can be used to paste effects into a sequence. Please see "Cut, Copy, Paste, and Paste Multiple" on the Edit menu for details.

Repeat StandardToolbarRepeat

The Repeat tool can be used to automatically place a copy of the selected area immediately after the selected area. For example, consider the following:

Before repeating

Then pressing the Repeat button will make the following:

After repeating once

And you can repeat as many times as you like thereafter; for example, pressing Repeat three more times will make the following:

After repeating four times

The Repeat tool pays attention to your current "Paste from/to" settings. For example, before repeating:

Before repeating

And after repeating, with "Paste from Foreground" enabled:

After repeating, with "Paste from Foreground" enabled

Undo StandardToolbarUndo

This button on the Standard toolbar can be used to undo changes to a sequence. Please see "Undo and Redo" on the Edit menu for details.

Redo StandardToolbarRedo

This button on the Standard toolbar can be used to redo previously undone changes to a sequence. Please see "Undo and Redo" on the Edit menu for details.

View Animation StandardToolbarViewAnimation

This button on the Standard toolbar can be used to control whether the animation for a sequence is displayed. This can be set independently for different open sequences. Please see "View Animation" on the View menu for details.

View Fades as Ramps StandardToolbarViewFadesAsRamps

This button on the Standard toolbar can be used to control whether fades are displayed as gradual changes in color or as ramps. Please see "Fades" on the View menu for details.

View Channel Buttons StandardToolbarViewChannelButtons

This button on the Standard toolbar can be used to control whether the channel buttons for a sequence are displayed. This can be set independently for different open sequences. Please see "View Channel Buttons" on the View menu for details.

Vary Channel Button Colors StandardToolbarVaryChannelButtonColors

This button on the Standard toolbar can be used to control whether the channel buttons for a sequence will change color during play, based upon the lighting effects happening on those channels. Please see "Vary Color of Channel Buttons" on the Play menu for details.

View Time Scale StandardToolbarViewTimeScale

This button on the Standard toolbar can be used to control whether a time scale is displayed at the top of an open sequence. This can be set independently for different open sequences. Please see "View Time Scale" on the View menu for details.

View Waveform StandardToolbarViewWaveform

This button on the Standard toolbar can be used to control whether the audio waveform is displayed at the top of an open musical sequence. This can be set independently for different open musical sequences. Please see "View Waveform" on the View menu for details.

Zoom Channels Out StandardToolbarZoomChannelsOut

This button on the Standard toolbar can be used to zoom a sequence's rows (representing its channels) out, making them shorter. Please see "Zoom Rows" on the View menu for details.

Zoom Channels In StandardToolbarZoomChannelsIn

This button on the Standard toolbar can be used to zoom a sequence's rows (representing its channels) in, making them taller. Please see "Zoom Rows" on the View menu for details.

Zoom Time Out StandardToolbarZoomTimeOut

This button on the Standard toolbar can be used to zoom a sequence's columns (representing the duration from one timing to the next) out, making them thinner. Please see "Zoom Columns" on the View menu for details.

Zoom Time In StandardToolbarZoomTimeIn

This button on the Standard toolbar can be used to zoom a sequence's columns (representing the duration from one timing to the next) in, making them wider. Please see "Zoom Columns" on the View menu for details.

Play StandardToolbarPlay

This button on the Standard toolbar can be used to start play of an open sequence or sequences. If only a single sequence is open, it will be played; if more than one sequence is open, a popup menu will open, asking if you want to play all of the sequences or just the currently active sequence. Please see "Start This Sequence" and "Start All Sequences" on the Play menu for details.

Play Again StandardToolbarPlayAgain

This button on the Standard toolbar can be used to start play in the same way as it was last started. Please see "Play Again" on the Play menu for details.

Stop StandardToolbarStop

This button on the Standard toolbar can be used to stop a playing sequence. Please see "Stop" on the Play menu for details.

Lights Off Now StandardToolbarLightsOffNow

This button on the Standard toolbar can be used to manually turn off lights. Please see "Lights Off Now" on the Play menu for details.


The Tools Toolbar

The Light-O-Rama Sequence Editor's Tools toolbar contains buttons which enable you to choose which effect tool is currently selected, as well as buttons to modify the behavior of those tools. From left to right, they are:

ToolsToolbarSelect Select

ToolsToolbarToggle Toggle

ToolsToolbarTwinkle Twinkle

ToolsToolbarShimmer Shimmer

ToolsToolbarOn On

ToolsToolbarOff Off

ToolsToolbarSetIntensity Set Intensity

ToolsToolbarFadeUp Fade Up

ToolsToolbarFadeDown Fade Down

ToolsToolbarIntelligentFade Intelligent Fade

ToolsToolbarFill Fill

ToolsToolbarChase Chase

ToolsToolbarColorFade Color Fade

ToolsToolbarPaintSequence Paint Sequence

ToolsToolbarDMXIntensity DMX Intensity

ToolsToolbarCustom Custom

ToolsToolbarCustomTwinkle Custom Twinkle

ToolsToolbarCustomShimmer Custom Shimmer

ToolsToolbarCustomIntensity Custom Set Intensity

ToolsToolbarCustomFadeUp Custom Fade Up

ToolsToolbarCustomFadeDown Custom Fade Down

ToolsToolbarBackgroundEffects Background Effects

ToolsToolbarForegroundEffects Foreground Effects

ToolsToolbarIntensitySettings Intensity Settings

ToolsToolbarFadeSettings Fade Settings

If desired, the Tools toolbar can be hidden (or unhidden) via "Tool Bars" on the View menu.

The Tools toolbar

Select ToolsToolbarSelect

This button on the Tools toolbar chooses the Select tool as the currently active effect tool. It is equivalent to "Select" from the Tools menu. Please refer to that help page for details.

Toggle ToolsToolbarToggle

This button on the Tools toolbar chooses the Toggle tool as the currently active effect tool. It is equivalent to "Toggle" from the Tools menu. Please refer to that help page for details.

Twinkle ToolsToolbarTwinkle

This button on the Tools toolbar chooses the Twinkle tool as the currently active effect tool. It is equivalent to "Twinkle" from the Tools menu. Please refer to that help page for details.

Shimmer ToolsToolbarShimmer

This button on the Tools toolbar chooses the Shimmer tool as the currently active effect tool. It is equivalent to "Shimmer" from the Tools menu. Please refer to that help page for details.

On ToolsToolbarOn

This button on the Tools toolbar chooses the On tool as the currently active effect tool. It is equivalent to "On" from the Tools menu. Please refer to that help page for details.

Off ToolsToolbarOff

This button on the Tools toolbar chooses the Off tool as the currently active effect tool. It is equivalent to "Off" from the Tools menu. Please refer to that help page for details.

Set Intensity ToolsToolbarSetIntensity

This button on the Tools toolbar chooses the Set Intensity tool as the currently active effect tool. It is equivalent to "Set Intensity" from the Tools menu. Please refer to that help page for details.

Fade Up ToolsToolbarFadeUp

This button on the Tools toolbar chooses the Fade Up tool as the currently active effect tool. It is equivalent to "Fade Up" from the Tools menu. Please refer to that help page for details.

Fade Down ToolsToolbarFadeDown

This button on the Tools toolbar chooses the Fade Down tool as the currently active effect tool. It is equivalent to "Fade Down" from the Tools menu. Please refer to that help page for details.

Intelligent Fade ToolsToolbarIntelligentFade

This button on the Tools toolbar chooses the Intelligent Fade tool as the currently active effect tool. It is equivalent to "Intelligent Fade" from the Tools menu. Please refer to that help page for details.

Fill ToolsToolbarFill

This button on the Tools toolbar chooses the Fill tool as the currently active effect tool. It is equivalent to "Fill" from the Tools menu. Please refer to that help page for details.

Chase ToolsToolbarChase

This button on the Tools toolbar chooses the Chase tool as the currently active effect tool. It is equivalent to "Chase" from the Tools menu. Please refer to that help page for details.

Color Fade ToolsToolbarColorFade

This button on the Tools toolbar chooses the Color Fade tool as the currently active effect tool. It is equivalent to "Color Fade" from the Tools menu. Please refer to that help page for details.

Paint Sequence ToolsToolbarPaintSequence

This button on the Tools toolbar chooses the Paint Sequence tool as the currently active effect tool. It is equivalent to "Paint Sequence" from the Tools menu. Please refer to that help page for details.

DMX Intensity ToolsToolbarDMXIntensity

This button on the Tools toolbar chooses the DMX Intensity tool as the currently active effect tool. It is equivalent to "DMX Intensity" from the Tools menu. Please refer to that help page for details.

Note: The DMX Intensity button is only present if DMX editing has been enabled.

Custom ToolsToolbarCustom

This button on the Tools toolbar chooses the current custom tool as the currently active effect tool. When this button is selected, the exact meaning of the current custom tool can be selected via the five buttons to its right - Custom Twinkle, Custom Shimmer, Custom Set Intensity, Custom Fade Up, and Custom Fade Down.

For example, to use a tool that will shimmer the lights while fading them down, select this button, Custom Shimmer, and Custom Fade Down.

Custom Twinkle ToolsToolbarCustomTwinkle

When the Custom button is selected, this button on the Tools toolbar makes the current custom tool some sort of twinkle tool.

For example, to use a tool that will twinkle the lights while fading them down, select the Custom button, this button, and Custom Fade Down.

Custom Shimmer ToolsToolbarCustomShimmer

When the Custom button is selected, this button on the Tools toolbar makes the current custom tool some sort of shimmer tool.

For example, to use a tool that will shimmer the lights while fading them down, select the Custom button, this button, and Custom Fade Down.

Custom Set Intensity ToolsToolbarCustomIntensity

When the Custom button is selected, this button on the Tools toolbar makes the current custom tool some sort of set intensity tool.

For example, to use a tool that will twinkle the lights at some intensity other than full intensity, select the Custom button, Custom Twinkle, and this button.

Custom Fade Up ToolsToolbarCustomFadeUp

When the Custom button is selected, this button on the Tools toolbar makes the current custom tool some sort of fade up tool.

For example, to use a tool that will twinkle the lights while fading them up, select the Custom button, Custom Twinkle, and this button.

Custom Fade Down ToolsToolbarCustomFadeDown

When the Custom button is selected, this button on the Tools toolbar makes the current custom tool some sort of fade down tool.

For example, to use a tool that will twinkle the lights while fading them down, select the Custom button, Custom Twinkle, and this button.

Background Effects ToolsToolbarBackgroundEffects

This button on the Tools toolbar can be used to enable background effects mode. It is equivalent to "Background Effects" from the Tools menu. Please refer to that help page for details.

Foreground Effects ToolsToolbarForegroundEffects

This button on the Tools toolbar can be used to enable foreground effects mode. It is equivalent to "Foreground Effects" from the Tools menu. Please refer to that help page for details.

Intensity Settings ToolsToolbarIntensitySettings

This button on the Tools toolbar can be used to open or close the Intensity Tool Settings dialog. It is equivalent to "Intensity Tool Settings" from the Tools menu. Please refer to that help page for details.

Fade Settings ToolsToolbarFadeSettings

This button on the Tools toolbar can be used to open or close the Fade Tool Settings dialog. It is equivalent to "Fade Tool Settings" from the Tools menu. Please refer to that help page for details.


The Tracks and Timings Toolbar

The Tracks and Timings toolbar consists of four controls, two related to tracks and two related to timings:

· The track button

· The track dropdown

· The timings button

· The timings dropdown

The Tracks and Timings toolbar

The Track Button

Clicking on the Track and Timings toolbar's track button brings up a popup menu with various track-related items:

· Change Track Name

· Add new Track

· Duplicate Track

· Delete Track

The track button's popup menu

Change Track Name

This menu item on the track button's popup menu can be used to change the name of the current track. For details, please see the Change Track Name menu item on the Edit menu.

Add New Track

This menu item on the track button's popup menu can be used to add a new track to the sequence. For details, please see the Add New Track menu item on the Edit menu.

Duplicate Track

This menu item on the track button's popup menu can be used to add a new track with all the same channels as the current track. For details, please see the Duplicate Track menu item on the Edit menu.

Delete Track

This menu item on the track button's popup menu can be used to delete the current track from the sequence. There must be at least one track in a sequence, so this menu item will be unavailable if there is only one track.

The Track Dropdown

The Tracks and Timings toolbar's track dropdown gives a list of the tracks in the sequence. It displays the currently active track; selecting another track from the dropdown makes that track active, and updates the display to show that track if it is not already being shown.

The Timings Button

Clicking on the Tracks and Timings toolbar's timings button brings up a popup menu with various timings-related items:

· Change Timing Grid Name

· Add New Fixed Grid

· Add New Freeform Grid

· Duplicate to New Freeform Grid

· Delete Timing Grid

The timings button's popup menu

Change Timing Grid Name

This menu item on the timings button's popup menu can be used to change the name of the current timing grid. The main purpose of giving a timing grid a name is to make it easier to distinguish timing grids when they are listed in places such as the Tracks and Timings toolbar's timings dropdown.

Add New Fixed Grid

This menu item on the timings button's popup menu can be used to add a new fixed timing grid to the sequence. After you select this item, you will be asked to specify the length of time between timings - for example, to make the timings a quarter second apart, enter "0.25".

Add New Freeform Grid

This menu item on the timings button's popup menu can be used to add a new freeform timing grid to the sequence. After you select this item, you will be prompted to enter a name for the new timing grid.

Duplicate to New Freeform Grid

This menu item on the timings button's popup menu can be used to create a new freeform timing grid, initially populating it with the same timings as are in the current timing grid.

Note that this can be done regardless of whether the current timing grid is a freeform grid or a fixed grid.

Delete Timing Grid

This menu item on the timings button's popup menu can be used to delete the current timing grid from the sequence. Any tracks in the sequence that use this timing grid will automatically be switched to use some other timing grid from the sequence.

There must be at least one timing grid in a sequence, so this menu item will be unavailable if there is only one timing grid.

The Timings Dropdown

The Tracks and Timings toolbar's timings dropdown gives a list of the timing grids in the sequence. It displays the timing grid currently in use on the active track; selecting another timing grid from the dropdown changes the track to use that timing grid instead.


The Tools Panel

On the left-hand side of the Light-O-Rama Sequence Editor is a Tools panel, with four subpanels ("Saved Tools", "Recent Tools", "Clipboards", and "Paste Options"):

The Tools Panel

You can hide or show any individual subpanel by clicking on the arrows at its top right. For example, with the "Recent Tools" subpanel hidden:

The Tools Panel, with the Recent Tools subpanel hidden

The Tools Panel can be partially hidden by clicking on the pin in its top right. This will cause the Tools Panel to collapse down to a narrow bar on the left, with a wrench icon on a tab:

The Tools Panel, hidden

Moving your mouse over that tab will cause the panel to be shown again, at which time you can use its various items. After you are done with it, and move your mouse away from the panel, it will collapse back down to be hidden again. If you instead want it to remain open, you can click on its pin icon again.

You can also hide the Tools panel completely, so that not even the narrow bar with the wrench will be displayed, via "Tools Panel" on the View menu. This can also be used to show the Tools panel again after having hidden it.

Whether the panel is visible or hidden, collapsed or open, and whether its individual subpanels are, is remembered in between runs of the Sequence Editor - that is, they will start up in the same states that they were in when you last used the Sequence Editor.

For details on the subpanels, please see their individual sections of the help file:

· Saved Tools

· Recent Tools

· Clipboards

· Paste Options


Saved Tools

The Saved Tools list of the Sequence Editor's left-hand side Tools Panel is a list of effect tools that you have saved for future use. Once on the Saved Tools list, a tool will remain there, even when you use the Sequence Editor again in the future, unless and until you remove it from the list.

Clicking on a tool listed in the Saved Tools list makes that tool active.

The Saved Tools list, with four saved color fades and five other saved tools

To put a tool on the Saved Tools list, right-click on its entry in the Recent Tools list, and select "Save Tool" from the popup menu that will open.

To remove a tool from the Saved Tools list, right-click on its entry in the Saved Tools list, and select "Remove Tool" from the popup menu that will open.


Recent Tools

The Recent Tools list of the Sequence Editor's left-hand side Tools Panel is a list of the effect tools that you have used most recently (with some exceptions, noted below). Clicking on a tool listed in the Saved Tools list makes that tool active.

The Recent Tools list, with several color fades interspersed with several other tools

Not all tools that you use will be added to the Recent Tools list; a tool is only added to the list if you cannot get back to that tool in a single click via the Tools toolbar. For example, if you use the Toggle tool or the Twinkle tool, they will not be added to the list, because you could get back to them in a single click, by clicking the Toggle button or the Twinkle button, respectively. But if you use the Fade Up tool or a custom tool such as a twinkling intensity, it will be added, because it would take more than one mouse click to get back to it - a click to change to the "base" form of the tool itself, and one or more additional clicks to select the proper intensity values.

If you find a tool that you want to keep for future use, you can add it to the Saved Tools list by right-clicking on its entry in the Recent Tools list, and selecting "Save Tool" from the popup menu that will open.


Clipboards

Clipboards are used to copy (or cut) and paste lighting effects from some channels (or RGB channels) to others. In the Light-O-Rama Sequence Editor, you can have multiple different clipboards at once, allowing you to keep several different copied sets of effects pastable simultaneously. You can also save clipboards so that their contents will still be available to you even when you use the Sequence Editor again in the future, and lock clipboards so that they cannot be copied to (thus preventing accidental overwriting of their contents).

Clipboards can be managed through the Clipboards subpanel of the left-hand Tools Panel:

The Clipboards subpanel

See also the Paste Options subpanel, which allows you to control exactly how pasting will behave.

Adding New Clipboards

By default, the Sequence Editor has a single clipboard, as in the picture above. However, the "Add New Clipboard" button can be used to quickly create multiple clipboards:

The Clipboards subpanel, with three clipboards

When multiple clipboards exist, you can select which one is currently in use simply by selecting the radio button to the left of its name.

Locking and Unlocking Clipboards

A clipboard can be locked or unlocked; a locked clipboard cannot be copied to (though it can still be pasted from). This is so as to prevent accidentally overwriting copied effects that you want to keep available. If you attempt to copy to a locked clipboard, a beep will occur to alert you that something is amiss.

You can lock an unlocked clipboard by pressing the "unlocked" button to the right of its name; the button will then change to "locked":

A locked clipboard

To unlock a locked clipboard, press the "locked" button, which will then change to "unlocked".

Saving Clipboards

Clipboards can be saved for later use, so that their contents will be available to you whenever you use the Sequence Editor in the future; any saved clipboards will be automatically loaded for you when you start up the Sequence Editor. To save a clipboard, right-click on the its name, which will open up a popup menu:

The clipboard popup menu

Select "Save Clipboard" from the popup menu; you will be prompted to give the clipboard a name (unless you have done so before), and the clipboard will then be moved to a different section in the top of the list of clipboards, in a different color, indicating that it is a saved clipboard:

Clipboards, with a saved clipboard

A clipboard will be automatically locked upon being saved; you can, of course, unlock it if you wish. If you do unlock the clipboard, and make changes to it, the changes will automatically be resaved immediately, unless you turn off "Automatically Resave" in the Clipboard Preferences menu, in which case they will not be saved until the Sequence Editor closes, or until you select "Save Clipboard" again.

Renaming Clipboards, and Other Uses of the Popup Menu

The clipboard popup menu (for a clipboard that has not been saved) also gives you the ability to rename the clipboard, remove the clipboard from the list, and to lock or unlock the clipboard:

The clipboard popup menu

For a saved clipboard, the popup menu gives you the option to "unsave" the clipboard, thus moving it back into the "Other Clipboards" section (and making it so that the clipboard will not be automatically loaded the next time that you start the Sequence Editor), and to lock or unlock the clipboard.

Loading Clipboards

Any saved clipboard will be automatically loaded whenever you start the Sequence Editor. However, if you had previously saved a clipboard, but had removed it from the saved list, you can later manually open it up again via the Clipboards subpanel's "Load Clipboard" button.

If you wish to reload the contents of a saved clipboard (for example, if a third party tool has changed the clipboard's save file outside of the Sequence Editor), this will automatically be done if "Automatically Reload" is checked on the Clipboard Preferences menu. Otherwise, you can do so by selecting "Reload Clipboard" from the clipboard's popup menu.


Paste Options

The Paste Options subpanel of the Tools Panel allows you to set options on how pasting will work: "Paste Mode" and "Paste From/To":

The Paste Options Subpanel

Paste Mode

The Paste Mode section of the Paste Options subpanel contains controls that let you choose between four different paste modes: "Paste by Cell", "Paste by Time", "Stretch to Fit", and "Repeat to Fit". "Paste by cell" pastes the effects based upon the relative durations of the copied cells and the cells where they will be pasted; "paste by time" pastes them based only upon the duration of the copied effects; "stretch to fit" stretches the effects to fit into the area that you select; "repeat to fit" repeats as many copies of the effects as necessary to fit them into the area that you select.

Paste by Cell

Paste by Cell pastes effects based upon the relative durations of the copied cells and the cells where they will be pasted. For example, consider timings at 0 seconds, 1 second, and 2 seconds. Between 0 and 1 is a fade up, and between 1 and 2 is a fade down:

Events to be copied

These events will be copied, and pasted to the time starting at 5 seconds. There are timings at 5 seconds, 7 seconds, and 7.5 seconds:

Where they will be pasted to

If "Paste by Cell" is selected, then there will be a fade up from 5 to 7, and a fade down from 7 to 7.5:

After pasting by cell

Paste by Time

Paste by Time pastes effects based upon their durations as they were copied. For example, consider timings at 0 seconds, 1 second, and 2 seconds. Between 0 and 1 is a fade up, and between 1 and 2 is a fade down:

Events to be copied

These events will be copied, and pasted to the time starting at 5 seconds. There are timings at 5 seconds, 7 seconds, and 7.5 seconds:

Where they will be pasted to

If "Paste by Time" is selected, then there will be a fade up from 5 to 6, and a fade down from 6 to 7. The timings at 7 and 7.5 are ignored; only the original lengths of the events are used:

After pasting by time

Stretch to Fit

Stretch to Fit stretches (or compresses) effects to fit into the area that you have selected, without regards to any timings within that area. For example, consider timings at 0 seconds, 1 second, and 2 seconds. Between 0 and 1 is a fade up, and between 1 and 2 is a fade down:

Events to be copied

These events will be copied, and pasted to the time starting at 5 seconds, with the area between 5 seconds and 7.5 seconds selected. There are timings at 5 seconds, 7 seconds, and 7.5 seconds:

Where they will be pasted to

If "Stretch to Fit" is selected, then since the copied effects totalled two seconds in length, and since the area being pasted to is two and a half seconds in length, each effect will be stretched to 125% of its original length (since 2.5 seconds is 125% of 2 seconds). Therefore, there will be a fade up from 5 seconds to 6.25 seconds, and a fade down from 6.25 seconds to 7.5 seconds:

After stretching to fit

Repeat to Fit

Repeat to Fit repeats (or cuts off) effects to fit into the area that you have selected, without regards to any timings within that area. For example, consider timings at 0 seconds, 1 second, and 2 seconds. Between 0 and 1 is a fade up, and between 1 and 2 is a fade down:

Events to be copied

These events will be copied, and pasted to the time starting at 5 seconds, with the area between 5 seconds and 7.5 seconds selected. There are timings at 5 seconds, 7 seconds, and 7.5 seconds:

Where they will be pasted to

If "Repeat to Fit" is selected, then since the copied effects totalled two seconds in length, and since the area being pasted to is two and a half seconds in length, there will be one full copy of the copied effects for the first two seconds, followed by the first half second of a second copy of the effects. That is, there will be a fade up from 5 seconds to 6 seconds, a fade down from 6 seconds to 7 seconds, and the first half of a fade up from 7 seconds to 7.5 seconds:

After repeating to fit

Paste From/To

At the bottom of the Paste Options subpanel is a pair of dropdown boxes labeled "From" and "To". Each of these has three possible settings: "Background", "Foreground", and "Both".

The "From" box controls which portions of the copied effects will be pasted: "Background" means that only copied "off" effects will be pasted; "Foreground" means that all copied effects except off effects will be pasted; "Both", which is the default, means that all copied effects will be pasted. For example, consider the following portion of a sequence, and imagine that the simple chase on the left will be copied and pasted on top of the twinkling on the right:

Before pasting the chase on top of the twinkling

For now, assume that the "To" box (which we will discuss momentarily) is set to "Both". Then if the "From" box is also set to "Both", then the entire copied area - including the off effects - will be pasted:

After pasting, from Both to Both

But if "From" is set to "Foreground", then the off effects are not pasted, leaving some of the cells twinkling:

After pasting, from Foreground to Both

Or if "From" is "Background", then only the off effects are pasted:

After pasting, from Background to Both

The "To" box is similar, but it controls which of the cells in the area being pasted to will actually be overwritten. For example, if "From" is set to "Both":

Before pasting

After pasting, from Both to Background

After pasting, from Both to Foreground

After pasting, from Both to Both

You can even combine "From" and "To". For example:

Before pasting

After pasting, from Foreground to Foreground


The Right-Click Context Menu

In the Light-O-Rama Sequence Editor, sequences are represented using a grid. Rows in the grid represent channels, and columns in the grid represent the duration between timings. Cells in the grid are used to display what lighting effects are set in the sequence for that point in time on those channels.

Right-clicking on the grid brings up a popup menu. This menu contains several items which allow you to modify the currently selected cells, in a variety of ways. For example, you can insert lighting effects, cut, copy, and paste (both effects and timings), and delete or resize timings.

The following items are available on this right-click context menu:

· Fade Down

· Fade Up

· On

· Off

· Set Intensity

· Shimmer

· Toggle

· Twinkle

· Fill

· Background Effects

· Foreground Effects

· Change Effect Type

· Change Intensities

· Smooth to Fades

· Test Track's Physical Lights

· Select Row(s)

· Select Column(s)

· Cut

· Copy

· Paste

· Paste Multiple

· Copy Timing

· Paste Timing at...

· Paste Timing at (centisecond)

· Paste Timing Multiple

· Insert Timing at...

· Insert Timing at (centisecond)

· Insert Multiple Timings

· Subdivide Timings

· Delete Timing at (centisecond)

· Delete Selected Timings

· Resize Timings to...

· Resize Timings to Equal Times

· Clear Freeform Play Range

The right-click context menu

Fade Down

This item on the right-click context menu will insert a fade down effect into the currently selected cell or cells.

Fade Up

This item on the right-click context menu will insert a fade up effect into the currently selected cell or cells.

On

This item on the right-click context menu will insert an on effect into the currently selected cell or cells.

Off

This item on the right-click context menu will insert an off effect into the currently selected cell or cells.

Set Intensity

This item on the right-click context menu will insert a set intensity effect into the currently selected cell or cells.

Shimmer

This item on the right-click context menu will insert a shimmer effect into the currently selected cell or cells.

Toggle

This item on the right-click context menu will toggle the effects in the currently selected cell or cells between on and off. Any that had been off will be turned on; all others will be turned off (note that this includes not just those that had been on, but also, for example, those that had been shimmers or fades).

Twinkle

This item on the right-click context menu will insert a twinkle effect into the currently selected cell or cells.

Fill

This item on the right-click context menu will apply a fill to every off event in the currently selected cell or cells.

Background Effects

This submenu of the right-click context menu can be used to insert various effects (such as fades and shimmers) into the currently selected cell or cells, using background effects mode.

Note that this does not turn on background effects mode permanently; it merely enables it for this one insertion.

Foreground Effects

This submenu of the right-click context menu can be used to insert various effects (such as fades and shimmers) into the currently selected cell or cells, using foreground effects mode.

Note that this does not turn on foreground effects mode permanently; it merely enables it for this one insertion.

Change Effect Type

This submenu of the right-click context menu can be used to change the effect type in the currently selected cell or cells (for example, changing the effects in the cells to be shimmers, keeping their intensity values unchanged).

A before-and-after shot of using "Change Effect" on an RGB channel to change to twinkles

Change Intensities

This submenu of the right-click context menu can be used to change the intensities of the effect events in the currently selected cell or cells in a variety of ways, without affecting their event types. For example, by setting various options appropriately, you can change any intensity above 80% on any red channel of any RGB channel to 80%, or add 37% to any intensity on any channel. It has three menu items:

·The topmost menu item is the "quick" item; clicking on it changes the intensities in the same way that intensities were most recently changed.

·The middle item, "Recent", is itself a submenu. The Recent submenu contains up to ten items representing the most recent ways in which intensities were changed.

·The bottom item, "Detailed", opens up a window which allows you to set various options on how Change Intensities will behave.

For more information, see the Change Intensities page.

Smooth to Fades

This item on the right-click context menu will attempt to "smooth" rapid, consecutive effect events in the selected cell or cells to fades:

Sometimes, sequences (especially those created with the help of various automatic tools) will have sections wherein a channel will have many very rapid consecutive effect events. For example, "From time 0.00 to time 0.05, 10%; from time 0.05 to time 0.10, 30%; from time 0.10 to time 0.15, 40%; from time 0.15 to time 0.20, 70%". If done on many channels, this sort of thing can lead to laggy or bursty behavior. Moreover, it's often more or less indistinguishable (to the human eye) from the simpler "From time 0.00 to time 0.20, fade up from 10% to 70%", which is significantly more efficient. Smoothing effects in this way can improve the performance of the sequence (reducing lagginess) and also decrease loading and saving time.

Currently, this tool will only attempt to change consecutive effects that are each a tenth of a second or less in length, and that are either monotonically increasing or monotonically decreasing. Other effects in the selected cell or cells will remain unchanged.

Note that when applied to large selections, this tool can take some time.

A before-and-after shot of the effect of "Smooth to Fades" on the contents of an RGB channel

Test Track's Physical Lights

This submenu on the right-click context menu allows simple real-time control of the physical lights that are associated with the channels in the track. Using the commands on the submenu, you can make all of the channel's lights do a certain basic command (on, off, twinkle, shimmer), or else all behave in whatever way the sequence says they should behave at the exact time that you clicked in the track grid.

See also Test Physical Channels on the channel button popup menu.

The Test Tracks' Physical Lights submenu, when the popup menu was opened by right-clicking at time 0.79

Select Row(s)

This item on the right-click context menu changes the selection so that any rows that are in the selection become completely selected. That is, the selection will stay on the same row or rows, but from time zero to the end of the track.

Select Column(s)

This item on the right-click context menu changes the selection so that any column or columns that are in the selection become completely selected. That is, the selection will stay on the same time range, but from the first channel to the last.

Cut

This item on the right-click context menu will cut the effects from the currently selected cell or cells. Please see "Cut, Copy, Paste, and Paste Multiple" on the Edit menu for details.

Copy

This item on the right-click context menu will copy the effects from the currently selected cell or cells. Please see "Cut, Copy, Paste, and Paste Multiple" on the Edit menu for details.

Paste

This item on the right-click context menu will paste effects into the sequence, starting at the start of the currently selected cell or cells. Please see "Cut, Copy, Paste, and Paste Multiple" on the Edit menu for details.

Paste Multiple

This item on the right-click context menu opens a dialog that can be used to paste several copies of effects into the sequence, starting from the currently selected cell or cells. For example, you can choose to paste the effects three times in a row horizontally, and two times in a row vertically. Please see "Cut, Copy, Paste, and Paste Multiple" on the Edit menu for details.

Copy Timing

This item on the right-click context menu will copy the timings from the currently selected cell or cells. Please see "Copy and Paste Timings" on the Edit menu for details.

Paste Timing at ...

This item on the right-click context menu can be used to paste copied timings into the sequence. It opens a dialog asking you for the time that you want to paste the timings to (defaulting to the time that you right-clicked when opening the context menu). Please see "Copy and Paste Timings" on the Edit menu for details, and Time Format for details on how to enter times.

Paste Timing at (centisecond)

This item on the right-click context menu can be used to paste copied timings into the sequence, starting at the time that you right-clicked when opening the context menu. Please see "Copy and Paste Timings" on the Edit menu for details.

Paste Timing Multiple

This item on the right-click context menu can be used to paste copied timings into the sequence, multiple times in a row. Please see "Copy and Paste Timings" on the Edit menu for details.

Insert Timing at ...

This item on the right-click context menu can be used to insert a timing into the sequence. It opens a dialog asking you for the time that you want to insert a timing at (defaulting to the time that you right-clicked when opening the context menu). Please see Time Format for details on how to enter times.

Insert Timing at (centisecond)

This item on the right-click context menu can be used to insert a timing into the sequence at the time that you right-clicked when opening the context menu.

Insert Multiple Timings

This item on the right-click context menu can be used to insert multiple evenly-spaced timings into the selected cell or cells, based on the length of the entire selection. See "Insert Multiple Timings" on the Timings submenu of the Edit menu for details.

Also see "Subdivide Timings" for similar, but different, functionality.

Subdivide Timings

This item on the right-click context menu can be used to insert multiple evenly-spaced timings into each selected cell, based on the length of the cell. See "Subdivide Timings" on the Timings submenu of the Edit menu for details.

Also see "Insert Multiple Timings" for similar, but different, functionality.

Delete Timing at (centisecond)

This item on the right-click context menu can be used to delete the timing closest on the left to the time that you right-clicked when opening the context menu.

Delete Selected Timings

This item on the right-click context menu can be used to delete the timings inside the currently selected cells. Note that the two timings on the edges of the currently selected cells are not deleted.

Resize Timings to ...

This item on the right-click context menu can be used to change the duration of time between the selected timings. It will not allow any of the timings to be pushed beyond the next timing in the sequence. Please see Time Format for details on how to enter times.

Note that the length of the sequence will not be affected, nor the positions of the timings past the selected range. So, if you choose to resize some timings such that their total length decreases, this will cause the cell just past them to increase in size (since the last selected timing is moved earlier, while the next timing remains the same).

Resize Timings to Equal Times

This item on the right-click context menu can be used to change the duration of time between the selected timings so that all such durations are equal (or as close to equal as possible). For example, if you select two cells with durations of 0.2 seconds and 0.8 seconds, and use "Resize Timings to Equal Times", they will both change to 0.5 seconds.

Clear Freeform Play Range

If a track has a freeform play range selected, this item on the right-click context menu can be used to remove it.


Change Intensities

The Change Intensities command can be used to modify the intensities of effect events in a selected area of a sequence in a wide variety of ways. You can access it through the Change Intensities submenu on the right-click context menu. The submenu has three menu items: Quick, Recent, and Detailed. Although it is listed last in the menu, we will discuss Detailed first:

Detailed

Selecting this will open up a tool window which can be used to set the various options determining how Change Intensities will behave:

The Change Intensites "Detailed" tool window

In the tool window, there are three main options: Operation, Percent, and Channel Types. There is also an Apply button to apply the Change Intensities tool to the sequence.

Operation and Percent

The Operation dropdown list is used to select among several different behaviors of Change Intensities. The Percent textbox is used to specify a percentage, the exact meaning of which depends upon which operation is selected. The operations are:

· Cap

· Floor

· Increase

· Reduce

· Scale

Cap

The Cap operation imposes a maximum upon the intensities in the selected area. For example, using a percent of 80, any intensities above 80% of the effect type's maximum will be reduced to 80%, and any intensities that are already at or below 80% will be left unchanged.

Note that most effect types (intensity, twinkle, shimmer) have maximum possible values of 100, so for those effect types this means the same thing as "any intensity above 80 will be reduced to 80". However, the DMX intensity effect type has a maximum value of 255, not 100, so for it, capping with a percent of 80 means capping at a value of 204 (i.e. 80% of 255).

Floor

The Floor operation imposes a minimum upon the intensities in the selected area. For example, using a percent of 80, any intensities below 80% of the effect type's maximum will be increased to 80% of the maximum, and any intensities that are already at or above 80% will be left unchanged.

Note that most effect types (intensity, twinkle, shimmer) have maximum possible values of 100, so for those effect types this means the same thing as "any intensity below 80 will be increased to 80". However, DMX intensity effect type has a maximum value of 255, not 100, so for it, imposing a floor with a percent of 80 means imposing a floor at a value of 204 (i.e. 80% of 255).

Increase

The Increase operation increases all intensities in the selected area by the specified percent of the effect type's maximum value. For example, using a percent of 20, a fade up from 0 to 60 will be changed to a fade up from 20 to 80.

Note that most effect types (intensity, twinkle, shimmer) have maximum possible values of 100, so for those effect types this means the same thing as "any intensity will be increased by 20". However, the DMX intensity effect type has a maximum value of 255, not 100, so for it, increasing with a percent of 20 means increasing by a value of 51 (i.e. 20% of 255).

If the increase pushes any intensity above the effect type's maximum possible value, it will be set to that maximum. For example, using a percent of 20, a fade up from 50 to 90 will be changed to a fade up from 70 to 100.

Reduce

The Reduce operation decreases all intensities in the selected area by the specified percent of the effect type's maximum value. For example, using a percent of 20, a fade up from 50 to 60 will be changed to a fade up from 30 to 40.

Note that most effect types (intensity, twinkle, shimmer) have maximum possible values of 100, so for those effect types this means the same thing as "any intensity will be reduced by 20". However, the DMX intensity effect type has a maximum value of 255, not 100, so for it, decreasing with a percent of 20 means decreasing by a value of 51 (i.e. 20% of 255).

If the decrease pushes any intensity below zero, it will be set to zero. For example, using a percent of 20, a fade up from 10 to 90 will be changed to a fade up from 0 to 70.

Scale

The Scale operation scales all intensities in the selected area by the specified percentage. For example, a percent of 200 means doubling; a fade up from 30 to 40 will become a fade up from 60 to 80. A percent of 50 means halving; a fade up from 30 to 40 will become a fade up from 15 to 20.

If the scaling pushes any intensity above the effect type's maximum possible value, it will be set to that maximum. For example, using a percent of 200, a fade up from 30 to 80 will become a fade up from 60 to 100.

Channel Types

The Channel Types section has four different checkboxes: Non-RGB, RGB Red, RGB Green, and RGB Blue. Which ones are selected determines which channels the Change Intensities tool will apply to. For example, if you check Non-RGB and RGB Red, but have RGB Green and RGB Blue unchecked, then the tool will apply to any red channels found in RGB channels, and also to any channels that are found outside of RGB channels, but it will not apply to any green or blue channels found in RGB channels.

Channels that are found as macro channels of Cosmic Color Devices will always be skipped.

Note that a channel can appear multiple times in a sequence, or even multiple times in a track, and it is entirely possible that one of its appearances is (for example) as a green channel of an RGB channel, while another appearance of the same channel is outside of any RGB channel. The Change Intensities tool is not particularly smart about this sort of thing: When deciding whether or not the tool should apply to a channel, each individual appearance of the channel in the sequence is considered independently of any other appearances it may make.

Apply

The Apply button applies the Change Intensity tool to the currently selected area, using the various options set in the Detailed dialog. The dialog will remain open, so you can use it several times in a row with different option settings and/or on different selected areas. To close the dialog, click the Windows close "X" button in its upper right corner.

Quick

The Quick menu item on the Change Intensities submenu will be greyed out until you first use the Change Intensities tool (the first time you use the tool, it must be done through the Detailed dialog). After that, it will instead show the options that you most recently used for Change Intensities. For example, if your last use of Change Intensities was to apply a floor of 37% to red and green channels, the Quick menu item will display as "Floor 37% on red, green", and clicking on it will apply a floor of 37% to red and green channels in the selected area.

Recent

The Recent menu item on the Change Intensities submenu is similar to the Quick menu item, except instead of one single item, it is actually a submenu of the up-to-ten most recent uses of the Change Intensities tool.


Channel and RGB Channel Buttons

In the Light-O-Rama Sequence Editor, sequences are represented using a grid. Rows in the grid represent channels and RGB channels, and columns in the grid represent the duration between timings. Cells in the grid are used to display what lighting effects are set in the sequence for that point in time on those channels and RGB channels.

In each row, to the left of the grid, there is a button associated with the channel or RGB channel for that row. The button is labeled with the name of the channel or RGB channel:

Some channel buttons (on the left)

Buttons for regular channels are shown in grey, as in the above picture. Those for RGB channels are shown in black, as in the first row of the following:

A sequence with an RGB channel followed by several normal channels

Left-clicking on such a button brings up the Channel Settings dialog if for a channel, and the RGB Channel Settings dialog if for an RGB channel, from which you can modify various settings such as a channel's name, color, unit ID, and circuit ID.

Right-clicking brings up the channel button's popup menu, giving access to various channel-related functionality.

Left-clicking on the small button to the left of an RGB channel's button (with the red, green, and blue stripes) expands the view so that the constituent channels of that RGB channel can be seen (and clicking it again collapses the view by hiding them):

A sequence with an RGB channel followed by several normal channels, with the RGB channel's constituent channels displayed

Channels or RGB channels can be moved up or down in a sequence by clicking and dragging their buttons.

Between the channel/RGB channel buttons and the grid is a thick grey vertical bar. Dragging the bar left or right changes the width of the channel/ RGB channel buttons; clicking on it (without dragging) hides them, and clicking it again unhides them. This latter can also be done via "Channel Buttons" on the View menu.

During play, the color of a channel or RGB channel button will vary along with the lighting effects happening on that channel or RGB channel. For example, during a fade, the button will gradually change in color, and during a twinkle, the button will blink between its usual light grey and the channel's color. If you do not wish to see this, you can turn this behavior off permanently via "Vary the color of channel buttons during play by default" on the Play Preferences dialog, or temporarily via either "Vary Color of Channel Buttons" on the Play menu or the Vary Channel Button Colors button of the Standard toolbar.

The color of the text on the button can also vary during play, to try to give a readable contrast with the color of the button itself. However, some users have found this distracting, and so you can control whether this happens or not permanently via the "Also vary their font colors" on the Play Preferences dialog, or temporarily via the "Vary Color of Channel Button Fonts" item on the Play menu.

When not playing, the color of a button can behave in three different ways, controlled from the Channel Button Colors submenu of the View menu: They can either all show the same grey (or black for RGB channels), or their individual full colors, or their colors at the time of the start of the current selection.


Channel Settings

The Sequence Editor's Channel Settings dialog allows you to set various properties of a channel in your sequence, such as its name, color, unit ID and circuit ID.

You can access the Channel Settings dialog by clicking on the channel's button, or right-clicking and selecting "Change Channel Settings" from the popup menu.

Not all settings are available for all channel types; for example, X10 controllers do not use circuit IDs, and only channels representing subsequences can specify the name of a sequence file. The controls for unavailable settings will be greyed out.

The Channel Configuration screen allows you to do the same sort of things as the Channel Settings dialog, but can be used on all of the channels in your sequence at the same time.

The Channel Settings dialog also can be used to reach the "Advanced Settings" dialog.

The Channel Settings dialog


Advanced Channel Settings

The Advanced Channel Settings dialog (which can be reached through the Channel Settings dialog) can be used to set certain advanced options for a channel:

· Priority

The Advanced Channel Settings dialog

Priority

If a sequence has two lighting effects that are supposed to take place at the exact same centisecond, either one of the two commands may be sent to the controller a very short time before the other is sent. In most cases, which is actually sent first is irrelevant - the time between the two being sent is completely unnoticeable to a human. However, in certain cases, one specific command should be sent first. An example is that commands for macro channels on a Cosmic Color Device should be sent to the controller before commands for other channels on that controller, due to the way in which Cosmic Color Devices function. To guarantee that they are sent in the correct order, a channel's "priority" can be set via the Advanced Channel Settings dialog.

Please note that if you have set up the channel so that it is inside of a Cosmic Color Device channel group in your sequence, the priorities of each channel in the group will automatically be set correctly, so there is generally no need to use the Advanced Channel Settings dialog to manually set the priority yourself. However, if channels for circuits on a Cosmic Color Device are not in a Cosmic Color Device channel group in the sequence, you should set the priority manually so that the sequence knows which commands should be sent to the controller before which other commands.


RGB Channel Settings

The Sequence Editor's RGB Channel Settings dialog allows you to set various properties of an RGB channel in your sequence, such as its name and the unit and circuit IDs of its constituent channels.

You can access the RGB Channel Settings dialog by clicking on the RGB channel's button, or right-clicking and selecting "Change RGB Channel Settings" from the popup menu.

The RGB Channel Settings dialog

In the above picture, notice that the settings for the green and blue channels are greyed out, so that their settings cannot be modified (directly). This is because the "Automatically link channel settings" checkbox is checked. When it is checked, any change to the red channel's settings will be automatically reflected in the green and blue channels. For example, setting the red channel's unit ID to 02 will cause both the green and blue channels to automatically change to unit ID 02, and setting the red channel's circuit ID to 4 will cause the green channel's circuit ID to become 5, and the blue's to become 6.

To modify the green and blue channels' settings independently of those of the red channel, uncheck the "Automatically link channel settings" checkbox.

The "Use LOR legacy mode" checkbox, if checked, will limit the available circuit IDs from 1 to 16 (as opposed to the standard 1 to 512). This is to support older controllers, which might each have several different unit IDs, each of which have circuit IDs from 1 to 16, instead of having a single unit ID with many circuit IDs.


Channel and RGB Channel Buttons' Popup Menus

In the Sequence Editor, right-clicking on a channel or RGB channel button brings up a popup menu of items regarding that channel or RGB channel. These include:

· Change Name

· Change Color

· Change Channel Settings / Change RGB Channel Settings

· Test Physical Channel ON/OFF

· Insert Device

· Insert Device Above

· Insert Device Below

· Insert Channels

· Insert Channel Above

· Insert Channel Below

· Insert Multiple Channels Above

· Insert Multiple Channels Below

· Insert RGB Channels

· Insert RGB Channel Above

· Insert RGB Channel Below

· Insert Multiple RGB Channels Above

· Insert Multiple RGB Channels Below

· Convert to RGB Channel

· Convert to Group

· Duplicate Children to New Group

· Degroup

· Delete Channel / Delete RGB Channel

· Remove Channel from Track / Remove RGB Channel from Track

· Copy to Other Track

· Copy to New Track

· Copy to Track Number...

· Move

· Move Up

· Move Down

· Move to New Track

· Move to Track Number...

The channel button popup menu

Change Name

This option from the channel/RGB channel button popup menu can be used to change the name of the channel or RGB channel. The name will be displayed in various places, including on the channel or RGB channel's button.

Change Color

This option from the channel button popup menu can be used to change the color assigned to the channel (it is unavailable for RGB channels). Note that this has no effect on your actual lights, and that it is not necessary to set the color of the channel to match the color of the actual lights hooked up to the channel. However, doing so may be convenient. For example, the Sequence Editor will use the assigned color to display lighting effects in the sequence's grid.

Change Channel Settings / Change RGB Channel Settings

This option from the channel/RGB channel button popup menu opens the Channel Settings dialog or the RGB Channel Settings dialog, which can be used to modify various properties of the channel or RGB channel, such as a channel's name, color, unit ID and circuit ID.

Test Physical Channel On/Off

This option will test the currently selected channel by turning it fully on or off. The channel will need to have all of its settings defined, the devices connected and powered up, and the Sequence Editor must be able to talk to your devices - either directly or through the Comm Listener.

This command can also be used on RGB channels and other channel groups; it will cause all channels within the selected group to be turned on or off.

See also Test Track's Physical Lights on the track grid's right-click context menu.

Insert Device

This submenu of the channel/RGB channel button popup menu can be used to insert channels and/or RGB channels representing a particular device (such as a Cosmic Color Device or an LOR/CTB device) above or below the selected channel or RGB channel.

· Insert Device Above

· Insert Device Below

Insert Device Above

This option from the channel/RGB channel button popup menu opens up the Insert Device dialog, allowing you to specify settings of a new device (such as a Cosmic Color Device or an LOR/CTB device) to be inserted into the sequence above the selected channel or RGB channel.

Insert Device Below

This option from the channel/RGB channel button popup menu opens up the Insert Device dialog, allowing you to specify settings of a new device (such as a Cosmic Color Device or an LOR/CTB device) to be inserted into the sequence above the selected channel or RGB channel.

Insert Channels

This submenu of the channel/RGB channel button popup menu can be used to insert a channel, or multiple channels, above or below the selected channel or RGB channel.

· Insert Channel Above

· Insert Channel Below

· Insert Multiple Channels Above

· Insert Multiple Channels Below

Insert Channel Above

This option from the channel/RGB channel button popup menu creates a new channel and inserts it into the sequence above the selected channel or RGB channel.

Insert Channel Below

This option from the channel/RGB channel button popup menu creates a new channel and inserts it into the sequence below the selected channel or RGB channel.

Insert Multiple Channels Above

This option from the channel/RGB channel button popup menu can be used to create multiple new channels at once, and insert them into the sequence above the selected channel or RGB channel. You will be prompted for how many channels you want to create.

Insert Multiple Channels Below

This option from the channel/RGB channel button popup menu can be used to create multiple new channels at once, and insert them into the sequence below the selected channel or RGB channel. You will be prompted for how many channels you want to create.

Insert RGB Channels

This submenu of the channel/RGB channel button popup menu can be used to insert an RGB channel, or multiple RGB channels, above or below the selected channel or RGB channel.

· Insert RGB Channel Above

· Insert RGB Channel Below

· Insert Multiple RGB Channels Above

· Insert Multiple RGB Channels Below

Insert RGB Channel Above

This option from the channel/RGB channel button popup menu creates a new RGB channel and inserts it into the sequence above the selected channel or RGB channel.

Insert Channel Below

This option from the channel/RGB channel button popup menu creates a new RGB channel and inserts it into the sequence below the selected channel or RGB channel.

Insert Multiple Channels Above

This option from the channel/RGB channel button popup menu can be used to create multiple new RGB channels at once, and insert them into the sequence above the selected channel or RGB channel. You will be prompted for how many RGB channels you want to create.

Insert Multiple Channels Below

This option from the channel/RGB channel button popup menu can be used to create multiple new RGB channels at once, and insert them into the sequence below the selected channel or RGB channel. You will be prompted for how many RGB channels you want to create.

Convert to RGB Channel

This option from the channel button popup menu opens the Convert to RGB Channel dialog, which allows you to convert existing channels into RGB channels. It is not available from the popup menus for RGB channel buttons.

Convert to Group

This option from the channel button popup menu opens the Convert to Channel Group dialog, which allows you to group existing channels (and RGB channels, et cetera) into a new channel group.

Duplicate Children to New Group

This option from the channel button popup menu can be used to create an entirely new channel group that contains the same channels, RGB channels, and so forth as the selected channel group.

Degroup

This option from the channel button popup menu "degroups" the selected channel group. That is, all of the channel group's children are moved to the channel group's parent (unless the parent already contains them), and the channel group itself is removed from the parent.

Delete Channel / Delete RGB Channel

This option from the channel/RGB channel button popup menu deletes the selected channel or RGB channel. Note that this will completely delete the channel or RGB channel from the sequence, not just from the current track. If you want to remove the channel or RGB channel from the current track but still keep it in other tracks, use "Remove Channel from Track / Remove RGB Channel from Track" instead.

Remove Channel from Track / Remove RGB Channel from Track

This option from the channel/RGB channel button popup menu removes the selected channel or RGB channel from the track. If the channel or RGB channel is shared with other tracks, it will remain in those other tracks. If you instead want to delete a channel or RGB channel from the sequence completely, removing it from all tracks, use "Delete Channel / Delete RGB Channel" instead.

Copy to Other Track

This submenu of the channel/RGB channel button popup menu can be used to share the selected channel or RGB channel either to a new track or to an existing track:

· Copy to New Track

· Copy to Track Number...

Copy to New Track

This item on the "Copy to Other Track" submenu of the channel/RGB channel button popup menu will create a new track (via the New Track dialog) and share the selected channel or RGB channel with that track.

Copy to Track Number...

This item on the "Copy to Other Track" submenu of the channel/RGB channel button popup menu will share the selected channel or RGB channel with another existing track in the sequence. You will be prompted to select which track.

Move

This submenu of the channel/RGB channel button popup menu can be used to move the selected channel or RGB channel up or down within its track, or to another track. Note that a channel or RGB channel can also be moved up or down within its track by clicking and dragging its channel button.

· Move Up

· Move Down

· Move to New Track

· Move to Track Number...

Move Up

This item on the "Move" submenu of the channel/RGB channel button popup menu will move the selected channel or RGB channel one slot up in its track.

Move Down

This item on the "Move" submenu of the channel/RGB channel button popup menu will move the selected channel or RGB channel one slot down in its track.

Move to New Track

This item on the "Move" submenu of the channel/RGB channel button popup menu will create a new track (via the New Track dialog) and move the selected channel or RGB channel to that track.

Move to Track Number...

This item on the "Move" submenu of the channel/RGB channel button popup menu will move the selected channel or RGB channel to another existing track in the sequence. You will be prompted to select which track.


Insert Device

The Insert Device dialog can be used to add several channels and/or RGB channels to a sequence, automatically populated with various settings such as their unit IDs and circuit IDs. The dialog can be opened by right-clicking on a channel or RGB channel's button, and selecting either "Insert Device Above" or "Insert Device Below" from the popup menu (which will cause the new device's channels to be inserted above or below the clicked channel, respectively).

At the top of the dialog is a text box where you can specify the base name of the unit. This name will be used to create the names of the channels; additional information, such as the circuit number, may also be included in the names. Under the text box is a check box allowing you to specify whether or not the unit ID (and network, if applicable) are to be included.

Under the "name" section of the dialog is a dropdown list of the available devices, and under that is a checkbox enabling you to choose whether the device should be added as a channel group or as raw channels and/or RGB channels.

· CF50D

· CMB16D

· CMB24D

· Cosmic Color Array

· Cosmic Color Ribbon (or Bulb)

· DIO32

· DMX Universe

· iDMX1000

· LOR/CTB (4 Channel)

· LOR/CTB (8 Channel)

· LOR/CTB (16 Channel)

· LOR/CTB (32 Channel)

· PixCon16

· Pixie 2/4/8/16

· RGB Device (Non-CCD)

· Servo Dog

CF50D

The CF50D choice for the Insert Device dialog can be used to add channels representing either a Cosmic Color Flood or a UV Black Light Flood device. A Cosmic Color Flood can be added by selecting "RGB" as the "Light Type", while selecting "UV" will add a UV Black Light Flood. If a Cosmic Color Flood is added, it will consist of an RGB channel and two regular channels, with the two regular channels being the device's strobe effect channels. If a UV Black Light Flood is added, it will consist of three channels, the first being the UV intensity, and the others being the strobe effect channels.

You can select whether the device will use LOR mode or DMX mode, and set various options such as its unit ID and network (in LOR mode) or its universe and starting address (in DMX mode).

Insert Device: CF50D

CMB16D

The CMB16D choice for the Insert Device dialog will add sixteen channels, with device type Light-O-Rama, a network and unit ID that you specify, and circuit numbers from 1 to 16. The name of a channel will default to "CMB" followed by an indication of the unit and circuit (such as "CMB 03.7" for unit 03 and circuit 7).

Insert Device: CMB16D

CMB24D

The CMB24D choice for the Insert Device dialog will add either 24 channels or 8 RGB channels, with device type Light-O-Rama, a network and unit ID that you specify, and circuit numbers from 1 to 24. The name of a channel or RGB channel will default to "CMB" followed by an indication of the unit and either the circuit or the pixel (such as "CMB 03.7" for the channel for unit 03 and circuit 7, or "CMB 03 p7" for the RGB channel for unit 03 and pixel 7).

Cosmic Color Array

The Cosmic Color Array choice for the Insert Device dialog will add a new Cosmic Color Array channel group to the sequence. You can use it to specify the base name of the group, network, unit ID, and resolution of the CCA.

Insert Device: Cosmic Color Array

Cosmic Color Ribbon (or Bulb)

The Cosmic Color Ribbon (or Bulb) choice for the Insert Device dialog has both a basic and an advanced mode. In basic mode, it will add fifty RGB channels followed by seven regular channels for a Cosmic Color Ribbon or for a one-string Cosmic Color Bulb, or those followed by another fifty RGB channels and another seven regular channels for a two-string Cosmic Color Bulb. All will have device type Light-O-Rama, and a specified network and unit ID.

The circuit numbers of the first RGB channel will be red = 1, green = 2, blue = 3, the next RGB Channel will have red = 4, green = 5, blue = 6, and so on, up to the fiftieth RGB channel, which will have red = 148, green = 149, blue = 150. The seven regular channels, which represent the macro channels of the Cosmic Color Device, start at circuit 151 and go through 157. If a two-string Cosmic Color Bulb is used, the first RGB channel on the second set of fifty will be red = 161, green = 162, blue = 163, and so on, through the second set of macro channels, which will be circuits 311 through 317.

The names of the RGB channels will default to "CCD" followed by an indication of the unit ID and the pixel number for a one-string CCD (such as "CCD 03 p7" for unit ID 03 pixel 7); two-string CCDs will also indicate the string number (such as "CCD 03 s1 p7"). The names of the macro channels will indicate which macro channels they represent, instead of having a pixel number, such as "CCD 03 LR", meaning "Cosmic Color Device, unit 03, Logical Resolution" (again, for a two-string CCD, the string number will also be included, such as "CCD 03 s1 LR"). The full list of abbreviations such as "LR" for "Logical Resolution" is:

·LR: Logical Resolution

·MM: Macro Mode

·MS: Macro Submode

·ME: Macro Effect

·CM: Color Mode

·CS: Color Speed

·CI: Color Intensity

Insert Device: Cosmic Color Ribbon (or Bulb) - basic mode

To use advanced mode, click on the "Show Advanced Options" button:

Insert Device: Cosmic Color Ribbon (or Bulb) - advanced mode

The "Resolution" dropdown controls the number of pixels - i.e. the number of RGB channels - that will be created per string. Also, macro channels will only be created if the resolution is set to 50 pixels.

When "Unit ID Mode" is set to "Native Mode", all channels and RGB channels on the Cosmic Color Device use a single unit ID (as described above, in basic mode), unless "Unit ID for CCB String 2" is set to "String 2 has own Unit ID", in which case the unit will use one unit ID for string 1, and a second (one higher than the first) for string 2. If it is set to "Legacy Mode", however, circuit IDs will be limited from 1 to 16, and multiple unit IDs will be used. For example, if the selected unit ID is 01, and 50 pixels are chosen, then instead of having unit 01 circuits 1 through 157, the channels and RGB channels to be created will have unit 01 circuits 1 through 16, unit 02 circuits 1 through 16, ..., unit 09 circuits 1 through 16, and unit 0A circuits 1 through 13. The names of all channels and RGB channels will still indicate the base unit ID, though - for example, the fiftieth pixel will be labelled "CCD 01 p50" despite its constituent channels actually using unit ID 09 rather than 01.

When "Channel Mode" is set to "Triples", the circuit IDs are as described above in the "basic mode" section - i.e. the first pixel will have circuit IDs 1, 2, and 3 for red, green, and blue, respectively, the second will have 4, 5, and 6, and so on. If it is set to "Sequential", the circuit IDs will instead be assigned to all of the red channels first, then all of the green channels, then all of the blue channels. For example, with 50 pixels and native unit ID mode, the first pixel will have circuit IDs 1, 51, and 101 for red, green, and blue, respectively, the second will have 2, 52, and 102, and so on.

"String 1 Orientation" and "String 2 Orientation" control whether the pixels on the specified string will be listed from 1 to 50 (the default) or from 50 to 1 ("flipped"). This corresponds to the hardware setting on the Cosmic Color Device indicating whether the first pixel is located closest to the controller itself or farthest from it.

DIO32

The DIO32 choice for the Insert Device dialog will add 32 channels, with device type Light-O-Rama and a specified network. If "Unit ID Mode" is set to "Native Mode", then the specified unit ID will be used for all 32 channels, which will have circuits 1 through 32. If it is instead set to "Legacy Mode", then the first sixteen channels will have the specified unit ID and circuits 1 through 16, and the last sixteen channels will have the next unit ID and circuits 1 through 16.

The names of the channels will default to "DIO" followed by an indication of the unit and circuit, such as "DIO 03.7" for unit ID 03, circuit 7.

Insert Device: DIO32

DMX Universe

The DMX Universe choice for the Insert Device dialog will add either anywhere from 16 to 512 channels, in multiples of 16, or else anywhere from 1 to 170 RGB channels. In either case, device type DMX and a specified universe will be used.

If channels are used, their names will default to "DMX" followed by an indication of the universe and address, such as "DMX 3.7" for universe 3 address 7. If RGB channels are used, they will default to "DMX" followed by an indication of the universe and pixel number, such as "DMX 3 p7" for universe 3 pixel 7 (which would consist of addresses 19, 20, and 21).

Insert Device: DMX Universe

iDMX1000

The iDMX1000 choice for the Insert Device dialog will add anywhere from 16 to 512 channels, in multiples of 16, with device type Light-O-Rama and a specified network. If "Unit ID Mode" is set to "Native Mode", then a single (specified) unit ID will be used for all channels, with circuit IDs ranging from 1 to the number of channels. If it is set to "Legacy Mode", then circuit IDs will be limited from 1 to 16, and multiple unit IDs will be used (assuming more than 16 channels are selected), starting at the specified unit ID.

The names of the channels will default to "iDMX" followed by an indication of the unit and circuit, such as "iDMX 03.7" for unit 03 circuit 7.

Insert Device: iDMX1000

LOR/CTB (4 Channel)

The LOR/CTB (4 Channel) choice for the Insert Device dialog will add four channels, with device type Light-O-Rama and a specified network and unit ID, and circuit IDs ranging from 1 to 4.

The names of the channels will default to "Unit" followed by an indication of the unit and circuit, such as "Unit 07.3" for unit 07 circuit 3.

Insert Device: LOR/CTB (4 Channel)

LOR/CTB (8 Channel)

The LOR/CTB (8 Channel) choice for the Insert Device dialog will add eight channels, with device type Light-O-Rama and a specified network and unit ID, and circuit IDs ranging from 1 to 8.

The names of the channels will default to "Unit" followed by an indication of the unit and circuit, such as "Unit 03.7" for unit 03 circuit 7.

Insert Device: LOR/CTB (8 Channel)

LOR/CTB (16 Channel)

The LOR/CTB (16 Channel) choice for the Insert Device dialog will add sixteen channels, with device type Light-O-Rama and a specified network and unit ID, and circuit IDs ranging from 1 to 16.

The names of the channels will default to "Unit" followed by an indication of the unit and circuit, such as "Unit 03.7" for unit 03 circuit 7.

Insert Device: LOR/CTB (16 Channel)

LOR/CTB (32 Channel)

The LOR/CTB (32 Channel) choice for the Insert Device dialog will add thirty-two channels, with device type Light-O-Rama and a specified network and unit ID, and circuit IDs ranging from 1 to 32.

The names of the channels will default to "Unit" followed by an indication of the unit and circuit, such as "Unit 03.7" for unit 03 circuit 7.

Insert Device: LOR/CTB (32 Channel)

PixCon16

The PixCon16 choice for the Insert Device dialog will add RGB channels which are grouped appropriately to represent a PixCon16 device. You can choose whether to use LOR or DMX as the device type. In either case, sixteen ports worth of pixels will be created.

If you choose the LOR device type, you can specify the network and the starting unit ID of the device, plus the number of pixels per port (from 1 to 170). Each pixel will be represented as an RGB channel, and all pixels on a single port will be grouped together.

If you choose the DMX device type, you can specify the starting universe of the device, the number of universes per port (one or two), and the number of pixels per universe (from 1 to 170). Each pixel will be represented as an RGB channel. All pixels in a single universe will be grouped together, and furthermore all universes on a single port will be grouped together.

Insert Device: PixCon16

Pixie 2/4/8/16

The Pixie choice for the Insert Device dialog will add RGB Channels which are grouped appropriately to represent a Pixie device. You should choose which Pixie device you are inserting (If it has 2, 4, 8 or 16 ports), as well as the network and the starting unit ID of the device, plus the number of pixels per port (either 50 or 100). Each pixel will be represented as an RGB channel, and all pixels on a single port will be grouped together.

If the "Channel Mode" option is set to "Triples", then the circuit IDs will be 1 for the red channel of the first RGB channel, 2 for the green channel of the first RGB channel, 3 for the blue channel of the first RGB channel, 4 for the red channel of the second RGB channel, and so on. If it is instead set to "Sequential", then they will instead be 1 for the red channel of the first RGB channel, 2 for the red channel of the second RGB channel, 3 for the red channel of the third RGB channel, and so on through all of the red channels, then through the green channels, then the blue channels.

The RGB channel names will default to "Pixel" followed by an indication of the base unit ID plus the pixel number; for example, "Pixel 03 p7" for the seventh pixel of the RGB device whose base unit ID is 03.

Insert Device: Pixie Controller

RGB Device (Non-CCD)

The RGB Device (Non-CCD) choice for the Insert Device dialog will add anywhere from 1 to 16 RGB channels, with device type Light-O-Rama and a specified network and base unit ID. Note, though, that you do not specify the number of RGB channels; instead, you specify the number of underlying channels, with three channels corresponding to a single RGB channel. For example, to add 16 RGB channels, select 48 channels.

The reason for specifying the number of channels instead of the number of RGB channels is because the number of channels per unit ID can also be specified (so that, for example, 48 channels with 16 channels per unit ID will cause three unit IDs to be used, starting from the specified base).

If the "Channel Mode" option is set to "Triples", then the circuit IDs will be 1 for the red channel of the first RGB channel, 2 for the green channel of the first RGB channel, 3 for the blue channel of the first RGB channel, 4 for the red channel of the second RGB channel, and so on. If it is instead set to "Sequential", then they will instead be 1 for the red channel of the first RGB channel, 2 for the red channel of the second RGB channel, 3 for the red channel of the third RGB channel, and so on through all of the red channels, then through the green channels, then the blue channels.

The RGB channel names will default to "RGB" followed by an indication of the base unit ID plus the pixel number; for example, "RGB 03 p7" for the seventh pixel of the RGB device whose base unit ID is 03.

Insert Device: RGB Device (non-CCD)

Servo Dog

The Servo Dog choice for the Insert Device dialog will add eight channels, with device type Light-O-Rama and a specified network and unit. The circuit IDs will range from 1 to 8.

The names of the channels will default to "SD" followed by an indication of the unit and circuit, such as "SD 03.7" for unit 03 circuit 7.

Insert Device: Servo Dog


Convert to RGB Channel

The Convert to RGB Channel dialog enables you to convert existing channels into RGB channels. You can open the Convert to RGB Channel dialog by right-clicking on a channel's button, and selecting "Convert to RGB Channel" from the popup menu. The RGB channel that is created by the dialog will be placed at the erstwhile location of the channel that you click on, and (by default) will use that channel as its red constituent channel, and the immediately following channels (if any) as its green and blue constituent channels.

The Convert to RGB Channel dialog

RGB Channel Name

The RGB Channel Name field allows you to specify the name of the RGB channel to be created; by default, it will be the same as the name of the channel that you clicked on. The names of the constituent channels will be changed to reflect the name of the RGB channel; for example, if you name the RGB channel "My RGB", then its red, green, and blue constituent channels will be renamed "My RGB (R)", "My RGB (G)", and "My RGB (B)", respectively.

Component Channels

The three component channel dropdown lists allow you to specify the existing channels to use as the component channels. Also, the top entry in each list, "Add a new channel", allows you to say that an entirely new channel should be created and used as that component channel, rather than using an existing channel. By default, the red channel will be the channel that you clicked on, the green channel will be the channel following that, and the blue will be the channel following that.

Also Do This for Following Channels

If the "Also do this for following channels" box is checked, you can specify a number of RGB channels to create (otherwise, only one will be created). The dialog will try to create as many as you specify, using succeeding channels from the track. Exactly which channels are used depends upon the relationship between the three channels that you specify in the "Component Channels" section:

The first mode is intended to support sequences whose channels are currently set up in the order R, G, B, R, G, B, R, G, B, and so on. So, if the specified green channel immediately follows the specified red channel, and the specified blue channel immediately follows the specified green channel, then the next RGB channel will be created from the three channels following those (as R, G, and B, respectively), and the RGB channel after that from the three channels following those, and so on. If this causes the dialog to run out of channels before creating the number of RGB channels that you requested (either due to reaching the end of the track or due to reaching an existing RGB channel instead of a channel), it will stop, and warn you that it was only able to create less RGB channels than you had requested.

The other mode is intended to support sequences whose channels are currently set up in the order R, R, R, ..., G, G, G, ..., B, B, B, .... So, if the specified green channel does not immediately follow the specified red channel, or the specified blue channel does not immediately follow the specified green channel, then the next RGB channel will consist of the channel following the specified red channel as its red channel, the channel following the specified green channel as its green channel, and the channel following the specified blue channel as its blue channel. Again, if this causes it to run out of channels before creating the requested number of RGB channels (either due to the conditions listed previously or else due to reaching a channel that has already been used), it will stop, and warn you that it created less than you asked for.


Convert to Channel Group

The Convert to Channel Group dialog allows you to group existing channels (and RGB channels, etc.) into a new channel group. You can open the dialog by right-clicking on the channel button of the first channel that you want in the new group, and selecting "Convert to Group" from the popup menu that will open.

In the dialog, select the name that you want to use for the new group, and the first and last channels that you want placed into the new group, and then click on the "Create Group" button. The new group will be created at the same spot that the first selected channel was at, and will contain the specified range of channels.

Optionally, you can choose to "leave copies in their existing locations", causing the new group to be created without actually removing the existing copies of the channels.

If the channels and RGB channels that you have selected look like they might be intended as a Cosmic Color Device -- that is, if they are a certain specific number of RGB channels potentially followed by a certain specific number of channels -- the dialog will give you an option to make the new channel group be a Cosmic Color Device (and, if appropriate, what kind of CCD - for example a Cosmic Color Ribbon or a Cosmic Color Array). This has certain advantages over creating it as a normal channel group; for example, the CCD's macro channels will be skipped when chases are done on the group.

The Convert to Channel Group dialog


Track Bars

If a sequence contains more than one track, the Sequence Editor displays each track with a track bar at its top. This bar is labelled with up to three parts:

·"Track <number>", such as "Track 2", with the topmost track being "Track 1", the next being "Track 2", and so on;

·If the track has been assigned a name, the name is displayed after the track number;

·If the track's grid has been hidden, the label will additionally say "(hidden)".

The track bar of the currently active track is usually colored green, so as to make that track easily distinguishable from the other tracks, which are usually shown in grey. The exceptions are for locked tracks, which show in magenta if active and red if not.

Left-clicking on a track bar will hide or unhide the track, while right-clicking on one will bring up a the track bar's popup menu, which allows access to various functionality related to the track. For example, you can use the popup menu to move the track up or down in the sequence, hide or unhide the track, or duplicate the track to another track.

A sequence with two tracks, with track bars at their tops, and the track bar popup menu displayed. The first track is currently the active track, which can be seen from the fact that its track bar is green.


Track Bars' Popup Menus

If a sequence has more than one track, the Sequence Editor displays a track bar at the top of each. Right-clicking on a track bar opens up a popup menu containing various functions related to the track. These include:

· Change Track Name

· Move Track Up

· Move Track Down

· Insert Track Above

· Insert Track Below

· Duplicate Track

· Change Total Time

· Delete Track

· Lock or Unlock Channels

· Hide or Show Track

The track bar popup menu

Change Track Name

This item on the track bar popup menu can be used to change the name of the track, or assign a name if the track does not already have one. If a track is given a name, it will be displayed on that track's track bar (among other places).

This is equivalent to "Change Track Name" on the Edit menu.

Move Track Up

This item on the track bar popup menu will move the track up a single slot in the sequence.

Note that this will cause the label on the track's track bar to change - for example, if track 3 is moved up, it will become track 2, and what had been track 2 will become track 3. However, if either of the tracks have names, their names will remain the same. For example, if "Track 3: Funky Bass Line" is moved up, its track bar will be relabelled "Track 2: Funky Bass Line", and if the previous track 2 had been named "Awesome Guitar Solo", its track bar will be changed from "Track 2: Awesome Guitar Solo" to "Track 3: Awesome Guitar Solo".

Move Track Down

This item on the track bar popup menu will move the track down a single slot in the sequence.

Note that this will cause the label on the track's track bar to change - for example, if track 2 is moved down, it will become track 3, and what had been track 3 will become track 2. However, if either of the tracks have names, their names will remain the same. For example, if "Track 2: Funky Bass Line" is moved down, its track bar will be relabelled "Track 3: Funky Bass Line", and if the previous track 3 had been named "Awesome Guitar Solo", its track bar will be changed from "Track 3: Awesome Guitar Solo" to "Track 2: Awesome Guitar Solo".

Insert Track Above

This item on the track bar popup menu can be used to create a new track, via the New Track dialog, and insert that new track into the sequence just above the selected track.

Insert Track Below

This item on the track bar popup menu can be used to create a new track, via the New Track dialog, and insert that new track into the sequence just above the selected track.

Duplicate Track

This item on the track bar popup menu can be used to duplicate the selected track to a new track, which will be inserted at the bottom of the sequence.

This is equivalent to "Duplicate Track" on the Edit menu.

Change Total Time

This item on the track bar popup menu can be used to change the duration of the selected track. Note that all tracks in a musical sequence (as opposed to an animation sequence) must have the same duration, so changing the duration of one track in a musical sequence will automatically change the duration of all others.

This is equivalent to "Change Total Time" on the Edit menu.

Delete Track

This item on the track bar popup menu can be used to delete the selected track from the sequence.

Lock or Unlock Channels

This item on the track bar popup menu can be used to lock or unlock the channels of a track. When a track's channels are locked, channels cannot be added to it, removed from it, or moved within it. Also, its settings such as name, device type, unit and circuit cannot be modified from within the track (although they can be modified from within other tracks, if those other tracks are not locked).

The effects of channels in a locked track can still be modified.

A locked track's track bar will show in red instead of grey, or, if it is the active track, magenta instead of green.

Hide or Show Track

This item on the track bar popup menu can be used to hide or unhide the track's grid. When a track's grid is hidden, only the track bar will remain visible, and it will be relabelled to indicate that the track has been hidden. To unhide a track that has been hidden, click on the track bar to open the popup menu again, and select "Show Track".

You can also hide or unhide a track simply by left-clicking on its track bar.

The grid for the first track is hidden


Loop Menus

The Light-O-Rama Sequence Editor has two popup menus for dealing with loops:

First, clicking on the grid in a loop level opens the Loop Context menu (loop levels can be recognized as the rows with white background and buttons, as opposed to the light grey of channels' rows; they are located above the channels, but below the time scale). This can be used, for example, to add, delete, change, or view information about loops, as well as to add or delete loop levels.

Second, clicking on a loop level's button will bring up a menu that contains a subset of the items of the Loop Context menu. Specifically, it includes those items that deal with the loop level, as opposed to loops on that loop level.

If your sequence does not contain any loop levels, but you want to add loops to it, first use "Turn On Loops" from the Edit menu. This will insert a loop level into the sequence. Note that loops can only be used in animation sequences, not in musical sequences.

The Loop context menu


The Loop Context Menu

The Sequence Editor's Loop Context menu gives access to various loop-related functionality. It can be accessed by clicking on the grid in a loop level's row (which can be recognized by its white background, as opposed to the light grey of channels; loop levels' rows are located above the channels' rows but below the time scale).

Different menu items are available depending upon whether a loop already exists at the spot clicked; for example, if one does, there is a menu item to delete it; if none does, there is instead a menu item to insert one.

Those portions of the menu that deal with loop levels (as opposed to loops) can also be accessed by clicking on a loop level button.

The items on the menu include:

· Insert Loop

· Change Loop

· Loop Info

· Remove Loop

· Add Loop Level Above

· Add Loop Level Below

· Remove Loop Level

· Remove All Loops on Level

Insert Loop

This item on the Loop Context menu inserts a loop in the selected cell or cells on the selected loop level. After clicking it, you will first be asked how many times the loop should loop back (for example, to play through a loop twice, it should loop back once):

Looping back five times will cause six passes through the loop

After that, you will be prompted to say whether (and by how much) it should speed up, slow down, or remain at the same speed with each successive pass through the loop:

This loop will speed up by 37% with each successive pass

This menu item is available only if no loop exists in any of the selected cells on the selected loop level.

Change Loop

This item on the Loop Context menu can be used to change the settings of the selected loop - i.e. the number of times that it will loop back, and the speed change (if any) with each successive pass. Using it is very similar to using "Insert Loop"; please see that help file entry for details.

This menu item is available only if the popup menu is opened by clicking on an existing loop.

Loop Info

This item on the Loop Context menu displays information about the selected loop, such as how many times it loops back, and the speed change (if any) with each successive pass.

The Loop Info window

This menu item is available only if the popup menu is opened by clicking on an existing loop.

Remove Loop

This item on the Loop Context menu can be used to delete an existing loop.

This menu item is available only if the popup menu is opened by clicking on an existing loop.

Add Loop Level Above

This item on the Loop Context menu can be used to add another loop level to the sequence, above the selected loop level. Loops on the new (higher) level can contain loops within the preexisting (lower) level.

Add Loop Level Below

This item on the Loop Context menu can be used to add another loop level to the sequence, below the selected loop level. Loops on the preexisting (higher) level can contain loops within the new (lower) level.

Remove Loop Level

This item on the Loop Context menu can be used to delete the entire selected loop level, including all loops on it.

If you wish to delete all of the loops on a level, but to keep the level itself, use "Remove All Loops on Level" instead.

If you have removed all of the loop levels from a sequence, but later decide that you want to use loops, use "Turn On Loops" from the Edit menu. Doing so will add a loop level to the sequence.

Remove All Loops on Level

This item on the Loop Context menu can be used to delete all of the loops on the selected loop level, but to keep the loop level itself.

If you wish to additionally delete the loop level itself, use "Remove Loop Level" instead.


Loop Level Buttons

Loops in a sequence can be grouped into loop levels. Loops on a higher level can contain loops on lower levels.

In the Sequence Editor, loop levels are displayed as white rows, above the channels' rows and below the time scale. On the left of each loop level's row is that loop level's button:

Loop level buttons

The bottom loop level in a sequence is always labelled "Loop 1"; the one immediately higher than that is labelled "Loop 2", and so on.

Clicking on a loop level's button will bring up a portion of the Loop Context menu (specifically, those menu items dealing with loop levels, as opposed to loops). You can use this, for example, to delete the loop level, remove all of the loops from it, or add a new loop level above or below the selected level.

If you wish to add loops to a sequence but it does not currently have any loop levels, use "Turn On Loops" from the Edit menu. Doing so will add a loop level to the sequence. Note that this is only possible in animation sequences, since musical sequences cannot contain loops.


The Waveform

For certain types of musical sequences, the Sequence Editor can display a waveform of the audio at the top of each track. This can be useful for visually matching up timings and events to the sound. The Waveform Display supports a wide range of media types, including video media. However, not all types of media or media containers are supported. Also, the Waveform Display may not be able to be used with very large media files.

In addition to the waveform itself, a vertical highlight bar is displayed at the current time that your mouse is pointing at.

· Viewing the waveform

· Scaling up and down

· Changing the display type

· Changing the colors

A musical sequence with an audio waveform displayed

Viewing the Waveform

To view the waveform for a media file, make sure that "Wave Form" on the View menu is set to either "Full Height" or "Half Height". To hide the waveform, set it to "Off".

"Full Height" or "Half Height" determines the size of the whole display. This should not be confused with scaling up and down, which will keep the size of the display the same, but vary the size of the graph within the display.

The View Wave Form button on the Standard Toolbar can be used to toggle between "Off" and whichever of "Full Height" and "Half Height" was last selected.

Additionally, "View Wave Form by Default" in the Display Preferences dialog can be used to control whether or not a waveform will automatically be displayed whenever a musical sequence (of an appropriate type) is opened or created.

Scaling Up and Down

When displaying a waveform, the Sequence Editor tries to automatically scale the graph's vertical size so that a lot of the wave is displayed. There may be occasional spots where the wave goes past the top of the display - corresponding to very loud spots in the audio - but these should be infrequent.

However, you may want to zoom in or out. To do this, click on the "Scale Up" or "Scale Down" buttons to the left of the waveform display. Note that these buttons are visible if and only if the channel buttons are visible.

If you do zoom in or out, the Sequence Editor will remember your zoom settings for this particular sequence for whenever you open it in the future.

This should not be confused with the "Full Height" and "Half Height" options, which change the size of the entire display, rather than the size of the graph on the display.

The scaling buttons

A portion of a waveform, scaled up

The same waveform, scaled down

Changing the Display Type

By default, the waveform display is centered about a line corresponding to zero volume. Loud portions of the song will extend both far above and far below the center. This is known as "full mode".

A portion of a waveform, in full mode

Two other modes are also supported: "fold mode" and "top mode".

"Fold mode" shows zero volume at the bottom of the display, and above it shows whichever half of full mode would be larger, as if the two halves were folded at the center and lain on top of each other. It is then stretched vertically so that the full size of the display is used.

The same waveform, in fold mode

"Top mode" is similar to fold mode, except that only those portions of the display which would have been above the center in full mode are shown.

The same waveform, in top mode

To change between the modes, right-click on the wave form, and choose the desired mode from the popup menu.

The waveform popup menu, with top mode selected

When you choose a mode, the Sequence Editor automatically saves it, and uses it as the default mode in the future.

Changing the Colors

The colors used to display the waveform can be changed via the Wave Colors dialog, which can be opened by right-clicking on the waveform and selecting "Change Colors" from the popup menu:

"Change Colors" on the waveform popup menu

The Wave Colors dialog

Three different colors can be set: "Foreground" is the color of the wave itself; "background" is the field that it is drawn upon; "highlight" is the vertical bar showing the position of the mouse.

The colored buttons on the left can be used to set each of these three colors, and the display on the right shows how a sample waveform would look using these colors.

The Sequence Editor will remember the colors that you chose, so that other waveforms will automatically be displayed using those colors.

The Wave Colors dialog, with different colors chosen


The Animator

NOTE: The Animator was created before the Light-O-Rama Visualizer existed; the Visualizer is more fully featured than the Animator. The Animator is still supported so that existing sequences continue to work, but consider using the Visualizer instead of the Animator, especially for new sequences.

Each sequence can have an animation associated with it. This is a simple drawing indicating how your lights will be laid out, optionally with a background picture (such as a photograph of your house). When the Sequence Editor plays a sequence, you can display its animation, and the lights drawn on it will turn on and off, fade, shimmer, and twinkle, as your real lights will.

To view the animation for a sequence, click on the "View Animation" button in the standard toolbar, or "Animation" under the View menu. Note that the animations for multiple sequences can be viewed simultaneously, and you can control whether or not each sequence's animation is displayed independently.

During play, the Animator only redraws the animation every so often, rather than every time that something changes. This is to try to ensure that it does not use too much CPU time. You can modify the time between redraws in the Display Preferences dialog, to try to strike an appropriate balance between CPU usage and smoothness of display for your individual computer.

· Sizing the Animation

· Drawing in the Animator

· Background Images

· Showing and Hiding Controls

· Playing the Sequence

The Animator

Sizing the Animation

If your animation does not contain a background image, you can change the number of rows and columns in it by using the controls in the "Size" section of the Animator (if it does contain a background image, you will have chosen the number of rows and columns when choosing the image).

You can also zoom in and out on the animation. This does not affect the number of rows and columns; it only affects their displayed size.

Drawing in the Animator

To draw in the Animator, select "Draw" from the "Drawing" section, choose which channel or RGB channel you want to draw for (first choosing the track it is in if you have more than one), and simply click on spots in the animation that you want associated with that channel or RGB channel. You can also click and drag, to draw as if you were holding a pen down to paper.

Only a single channel or RGB channel can be assigned to a cell in the animation, so if you draw over a cell that had had another channel assigned to it, only the new channel will thereafter be assigned to that cell.

The drawing will be done in the color that you chose for the channel, or, in the case of an RGB channel, white (which will vary during play). To choose a color for a channel, see the Channel Settings dialog, the Channel Configuration screen, or "Change Color" in the channel button's right-click popup menu.

There are two ways to erase channels from a cell: First, using "Erase" from the "Drawing" section, you can erase cells in much the same way as you drew them, by clicking or clicking and dragging. Second, while "Draw" is active, you can erase by right-clicking or right-clicking and dragging.

You can also erase all cells in the sequence at once, using the "Clear All" button.

Background Images

If you wish, you can give each animation a background image. For example, using a photo of your house might make it easier to visualize how your lights will actually look when they are put on your house.

To add a background image to an animation, click on the "Select" button in the "Background Image" section of the Animator. You will be prompted to select how many rows and columns should be in the animation.

To remove an existing background image, click the "Remove" button.

The "Simulate night time" checkbox will cause the background image to appear a bit darker than it normally does, while keeping your drawing (representing your lights) at full brightness.

Showing and Hiding Controls

The various controls on the Animator, such as the "Size", "Draw", and "Background Image" sections, can be hidden by clicking on the toolbar button in the upper left corner, showing two green arrows pointing to the left. This leaves more room for the actual animation.

When the Animator has its controls hidden, two additional buttons appear on the toolbar, allowing the drawing to be resized larger or smaller.

When the controls are hidden, that button will change to show the arrows pointing to the right instead. Simply click on it again to unhide them.

Playing the Sequence

You can play a sequence (or stop play) directly from the Animator, by clicking the play and stop toolbar buttons at its top. You can also play (or stop) from outside the Animator - for example, via the Play button on the Sequence Editor's Standard toolbar.


The Beat Wizard

The Light-O-Rama Sequence Editor's Beat Wizard can analyze the song associated with a musical sequence to try to determine its tempo, and can insert timings and lighting effects into the sequence based upon it. These are not necessarily inserted exactly the same distance apart from each other; rather, the Beat Wizard attempts to match them up with peaks in the audio that are near the tempo. This is to allow for subtle variation in the speed of the song.

The Beat Wizard is available as an option when creating a musical sequence or a new track, and can later be accessed via "Beat Wizard" on the Tools menu.

The Beat Wizard supports a wide range of media types, including video media. However, not all types of media or media containers are supported. If the Beat Wizard cannot be used with the media file associated with your sequence, you will be presented with a message box alerting you to that fact. Also, the Beat Wizard may not be able to be used with very large media files.

· Selecting the Time Range

· Selecting the Tempo

· Previewing

· What To Do with Beats

The Beat Wizard

Selecting the Time Range

The Beat Wizard can try to determine the tempo of a song as a whole, or of just a portion of the song. Use the "Time Range" settings to tell it which to try. If you select a portion of the song, be sure to click the "Update" button after changing the "From" or "To" times.

Choosing a portion of the song is useful if the song's tempo changes; the Beat Wizard will be more accurate if it only is asked to operate on a section with a near-constant tempo throughout. It may also be useful if the Beat Wizard has a problem with a certain portion of a song; if the beats seem off in a particular spot, you may want to try running the Beat Wizard on that spot individually.

When the wizard is first opened, the time range will be automatically set depending upon "Use Play Range for Wizards" from the Play Preferences dialog: If this option is enabled, the range will be set to the freeform play range if one exists, or the play range as set on the Play menu if not. If the option is not enabled, the range will be set to the entire song. One exception is when the wizard is opened directly from the New Musical Sequence dialog; in this case, the range will be set to the entire song regardless of the value of "Use Play Range for Wizards".

Selecting the Tempo

The Beat Wizard shows its best guess as to the tempo of the selected portion of the song. You can choose to use that tempo, or faster or slower related tempos - for example, three times as fast, or twice as slow. Depending upon the song, one of the related tempos may seem more natural when you preview it.

Another use of related tempos is to simply insert more timings, allowing for faster lighting effects to be used that are still synchronized to the beat of the song. For example, it is unlikely that a "10x Faster" tempo will seem "more natural" in any sense, because it will probably be too quick to count along with. However, selecting it will, for example, let you set up a lighting effect with ten different channels that looks like the lights are quickly chasing each other to the beat of the music.

If a slower related tempo is chosen, you must also choose a "beat offset" to determine which beats of the "best guess" tempo will be selected: You might feel that the best guess tempo is actually twice as fast as it should be - that you would count along to it as "one - and - two - and" instead of "one - two - three - four", for example. If you therefore choose a "2x Slower" tempo, the Beat Wizard will use only every other beat from its "best guess" tempo, but it doesn't know whether to use every first beat or every second beat. So, you can let it know which to use by selecting the "beat offset".

Previewing

After you choose a tempo to use in the Beat Wizard, you can get an idea of what it will make your lights look like by using the controls in the "Preview" section. Simply click "Start" to start the preview.

The boxes to the right of the button will light up sequentially, in time with the tempo. Only the white boxes will be used; the greyed out boxes will not. However, you can choose how many white boxes there are by selecting the radio button under one of the boxes.

This allows you to make the preview section look more natural - for example, the boxes lighting up sequentially in a song that you count along with as "one, two, three, one, two, three" will look most natural if you select three boxes - doing so will make the same box light up every time you count the same number.

Clicking directly in one of the boxes will reset it so that that box lights up at that moment (and the other boxes follow sequentially from there). This is also useful for making the preview seem more natural - for example, the third box might be lighting up every time that you count "one", and if so, it might look more natural if you reset it so that the first box lights up at that time instead.

None of this has any effect on the timings or lighting effects that will be inserted into the sequence when you decide what to do with beats - it is merely to help you see how the selected tempo looks in relation to the song.

Finally, if you are unsatisfied with the selected tempo, simply choose another tempo, or choose a different portion of the song to analyze.

What To Do with Beats

When you have selected a time range and a tempo for the Beat Wizard to use, and are satisfied with it after previewing it, you can use the controls in the "What To Do with Beats" section to insert timings, lighting effects, or both, based upon the selected tempo into the sequence .

If you choose "Turn on a channel every so many beats", you will also have to specify the channel, the number of beats, and a "beat offset". For example, to make a set of four channels chase each other in time with the beat, you could:

·Select the first channel, four beats, and a beat offset of zero;

·Click "Apply";

·Select the second channel, four beats, and a beat offset of one;

·Click "Apply";

·Select the third channel, four beats, and a beat offset of two;

·Click "Apply";

·Select the fourth channel, four beats, and a beat offset of three;

·Click "Apply and Exit".

Note that you can apply multiple effects to different channels, all in the same use of the Beat Wizard, by using "Apply" multiple times. You can even apply effects based on different portions of the song or different tempos, all without leaving the Beat Wizard.


The Channel Configuration Screen

The Sequence Editor's Channel Configuration screen shows a list of the channels in a sequence, along with their properties such as their name, color, unit ID, and circuit ID. It can also be used to modify all of those properties, and it includes ways to add, change or delete channels (including all channels for a controller) and to print out a list of the channels and their properties:

· Selecting a Track

· The Channel List

· Print

· Add Controller

· Change Controller

· Delete Controller

· Add Channels

RGB channels and channel groups are not listed in the Channel Configuration screen, but their constituent channels (e.g. the red, green and blue channels which comprise an RGB channel) are.

The Channel Configuration screen can be opened via "Channel Configuration" on the Tools menu.

The Channel Configuration screen

Selecting a Track

At the top of the Channel Configuration screen is a dropdown box listing the tracks in the sequence. Only the channels in the selected track will be displayed at any given time. To view the channels in another track, simply choose that track in the dropdown box.

When the Channel Configuration screen is opened, this defaults to the currently active track.

The Channel List

The Channel Configuration screen displays each channel in the selected track on its own row, along with its various properties such as its name, color, and device type, allowing changes to be made to these properties. Note that not all properties will be available for all channels - for example, X10 controllers do not have circuit IDs, and only channels representing subsequences will allow a sequence file to be specified.

On the left of each channel's row is a red X button. Clicking this will remove that channel from the selected track. If the channel had been shared with other tracks, it will not be removed from those tracks.

Print

This button on the Channel Configuration screen will print out the channel list, including the channels' properties (such as name, unit ID, and circuit ID).

Add Controller

This button on the Channel Configuration screen can be used to add several channels to the selected track at once, all for a single controller. You can specify the type of controller, as well as its network, unit ID and number of channels. The newly created channels will automatically have their device type, network, unit ID, and circuit ID set appropriately.

The Channel Configuration screen's "Add Controller" dialog

Change Controller

This button on the Channel Configuration screen can be used to change the settings (such as unit ID) of several channels from a selected track all at once, all for a single controller. Pressing it will open the Change Controller dialog, from which you can select a controller and then change its settings.

Note: The Change Controller dialog will not change the names of your channels, even if the names are based upon the existing channel settings. For example, if you change LOR unit 03 to LOR unit 07, and the channels for LOR unit 03 had been named "Unit 03.1", "Unit 03.2", and so on, they will keep those same names, even though their actual unit IDs change from 03 to 07.

The Change Controller dialog

Delete Controller

This button on the Channel Configuration screen brings up a list of the controllers used in the selected track. You can specify whether choosing one from the list will remove all of its channels from the track (they will not be removed from any other tracks) or if it will blank out the channel settings (such as unit ID and circuit) but leave the channels in place.

The Channel Configuration screen's "Delete Controller" dialog

Add Channels

This button on the Channel Configuration screen can be used to add many channels to the selected track all at once. You will be prompted for how many channels should be added.

The newly created channels will not have any of their properties (such as device type, unit ID and circuit ID) set. If you know in advance what these properties are to be, it would probably be easier to use "Add Controller" instead of "Add Channels".


The MIDI File Wizard

The Light-O-Rama Sequence Editor's MIDI File Wizard can be used to automatically populate a musical sequence that is based on a MIDI file with timings and lighting effects based on the MIDI file itself. For example, lights can be set up to chase each other in time to the music, or to turn on and off when certain notes are played.

The MIDI File Wizard is available (for musical sequences based on MIDI files) as an option when creating a new musical sequence or a new track, and can later be accessed via "MIDI File Wizard" on the Tools menu.

The MIDI File Wizard has three main screens, each on a different tab:

The Effects Summary tab can be used to visualize the song while it is playing - for example, to see which instruments are playing what notes at what time, and to show the overall beat of the song. It can also be used to listen to only certain instruments in the song, by muting others. This tab cannot be used to insert timings or lighting effects into a sequence - instead, it is used to get an idea of how the other tabs might be used for the song.

The Various Effects tab can record timings and lighting effects based upon the beat of the song. The lights can be made to behave in a variety of ways, such as chasing each other or rotating around a tree, in various patterns.

The Individual Notes tab can be used to record timings and lighting effects based upon the notes played by individual instruments in the song. For example, a channel can be set up to turn on whenever a tenor saxophone plays a C note.

For more detailed help, please consult the help file pages for the individual tabs:

·The Effects Summary tab

·The Various Effects tab

·The Individual Notes tab

The MIDI File Wizard's Effects Summary tab


The Effects Summary Tab

The MIDI File Wizard's Effects Summary tab can be used to get an overall idea of a MIDI song. It displays, for example, which instrument is playing what note when, and the beat of the song. It can also mute instruments, so that you can listen more specifically to certain other instruments.

The Effects Summary tab cannot be used to insert timings or lighting effects into the sequence. To do that, use the other tabs of the MIDI File Wizard - the Various Effects tab and the Individual Notes tab.

To use the Effects Summary tab, simply hit "Play". The song will begin playing, and the controls on the tab will start lighting up to represent what's happening in the song. The boxes in the "Various Effects" section will light up to represent the beat of the song; the "General Instruments" section will show which instruments are playing which notes when; the "Percussion Instruments" section will show which percussion instruments are playing at what times.

You can choose to mute certain instruments, by selecting the "Mute" radio button next to each, so as to listen more closely to other instruments.

You can also superimpose clicking beat sounds over the song, to more clearly hear where the beat is falling, by checking the "Beat Sound" checkbox in the "Beat Adjuster" section.

The MIDI File Wizard's Effects Summary tab


The Various Effects Tab

The MIDI File Wizard's Various Effects tab can be used to populate a sequence with timings and lighting effects based upon the beat of a MIDI file's song. For example, lights can be made to chase each other, in a variety of patterns, to the beat of the song.

The MIDI File Wizard's Various Effects tab, recording a rotating tree effect

There are three main types of effect patterns that can be made here:

· Canned Chase Sequences

· Custom Chase Sequences

· Rotating Tree Effect

There are two ways to use the tab - while recording effects and while not recording effects. By default, hitting "Play" will play the song, and let you choose patterns for the lights, but no effects will be recorded to be inserted into the sequence. This allows you to adjust the patterns to your liking before actually recording effects.

Adjustments can also be made while recording, but the main type of effect must be chosen before recording begins.

To play without recording, simply hit the "Play" button.

To record, first select the type of behavior you want to record (such as a canned chase sequence or a rotating tree effect). Choose the specific details of the behavior as well (for example, if you choose a canned chase sequence, also choose how many channels to use and how many of them should be on at any given time).

Next, select which channels from the sequence the effects will be recorded into, using the "Channel Selection" section (which is on the right). Each type of effect has a different number of channels required; you will not be allowed to record effects until the full number of required channels has been assigned. You can select a channel from the dropdown list, and add it to the selected channels by pressing "Add One", or you can add several channels at once (starting with the selected channel) by pressing "Add a Group". At the bottom of the "Channel Selection" section are buttons enabling you to remove a channel from the selected channel list, or to clear the entire list.

Next, click the "Record" button. If you have not assigned the required number of channels, you will be told that you cannot record until you do so. If, however, you have, the "RECORDING" label (near the top) will turn red, and you can then hit "Play" to actually play the sequence and record effects.

During recording, you can make adjustments to the pattern, such as doubling its speed or reversing its direction, using the controls in the "Adjustments" section. These adjustments are done in real time, so, for example, you can record some of the pattern at normal speed, and then a minute into the song, switch the pattern to double speed; the events recorded in the first minute will still be at normal speed.

After play ends (either at the natural end of the song or by hitting "Stop"), hit "Record" again (at which point the red "RECORDING" label will turn off), and "Save" to save the recorded effects to the sequence. Or, if you were not satisfied with the recorded events, you can hit "Clear" to get rid of them.

Canned Chase Sequences

The Canned Chase Sequences section of the MIDI File Wizard's Various Effects tab can be used to set up several channels of lights to chase each other - e.g. one turning on, then the next turning on while the first turns off, then another turning on while the second turns off, and so on.

Using the dropdown box in this section, you can choose how many channels will be involved in the chase, and how many of them will be on at any given time.

You can adjust the behavior of the chase - for example reversing its direction or speeding it up - using the controls in the Adjustments section. This can be done both before and during play, and before and during recording.

For more control over the behavior of a chase sequence - for example, to use more channels, or to use a different pattern for which channels are on at any given time - use Custom Chase Sequences instead.

Custom Chase Sequences

The Custom Chase Sequences section of the MIDI File Wizard's Various Effects tab can be used to set up several channels of lights to chase each other - e.g. one turning on, then the next turning on while the first turns off, then another turning on while the second turns off, and so on. This is similar to the Canned Chase Sequences section, except that it is more flexible whereas the Canned Chase Sequences section is simpler to use.

In this section, you can select the number of channels involved in the chase, and, in the "Pattern Selector" section, choose how many channels will be on at any given time, and how far apart channels that are simultaneously on will be from each other.

You can adjust the behavior of the chase - for example reversing its direction or speeding it up - using the controls in the Adjustments section. This can be done both before and during play, and before and during recording.

Rotating Tree Effect

The Canned Chase Sequences section of the MIDI File Wizard's Various Effects tab can be used to set up several channels of lights set up as vertical sections of a tree to rotate around the tree.

You can select how many channels to use, and then use the "Pattern Selector" section to define how many of them will be on at any given time, and how far apart simultaneously on channels will be.

The "Opposite Sides Connected" checkbox can be used to see how the lights will look if each single channel of lights is actually draped over the tree from one side to the opposite side, rather than each running down only one side of the tree.

You can adjust the behavior of the chase - for example reversing its direction or speeding it up - using the controls in the Adjustments section. This can be done both before and during play, and before and during recording.

Adjustments

The Adjustments section of the MIDI File Wizard's Various Effects tab can be used to adjust the behavior of the selected effects pattern in various ways. This can be done both before and during play, and before and during recording.

Checking the "Double Speed" checkbox will cause the pattern to start going twice as fast as the beat of the song; unchecking it will bring the pattern back to its normal speed.

"Reverse" will make the pattern go in the opposite direction.

"Back & Forth" will cause the pattern to periodically reverse directions. Exactly how often it does so can be set using the "Back & Forth Counts" section.


The Individual Notes Tab

The MIDI File Wizard's Individual Notes tab can be used to populate a sequence with timings and lighting effects based upon the notes that are played in a MIDI file's song. For example, lights can be made to flash whenever a trombone plays a G note.

The MIDI File Wizard's Individual Notes tab

There are two ways to use the tab - while recording effects and while not recording effects. By default, hitting "Play" will play the song, and let you choose patterns for the lights, but no effects will be recorded to be inserted into the sequence. This allows you to adjust the patterns to your liking before actually recording effects.

To play without recording, simply hit the "Play" button.

To record, first select the instrument that you wish to record. The notes that that instrument uses in this song will be displayed as black boxes in the "Notes To Record" section, with white X marks in them.

Next, select the number of channels that you wish to use for the recording. If you choose a number less than the full number of notes that the instrument uses in the song, some of the white X marks will go away; the same number will be left as the number of channels that you selected. Those white X marks indicate the notes that will actually be recorded - one note per channel. They are decided based upon how often each note is played by the instrument in the song; the most frequently used notes will be recorded.

Next, a couple of options can be selected, if you wish:

·Selecting "Minimum On Centiseconds" will force any channel that turns on to stay on for at least the specified duration. This prevents very fast notes from causing your lights to blink very quickly.

·"Map Unselected Notes by Octave" can be used to record notes of the same pitch class into a single channel. For example, if an instrument uses two or more different F-sharp notes (in different octaves) during the song, and you have not specified enough channels to record them individually, then if a F-sharp that is not directly mapped to a channel is played, but another F-sharp is mapped to some channel, then that note will be recorded into the channel assigned to the closest F-sharp having a channel.

Next, select which channels from the sequence the notes will be recorded into, using the "Channel Selection" section (which is on the right). You will not be allowed to record effects until the full number of required channels (which you chose in the previous step) has been assigned. You can select a channel from the dropdown list, and add it to the selected channels by pressing "Add One", or you can add several channels at once (starting with the selected channel) by pressing "Add a Group". At the bottom of the "Channel Selection" section are buttons enabling you to remove a channel from the selected channel list, or to clear the entire list.

Next, click the "Record" button. If you have not assigned the required number of channels, you will be told that you cannot record until you do so. If, however, you have, the "RECORDING" label (near the top) will turn red, and you can then hit "Play" to actually play the sequence and record effects.

After play ends (either at the natural end of the song or by hitting "Stop"), hit "Record" again (at which point the red "RECORDING" label will turn off), and "Save" to save the recorded effects to the sequence. Or, if you were not satisfied with the recorded events, you can hit "Clear" to get rid of them.


The Tapper Wizard

The Light-O-Rama Sequence Editor's Tapper Wizard is a tool that lets you populate a musical sequence with timings and lighting effects simply by tapping along with the song, on your keyboard or your mouse. The Tapper Wizard will remember the moments in the song that you tapped at, and will insert timings and effects into the sequence at those times.

The Tapper Wizard is available as an option when creating a new musical sequence or a new track, and can later be accessed via "Tapper Wizard" on the Tools menu.

The Tapper Wizard has the following sections and controls:

· Play Options

· What to Do with Taps

· Input Options

· Start and Stop

· Play Back

· Tap

· Apply

· Undo and Redo

· Apply and Exit

· Exit

The Tapper Wizard

Play Options

This section of the Tapper Wizard lets you control how the song will be played while you are tapping. You can select to play the entire song, or just a certain time range of the song; you can also choose the speed at which the song will be played - half speed, normal speed, or double speed.

When the wizard is first opened, the time range will be automatically set depending upon "Use Play Range for Wizards" from the Play Preferences dialog: If this option is enabled, the range will be set to the freeform play range if one exists, or the play range as set on the Play menu if not. If the option is not enabled, the range will be set to the entire song. One exception is when the wizard is opened directly from the New Musical Sequence dialog; in this case, the range will be set to the entire song regardless of the value of "Use Play Range for Wizards".

What to Do with Taps

This section lets you tell the Tapper Wizard what you want it to do with your taps. You can choose the track and the timing grid to apply the taps to (or create a new timing grid to use), and then choose to insert timings into the timing grid, or to insert lighting effects into a channel of the track, or both.

If you choose to insert lighting effects into a channel, you can either have the channel briefly turn on for each tap, or you can choose to have it toggle on with one tap, off with the next, on with the third, and so forth. If you choose to have it turn briefly on for each tap, you can additionally choose to have it fade off after the tap (otherwise it will simply turn off).

You also have the option to "snap to existing events". If you select this option, and you tap at a point in time that is near an existing timing (with "near" meaning within the number of hundredths of a second that you specify here), instead of using the exact time that you tapped, the Tapper Wizard uses the time of that timing. This makes it easier to cleanly use the Tapper Wizard multiple times on the same sequence (for different channels), without introducing minor timing errors based upon your reaction time.

After you have done your tapping, and used this section to tell the Tapper Wizard what to do with your taps, click "Apply", or "Apply and Exit" to apply them to the sequence. If you clicked "Apply" rather than "Apply and Exit", then the Tapper Wizard will remain open. At this point, you could change your settings in this section to apply your existing taps in a different way (such as to a different channel, or with different types of effects), or you could tap again (by hitting "Start" again) to collect new taps. You could also undo and redo any changes that the Tapper Wizard made to your sequence.

Input Options

This section of the Tapper Wizard allows you to control how you will tap.

You can use the mouse, or the keyboard, or both.

If you use the mouse, you have two options: pushing the mouse button down and then letting it up count as two separate taps, or as a single tap. To use the mouse, you must click on the Tap button.

If you use the keyboard, you can tap with practically any key, or even multiple keys.

You can also choose whether to use a countdown or not; if you do, then when you start the song (by clicking Start), a countdown will be displayed before the song begins, rather than starting immediately. This may give you time to get ready after clicking "Start".

Start and Stop

Use these buttons to start playing the song (or to start the countdown before play), and to stop the song. When the song begins, the Tap button will become enabled. When the song ends, you do not have to use the Stop button; the Stop button is for stopping the song in the middle, for example if you are unhappy with the taps that you made.

After the song ends (or after you hit Stop), you can click Start again in order to redo your taps. This will wipe out any previously recorded taps. You will be warned that they will be wiped out, and will be given an option to cancel.

You can also redo your taps after having applied them to the sequence. This lets you use different sets of taps for different purposes, all without closing the Tapper Wizard.

Tap

While a song is playing, the Tap button is enabled. Every time that you tap (whether by mouse or by keyboard), it will provide feedback by briefly flashing.

Play Back

After you have recorded taps, you can click "Play Back" to play the song over again. The Tap button will flash at the points in time that you tapped. You can use this to double check that you are satisfied with your taps before entering them into the sequence (by clicking the Apply button); if you are not satisfied with them, you can wipe them out and try again by hitting the Start button again.

Apply

After you have tapped, and have told the Tapper Wizard what to do with the taps, click the Apply button to apply those taps to your sequence.

Note that you can then change the settings in the "What To Do with Taps" section, and click Apply again; this will apply the new settings, using the same taps, to the sequence.

Or, you could click Start again, to collect new taps. Your old taps will be deleted when you do this, but any timings or effects that you inserted into the sequence based on them will remain. In this way, you can use different sets of taps to do different things, all without closing the Tapper Wizard.

Undo and Redo

After applying your taps to the sequence, you can use these buttons to undo and redo any such applications, without exiting from the Tapper Wizard.

Apply and Exit

Clicking the Tapper Wizard's Apply and Exit button will apply your taps to the sequence, in the manner that you specify in the "What To Do with Taps" section, and then exit from the Tapper Wizard.

If you want to apply your taps without exiting the Tapper Wizard, so that you can apply them again using new settings, or so that you can collect different taps, use the Apply button instead.

Exit

This button simply exits from the Tapper Wizard, without applying your taps to the sequence. Note, though, that if you have already applied your taps (using the Apply button), they will remain in your sequence; using this button (instead of Apply and Exit) will prevent your taps from being applied again.

For example, if you apply your taps, then change the settings in the What To Do with Taps section, and then click Exit, your applied taps, based on your original settings, will remain in the sequence, but your taps will not be reapplied based on the changed settings.


The VU Wizard

The Light-O-Rama Sequence Editor's VU Wizard can analyze the song associated with a musical sequence to try to find peaks in the audio - much like a VU meter - and can insert timings and lighting effects into the sequence based upon them.

The VU Wizard is available as an option when creating a musical sequence or a new track, and can later be accessed via "VU Wizard" on the Tools menu.

The VU Wizard supports a wide range of media types, including video media. However, not all types of media or media containers are supported. If the VU Wizard cannot be used with the media file associated with your sequence, you will be presented with a message box alerting you to that fact. Also, the VU Wizard may not be able to be used with very large media files.

· Selecting a Time Range

· Attack and Decay Settings

· The Peak Threshold

· Preview

· What To Do with Peaks

The VU Wizard

Selecting a Time Range

You can choose to let the VU Wizard look for audio peaks throughout the entire song, or limit it to a specific portion of the song. If you choose to use only a portion of the song, be sure to hit the "Update" button after setting the "From" and "To" times.

When the wizard is first opened, the time range will be automatically set depending upon "Use Play Range for Wizards" from the Play Preferences dialog: If this option is enabled, the range will be set to the freeform play range if one exists, or the play range as set on the Play menu if not. If the option is not enabled, the range will be set to the entire song. One exception is when the wizard is opened directly from the New Musical Sequence dialog; in this case, the range will be set to the entire song regardless of the value of "Use Play Range for Wizards".

Attack and Decay Settings

These two values determine how quickly the VU Wizard will react to changes in the audio volume. "Attack" is how quickly it reacts to increased volume, and "Decay" is how quickly it reacts to decreased volume. The higher the number, the more slowly it reacts to changes.

You can enter specific numbers (make sure to hit "Update" if you do), or you can use one of the "Preset" buttons to simulate common types of audio meters:

·"VU Meter" simulates a standard VU meter, as often found on home stereo systems.

·A "Peak Program Meter" reacts very quickly to increased volume, but very slowly to decreased volume. This causes peaks to last longer.

·A "Peak Meter" reacts instantaneously to changes in volume.

Peak Threshold

Using the Peak Threshold section, you can tell the VU Wizard to look for audio peaks on either the left stereo channel or the right stereo channel, or on the sum of the two.

The selected stereo channel (or channels) has a thick black bar in its row. This bar represents the threshold for what will be considered a peak. Above the bar is a peak; below the bar is not. The bar can be slid left and right to increase and decrease the threshold.

The "Time On" percentage displayed in this section shows the percentage of the selected time range that is above the specified peak. Updating any of the settings such as the peak threshold, the attack and decay, or the time range will cause the "Time On" percentage to be automatically updated as well, taking the new settings into account.

When you play the song (using the "Preview" section), the rows will pulse along with the audio volume, showing blue starting at the left and continuing rightwards based upon how loud the audio is at any given point in time. When the selected stereo channel (or channels) is above the threshold, it will turn red instead of blue.

Note that this is strongly affected by the attack and decay settings - lower values will cause the pulsing to react more slowly to the music, and higher values more quickly. Try playing with the various "Preset" buttons to see this.

Preview

Clicking the Start button in the VU Wizard's Preview section plays the song, and pulses the rows in the Peak Threshold section along with the audio. It also flashes the box in the Preview section whenever the pulse is above the selected threshold.

You can change both threshold settings and the attack and decay settings during preview, and the VU Wizard will react instantly to such changes. However, only the final settings will be used when you apply the peaks to the sequence (using the "What To Do with Peaks" section).

What To Do with Peaks

Once you are satisfied with the peaks found using your chosen attack and decay settings and peak threshold settings, you can apply the peaks to the sequence using the "What To Do with Peaks" section of the VU Wizard. You can insert a timing every time the threshold is crossed (no matter whether from below or from above), or turn a selected channel on whenever above the threshold, and off whenever below, or both.

You can reuse the VU Wizard for multiple channels (and multiple settings) without closing it by clicking "Apply" rather than "Apply and Exit".


Freeform Play Mode

In addition to the various play ranges available on the play menu, the Sequence Editor also supports another way of playing a sequence, using the space bar on the keyboard.

When the space bar is pressed, the current sequence will start playing, starting at the start of the current selection and ending at the end of the sequence (this is equivalent to "From Selection" play mode). Pressing space again will stop play, and the selection will be changed to the spot where play stopped. So pressing it a third time will start the sequence again, approximately where you had stopped it. This can be used to effectively pause and unpause play.

However, the space bar may have a different meaning, allowing play in another way:

During play, pressing the keyboard's down arrow will mark the current time as the start of a "freeform play range". Later pressing the up arrow will mark the current time as the end of the freeform play range. The freeform play range is displayed with a slightly darker grey background color for its cells:

A sequence with a freeform play range starting at about 37 seconds

If the space bar is used to start play while a freeform play range has been selected, then instead of playing in "From Selection" mode (as described above), it will play from the start of the freeform play range to the end of it.

Using "shift-space" instead of "space" to start play will first get rid of any freeform play range that may be selected. The freeform play range can also be removed (without starting play) by selecting "Clear Freeform Play Range" from the right-click context menu.

The freeform play range can also be selected (while not playing) by clicking and dragging the mouse on the time scale, or cleared by clicking (and not dragging).

Note that using the space bar to play does not affect the currently selected play mode from the play menu, so playing in any other way (such as using the Play button on the Standard toolbar) will still use the last-selected play mode.


Intensity File Section

If a sequence has any associated intensity files, information about them will be displayed in the Sequence Editor in an additional track-like section, displayed after all of its actual tracks, entitled "Pixel Editor and SuperStar Props". The section cannot be used to modify the intensity file - that must be done through the Light-O-Rama Pixel Editor or the Light-O-Rama SuperStar Sequencer - but it does give some information about the intensity files. When the sequence is first opened, it will look something like this:

Each of the two lines in the above example represents a single intensity file associated with the sequence - "PE Props" is the intensity file created by the Pixel Editor, and "SS Props" is the intensity file created by SuperStar. Had there been only one intensity file associated with the sequence, only one of the lines would be present.

The pattern to the right does not indicate anything in particular, other than the fact that this is the Pixel Editor and SuperStar Props section; it is intended to make it clear at a glance that this is not really a track.

The section can be hidden as if it were a track, by clicking on the bar at its top. To unhide, click the bar again.

Each line in the section can be expanded (via the "+" button) to show the list of props that are included in the intensity file. For example, clicking on the "+" in the "PE Props" line yields this:

This particular intensity file has two props, entitled "DMX Universes Artifact" and "Light-O-Rama Units Artifact". These are arbitrary names chosen by the author of this particular intensity file; the names will be different in other intensity files. Also, this example should not be taken to imply that an intensity file will necessarily have exactly two props, or that props in an intensity file must be split up into DMX props and LOR props - there is no reason why different types of controllers cannot be "mixed" in the same prop.

Clicking on one of the buttons will open a dialog showing the various devices that are used in the various props:


Comm Status Panel

In the bottom right corner of the Sequence Editor is a small colored square representing the status of various networks. The color of the square varies with the status: Blue means everything is good, red means something is wrong, and orange means various miscellaneous other things (for example, Control Lights is disabled). Hovering over the panel will bring up a tooltip giving more information; for example, hovering over it while it is red will bring up a tooltip listing which networks are down.

In the case of LOR enhanced networks and DMX, the status reflects whether or not the Sequence Editor is successfully communicating with the Comm Listener. The Comm Listener is what is responsible for directly communicating with such networks, and the Sequence Editor's status panel does not necessarily indicate that the Comm Listener is doing so successfully. Check the Comm Listener itself for that information.

At this time, only the statuses of LOR networks and DMX are taken into account; the statuses of other networks, such as Dasher, X10, Digital IO, and BSOFT Digital IO, are not reflected here.


SuperStar Sequencer

The Light-O-Rama SuperStar Sequencer can be used as a sort of front end to the Light-O-Rama Sequence Editor, to create sequences for Cosmic Color Ribbons or other lights visually instead of using a channels-versus-time grid. For more information, please see the following pages:

· Welcome

· Overview

· Instant Sequences

· Custom Sequences

· Visualization Sequences

· Summary of Commands and Keyboard Accelerators

· Purchased Sequences


Welcome

In the SuperStar Sequencer, you can create:

· Instant Sequences

· Custom Sequences

· Visualization Sequences

· A quick visualization

Instant Sequences

Create sequences in seconds using the Instant Sequence feature by simply doing the following:

·Press Ctrl+I to launch the Instant Sequence dialog box; use the three buttons in the lower left of the dialog box.

·Click on the "Open Audio File" button to open your audio file.

·Click on the "Sequence All" button.

·Click on the "Play/Stop All" button.

Custom Sequences

Create custom sequences like the ones that can be seen on the Light-O-Rama website. These sequences were created using scenes, morphs, images, and text actions, which you can learn about in this help file.

Visualization Sequences

Using the visualization sequences feature, you can sequence all of your lights using the SuperStar Sequencer. After creating a visualization file using the Light-O-Rama Visualizer, you can import the file into SuperStar by clicking on the File menu and selecting "Import Visualization". Apply effects to your lights and play them back. You can even use the Instant Sequence feature on the visualization.

Create a Quick Visualization

Want to use the "Instant Sequence" feature but don't have a visualization of your lights? SuperStar can create a quick visualization file for you.

·Click on the Tools menu and select "Create Quick Visualization"

·Place a checkmark by each controller that you have. If necessary, change the settings for each controller.

·Click on "Create QuickVis", and it will create a visualization file named "QuickVis.lee". The visualization will be a grid of lights where each light represents a channel. With this grid of lights, you can now use Instant Sequence to create a sequence for your lights.


Overview

This page gives an overview of the Light-O-Rama SuperStar Sequencer:

· A new approach

· Exporting a sequence

· Exporting in the new intensity data format

· Playing a sequence exported as intensity data

· Exporting in the legacy format

· Merge Intensity Data Files

· Playing a sequence exported in legacy format (play as a standalone sequence)

· Playing a sequence exported in legacy format as a subsequence

· Floating windows

· Placing a sequence exported in legacy format into your main sequence using "Copy/Paste"

· Things to note

· The Demo version

· Default layout

· PowerPoint presentations

A New Approach

The SuperStar Sequencer is a new approach to light sequencing. Think of the SuperStar Sequencer as a "front end" to the Light-O-Rama Sequence Editor. A series of effects are created and can be played to the computer screen, but to play the sequence to your Cosmic Color Ribbons or other lights, you export the SuperStar sequence to a file that the Sequence Editor can play.

If the exported file is from a Visualization Sequence and the SuperStar sequence contains all you lights, then you can play the file as a standalone sequence, simply by opening the exported file in the Light-O-Rama Sequence Editor and playing it.

If the exported file only contans the CCRs of the sequence, then the exported file can be played in one of three ways:

· As a standalone sequence (just load the file into the Sequence Editor and play it).

· As a subsequence in your main sequence.

· Place the sequence into your main sequence using copy and paste in the Sequence Editor.

Exporting a Sequence

To export a sequence, click on the File menu and select "Export to Sequence Editor". The "Export to Sequence Editor" dialog box will appear.

·"Export in Legacy Format": Legacy format is the format that was always used prior to the S4 release. Use this option to export in the same way that was always used prior to the release of S4.

·“Include Macro Channels for Cosmic Color Devices”. Light-O-Rama Cosmic Color Devices have seven macro channels. Superstar does not use the macro channels, but the default is to include them in the export. If you use copy/paste into a main sequence, the main sequence will have the macro channels and it is important for the source and destination of the copy/paste to match. If you are using RGB pixel devices not made by Light-O-Rama they will not have macro channels. If you are using copy/paste to get the exported sequence into the RGB pixels you will not want the macro channels in the export.

·"Export in New Format (as Intensity Data)": This option will export in the new format as intensity data. All of the exported data will appear as one line at the bottom of the sequence in the Sequence Editor. The new intensity data format is designed to better support large numbers of channels and pixels. The intensity data format is also very handy because it automatically gets merged in with your main sequence and will play alongside your main sequence. Please note that you must have a Pro level license in order to use intensity data.

·"Add Intensity Data to Existing Sequence": Choose this option if you already have a main sequence and you want to add the exported data to the existing main sequence.

·"Add Intensity Data to New Sequence": Choose this option if you want to add the intensity data to a new sequence. SuperStar will create a new Sequence Editor sequence with a main body that is empty and will add the intensity data to it. You can then play the sequence. This is a way to play the exported sequence as a "stand alone"sequence.

Exporting in the New Intensity Data Format

Intensity data gets placed on a line at the bottom of a Sequence Editor sequence. The intensity data is played alongside the rest of the sequence so it automatically gets merged with the rest of the sequence. Note that the intensity data should not send commands to any of the same channels that are in the main sequence.

Playing a Sequence Exported as Intensity Data

Launch the Light-O-Rama Sequence Editor. Click on the "Existing Sequence" tab. Select the file you exported, and click on the "OK" button. Click on the Play button.

Exporting in the Legacy Format

If the name of your SuperStar sequence was “MyAwesomeSequence.sup” then the default name for the exported sequence will be “MyAwesomeSequence_sup.lms.” You can change the name if you wish.

When use the legacy format you can play it as a stand-alone sequence. This is relatively simple to do and is described below.

To combine a legacy format sequence with a main sequence you can use the subsequence method, or the copy/paste method. These two methods are described below:

Merge Intensity Data Files

The Sequence Editor will only play one SuperStar intensity data file for any given sequence. In a large light display, you may have more than one mega tree or matrix, and you might sequence each of them separately. To be able to use intensity data for all of them, you can merge the intensity data files together:

First, export each piece of your display as an intensity data file by doing the following:

First, export the individual pieces:

·Click on the File menu and select "Export to Sequence Editor"

·Select "Export in New Format (as Intensity Data)"

·Select "Add Intensity Data to New Sequence"

·Click on "OK", and type in a file name and export to that file name.

·Do this with each piece of your display that you sequence separately.

Next, merge them together:

·Click on the File menu and select "Merge Intensity Data Files"

·Click on the "Select Intensity Data Files to Merge" button

·In the dialog box that appears, select two or more files (using Ctrl + left mouse click)

·Select "Add Merged Intensity Data to Existing Sequence" or "Add Merged Data to New Sequence"

·Click on OK.

Finally, launch the Sequence Editor and open the sequence with the merged intensity data. You should see a light blue colored line at the bottom of the sequence that says "Pixel Editor and SuperStar Props", and below that you should see a row labeled "SS Props". The "SS Props" line is the merged intensity data.

Playing a Sequence Exported in Legacy Format (Play as a Stand-alone Sequence)

Launch the Light-O-Rama Sequence Editor. In the New and Open dialog, click on the "Existing Sequence" tab. Select the file that you exported from the SuperStar Sequencer (in the example given above, the exported file name was "MyAwesomeSequence.sup.lms"). Click on the "OK" button, and then click on the Sequence Editor's "Play" button.

Playing a Sequence Exported in Legacy Format as a Subsequence

To use an exported SuperStar sequence as a subsequence, launch the Light-O-Rama Sequence Editor. Open your sequence that you want to put the exported sequence into as a subsequence. Insert a new channel into the sequence, and click on that channel's button to open up its Channel Settings dialog.

Change the channel's device type to "Sequence", and then click on the "..." button (near the bottom, on the "Sequence" line) to select the file that you exported from SuperStar (in the example above, "MyAwesomeSequence.sup.lms"). Also change the channel's name and color if you wish.

The subsequence will be played only while the grid boxes for this channel are on, so use the Sequence Editor's On tool to turn them on for the time range (or ranges) that you want. For example, to play the subsequence throughout the entire sequence, select the entire row, and apply the On tool to it.

The main sequence and the subsequence should not both try to control the same lights; it is recommended that any circuits referred to in the subsequence are removed from and kept out of the main sequence. Doing otherwise may cause unpredictable results.

Floating Windows

When using a large number of CCRs, or when importing a visualization of a large display, the sequencing grid and/or the visualization in SuperStar can become small. You can put the sequencing grid and the visualization each in their own window. That way you can place them where you want, and size them how you want. And if you have two monitors, you can put one of them in each monitor.

To activate floating windows, click on the "View" menu and select "Floating Windows".

Placing a Sequence Exported in Legacy Format into Your Main Sequence Using "Copy/Paste"

To place an exported SuperStar sequence into a main sequence using copy and paste, launch the Sequence Editor and open the sequence that you exported from SuperStar, and select all channels in it, from the beginning to the end. Copy them.

Next, make sure that your Clipboard's paste mode setting is set to Paste by Time.

Then open your main sequence. Define the CCR channels in it (for example, using the "Cosmic Color Device" option of the Insert Device dialog - use a resolution of 50 pixels, native mode for the unit IDs, and triples for the channel mode). Define one such CCR in the sequence for every CCR that you have in SuperStar. Select the first cell in the first row of the CCR channels that you added, and paste.

If the sequence has some star channels, copy and paste them in a similar manner.

Things To Note

Demo Version

The Demo version of the SuperStar Sequencer will not export sequences. However, all other functionality is the same as the paid verisons. You can sequence to any number of ribbons and save the sequence in the SuperStar format; you just can't export those SuperStar sequences to the Sequence Editor.

Default Layout

The default layout is 12 Cosmic Color Ribbons (CCRs) with a star at the top. The star is optional, and the number of ribbons is configurable from 1 to 64. To change the configuration, click on the Tools menu and select "Configuration".

PowerPoint Presentations

There are PowerPoint presentations related to SuperStar which you can download from the Light-O-Rama website.


Instant Sequences

Using the Light-O-Rama SuperStar Sequencer, you can now create a sequence in seconds using the "Instant Sequence" feature. This is a first for the home light show industry.

· Creating an instant sequence

· Timing map description

· Apply different sets of theme, color, and movement to different parts of the song

Creating an Instant Sequence

Click on the Tools menu and select "Instant Sequence..." (or you can press Ctrl+I), which will open the Instant Sequence dialog. In the lower left of the Instant Sequence dialog, click on the "Open Audio File" button. Then click on the "Sequence All" button. The effects for a sequence will appear in the time layers. Click on the "Play/Stop All" button.

Was that totally awesome or what! The timing marks were created by analyzing the audio file. The sequence was created using the timing marks and the theme, color and movement variations that you see in the dialog box. Now let's create another sequence:

Click on the "Roll Dice" button to get a random set of theme, color, and movement variations. Click on the "Sequence All" button; it will ask you if you want to erase the current sequence without saving (answer "Yes"). Click on the "Play/Stop All" button.

"Roll Dice" is the easiest way to try different TCM ("theme, color, movement") settings, but you can set them manually also:

·Theme: The theme contains one or more effects. These effects are placed at each trigger. For example, "3 Segs" is made of three scenes that will place segments onto the ribbon, with segments having gaps between them. "1 Morph Full Length" has one morph in it which is always assigned to span the entire length of the ribbon. "Morphs colliding" is two morphs, each morph being half the length of the ribbon, with the two morphs coming towards each other and stopping when they meet each other. The best way to see what each morph is is to try it out and play it back.

·Color: This setting controls the colors assigned to the theme:

·Native: The theme uses the colors that the effect was created in. Most themes were created using red. If the theme has more than one effect, then it may have other colors. For example, the three segments in "3 Segs" were created using red, green, and blue, and so using Native for "3 Segs" will result in all of the effects being red, greeen, and blue.

·RGBW by group: This setting will take each group of effects in the theme and assign red, then green, then blue, then white to them. For example, if using the "3 Segs" theme, all three scenes in the theme will be red the first time the theme is triggered, green the second time, blue the third time, and white the fourth time. The fifth time, it will cycle back to red.

·RGBW by effect: This setting will take each effect in the theme and assign red, then green, then blue, then white to them. For example, if using the "3 Segs" theme, the first time the theme is triggered, the first scene will be red, the second green, and the third blue. The second time the theme is triggered, the first scene will be white, the second red, and the third green. The end result is that RGBW by effect results in more colors than RGBW by group. Note that if the theme has only one effect in it, there will be no difference between RGBW by group and RGBW by effect.

·Color wheel by group: This works similarly to RGBW by group, except it cycles through 21 different shades of colors in the color wheel when assigning a color to the group of effects in a theme.

·Color wheel by effect: This works similar to RGBW by effect except it cycles through 21 different shades of colors in the color wheel when assigning a color to individual effects in a theme.

·Custom Colors by group: This works similar to RGBW by group except it cycles through the custom colors chosen for this TCM. For example, to choose the custom colors for TCM 1 click on the “Set Custom Colors 1” button.

·Custom Colors by effect: This works similar to RGBW by effect except it cycles through the custom colors chosen for this TCM. For example, to choose the custom colors for TCM 1 click on the “Set Custom Colors 1” button.

·Red, Orange, Yellow, White, Green, Blue, Purple: Select any of these colors to make all effects in the theme be that color

·Color by time: This setting can only be used when color is set to RGBW by group, RGBW by effect, Color wheel by group, or Color wheel by effect. With this setting, you choose a length of time for all of the effects in the theme to change color. For example, if you select "every 4 seconds", then instead of changing color at each trigger, the theme will change every four seconds.

·Movement: This setting controls the start and end point of the effects in the theme.The first drop-down list is the movement type. The second drop-down list is the movement speed:

·None: The theme will start and end at the same location every time it is triggered. Note that "None" does not mean that the theme will have no movement; it just means that the start and end of its movement does not change.

·Right same row: Move the start and end points of a theme to the right every time it is triggered. When a start or end point reaches the end of the ribbon it wraps around to the beginning. The themes that contain effects that span the entire length of the ribbon are special cases. For those effects assigning any movement other than “None” will make them alternate directions. “1 morph full length” is an example of a theme that always spans the entire length of the ribbon.

·Left same row: Same as “Right same row” except the start and end points of the theme move to the left.

·Up same column: Same as “Right same row” except the start and end points of the theme move up.

·Down same column: Same as “Right same row” except the start and end points of the theme move down.

·Pass by: The start: point is moved at a faster pace than the end point so that it “passes by” the end point.

·Random same row: The start and end points are random on the same row

·Right multi-row: The start and end points move to the right. When the end of a row is reached, the point moves down to the next row. When the end of the bottom row is reached it wraps back up to the top row.

·Left multi-row: The start and end points move to the left. When the left end of the row is reached the point moves up to the next row. When the end of the top row is reach it wraps down to the bottom row.

·Up multi-column: The start and end points move up. When the top column is reached it wraps to the next column to the right. When the top of the last column is reached it wraps to the first column on the left.

·Dn multi-column: The start and end points move down. When the bottom column is reached it wraps to the next column to the left. When the bottom of the beginning column is reached it wraps to the last column on the right.

·Snake up: The start and end points move to the right and then when the end of the row is reached it moves to the next row up, and then moves to the left until it reaches the beginning of that row and then moves up and starts moving to the right and so on.

·Snake dn: The start and end points move to the right and then when the end of the row is reached it moves to the next row down, and then moves to the left until it reaches the beginning of that row and then moves down and starts moving to the right and so on.

·Random Rows: The start and end points move to random rows. In other words, the start and end points will always be on the same row, but the row they are on will be random.

·Random Points: The start point is at a random location, and the end point is at a random location.

·VU Meter: Makes the triggers behave like a VU Meter at the top of the ribbons. A VU Meter is a meter like what you might see on a stereo that has an equalizer. When using VU Meter as the movement, you should use “1 Pixel” as the Theme.

·Movement Speed: This is the number of pixels moved at every trigger. For example, a value of 1.0 will move 1 pixel every trigger. A value of 0.2 will move 0.2 pixels every trigger, but since fractional pixel movement cannot be seen on the screen, it will move 1 pixel for every 5 triggers.

·Intensity: This setting controls the intensity of the color assigned to the theme.

·Trigger: This is the trigger type.

·Normal: This is the only trigger type that Instant Sequence originally had. It produces one trigger every time the strength of the sound at the Frequencies chosen go above and below a certain threshold.

·Rapid Fire: Think of this trigger type as the “scoot along” trigger. This is a new trigger type that is designed to work better for visualization sequences, especially those with low numbers of channels. Rapid Fire produces a trigger for each of the Frequencies chosen. If there are many frequencies chosen for a ribbon in the timing map, then many triggers can get produced. The result is that the effects “scoot along” with the music. You should use “1 Pixel” as the Theme when using Rapid Fire. You can use other Themes but realize that since it produces so many triggers, you can end up with thousands of effects. It is recommended to use Rapid Fire on only one or two of the ribbons.

To get "Rapid Fire" to respond to all frequencies in the song, click on the Timing Map button and set "All Freqs" for the row that corresponds to the row assignment of the TCM that is using "Rapid Fire". For example:

·Set "Rapid Fire" for TCM 1.

·In "Row Assignments to TCM (Theme/Color/Movement)", set TCM 1 to Row 1. Set all other rows to "None".

·Click on the "Timing Map" button.

·In the Timing Map dialog box, set "All Freqs" under Row 1.

·In the Instant Sequence dialog box, click on the "Sequence All" button, then the "Play/Stop All" button.

Ribbon assignments to TCM: Across the top are the ribbon numbers. On the left is TCM1, TCM2, TCM3, TCM4, and None. By clicking on the grid of circles, you can assign a TCM to each ribbon. For example, if you have four ribbons, you could assign TCM1 to Ribbons 1 and Ribbons 2 by clicking on the two upper left circles. Then you could assign TCM2 to Ribbon 3 and Ribbon 4 by clicking on the circles in the second row that are underneath the numbers 3 and 4. You can choose "Non" to make no effects be assigned to a ribbon.

To increase or reduce the number of effects being created, you can change the sensitivity. Do this by clicking on the "Timing Map" button and changing the Sensitivity setting in the upper left of the Timing Map dialog box. Click on the "Sequence All" button in the "Instant Sequence" dialog box to create a new sequence using the new sensitivity setting.

The sensitivity setting may be the only setting that you ever change in the Timing Map dialog box, but if you are adventuresome and want to experiment with the other Timing Map settings, read the next section.

Timing Map Description

Click on the "Timing Map" button in the Instant Sequence dialog box. A large dialog box entitled "Timing Map" will appear. This dialog box gives you control over the mapping of the frequency spectrum to the ribbons, which is how the timing marks get created:

· Freq 1 through Freq 32

· Beat, Both, Left, Right

· Sensitivity

· Length of Effects

· Extend Length of Effects

· Apply Sensitivity as

· Default Freq Settings

· Change the Timing Map

Freq 1 through Freq 32

Note that there are check marks showing that Freq 1 and Freq 2 are mapped to Ribbon 1. Freq 3 and Freq 4 are mapped to Ribbon 2, and so on. On the right side of the dialog box is a piano keyboard which shows which notes the Freqs map to. The default is to have the low frequencies assigned to ribbon 1 and asign higher frequencies to each ribbon thereafter, with the highest frequency assigned to the highest number ribbon that you have.

One reason you might want to change these settings is if your high number ribbons are not getting many effects assigned to them. This would happen if the song does not have many high notes in it. So, to get more action on the high number ribbons, you can assign more frequences to them.

Beat, Both, Left, Right

The default setting is "Both", meaning both the left and right channels of the stereo sound will be used when creating effects. You can also set "Left" or "right" to use the left or right channel of the stereo sound. Click on "Beat" to use the beat when creating effects.

Sensitivity

Sensitivity can be set to values from 1 to 10. The default is 5. Setting to a higher number will create more effects. Setting to a lower number will create fewer effects.

Length of Effects

Length of Effects can be set to values from 1 to 10. The default is 5. Setting to a higher number will make some of the effects last longer. Setting to a lower number will make some of the effects shorter. You can also think of this as the "Ritalin" setting, in that a higher number will sedate hyperactive sequences and make them more mellow.

Extend Length of Effects

This option extends the length of each effect. The length of each effect will extend up to the start of the next effect. This makes the instant sequence less "blinky".

Apply Sensitivity as

·Volume Relative: This is the default. With this setting, the sensitivity is applied by looking at the overall volume of the song. In essence, it raises and lowers the sensitivity to more nearly match the volume of the song at each point in the song. This helps even out the number of effects that are triggered even in the quieter parts of the song. Note, however, that the quieter parts of the song will still have fewer effects triggered than the louder parts of the song.

·Freq Relative: With this setting, the sensitivity is applied by looking at the volume for an individual frequency and adjusting the sensitivity for each frequency to more nearly match the volume of the song for that frequency at that point in the song. This helps even out the number of effects that are triggered for all frequencies. For example, if the song has a strong bass part in it and has some distinctive higher notes that are not as strong, this setting will help trigger those higher frequencies even though their volume is weaker. Note that it helps even out the number of effects in all frequencies, but the weaker frequencies will still have fewer effects triggered than the louder frequencies.

·Absolute: With this setting, the sensitivity is applied "as is". In other words, the louder parts of the song and the louder frequencies will get triggered more than the weaker parts of the song, and no attempt is made by the software to level out the number of effects that are triggered.

Default Freq Settings

There are seven default freq settings that you can use. For example, click on "Stereo Low to High" and then click on "Set Freq Spectrum", and you will see the check marks and radio buttons change in the timing map so that the left and right channels of the stereo sound are used.

You can choose to "Include Beat" in the generation of effects.

By default, "Set Theme, Color, and Movement" is selected, meaning that when you click on the "Set Freq Spectrum" it will also set some default values for the Theme, Color, and Movement. If you want to keep the Theme, Color, and Movement settings that you have, then you would uncheck "Set Theme, Color, and Movement".

Change the Timing Map

In the "Default Freq Settings" area, click on "Stereo Low to High", and then click on "Set Freq Spectrum". Go back to the "Instant Sequence" dialog box and click on "Sequence All". It will ask you if you want to overwrite your existing timings; answer "Yes". It will ask you if you want to erase the existing sequence without saving; answer "Yes". Click on "Play/Stop All".

Notice that the ribbons on the left half have effects applied based on the left stereo channel, and the ribbons on the right half have effects applied based on the right stereo channel.

Apply Different Sets of Theme, Color and Movement to Different Parts of the Song

By default, you sequence the entire song each time you click on "Sequence All". To add more variation to your sequence, you can just do a portion of the song. To do this:

·Launch the "Instant Sequence" dialog box by pressing Ctrl+I.

·Near the top of the dialog box, click on the "Sequence the Selection Only" radio button.

·Use the Rewind or Forward buttons on the toolbar to scroll to the beginning of the region you want to sequence.

·Use a single left mouse click to mark the beginning of the region.

·Use the Forward or Fast Forward buttons on the toolbar to scroll to the end of the region you want to sequence.

·Use a single right mouse click to mark the end of the region.

·Before clearing the region, it is a good practice to click on "Unique Save As". This button is a quick way to save the current state of the sequence to a unique file name so that you can go back to it if you need to.

·If the region is not already cleared, click on "Clear Selection without Saving".

·Click on "Roll Dice", or set the theme, color, and move variations manually.

·Click on "Sequence Selection".

Note that "Clear Selection without Saving" uses the beginning of an effect to decide if it should be deleted. In other words, all effects whose start time falls within the selection region will be deleted.


Custom Sequences

What you won't see in the Light-O-Rama SuperStar Sequencer is the giant grid that the traditional Sequence Editor uses; instead, effects are added by:

1.Setting time ranges in the time scale.

2.Selecting squares in the Green Pixel grid (also referred to as the sequencing grid).

3.Using the Scenes, Morphs, Images, and Text dialog boxes in the Tools menu.

For more information, please refer to the following sections of this help file:

· Creating a Scene

· Export

· Creating a Morph

· Creating an Image Action

· Import Image

· Creating an Animation

· Creating Text

· Smooth Effects

· Groups of Effects

· Select One or More Rows

· Transfer Effects from One Sequence to Another

· Load/Save Clipboard

· Change to 10 Pixels per Ribbon

· "Star Rays", "Wide Grid", and "Thin Grid"

· The Layout Dialog Box

· The Preferences Dialog Box

· Configure Controller Unit IDs Using the Light-O-Rama Hardware Utility

· Configure Controller Unit IDs in the SuperStar Sequencer

· Select All, Select All Left, and Select All Right

· Importing a Timing Grid and up to 3 Timing Channels


Creating a Scene

In the Light-O-Rama SuperStar Sequencer, a "scene" is a set of pixels that have the same start color, the same end color, a start time, and an end time.

· Initialize the Screen

· Launch the Scene Dialog Box

· Select Some Pixels in the Pixel Grid

· Add the Scene

· Play the Scene

· Create a Scene that Has an End Color

· Play the Scenes

· Change Some Settings

· Modify a Scene

· Play the Scenes Again

· Why Did the First Scene Go from Red to Purple to Blue?

· Undo and Redo Your Modification

· Group Select

· Group Modify

· Using Group Modify to Clone

· Pause and Freeze Frame

· Add Some More Scenes of Your Choosing

· Save the Scenes You Have Created

Initialize the Screen

Click on the toolbar button with a piece of paper on it. This will do three things: It will clear the pixel grid, set the Start color as red, and set the time duration to 1.00-2.00 seconds.

Launch the Scene Dialog Box

Click on the Tools menu and select "Scenes". The Scene dialog box will launch. Whenever the scene dialog box is launched, the "Monochrome" mode is automatically selected and the toolbar button with a black and red rectangle will depress.

Select Some Pixels in the Pixel grid

While in "Monochrome" mode, you can color pixels in the pixel grid using the left mouse button. You can use single click or click and drag. You can erase pixels in the pixel grid using the right mouse button. Ctrl + right mouse button will erase the entire grid. Since the Start color is already set to red, the pixels will become red as you select them.

Add the Scene

In the Scene dialog box, click on the "Add" button to add the scene.

Play the Scene

Click on the play button in the toolbar (the button with a triangle pointing to the right). Note that at 1.00 seconds, the group of pixels you selected will turn red.

Create a Scene that Has an End Color

The default is for the "Start"and "End" color to both be red. Let's change that and create another scene:

·Set the start and end time to 2.00 to 3.00 seconds. You can select the time with the mouse by selecting a region in the time scale, or you can type into the fields in the dialog box.

·Color some pixels.

·The left red control is already at 100%; the selected pixels will turn red.

·Set the right red control to 0%; this represents the "End" color. When you set the "End" color it does not appear in the pixel grid, but it does appear as a number in the Scene dialog.

·Click on the "Add" button to add this scene.

Play the Scenes

Click on the Play button in the toolbar. At 1.00 seconds the first group of pixels will turn red and stay red. At 2.00 seconds, the second group of pixels will turn red and fade to black.

Change Some Settings

In the Scene dialog box, there is a list box listing the scenes you have added. They are listed chronologically by their start times. Select the first scene in the list. Note that the time, colors, and pixels for that scene appear in the main screen. The "End" color for this scene is black. Set 100% Blue for the end color. You can do this with the right Blue color control, or by manually typing 100 into the field in the Scene dialog box.

Note: Right click on the colored box above the color controls to bring up a "Color Picker" dialog.

Modify a Scene

Click on the "Modify" button. This will apply the new settings to the currently selected scene.

Play the Scenes Again

Click on the Play button. at 1.00 seconds, the pixels in the first scene will turn red, fade to purple, and then fade to blue by 2.00 seconds. At 2.00 - 3.00 seconds, the second scene will play, same as it did before.

Why Did the First Scene Go from Red to Purple to Blue?

You probably already figured this out: What you really did was set a red ramp that started at 100 and ended at 0. You also set a blue ramp that started at 0 and ended at 100. So in the middle, red was at 50 and blue was at 50, and the red and blue mix to make purple.

Undo and Redo Your Modification

Click on the Edit menu and select "Undo Scene Modify". Then click on the Edit menu and select "Redo Scene Modify".

If you do an Add, Modify, or Delete, and change your mind, you can undo your change. You can undo up to ten actions. After undoing up to ten actions, you can also redo them.

Group Select

There are two ways to use the mouse to select both of the scenes:

1.Click and hold the left mouse button and drag the selection rectangle to contain both of the scenes in the time layer area.

2.Click on the first scene to select it, then press and hold the Ctrl key while clicking on the second scene.

Group Modify

Set the start color to yellow, by setting 100% red and 100% green (red and green mix to make yellow). Click on "Group Modify" in the Scene dialog box. A popup box will appear, entitled "Scene Group Modify".

Because you changed the start color, "Modify Start Color" will already be selected. Click on "OK". Note that the start color of both the scenes has changed to yellow.

Using Group Modify to Clone

Click on "Group Modify" again; because you have not changed anything, none of the boxes are selected. However, you can select any or all of the checkboxes to clone the attributes of the first scene onto all the selected scenes. For example, select "Modify End Color", then click "OK". The End color will be cloned onto the second scene.

Group Modify is a very powerful tool that can save a lot of time as you fine tune a sequence. It allows you to change an attribute across an entire group of effects just to see how it looks. As with other features, you can undo and redo a group modify.

Pause and Freeze Frame

To the left of the stop button on the toolbars is the pause button. When you press the pause button, a white line appears at the time selection point. While paused, the rewind and forward keys will step through the sequence in "freeze frame" manner. You can also click anywhere on the timeline to reposition the location of the freeze frame. This is very useful while developing sequences, to better see what each frame of the sequence will look like.

Unpause by clicking on the pause button again, or by clicking on the stop button.

Add Some More Scenes of Your Choosing

Go ahead and add some more scenes and play with the different settings. The times of the scenes can overlap. however, scenes that share the same time period should not share the same pixels. This creates a "pixel collision", and currently the results are not predictable (in the future, the SuperStar Sequencer will detect and prevent collisions).

Save the Scenes You Have Created

Click on the File menu and select "Save As". Save the scenes you have created as a file named "MyScenes.sup".


Export

If you are running the Demo version of the Light-O-Rama SuperStar Sequencer, then Export will not work, but you may want to read through this section just to see how it works in the full version.

The SuperStar Sequencer stores the effects in ".sup" files, but the effects can be exported as ".lms" or ".las" files so that the Light-O-Rama Sequence Editor can read and play them.

· Initialize the screen

· Launch the Scene dialog box

· Create a scene using the first pixel of the first ribbon

· Save as an .sup file

· Export as an animation sequence

· Open the animation sequence with the Sequence Editor

· Load the file as a subsequence in the Sequence Editor

· Discussion

Initialize the screen

Click on the toolbar button with a piece of paper on it. This will do three things: It will clear the pixel grid, set the start color as red, and set the time duration to 1.00-2.00 seconds.

Launch the Scene dialog box

Click on the Tools menu and select "Scenes". The Scene dialog box will launch.

Create a scene using the first pixel of the first ribbon

Click on the upper left pixel of the pixel grid, then click on the "Add" button in the Scene dialog box.

Save as an .sup file

Click on the File menu, then click on "Save As". In the Save As dialog box, type "OnePixel". Click on the Save button, and the effect will be saved as OnePixel.sup.

Export as an animation sequence

Click on the File menu, and then click on Export. If you are running the Demo version, you will get an error box saying that Export is not available, but if you are running the full version, the "Save as Light-O-Rama Animation Sequence" dialog box will appear. The name of the file will default to "OnePixel.sup.las"; click on the Save button, and the file will be saved in the Light-O-Rama Sequences directory.

Open the animation sequence with the Sequence Editor

Launch the Light-O-Rama Sequence Editor and open the file "OnePixel.sup.las". On the left side, the first 16 channel buttons will be labelled "Star 01" through "Star 16". The 17th button will be labelled "CCR01-P01-Red", and on this row there will be a fade from 1.00 to 2.00 seconds. Note that "CCR01" means "Ribbon 1", and "P01" means "Pixel 1".

Also note that with a star and 12 ribbons there are 1936 channels in the Sequence Editor. Imagine trying to sequence 12 ribbons using this huge grid! The SuperStar Sequencer makes it so that you do not have to deal with this grid.

Load the file as a subsequence in the Sequence Editor

·Close the "OnePixel.sup.las" file in the Sequence Editor.

·Open any existing animation sequence or musical sequence that you already have.

·Right click on the first channel button at the top of your sequence.

·In the popup menu, select "Insert Channel Above".

·Right click on the "New Channel" button that you just inserted.

·In the popup menu, select "Change Channel Settings"; the Channel Settings dialog box will appear.

·Change the name of the channel to something like "SuperStar".

·In the "Device Type"dropdown list, select "Sequence".

·On the "Sequence" line (near the bottom of the dialog), click on the "..." button. The "Open" dialog box will appear.

·Select the file "OnePixel.sup.las", and click on the "Open" button.

·Click on the "OK" button in the Channel Settings dialog box.

You are not done yet! The subsequence will only be played while the grid boxes for this channel are on. So, you want to set the grid boxes on for the entire row, all the way to the end of the sequence. To do this:

·Select one of the boxes on the row. Click on the Edit menu, hover over Select, and a flyout menu will appear. On the flyout menu click on "Row(s)". This will select the entire row.

·Right click on one of the boxes in th the row, and select "On" from the popup menu. This will turn the entire row on.

Now when you play your sequence, the subsequence will be played at the same time.

The main sequence and the subsequence should not both try to control the same lights; it is recommended that any circuits referred to in the subsequence are removed from and kept out of the main sequence. Doing otherwise may cause unpredictable results.

Discussion

The file extension ".lms" stands for "Light-O-Rama Musical Sequence", and ".las" stands for "Light-O-Rama Animation Sequence". The file in the exercise was saved as an animation sequence because there was no music file loaded. If you opened a song file for "OnePixel.sup, it would have been exported as a musical sequence ("OnePixel.sup.lms") instead of an animation sequence ("OnePixel.sup.las").

In the exercise, we used the default name of "OnePixel.sup.las". However, you could name it anything you want, so long as it ends with ".las" or ".lms". For example, you could call it "OnePixel.lms" or "FromSuperStar.lms". But the idea is that if you already have a musical sequence for your other lights, called "MyAwesomeSequence.lms", and you want to incorporate your Cosmic Color Ribbons as a part of that same show, then in the SuperStar Sequencer you could call it "MyAwesomeSequence.sup", and when it gets exported it will be called "MyAwesomeSequence.sup.lms". Thus it would be clear that it is an .lms file exported from an .sup file.

It is expected that MyAwesomeSequence.lms and MyAwesomeSequence.sup.lms both use the same music file and both are of the same length. However, if MyAwesomeSequence.sup.lms were shorter than the main sequence, and the channel assigned to the subsequence were on for the entire length of the main sequence, then the subsequence will loop and start playing over.


Creating a Morph

In the Light-O-Rama SuperStar Sequencer, a "Morph" consists of the following:

·Layer: Defines priority if there are collisions (future)

·Acceleration: The morph can accelerate as it goes from "State 1" to "State 2"

State 1 and State 2 each consist of:

1.Start point and end point of a line

2.Head color

3.Time

4.Head length

Tail consists of:

1.Color, which can be determined in one of two ways:
(a) Start Color and End Color
(b) Use the Head Color

2.Time length

Here is an example of how to create a morph:

· Get a new screen

· Launch the Morph dialog box

· Observe the default settings

· Add first morph

· Play the morph

· Set a simple morph with a different start and end color

· Modify the morph

· Play the morph

· Add a trail length

· Modify the current morph

· Play the morph again

· Change the State 1 line to a vertical line

· Change the State 2 line to a vertical line

· Set color of the State 2 line to 100% green

· Set the time to 2.00 to 3.00

· Add a second morph

· Play the morph

· The morph twist

· Save your morph

· Morph summary

· The length of a morph

Get a new screen

Click on the toolbar button that has a picture of a piece of paper on it.

Launch the Morph dialog box

Click on the Tools menu and select Morph. The Morph dialog box will launch, and the Scene dialog box will automatically be shut down. Whenever the Morph dialog box is launched, the "Morph" mode is automatically selected, and the black toolbar button with horizontal lines on it will be depressed.

Observe the default settings

By default, a red line for State 1 will be at the top of the pixel grid, and a red line for State 2 will be at the bottom of the pixel grid. The time duration will be 1.00 to 2.00 seconds. The Tail start color will be red, and the time length will be 1.00 seconds.

Add first morph

Press the "Add" button to add the morph.

Play the morph

On the toolbar, press the Play button. At 1.00 seconds, a red line will start from the top and go down to the bottom, leaving a trail that fades to black in one second.

Set a simple morph with a different start and end color

Leave the start color at red. Set the end color to blue. Set the Tail Time length to 0.00.

Modify the morph

Press the "Modify" button to modify the selected morph.

Play the morph

On the toolbar, press the Play button. At 1.00 seconds, a red line will start from the top and go down to the bottom. The line will change from red to purple and then to blue by the time it reaches the bottom at 2.00 seconds.

Add a trail length

The trail length defaults to 1. Make the morph leave a trail by typing in a number in the Trail Length field. For this exercise, change the State 1 Trail Length to 2, and change the State 2 Trail Length to 10.

Modify the current morph

Click on the "Modify" button. This applies your changes to the currently selected morph in the morph list.

Play the morph again

This time, the morph will leave a trail of two lines at the top, and will change to leaving a trail of 10 lines at the bottom.

Change the State 1 line to a vertical line

The State 1 line is defined using a click and drag with the left mouse button. Note that one end of the State 1 line is labeled "1a"and the other end is labeled "1b". The start of the mouse drag will be "1a" and the end will be "1b". Make a vertical line by dragging on the left side of the pixel grid. Make your selection from top to bottom. When you are done, the top of the line should be labeled "1a", and the bottom of the line should be labeled "1b".

Change the State 2 line to a vertical line

The State 2 line is defined using a click and drag with the right mouse button. Note that one end of the State 2 line is labeled "2a" and the other end is labeled "2b". The start of the mouse drag will be "2a" and the end of the drag will be "2b". Make a vertical line by dragging on the right side of the pixel grid. Make your selection from top to bottom. When you are done, the top of the line should be labeled "2a" and the bottom of the line should be labeled "2b".

Set color of the State 2 line to 100% green

The color of the State 2 line is controlled by the right color controls. Set the right Blue control to 0% and the right Green control to 100%. This will change the State 2 line color from blue to green.

Set the time to 2.00 to 3.00

You can do this with the mouse on the time scale, or you can type the values into the dialog box. State 1 time is the start time, and State 2 time is the end time.

Add a second morph

Press the "Add" button to add the second morph.

Play the morph

On the toolbar, press the Play button. At 1.00 seconds, the first morph will play as it did before. At 2.00 seconds, the second morph will start from the left and end at the right.

The morph twist

Set the Tail Time Length back to 1.00 seconds. The Tail start color should be 100% red. Redefine the State 1 line by doing a mouse drag from bottom to top. Now "1a" will be on the bottom, and "1b" will be on the top. Click on the "Modify" button. Play the morph.

This time, the line will twist as it travels across. The effect will be that the line will become shorter in the middle and then get bigger. This is because as the morph progresses, point "1a" moves to point "2a", and point "1b" moves to point "2b".

Save your morph

Click on the File menu and select "Save As". Save the morphs you have created as a file named "MyMorphs.sup". Note that files can contain any combination of scenes and morphs. In this example, you saved them separately, but you could have saved your scenes and morphs together into a file of any name you choose.

Morph summary

Are morphs cool or what? You can do a lot with morphs. In the exercise, we morphed between two horizontal lines and between two vertical lines. You can also morph between diagonal lines.

Head Length and Tail Time Length can end up giving similar effects, but are applied differently. Head Length leaves a head that is a certain number of pixels long. Tail Time Length is applied after the Head effect, and is on for a certain amount of time. Experiment with different Head and Tail Time Length settings to get a feel for how they work.

Also, realize that when you specify a Tail Time Length to use the Head Color, it means to use the colors specified for the head. If the State 1 and State 2 head colors are different, then the Tail will use the appropriate intermediate color for the tail for the length of the tail. When you specify "Use Head Color", the intermediate color is determined by the location of the Tail along the morph, whereas when you specify a start and end color for the Tail in the Tail section, the intermediate color is determined by the time since the morph started.

Show Entire Head at Start

This setting allows you to start with the entire head being visible from the start. For example, if the morph travels 50 pixels, you can set State 1 Head Length to 50 and set State 2 Head Length to 0, and the morph will be 50 pixels long right from the start, and will get shorter and disappear at the end.

Acceleration

An acceleration of 0 means no acceleration. A positive number means accelerate from a slower speed to a faster speed. A negative number means decelerate from a faster speed to a slower speed. Try making a morph that travels downward and give it an Acceleration of 5. The morph will look like gravity is accelerating it downward. Try making a morph that travels upward and give it an Acceleration of -5. The morph will look like gravity is slowing the morph down as it travels upwards.

The length of a morph

Most people won't care about the details of the total length of a morph. But for those that really want to know, there are three parts to a morph:

1.Root: This is the time for the leading edge of the morph to travel from State 1 to State 2.

2.Head Length: The State 2 Head Length will add the length of the head at the end of the morph. This head will take some time to travel past the end location of the morph.

3.Tail Length: The tail length is in seconds, and is applied after the Root and Head.

The length of the Head and the Tail are displayed on the timeline as a narrow rectangle. Note that only the root can be selected. Clicking on the head or the tail will not do anything.


Creating an Image Action

In the Light-O-Rama SuperStar Sequencer, an "image action" will move an image from a start point to an end point. At the end, a ramp can be applied. An image action consists of:

·Layer: Defines priority if there are collisions (future)

·Acceleration: The image can accelerate or decelerate as it goes from point A to point B (future)

·Image: A bitmap

·Start point

·End point

·Ramp

Ramp consists of:

·Time length

·Start color (future)

·End color (future)

Here is an example of how to create an image action:

· Get a new screen

· Launch the Image Action dialog box

· Observe the default settings

· Draw an image

· Add an image name

· Add the image

· Observe the default image action values

· Type an image action name

· Add the image action

· Play the image action

· Add another image action

· Play the image actions

· Stop at the right edge

· PreRamp and PostRamp

· View the image actions on a square grid

· Play it again

Get a new screen

Click on the toolbar button that has a picture of a piece of paper on it.

Launch the Image Action dialog box

Click on the Tools menu and select "Images". The Image Action dialog box will launch, and the Morph dialog box will automatically be shut down. Whenever the Image Action dialog box is launched, the "Draw" mode is automatically selected and the toolbar button with a pencil on it will be depressed.

Observe the default settings

By default, the left red color control will be set to 100%. The time duration will be 1.00 to 2.00 seconds. All pixels in the pixel grid will be black.

Draw an image

Leave the left red color control at 100%. Set the left green color control to 100%. The start color will now be yellow. When drawing an image, only the start color is used; the end color is not used.

Click on the pixel grid to draw a smiley face at the top of the pixel grid. Single clicks will draw one pixel; click and drag will leave a trail of pixels. Right click erases pixels. Ctrl-right click will clear the entire grid.

Add an image name

At the top of the dialog box is the Image group. In the "Name" field of the Image group area, type "Smiley Face".

Add the image

In the Image group at the top of the dialog box, click on the Image "Add" button.

Observe the default image action values

The default start point (x,y) is (0,0), and the default end point (x,y) is (0,50). The default start and end times are 1.00 and 2.00. Leave these settings at their default values.

Type an image action name

In the Image Action group at the bottom of the dialog box, type "Smiley down".

Add the image action

In the Image Action group at the bottom of the dialog box, click on the Image Group "Add" button.

Play the image action

Play the image action. at 1.00 seconds, your image will start from the top and travel downward, disappearing off the bottom of the ribbons.

Add another image action

We will use the same image again, and this time move it horizontally.

For the time, select 2.00 to 3.00. For the start point, type (-12, 10) (enter minus twelve so that the start point and end point are different). For the end point, type (12, 10). For the Image Action name, type "Smiley right" in the bottom name field. Click on the bottom "Add" button.

Play the image actions

At 1.00 to 2.00 you will see the first image action, which goes from top to bottom. At 2.00 to 3.00, the second image action will move from left to right across the ribbons.

Stop at the right edge

Select the image action that goes from left to right. Keep the start point at (-12, 10), but change the end point to (0, 10). At the bottom of the dialog box, enter a "Post Ramp Time" of 1.00. Click the Modify button.

Play the image actions and you will see the first image action go from top to bottom. The second image action will move from the left to the right edge and then fade for 1.00 seconds at the right edge.

PreRamp and PostRamp

"PreRamp Time" will fade the image in. Selecting "Make Brighter" with a "PreRampTime" will fade the image in brighter. It gives the effect of "poof" and the image appears.

"PostRamp Time" will fade the image out. Selecting "Make Brighter" with a "PostRamp Time" will make the image brighter and then fade to black. It gives the effect of "poof" and the image disappears.

View the image actions on a square grid

At the right end of the toolbar are three buttons. If you hover the mouse over the buttons you will see they are called "Star Rays", "Wide Grid", and "Thin Grid". Currently the "Star Rays" button is pressed. Click on the "Wide Grid" button.

Play it again

Play the image actions again and you will see how they look when the ribbons are parallel to each other and form a grid of pixels.


Import Image

On the right half of the Image Setup dialog box is the Import Image section. This section is used to import image files such as .jpg, .gif, .bmp, .png, and .ico files. To import an image file, do the following:

·Click on the Tools menu and select "Images..."

·In the Import Image section, click on the "Import image File (JPG, GIF, BMP, PNG, ICO, etc)" button

·If you are in CCR Mode, the sequencing grid will become larger and will be 64x50 pixels in size. This allows you to define a large image if you want. You can manipulate the image by using the following controls:

· Move Origin X Y

· Squish/Stretch X Y

· Rotation Angle

· Enlarge/Shrink

· Clip Grid Bitmap

· Images on a Small Grid

· Images on a Grid Larger than Your Actual Lights

Move Origin X Y

This control will move the origin of the image. Use the arrow buttons to move it left, right, up, or down.

Squish/Stretch X Y

This control will squish or stretch the image in the X or Y direction. Using this control will change the aspect ratio of the image.

Rotation Angle

Use this control to rotate the image. A positive angle will rotate the image clockwise; a negative angle will rotate it counterclockwise.

Enlarge/Shrink

Use this control to enlarge or shrink the image.

Clip Grid Bitmap

While manipulating the image, you can click on "Clip Grid Bitmap" and set a clipping rectangle on the sequencing grid using "Shift + Left Mouse Button". Then when you click on "Set Grid Bitmap from Image File", only the pixels within the clipping rectangle will get set.

After you have manipulated the image to the location, angle, and size that you want, click on the "Set Grid Bitmap from Image File" button. This will set the pixels on the sequencing grid to represent the original imported image. At this point you can manually edit the image if you wish. Note that you can set the color controls to the color of a pixel in the sequencing grid by moving the mouse to a pixel and then doing a Shift + Left mouse click. To set a pixel, set the color controls to the color you want and then click on one or more pixels.

After you have the image the way you want it, type in a name in the Image section and click on the "Add" button in the Image section.

Images on a Small Grid

For example, if you have 12 CCRs and you are in CCR mode, then you have a grid of 12x50 pixels to work with. However, when you import the image, the grid will become larger and will be 64x50 pixels in size. If you want your image to fit within your 12x50 pixels that you have, then you will need to shrink the imported image and move it to the left so that it will fit within the first 12 columns of pixels. Then you can click on the "Set Grid Bitmap from Image File" button. You can then set the Grid Mode to "Standard", and the sequencing grid will become the standard size of 12x50 pixels.

Images on a Grid Larger than Your Actual Lights

For example, if you have 12 CCRs and you are in CCR mode, then you have a grid of 12x50 pixels in your actual display. However, when you import the image, the Grid Mode will automatically be set to "Large" and the grid will become large and will be 64x50 pixels in size. Even though your actual lights are only 12x50 pixels in size, you can create a larger image and move the image through your 12x50 pixels. This allows you to display large images on a small grid. To do this, do the following:

·In the Import Image section, click on the "Import Image File (JPG, GIF, BMP, PNG, ICO, etc)" button.

·The sequencing grid becomes larger and will be 64x50 pixels in size.

·Manipulate the image but keep it large so that it uses most or all of the 64x50 pixels.

·Click on the "Set Grid Bitmap from Image File" button.

·If you want, manually edit the pixels further.

·In the image section, type in a name and click on the "Add" button.

Now you want to add an image action that will move the image through your 12x50 pixels, so do the following:

·Set the Grid Mode to "Standard". This will change the grid to be the size of your actual display).

·In the time ruler at the top of the screen, set the time length to something long, such as 4 seconds.

·In the Image Action section, set Start x, y to 12, 0, and set End x, y to -64, 0.

·In the Image Action section, click on the "Add" button.

·Click on the "Play 8 seconds" button to play the Image Action. You should see the Image move through your 12 CCRs from right to left.

·To make the image move from left to right, set Start x, y to -64, 0, and set End x, y to 12, 0. Note that these values assume your image is 64 pixels wide. If it is not that wide, then you would use smaller values.


Creating an Animation

Using the Light-O-Rama SuperStar Sequencer, you can create an animation using a series of stationary images. Here is an example of how to create an animation:

· Load some pre-drawn images

· Launch the Image dialog box

· Select "Apply x,y in Preview (for animations)"

· Add the first image

· Add the second image

· Add the third image

· Add the fourth image

· What are those boxes under the timeline?

· Check your work

· How does cut/copy/paste work?

· Copy/paste four images

· Image group modify

· Copy/paste 8 images

· Image group modify

· Copy/paste 16 images

· Image group modify

· Copy/paste 13 images

· Image group modify

· Play the animation

· Nudge the animation to the left

· Play on "Wide grid" and "Narrow Grid"

· Save your animation

· Add an eye to Pac Man

· Play it again, Sam

Load some pre-drawn images

Click on the File menu, select "Open...", and open the file "PacManImages.sup", located in the "Samples" directory of your SuperStar Sequences directory. Be sure to load PacManImages.sup, not PacManAnimation.sup.

Launch the Image dialog box

Click on the Tools menu and select "Images...". Click on each image in the image list box to view them.

Select "Apply x,y in Preview (for animations)"

Select the checkbox labeled "Apply x,y in Preview (for animations)". This applies the (x,y) coordinate in the preview of the image and it also disables the "End x" and "End y" edit fields (for animation images, the start (x,y) and end (x,y) are the same).

Add the first image

·In the image list box, select "01 Circle".

·In the Time Line, select from 1.00 to 1.10 seconds.

·In the Image Action x,y Start, type "0" and "44"

·In the Image Action name field, type "Mouth shut".

·In the Image Action section, click the "Add" button.

"1.00 Mouth shut" should appear in the Image Action list box.

Remember: If you make a mistake, you can always undo your mistake by clicking on the Edit menu and selecting Undo.

Add the second image

·In the image list box, select "02 Half open".

·In the timeline, select from 1.10 to 1.20 seconds.

·In the Image Action x,y Start, type "0" and "42".

·In the Image Action name field, type "Mouth half open".

·In the Image Action section, click the "Add" button.

"1.10 Mouth half open" should appear in the Image Action list box.

Add the third image

·In the image list box, select "03 Full open".

·In the timeline, select from 1.20 to 1.30 seconds.

·In the Image Action x,y Start, type "0" and "40".

·In the Image Action name field, type "Mouth full open".

·In the Image Action section, click the "Add" button.

"1.20 Mouth full open" should appear in the Image Action list box.

Add the fourth image

·In the image list box, select "02 Half open".

·In the timeline, select from 1.30 to 1.40 seconds.

·In the Image Action x,y Start, type "0" and "38".

·In the Image Action name field, type "Mouth half shut".

·In the Image Action section, click the "Add" button.

"1.30 Mouth half shut" should appear in the Image Action list box.

What are those boxes under the timeline?

Under the yellow timeline, you should see four light gray boxes. These boxes are the four image actions you just added. Click on the first of the four boxes and it wil highlight the first image action, labeled "Mouth shut". Click on the second and it will highlight the second image action, "Mouth half open". You can also highlight the image action in the list box, and it will highlight the corresponding box under the timeline.

Check your work

It is easy to make a mistake while adding the image actions. Click on the first image action, labeled "Mouth shut", in the image action list box. Use the down arrow key to step through the image actions. The y coordinate should step through 44, 42, 40, and 38, and the top of the image should step up two pixels each time. If the image is not moving, make sure you have "Apply x,y in Preview (for animations)" selected.

How does cut/copy/paste work?

The fourth, fifth, and sixth buttons on the toolbar are the Cut, Coyp, and Paste buttons. By default, the objects you paste will be placed in the first open layer, so that effects do not end up on top of each other. if you wish the pasted objects to stay in their original layers, press the Shift key while clicking on the Paste button.

Copy/paste four images

·Select all four of the light gray boxes under the yellow timeline.

·Click on the "Copy" toolbar button. The selected effects will be copied to the clipboard.

·Click on the timeline just after the light gray boxes, which will be at 1.40 seconds.

·Click on the Paste toolbar button. The effects in the clipboard will be pasted starting at 1.40 seconds.

Remember, if you make a mistake you can click on the Edit menu and select Undo.

Image group modify

·You should now have eight image actions on the timeline. Select the last four.

·Click on "Group Modify"; the Image Group Modify dialog box should appear.

·Select "Modify x,y".

·"Add as Offsets to x,y Positions" should already be selected; leave it selected.

·Underneath "Start", type "0" into the left field, and type "-8" into the second field. Click on "OK". This will subtract 8 from the y coordinate in the selected image actions.

·Click on each of the image actions, and you should see your animation move up the screen.

Copy/paste 8 images

Select all of the eight light gray boxes that you now have under the timeline. Click on the timeline just after the boxes that are already there. Click on Copy, and then Click on Paste.

Image group modify

·You should now have 16 image actions on the timeline. Select the last eight.

·Click on "Group Modify"; the Image Group Modify dialog box should appear.

·Select "Modify x,y".

·"Add as Offsets to x,y Positions" should already be selected; leave it selected.

·Underneath "Start", type "0" into the left field, and type "-16" into the second field. Click on "OK". This will subtract 16 from the y coordinate in the selected image actions.

·Click on each of the image actions, and you should see your animation move up the screen.

Copy/paste 16 images

Select all of the 16 light gray boxes that you now have under the timeline. Click on the timeline just after the boxes that are already there. Click on Copy, and then Click on Paste.

Image group modify

·You should now have 32 image actions on the timeline. Select the last 16.

·Click on "Group Modify"; the Image Group Modify dialog box should appear.

·Select "Modify x,y".

·"Add as Offsets to x,y Positions" should already be selected; leave it selected.

·Underneath "Start", type "0" into the left field, and type "-32" into the second field. Click on "OK". This will subtract 32 from the y coordinate in the selected image actions.

·Click on each of the image actions, and you should see your animation move up the screen.

Copy/paste 13 images

Select the first 13 light gray boxes that you now have under the timeline. Click on the timeline just after the boxes that are already there. Click on Copy, and then Click on Paste.

Image group modify

·You should now have 45 image actions on the timeline. Select the last 13.

·Click on "Group Modify"; the Image Group Modify dialog box should appear.

·Select "Modify x,y".

·"Add as Offsets to x,y Positions" should already be selected; leave it selected.

·Underneath "Start", type "0" into the left field, and type "-64" into the second field. Click on "OK". This will subtract 64 from the y coordinate in the selected image actions.

·Click on each of the image actions, and you should see your animation move up the screen.

Your animation is now complete.

Play the animation

Click on the Play button. You should see Pac Man chase the red ghost up the ribbons.

Nudge the animation to the left

The chomping sound starts before you see the animation start. To synchronize the appearance of the animation with the start of the chomping sound, select all of the image actions under the timeline. Click on the "Nudge Left" toolbar button (the button with an hourglass and a left arrow on it). All the image actions should move left by 0.05 seconds. Nudge left three or four more times and the animation should be more in sync with the sound.

Play on "Wide Grid" and "Narrow Grid"

Click on the "Wide Grid" toolbar buton and play the animation.

Click on the "Narrow Grid" toolbar button and play the animation.

Save your animation

Click on the file menu, and select "Save As...". Save the file as "MyPacManAnimation.sup".

Note: There is already a file named PacManAnimation.sup in the Samples directory. You can compare your animation with this animation.

Well, it was a bit tedious, but it was worth the effort: You now have a cool Pac Man animation!

Add an eye to Pac Man

Even after the image actions are all defined, you can still modify the images that they use. For example, you could add an eye to the yellow Pac Man. Note that to change the images, you will be working in the upper Image section of the image dialog. Do not click on anything in the lower Image Action section.

·Select "01 Circle" in the Image list box.

·Use the right mouse button to erase some pixels on the yellow Pac Man to make an eye.

·Click on the Image "Modify" button in the upper Image section (not the lower Image Action "Modify" button).

·Repeat the same process for "02 Half open" from the Image list box.

·Repeat the same process for "03 Full open" from the Image list box.

Play it again, Sam

Play the animation again, and you will see the eye in the entire animation.


Creating Text

In the Light-O-Rama SuperStar Sequencer, text can be stationary or can move in any direction. At the end of the movement, the text can be stopped and displayed stationary for a specified period of time. Different size fonts can be used, and you can choose the text color or let the text be rainbow colored. Text can be treated as a positive mask or a negative mask. Let's get started!

· Select Wide Grid or Thin Grid

· Set Layout to 24 ribbons

· Get a new screen

· Launch the Text dialog box

· Observe the default settings

· Add a text action

· Play the text action

· Change the color of the text

· Modify and play the text action

· Change Rotation to 0 degrees and set Direction of Motion to left

· Try different rotations and directions of motion

· Rainbow

· Rainbow start color

· Change the start color

· Try a different font and change the text

· Discussion on fonts

· Custom fonts

· PreRamp and PostRamp

· Discussion

· What is a text mask?

· Try some positive mask text

· Apply a background effect

· Understanding a positive text mask

· It works with morphs too!

· Move the morph to the foreground

· Negative text masks

· Discussion

· Applying normal text to the background of a text mask

· Summary

Select Wide Grid or Thin Grid

At the right end of the toolbar are three buttons that control how the ribbons are laid out. The text will be harder to read if you have "Star Rays" selected. Select "Wide Grid" or "Thin Grid" and the text will be easier to read.

Set Layout to 24 ribbons

Click on the Tools menu and select Layout. In the layout dialog box, set the Number of Ribbons to 24. We may not actually have 24 ribbons, but for the sake of this exercise, let's pretend we do!

Get a new screen

Click on the toolbar button that has a piece of a paper on it.

Launch the Text dialog box

Click on the Tools menu and select "Text". The Text Setup dialog box will launch. Whenever the Text Setup dialog box is launched, "Text" mode is automatically selected and the toolbar button with "ABC" on it will be depressed.

Observe the default settings

By default, the color is white, font is "8-8x8 Thin - System", time duration is 1.00 - 5.00 seconds, text is "ABCDEF", text mode is Normal, rotation is 90 degrees, direction of motion is Up, and Stop at Edge is unselected.

Add a text action

In the Text Action group, click on the "Add" button.

Play the text action

Click on the Play button. You should see "ABCDEF" scroll like a marquee from the bottom to the top of the ribbons.

Change the color of the text

Currently, the text is white. Leave the red color control at 100, but change the green and blue color controls both to 0. The text preview will now be red.

Modify and play the text action

In the Text Action group, click on Modify, then play the text action again. Red text will scroll from the bottom to the top.

Change Rotation to 0 degrees and set Direction of Motion to left

Set Rotation to 0 degrees and set Direction of Motion to Left. Click on Modify, and play the text action. Red text will scroll from right to left across the ribbons.

Try different rotations and directions of motion

You can mix and match the rotation and direction of motion. Try some different combinations. Remember to always click on Modify and then to click on Play to see the results of your new settings. Also, try "Stop at Edge" to see what it does.

Rainbow

In the Color/Mask group, select Rainbow. Each character of the text now becomes a different color. Click on Modify, and play the text action with rainbow colors.

Rainbow start color

You can set the start color of the rainbow. For this exercise, use the following settings:

·Set Color to Rainbow

·Leave Mask at Normal

·Set Rotation to 90 Degrees

·Set Direction of Motion to Center

·Unselect Stop at Edge

·Set Start time to 1.00 seconds and End time to 2.00 seconds

Click on Modify and play the text. The rainbow text will be centered on the ribbons and will not move.

Change the start color

·Set Start time to 2.00 seconds and End time to 3.00 seconds.

·Set the start color to orange.

·Click on Add. You will now have two text actions.

·Click on Play.

The rainbow colors will display with red as the start color from 1.00 to 2.00 seconds, and then the text will display with orange as the start color from 2.00 to 3.00 seconds.

By continuing to add text actions one after another with different start colors, you can make the colors move across the characters!

Try a different font and change the text

·Delete any text actions that you currently have. You can do this by clicking on Delete until all text actions in the Text Action list box are gone.

·In the Font list box, select "10-12x12 Bold - System". The text will become larger.

·In the Text field in the middle of the dialog box, change "ABCDEF" to "Merry Christmas!"

·Set the start time to 1.00 seconds and the end time to 5.00 seconds.

·Set Color to Rainbow.

·Set Start Color to whatever color you want.

·Set Rotation to 270 Degrees.

·Set Direction of Motion to Down.

·Unselect Stop at Edge.

Click on Add and play the text action. "Merry Christmas!" will scroll from top to bottom in rainbow characters.

Discussion on fonts

We just used the font "10-12x12 Bold - System". The first number in the name is the pixel height of a capital letter. The second and third numbers are the character cell width and height. In this font there are two pixels reserved for the lower case descenders (for example, the bottom tail of a "y"). This is why the height of the character cell, 12, is greater than the height of a capital letter, 10.

Note that in the smaller fonts, the cell height is the same as the capital letter height. This is because there are not enough pixels to reserve room for lower case descenders. In those fonts, the tail of a "y" does not go below the bas line.

As mentioned, the second number is the font character cell width, but realize that this is an average width. The width of any individual character may be different.

Custom fonts

In the font list, there are five system fonts and five custom fonts. The custom fonts are shipped identical to the system fonts. The only difference is that system fonts are not allowed to be modified, while the custom fonts are. If you wish to tweak some of the characters in a font, you can do so in any of the custom fonts. For example, let's say we want to make the exclamation point bigger in the "10-12x12 Bold - Custom" font. To do this, do the following:

·In the central area of the dialog box, select the radio button labeled "Font Character Entry".

·In the font list, select "10-12x12 Bold - Custom". It should be the second to last font in the list. The Modify button in the Chars group will become enabled.

·In the Char list, select the "!" character (the second character in the list.

·The char cell width is 4; change this to 6 and click on the Modify button immediately below the Char list. Note that the yellow line indicating the char cell width changed from 4 to 6.

·The current "!" character is two pixels wide. Redraw the pixels to make a fatter 4 pixel wide "!" character.

·Click on the Char List Modify button again.

·Now click on the Save button immediately below the Font list. This saves your change to a file.

·Click on the Text Action Entry radio button.

·Type the word "Merry!" as the text.

·In the font list, select "10-12x12 Bold - Custom". You should see the new exclamation point that you customized.

PreRamp and PostRamp

"PreRamp Time" will fade the text in. Selecting "Make Brighter" with a "PreRamp Time" will fade the text in brighter. It gives the effect of "poof" and the text appears.

"PostRamp Time" will fade the text out. Selecting "Make Brighter" with a "PostRamp Time" will make the text brighter and then fade to black. It gives the effect of "poof" and the text disappears.

Discussion

You now know how to control many features of a text action. You can move the text, have it stand still, rotate the text, change its color, change the font, and even customize the characters within a font. But there is more.

What is a text mask?

In the Color/Mask group, there are three radio buttons, labeled "Normal", "Pos Mask", and "Neg Mask". So far we have done everything with the "Normal" setting. Normal means that there is no mask applied, and the text will behave normally. "Pos Mask" and "Neg Mask" are advanced features that allow you to apply any effect to the background and/or foreground of text.

Try some positive mask text

·Delete any text actions that you have by clicking on the Delete button until all text actions are gone from the list.

·Set the start time to 1.00 seconds and the end time to 5.00 seconds.

·Type the word "Merry" as the text.

·Select font "10-12x12 Bold - System".

·Set Color/Mask to Choose Color.

·Set Color to red by setting red to 100, green to 0, and blue to 0.

·Set Pos Mask.

·Set Rotation to 270 Degrees.

·Click on Add.

·Play the text action.

The word "Merry" appears in red in the center of the ribbons. Nothing special yet...

Apply a background effect

·Click on Tools and select Scenes.

·Set the start time to 2.00 seconds and the end time to 4.00 seconds.

·Set the start and end colors to blue.

·Set all the pixels in the pixel grid by pressing the Ctrl key and then clicking with the left mouse button on the pixel grid. All the pixels in the pixel grid should be blue.

·Click on Add.

·Play the text action.

You should first see the red "Merry", and then at 2.00 seconds the background should become blue.

Understanding a positive text mask

In the time layer area, there should be a red bar going from 1.00 seconds to 5.00 seconds. This bar is the Text mask. Click on this bar and the Text dialog should launch.

There is a box in the lower right area of the dialog box labeled "Mask Diagram". As the diagram shows, the effects above a text mask appear in the background, and the effects below a text mask appear in the foreground. So, let's try moving the scene from the background to the foreground.

·Select the blue bar in the time layers.

·Locate the "Move Effects Down" button in the toolbar. It is the fourth button from the right.

·The "Move Effects Down" button changes the layer of the effect. Click on it until the scene effect is below the mask.

·Click on Play.

This time the scene gets applied to the foreground and the text becomes purple from 2.00 to 4.00 seconds. Note: If the scene fails to get applied to the foreground, make sure the Positive Text Mask color is set to pure red - i.e. set red to 100, green to 0, and blue to 0.

It works with morphs too!

·Click on the scene and delete it.

·Click on the Tools menu and select Morphs. The Morph dialog box will launch.

·Set the start time to 2.00 seconds and the end time to 3.00 seconds.

·Set the start and end colors to green.

·Set the tail time length to 0.50 seconds.

·Set the ramp start color to green and leave the ramp end color as black.

·Click on Add and then Play.

The text should appear and then the morph will be applied to the background. Text masks are cool!

Move the morph to the foreground

Click on the green bar in the time layers and move it to the other side of the mask. Click on Play.

This time the morph gets applied to the foreground of the text. Note: If the morph fails to get applied to the foreground, make sure the Positive Text Mask color is set to pure red - i.e. set red to 100, green to 0, and blue to 0.

Negative text masks

We started out using a positive text mask. Let's try a negative text mask.

·Leave the morph on the foreground side of the text mask.

·Click on the red bar in the time layers; the Text dialog box appears.

·Select "Neg Mask". A message box appears recommending that you set the text color to white when using negative masks. Answer "Yes" to the message box"; the text color will then be automatically set to white.

·Click on the Modify button and then Play. This time, you will see nothing until the morph gets applied to the text foreground.

·Move the morph to the background side of the text mask, and play. This time, you will see nothing until the morph is applied to the background.

Discussion

The weird thing about negative masks is that they are invisible until other effects are applied to their foreground and/or background. This seems weird at first, but it is the key to their power. You can apply multiple effects on either side of the mask. You can even apply image actions and normal text to the background or foreground. But you cannot apply a mask to a mask.

Applying normal text to the background of a text mask

·Move the morph to the foreground side of the mask.

·Set the morph start time to 1.00 and the end time to 2.00.

·Increase the tail time to 3.00.

·Click on Play. You should see the morph applied to the foreground of the text mask.

·Click on the white bar in the time layer area; the Text dialog box is launched.

·Type "Christmas" for the text.

·Leave Rotation at 270 degrees.

·Click on Normal.

·Set Direction of Motion to DownRt.

·Set the color of the text to red.

·Set the start time to 2.00 seconds and the end time to 5.00 seconds.

·Click on Add.

·The red bar in the time layers represents the normal text you just added. Move it to the background side of the text mask.

·Click on Play.

The morph should play across the word "Merry", and "Christmas" should move across the background.

This same sequence is stored as a sample file named "TextMaskMerryChristmas.sup".

Summary

Text masks take some time to learn, but are well worth the effort. With all the other effects, the time layers were just a way to view the effects. With text masks, the layers have a new meaning. This tutorial explored only a few of the variety of text effects that are now possible. Cosmic Color Ribbons have been taken to a whole new level!


Smooth Effects

Smooth Effects look best on a large matrix of RGB lights. They are designed to change large areas of lights in a smooth flowing manner. There are three types of smooth effects: Shockwave, Spiral, and Fan.

Shockwave

After launching the Smooth Effects dialog box, click on the "Shockwave" tab.

· Center Point and Radius

· Angle

· Width

· Acceleration

Center Point and Radius (Shockwave)

In the green sequencing grid, there will be a small circle and a line ending with an arrow head. The small circle marks the center of the shockwave. The line ending with an arrow head marks the radius. Click on the "Add" button in the "Smooth Effects" dialog box, and then click on the "Play" button to see the shockwave. You should see a shockwave effect start from the center and end where the arrow head was.

To change the center point and radius, do a click and drag with the left mouse button. You can change the direction and length of the radius with the right mouse button. For example, do a click and drag with the right mouse button starting at the end of the arrow line and drag towards the center where the circle is. This will make the line start at the outside and go towards the middle with the arrow pointing towards the middle. Add another shockwave effect and play it, and you should see a shockwave start big and contract to a smaller size.

Angle (Shockwave)

The Start Angle and End Angle are grayed out, because Shockwave does not use them.

Width (Shockwave)

There is a Start Width and an End Width. The Start Width is the width of the "leading edge"of the shockwave. The End Width is the width of the "trailing edge" of the shockwave. Click on the Up or Down Arrow buttons next to the Start Width or End Width to change their values.

Acceleration (Shockwave)

Setting a positive number will make the shockwave start slowly and increase in speed as it travels. Setting a negative number will make the shockwave start quickly and slow down as it travels.

Spiral

After launching the Smooth Effects dialog box, click on the "Spiral" tab.

· Center Point and Radius

· End Angle

· Width

· Tail Time Length

· Acceleration

Center Point and Radius (Spiral)

In the green sequencing grid, there will be a small circle and a line ending with an arrow head. The small circle marks the center of the spiral. The line ending with an arrow head marks the radius and start angle. Click on the "Add" button in the "Smooth Effects" dialog box, and then click on the "Play" button to see the spiral. You should see a spiral effect start from the center and end where the arrow head was.

To change the center point and radius, do a click and drag with the left mouse button. You can change the direction and length of the radius with the right mouse button. For example, do a click and drag with the right mouse button starting at the end of the arow line and drag towards the center where the circle is. This will make the line start at the outside and go towards the middle with the arrow pointing towards the middle. Add another spiral effect and play it. You should see a spiral start at the outside and spiral inward, ending where the arrow head was.

End Angle (Spiral)

The end angle of the spiral can be changed by changing the value in the End Angle field. Changing the value of the Revolutions field will also change the value in the End Angle field. The default is an end angle of 360 degrees and 1.00 revolutions. The default setting will make a spiral that travels clockwise from 0 degrees to 360 degrees. Set Revolutions to 2.00 to make the spiral go around two times. Setting a negative number for End Angle or Revolutions will make the spiral travel counterclockwise.

Width (Spiral)

There is a Start Width and an End Width. The Start Width is the pixel width at the start of the spiral. The End Width is the pixel width at the end of the spiral.

Tail Time Length (Spiral)

This is the time length the spiral will stay on screen before it erases itself.

Acceleration (Spiral)

Setting a positive number will make the spiral start slowly and increase in speed as it travels. Setting a negative number will make the spiral start quickly and slow down as it travels. Setting acceleration to zero means do not accelerate, but even with acceleration set to zero, spiral effects will have a natural acceleration if the start width is smaller than the end width, and a natural deceleration if the start width is bigger than the end width.

Fan

After launching the Smooth Effects dialog box, click on the "Fan" tab. Fan uses a series of Spiral effects that can look like a fan.

· Center Point, Radius and Start Angle

· Width

· Blades

· Blade Width

· Revolutions Per Second

· Element Angle

· Element Step Angle

· Acceleration

· Show Entire Blade at Start

Center Point, Radius and Start Angle (Fan)

In the green sequencing grid, there will be a small circle and a line ending with an arrow head. The small circle marks the center of the fan. The line ending with an arrow head marks the radius and start angle. Click on the "Add" button in the "Smooth Effects" dialog box, and then click on the "Play" button to see the fan. You should see a fan effect start from the start angle and rotate at the default speed of 0.25 revolutions per second.

To change the center point and radius, do a click and drag with the left mouse button. You can change the direction and length of the radius with the right mouse button. For example, do a click and drag with the right mouse button, starting at the end of the arrow line, and drag towards the center where the circle is. This will make the line start at the outside and go towards the middle with the arrow pointing towards the middle. Add another fan effect and play it. The fan will start from the start angle and rotate at the default speed of 0.25 revolutions per second as it did before, except this time each element of the fan will travel inward instead of outward.

Width (Fan)

There is a start width and an end width. The start width is the pixel width of the start of each element of the fan. The end width is the pixel width at the end of each element of the fan.

Blades (Fan)

This is the number of blades in the fan. The default is two. You can set the number of blades from 1 to 16.

Blade Width (Fan)

This is the width of each blade in the fan. 50% means the blade width will be 50% of the distance to the next blade. Note that the blades start out being thin and get thicker as they rotate until they get to their Blade Width setting.

Revolutions Per Second (Fan)

This is the rotation speed of the fan. The default is 0.25 revolutions per second. This means it will rotate one quarter of a revolution in one second, meaning it will take four seconds to make one full revolution. Positive numbers will rotate clockwise; negative numbers will rotate counterclockwise. With a setting of 0, the fan will build from the center outward and will not rotate.

Element Angle (Fan)

The fan is built using a series of spirals. Each spiral is an element of the fan. Changing the element angle wil change the angle of each one of the spirals that make up the fan. Setting an angle of 0 will make straight elements. Setting a large angle will make the fan look sort of like a spinning galaxy.

Element Step Angle (Fan)

This is the spacing between each element of the fan. Each element is a spiral. An element step angle of 10 means that each spiral will be built at intervals of 10 degrees. Setting a large element step angle will add space between the spirals.

Acceleration (Fan)

Setting 0 means do not accelerate. Setting a positive number will make the fan start slow and increase in speed as it travels. Setting a negative number will make the fan start quickly and slow down as it travels. Note that if you use acceleration in a fan, the width of the fan will change as it accelerates or decelerates.

Show Entire Blade at Start (Fan)

This means build the entire width of the blade of the fan all at once, so that the entire blade width is seen from the start to the finish.

Modify Selected Effects

This dialog box is used to modify attributes that are shared by all types of effects. Currently it supports modification of the Clip Rectangle in all the effects that are selected. The “Undo” feature is not supported for this dialog box. So it is a good practice to rename your sequence before performing this function. That way you will keep the original file before you changed it. So the steps you want to follow are:

1.Click on the “File” menu and select “Save As” and rename your sequence

2.Select the effects you want to modify. To select all effects, click on the “Edit” menu and select “Select All”

3.Click on the “Tools” menu and select “Modify Selected Effects…” or click on the “Modify Selected Effects” button on the Toolbar

4.In the “Modify Selected Effects” dialog box you can choose the types of effects you want modified. It defaults to all of them being modified.

·Manual Clip Rectangle

Select “No Clip” if you do not want the effects to have a clip rectangle

Select “Manual Clip” and then press the “Shft” key while doing a mouse drag on the sequencing grid. This will define the clip rectangle on the sequencing grid. Click on the “Modify Selected Effects” button.


Auto Sequence Effect

Auto Sequence effects are a cross between standard effects and Instant Sequence. You create the effect and then give it Auto Sequence settings and the effect moves and/or blinks with the music. In the lower left of each effect dialog box is and button with an image of a automobile in it. This is the “Auto Sequence” button. Click on the “Auto Sequence” button and the “Auto Sequence” dialog box will appear. Click on “Add” in the effect dialog box and you will see an Auto Sequence appear in the time layers. “Auto Sequence” effects have an image of an automobile on them.

Click on the “File” menu and select “Open Audio File”.

· Scenes

· Morphs

· Smooth Effects

· Image Actions

· Text Actions

Scenes

Bring up the “Scene Setup” dialog box.

Click on the squares in the green sequencing grid to create the scene pixels

Click on the “Auto Sequence” button in the lower left. The “Auto Sequence” dialog box will appear.

Select several seconds on the time ruler

Click on the “Add” button in the “Scene Setup” dialog box and an Auto Sequence Scene effect will be added to the time layers

Click on the “Play 8 Seconds” button. You will see the scene move with the music

Morphs

Bring up the “Morph Setup” dialog box.

Click on the squares in the green sequencing grid and create a small morph. It will be easier to see the movements of a small morph.

Click on the “Auto Sequence” button in the lower left. The “Auto Sequence” dialog box will appear.

Select several seconds on the time ruler

Click on the “Add” button in the “Morph Setup” dialog box and an Auto Sequence Scene effect will be added to the time layers

Click on the “Play 8 Seconds” button. You will see the morph move with the music

Smooth Effects

Bring up the “Smooth Effects” dialog box.

Click on the “Auto Sequence” button in the lower left. The “Auto Sequence” dialog box will appear.

Select several seconds on the time ruler

Click on the “Add” button in the “Smooth Effects” dialog box and an Auto Sequence Scene effect will be added to the time layers

Click on the “Play 8 Seconds” button. You will see the smooth effect move with the music

Image Actions

Bring up the “Image Setup” dialog box.

Click on the “Auto Sequence” button in the lower left. The “Auto Sequence” dialog box will appear.

Select several seconds on the time ruler

Click on the “Add” button in the “Image Setup” dialog box and a message box will appear saying, “When adding an Auto Sequence Image Action it is recommended that the start point be 0,0 and end point be 0,0 and "Apply X,Y in Preview (for animations)" be selected. Set start point be 0,0 and end point be 0,0 and select "Apply X,Y in Preview (for animations)" ?”

Click on the “Yes” button in the message box and.an Auto Sequence Scene effect will be added to the time layers

Click on the “Play 8 Seconds” button. You will see the Image move with the music

If you want to change the starting position of the Image you can change to start point and end point. With “Apply X,Y in Preview (for animations)” selected the start point and end point will be forced to be the same. Having them be the same value is normally what you will want for Auto Sequence Image Actions, otherwise the movement will be “jerky” because every time Auto Sequence moves the Image Action it will also move from the start point and end point of the effect. If you want the movement to be “jerky” then deselect “Apply X,Y in Preview (for animations)” and make the start point and end point be just a few pixels different.

Text Actions

Bring up the “Text Setup” dialog box.

Click on the “Auto Sequence” button in the lower left. The “Auto Sequence” dialog box will appear.

Select several seconds on the time ruler

Click on the “Add” button in the “Text Setup” dialog box and a message box will appear saying, “When adding an Auto Sequence Text Action it is recommended that the text be set to the center and "Apply X,Y in Preview (for text that does not move)" be selected.

Set text to the center and select "Apply X,Y in Preview (for text that does not move)" ?”

Click on the “Yes” button in the message box and.an Auto Sequence Scene effect will be added to the time layers

Click on the “Play 8 Seconds” button. You will see the Text move with the music

If you want to change the starting position of the Text you can change to start point and end point. With “Apply X,Y in Preview (for text that does not move)” selected the start point and end point will be forced to be the same. Having them be the same value is normally what you will want for Auto Sequence Text Actions, otherwise the movement will be “jerky” because every time Auto Sequence moves the Text Action it will also move from the start point and end point of the effect. If you want the movement to be “jerky” then unselect “Apply X,Y inPreview (for text that does not move)” and make the start point and end point be just a few pixels different.


Auto Sequence Dialog Box

The Auto Sequence dialog box is launched by clicking on the button with an automobile in it. The automobile button will be in the lower left of each of the effect dialog boxes. The Auto Sequence dialog box has settings that will control the movement and color of the effect as it is moved with the music. If the Auto Sequence dialog box is visible then when you click on the “Add” button of the effect dialog box then an Auto Sequence effect will be added to the time layers. The Auto Sequence effect will have a picture of an automobile in it. The following are the settings in the Auto Sequence dialog box.

·Settings

· Sensitivity

· Trigger Type

· Movement

· Direction Angle

· Speed

· Use Native Color of the Effect

· Cycle Through Colors Below

· Freqs (Frequencies)

· Creating A Sequence using Auto Sequence Effects

Sensitivity

This setting sets the sensitivity to the audio file. It is like a volume control. If you are not getting much movement from the song then try increasing the sensitivity. But if you set it too high it could also be less responsive. For most songs, setting the sensitivity to 4, 5, or 6 will work best.

Trigger Type

“Rapid Fire” is the default and is typically what you will want to use. The more Freqs you have selected in the Auto Sequence dialog box, the more triggers will be produced and the effect will move more

“Single Fire” is good if you want slower movement. Even with many Freqs selected only one trigger will fire. This can be good for effects that have a lot of movement in them such as smooth effects.

Average the Time Length of Effects – Select this option to smooth out the length of effects. Unselect this option and places where the music is strong to cause effects to linger.

Movement

This is the Movement pattern that will be done on the effects. The movement will happen within the clip rectangle for that effect.

Skip Inactive Grid Squares – Select this option to have the movement skip inactive squares on the green sequencing grid

No Movement – The effect will happen in the same location every time it is triggered

Wrap Around – The effect will move and will wrap around to the other side of the screen when it reaches the each of the clip rectangle for that effect.

Ricochet – The effect will move and will bounce off the edges of the clip rectangle for that effect. The movement is like a billiard ball bouncing off edges of a billiard table.

Folding Ricochet – Images will fold on themselves as they bounce off the edges of their clip rectangle.

Bounce and Retrace – The effect will move and bounce off the edge of the clip rectangle and will return to its original position and will keep going back and forth along that path.

Burst and Return – The effect will move until the end of a trigger burst and then will return to its original position. If the movement goes beyond the edge of the clip rectangle before the end of the burst then it goes back to its original position.

Snake Up, Snake Down – The effect will move until it hits the edge of the clip rectangle for that effect, and then it will move up or down a pixel and reverse direction. This movement is best used with direction angles of 0, 90, 180, and 270 degrees. It will make the effect move in path as if it is a lawn mower going back and forth until all the region has been mowed and then it reverses direction and keeps mowing. Also, this movement is recommended for displays with traditional lights. For example you can make a scene made of one pixel automatically traverse the entire display.

Direction Angle

The setting controls the direction angle of the movement. The angle can be set in 5 degree increments. The angle is shown with an orange arrow at the center of the green sequencing grid. Note that this controls only the direction angle. The original location of the effect is controlled by the location of the native effect that you create.

Speed

This controls the speed of the movement in pixels. For example, with the speed set at 1.00 the effect will move one pixel each time it is triggered.

Use Native Color of the Effect

The effect will always be rendered using the native color of the effect.

Cycle Through Colors Below

Use this setting to cause the effect to change colors as it moves. You number of colors for it to cycle through can be set to 1-8. Click on a color square and a Color Picker dialog box will appear. Note that even though there are many colors you can choose from, it will always set the color to one of the 8 basic colors, red, orange, yellow, green, blue, purple, white and black. Also note that when setting black it is really a very dark gray.

Freqs (Frequencies)

This setting controls the frequencies that the effect will be responsive to. Click and drag with the mouse to set or erase multiple freqs. Note that when an instrument in a song plays a musical note, the frequencies are strongest at the note but there can be strong harmonics on either side of the note as well. The result is that any note played in a song can get “splattered” across the freq spectrum. The “splatter” will be wider with higher sensitivity.

These freqs are equivalent to the freqs in the Timing Map dialog box. If you click on the Tools menu and select “Timing Map” you will see the Timing Map dialog box which has a picture of a piano keyboard and shows how the freqs map to a piano keyboard.

Creating a Sequence using Auto Sequence Effects

You can use different Auto Sequence effects throughout your song. The typical approach is to use the same set of Auto Sequence effect for 10-30 seconds of a song and change to another set of Auto Sequence effects at a point where the song changes.

In SuperStar you can only see 8 seconds of the song at a time, so if you want to add or modify Auto Sequence effects that are longer than 8 seconds then do the following:

Select the effects you want to change the time range of. Scroll to the start time that you want and mark it with a left click on the time ruler. Then scroll to the end time that you want and mark it with a right click on the time ruler. Then click on the “Set Group Time Range” button. The “Set Group Time Range” button is on the toolbar and looks like an hour glass with down arrows on either side of the hour glass.


Move or Scale Selected Effects

This feature is used to move or scale the selected effects according to the settings in the dialog box. Note that you cannot undo the changes done by this dialog box so it is recommended that you save the sequence to a new name prior to using this dialog box. For example if you are moving all the effects two pixels to the right you would do the following:

1.Click on the File menu and select “Save As” and save the sequence to something like “MySequence_movedRight2Pixels.sup”

2.Click on the Edit menu and select “Select All”

3.Leave “Move Origin” selected and set “Left/Right” = 2

4.Click on the OK button

5.Click on any effect and you should see that it has been moved to the right by 2 pixels

This feature is also useful for converting a sequence to different dimensions. For example, if you want to stretch a 12 CCR sequence to be a 16 CCR sequence you would do the following:

1.Click on the File menu and select “Save As” and save the sequence to something like “MySequence_16CCR.sup”

2.Click on the Edit menu and select “Select All”

3.Click on “Scale”

4.Set:

Source Width = 12 | Dest Width = 16
Source Height = 50 | Dest Height = 50

5.Click on the Ok button

6.Click on any effect and you should see that it has been stretched to fit onto a 16 CCR layout

Selected Effects to Modify

This defaults to all effect types being selected. But if, for example, you only want to modify the selected “Scenes” then you would uncheck all the effect types and leave “Scenes” selected

Move Origin

Select this if you want to move the effects left, right, up, or down, the number of pixels set in the Left/Right control and the Up/Down control

Scale

Select this if you want to scale the effects. Scale means to stretch or squish. The “Source Width” and “Source Height” is the original width and height of the sequence. The “Dest Width” and “Dest Height” is the destination width and height, or in other words, the width and height that you want the sequence to become.

Do Scene Thinning

This setting is used when “Scale” is selected. It is easiest to explain this setting by using the example of a scene that is random pixels that look like stars in the sky. If you shrink the stars and have “Do Scene Thinning” selected then some of the stars will get removed or “thinned” out so that the density of stars in the shrunken sky stays the same. If you shrink the stars and have “Do Scene Thinning” unselected then all of the stars will be kept, and in the shrunken sky the density of stars will be greater. In the extreme case, if you shrunk the sky a lot then there would be no space between the stars anymore.

Change Intensity

Select this if you want to increase or decrease the intensity of the color of all selected effects. Note this change is always relative to the current intensities.

For example, if you set 50% then all color intensities will be reduced by 50%. If you then select the same effects and reduce the intensity by 50% again, then the intensities will be 25% of what they were before you did any changes.

As another example, if you set 200% then color intensities of 50 and lower will get doubled. All values 50 and greater will become 100. This means that increasing the color intensities by 200% and then decreasing them by 50% will not necessarily get you back to the original intensities.


Groups of Effects

· Make a Group

· Ungroup

· Expand Group

· Compress Group

Make a Group

·Do a right mouse click and drag to select a group of effects (you can add or remove effects by doing Ctrl+Right mouse click).

·After doing a right mouse click and drag, a popup menu will appear.

·In the popup menu, choose "Grouping", and then choose "Group Selected Effects into a Group".

·The "Edit Name of Group" dialog box will appear, allowing you to name the group if you wish.

·After clicking on "Ok" in the "Edit Name of Group" dialog box, the selected effects will be compressed into one "Group" effect.

Ungroup

·Do a right mouse click on a group effect.

·In the popup menu, shoose "Grouping", and then choose "Ungroup Selected Group into Separate Effects".

·The "Group" effect will disappear, and the grouped effects will become separate effects.

Expand Group

·Do a right mouse click on a "Group" effect.

·In the popup menu, choose "Grouping" and then choose "Expand Selected Group". Alternatively, you can select a "Group"effect and hit the "+" key.

·All the other effects in the sequence will become hidden, and only the effects in the group will be displayed. You can now modify the existing effects, add new effects, or delete effects. Anything you do will become the new state of the group.

Compress Group

·While a group is expanded, do a right mouse click anywhere in the time layers.

·In the popup menu, choose "Compress Group". Alternatively, you can press the "-" key.

·All the effects currently displayed will be compressed back into the group. You will now see the "Group" effect displayed along with all the other effects in the sequence


Select One or More Rows

Open a sequence or create a bunch of effects. Do a right click on a row in the Time Layers. For example, you could do a right click on Row 3 in the Time Layers.

In the popup menu that appears, select "Row 3" and then select "Select All", "Select All Left", or "Select All Right", and the selection will be applied only to Row 3.

You can also do a right mouse click and drag across more than one row. For example, you could do a right mouse click and drag across Rows 3-6.

In the popup menu that appears, select "Rows 3-6" and then select "Select All", "Select All Left", or "Select All Right", and the selection will be applied only to Rows 3-6.


Transfer Effects from One Sequence to Another

In the Light-O-Rama SuperStar Sequencer, using the clipboard, you can transfer effects from one sequence to another, as in this example:

·Open the file "JingleBellRock_24sec.sup", located in the Samples directory of the SuperStar Sequences directory.

·Scroll to the 16.00 second mark and you will see a stack of six white boxes in the time layers.

·Select the stack of boxes.

·Click on the Copy button.

·Click on the toolbar button with a piece of paper on it. This will do three things: It will clear the pixel grid, set the start color as red, and set the time duration to 1.00-2.00 seconds.

·Click on the Paste button, and the stack of boxes gets pasted to the new file.


Load/Save Clipboard

In the Light-O-Rama SuperStar Sequencer, there are 20 sample effects that can be loaded into the clipboard. Once the effects are loaded into the clipboard, you can paste them into your sequence. Anything that you copy to the clipboard can also be saved to a file.

· Start with a new sequence

· Launch the Load/Clip dialog box

· Load a sample file into the clipboard

· Paste the clipboard into your sequence

· Play the pasted effects

· Save your own clipboard effects

· Discussion

Start with a new sequence

Click on the "New" button on the toolbar, which looks like a piece of paper.

Launch the Load/Clip dialog box

Click on the Edit menu, then select Load/Save Clipboard. You can also launch the dialog using Ctrl+B.

Load a sample file into the clipboard

At the top of the dialog box is a list of the saved clip files ("clip" is short for "clipboard"). All of the sample files start with "Sys -", meaning they are a system file that can be loaded but not saved to. Select the "SharkFinForHorizontalRibbons.scb" file, then click on "Load Clipboard from File".

Note that the lower half of the dialog box is now populated. In the description area are the description and instructions on how to modify the effects.

Paste the clipboard into your sequence

Once the clipboard is loaded, you can paste the effects into your sequence. There are four ways to do this:

1.Use the Paste button in the dialog box.

2.Use the Paste button on the toolbar.

3.Put the focus on the work area by clicking on the time layers area, and then press Ctrl-V.

4.Click on the Edit menu and select Paste.

Play the pasted effects

A shark fin will travel lengthwise across the ribbons, first one direction and then the other. The water underneath the shark fin will shimmer.

For demonstration purposes, the shimmering water is done in two different ways: The first time, it is done with scenes that fade between two intensities. The second time, it is an animation done with images. The description of this effect in the Load/Save dialog box describes how to modify the shark fin and the water.

Save your own clipboard effects

Any effects you have modified our created can be saved to file by doing the following:

·Select what you want to save.

·Click on the "Copy Effects" button on the toolbar.

·Press Ctrl-B to launch the Load/Save Clipboard dialog.

·In the Clipboard Name filed, type your filename (such as "MyAwesomeEffects").

·Click on the "Save Clipboard to File" button.

Note that your file is now in the list of saved clip files.

Discussion

The load/save of the clipboard is a powerful feature! You can now store and easily transfer effects from one file to another. The shark fin effect shows how a shaded object can be drawn as an image action. Artists will have fun with this, and non-artists will be grateful they can copy and paste these images!

Currently the SuperStar Sequencer does not support importing .gif or .jpg images. However, realize that even if you have twelve CCRs, you only have 12x50 pixels to work with. This is very low resolution by computer standards. Import of images would typically not look good at such low resolution. The best images will always be those that are carefully tailored to the low resolution that we must work with.


Change to 10 Pixels per Ribbon

Cosmic Color Ribbons default to having 50 pixels per ribbon. Each pixel is actually a group of three LEDs with red, green, and blue elements. You will normally want to keep the ribbons in 50 pixel mode.

You can, however, change the number of pixels per ribbon to 25, 10, 5, or 1, using one of the macro commands built into the ribbons. The reason you may want to do this is to reduce the number of channel commands, making the effect more instantaneous. For example, a white morph that goes the full length of 12 ribbons will generate 12x50x3 = 1800 commands. If the morph is fast, and tries to do this in a short period of time, like 0.4 seconds or less, you may perceive some lag in the ribbons. In a fast effect, you will get better results by using 10 pixels per ribbon, because it will use 1/5 the number of channel commands and so will eliminate the lag, and since it travels fast, it will still look good in 10 pixel resolution.

Here is an example of how to use both 10 pixel and 50 pixel resolution in the Light-O-Rama SuperStar Sequencer:

· Initialize the screen

· Launch the Macro dialog box

· Add a "10 pixel per ribbon" macro

· Add a scene inside the macro region

· Add a morph inside the macro region

· Add a morph outside the macro region

· Try to add a morph that straddles the macro

· Discussion

Initialize the screen

Click on the toolbar button with a piece of paper on it. This will do three things: It will clear the pixel grid, set the start color to red, and set the time duration to 1.00 to 2.00 seconds.

Launch the Macro dialog box

Click on the Tools menu and select Macro.

Add a "10 pixel per ribbon" macro

·Set "Pixels Per Ribbon" to 10.

·Set the time duration to 1.00 to 3.00 seconds.

·Click on the Add button.

A bracket should appear in time layer 6.

Add a scene inside the macro region

·Click on the Tools menu and select Scene.

·Set the time duration to 1.00 to 2.00 seconds.

·Set some pixels at the top of the pixel grid.

·Click the Add button.

A scene should appear in time layer 1. Note that the scene only has ten pixels per ribbon in the pixel grid. Also note that the ribbons still display as if they were in 50 pixel mode, but when playing the sequene to the real Cosmic Color Ribbons, they will be in 10 pixel mode.

Add a morph inside the macro region

·Click on the Tools menu and select Morph.

·Set the time duration to 2.00 to 3.00 seconds.

·Click on the Add button.

A morph should appear in time layer 2. Note that the morph has ten pixels per ribbon in the pixel grid.

Add a morph outside the macro region

·Set the time durationto 5.00 to 6.00 seconds.

·Click on the "Add" button.

Note that the morph has 50 pixels per ribbon in the pixel grid.

Try to add a morph that straddles the macro

·Set the time duration to 2.00 to 4.00 seconds.

·Click on the Add button.

An error message will appear.

Discussion

When playing the sequence to the Cosmic Color Ribbons, the ten pixel macro will send a command 1/100th of a second before the macro time duration to set each ribbon in 10 pixel mode. It will send a command 1/100th of a second after the macro time duration to set each ribbon back to 50 pixel mode. No effects should be active when these commands are sent.

Note that at 32.45 in the sample file CarolOfTheBells.sup, there is a morph that uses 10 pixel mode. In this morph, all the ribbons burst downward into a flash of white. In normal 50 pixel per ribbon mode, this would require 1800 channels to be turned on in a very short period of time. Using 10 pixel per ribbon mode requires only 360 channel commands, and can make the effect more instantaneous.


"Star Rays", "Wide Grid", and "Thin Grid"

In the Light-O-Rama SuperStar Sequencer, there are three buttons at the right end of the toolbar that will set the ribbons into "Star Rays", "Wide Grid", or "Thin Grid":

Star Rays

In this layout, morphs that come from the top to the bottom should accelerate, and the trail should get longer. Typical settings might be a start trail of 2 and an end trail of 12.

Scenes that come from the top to the bottom should get larger. The yellow perspective marks on the right side of the pixel grid are designed to help you do this.

Wide Grid

This view spaces the ribbons to give square pixels. That is, the space between the ribbons is equal to the height of each pixel. If you are using the ribbons primarily for animations and text, you will probably use a layout like this.

Thin Grid

This view spaces the ribbons closer together. The quality of the animations will improve, but it will take more ribbons to cover the same amount of area.


The Layout Dialog Box

In the Light-O-Rama SuperStar Sequencer, the layout settings get saved into each .sup file. The layout you set also gets saved as a default layout. This default layout will be used for new sequences that you create.

· CCR Mode

· Number of Ribbons (1-24)

· Ribbon Orientation

· Ribbon Shape

· Ribbon Length

· Visualization Mode

· Visualization Files

· Pixel Extender

CCR Mode

In CCR mode, the screen will use the layout you have selected in the lower part of the Layout dialog box. The unit ID and configuration information will be obtained from the Configuration dialog box, and this information will be used when exporting the file to the Sequence Editor.

Number of Ribbons (1-64)

This will set the number of rows of ribbons if in horizontal view, or the number of columns of ribbons if in vertical view. Note that if you are using half ribbons, this setting is the number of rows, not the number of ribbons.

Ribbon Orientation

Setting "Vertical" will display the ribbons vertically in columns.

Setting "Horizontal" will display the ribbons horizontally in rows. Note that the star is not supported in the horizontal view.

Ribbon Shape

Setting "Straight" will display the ribbons in straight lines. This is the common way to display the ribbons.

Setting "Circle" will display the ribbons in circles. The start of the ribbon will be at the left center of each circle. This allows for a variety of circular patterns. Sequencing circles can be a challenge, but the results can be amazing. An example can be seen on the Light-O-Rama website with Deck the Halls for 2 CCRs and for 4 CCRs.

Ribbon Length

Setting "Full" will display the ribbons as a full length 50 pixel ribbon. This is the normal setting.

Setting "Half" will display the ribbons as a half length 25 pixel ribbon. The common use of this setting is to allow a matrix with fewer ribbons. For example, using 4 CCRs you can create a matrix of 8 rows with 25 pixels in each row. You can cut the ribbons per the instructions that come with the CCRs, but if you do this, you void the warranty. Another option is to loop the ribbons back without cutting them. You will lose some pixels in the loop, but you will not void the warranty.

When using half ribbons you must lay out your ribbons as diagrammed below:

· Location of Ribbon Controllers when Ribbon Length is set to Half and Ribbon Orientation is set to Horizontal

· Location of Ribbon Controllers when Ribbon Length is set to Half and Ribbon Orientation is set to Vertical

Location of Ribbon Controllers when Ribbon Length is Set to Half and Ribbon Orientation is Set to Horizontal

·Set "Left" if your CCR controllers are on the left end of your ribbons.

·Set "Right" if your CCR controllers are on the right end of your ribbons.

·Note that for a horizontal layout, the first controller should be at the bottom, and the last controller at the top.

Location of Ribbon Controllers when Ribbon Length is Set to Half and Ribbon Orientation is Set to Horizontal

·Set "Top" if your CCR controllers are on the top of your ribbons.

·Set "Bottom" if your CCR controllers are on the bottom of your ribbons.

·Note that for a vertical layout, the first controller should be at the left, and the last controller should be at the right.

Visualization Mode

In visualization mode, the screen will use the row visualization file you have imported. All unit ID and configuration information is obtained from the real visualization file, and this information will be used when exporting the file to the Sequence Editor.

Visualization Files

This area shows the names of the row visualization and the real visualization. The row visualization should be laid out in rows, and is used when SuperStar maps the fixtures to the sequencing grid. The real visualization should be laid out the way your light display actually appears, and is used when playing the sequence and when exporting the sequence. Note that the row visualization and the real visualization will be the same file if you do "Import Visualization" in the File menu. If you do "Import Visualization Pair" in the File menu, then you can specify different files for the row visualization and the real visualization.

Pixel Extender

The Pixel Extender allows you to stretch or shrink the pixels in a region of a sequence done on a visualization. While you can stretch or shrink the pixels, the most common use is to stretch or extend the pixels. For example, it allows you to convert a sequence written for 25 or 50 pixels on strings that have 100 or 150 pixels.

·Enable Pixel Extender: Select this to enable the Pixel Extender.

·X Origin: The X origin of the region to be extended.

·Y Origin: The Y origin of the region to be extended.

·Width: The width of the region to be extended.

·Length: The length of the region to be extended.

·Stretched/Shrunk Length: The new length after the region has been stretched or shrunk.

Channel Count and License Level Required for Export

Below the Visualization File names there are two lines of text, the first line is the number of channels in the visualization. The second line is the license level required to export the visualization.

Pixel Editor Example

Make a visualization of your CCP Tree that has 50 pixels per strand.

Load the standard sequence made for a CCP Tree with 25 pixels per strand.

Import your visualization of your CCP Tree that has 50 pixels per strand.

Set the Pixel Extender as follows:

·X Origin: 0

·Y Origin: 16 (this is because the Globe is at the top of the sequencing grid and the CCP Tree starts at row 16)

·Width: 24

·Length: 25

·Stretched/Shrunk Length: 50

At this point, you can play the sequence to your visualization and see the stretched pixels play to your visualization.

Click on the "File" menu and select "Export to Sequence Editor" to play the sequence from the Sequence Editor.


The Preferences Dialog Box

The Light-O-Rama SuperStar Sequencer has the following choices in the Preferences dialog:

· Color Mode (Balanced vs. Full Range)

· Color Temperature (Cool White vs Warm White)

· Enable Time Layer Priority Feature

· Smooth Ramps

· Export Raw Color Values

· Grid Orientation

Color Mode (Balanced vs. Full Range)

If you use the Light-O-Rama Hardware Utility to try various setting for the RGB values of CCR pixels, you will find three important characteristics:

1.The brightness is not linear. For example, a setting of 100 is only a little brighter than a setting of 50, but 50 is significantly brighter than 25.

2.The red, green, and blue elements are not balanced. For example, on a computer screen, setting red to 100 and green to 100 will result in yellow, but on a CCR pixel, it will be more of a greenish yellow. This is because the CCR's green element is stronger than the red element. Setting red and blue to 100 will result in a bluish purple, because the blue element is stronger than the red element.

3.The LEDs are so bright that the perceived colors will not be as deep as what you see on the computer screen. This must be taken into account when comparing the colors on the computer screen with what you will get on the ribbons. For example, red 100 and green 50 will give a bright orange; red 60 and green 30 will give a dim orange that will show as a muddy orange on the computer screen, but on the Cosmic Color Ribbons it will still be a fairly bright orange.

Making the brightness linear

The Light-O-Rama SuperStar Sequencer automatically adjusts the start and end settings to make them linear. For example, a start setting of 50 in the SuperStar Sequencer will export to a setting of 25 in the Sequence Editor. This gives the proper intensity for the start and end color of an effect. But realize that a ramp that goes from 100 to 0 will not go from 100 to 0 smoothly: The hardware will bring the voltage down from 100% to 0% smoothly, but the brightness will go down slowly at first, then quickly at the end. The SuperStar Sequencer simulates this fast drop off when it plays the sequence onto the ribbons. Note that this fast drop off can be solved using the "Smooth Ramps" setting.

Balanced Color Mode

The SuperStar Sequencer defaults to "Balanced Color Mode". In this mode, the red element is used in its full range, but the green and blue elements are limited to less than full brightness. So, for example, if you set red to 100 and green to 100, you will get a true yellow on the ribbon.

Full Range Color Mode

To set this mode, go to the Tools menu and select Configuration. When in Full Range Color Mode, the color controls will have the following ranges:

·Red: 0-100

·Green: 0-120

·Blue: 0-130

In this mode, setting red, green, and blue all to 100 will give the same results as in Balanced Color Mode. Setting red to 100, green to 120, and blue to 130 will give a bluish white. The SuperStar Sequencer simulates this color shift, but to do so it must "dim down" the settings that are 100 and below in order to support simulation of the colors that are at 100 and above. Realize that even though the colors on the screen are dimmed down, the colors on the Cosmic Color Ribbon will not be.

Go Back to Balanced Color Mode

When going back to Balanced Color Mode, the SuperStar Sequencer advises that any settings greater than 100 will automatically be adjusted down to 100. Note that after going into Balanced Color Mode, the next time you click on a color control, a warning box may appear that says "Enter an Integer between 0 and 100." This is a bug which will be fixed in the future. Click "OK" on the warning box; if another warning immediately appears, click "OK" on that also. These warnings can be ignored.

Color Temperature (Cool White vs Warm White)

Most Cosmic Color Ribbons have “cool white” LEDs which means they are bluish white when Red, Green, and Blue are completely “on.” But some batches of Cosmic Color ribbons have “warm white” LEDs which means they are a true white when Red, Green and Blue are completely “on.” Although they are a true white, when held next to a “cool white” pixel that is completely “on” they will look yellowish.

The same is true for DMX ribbons and strings. Some of them are “cool white” and some are “warm white.” Choose the setting that matches your particular lights and the colors on the lights will more nearly match the colors that you saw on the computer screen when you made the sequence.

Enable Time Layer Priority Feature

When this checkbox is not selected all effects are transparent. This means that effects that where effects of different colors overlap the colors will mix. For example, , if a red effect is place on top of a green effect, in the places where the effects overlap the red and green will mix and will be yellow.

When this checkbox is selected the effects on low time layers will render in front of effects on higher time layers. For example, if you place a morph on time layer 1 and you place a scene on time layer 3, then if the morph goes across the same area as the scene then the morph will render on top of the scene. In other words it will look like the morph is above the scene.

For backward compatibility sequences created before this feature was available will have this feature unselected.

Each of the effect dialog boxes has the options Transparent, Semi-Transparent, and Solid. Their behavior is as follows:

·Transparent – The effects are transparent. For example, if a red effect is place on top of a green effect, in the places where the effects overlap the red and green will mix and will be yellow.

·Semi-Transparent – The colors in an effect that are dim will be transparent, but the colors in the effect that are the full color of the effect will be solid. For example, if a green morph with a tail is placed above a red scene, then the green head of the morph will be solid but the tail will be transparent. This is probably the setting you will want to use for scenes, morphs, and smooth effects.

·Solid – All colors in the effect will appear solid. This is probably the setting you will want for use with images, and text.

Smooth Ramps

As discussed in the Color Mode (Balanced vs. Full Range) section, the start and end setting of each color is adjusted by the Light-O-Rama SuperStar Sequencer so that the brightness is linear. However, on a single fade, the SuperStar Sequencer cannot control the rate at which the brightness changes in between the start and the end. To get around this, the SuperStar Sequencer can use "smooth ramps". In smooth ramps mode, ramps that are one second long or longer are actually treated as ten short ramps. In this way, the SuperStar Sequencer gains control of the rate of change of the ramp.

The fast change of ramps is not easily perceived for short ramps, but with very long ramps you will notice it. To see the difference, try the following:

1. Set Smooth Ramps mode

·Click on the Tools menu and select Configuration.

·Select Smooth Ramps in the Configuration dialog box.

2. Add a non-smooth ramp

·Launch the Scene dialog box.

·Select pixels 0-10 on the pixel grid.

·Set the time duration to 1.00 to 1.95 seconds.

·Set the start color to red = 100.

·Set the end color to red = 0.

·Click on the Add button.

The scene will be added to layer 1.

3. Add a smooth ramp

·Select pixels 11-20 in the pixel grid.

·In the scene dialog box, set the time duration to 1.00 to 2.00 seconds.

·Leave the start color at red = 100.

·Leave the end color at red = 0.

·Click on the Add button.

The scene should be added to layer 2 so that they both are stacked on top of each other.

4. What are we doing?

Both of the scenes cover almost the same time range. The two scenes should be stacked on top of each other. The pixels you selected should not collide (that is, each scene should turn on a different set of pixels).

5. Observe the difference

Click on the Play button. The first scene added is of a duration less than one second, so the ramp will not be smoothed. The second scene is a second long, and so the ramp will be smoothed.

Note that the top pixels (belonging to the first scene) will not drop in brightness as fast as the bottom pixels (belonging to the second scene).

6. Summary

When in Smooth Ramps mode, only ramps 1.00 second long and longer are smoothed. Even if you are in Smooth Ramps mode, smoothing is not done for ramps less than 1.00 second. This is because the smoothing of short ramps is not easily perceptible to the eye. Realize that any ramp that is smoothed gets chopped up into ten ramps, and thus the number of commands is ten times greater, and the length of the exported sequence file is ten times greater for that effect. This is why smoothing of short ramps is not done.

Smooth Ramps mode defaults to off, but you can turn it on, and then the setting gets stored in both your launch configuration file and in the .sup file. It affects the export of a Light-O-Rama .lms or .las file, and as mentioned, exported files using smoothed ramps will be larger.

Export Raw Color Values

When exporting a sequence, SuperStar will adjust the color values so they appear best on your lights. This is because LED lights require adjusted values in order to get them to best match the colors that you see on the computer screen. The result is that the colors you see in the exported file in the Sequence Editor may look a bit different than in SuperStar, but they will look good on your actual lights.

If you do not want SuperStar to adjust the exported values, then select “Export Raw Color Values.” This will make the colors in the exported file match what you saw on the computer screen in superstar, but the colors will not look as good on your actual lights.

Grid Orientation

Use this setting to change the orientation of the sequencing grid between Horizontal and Vertical.


Configure Controller Unit IDs Using the Light-O-Rama Hardware Utility

After purchasing Cosmic Color Ribbons, you must configure them using the Light-O-Rama Hardware Utility. There are instructions on how to do this in the manual that comes with the ribbons. You will assign a unit ID to each controller, the same as you would with any other controller.

In addition, the Hardware Utility has a Cosmic Color Ribbon Configuration screen. Be sure to use the following settings on it:

·Unit ID Mode: Normal (single ID).

·Channel Mode: Triples (RGB, RGB, ...)

·Resolution: 50 pixels

·Strips: 1

·DMX Mode: Both macro and RGB channels

The "Standalone Speed" setting does not matter with respect to the Light-O-Rama SuperStar Sequencer.


Configure Controller Unit IDs in the SuperStar Sequencer

After setting the unit ID for each of your Cosmic Color Ribbons with the Light-O-Rama Hardware Utility, you then must let the Light-O-Rama SuperStar Sequencer know which unit IDs you assigned.

Note that a Light-O-Rama unit ID is a hexadecimal number from 01 to F0. If they were decimal numbers, the ID would be from 1 to 240, but since they are hexidecimal, the IDs are 01, 02, 03, 04, 05, 06, 07, 08, 09, 0A, 0B, 0C, 0D, 0E, 0F, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 1A, 1B, 1C, 1D, 1E, 1F, 20, and so on.

· Launch the Configuration dialog box

· Set the unit ID of the star controller

· Set the unit ID of the first ribbon controller

· Number of DMX pixels

· Network settings

· Examples

· Do I need more hardware to use more than one network?

· Setting more than one network in the Light-O-Rama Sequence Editor

Launch the Configuration dialog box

Launch the SuperStar Sequencer, click on the Tools menu, and select Configuration.

Set the unit ID of the star controller

If you are not using a star, select "No" underneath "Star in Use". The Unit ID field will be dimmed, indicating that no unit ID for a star controller will be used.

If you are using a star, select "Yes" underneath "Star in Use". Set the unit ID of the Light-O-Rama controller for the star using the dropdown list.

The typical Light-O-Rama controller has 16 channels. Note that if you use the star, you must use the first 6 channels of the controller for it. The remaining 10 channels will not be used by the SuperStar Sequencer, which means you can use them in your main sequence if you choose to do so.

Set the unit ID of the first ribbon controller

Set the unit ID of the first ribbon controller using the dropdown list. The remaining ribbon controllers must be assigned unit IDs that are in successive numeric order, keeping in mind that they are hexidecimal numbers. For example, if you have four ribbons, and the first ribbon has unit ID 18, then the next three ribbons must have unit IDs 19, 1A, and 1B.

If you have DMX pixels then select "DMX" and set the Universe and Channel of the first pixel of your first ribbon/string. There are three DMX addressing options to choose from:

·Tightly Packed: All 170 pixels are used in each Universe. After all pixels in the first string are assigned, the first pixel of the second ribbon/string will use the next available DMX channel. When all the available channels of a Universe are used then the addressing moves to channel 1 of the next Universe. This is done until all pixels of all ribbons/strings are defined.

·Semi-Packed: As many full strings as possible are put into each Universe. For example, if each string has 50 pixels, then 3 strings will fit into the 170 pixels available in one Universe. So the first 3 strings will use the first Universe; strings 4, 5, and 6 will use the Universe after that. With Semi-Packed, a transition to another Universe will never happen in the middle of a string.

·Not Packed: Each string has its own universe. This means that each string will start with pixel one of a Universe.

Number of DMX Pixels (10-170)

Set the number of DMX pixels that are in each of your DMX pixel strings. For example, if your strings have 150 pixels in each string, set 150, and when the sequence is exported it will expand the 50 pixel sequence into 150 pixels. This is an important feature! It makes sequences written for 50 pixels transportable to DMX strings of any length between 10 and 170.

Network settings

Generally speaking, Light-O-Rama supports up to 16 Light-O-Rama networks, but the SuperStar Sequencer currently only supports up to four of them. The default setting for the SuperStar Sequencer is to use one network (the Standard network), with the other three networks (Auxiliary Networks A, B, and C) disabled. When using one network (the Standard network), you must set the first and last unit IDs that are controlled by the network.

If using more than one network, enable the auxiliary networks you are using and set the first and last unit IDs controlled by each auxiliary network.

Examples

· Setting up one network for the star and 12 ribbons

· Setting up one network for the star, 8 ribbons, and other lights

· Setting up four networks with no star, 24 ribbons, and other lights

Setting up one network for the star and 12 ribbons

Let's say we have a star, 12 ribbons, and no other lights. We are controlling the star with a standard 16 channel Light-O-Rama controller that has unit ID 01, and the twelve ribbons are controlled by their respective controllers with unit IDs 02 through 0D. Then we would use the following settings:

·Star in Use: Yes

·Unit ID of Star Controller: "01"

·Unit ID of First Ribbon Controller: "02"

·Standard Network: Enabled

·Standard Network, Unit ID of First and Last Controller: "01" "0D"

·Auxilliary Networks: Disabled

Setting up one network for the star, 8 ribbons, and other lights

Let's say we have a star and 8 ribbons, and will be running them alongside other lights. We are controlling the star with a standard 16 channel Light-O-Rama controller that has unit ID 01. We also have three other 16 channel Light-O-Rama controllers, with unit IDs 02, 03, and 04. The eight ribbons are controlled by their respective controllers with unit IDs 05 through 0C. Then we would use the following settings:

·Star in Use: Yes

·Unit ID of Star Controller: "01"

·Unit ID of First Ribbon Controller: "05"

·Standard Network: Enabled

·Standard Network, Unit ID of First and Last Controller: "01" "0C"

·Auxiliary Networks: Disabled

Setting up four networks with no star, 24 ribbons, and other lights

Let's say we have no star, but 24 ribbons, and will be running them alongside other lights. We have 256 channels for other lights, which are controlled by 16 standard 16 channel Light-O-Rama controllers with unit IDs 01 through 10. We have 24 ribbons controlled by their respective controllers, with unit IDs 11 through 28. We want to run the various ribbons on four different networks. Then we could use the following settings:

·Star in Use: No

·Unit ID of Star Controller: Disabled

·Unit ID of First Ribbon Controller: "11"

·Standard Network: Enabled

·Standard Network, Unit ID of First and Last Controller: "01" "10"

·Auxiliary Network A: Enabled

·Auxiliary Network A, Unit ID of First and Last Controller: "11" "18"

·Auxiliary Network B: Enabled

·Auxiliary Network B, Unit ID of First and Last Controller: "19" "20"

·Auxiliary Network C: Enabled

·Auxiliary Network C, Unit ID of First and Last Controller: "21" "28"

Do I need more hardware to use more than one network?

If you have one USB485 connector plugged into one USB port of your computer, then you are using one network. To use more than one network, you must first purchase other USB485 connectors (one for each additional network). Plug in each USB485 connector to a different USB port on your computer. Then plug in the Cat 5 cable coming from each USB485 connector into the first controller of the network group you are going to control with that network.

Setting more than one network in the Light-O-Rama Sequence Editor

·Launch the Light-O-Rama Sequence Editor.

·Click on the Edit menu.

·Move the mouse down to Preferences at the bottom of the Edit menu; a flyout menu appears.

·Select Network Preferences from the flyout menu; the Network Preferences dialog appears.

·Select a comm port for each network that you plan to use.

·Important: For all networks you are using, select "Short Range (Faster)"


Select All, Select All Left, and Select All Right

In the Light-O-Rama SuperStar Sequencer, you will find these actions in the Edit menu. "Select All" will select all effects in the SuperStar sequence; "Select All Left" will select all that are left of the time selected in the time scale; "Select All Right" will select all to the right of the time selected in the time scale.

Select All is useful for adding some blank space to your SuperStar sequence: If you needed to create a small amount of blank space at the beginning of a sequence, you could Select All, then use the Nudge Right button. To create a large amount of space, you could Select All, press the Cut button, select a time on the time scale, and then press the Paste button.

Similarly, Select All Right is useful for creating some blank space in the middle of your SuperStar sequence: You could Select All Right, Cut, then Paste at the desired new location.


Importing a Timing Grid and up to 3 Timing Channels

In the Light-O-Rama SuperStar Sequencer, you can create a timing grid and timing marks by clicking on the Tools menu and selecting "Create Timings". However, if you already have a timing grid and some timing channels that you have created in the Light-O-Rama Sequence Editor, you can import one timing grid and up to three timing channels from a sequence file:

·Launch the SuperStar Sequencer.

·Click on the Tools menu, select Layout, and set the number of CCRs that you have.

·Click on the File menu, and select Import Timings.

·Uncheck "Import First Freeform Timing Grid".

·Type the name of the timing grid to import.

·Type the name of the first timing channel to import.

·Type the name of the second timing channel to import.

·Type the name of the third timing channel to import.

·Click on the "..." button and select the sequence file that you wish to import timings from.

·Click on OK.

The timing grid and timing marks will appear at the top of the time layers.


Visualization Sequences

The Light-O-Rama SuperStar Sequencer can import visualizations created using the Light-O-Rama Visualizer.

· Import Visualization

· Special notes on Import Visualization

· Import Visualization Pair

· Create Wrapped Tree Visualization

· VisEffects

· Instant Sequences using a visualization

· Instant Sequences using a quick visualization

· Is the SuperStar program now a Visualizer program?

· Selecting a light fixture

· Adding an effect

· Play the effect

· Add a morph

· Play it

· The concept

· Instant Sequence

· Visualizer Keywords/SuperStar Settings in Visualizer Props and Fixtures

· Visualizer Prop Parameters

· Visualizer Fixture Parameters

· Future enhancements

Import Visualization

To use this feature, click on the SuperStar Sequencer's File menu and select "Import Visualization...". The Import Visualization dialog box will appear:

·Scrunch the Sequencing Grid: "Scrunch the Sequencing Grid" and it will scrunch everything into as few rows as possible. Using "Scrunch the Sequencing Grid" makes it so if you have 100 light fixtures or less, you will be able to fit all of them onto two sequencing rows. Note: Instant Sequence will work best if you do not "Scrunch the Sequencing Grid".

·Sorted by Rows: This setting will produce the best Instant Sequences, and is the recommended setting for importing a visualization. Your lights will be sorted by rows, and each light fixture will be represented by a box on the green sequencing rows. The program does its best to sort your lights along the rows that it sees. Many light displays have two or three rows of lights; for instance, there could be lights at the roof line, the window line, and the ground line. In that case, the program will create three rows of green sequencing squares above your visualization. The first row will contain the light fixtures that the program found at the roof line, the next row will contain the light fixtures that the program found at the window line, and the third row will contain the light fixtures the program found at the ground line. Note that this is just an example; the program may find a different number of rows in your visualization.

A sequencing row can only have 50 boxes, so if you have more than 50 light fixtures in a row on your visualization, then the light fixtures will be split into more than one sequencing row. If you have a prop with many light fixtures in it, the program does its best to not split the prop between lines. Props are assigned to a row as a group. The center of the prop is used to decide which row the prop will be placed in.

Important note: The fixtures in a prop will be placed onto the row in the same order that they were added in the Visualizer. To change the order of the fixtures, do the following:

1. Launch the Visualizer program.
2. Bring up the Properties dialog box for that prop.
3. In the "General" tab, click on the "Change Order of Fixtures" button at the bottom.
4. Save the visualization file.
5. Import the visualization file into SuperStar.
6. Click on the fixtures in the prop, and you should see that they are ordered differently in the green sequencing row.

CCRs are always placed first. The sorting applies only to props and light fixtures.

In short, the program sorts things in a way that makes it easiest to sequence, and will produce the best instant sequences.

·Sequencing Grid:

Max Length: This sets the maximum length of a sequencing row. The max length can be set from 25 to 200. The default is 50, and this works best for most visualizations. If you have a row of lights in your visualization that will not fit into one sequencing row, then you can increase the length of a row so that the row of lights will all fit into one sequencing row. Do not make this value any larger than necessary, because it can make the size of the squares in the sequencing grid small and harder to click on.

Horizontal: Most light displays are wider than they are tall. For most displays, it is suggested that you use a horizontal display. This will place a horizontal sequencing grid above your visualization, and leaves the most room for your visualization.

Vertical: Vertical orientation is designed for displays that are taller than they are wide. For example, if you are sequencing a visualization of an RGB megatree then you would want vertical orientation. A vertical orientation will place a vertical sequencing grid to the right of your visualization.

Normal: Normal mode creates one green sequencing square for each fixture or CCR pixel on your visualization.

Wrap Around: Wrap Around mode creates a duplicate set of sequencing squares to the right of the normal set of sequencing squares so that you end up with two green sequencing squares for each fixture or CCR pixel on your visualization. This mode is designed for use with 360 degree trees. It allows easier creation of effects so you can start them at any point on the tree and wrap around to any other point on the tree. For example, you can start a morph in the middle of the tree and end it on the middle of the wrap around part of the sequencing grid. The resulting morph will start in the middle of the tree, cross the last string onto the first string, and end in the middle of the tree.

·Maximum Detection Lines (green lines on the visualization): This setting defaults to 4, and with a setting of 4 means that your lights will be assigned to four rows or less. The detection lines are drawn in green across the visualization. A setting of 4 works well for most displays. however, if your display is large or just has a lot of different rows, then try increasing the number. For example, if you have a row of mini-trees, you would want them all in the same sequencing row and to be consecutive in the row. If other fixtures are being placed in between some of the mini-trees, then you could increase the Maximum Detection Lines setting to 5 or 6 or higher until all the mini-trees get put consecutively into their own rows.

In some cases, you will need to move the fixtures and props a bit in your visualization to isolate them into their own areas so that they get placed into rows in the desired manner.

Special notes on Import Visualization

The SuperStar Sequencer allows fixtures with identical channel assignments. For example, you may have a snowman fixture and a bell fixture that are both plugged into the same channel, so that they have the same channel assignment. In this example, the snowman and the bell will be treated as if they were one fixture, and will be assigned to the same square on the sequencing grid.

When importing your visualization, you may get the following warnings:

·"Warning: Found one or more fixtures with unassigned channels. Fixture [Bush 01] has no channels assigned. This and any other fixtures with no channels assigned will be dark gray and will be inactive." This warning means that the fixture mentioned (in this example, "Bush 01") has no channels assigned to it. A fixture with no channels assigned cannot be exported because the program has no channel information for that fixture. Therefore, the fixture is drawn in dark gray and cannot be selected, nor can any effects be assigned to it. Note that the fixture mentioned in the warning is the first fixture found with no channels assigned; there could also be other fixtures with no channels assigned. Also realize that you can still sequence all the other fixtures and export the sequence, and all other fixtures will work.

·"Warning: Found some fixtures that share a channel yet don't share all channels. Channel [White] in Fixture [Mega Tree bundle 01] and Channel [Red] in Fixture [Mega Tree bundle 04] are both assigned to 0A.02. This usually happens when a wrong channel is entered by mistake. Please use the Visualizer program to check the two fixtures mentioned to see if a channel was entered by mistake. The SuperStar Sequencer allows fixtures that have identical channels but does not allow fixtures where some channels are the same and some are not. When this happens, the first occurrence of a channel will be active, the duplicate occurrences of a channel thereafter will be inactive." This very long warning attempts to explain that the program allows fixtures to have identical channel assignments, but if two fixtures share some channels but have some channels that are different, it is difficult for the program to decide how you would want those fixtures assigned to the sequencing grid, and so it disables the duplicate channel assignments. As mentioned in the warning, this may have happened because you entered incorrect channel information by mistake. However, if you intentionally assigned the channels in this manner, the program doesn't know how to handle it. You are encouraged to use a different channel assignment scheme, but if you can't, it just means that manual sequencing for those fixtures could be difficult. You can still use Instant Sequence, and the sequence should look OK, and will export and play fine.

·"Warning: A Cosmic Color Device such as a CCR, CCB, or CCP shares a channel with another fixture. Fixture [CCR 02] and Fixture [Bush 03] both use channel 02.03. This usually happens when a wrong channel is entered by mistake. Please use the Visualizer program to check the two fixtures mentioned to see if a channel was entered by mistake. The SuperStar Sequencer does not allow a Cosmic Color Device to share channels with other fixtures. Fixture [Bush 03] will be dark gray and will be inactive." This warning is self-explanatory. Using the same channel assignment for a fixture that is in a CCR is invalid. The fixture will be drawn in dark gray, and you will not be able to select it. As with the other warnings, realize that all other fixtures will sequence and export just fine.

Import Visualization Pair

To use this feature, click on the "File" menu and select "Import Visualization Pair...". Use the "Choose Row Visualization..." button and the "Choose Real Visualization..." button to choose the visualization files you want to import. Then use the "Import Visualization Pair" button to import both of the files.

Purpose of having two visualizations: Import Visualization Pair allows the import of a "Row Visualization" and a "Real Visualization". If you already have a visualization of your light display, you probably laid the lights out to appear as they do in your actual display. Use this visualization as your "Real Visualization". You can move the fixtures and props around to organize them in rows and then save that visualization with a different name, and that becomes your "Row Visualization". SuperStar will create the sequencing grid based upon how you have organized your "Row Visualization". While entering normal effects, the "Row Visualization" will be displayed on the SuperStar screen. During the playback of the sequence, the "Real Visualization" will be used. When entering visEffects, the "Real Visualization" will be displayed.

Example of using two visualizations: This is a powerful feature that allows you to design how your lights are mapped to the sequencing grid. For example, in your "Real Visualization", you might have some candy cane props where each candy cane has 12 channels, and you have four candy canes in a row. By default, SuperStar looks for rows of lights, and it will fit as many lights as it can in each row on the sequencing grid. But in this case, it is desirable to have each candy cane on its own row, so that you have four rows, each row with 12 squares for the 12 channels in each candy cane. Then it is easy to create effects that go up and down all the candy canes, as well as effects that travel across the candy canes. So, to accomplish this, you can move each of the four candy canes to their own row on the "Row Visualization", and still use the "Real Visualization" for playback and for entry of visEffects.

In the samples folder, there is a file named CandyCanes_sample.sup". Open and play this file, and you will see how it uses two visualizations to arrange the candy canes in a way that makes them easy to sequence.

Create Wrapped Tree Visualization

Use this feature to create a visualization of Cosmic Color Pixels or Cosmic Color Bulbs wrapped around a tree. This is different than creating a mega-tree. Traditional mega-trees have vertical strings of lights. A wrapped tree has one long string of lights wrapped around the tree. This gives a more traditional look to the tree and also makes it so the concentration of lights is the same in all areas of the tree.

To created a wrapped tree visualization, click on the Tools menu and select “Create Wrapped Tree Visualization”:

·Units: select inches or centimeters

·Nbr of Trees: Enter the number of wrapped trees you want to do. For example, you might have 8 mini-trees that you want to wrap with Cosmic Color Pixels.

·Blank Grid Lines Between Trees: If you have more than one tree you may want some blank columns on the sequencing grid between each tree. For example, if you have several mini-trees and you do a shock-wave effect on one, the effect may “bleed “ over to the trees next to it if there are no black lines in the sequencing grid.

·Top Diameter: This is the top diameter of the tree. It defaults to 0 but you can set it to any value from 0 up to the value set as the Bottom diameter.

·Bottom Diameter: This is the bottom diameter of the tree. This value must be 10 or greater. The upper limit of the value depends on the number of pixels you have and the spacing between the pixels. The diameter is measured starting from one point at the bottom of the tree and getting to the other side of the tree going through the trunk.

·Top Circumference: This field is linked to the Top Diameter field. Setting the diameter will also change the value in the circumference field. Setting the value in the circumference will also set the value in the diameter field.

·Bottom Circumference: This field is linked to the Bottom Diameter field. Setting the diameter will also change the value in the circumference field. Setting the value in the circumference will also set the value in the diameter field. The circumference is measured from a point at the bottom of the tree and going around the tree to arrive back at the same place you started.

·Slant Height: This is the slant height of the tree. Note that this is not the vertical height of the tree. In other words, it is the height of the tree measured from the outside edge of the base of the tree up to the top of where the lights stop on the tree. Note the top of the tree may be different from where the lights end at the top of the tree. You want to measure from where lights start to where the lights stop.

·Pixel Spacing: This is the space between the pixels on you string(s). For Cosmic Color Pixels this is 6 inches. But it is best to stretch out your string of lights and measure the length of the string to get the actually average spacing of your lights. For example, a string of Cosmic Color Pixels has 50 lights. Lay the string on the floor and pull on the end of the lights to give enough tension on the light string to equal the amount of tension you expect to be on the string as you wrap the tree. Then measure from the first pixel to the last pixel and then divide by 49. Note that you do not divide by 50, you divide by one less than the number of pixels because that is the number of spaces in what you are measuring. The idea is that the same spacing you are measuring on the floor is the same spacing you will have on the tree.

·Nbr of Pixels: This is the number of pixels in all of the strings of lights you are going to wrap around each tree. For example, if you have 4 strings of Cosmic Color Pixels, there are 50 pixels in each string so you have a total of 200 pixels. This means that you will be connecting the strings end-to-end and will treat them as one long 200 pixel string. One way to “connect them end-to-end” is to overlap the wires of the strings and use 2 zip ties to wrap around the overlapping wires. Adjust the overlap of the wires so that the spacing from the last light of the string to the first light of the next string is equal to the spacing of your pixels on the rest of the string.

·Pixel Size: This sets the size of the pixels in the visualization.

·Create Wrapping Guide and Visualization: This creates the wrapping guide and the visualization of the wrapped tree. Click on the combo box above this button to see the wrapping guide values. The “Vert Marks” are the distance from the bottom of the tree to the start of each wrap. The “Wrap Marks” are the Pixel Count at the start of each wrap. For example, if the Vert Mark for wrap 3 is 10.75 then it means wrap 3 starts at 10.75 inches from the bottom of the tree. And if the “Wrap Mark” is 64.32 it means that wrap 3 starts at 64.32 pixels from the start of the string of pixels.

What you want to do is mark all the “Wrap marks” on your string of lights before you start wrapping. The first pixel starts at the bottom of the tree and marks the 0 pixel, then you count the pixels from there. So the first pixel is the 0 pixel, and the second pixel is the 1 pixel and the third pixel is the 2 pixel and so on. That means “wrap mark” 0.50 would be half way between the first and second pixel. 1.50 would half way between the 2nd and 3rd pixels. So to find pixel 64.32 you would start at the beginning of the string and skip the first pixel and start counting at the second pixel until your count gets to 64 and then mark a point that is about .32 beyond 64.

Note that a new wrapping guide and visualization only gets created if you click on the “Create Wrapping Guide and Visualization” button.

VisEffects

The standard effects are placed on the green sequencing grid, and get played to the visualization. The visEffects are placed directly on the visualization, and also get played to the visualization. The difference is that visEffects use the position of the lights in the visualization instead of the position of the lights on the sequencing grid. You must have an imported visualization on the SuperStar screen in order to do visEffects.

Currently, visEffects are only supported by morphs. Click on the Tools menu, and select "Morphs..." to bring up the "Morph Setup" dialog box. at the bottom of the dialog box, click on the "VisEffect" box. The visualization will become smaller, and you will see the "1a-1b" and "2a-2b" morph lines. Click on the Add button in the "Morph Setup" dialog box and play it. You will see the morph smoothly applied to all the lights in the visualization.

In the samples folder, there is a file named "CandyCanes_sample.sup". Open and play this file, and you will first see some standard effects played to the candy canes. At the end, you will see some visEffects.

Instant Sequences using a visualization

The Instant Sequence also feature works for visualizations, using the following steps:

·Click on the File menu and select "Import Visualization"

·Select a visualization file that you created using the Light-O-Rama Visualizer

·Press Ctrl+I to launch the Instant Sequence dialog box, and use the three buttons in the lower left of the dialog box

·Click on the "Open Audio File" button to open your audio file

·Click on the "Sequence All" button

·Click on the "Play/Stop All" button

Instant Sequences using a quick visualization

Want to use Instant Sequence but don't have a visualization of your lights? The SuperStar Sequencer can create a quick visualization file for you:

·Click on the Tools menu and select "Create Quick Visualization".

·Place a checkmark by each controller that you have. If necessary, change the settings for each controller. For example, if you have four 16 channel controllers and they have unit IDs 01, 02, 03, and 04, simply place a checkmark by the first four controllers listed in the dialog box.

·Click on "Create QuickVis", and it will create a visualization file named "QuickVis.lee". The visualization will be a grid of lights where each light represents a channel. With this grid of lights, you can now use Instant Sequence to create a sequence for your lights.

·After creating the sequence, click on the File menu and select "Export", and you will then be able to play the sequence to your lights using the Light-O-Rama Sequence Editor.

Is the SuperStar program now a Visualizer program?

No. The SuperStar Sequencer imports the visualization file and displays it in the SuperStar work area. The SuperStar Sequencer can only display the visualization file; the Light-O-Rama Visualizer is used to create or modify visualizations.

Selecting a light fixture

After importing a visualization file, you can click on any of the light string fixtures to select them. A single click selects one item, while Ctrl+click can be used to select additional items. A click and drag will select any item within the drag rectangle. Each light string fixture is also mapped to a box in the green sequencing grid. When clicking on a light fixture, you will see it become selected, and will also see a green square get selected. You can also select fixtures by clicking on the green squares. Left click selects, and right click deselects.

Adding an effect

·Select one or more light fixtures.

·Click on the Tools menu and select Scenes. The Scene dialog box will appear.

·Click on the Add button in the Scene dialog box. A white bar will appear in the time layer area. This bar represents the effect you just added.

Play the effect

In the toolbar is a group of buttons that look like the controls on a tape recorder. Press the Play button (the button with a right-facing triangle); this will play eight seconds of the sequence. After pressing Play, you should see your selected light fixtures turn on when the play cursor runs across the white bar which represents the effect that you just added.

Add a morph

·Click on the Tools menu and select Morphs. The Morph dialog box appears, and the first and last boxes in the green sequencing grid should have "1" and "2" on them.

·In the yellow time scale, select from 3.00 seconds to 4.00 seconds.

·Click on the Add button in the Morph dialog box.

A white bar with a tail should appear in the time layer area.

Play it

Click on the Play button again. When the play cursor runs across the white bar with a tail, the morph will turn on every fixture, one at a time. In other words, the effect starts at the "1" on the green sequencing grid, and travels to the "2" on the green sequencing grid. This ends up doing a sweep or a chase across all the fixtures.

The concept

Every light in your visualization has a location and a color. When selecting a fixture, you have selected a location. You select the color by using the red, green, blue and white color controls on the left side of the SuperStar Sequencer. The default is to have all four color controls "on". However, if you want to turn on all the red lights in your display, turn on only the red color controls and select all your fixtures. Add a scene, and you will see only the red lights in your display turn on when you hit the Play button.

Note: Click on the word "Main" above the color controls, and it will cycle through the basic rainbow colors.

Instant Sequence

You can use the Instant Sequence feature on your visualization:

·Click on the Tools menu and select "Instant Sequence".

·If you don't already have an audio file loaded, click on the "Open Audio File" button in the Instant Sequence dialog box.

·Click on the "Sequence All" button.

·After all the processing is done, click on the "Play/Stop All" button.

If you want to change the number of effects that are being created, click on the Timing Map button in the upper left of the Timing Map dialog box, and change the Sensitivity setting.

To create a different instant sequence, click on the "Roll Dice" button in the Instant Sequence dialog box. Then click on Sequence All, then Play/Stop All.

Visualizer Keywords/SuperStar Settings in Visualizer Props and Fixtures

When you import a Visualization, SuperStar does its best to map the lights to the sequencing grid in a sensible way. But there are cases where you may want to change how the lights are mapped to the sequencing grid. In older versions of SuperStar, you used keywords that you placed in the comment area of a Prop or Fixture in a visualization. The keywords are still supported for backward compatibility, but the preferred way to apply these settings is now through the use of settings that are visible by pressing the “superstar” button that is in the Visualizer Prop dialog box and the Visualizer Fixture dialog box. By clicking on the “superstar” button you will be able to set all the same settings that were done by the keywords.

The following describes the old use the keywords. It is documented for backward compatibility. Instead of using the keywords, you should now use the “superstar” settings that are in the Prop dialog box and the Fixture dialog box in the Visualizer. Note that if you use keywords and Visualizer superstar settings, the keywords will take priority.

The word "superstar" in the comment area tells SuperStar that you have placed a keyword in the comment. After the word "superstar" you can place one or more of the keywords listed below. For example, if you wanted to mark your prop as a matrix, you would enter "superstar matrix" in the comment area of the Prop Properties box in the Visualizer.

Parameters that can be used with props

SuperStarPropParams
SuperStar Properties for Props, found in the Visualizer program

·Reverse Order in Superstar - Superstar attempts to layout the fixtures in your prop in a logical order, but if it didn't do it in the order you want, then use this check-box to reverse the order of the fixtures in the prop. Note that reversing the order of the props using the Prop Properties dialog box will not change the order that SuperStar will use.

·Force Superstar Row/Column - Use this check-box along with the following 'Row' and 'Column' fields to change the row and column of the prop on the sequencing grid. Note that the row and column notation was created for a vertical import; if you use a horizontal import, then row and column will seem reversed. To see an example of the use of row and column, look at the 24x25Tree_4RowGlob.lee visualization file from the Samples folder. You can open this file in the Visualizer to see how the keywords are used in the comment area of the props. You can also import this file into Superstar to see how the props have been moved down in the sequencing grid.

·Use My Order rather than Superstar's - This tells Superstar to disregard what row the fixtures are in, and instead add the fixtures in the same order as they have been added to the prop. Note that in the Prop Properties dialog box in the Visualizer, there is a "Change Order" button that allows you to change the order of fixtures in a prop. You can change the order there, and SuperStar will change the order in the sequencing grid as well. Also, if the prop contains CCRs, then the this check-box also tells SuperStar to add the pixels of the CCR in the same order as in the visualization.

·This Prop is a Star/Topper - This marks the prop as a star of a Superstar display. Use this to make sure that the star commands of a SuperStar sequence get mapped to the star in your visualization.

·This Prop is a Matrix - This marks the prop as a matrix of pixels. Superstar will automatically detect most matrix layouts. But if, for example, you have some CCRs or DMX Pixels arranged in a fan shape, you probably want the pixels arranged as a matrix in the sequencing rows, but SuperStar will not recognize the fan shape as a shape that should be a matrix. So, you can mark the fan prop as a matrix using this keyword.

Parameters that can be used with fixtures

SuperStar Properties for Props

·Reverse Order in Superstar - SuperStar attempts to lay out the pixels in a CCR or DMX Pixel fixture in a logical order, but if it didn't do it in the order you want, then use this check-box to reverse the order of the pixels in the fixture.

·Force Superstar Row/Column - Use this check-box along with the following 'Row' and 'Column' fields to change the row and column of thefixture on the sequencing grid. Note that the row and column notation was created for a vertical import; if you use a horizontal import, then row and column will seem reversed.

·Locations - Use this area to add a list of row and column locations for each light in the fixture. The row and column should be separated by a comma, and then there should be a space between each row, column pair. For example, "1,2 1,3" would mean place the first light in the fixture at row 1, column 2, and place the second light in the fixture at row 1, column 3. To see an example, look at the 24x25Tree_4RowGlobe.lee visualization file from the Samples folder. You can open this file in the Visualizer to see how the location of pixels is specified for the globe fixture. You can also import this file into SuperStar to see how the lights in the globe fixtures have been moved down in the sequencing grid.

·Color Temperature - These check-boxes are used for fixtures containing RGB lights, marking such fixtures as having "cool white" LEDs or "warm white" LEDs. SuperStar uses these keywords to determine how to best balance the colors in RGB lights.

Future enhancements

While a wide range of visualizations have been tested with the SuperStar Sequencer, there is an even wider range of possible visualizations, and so it is difficult to test every scenario. So, as you work with your particular visualization, feedback is welcomed on ways that support can be improved for your particular needs. Please send such feedback to wishlist@lightorama.com.


Summary of Commands and Keyboard Accelerators

The following pages in this help file summarize various commands and keyboard accelerators in the Light-O-Rama SuperStar Sequencer:

· Toolbar Summary

· Toolbar Buttons that have Keyboard Modifiers

· Timeline and Effect Object Selection

· Top Part of Color Controls

· Color Picker Dialog Box

· Bottom Part of Color Controls

· Sequencing Grid Commands for Scenes

· Selection Grid Commands for Morphs

· Sequencing Grid Command for Images


Toolbar Summary

The following is a summary of the various buttons in the toolbar of the Light-O-Rama SuperStar Sequencer:

New Sequence, Open Sequence, Save Sequence, Cut, Copy, Paste

Delete a selected group, Fast Rewind, Rewind, Pause or Freeze Frame, Stop, Play 8 seconds, Forward, Fast Forward, Play All

Note: The space bar is an accelerator for "Play All".

Scene Mode, Morph Mode, Smooth Effect Mode, Image Mode, Text Mode

Set Group Time Range, Nudge Left, Nudge Right, Nudge Length Left, Nudge Length Right, Move Effects up, Move Effects Down

Star Rays, Wide Grid, Narrow Grid

Select Props, Select Fixtures

Time Line

To create a selection on the Time Line of 8 seconds or less – Do a click and drag to select a region on the time line.

To create a selection on the Time Line that is longer than 8 seconds - Scroll to where you want the selection to start and mark the start of the selection with a left mouse click. Scroll to the region where you want the selection to end and mark the end of the selection with a right mouse click.

Set Group Time Range – Create a selection on the Time Line, Select a group of effects, and then click on the “Set Group Time Range” button. All the selected effects will be set to the time range on the Time Line.

See also Toolbar Buttons that have Keyboard Modifiers.


Toolbar Buttons that have Keyboard Modifiers

The following is a summary of toolbar buttons that have keyboard modifiers in the Light-O-Rama SuperStar Sequencer:

Shift + ToolbarPaste = Paste and keep all effects in their original locations

Ctrl + ToolbarRewind = Fast rewind to beginning

Ctrl + ToolbarFastForward = Fast forward to end

ToolbarPause = Freeze frame mode: Use the left and right arrow keys to step through the sequence.

Ctrl + ToolbarNudgeLeft = Big nudge left

Ctrl + ToolbarNudgeRight = Big nudge right

Ctrl + ToolbarNudgeLengthLeft = Big nudge length left

Ctrl + ToolbarNudgeLengthRight = Big nudge length right

See also Toolbar Summary.


Timeline and Effect Object Selection

The timeline and selecting effect objects in the Light-O-Rama SuperStar Sequencer:

Timeline and Effect Object Selection

Dragging the mouse on the gray area of the timeline will select the time duration. Selecting an object will also set the time duration in the timeline.

To set a timeline selection longer than eight seconds, mark the beginning of the timeline selection with a left mouse click, scroll the timeline as necessary, and then mark the end of the timeline selection with a right mouse click.

Ctrl+mouse click on an unselected object will add that object to the selection group.

Ctrl+mouse click on a selected object will remove that object from the selection group.

Ctrl+mouse drag on unselected objects will add those objects to the selection group.

Ctrl+mouse drag on selected objects will remove those objects from the selection group.


Top Part of Color Controls

The top part of color controls in the Light-O-Rama SuperStar Sequencer:

Top part of color controls

Left click on a color box, or on "Main" or "Tail" = Step through the 8 basic color wheel colors.

Right click on a color box, or on "Main" or "Tail" = Launch the Color Picker dialog box.


Color Picker Dialog Box

The Color Picker dialog box of the Light-O-Rama SuperStar Sequencer:

The Color Picker dialog box

Select a color and click OK to set the color.

Note that the eight basic colors of the color wheel are already among the custom colors.


Bottom Part of Color Controls

The bottom part of color controls in the Light-O-Rama SuperStar Sequencer:

Bottom part of color controls

Mouse click on the control to set the intensity. Mouse drag will also set the intensity.

Double click on the first color to set the second and third colors also. For example:

Before a double click on the first color

After a double click on the first color


Sequencing Grid Commands for Scenes

Sequencing grid commands for scenes in the Light-O-Rama SuperStar Sequencer:

Sequencing grid for scenes

·Left mouse click = Set a pixel.

·Right mouse click = Clear a pixel.

·Left mouse drag = Set pixels.

·Right mouse drag = Clear pixels.

·Ctrl+left mouse click = Set all pixels.

·Ctrl+right mouse click = Clear all pixels.

·Shift+left mouse click = Toggle pixel.

·Shift+left mouse drag = Toggle pixels.

Example of a toggle:

Before Shift+left mouse drag

After Shift+left mouse drag


Selection Grid Commands for Morphs

Selection grid commands for morphs in the Light-O-Rama SuperStar Sequencer:

Selection grid for morphs

Left mouse drag to set the State 1 line: "1a" marks the beginning of the left mouse drag; "1b" marks the end.

Right mouse drag to set the State 2 line: "2a" marks the beginning of the right mouse drag; "2b" marks the end.

When the morph is performed, "1a" morphs to "2a", and "1b" morphs to "2b".


Sequencing Grid Commands for Smooth Effects (Shockwave, Spiral and Fan)

Sequencing Grid commands for Smooth Effects (Shockwave, Spiral and Fan) in the Light-O-Rama SuperStar Sequencer:

Use left mouse drag to set the center point and start angle. For example, Screen Shot A was created with a left mouse drag that started at the circle and ended at the arrow head.

Use right mouse drag to modify the radius. For example, Screen Shot B was created with a right mouse drag that started at the base of the line and ended at the arrow head of the line.

Use right mouse drag to modify the direction of the radius. For example, Screen Shot C was created with a right mouse drag that started at the base of the line and ended at the arrow head of the line.


Sequencing Grid Command for Images

Sequencing grid commands for images in the Light-O-Rama SuperStar Sequencer:

Sequencing grid for images

·Left mouse click = Set a pixel

·Right mouse click = Clear a pixel

·Left mouse drag = Set pixels (draws like a pencil)

·Right mouse drag = Clear pixels (clears like an eraser)

·Ctrl + left mouse click = Set all pixels

·Ctrl + right mouse click = Clear all pixels

·Shift + left mouse click = Set the color control to the color of the pixel

·Shift + left mouse drag = No action performed


Purchased Sequences

Sequences purchased from SuperStar lights are archive files and will have the word "archive" at the end of the file name. For example:

WizardsInWinter_12CCRs_archive.sup

Archive files can be exported by any license level of the SuperStar Sequencer, including the free demo version. However, if you add, delete, or modify any of the effects in the file, then it is no longer an archive file and will only export if you have the appropriate license level.

Note that you can change the following in an archive file and it will still export with any license level:

·You can open an audio file

·You can set unit ID information and any other information in the Configuration dialog box

·You can set the location of the controllers and any other information in the Layout dialog box


Pixel Editor

The Light-O-Rama Pixel Editor is both a Sequencer and a Previewer (visualization tool) for your light displays. It makes it easy to display complex effects on RGB lights – like CCR trees, other Light-O-Rama Cosmic Color devices, or elements connected to DMX/E1.31 pixel controllers.

A display element (referred to in the Pixel Editor as a prop) can be sequenced using the Sequence Editor or the Pixel Editor, but not both. High channel count RGB props are sequenced most efficiently in the Pixel Editor, whereas the Sequence Editor gives you complete control over every channel. In the end, you must decide which props in your display should be sequenced with the Pixel Editor and which ones with the Sequence Editor.

If you already have a sequence for your RGB props in the Sequence Editor, but going forward you would like to sequence them in the Pixel Editor, there is a migration tool in the Pixel Editor that will allow you to move those channels into the Pixel Editor without losing the sequencing work you have already done. If you already have a Visualizer file for your display, you can preserve that work as well by importing the file into a Pixel Editor preview.

· Workflow

· Menu Bar

· Preview Design

· Prop Definition

· Effect Generator

· Sequencing


Workflow

Creating RGB effects with the Pixel Editor takes just a few steps, but it is best if you do things in the order listed below. The steps are explained at a high level here. Read through the rest of the documentation for the details.

1.In the Pixel Editor, create a preview.

a.You will notice that when you first start the Pixel Editor, there is already an empty preview created for you named “Default”. Feel free to use the “Default” preview or create your own (“2015 Christmas Display” perhaps).

b.You must add props to the preview for every display element you wish to sequence with the Pixel Editor.

c.Optionally, you can also add props that you will be sequencing with the Sequence Editor. Adding Sequence Editor props allows you to see how your entire display will look when played back – Pixel Editor and Sequence Editor props together.

d.Creating a preview only has to be done once. A Pixel Editor preview can be shared across all of your sequences – no additional importing or copying is required.

2.Create a sequence using the Sequence Editor.

a.The sequence should only contain the channels you will sequence with the Sequence Editor – leave out channels that will be sequenced with the Pixel Editor.

b.Make sure timing grids are set up the way you want. Use the Beat Wizard or Tapper Wizard if desired to create beat channels. Beat channels can be viewed in the Pixel Editor to aid your sequencing.

c.Save and close the sequence when you are done.

3. Open the sequence in the Pixel Editor.

a. Add effects to your RGB props as desired.

b. Save the sequence (this saves the effects for subsequent editing).

c. Save the sequence as an Intensity Data file. The intensity data file is required so that the Sequence Editor and Show Player can play back the Pixel Editor sequence.


Menu Bar

The Light-O-Rama Pixel Editor’s menu bar gives access to a variety of different functionality. For detailed help, please refer to the help pages for each individual menu on the menu bar:

· File Menu

· Sequence Menu

· Tools Menu

· Help Menu


File Menu

The Pixel Editor's File Menu allows you to create, open, save, and close sequence files. Several of these menu items operate on the "currently selected sequence". Many sequences can be open simultaneously in the Pixel Editor, but only one is the currently selected sequence. In the picture below, “LOR_CHASE_SAMPLE.las” is the currently selected sequence.

· New

· Open

· Recent Files

· Save

· Save As

· Save Intensity Data

· Close

· Exit


New

Selecting "New" from the Pixel Editor's File menu allows you to create a new musical or animation sequence, where the channel settings are based on an existing Pixel Editor Preview.

If you choose “Musical Sequence”, you will first be prompted to select a music or video file. Then you will be prompted for other details as shown below. Choosing the correct preview is the most important, as all of the channel information in the sequence will be based on the props defined in that preview. The Author field will default to the name on your Light-O-Rama license; however, you can change it if needed. Then you need to select whether to create a fixed timing grid or an empty freeform timing grid. You can select either one or both. Click the “Create’ button when you are finished. The name of the musical sequence will default to the name of the music or video file you selected; although you can change this when you save the new sequence for the first time.

Creating a new animation sequence is very similar, except you must also specify the total length of your sequence. The format of the length field is minutes:seconds. The name of the animation sequence will default to “New_Animation_1”; although you can change this when you save the new sequence for the first time.

Note that each prop’s Sequence Method is taken into account when creating the new sequence. Props with a Sequence Method of “Sequence Editor” will be visible in the Sequence Editor and the channels for that prop will be set according to values in the Pixel Editor preview at the time the sequence was created. Props with a Sequence Method of “Pixel Editor” will be visible in the Pixel Editor and the channels for that prop will be kept synchronized with any updates to the selected Pixel Editor preview.

In the following picture we have a prop with a Sequence Method of “Sequence Editor”.

After creating a new sequence, notice that in that in the Sequence Editor it shows up with the correct channel settings and color.


Open

Selecting "Open" from the Pixel Editor's File menu allows you to choose an existing sequence to open. Here you are choosing an LMS or LAS file created by the Sequence Editor.

When opening a sequence for the first time in the Pixel Editor, you will be prompted to select a preview to associate with this sequence. Previews can be shared across many sequences. If you choose not to associate a preview at this prompt by clicking the “Cancel” button, you can do so at a later time by selecting Sequence > Assign Preview from the menu. You will not be able to do any sequencing until a preview is assigned.

After the file has been read, you may get a pop-up window that displays warnings about your sequence. An example is shown below.

In this example, there are 2 warnings. The first one indicates that 2 channels ("Unit 1.4 Balcony Blue 7" and "Unit 1.4 Zone 1 Blue") are assigned to the same physical controller and circuit. The second warning indicates that the media file could not be located. Both types of warnings require that you close the Pixel Editor, then open the sequence in the Sequence Editor and take corrective action there.


Recent Files

Selecting "Recent Files" from the Pixel Editor's File menu allows you to open a sequence file from a list of the ones you most recently opened.


Save

Selecting "Save" from the Pixel Editor's File menu saves the changes that you have made to the currently selected sequence. The file has the same name as the LMS or LAS file you opened, but has an LPE extension. If you moved any timing marks during your editing session, the altered timing grid is saved back to the original LMS or LAS file.

Note that this only saves the effects in your sequence for subsequent editing. To save the sequence for use in playback by the Sequence Editor or Show Player, see the Save Intensity Data topic.

Keyboard shortcut: Ctrl-S


Save As

Selecting "Save As" from the Pixel Editor's File menu saves the current sequence to a new filename. The old file will still exist, but will not include any of the changes that you made to the sequence since the last time that you saved it. Both the Sequence Editor file (LMS or LAS) and the Pixel Editor file (LPE) will be saved to the new name. By default, a suffix of "-Copy" gets added to the file name, which you can change during the saving process. You can change the default suffix by selecting Tools > Preferences > Save As from the menu.


Save Intensity Data

Selecting "Save Intensity Data" from the Pixel Editor's File menu saves the currently selected sequence as an Intensity Data file. The intensity data file is required so that the Sequence Editor and Show Player can play back the Pixel Editor sequence. This menu item is only available if you have the Pro level license from Light-O-Rama.

Note that this only saves the data in a format for playback. You must use the Save menu item to save your effects for future editing sessions.


Close

Selecting "Close" on the Pixel Editor's File menu closes the currently selected sequence. If the sequence has unsaved changes, you will be prompted whether you wish to save the changes or not.


Exit

Selecting "Exit" on the Pixel Editor's File menu closes the Pixel Editor. If any currently open sequences have changes that have not yet been saved, you will be prompted for whether or not you want to save them.


Sequence Menu

The Pixel Editor's Sequence Menu gives you access to a set of functions that operate on the currently selected sequence (the highlighted tab). If there is not any file open, then all of the items in the Sequence Menu are disabled.

· Preview Design

· Assign Preview

· Preview Information

· File References

· Waveform

· Migration Tools


Preview Design

Selecting "Preview Design" from the Pixel Editor's Sequence menu opens the Preview Design window for the currently selected sequence. See the Preview Design topic for details on how to use this feature.


Assign Preview

Selecting "Assign Preview" from the Pixel Editor's Sequence menu allows you to associate a preview to a sequence. You can use this function to make the initial preview association in case you cancelled the prompt during the first time the sequence was opened.

You can also use this function to change the associated preview after one has already been assigned. If you change the preview, the Pixel Editor will look for matching prop names between the old preview and the new preview. Effects will be preserved for prop names that match, but effects will be discarded where there is no match.


Preview Information

Selecting "Preview Information" from the Pixel Editor's Sequence menu opens a window that displays statistics about the preview as well as warnings about channel conflicts. At the bottom of the window is a table listing all of the channels used by all of the props in the preview. Above the table there is a copy button that, when clicked, will put the entire table on the clipboard so that it can be pasted into Excel or another spreadsheet program for further analysis.


File References

Selecting "File References" from the Pixel Editor's Sequence menu opens a window that lists all files referenced by Movie and Picture effects. Files that don’t exist at the specified location are listed with a suffix of “*** missing ***”.

To specify a new location for one or more files, click the checkbox next to the filename(s), then click the Change Directory button. You will be prompted for the new location. Note that this function does not actually move the file(s), rather it updates the effects that reference those file(s). This can be useful if you move your sequence directory.


Waveform

The "Waveform" submenu from the Pixel Editor's Sequence menu allows you to set the audio waveform’s display height. Choose “Large” to see the maximum amount of detail in the waveform. Choose “Small” to see the waveform, but have more room to display the sequence. Animation sequences are automatically set to hide the waveform.


Migration Tools

The Pixel Editor can migrate files created in xLights3, as well as import from the Sequence Editor.


Import From xLights 3

Selecting "Migration Tools", then “Import from xLights 3” from the Pixel Editor's Sequence menu allows you to import an xLights version 3 sequence file into the currently selected sequence (the conversion does not work on files from version 4 or later). After selecting the menu item, you will be presented with a conversion window. There are 3 steps:

1.Choose the xLights 3 sequence file. These files have an XML extension.

2.After the xLights file is selected, a list of models in the file will be listed in the left column. In the right column you will need to open the drop-down and choose the corresponding Pixel Editor prop. If there is no corresponding prop, select “DO NOT IMPORT”.

3.After completing step 2, you may click the “Import” button at the bottom. Most, but not all, xLights 3 effects have a corresponding effect in the Pixel Editor. The conversion algorithm will do its best to convert the effects as it imports them. After the import, you may need to go back into some of the effects and adjust speed or position to match the original xLights version of the sequence. Effects with no match in the Pixel Editor will be converted to a “colorwash” effect.


Import from Sequence Editor

Selecting "Migration Tools", then “Import from Sequence Editor” from the Pixel Editor's Sequence menu allows you to move effects on RGB props from your Sequence Editor file to your Pixel Editor file. Remember that in S4, within a single sequence, a prop can be sequenced using the Sequence Editor or the Pixel Editor, but not both. So by using this function you are saying: I no longer want to sequence this prop with the Sequence Editor and will use the Pixel Editor instead.

Here is what makes this a desirable approach: RGB props often have many channels and sequencing them in the Sequence Editor can cause the LMS or LAS file to get very large. Large files take longer to load and can be hard to manipulate in the Sequence Editor.

Moving RGB props to the Pixel Editor can allow for much more efficient sequencing:

·more efficient in the Sequence Editor because you are sequencing just the channels that need individual channel control

·more efficient in the Pixel Editor because hundreds or even thousands of pixels can be easily controlled with a single effect

Using this function should be part of a 4 step process:

1.Make a backup copy of your Sequence Editor and Pixel Editor files. The Save As function can be used for this purpose.

2.Use the “Import from Sequence Editor” function described here to import the channel data into the Pixel Editor. This step does not make any changes to the Sequence Editor file (that comes in step 4 below).

3.Verify that all of the data was imported correctly by playing the sequence in the Pixel Editor.

4.Use the “Remove prop channel data from Sequence Editor” function described in the next section to remove the data from the Sequence Editor LMS or LAS file. This will reduce the size of the file and inactivate the channels that were migrated.

After selecting the menu item, you will be presented with the window shown below. In the grid will be a listing of all of the props in the Pixel Editor sequence. For each prop it will show the number of channels that the prop definition contains in the Pixel Editor (PE Channels column), the number of matching channels that it could find in the LMS (or LAS) file (SE Channels column), the delta between the channel counts, whether there are effects already defined for in the Pixel Editor for the prop (PE Events column), and whether there are effects defined for the matching channels in the Sequence Editor (SE Events column). The “Import?” column should be checked for each prop you wish to import. It will be automatically checked if the delta column is 0, PE Events is “No”, and SE Events is “Yes”. When you are ready to proceed, click the “Import” button.

As noted in the text on the import window, Sequence Editor channels will be imported if their physical settings (network type, unit ID or universe number, and circuit number) match those of a Pixel Editor prop. Therefore, it is very important that your channel settings are correct in both the Pixel Editor and the Sequence Editor before you proceed.

If the import window is showing a non-zero value in the delta column, you can click the “More Info” button at the end of the row to get a listing of what channels are causing the mismatch. If you thought the Pixel Editor and Sequence Editor channels were defined the same but the import window is showing a delta, then it is probably best to cancel the import; then review the prop definition in the Pixel Editor and the corresponding channels in the Sequence Editor until you find the discrepancy. Shown below is a sample of the window you would see after clicking “More Info”.

After the import process completes, each prop that was imported will have a single Movie effect that spans the full length of the Pixel Editor sequence. This movie effect will be an exact representation of the original Sequence Editor effects for that prop. There will also be an AVI file for each imported prop in the same directory as the sequence. Do not delete the AVI files – they are required to play back the effect in the Pixel Editor. However, the AVI files are not required for playback by the Sequence Editor or Show Player – they only require the intensity data file. Imported effects are shown on the 4 arches in the picture below.

After migration, if you want to replace an effect you had in the Sequence Editor with a new Pixel Editor effect, simply place the new effect on top of the movie effect. In the picture below, new effects have been placed on “Arch 1” and “Arch 2” between the 3 second and 6 second marks (gray color). The rest of the sequence will play using the migrated effects (white). To modify a section, first select the section by dragging the cursor over the desired area, then right-click and choose “Modify” from the pop-up menu.


Remove Prop Channel Data

Select "Migration Tools", then “Remove prop channel data from Sequence Editor” from the Pixel Editor's Sequence menu to finish the migration of RGB props from the Sequence Editor into the Pixel Editor.

Typically, this tool will be used after you have successfully completed an import from the Sequence Editor and/or from xLights. It could also be used if you want to start fresh with Pixel Editor effects - discarding any work previously done in the Sequence Editor.

After selecting the menu item, you will be presented with the window shown below. In the grid will be a listing of all of the props in the Pixel Editor sequence. For each prop it will show the number of channels that the prop definition contains in the Pixel Editor (PE Channels column), the number of matching channels that it could find in the LMS (or LAS) file (SE Channels column), the difference between the channel counts (called "Delta"), whether there are effects already defined for in the Pixel Editor for the prop (PE Events column), and whether there are effects defined for the matching channels in the Sequence Editor (SE Events column). The “Delete?” column should be checked for each prop whose effects should be removed from the Sequence Editor file. The column will be automatically checked if the delta column is 0, PE Events is “Yes”, and SE Events is “Yes”. When you are ready to proceed, click the “Remove Channel Data” button.

After pressing the “Remove Channel Data” button a backup copy of the original LMS/LAS sequence will be made automatically. Events for Sequence Editor channels will be removed if their physical settings (network type, unit ID or universe number, and circuit number) match those of a Pixel Editor prop. Therefore, it is very important that your channel settings are correct in both the Pixel Editor and the Sequence Editor before you proceed. The Pixel Editor sequence is not changed by “Remove Channel Data” function. Changes to the LMS/LAS sequence are not actually saved to disk until you select File > Save from the menu, or save the sequence as you are exiting the Pixel Editor.

Opening the LMS/LAS file in the Sequence Editor shows the results of the migration:

·Migrated channels have a prefix of “Migrated to PE-“

·Migrated channels have no effects/events

·Migrated channels have no Device Type


Tools Menu

The Pixel Editor's Tools Menu gives you access to a set of functions that are unrelated to a specific sequence.

· Manage Previews

· Effect Generator

· Control Lights

· Preview Playback

· Preferences


Manage Previews

Selecting "Manage Previews" from the Pixel Editor's Tools menu allows you create, modify, delete, and display statistics for previews.

From here you can:

·Double-click on a preview name to edit it. This will open a preview design window with the selected preview loaded. Visit the Edit a Preview topic for details on using that window.

·Click the “New” button to start a new preview. This will open a new preview design window. Visit the Edit a Preview topic for details on using that window.

·Click on a preview name and then click the “Modify” button. This will open a preview design window with the selected preview loaded. Visit the Edit a Preview topic for details on using that window.

·Click on a preview name and then click the “Delete” button. You will be prompted to confirm that you want to proceed with the deletion. Click “Yes” to delete or click “No” to cancel. If after deleting it you find that you want to get it back, assuming you have a Pixel Editor sequence associated with that preview you can just open that sequence and the preview will be imported from it.

·Click on a preview name and then click the “Copy” button. You are prompted for the name of the new preview.

·Click the “Import Visualizer” button to import a Visualizer (LEE) file. This will allow you to select an LEE file and import it into a new preview. During the import process, Visualizer fixtures will be converted to Pixel Editor props, and Visualizer props will be imported as Pixel Editor Prop Groups. The screen image at the start of the Edit a Preview topic is taken from an import of the Visualizer tutorial file.

·Click the “Info” button to see statistics about the preview as well as warnings about channel conflicts. It is the same window that is displayed when you select "Preview Information" from the Sequence menu.


Effect Generator

Selecting "Effect Generator" from the Pixel Editor's Tools menu opens the Effect Generator window. This menu item is for testing effects and optionally saving the one’s you create to favorites. See the Effect Generator section for details on how to use this tool. Opening the Effect Generator from this menu will not allow you to update an open sequence. See the Sequencing topic for more information on how to access the Effect Generator when editing your sequences.


Control Lights

Select "Control Lights" from the Pixel Editor's Tools menu to toggle whether the Pixel Editor controls your lights or not. If a checkmark is visible next to the Control Lights menu item, then the Pixel Editor will control your lights. This setting applies to all open sequences.

When Control Lights is enabled, the Pixel Editor will send out data to:

·A prop when an effect for that prop is selected in the sequencing grid

·A prop when you double click on the prop’s name (or right-click on the prop name and select one of the play options)

·All props when you click one of the play buttons above the sequencing grid.

The Pixel Editor can only control lights on LOR Enhanced and DMX/E1.31 networks. For LOR networks, this means that the “Enhanced” checkbox must be checked in LOR Network setup and the controllers on that network must be upgraded to the enhanced firmware.

Before trying to control your lights, make sure these steps are done first:

·Connect LOR or DMX dongles to the computer where the Pixel Editor is running.

·Make sure your light controllers are initialized correctly with the correct unit IDs (for the LOR protocol) and DMX universes (for the DMX protocol). LOR controllers must have a firmware version which understands the LOR Enhanced protocol; see the Light-O-Rama Firmware Updates web page for more information.

·Define the LOR and DMX lighting networks in the Light-O-Rama Network Configuration tool. For LOR networks, make sure the 'Enhanced LOR Network' checkbox is checked.

·Connect your light controllers to the dongles (or to your Ethernet network in the case of E1.31 devices).

·Ensure all lights and controllers have power.

·Start the Light-O-Rama Control Panel if you haven't already done so. You should see the light bulb icon in the Windows notification area (lower right corner of your screen).

·Make sure the props you have created in your Pixel Editor preview have the correct network, unit IDs, and circuit numbers defined (they must match the hardware settings).

If the Control Panel is not running and you select “Control Lights”, you will get this message:


Preview Playback

The Preview Playback submenu on the Pixel Editor's Tools menu gives you several options when playing a sequence in the Pixel Editor:

· No Preview

· Display Preview on Main Window

· Display Preview in Separate Window

· Show Background Image

· Fast Playback Marker

· Playback Window is Always on Top

No Preview on Playback

Selecting “Preview Playback” and then “No Preview on Playback” from the Pixel Editor's Tools menu will prevent the simulated preview from being displayed during playback operations. This mode is selected when there is a checkmark next to the menu item. In this mode, you will see the current timing mark scroll across the screen, but there will be no display simulation. This setting may be useful for people with very slow computers, but it is not recommended for general use.

Display Preview on Main Window

Selecting “Preview Playback” and then “Display Preview on Main Window” from the Pixel Editor's Tools menu will cause the simulated preview to display on the left-hand side of the main window during playback operations. This mode is selected when there is a checkmark next to the menu item.

Display Preview in Separate Window

Selecting “Preview Playback” and then “Display Preview in Separate Window” from the Pixel Editor's Tools menu will cause the simulated preview to display in a separate window during playback operations. This mode is selected when there is a checkmark next to the menu item and is useful for people with 2 or more monitors attached to their computer. If you sequence to videos instead music, this is the only mode that displays your video during playback.

Show Background Image

Selecting “Preview Playback” and then “Show background image” from the Pixel Editor's Tools menu allows you to toggle the display of the background image during simulated previews. Turning off the background image may provide slightly better playback performance on slow computers.

Fast Playback Marker

The “Fast Playback Marker” menu item is a flag that can be checked or unchecked. In most cases this setting should be checked, which uses fewer resources during sequence playback. However, in some cases the red playback marker will not draw correctly – in particular, this has been noticed when the screen is being recorded for a screencast. In this case, the “Fast Playback Marker” setting should be unchecked.

Playback Window is Always on Top

The “Playback window is always on top” menu item is a flag that can be checked or unchecked. If checked and “Display Preview in Separate Window” is also checked, then every time you press one of the play buttons the playback window will be activated (given focus). Some computers will not draw the playback animation unless the playback window has focus; on other computers this setting may make playback worse. If you are having problems with the playback animation being displayed in a separate window, try changing this setting. If neither setting works for you, disable the “Display Preview in Separate Window” setting.


Preferences

The Preferences submenu on the Pixel Editor's Tools menu allows you to customize the behavior of certain functions in the Pixel Editor:

· Save As

Save As

Selecting “Preferences” and then “Save As” from the Pixel Editor's Tools menu allows you to customize the default suffix that is applied when performing the File > Save As function. Choosing the “Date and Time” option is particularly useful for making multiple backup copies of your sequence. If you enter custom text, you can only use characters that are valid in Windows file names (e.g. these characters are forbidden: * . " / \ [ ] : ; | = ,).

Save As preferences


Help Menu

The Pixel Editor's Help menu will show you additional information about the Pixel Editor:

· About

· Welcome


About

Selecting "About" from the Pixel Editor's Help menu displays the version of the Pixel Editor that you are running, your Light-O-Rama license information, and information about your computer. When contacting Light-O-Rama for help with the Pixel Editor, being ready with the information displayed in the “About Pixel Editor” window can assist in getting your problem resolved faster.


Welcome

Selecting "Welcome" from the Pixel Editor's Help menu will display some information to help you get started using the Pixel Editor.


Preview Design

Creating a preview is the first step in using the Pixel Editor. No sequencing can be done without a preview.

A preview defines the lighting elements in your display and how they are arranged. It allows your sequence to be simulated during playback. It may contain just the elements you plan to sequence using the Pixel Editor, or it may contain every element of your display (including the elements sequenced in the Sequence Editor). If you choose the latter, then you can see the combined results of your Sequence Editor and Pixel Editor sequences without ever leaving the Pixel Editor.

One preview can be associated with multiple sequences. Update the preview once, and the next time you open any sequence associated with that preview, the update will be automatically be applied.

· Colors

· Groups

· Preview Name

· Item List

· Selecting Items

· Prop Menu

· Group Menu

· Format Menu

· List Menu

· Undo/Redo

· Bulb Settings

· Background Settings

· Using Your Mouse To Arrange Preview

· Keyboard Shortcuts

· Naming Strategies


Colors

In the Pixel Editor's preview design window, traditional strings (incandescents, LEDs, strobes) are displayed with the color of the string (e.g. a string of red LEDs will show as red). RGB pixels and dumb RGB strings are displayed in white. Any string that has been selected, traditional or RGB, is shown in yellow.


Groups

The Pixel Editor also allows you to create groups of props. This enables you to apply effects to the entire group. For example, if you have 4 arches in row, you could put them in a group. A spiral effect applied to the group will be different than the same spiral effect applied to each prop individually.

There are different ways to group props. In the arch example above, you would set the arrangement to “horizontal stack” because arches are usually arranged horizontally. There is also a “use preview” arrangement setting which applies effects according to the way the props are laid out in the preview. You can even put all of your RGB elements in a single preview group and then apply effects to that group and your entire display will appear to move together.


Preview Name

The first field in the Pixel Editor's Preview Design window is the Preview Name. Every preview must have a unique name. If a preview is already associated with one or more sequences and you change the preview name, the association(s) with sequences will be preserved.

Visit the Preview Naming topic to review different strategies for naming and managing your previews.


Item List

The Pixel Editor's Preview Design window's item list has two modes:

·Prop Mode lists all of the props in the preview

·Group Mode lists all of the prop groups (collections of props) that have been created for the preview

The List Menu allows you to switch between the two modes.


Selecting Items

Items in the Pixel Editor's item list can be selected by clicking them. The prop or group that is selected will then be displayed in yellow in the design window on the right. You can also do the reverse: you can click on a prop in the design window and its name will be highlighted in the Item List.

You can also select more than one item at a time. This is often useful for moving several props at the same time or for creating prop groups. In the Item List, Ctrl-click on an item to select it in addition to items already selected. Use Shift-click to select a range of items in the list. When selecting items using the mouse in the design window, hold the Shift button down on the keyboard while clicking the mouse and that prop will be added to the ones already selected.

In the picture below, the “Gutters” prop has been selected – it is highlighted in the item list and displayed in yellow in the design window.


Prop Menu

The Prop menu of the Pixel Editor's Preview Design is only displayed when the item list is in Prop Mode.

Commands Available:

· New

· Modify

· Copy

· Delete

· Layout

· Create Group

· Export Props

· Import Props

· Import from Visualizer

New

Select “New” to create a new prop. This will open the Prop Definition window. After saving the new prop, it will be added to the Item List and displayed in the design window on the right.

Modify

To modify a prop’s definition, you can double-click on the prop’s name, or you can single-click on it and select “Modify” from the Prop Menu. Either method will open the Prop Definition window.

Copy

The “Copy” command is very helpful in creating a collection of props that all look the same, such as a series of arches or mini-trees. This opens a window where you can specify how many copies should be made. If the source name has a numeric suffix, then that number will be automatically incremented for each copy. After the “Make Copies” button is pressed the new copies will be displayed

Here is the process for copying a prop:

·Select the prop in the list that will be the source of the copy. For props with a numeric suffix, this prop’s name should end with “1”, “01”, “001”, “(1)”, “(01)”, or “(001)”. If you have created 5 arches and then decide you need more, you can select the last one (e.g. “Arch 05”) and the Copy command will continue your number sequence from there.

·Select “Prop”, then “Copy” from the menu. This will open the Copy window. See the picture below for an example.

·The “Base Name” field should already be filled in for you. If you are creating a non-numeric sequence such as “Left”, “Center”, “Right”, then you might want to edit the base name to remove the suffix in the source prop’s name.

·Select the number of copies to make. The New Names list on the right will automatically update as this value is changed.

·If the source prop’s name has a numeric suffix, then the “Starting Number” field should be set automatically.

·The “Suffix” field should be set automatically, but can be changed if desired. For example, if your source prop does not have a numeric suffix, but you want the copies to be numbered, then change this field to the desired number format.

·You can change the automatically generated names by double-clicking any entry in the “New Names” list and making edits as desired.

·After making all of your edits, click the “Make Copies” button. This will close the Copy window and the new copies should appear in the preview design window.

·While the copy process takes care of prop naming for you, it does not change the channel information – all of the copies will have the same channel information as the source prop. After the copy completes, you will need to double-click on the name of each copied prop in the list and when the Prop Definition window opens, modify the channel information for that prop.

The picture below shows the Copy command being applied to a prop named “Arch 01”. The numeric suffix is automatically detected and the fields set accordingly. The only action is to set the desired number of copies (4 in this example).

Result of making 4 copies

Delete

Select “Delete” to delete a prop. You will be asked to confirm before the delete actually takes place.

Layout

Select “Layout” to view a printable layout of your prop with channel information for every string or pixel. This can be quite large depending on the number of pixels involved.

Create Group

Select the props you want to place in a group, then select “Create Group” from the Prop menu. The “Create Group of Props” window will open (an example is shown below). For groups with a horizontal or vertical stack arrangement, the order of the items listed is important. A message below the arrangement box will inform you of the proper order.

Export Props

The Pixel Editor makes it easy for you to create a library of frequently used props and to share those props with others if you desire. Select the props you want to export from the prop list. You can use shift-click and ctrl-click to select multiple props. Then select "Export Props" from the Prop menu to start the export. You will be prompted for a location to save the export file. Export files have the extension ".lpeprop".

Import Props

Select "Import Props" from the Prop menu to load props into your preview from a file that had previously been exported. These files have an “.lpeprop” extension. You should review the channel assignments on any imported props to make sure they match your controllers – this can be done by double-clicking on the name of an imported prop to open the Prop Definition window. By default, an imported prop will be assigned the name that it had when it was exported. However, if that name is already being used in the preview, then a numeric suffix will be added to the name in order to make it unique.

Import from Visualizer

When you select “Import from Visualizer” from the Prop menu, you will be prompted to select a Visualizer (.LEE) file. All of the fixtures and props defined in the selected file will then be loaded into the preview. Visualizer fixtures will become Pixel Editor props. Visualizer props will become Pixel Editor prop groups.


Group Menu

The Group menu of the Pixel Editor's Preview Design is only displayed when the item list is in Group Mode.

· Create

· Modify

· Delete

Create

Selecting “Create” from the Group menu will open the “Create Group of Props” window, allowing you to create a new group. In the pop-up window, place a checkmark next to each prop that you want included in the group. Select the arrangement, ensure the order is correct, then click the “Save” button.

Modify

Double-clicking on a group name or single-clicking the name then choosing “Modify” from the Group menu will open the “Create Group of Props” window, allowing you to make changes to an existing group.

Delete

Selecting a group name in the item list then choosing “Delete” from the Group menu will delete the group.


Format Menu

The Format menu of the Pixel Editor's Preview Design is only displayed when the item list is in Prop Mode.

· Align

· Make Same Size

· Horizontal Spacing

· Vertical Spacing

· Rotation

· Reset

Align

After selecting 2 or more props, the actions listed under the “Align” menu allow you to align the selected items horizontally or vertically.

Make Same Size

After selecting 2 or more props, the actions listed under the “Make Same Size” menu allow you to resize the selected items such that they all have the same width, height, or both.

Horizontal Spacing

After selecting 2 or more props, the actions listed under the “Horizontal Spacing” menu allow you to reposition the selected items such that they are equally spaced, or have no spacing between them at all.

Vertical Spacing

After selecting 2 or more props, the actions listed under the “Vertical Spacing” menu allow you to reposition the selected items such that they are equally spaced, or have no spacing between them at all.

Rotation

After selecting 1 or more props, the actions listed under the “Rotation” menu allow you to rotate the selected items back to their default orientation (0 degrees), to 90 degrees right, or 90 degrees left. Individual props can be rotated to any angle by dragging the rotation handle that is displayed when they are selected or using the keyboard shortcuts Ctrl-LeftArrow and Ctrl-RightArrow. Ctrl-0 (control key + zero key) is a shortcut for resetting rotation back to the default orientation (0 degrees).

Reset

After selecting 1 or more props, the actions listed under the “Reset” menu allow you to reset the selected items back to their default position (centered), or default size (1/2 of the preview area), or both. Resetting the position is particularly useful because it is possible to drag items off the edge of the preview area. When this happens, select the prop from the item list, then choose Format > Reset > Position from the menu.


List Menu

The List menu on the Pixel Editor's Preview Design allows you to switch the item list between Prop Mode and Group Mode.


Undo/Redo

In the Pixel Editor's Preview Design, Undo is the arrow pointing left and has the keyboard shortcut Ctrl-Z. Redo is the arrow pointing right and has the keyboard shortcut Ctrl-Y. Prop movement, scaling, and rotation can be undone and redone. Undo/redo does not apply to adding, modifying, or removing props or groups.


Bulb Settings

After selecting 1 or more props, you can change the bulb settings for the selected props. Making the bulb size larger can make the prop easier to see on the computer screen. The default bulb shape is square, which uses the least amount of computer resources (i.e. your preview refreshes faster during playback operations).

For flood lights and strobes you will want to change the bulb shape to “Strobe or Flood” and increase the bulb size. The transparency setting for this bulb shape applies to the center of the bulb – for strobes you will want it at 0%. For floods, you may want something more transparent (> 0%).

An example of strobes on a megatree along with the associated prop definition:


Background Settings

As shown in the picture in the Pixel Editor's Preview Design topic, your preview can have a background image. Click the “Set” button to choose the image file. Clicking the “Clear” button will disassociate the image file with the preview. Move the Brightness slider to the left to dim the background image, simulating the view of your display during nighttime.


Using your Mouse to Arrange Preview

In the picture above from the Pixel Editor's Preview Design, there is 1 blue string, 2 red strings, and 5 RGB arches. The second arch is selected. See the explanation of preview design colors for more information.

The selected item is always shown in yellow and has 4 red scaling “handles” at the corners (lines just have 2 handles) and a rotation handle to the right. You can select multiple props using Shift-click in the design window, or Ctrl-click or Shift-click in the item list. The selected prop(s) can be dragged around the preview window using the mouse. They can be resized by dragging any one of the 4 red handles in the corners, or by using the Ctrl-UpArrow and Ctrl-DownArrow keyboard shortcuts. You can rotate them by dragging the handle on the right side, by using the Format > Rotation menu, or by using the Ctrl-LeftArrow and Ctrl-RightArrow keyboard shortcuts. If you have multiple props selected, you can align them in many ways using the Format menu.

Any movement, scaling, or rotation action can be undone by clicking the undo button or using the Ctrl-Z keyboard shortcut.


Keyboard Shortcuts

The following keyboard shortcuts can be used during the Pixel Editor's preview design:

·Delete – deletes the selected prop or group

·Ctrl-A – selects all props

·Arrow keys – moves the select props

·Ctrl-UpArrow – makes the selected props larger

·Ctrl-DownArrow – makes the selected props smaller

·Ctrl-LeftArrow and Ctrl-RightArrow – rotates the selected props

·Ctrl-0 – resets prop rotation to its default value

·Ctrl-Z – undo

·Ctrl-Y – redo


Naming Strategies

The Pixel Editor comes with an empty preview called “Default”. If you want to keep things simple, you can create all of your props in the Default preview and associate all of your sequences with Default:

Another approach is to create a preview for each holiday for which you have a light show. For example, you could have previews called “Valentines”, “Halloween”, and “Christmas”. If your display were to change from year to year, you would update the props in the preview for the relevant holiday.

Finally, you can create a preview for each display, for each year. So you might start with a preview called “2015 Christmas” associated with all of your sequences for 2015. Then in 2016, you would archive your 2015 sequences for reference, and make copies that you would work with for your 2016 show. Something like this:

·Copy all of your 2015 sequences to a new folder for 2016.

·In the Pixel Editor, copy the “2015 Christmas” preview to “2016 Christmas”. This would make a copy of the preview’s visual layout as well as make a copy of every prop in the preview.

·Open each sequence in the 2016 folder using the Pixel Editor and change the sequence’s preview to “2016 Christmas” (with the sequence open, select Sequence > Assign Preview from the menu).

·With that complete, you could proceed with adding and removing props in the “2016 Christmas” preview and revising the 2016 sequences as desired

The Advantage of this approach is that it gives you a history of your old sequences and those sequences can be opened in the pixel editor and viewed using the preview in effect for that year.


Prop Definition

A prop in the Pixel Editor allows you to define a single item that is on your stage, its shape, parameters, etc.

Name

Each prop must have a name. The name must be unique within the preview.

Sequence Method

Props can be created for sequencing in the Pixel Editor, or they can define display elements being sequenced using the Sequence Editor. You must create all props that will be sequenced with the Pixel Editor. Creating props that are sequenced with the Sequence Editor is optional, but allows the sequence for those props to be viewed during playback operations in the Pixel Editor.

Comment

This is an optional field for you to make notes about this prop.

Lights Section

Use this section to define the types of lights your prop consists of.

Shapes Secion

Use this section to define how your prop looks.

Channels Section

The section tells the Pixel Editor about the channels in use for this prop.


Lights

In the Pixel Editor's Prop Definition's Lights section, select the tab that is appropriate for your lights:

· Traditional

· RGB


Traditional

Choose the “Traditional” tab of the Lights section of the Pixel Editor's Prop Definition window to model strings of LEDs or incandescent lights or strobes. Colors for your string are defined on the left. Click the “Custom” button to choose a custom color. By default, the custom color is close to an incandescent warm white bulb.

Set the “Type” drop-down as follows:

·Choose “Channel per color” for single color strings or bundles of single color strings (sometimes referred to as superstrings) or single color flood lights. Select color(s) for the strings on the left. For each color you choose, that color will show up in the “Order” list on the right. The Pixel Editor will assign one channel for each color that you choose. If you are defining a bundle and the channels for these strings are numbered consecutively, it is recommended that you use the up and down arrows on the right-hand side to put the colors in the order that their channels are assigned (click on a color to select it, then use the arrow buttons to move it into the correct position). This way, the channels will be assigned correctly without any additional action.

·Select “Multicolor string 1 ch” for a single string with various light colors. Choose the colors that make up the string.

·Select “Strobe string 1 ch” for strobe lights. Choose the color of your strobes. You can choose multiple colors if you have mixed strobe colors on your string.


RGB

In the Lights section of the Pixel Editor's Prop Definition, there are two kinds of RGB channels that the Pixel Editor can use:

·Choose RGB nodes for LOR Cosmic Color Devices and any other pixel strips, nodes, or bulbs.

·Choose Dumb RGB for display elements that have a single red, green, and blue channel. This includes RGB floods and dumb strips and nodes.


Shapes

Select the shape of your prop in this section of the Pixel Editor's Prop Definition window. The Pixel editor has many predefined shapes, or you can define your own custom shape.


Predefined

In the Pixel Editor's Prop Definition window, use a predefined shape if there is one there that meets your requirements. Any shape can be resized and rotated, so you are not limited to the traditional orientation of the shape. Consider using a horizontal matrix for net lights (bushes, tree wraps, etc.).

The selections in the middle will change depending on the shape that is selected and type of lights (traditional, RGB pixels, or dumb RGB). At the bottom will be diagram of your shape primarily intended to show channel number orientation for props with multiple channels.


Custom

If a predefined shape does not meet your needs, then you can click on the “Custom” tab of the Shapes section of the Pixel Editor's Prop Definition window to create a custom shape using a grid. There is a “Help” button on that tab that explains the process of creating a custom shape. From the custom grid, you can cut and paste to and from Excel if necessary to assist in the creation of your custom prop.

For traditional strings and dumb RGB, the number you enter in the custom grid is the string number. For RGB pixels, the number you enter is the pixel number. 1-999 are pixels on the first RGB string. 1001-1999 are pixels on the second RGB string, 2001-2999 are on the third RGB string, etc.

The picture below shows a candy cane with 12 RGB pixels.

Pixel based candy cane

If you were defining a candy cane made using a single incandescent string or a single dumb RGB string, then all of the numbers in the grid would be “1”, as in the picture below.

String based Candy Cane


Channels

The final step of prop definition in the Pixel Editor is to define the prop’s unit ID(s) and channel numbers in the right-most section of the window. This section should be filled in last because the entries will change automatically based on the values you enter in the “Lights” and “Shape” sections. Take care to enter this information accurately, or your lights will not come on.

Device Type

Select the device type from the drop-down that matches your hardware. A device type of “Undetermined” is available for situations where the device type is not known. For controllers that connect via the E1.31 protocol over Ethernet, select “DMX”.

Max Circuit (or DMX Channel)

The number box at the top right defines how many channels are in each DMX universe or the maximum circuit number if LOR is selected. For DMX, you can leave this at the default value of 512, unless you have a controllers that does not allow an RGB pixel to cross universe boundaries. In this case, set the DMX universe size to 510 (170 pixels per universe).

Individual Start Channels

For the first string, you must provide the starting Unit ID and circuit (for LOR channels), or universe number and channel (for DMX channels). Subsequent strings will be automatically calculated by the Pixel Editor. This works great for many situations, but there are exceptions. For those exceptions, click the “Individual Start Channels” checkbox. This will allow you to enter a starting Unit ID and circuit for every string.

Separate Unit ID (or DMX Universe) for each RGB String

This checkbox will cause each string to start at circuit 1 of the subsequent Unit ID (or DMX Universe) from the previous row. If this box is unchecked, then each row starts from the last Unit ID and circuit from the previous row.


Effect Generator

The Effect Generator is the tool used to create and modify effects in the Pixel Editor.

The Effect Generator window has three parts. The left and right sides can each independently generate an effect. The result of those two effects is mixed in the middle. This middle portion is what gets saved to the grid when you click OK to close the Effect Generator window.

· Opening the Effects Generator

· Choose an Effect

· Using the Color Palette

· Using the Effect Slider

· Mixing Two Effects

· Favorites

· Effect Length

· Bulb Size

The Effects Generator Window


Opening the Effects Generator

The Pixel Editor's Effect Generator can be opened in several ways:

·Select Tools > Effect Generator from the menu. Use this method when you just want to explore the available effects or you want to create a library of effects before you start sequencing.

·With a sequence open, click the Effect button located in the center, above the grid (or use the shortcut key E). After building your effect and click OK to close the Effect Generator window, and the effect will be saved in a temporary area and described with text just below the Effect button. Any cells you subsequently turn on (or ramp up or ramp down) in the grid will use this effect.

·Double-click an effect on the grid. This will select the entire effect and then open the Effect Generator preset to this effect. If you make changes and click OK, the changes will be saved back to the selected effect on the grid. This is the fastest way to modify existing effects in your sequence.

·Select a range of cells containing one or more effects on the grid, right-click in the selected area, and choose Modify from the pop-up menu (or shortcut key shift-M). In this case, the new effect will overwrite the existing effects in the selection. However, the shape (on, ramp up, or ramp down) of the existing effects will be preserved.

·Select an empty set of cells and use one of these shortcut keys: shift-N (on), shift-U (ramp up), or shift-D (ramp down). The Effect Generator will open allowing you to choose a new effect. When closed, the new effect will be applied to the selected cells.


Choose an Effect

In the Pixel Editor's Effect Generator, start with the left side. Choose an effect type from the drop down list.

The best way to get familiar with the effects is to try each one. See the Color Palette topic to learn about changing colors. Below the palette selection will be a set of buttons, sliders, and such that are specific to the type of effect you have chosen in the drop down. Each time you select a different effect type, these buttons, sliders, and such will change. Feel free to experiment with all of the options. That is part of the fun of the Pixel Editor – seeing all of the different effects you can make!


Using the Color Palette

In the Pixel Editor's Effect Generator, choose the colors for the effect by clicking the checkboxes next to the desired colors. Not all effects use every chosen color. For example, the Color Wash effect only uses the first selected color. The Butterfly effect doesn’t use any. If you haven’t selected any checkboxes, the default color will be white.

The palette is fixed at 6 entries (buttons), but each palette button can be set to a color of your choosing. Simply click on the color (not the checkbox), and a color selector will open allowing you to choose a custom color.

For some effects, color order is important. Color order can be changed by dragging a color to a new location. To start dragging, you need to click on a gray section of the square you want to move. You then need to drop it on top of another color square. When you do, the colors will rearrange.

There are 2 palette modes.

By default, the Effect Generator will use Unicolor mode. In this mode, each of the 6 colors stays the same during the course of an effect. This is what the palette looks like in Unicolor mode:

In the second mode you can specify a start and end color for each palette square. In this mode, each palette square contains two color entries: the one on the left is the start color, the one on the right is the end color. These can be set separately. So for example, if you are doing a Color Wash effect, you can start off blue and transition to white by setting the left color to blue and the right one to white (in the same color square). This is what the color palette looks like in Start/End mode:

Palettes can be saved for later reuse. Click the small star with a down arrow next to it and choose Save Palette from the menu. Similarly, call up a saved palette by selecting Load Palette from the same menu. The Manage Palettes function allows you to rename, copy, and delete the saved palettes.

Selecting Manage Palettes will allow you to copy, remove, or rename your previously saved palettes. Each palette consists of 6 entries, which are shown to the right of the palette name. If an entry is split into 2 parts, the left part is the color at the start of an effect and the right part is the color that applies at the end of an effect.


Using the Effect Slider

In the Pixel Editor's Effect Generator, the top of the effect slider is green, indicating the value that will be used when the effect begins. The bottom of the slider is red, indicating the value that will be used when the effect ends. By default, the red and green handles are locked together.

However, if you double-click anywhere along the effect slider, the handles will become unlocked and you can set the start and stop values independently. In the example below, the speed will start out fast and then get slower during the course of the effect. To relock the start and stop positions, just double-click on the slider again.


Mixing Two Effects

In the Pixel Editor's Effect Generator, you can use just the left side of the window to create your effects. But for even more creative possibilities, you can create a second effect on the right and see the mixed result in the middle. Controls below the middle window adjust how the left and right sides are mixed. You can select the type of mixing with the drop down, then control the strength (more left or more right) using the slider. You can also adjust the brightness of the result using the Brightness Mode drop down. For some mix types you may want to swap the left and right effects. This is easily accomplished using the “<>” button.

Masking Effects on One Side

If you just want effects displayed on the left or right side of your prop, set the mixer to "Mix_Left_Right". If you want an effect on the left side of your prop, use the effect selection on the left side of the Effect Generator and make sure the right side effect is set to "none". If you just want the effect on the right side of your prop, use the effect selection on the right side of the Effect Generator and make sure the left side effect is set to "none". Use the slider below the Mix selection to determine where the separation between left and right occurs.

The same technique can be used if you want an effect only displayed at the top or bottom. Just set the mixer to "Mix_Bottom_Top".

But what if you want to display only rows or columns in the middle of your prop, or some pattern of rows or columns? This is discussed in the next topic, "Masking Effects on Arbitrary Rows or Columns":

Masking Effects on Arbitrary Rows or Columns

Sometimes you just want to light up certain rows or columns on your display element (e.g. a pixel tree or matrix). In this topic we show you how. Here are the steps:

1.Open Microsoft Paint (you can use other paint programs, but you will have to adapt these instructions for your preferred paint program).

2.Type Ctrl-E to open the image properties. Set the units to "Pixels" and the Colors to "Color". Set the width and height to exactly match the dimensions of your prop. Click "OK" to save the changes.

ImageProperties

3.Zoom in as much as possible to make it easier to see your new image.

4.Make the current color black. Use the fill tool (the paint can icon) to turn the entire image black.

5.Make the current color white. Use the pencil tool to draw white in the rows and/or columns where you will want effects displayed. The example shown below is 5 pixels wide by 10 pixels high. Columns 2 and 4 have been painted white. When used as a mask in the following steps, this will only allow effects to be displayed in those two columns.

MSPaintColumns

6.Save the result as a PNG image (BMP is OK too), and then close Microsoft Paint. Remember where you save it.

7.Open the Pixel Editor's Effect Generator.

8.On the right side, select the prop you generated the mask for.

9.Change the right effect to "Picture". Click the "Choose" button and select the image file that was created above. Uncheck "Scale Image".

10.In the middle, set the mix to "Mix Rt. Reveals Lt."

11.Change the left effect to the desired effect. Only the rows or columns you enabled (turned white) in your image will light up in the middle (result) window.

12.You can enable the opposite columns by changing the mix to "Mix Rt. Hides Lt.".

13.You can make the mask move by changing the "Movement" setting on the picture effect.

Here is the result (the bars effect is shown, but the technique works with any effect selected on the left):


Favorites

In the Pixel Editor's Effect Generator, if you create an effect and want to save it for later use, you can save it to the Favorite Effects area (bottom center).

·To save the current Effect Generator settings as a favorite, first click a folder in the favorites tree where the effect should be saved (the first time click on “Favorites”), then click Save.

·To recall a favorite (i.e. load it into the Effect Generator), just double click on it.

·To move an entry up or down, select an entry by left-clicking on it, then use the up and/or down arrows to move it to the desired position. Alternatively, you can right-click on the entry, then select Move Up or Move Down from the popup menu.

·You can move effects from one folder to another simply by dragging the effect to the new folder. You can even drag entries branches of the tree if you need to move them.

·To delete an entry or an entire branch, right-click the node to delete, then select Delete from the popup menu.

·To add a new branch to the tree, right-click on the parent folder, then select New Subfolder from the popup menu. Enter the name for the new folder when prompted, then click OK.

·To rename an entry (folder or favorite effect), right-click on the node, then select Rename from the popup menu. Enter the new name when prompted, then click OK.

·To copy an effect, right-click on the node, then select Copy from the popup menu. Enter the name for the copy when prompted, then click OK.

·To export favorites to a file, right-click on a folder, then select Export from the popup menu. Select the directory and file name, then click OK. All children of the selected folder will be exported. This file will have an LPEFAV extension.

·To import favorites from a file, right-click on a folder, then select Import from the popup menu. Select the file to import, then click OK. Imported favorites will become children of the selected folder.


Effect Length

In the Pixel Editor, every effect on the grid has a length. See the Color Palette topic for instructions on how to transition colors over the course of the effect. The slider controls can also be set at different positions for the beginning and end of the effect. To see how far along the effect is in playback, look at the progress bar next to the “Restart” button. To watch the effect go through its transition again, just click the “Restart” button.


Bulb Size

The Pixel Editor's Effect Generator has a bulb size setting that is separate from the preview bulb size. To change the bulb size on the Effect Generator move the slider next to the OK/Cancel buttons.


Sequencing

Before using the Pixel Editor's sequence grid, you must have an existing LAS/LMS sequence file created using the LOR Sequence Editor. Items that the Pixel Editor will use from this file include the timing grids and any beat channels you may have created.

The first time you open the LMS/LAS file, you will be asked to pick a preview to associate with this sequence. That is why it is important to create your preview first. You can change the preview associated with the sequence later by selecting Sequence > Assign Preview from the menu.

Sequences are displayed in the Pixel Editor as a grid. Rows represent props (or groups of props), and columns represent timings. Cells in the grid therefore represent the lighting effects that will happen on props at various points in time while the sequence is being played.

Props designated as sequenced using the Pixel Editor are displayed with 2 rows – an upper row and a lower row separated by a dashed line. This allows 2 different effects to be applied to a prop at the same time. Or more often, it allows one effect to smoothly transition to the next effect (shown in the picture below).

Props designated as sequenced using the Sequence Editor are displayed with a gray background using one row per channel. This is shown in the following picture. Note that the row’s label is the Pixel Editor’s prop name followed by the Sequence Editor’s channel name.

The following picture shows a sequence open and ready for editing in the Pixel Editor.

For more information on sequencing in the Pixel Editor, please see the following topics:

· Selecting Cells

· Cut/Copy/Paste

· Prop Views

· Timing Grids

· Zoom

· Playback

· Prop and Preview Information

· Background Brightness

· Thumbnails

· Tooltips

· Keyboard Shortcuts


Selecting Cells

A cell, or a range of cells, can be selected in the Pixel Editor's grid, allowing you to apply various tools to it (such as specifying what lighting effects should take place in that cell). You can recognize the currently selected cell (or cells) by a thick dashed yellow border. For example, in the following sequence, the cells between 4.50 second and 5.00 seconds are selected:

You can select cells using the mouse, keyboard shortcuts, or by right-clicking on the grid:

· Mouse Selection

· Double-Click Selection

· Keyboard Selection

· Right-Click Selection


Mouse Selection

Using the mouse in the Pixel Editor's sequencing grid, you can:

·Click on a single cell to select it. If the cell has an effect in it, that effect starts playing in the right window and the effect becomes the current effect (text description is listed below the Effect Generator button).

·Select multiple cells by clicking on a cell and then dragging the mouse across the range.

·Extend the selection by shift-clicking on a cell.

· Double-clicking on an effect will select all of the cells for that effect, then open the Effect Generator so the effect can be edited. In the following picture, one of the cells in the second row was double-clicked, causing all of the cells for that effect to be selected (including the ramp up and ramp down portions).

What happens when any of the above actions takes place depends on which tool is selected:

Select Select – no effect is applied to the selected cells

On On – will apply the current effect, as listed below the Effect Generator button, to the selected cells. The effect is applied at 100%.

Off Off – will remove any effects in the selected cells

FadeUp Fade Up – will apply the current effect, as listed below the Effect Generator button, to the selected cells. The effect is ramped up from 0% at left-most selected cell to 100% at the right.

FadeDown Fade Down – will apply the current effect, as listed below the Effect Generator button, to the selected cells. The effect is ramped down from 100% at left-most selected cell to 0% at the right.


Double-Click Selection

Double-clicking on an effect in the Pixel Editor's sequencing grid will select all of the cells for that effect, then open the Effect Generator so the effect can be edited. If the effect is modified in the Effect Generator and the user clicks “OK”, then those modifications are applied to the selected cells. In the following picture, one of the cells in the second row was double-clicked, causing all of the cells for that effect to be selected (including the ramp up and ramp down portions).


Keyboard Selection

You can change which cell is selected in the Pixel Editor's sequencing grid by using the arrow keys - Up, Down, Left and Right.

The Home key brings you to the first cell in the currently selected prop. The End key will take you to the last cell in the currently selected prop.

A range of cells can be selected by holding down the shift key while using the arrow keys (or Home, or End).

“C” will select the current column. “R” will select the current row. Ctrl-A will select the entire grid.


Right-Click Selection

Right-clicking in the Pixel Editor's sequencing grid provides a variety of options, including cell selection.


Cut/Copy/Paste

In the Pixel Editor's sequencing grid, the lighting effects in cells can be copied, cut, and pasted using the standard Windows copy, cut and paste keys, Ctrl-C, Ctrl-X, and Ctrl-V. These functions can also be accessed from toolbar buttons above the grid or the menu that appears after right-clicking on a grid cell.

Most of the time, you will copy from a Pixel Editor prop and paste to another Pixel Editor prop. However, you can also copy from a Sequence Editor prop and paste to a Pixel Editor prop. Start by making the Sequence Editor channels visible in the grid using the Props button, then copy from cells on a gray row and paste into a black row. The black cells will be populated with colorwash effects, but it is a quick way to get the correct timing established for your Pixel Editor effects. See the picture below:

Pixel Editor supports several different pasting modes accessed by clicking the down arrow to the right of the paste button:

§ Paste By Cell

§ Paste By Time

§ Stretch to Fit

§ Repeat to Fit


Paste By Cell

When pasting in the Pixel Editor's sequencing grid, Paste by Cell pastes effects based upon the relative durations of the copied cells and the cells where they will be pasted.

For example, consider timings at 0 seconds, 1 second, and 2 seconds. Between 0 and 1 is a fade up, and between 1 and 2 is a fade down:

Events to be copied

These events will be copied, and pasted to the time starting at 5 seconds. There are timings at 5 seconds, 7 seconds, and 7.5 seconds:

Where they will be pasted to

If "Paste by Cell" is selected, then there will be a fade up from 5 to 7, and a fade down from 7 to 7.5:

After pasting by cell


Paste By Time

When pasting in the Pixel Editor's sequencing grid, Paste by Time pastes effects based upon their durations as they were copied.

For example, consider timings at 0 seconds, 1 second, and 2 seconds. Between 0 and 1 is a fade up, and between 1 and 2 is a fade down:

Events to be copied

These events will be copied, and pasted to the time starting at 5 seconds. There are timings at 5 seconds, 7 seconds, and 7.5 seconds:

Where they will be pasted to

If "Paste by Time" is selected, then there will be a fade up from 5 to 6, and a fade down from 6 to 7. The timings at 7 and 7.5 are ignored; only the original lengths of the events are used:

After pasting by time


Stretch to Fit

When pasting in the Pixel Editor's sequencing grid, Stretch to Fit stretches (or compresses) effects to fit into the area that you have selected, without regards to any timings within that area.

For example, consider timings at 0 seconds, 1 second, and 2 seconds. Between 0 and 1 is a fade up, and between 1 and 2 is a fade down:

Events to be copied

These events will be copied, and pasted to the time starting at 5 seconds, with the area between 5 seconds and 7.5 seconds selected. There are timings at 5 seconds, 7 seconds, and 7.5 seconds:

Where they will be pasted to

If "Stretch to Fit" is selected, then since the copied effects totalled two seconds in length, and since the area being pasted to is two and a half seconds in length, each effect will be stretched to 125% of its original length (since 2.5 seconds is 125% of 2 seconds). Therefore, there will be a fade up from 5 seconds to 6.25 seconds, and a fade down from 6.25 seconds to 7.5 seconds:

After stretching to fit


Repeat to Fit

When pasting in the Pixel Editor's sequencing grid, Repeat to Fit repeats (or cuts off) effects to fit into the area that you have selected, without regards to any timings within that area.

For example, consider timings at 0 seconds, 1 second, and 2 seconds. Between 0 and 1 is a fade up, and between 1 and 2 is a fade down:

Events to be copied

These events will be copied, and pasted to the time starting at 5 seconds, with the area between 5 seconds and 7.5 seconds selected. There are timings at 5 seconds, 7 seconds, and 7.5 seconds:

Where they will be pasted to

If "Repeat to Fit" is selected, then since the copied effects totalled two seconds in length, and since the area being pasted to is two and a half seconds in length, there will be one full copy of the copied effects for the first two seconds, followed by the first half second of a second copy of the effects. That is, there will be a fade up from 5 seconds to 6 seconds, a fade down from 6 seconds to 7 seconds, and the first half of a fade up from 7 seconds to 7.5 seconds:

After repeating to fit


Prop Views

In the Pixel Editor, by default, props that have a Sequence Method of Pixel Editor and any prop groups will be listed down the left hand side of the grid. You can change which props are displayed by clicking the Props button.

Use the checkboxes to select which props get displayed in the grid. You cannot change the display order of individual props in the grid, but you can choose the order by type of prop. By default, props in the left section are displayed first, followed by prop groups listed in the second section, then props list in the third section, and lastly the channels listed in the far right section. Use the “Display Order” drop-down boxes to change the default order. For example, to list beat channels on top, change the display order in the far right section to “1”, then change the other sections to 2, 3, and 4.

You can save the current list of props so they can be called up later by clicking on the “Prop View” button above the sequence grid, then selecting “Add View” from the menu. Once you do this, the name of the prop view will be added to the Prop Views drop down above the grid.

Selecting “Update View” will update the current prop view with the currently display props and prop groups. Selecting “Delete View” will permanently remove the current prop view.


Timing Grids

Timing grids are stored in the LMS/LAS sequence file. If you have multiple timing grids defined, they can be selected in the Pixel Editor using the timing grid drop down. By default the timing marks are locked. However, for freeform grids you can unlock them by clicking on the 'Timing Grid' button above the sequence grid, then selecting 'Lock Timings' from the menu.

Once done, timing marks can be dragged left or right using the cursor. You can also add and remove timing marks by right-clicking within the grid and selecting Timing Mark > Add (or Delete) from the pop-up menu. If you make changes to the timing marks, when you save the Pixel Editor sequence, your LMS/LAS file will be updated also.


Zoom

You can zoom in or out in the Pixel Editor's sequencing grid:

· Zoom In

· Zoom Out

Zoom In

ZoomIn To zoom in, click the zoom in icon. Or you can drag your mouse across the yellow timeline (and waveform if displayed) and the grid will zoom into the selected region. .

Zoom Out

ZoomOut To zoom out, click the zoom out icon, or right-click on the yellow timeline or waveform. You can also zoom out to the default level (15 seconds) by clicking the mouse wheel while cursor is in the timeline/waveform area.


Playback

You can play back your sequence in the Pixel Editor:

· Calculating Preview

· Sequence Playback

· Playback Specific Prop

· Preview Location

Calculating Preview

When opening your sequence, the simulated preview is calculated in memory, which can take some time. A spinner will be displayed and the play buttons disabled until the calculations are complete:

Once complete, a green checkmark is displayed next to the preview name. Any subsequent changes to the sequence will cause the preview for the affected props to be recalculated; the play buttons will again be temporarily disabled until the recalculation is complete.

Sequence Playback

You can play back your sequence several ways:

PlayFull Play the full sequence

PlayCurrentToEnd Play from the current location to the end of the sequence

PlayBeginningtoCurrent Play from the beginning of the sequence to the current location

PlayVisible Play the visible portion of the sequence

Playback Specific Prop

You can also play back a specific prop. To do this, right-click on a prop name and select one of the choices from the pop-up menu. As a shortcut, you can double-click on a prop name to play the visible portion of the sequence. Double-click again if you want to stop prematurely. In this mode, the selected prop will play back in the upper-right window.

Preview Location

In any of these playback modes, you can choose where the simulated preview is shown. Choose from one of the following 3 options by selecting Tools > Preview Playback from the menu:

·The preview can be hidden entirely.

·The preview can be displayed in the left window on the main screen (default).

·The preview can be displayed in a separate window.


Prop and Preview Information

To see information about a specific prop, right-click on the prop name and select "View Prop Definition. This also works if you right-click on a prop group.

To view or alter the preview design, click the down arrow next to the preview name and select "Preview Design". The Preview Information and File References windows can also be accessed from this menu.


Background Brightness

To change the brightness of the background image that is show during playback in the Pixel Editor:

·If the preview is shown in a separate window, use the “Background” slider in that window.

·If the preview is shown on the main screen, click the down arrow next to the preview name, then select “Background Image”, then choose the desired brightness level.


Thumbnails

When you click on an effect in the Pixel Editor's sequencing grid, the upper-left window will display thumbnails of effects used in the sequence on similar props. You can click on any of the thumbnails to make it the current effect (plays back on the right-hand window and changes the text below the Effect button):

This means the effect is ready to be placed in the grid. Select some blank cells in the grid and right-click to turn the cells on, ramp up, or ramp down (or use the equivalent shortcut keys). The effect that is playing on the right side will be used to populate the selected cells.


Tooltips

When hovering over a cell in the Pixel Editor's sequence grid, a tooltip can be displayed (very similarly to the way they are displayed in the Sequence Editor).

Tooltips can be turned on or off. There are also options for how long to hover before they are displayed and how they should be closed. These settings are controlled from the Sequence Editor. To change them, open the Sequence Editor and select Edit > Preferences > Display Preferences from the menu. Updated tooltip preferences will be read by the Pixel Editor whenever you open a sequence.


Keyboard Shortcuts

Just to the right of the Pixel Editor's Redo button is a small blue button with a question mark on it. Click it to display a list of available shortcut keys - which will make navigating the grid faster.


Sharing Sequences

Pixel Editor sequences can be shared with fellow lighting enthusiasts. To share a complete sequence, you must send the other person both the LMS file and the LPE file. The LPE file contains not only the information about the RGB effects to be played, but also a copy of your preview. So when the other person opens the files in the Pixel Editor, they will be able to see a preview of your display as the sequence is played.

Conversely, if a person shares a sequence with you, place both the LMS and LPE files you receive into the same directory. The first time you open them in the Pixel Editor, you will receive a pop-up message indicating that the preview was imported. The new preview will have a name like “Imported from JingleBells.lms on 6/17/2015”.


Show Editor

The Light-O-Rama Show Editor is used to create shows. Shows are groups of sequences to be played as a group. They can be scheduled to play at certain times using the Schedule Editor, and will then be played using the Show Player.

To start the Show Editor, you can run it from your computer's Start Menu by selecting "All Programs" -> "Light-O-Rama" -> "Light-O-Rama Show Editor". Alternatively, if the Light-O-Rama Control Panel is already running, you can right-click its icon in your computer's system tray, and select "Show Editor" from the popup menu that will open.

Shows consist of several sections. Each section serves a different purpose - for example, the "startup section" is a list of sequences that will be played when the show begins, while the "animation section" is a list of animation sequences that will be played throughout most of the show's duration (after startup and before shutdown). All sections are optional.

For details on each of the sections, please refer to the following:

· The Background Section

· The Startup Section

· The Animation Section

· The Musical Section

· The Interactive Section

· The Shutdown Section

The Show Editor consists of six main tabs, and a toolbar at their top. Each of the tabs is associated with one of the six sections of the show (such as "background" and "animation"), while the toolbar has buttons to create, open, and save shows.

To add a sequence to a section, click on that section's tab, and then on the large "+" button. This will prompt you for the name of the sequence that you want to add. Similarly, to remove one, select the sequence from the section's list by clicking on its name, and then click the large "-" button.

A sequence can be moved up or down in a section's list by clicking on its name and then on the large up arrow or down arrow buttons. This generally affects the order that the sequences will be played in, but not always: For example, in the musical section, you can select that the sequences will be played in the order listed, or in a random shuffle; if you choose the latter, it doesn't matter what order they are listed in. Similarly, in the animation section, you can select that the sequences be played simultaneously (as opposed to sequentially); if you do, their listed order does not matter.

The Show Editor's tab for the musical section of a show


Schedule Editor

The Light-O-Rama Schedule Editor is used to schedule shows to be played at certain times. Shows are created using the Light-O-Rama Show Editor, and consist of sequences, which are created using the Light-O-Rama Sequence Editor. Scheduled shows are then played by the Light-O-Rama Show Player.

To start the Schedule Editor, you can run it from your computer's Start Menu by selecting "All Programs" -> "Light-O-Rama" -> "Light-O-Rama Schedule Editor". Alternatively, if the Light-O-Rama Control Panel is already running, you can right-click its icon in your computer's system tray, and select "Schedule Editor" from the popup menu that will open.

For an overview of schedules, please refer to:

· Schedules

· The Weekly Schedule

· The Calendar Schedule

For help on the Schedule Editor, please refer to:

· Opening, Saving, and Reverting

· Switching between the Weekly and Calendar Schedules

· Adding a Show to the Weekly Schedule

· Adding a Show to the Calendar Schedule

· Editing a Scheduled Show

· Deleting a Scheduled Show

The Schedule Editor, showing the weekly schedule

Opening, Saving, and Reverting

Light-O-Rama maintains just a single schedule (with two parts - the weekly schedule and the calendar schedule), so when the Schedule Editor starts, it automatically opens and displays the current schedule. Once you start editing it, however, the displayed schedule may differ from the saved schedule. So, after you have edited the schedule and are satisfied with the changes you made, click the toolbar's Save button to save your changes.

On the other hand, if you wish to discard your changes without saving them, click the toolbar's Revert button instead. Only the changes made since the last time that you saved will be discarded.

In order for the changes that you have made to the schedule to take effect, you must first save the schedule.

Switching between the Weekly and Calendar Schedules

The schedule consists of two parts - the weekly schedule and the calendar schedule. The Schedule Editor only displays one of these two at a time, although both are always in effect.

When the Schedule Editor starts, it displays the weekly schedule. You can switch to the calendar schedule by pressing the toolbar's Calendar button, and you can switch back to the weekly schedule by pressing its Week button.

Adding a Show to the Weekly Schedule

With the weekly schedule displayed, there are two ways to add a show to it:

·Click the toolbar's Add button.

·Click on an unscheduled area of the schedule and select "Add" from the popup menu.

Adding a new show to the weekly schedule

In either case, the Add Show dialog will open:

The Add Show dialog for the weekly schedule

Opening the Add Show dialog by clicking on an unscheduled area, rather than by using the Add button, has a couple advantages: First, it will automatically be populated with a start time and an end time based on where you had clicked. In the above example, the click was made at approximately 6:30 AM, and so the start and end times were automatically set to 6:00 AM and 7:00 AM.

Second, it automatically takes into account conflicts between the new show and any existing shows. For example, if there were already a show scheduled starting at 6:45, the end time of the new show would have automatically been set to 6:45 rather than 7:00. Similarly, if a show had already been scheduled at this time on Sunday, the "Sun" checkbox for the new show would have automatically been unchecked.

To add a new show using this dialog, first select the name of the show file; it is easiest to do this using the "..." button next to the File box, which will open up a dialog allowing you to choose among the existing show files.

Next, choose the start and end time for the show, and then select the day or days of the week that you wish this show to run.

Close the dialog by pressing "Add" (or "Cancel" if you no longer wish to add the new show), and save your changes by pressing the toolbar's "Save" button (or "Revert" if you wish to get rid of your changes).

Adding a Show to the Calendar Schedule

With the calendar schedule displayed, there are two ways to add a new show. In either case, first select the day that you want to schedule the show for (by clicking that day in the calendar), and then either:

·Click the toolbar's Add button, or

·Click on an unscheduled area of the schedule and select "Add" from the popup menu.

Adding a show to the calendar schedule for March 15, 2008

In either case, the Add Show dialog will open:

The Add Show dialog for the calendar schedule

Opening the Add Show dialog by clicking on an unscheduled area, rather than by using the Add button, has a couple advantages: First, it will automatically be populated with a start time and an end time based on where you had clicked. In the above example, the right-click was made at approximately 3:30 PM, and so the start and end times were automatically set to 3:00 PM and 4:00 PM.

Second, it automatically takes into account conflicts between the new show and any existing shows. For example, if a show had already been scheduled to start at 3:45 PM, the end time in the above dialog would have automatically been set to 3:45 rather than 4:00. Note that this conflict checking is only done for other shows in the calendar schedule, not for shows in the weekly schedule; this is because the purpose of the calendar schedule is to easily override the weekly schedule for specific dates and times.

To add a new show using this dialog, simply select the show's filename (this is easiest using the "..." button, which will let you choose from the list of existing shows), select the start and end times, and "Add" (or "Cancel" if you wish to discard the new show).

Finally, remember to save your changes using the toolbar's "Save" button (or, if you with to discard your changes, "Revert" instead).

Editing a Scheduled Show

No matter whether the weekly schedule or the calendar schedule is currently displayed, you can edit a scheduled show by clicking on that show in the schedule, and selecting "Edit" from the popup menu:

Editing an existing show

This will open a dialog very similar to the one you originally used to add the show. It will allow you to modify the name of the show file to be used, the start and end time, and, in the weekly schedule, the days of the week that the show will run on.

Finally, remember to save your changes using the toolbar's "Save" button (or, if you with to discard your changes, "Revert" instead).

You cannot edit the contents of a show - such as the sequences it uses - from the Schedule Editor. In order to do that, you need to use the Show Editor.

Deleting a Scheduled Show

No matter whether the weekly schedule or the calendar schedule is currently displayed, you can delete a scheduled show by clicking on that show in the schedule, and selecting "Delete" from the popup menu:

Deleting an existing show

Note that this does not actually delete the show - it only deletes it from the schedule. The show will still be available for editing with the Show Editor, or for scheduling at some other time.

Finally, remember to save your changes using the toolbar's "Save" button (or, if you with to discard your changes, "Revert" instead).


Simple Show Builder

Simple Show Builder is being replaced by LOR Hub, and this will be the LAST release that contains it.

You should use LOR Hub instead of Simple Show Builder.

The Light-O-Rama Simple Show Builder is an alternative to the Show Editor and the Schedule Editor, allowing you to create shows and to schedule them to be played at certain times. While the Simple Show Builder is easier to use, the Show Editor and the Schedule Editor are more flexible and powerful.

The Simple Show Builder progresses, step by step, through a few screens:

First, a "Welcome" screen is displayed, giving some brief instructions on what you will need to have ready in order to use the Simple Show Builder.

Next, you are given a choice of what type of device type you want to use for your show.

Then, you can select the sequences that you want to use for the show.

Next, you can pick the time or times that the show should run at.

If you chose to use an MP3 device, you will then be asked to insert your SD card into your SD card reader/writer, and to tell the Simple Show Builder when you have done so. Your show will then be downloaded to your SD card.

Otherwise, you will be presented with a final screen, showing some directions on how to enable the Show Player to run the show that you have just scheduled.

Welcome

The first screen in the Simple Show Builder shows a list of things that it would help to have ready before you use it. After you have these things ready, simply click "Next".

The Simple Show Builder's welcome screen

Choose the Device Type

The next screen in the Simple Show Builder allows you to select the type of device that you want to control your show. You can run it from your PC (using the Light-O-Rama Show Player), or any of a few types of Light-O-Rama MP3 devices. Choose the device you wish to use, and click "Next".

Select the device type that will control your show

Select Sequences

The Simple Show Builder will next ask you which sequences you wish to use in the show. On the left is a list of your existing musical sequences - either those with 16 channels, those with 32 channels, or all of your musical sequences, based on your choice of the radio buttons at the bottom (note: this is not really based on the number of channels; it is based on "16" or "32" being contaied in the sequence's filename).

Add a sequence to the show by highlighting it and then clicking the "Add" button; this will move the show from the left pane to the right pane, which is the list of sequences in your show. Similarly, remove one from your show by highlighting it and clicking "Remove".

The sequences will be played in the order that you list them, but you can change the order simply by clicking on the "Up" or "Down" arrow (on the right-hand side).

When you are satisfied with the sequences in your show and their order, continue by pressing the "Next" button.

Note that if any other than "Use a PC" is selected, only effects on channels that are set up to use the Regular Light-O-Rama network will be downloaded.

Note that only musical sequences can be scheduled using the Simple Show Builder. If you wish your show to have animation sequences, you must instead use the Show Editor and the Schedule Editor.

Select the sequences to be played in your show, and the order they will be played in

Choose the Times

The Simple Show Builder will then ask you to select the times at which you want your show to run. You can have different times for up to two different sets of days of the week. You can select any days you want to be in either set, but typically this is used to have your show played during different times on weekdays and weekends. Note that "weekends" here might mean "Friday and Saturday", rather than "Saturday and Sunday", since your show will probably be playing while it's dark out, and so "weekend" is really "the night before a weekend day". In fact, this is how the Simple Show Builder operates by default, but again, you can change this however you want.

After selecting the days of the week, select the start and end times for each.

Next, choose whether you want the show to run continuously, or once every hour or every half hour. If you select "continuously", then after all of its sequences have been played, the show will automatically start over with the first sequence; this will continue until the end time is reached. If, instead, you select "once every hour" or "once every half hour", the show will stop after its last sequence, and start again once every hour (or half hour), until its end time is reached.

When you are satisfied with the scheduled times, click "Next".

Select the times that you want the show to run at

Download to the SD Card

If you had asked the Simple Show Builder to control your show via a Light-O-Rama MP3 device, rather than via the Show Player on your computer, you will then be prompted to insert your SD card in your SD reader/writer. When you have done so, click the large "CLICK HERE to write the SD card" button, and wait for confirmation that your show has been written to the SD card.

The Simple Show Builder is then complete; simply move your SD card to the Light-O-Rama MP3 device, and the sequences that you selected will play at the times that you selected.

Download the show to your SD card

Finished

If you had asked the Simple Show Builder to control your show via the Show Player on your computer, rather than via a Light-O-Rama MP3 device, you will be presented with a final screen giving directions on how to enable the Show Player. After you have read and understood them, simply click "Finish", and your show will be scheduled.

Final directions from the Simple Show Builder


Show Player

The Light-O-Rama Show Player is a program that runs behind the scenes, monitoring your schedule to see if a show should be playing at the current time, and if so, playing it.

To make sure that the Show Player is running, and therefore that your scheduled shows will be played, you first must ensure that the Light-O-Rama Control Panel is running. Next, right-click on the Light-O-Rama Control Panel's icon in your computer's system tray, and select "Enable Schedule" from the popup menu. If "Enable Shows" is greyed out, that means that it is already selected.

The Light-O-Rama Control Panel, with shows enabled

If the Light-O-Rama Control Panel is not running, or if "Disable Shows" is greyed out, your scheduled shows will not be played.

Note that only one source can control your lights at any time - either the Show Player, the Sequence Editor, or the Hardware Utility. So, if you try to enable the Show Player with one of the others running, you may be shown a message saying that you need to shut down the others before "Enable Shows" will work.


Network Configuration

Light-O-Rama software running on a computer can control several different types of hardware devices via several different methods. In most cases, the devices are connected to the computer via a serial port (if your computer does not have any available serial ports, adapters such as the USB-RS485 are available from Light-O-Rama). Light-O-Rama also supports E1.31/ACN, which allows for control of various devices via Ethernet and a gateway device, and various other types of hardware.

Typically, Light-O-Rama controllers are on up to sixteen different serial ports - that is, sixteen different "networks". In many cases, a Light-O-Rama user will use only a single network -- that is, a single serial port -- for all of his or her controllers: the "Regular" network. Should additional networks be needed, fifteen auxiliary networks ("Aux A", "Aux B", and so on, up to "Aux O") are also available, each of which would be controlled via a different serial port.

The Light-O-Rama Network Preferences program allows you to configure all of these Light-O-Rama networks, as well as configure various other communications networks such as DMX universes and X10.

The Network Preferences program has two operating modes: "Simple" and "Advanced". Most users will only need the Simple mode. The Advanced mode is only needed by users who have more than sixteen DMX networks, or users who have E1.31 devices. To change between modes, use the button on the right side marked "Simple" or "Advanced".

The Network Preferences program is also used to configure Light-O-Rama E1.31 devices, like the PixCon16.

· Simple Mode

· Advanced Mode

The Light-O-Rama Network Preferences program


Configuring LOR E131 Devices

E1.31 devices, like the PixCon16, are usually used for high channel density configurations. For example, a fully populated PixCon16 can control over 10,000 channels across 20 DMX universes. Using just a few of these controllers can quickly saturate a Local Area Network (LAN). Improperly configured networks can also generate additional traffic. Unlike the traditional LOR network of controllers which are run on a serial port, using E1.31 devices may require advanced knowledge of TCP/IP routing and configuration.

E1.31 devices may also negatively impact an existing LAN with the additional traffic. Light-O-Rama recommends that you run E1.31 devices on a separate physical network from your home or office LAN. If you are knowledgeable in TCP/IP and/or Ethernet devices, you may be able to successfully run your existing devices and the new E1.31 devices by segregating your network, running multiple adapter cards, etc. How to successfully do that however is beyond the scope of this documentation.


E131 Device List

The E1.31 device list will show all detected LOR E1.31 devices found on the network. The E1.31 devices should be powered up before accessing the list. If there are any missing devices, be sure they are powered up and press the 'Search Again' button.

Under some circumstances, the program may not be able to detect all the controllers connected to your LAN. This can be due to multiple issues since the routing and configuration of TCP/IP can be tricky:

§Most Importantly: Please select the correct network adapter at the top of the window. You must select the network adapter that is directly connected to the same network the PixCon16 is connected to.

§Typically if a previously found device can no longer be found, it may simply have missed the command for it to report in. Pressing 'Search Again' will usually find the missing controller. It could also be that the network is currently saturated with lighting commands. You may want to stop any running show before attempting to configure an E1.31 device.

§If this is the first time you are configuring a board, or if you changed the configuration of your network, the device may no longer be on an IP that you are expecting. In that case, you may want to reset the board to factory specifications. This will then place the board into 'DHCP' mode where it will request an IP from your network. This requested IP should then be able to be found with the program. Please note that resetting the board will clear all of your configuration information, and you will need to re-configure the board.

§Your board may also be in a state which is preventing it from booting up properly. If that is the case, you will need to place the board into boot-loader mode using the switch. The boot-loader mode will force the board to the IP address of 192.168.0.50. Please see the hardware manual for the board for more information about boot-loader mode.

The E1.31 device list shows the current IP address of the board, the board's type, as well as its user assigned name and MAC address to help you identify the actual physical hardware.

When you click a row in the E1.31 device list, you will be brought to the configuration screens for that particular board. Remember, boards that are shown in red can not be configured, and those in blue must first have firmware loaded to them.

Depending on the status of a particular E1.31 device, the list will be shown in one of 3 background colors:

§Red: Devices listed in RED can not be configured. Either these devices are not manufactured by LOR, or are at a firmware level that is not supported by the software.

§Blue: Controllers listed in blue are currently in 'boot-loader' mode. That is, they are awaiting firmware to be sent to them. Clicking on a blue device will bring you to a screen that will allow you to update the firmware.

§White: Any controller listed in White is operating normally and ready to be configured. Clicking on a row in white will bring up one or more screens allowing you to configure the device.

The LOR E1.31 device list


IP Troubleshooter

The E131 Device List will show all LOR E1.31 devices that can be found on the local network. However those devices could be at IP addresses that can not be directly configured from the computer you are attempting to use due to with how TCP/IP packets are routed. More information on routing and setup can be found in our "An Introduction to DMX and E1.31 for Pixel Control" document found on the LOR Website.

If you click on a board whose configuration can not be loaded, you will be offered the opportunity to run the IP Troubleshooter. This troubleshooter will look at the configuration of your E131 device as well as the network configuration of your computer and attempt to resolve the issue.

You may need to run the troubleshooter multiple times as it may need to configure several different parameters.

The following messages can be generated by the Troubleshooter:

·This is not an LOR PixCon16 device. Please contact the board manufacturer.
This device while presented in the list of devices is not manufactured or supported by LOR. You will need to contact the manufacturer of the device for more information.

·This device needs to have firmware loaded. Please follow the device 's instructions on how to update firmware.
The device is currently awaiting a firmware load. IP Settings can not be changed while the board is waiting for new firmware. Power the board off then back on and see if it boots normally, then try again.

·This version of the software does not know how to handle a device with this firmware version. You most likely need to update your LOR Software.
The Light-O-Rama Showtime Software suite in use is too old. This is most likely because the firmware on the device is newer than what the software can understand. You will need to either downgrade the firmware, or install the latest version of Showtime. Installing the latest version of Showtime may require a license renewal.

·This troubleshooter will allow you to configure the board when directly connected to the computer. However if you plan on using E1.31 and later move this board to a network with a router/switch it may no longer be able to communicate. You should connect the board and the computer in the configuration you will run shows in, then run the troubleshooter.
You said that you are directly connected to the board instead of connected through a switch or router. If you intend on running in this configuration, OR if you intend on eventually running the board in ELOR mode, you can ignore this message completely. If however you intend to use the board on a network with other computers and/or E131 devices, you should connect them in the configuration you intend on running them in.

·Your computer is using Dynamic IP addresses. Have you tried setting the board to run a Dynamic Address as well?
The Troubleshooter has determined that your computer is using a DHCP address, and that your board should be using one as well. Answering NO will force the board to use a DHCP address. Answering YES will continue the troubleshooter. You should initially allow the troubleshooter to set the dynamic IP by answering NO.

·Troubleshooter 1-Force DHCP failed.
You indicated that you wanted to use a dynamic IP address, however while attempting to set that parameter something went wrong. Run the Troubleshooter again, and if you get the same error, please contact support and include the error message.

·Setting the board to Dynamic should have fixed the issue. Are you sure you selected the correct adapter? Many computers have multiple adapters which can all have different IP addresses.
You indicated that you previously set the board to use a dynamic IP address, and that should have fixed the error. However the computer is still not able to communicate with the board. This could be that you selected a network adapter in the drop down that is not connected to the device. Be sure you have selected the correct adapter.

·Have you rebooted your entire network? If not shut down and power off ANY device that is connected to your LAN (Computers including this one, Lighting Controllers, Hubs/Switches/Routers, TVs and Media Players,etc). Reboot your router, and then turn your network devices back on.
You indicated that you have in fact selected the correct adapter. The Troubleshooter now wants you to reboot your entire network (LAN). That includes ALL devices that are attached to the LAN including devices that are not lighting controllers.

·As a last resort, would you like to try to set a static IP address?
You indicated that you rebooted the entire network but are still unable to communicate with the board. The troubleshooter can attempt to set a Static IP address to see if that will help.

·Troubleshooter 2-Force DHCP negative.
The reboot failed, and you indicated you did not want to force a static IP. This will prevent the board from being able to be configured.

·Your adapter is using a Static IP address. Your board should probably be using one as well. We can force a new IP onto the board which may fix the issue.
Your computer appears to be using a static IP address, so your device should be as well. The troubleshooter would like to know if you want to proceed to try a static IP address.

·Troubleshooter 3-User did not force Static.
You did not want to attempt to set a static IP. This will prevent the board from being able to be configured.

·We will now try to set the board to use IP address: [xxx.xxx.xxx.xxx]. We have tested this address and it appears to not be in use on your network, HOWEVER another device on your network that is not currently powered may attempt to use this same address in the future. You should ensure that this address is not in use on any other device.
The Troubleshooter has determined that the computer is using a static IP address, and the device should be as well. The suggested IP address should work and allow the device to be configured. The troubleshooter checked to see if the address was already in use on your network and it appears to be unused. However, another device that is currently powered off may attempt to use the same address in the future. You should ensure that the suggested address is not in use anywhere else. If it is, you can temporarily use it to gain access to the device. You must then change the IP to a known unique one.

·Troubleshooter 4-Force IP failed.
You indicated that you wanted to use this IP address, however while attempting to set that parameter something went wrong. Run the Troubleshooter again, and if you get the same error, please contact support and include the error message.


PixCon16 Configuration

The LOR PixCon16 is configured from this screen. No configuration changes are sent to the PIxcon16 until you select either the OK or Apply button. Should you exit the screen without pressing these buttons, all changes are lost.

The configuration screens are designed to handle multiple different firmware revisions. If an option is disabled, it may be that the firmware on the board needs to be update to a more recent version. This can be done on the Misc tab.

· Dual Modes (E1.31/LOR Enhanced)

· Network Configuration

· Pixel Port Setup

o Simple Mode

o Advanced Mode

· Misc settings

· Automatic configuration of Network Preferences for DMX/E1.31

Dual Modes (E1.31/LOR Enhanced)

The PixCon16 is a little different than other Light O Rama controllers when it comes to configuration and use. All configuration of the board is done while it is connected to a standard LAN. The PixCon16 can not be configured via the LOR RS485 mode. The PixCon16 however can run in either E1.31 mode (via an Ethernet network), or as an LOR device on an LOR ENHANCED network at 500K. If you would like to use the PixCon16 as an LOR device, be sure to select 'LOR Mode', explained below.

Network Configuration (Tab 1)

Network Configuration tab of the PixCon16 configuration

The first tab of the Pixcon 16 configuration screen allows you to change the name of the board (can be accessed on all tabs), various network IP settings, as well as the Auxiliary DMX ports available on the board. There is also a section that allows the board to be put into test mode.

You should set the name of the board to something meaningful to you. For example, if this particular controller is used for a tree, you may want to name it 'Pixel Mega Tree' or the like.

The IP address section allows you to change if the board is to use a Static or a Dynamic IP address. If you are familiar with IP addressing, it is recommended that you use a static address. Using a Dynamic (DHCP) IP address is best if you will eventually run in LOR mode.

To set a static address, select static and then type in the IPV4 address you would like for the board, as well as the Subnet Mask. The address should be in the same range as the computer you are currently using to configure the board. The subnet mask should match the computer's as well. If you change the address to one that is not within the range of your local LAN, the board may 'disappear'. In that case you should reset the board to factory settings, search again for the board, and attempt to reconfigure it again.

Mode of Operation: The PixCon16 can be run in 2 different modes -> As an E1.31 controller on an Ethernet network, or as an LOR device on an LOR RS485 network. To run the board as an LOR device, select the check box labeled 'J3/J4 (DMX #1) are LOR RS485 Network IN/OUT, not DMX [use board in LOR mode]'. Be sure to also move the jumpers on the board from the ESTA side to the LOR side near J4.

The Auxiliary DMX Ports section allows you to enable/disable the 4 DMX ports available on the board, as well as assign the universe each will control. These ports act as a bridge between E1.31 and a DMX universe. By using one or more of these ports, you can eliminate the use of one or more USB DMX adapters. These ports are not active when using the board in LOR mode.

The Test Mode section allows you to put your PixCon16 into test mode. This is the same mode that is described in the PixCon16 hardware manual, except when run from the PixCon16 configuration program, a new test that allows for a custom color can also be used. This mode is not available with the hardware buttons.

Pixel Port Setup (Tab 2)

This tab allows you to set up how the 16 pixel ports behave on your Pixcon 16. For most users, simple mode should suffice. However there is an Advanced mode that allows for more control.

Pixel Type: The Pixcon 16 can support multiple different pixel chip-sets, depending on the firmware loaded to the board. Select your pixel's chip-set here. Most LOR pixels use the WS2801 chip-set.

High Speed: Some pixel chip-sets have a low and high speed. If your chip-sets supports high speed, check the box.

Loss of Heartbeat: Typically when a DMX device looses the DMX signal, it will reset to a known state (usually OFF). If you check this box however, the PixCon16 will continue sending the last known DMX data to each port/universe. This will basically 'freeze' all the pixels/devices into the last state they heard.

There are 2 modes available for setting up the pixel ports of a PixCon16, simple and advanced. For most users simple is all that will be needed, however for more complex configuration options please use the advanced mode. Please keep in mind that Simple Mode and Advanced Mode update separate parameters on the board and are mutually exclusive. That means if you switch from easy mode to advanced mode, (or vice versa) some or ALL of your changes may be lost.

Simple Mode Setup:

Pixel Port Setup in Simple Configuration mode

Pack Pixels Tightly

Notes about addressing using the Pixcon 16 in simple mode:

The pixel ports on the PixCon16 can be automatically configured using two different schemes, either 'Unpacked' or 'Pack Tightly'.

Unpacked is self explanatory. Each port will be assigned a sequential Universe/Unit ID, starting with the Universe/UID specified for port 1, and continuing for all 16 ports. This mode may be most familiar to those people who have used Cosmic Color controllers previously. For example, the Cosmic Color Bulb or Cosmic Color Pixel controller can be configured in 'Dual Normal' mode. That means string 1 is controlled with the UnitID specified, and string 2 is controller with the next higher unit ID. In the 'One ID per Port' mode, each string will have a sequential Unit ID number based on the first ports Unit ID.

The PIxcon16 can also minimize the number of universes/unit IDs and channels/circuits required to run your RGB nodes. This mode is called 'Pack Tightly' or 'Packed Pixels'. In the typical configuration, each port on the PixCon16 will have 50 pixels, and the starting channel for the board would be 1. That would mean that port 1 consumes 150 channels from 1-150, port 2 would be 151-300, port 3 would be 301-450, all on the same starting universe. At port 4, the PixCon16 will continue to assign FULL pixels until it runs out of channels. In this case it will assign 20 pixels (Channels 451-510). While there are 2 channels left (511 and 512), that is not enough for a FULL pixel. The PixCon16 will then assume that the next pixel will start with channel 1 on the NEXT universe. It will assign 30 more pixels (since there are 50 on a string), and end with channel 90 on that next universe. Addressing like this will continue for the entire board if desired. If you wish to use a different scheme, please use the advanced mode.

These addressing notes apply to using the board in both LOR mode and E1.31 DMX mode.

Notes about addressing using the Pixcon 16 in advanced mode:

In the advanced mode, you are responsible for all addressing and ensuring that addresses do not overlap, etc. There are several options that are available when editing a port to set the addresses or parameters of other ports.

Maximum 170/340 pixels per port:The PixCon16 can support up to 340 pixels per port in DMX (not LOR) mode. If you are going to use more than 170 pixels per port, please change this setting to 340. Note that you can set the pixels per port to 340 even if you are using LESS than 170 pixels. Doing so will change how the ports are addressed, so care must be taken to ensure that you have the correct settings.

Starting Universe/Unit ID of Board: Select the universe that this board should start at. The first pixel port will be this address, and then each higher universe will be incremented from this value, depending on the addressing mode selected. If you did not select 'Packed Tightly' then each port will get one or two IDs depending on the max 170/340 selection. If you selected 'Packed Pixels' the Unit/Universe will be dependent on the starting channel as well as the number of pixels. For example, setting the starting universe to 5 (with 170 pixels on a port, starting channel 1) means that port 1 will be universe 5, port 2 will be universe 6, all the way up to port 16 which will be universe 20 when using 170 pixels per port.

Number of Nodes (Pixels) per port: This is the number of physical pixels that are attached to each physical port on the board.

Triplet Order: If the strings that you are using are not in RGB order, you can change it here. In general most strings are RGB and you should not need to change this.

Port Table: The Port Table will be updated each time you make a change showing how each physical port will be configured. In simple mode, this table is read only.

Advanced Mode Setup:

Pixel Port Setup in Advanced Configuration mode

The table shows the settings of each port of the PixCon16. Scroll the list down to see higher ports, and scroll the list to the right to see additional settings. Clicking on a port will bring up the advanced port configuration screen for that port.

Misc (Tab 3)

The miscellaneous tab allows you to update the firmware on the board, change the color curves, and set up the aux power port to power a fan or other cooling device.

Misc PixCon16 settings

Firmware Update:

To update the firmware, press the Update Firmware button. You will then be asked for the location of an LOR PixCon16 Firmware File. To ensure you have the latest firmware available, please check the Light-O-Rama website and download the latest available.

Once you have selected the correct file, the firmware update process will start. The process is typically safe to perform, however we recommend that you do not update firmware unless you are addressing a known problem, or need to add some new functionality that a new firmware offers.

When updating the firmware of a PixCon16, the power and status lights will flash on/off in different patterns. Please do not power off the board while the update is in progress. If you are unsure if the update was applied properly or not, wait a few minutes and then observe the power and status lights. This will give the board enough time to reboot and stabilize. Also, pay attention to any instructions that may be shown on your screen.

Should the update process fail, the board could be in one of several states after the failure:

·If the status light is blinking and the power light is solid, this typically means the update was successful. However, it could also mean the board did not receive or it did not properly start the update process.

·If the power and status lights are alternating, then the board is currently in the boot-loader mode.

·If the power light is ON but the status light is OFF there was a problem with the firmware update.

In all cases after allowing the board to sit for a few minutes, power it off then back on. The board should return to normal operation at that time. If not, please refer to the hardware manual of the PixCon16 for additional troubleshooting information.

The PixCon16 will only operate and be able to be updated by Light-O-Rama signed firmware. No other companies firmware can be used on the board.

Automatic Network Configuration

When saving the configuration of a PixCon16, the program can also optionally create all of the entries needed in the DMX Configuration of Network Preferences using Multi-Cast settings. However you may have already set up proper parameters for this board and don't want to be bothered again. This setting is saved with the board.

Color Correction ('Color Curving')

These sliders allow you to adjust the relative amount of power supplied to each channel of a triplet attached to the 16 pixel ports of the board. Color Correction is typically used so that pixels attached to this board can be adjusted to more closely match pixels on other boards. Please note that this setting is for the entire board and not per port. Use the sliders to increase or decrease the amount of 'color' for each component.

Fan Percentage

A fully populated PixCon16 can draw a significant amount of power and needs to be properly cooled. To help with this, the Pixcon 16 can automatically regulate power to the accessory power connector based on the temperature the board is currently sensing. The slider here will control when the power is at 100% based at what the current temperature is. You should consider the amount of load on your PixCon16 as well as the typical ambient temperature of your installation.

Automatic configuration of network preferences for DMX/E1.31

When you press the OK button and have configured the PixCon16 to use DMX/E1.31 you will be asked if you would like to automatically create the necessary Network Preferences entries. If you select yes, the program will automatically determine all of the universes that this board will use and then create the correct multi-cast entries in the DMX tab of LOR Network Preferences. The system will warn you if there are already conflicting settings present and allow you to opt-out of the changes.

The program will only create Multicast entries for the universes in use. If you would rather use the boards Unicast address, you will need to edit the entries created and specify the static IP address of the board. If you are not an expert in IP addressing, you may wish to leave the boards in multicast mode.


Advanced Port Configuration

The Advanced Port Configuration screen allows you to change many parameters on a port-by-port basis.

Advanced Port Configuration

Starting Universe of Port, Number of Nodes (Pixels), and Triplet Channel Order work nearly the same as they do on the simple configuration with the exception that they only affect the selected port, not the whole board.

Starting Channel of Port: Setting this allows for a port to start at a channel other than 1. Please note that it is best to leave the starting channel for a port at 1 to reduce confusion.

Number of Null Pixels: Most pixel strings have a limit on the length of wire between any 2 pixels. This is because each pixel 'regenerates' the signal for the next pixel in line. However, there may be instances where the distance to your first pixel exceeds this length. In this case, null pixels can be used between the board and the first 'real' pixel on the string. The only thing these NULL pixels do is re-generate the signal. They do not consume any channels or light up. Select the number of those null pixels here.

Number of Zig-Zags: For some uses, it is much more efficient to continue to use pixels in reverse order. For example, you may create a left-to-right matrix that is 10 pixels wide by 17 pixels tall. The first row of pixels would be 1-10 from left to right. However, the most efficient way to build the next line is from right to left. Doing that will put pixel 11 under pixel 10, not on the left side as expected. Selecting the number of Zig Zags allows the Pixcon 16 to internally re-map those pixels so while physically it may be pixel 20 that is on the left, numerically it is #11.

Group: If you like, you can group one or more nodes into a single pixel. For example, if you set the group to 2, then every 2 nodes will act identically.

Max Intensity: DMX uses values of 0-255 to set an intensity. Setting a channel to 255 will tell the light to turn on at 100%. This field however lets you limit that at the port level. For example, perhaps the pixels attached to this port are brighter than your other pixels. You can adjust the Max Intensity of this port lower so that it more correctly matches the other pixels.

Reversed Node Order: Typically, the lowest number pixel is the closest to the controller. Selecting this option reverses that. When selected the HIGHEST pixel is now closest to the controller.

Quickly Configuring other ports:

There are two options available when updating the port to quickly update other ports on the same board. If neither option is selected than only this particular port will be updated when you press OK. If you select one or both, the following will occur:

·Checking 'Set Port Parameters...' and pressing OK will set all 16 ports to the same values as specified in the 'Port Parameters' - that is all ports will be updated with these parms but not any addresses.

·Checking 'Automatically compute Addresses...' and pressing ok will set this port to the address parameters specified, and then compute the correct addresses for all FOLLOWING ports, using the parameters here along with the number of nodes and if you are using 'Packed Pixels'. The 'Notes about Addressing the Pixcon 16' section has more information on how addressing will happen with this option.


Simple Mode

Most Light-O-Rama users will only need the Simple mode of the Network Preferences program. Simple mode allows for the configuration of all sixteen Light-O-Rama networks, sixteen DMX universes that use adapters (rather than E1.31), the X10 network, the Dasher network, and various options.

Please note that if at any time you see a row or setting with a yellow background, that indicates that the network or universe uses advanced settings, and can only be modified using the Advanced mode. If you attempt to change something that uses an advanced setting here, you will be reminded to switch to Advanced mode.

Simple mode has several different tabs:

· The LOR tab

· The DMX tab

· The Misc tab

· Find/Configure LOR PixCon16 Devices

Simple mode of the Light-O-Rama Network Preferences program


The LOR Tab

The LOR tab of Simple mode of the Light-O-Rama Network Preference program enables you to specify up to sixteen different networks for Light-O-Rama controllers, each using a different serial port. The communications speed of each network can be set independently. Many users will only ever require a single network, referred to as the "Regular Network". You can quickly configure the Regular network using the two dropdown boxes: Port and Speed.

The LOR tab, showing only the Regular network

If you need to configure additional networks (referred to as "auxiliary networks" or "Aux networks"), expand the second section (entitled "More (Aux Networks)"). Here you will be presented a list of all available auxiliary networks:

The Aux networks

Clicking on any row in the list of auxiliary networks will bring up a dialog box allowing you to set the port and speed for that particular network:

The Aux network configuration dialog

If you need to set a network up to be an enhanced network, use Advanced Mode (by clicking on the "Advanced" button).

Serial Ports ("Port")

In the dropdown box for each Light-O-Rama network that you wish to configure, chose the serial port that you wish to use for that network. Make sure that they do not conflict with each other, or with the Dasher port, X10 port, or DMX adapters.

If you do not want to use all possible networks, you can simply set the adapters for some of them to "(None)". Using only a single Light-O-Rama network is perfectly sufficient for the needs of many users.

Connection Speed ("Speed")

Light-O-Rama can communicate with Light-O-Rama controllers using various communication speeds. These speeds can be set independently for each Light-O-Rama network:

·If you do not have extraordinary needs, "57.6K (Recommended)" is suggested.

·If you have controllers that are hooked up to your computer using a very long or poor quality communications cable, you may need to set the speed to "19.2K (Slowest)".

·If you have many circuits with very fast action, you may need to set the speed to "115.4K", or even "500K (Fastest)". Note that these settings are not supported if you are using Light-O-Rama Easy Light Linkers for wireless communications, and that 500K is currently supported only on G3 controllers, Cosmic Color Ribbons, Cosmic Color Bulbs, Cosmic Color Pixels, and the Pixcon 16. You may also have to upgrade your firmware to use 500K.

·If this network ONLY contains Pixcon 16 controllers running on en Enhanced LOR Network, you may select 1000K. 1000K speed can be selected in 'Advanced' mode.

Comments

Use the comment field as you see fit for notes/etc.


The DMX Tab

The DMX tab of the Simple mode of the Light-O-Rama Network Preferences program can be used to specify up to sixteen different DMX universes, each using a separate adapter (to configure more universes, or universes that use E1.31 instead of adapters, you will need to use Advanced mode instead of Simple mode). The protocol used for each universe can be individually specified as well. Many users will not use DMX, and many of those who do will only require a single DMX universe (typically universe 1), and so by default only universe 1 is shown:

The DMX tab, showing only universe 1.

To configure additional universes (numbers 2 through 16), expand the "More (Additional Universes)" section of the tab:

The DMX tab, showing additional universes

For each universe, the Network Preferences program presents a dropdown list of adapters available on the system. Note that the Network Preferences program cannot detect adapters that are currently in use. For example, if you have an LOR USB485 adapter that is currently assigned to an LOR network, and you wish to asign it to a DMX universe instead, you will first need to unassign it from the LOR network before it can be reassigned for the DMX universe. Furthermore, you may need to stop and restart the Sequence Editor, Hardware Utility, and/or Show Player before the device will be shown in the Adapter dropdown box.

A row that is highlighted in yellow (such as universe 3's row in the picture above) indicates that the universe is currently configured with advanced settings, and can only be changed using Advanced mode. Clicking on any other universe's row will bring up a dialog box enabling you to set the adapter and protocol. You can also set the DMX listener port by expanding the third section of the tab (labeled "Listener Port").

DMX Adapter ("Adapter")

Each DMX universe (other than those that use E1.31, which are configured using Advanced mode) must be assigned to a DMX adapter, such as the LOR USB485 or the ENTTEC Open DMX USB adapter. Each adapter can be assigned to only one universe. If you are attempting to reassign an adapter, you may need to stop and restart various programs in the LOR suite. See earlier on this page for details.

Note that there are different types of DMX protocols that can be used. Please be sure to select the correct protocol for your adapter.

DMX Protocol ("Protocol")

Different DMX adapters use different protocols. You must specify the correct protocol for the DMX adapter you wish to use:

Adapter Type | Protocol
DMXKing UltraDMX Micro | ENTTEC DMX USB Pro
DMXKing UltraDMX RDM Pro | ENTTEC DMX USB Pro
ENTTEC DMX USB Pro | ENTTEC DMX USB Pro
ENTTEC Open DMX USB* *: Some old ENTTEC Open devices, built in approximately 2008 or earlier, may not be supported | Raw DMX
LOR USB485 | Raw DMX
LOR USB485B | Raw DMX
LOR USB485-ISO | Raw DMX
Lynx | Lynx

Other types of adapters may or may not work with LOR software. If they do, you may need to experiment to find the correct protocol to use.

DMX Listener Port ("Listener Port")

This section can be used to configure the port that the LOR Comm Listener will listen on for lighting commands to be sent to DMX devices. The default port of 8837 should work for nearly all users, but can be changed here if needed.

If you set the port to 0, the Comm Listener will be disabled, and lighting commands will not be sent to your DMX devices.

Comments

Use the comment field as you see fit for notes/etc.


The Misc Tab

The Misc tab of the Simple mode of the Light-O-Rama Network Preferences program enables you to configure a Dasher network and/or an X10 network, along with general communications options. Most Light-O-Rama users will not have need for this tab.

The X10/Dasher tab

X10 Port

If you are using any X10 controllers, they must be hooked up to your computer using their own exclusive serial port, and that port should be specified here.

Make sure that the selected port does not conflict with any Light-O-Rama networks, the Dasher port, or any DMX universes.

If you are not using X10 controllers, set this port to "(None)".

Dasher Port

If you are using any Dasher controllers, they must be hooked up to your computer using their own exclusive serial port, and that port should be specified here.

Make sure that the selected port does not conflict with any Light-O-Rama networks, the X10 port, or any DMX universes.

If you are not using Dasher controllers, set this port to "(None)".

List Networks in Channel Configuration

Although Light-O-Rama supports up to sixteen separate networks of Light-O-Rama controllers, the needs of many users will be adequately met with a single network. If this is the case for you, you may wish to turn off this checkbox. Doing so will simplify using the Sequence Editor by disabling various dropdown boxes which allow you to assign a network to a channel (such as on the Channel Configuration screen or the Channel Settings dialog). Instead, the Regular network will automatically be used.

Use Compatibility Mode for Old MC-P Channel Controllers

If you are using Light-O-Rama MC-P controllers purchased prior to November 15, 2003, they you should enable Old MC-P compatibility mode by checking this box. If you do not check this box, then you will see odd behavior on circuits 9 through 16 of such controllers.

Old MC-P compatibility mode only affects controllers on the Regular LOR network; those on Aux networks are unaffected. Therefore, make sure to put all such controllers on your Regular network.

NOTE: Enabling Old MC-P compatibility mode may have a significant effect on communications speed for the regular network. It is therefore strongly recommended that you do not enable it without reason, and that if you do enable it, you should consider moving any other Light-O-Rama controllers (which do not need Old MC-P compatibility mode) off of the Regular network, and onto one or more auxiliary networks.


Advanced Mode

Most users' network configuration settings can be handled using the Simple mode of the Network Preferences program. However, for certain types of configuration, the Advanced mode is required. These types include having more than sixteen DMX universes, and having DMX universes that use E1.31 instead of adapters. The Advanced mode also supports all of the same options that Simple mode does, so even if you do not need any advanced configuration options, you may still find that you prefer to use Advanced mode.

If at any time you are in Simple mode and see a device or port that is shown in yellow, that means that it is currently using advanced configuration options and can only be modified from Advanced mode.

Advanced mode has several different tabs and options:

· The LOR tab

· The DMX tab

· The Misc tab

· Find/Configure LOR PixCon16 Devices

Advanced Network Preferences with Find/Configure LOR E1.31 devices button.


Export/Import

The Advanced and Pro versions of the software can export/import your entire network configuration to a file. This is useful if you would like to have multiple different configurations available, or if you use the software on multiple machines and want to move the configuration between them.

The Import/Export function works on ALL the parameters that can be changed in the Network Configuration program. This includes not only actual network configurations, but also things like X10 and Dasher networks, MCP Compatibility mode, etc.

Please be careful when importing a network configuration from another computer. While the hardware and software give a best-effort to configure themselves the same way across physical machines, that is not guaranteed. This is especially true of COM port settings, and IP addresses. After importing a configuration, you should always check all values to ensure they are correct.

To export your configuration, press the Export button and give the file a name. The exported files are normally saved in the LOR Data path under "Network\SavedConfigurations". An exported file will have the .LNP extension.

To import a configuration, press the Import button and select the configuration to import.


The LOR Tab

The LOR tab of the Advanced mode of the Light-O-Rama Network Preferences program presents a list of all sixteen available Light-O-Rama networks, including the Regular network and all of the auxiliary networks (Aux A through Aux O):

The LOR tab in Advanced mode

Clicking on any row will bring up a dialog box allowing you to set the port and speed for that particular network, as well as choosing whether or not the network should be an enhanced network:

Configuration for an LOR network

Please refer to the Simple mode's documentation for further details on port, speed, and comments.


The DMX Tab

The DMX tab of the Advanced mode of the Light-O-Rama Network Preferences program can be used to configure up to 999 separate DMX universes, each using a separate adapter or E1.31 address (although please note that the software and your computer may not be able to adequately drive nearly that many universes simultaneously). For DMX universes that use an adapter, the adapter and the protocol used on each can be specified; for those using E1.31, the remote IP address and port can be specified. You can also use this tab to specify the COMM listener port.

Note that the DMX tab can also be used in Simple mode, but Advanced mode is required to configure universes beyond number 16, and also to configure E1.31 universes.

The DMX tab in advanced mode

To configure a particular universe, click on its row in the list. You will then be presented with the Advanced DMX Universe Configuration dialog, which has two main options - "Use Adapter" and "Use E1.31":

The Advanced DMX Universe Configuration dialog

Use Adapter

If you select "Use Adapter", you will then be able to choose the adapter to use for the universe and the protocol that the adapter uses. Please refer to Simple mode's documentation on adapters and protocols for details.

Use E1.31

If you choose "Use E1.31", you will then be able to select the IP configuration for the universe to use, by specifying the IP address and port that the E1.31-to-DMX gateway devices are listening on.

Please note that E1.31 configurations can be complex, and may require a firm grasp of networking, network topologies, and addressing. Such topics are beyond the scope of this document.

IP Address

Here, you must select the type of IP address you wish to use for this universe:

·Multicast: Selecting this option will cause the universe to use multicast mode, allowing lighting commands for the universe to be received by multiple E1.31-to-DMX gateway devices. The actual IP address that will be used depends upon the universe number, in the manner described by the E1.31 standard. For example, universe 37 will use IP address 239.255.0.37, while universe 650 will use IP address 239.255.2.138.

·Specify: Selecting this option will cause the universe to use unicast mode, and lighting commands for the universe will be received by a single specifc E1.31-to-DMX gateway device, using the IP address that you specify.

·Local: This option will cause the universe to send lighting commands to the computer itself, using the local loopback address (127.0.0.1).

Port

The IP port that the remote device or devices will listen on for lighting commands should be specified here. In most cases, the default value (5568) should be appropriate.

This should not be confused with the DMX Listener port.

Total Universes to Set

If you would like to set any following ports to these same parameters, simply change the value here to the total number of Universes you would like. The universe being edited along with as many additional universes following this one will have the identical settings created.

COMM Listener Port

This section can be used to configure the IP port that the Light-O-Rama Comm Listener listens on for lighting commands to be delivered over DMX networks. Please refer to the COMM Listener Port section of the Simple mode documentation for details.

Comments

Use the comment field as you see fit for notes/etc.


The Misc Tab

The Misc tab of the Advanced mode of the Light-O-Rama Network Preferences program allows you to configure an X10 network and/or a Dasher network, or change various communications options. It is equivalent to the Misc tab of Simple mode; please refer to that documentation for details.


Comm Listener

The LOR Comm Listener is a program that runs in the background, allowing other programs (such as the Sequence Editor and the Show Player) to control LOR devices that are on LOR Enhanced networks, and also to control DMX devices. The Comm Listener must be running in order for those programs to control such devices.

The LOR Comm Listener is automatically started when the LOR Control Panel is started, unless the license level does not support it or if no Listener port is specified in Network Preferences. Also, it is automatically shut down when the LOR Control Panel is shut down. So, to make sure that you can control your LOR Enhanced devices and DMX devices, make sure that the LOR Control Panel is running.


Hardware Utility

The Light-O-Rama Hardware Utility is used to manage the hardware that you use to control your lights. This includes several types of controllers as well as other devices such as Light-O-Rama MP3 Directors and Light-O-Rama wireless devices.

Each of these types has a different tab in the Hardware Utility. When you start the Hardware Utility, the tab for Light-O-Rama controllers is displayed; to access one of the others, simply click its tab.

For details on each, please refer to the following sections:

· Light-O-Rama Controllers

· Selecting a Comm Port

· Setting Unit IDs

· Configuring Units

· Testing Units

· Downloading Sequences

· Firmware Update

· Light-O-Rama MP3 Directors

· Light-O-Rama Wireless Devices

· Digital IO Boards

· X10 Controllers

· Test Console

To run the Hardware Utility, select it from your computer's Start menu (Start / Light-O-Rama / Hardware Utility) or, if the Light-O-Rama Control Panel is currently running, right-click on its icon in your computer's system tray and select "Hardware Utility" from the popup menu.

The Hardware Utility's tab for Light-O-Rama controllers


Light-O-Rama Controllers

The Light-O-Rama Hardware Utility can be used to configure and test Light-O-Rama controllers in several ways:

· Selecting a Comm Port

· Setting Unit IDs

· Configuring Units

· Testing Units

· Downloading Sequences

· Firmware Updates

To use these, select the Hardware Utility's tab labeled "LOR Control" (it is already selected by default when the Hardware Utility is started).

The Hardware Utility's "LOR Control" tab, for configuring and testing Light-O-Rama controllers


Selecting a Comm Port

The "Setup Comm Port" section of the LOR Control tab of the Light-O-Rama Hardware Utility is used to set which RS-232 comm port the Hardware Utility will use for Light-O-Rama controllers.

The Setup Comm Port section

While the Sequence Editor and Show Player can use up to four different comm ports simultaneously for Light-O-Rama controllers, the Hardware Utility only uses one at a time. By default, it will be set to use the port you have configured to be your "Regular" port (if you have done so); see "Network Preferences" in the Sequence Editor for details on how to set your Light-O-Rama ports.

Only comm ports 1 through 16 are supported in the Hardware Utility.

If you know the comm port that it should be using, you can simply select it from the "Manual Select" dropdown box. If you select a port other than your "Regular" port, the Hardware Utility will offer to automatically change your "Regular" port to be the one that you selected.

If you do not know the comm port to be used, you can ask the Hardware Utility can automatically detect it:

·Connect a Light-O-Rama controller to your PC, for example using an SC485 connector or a USB-RS485 adapter.

·Connect the controller to AC power, and turn it on.

·Click on the "Auto Configure" button.

The Hardware Utility should then automatically detect the comm port that you have hooked the controller up to. If it does not:

·Check the physical connection (such as cables and the SC485 connector).

·Check that the controller's power is on.

·Ensure that switches or jumpers on the controller are correct.

·Ensure that the correct type of cable is used.

·Retry the "Auto Configure" button.

If all of the above fails to find the port, then watch the controller's blinking LED light while manually selecting different comm ports from the list. Once a comm port is selected, wait about five seconds. If the LED stops blinking, then that is the correct port. If it does not stop blinking, try the next comm port in the list.

If this still does not determine the correct comm port, there may be a problem with the connector or the controller.

If "Auto Configure" does not work, but you were able to determine the comm port by manual selection, there may be a problem with the connector. Or, if your computer is an older PC or laptop, there may be a compatibility issue with the computer's communications drivers.

In any case, if you can get the unit's LED to stop blinking, then that controller will most likely work on your PC.


Setting Unit IDs

Each Light-O-Rama controller must have a unique assigned unit ID, identifying this particular controller. The reason for this is that every Light-O-Rama controller in a network can see every lighting command message that is sent over the network, not only the lighting commands sent for that controller. So, all of the commands contain a unit ID, and a controller only acts upon a command if the unit ID of the controller matches the unit ID of the message.

A unit ID is a two-character field. Each character can have any of the values 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, A, B, C, D, E, and F. For example, a unit ID might be "03", "07", "25", "37", "6B", "C8", or "DA". However, certain values are reserved, and so not allowed (specifically, "00", and "F1" through "FF").

Some Light-O-Rama controllers have selector switches that allow you to directly set their unit IDs. In that case, simply use a small screwdriver (making sure that the unit is not attached to power) to dial the switches to the desired unit ID.

Other controllers do not have selector switches. To set the unit IDs of these controllers, you can use the LOR Control tab of the Light-O-Rama Hardware Utility:

· Connect the Unit to the Computer

· Select the Comm Port

· Set the ID of a New Unit

· Change the ID of an Existing Unit

· Troubleshooting

Connect the Unit to the Computer

The first step in setting a Light-O-Rama controller's unit ID using the Hardware Utility is to connect the unit to the computer, for example using an SC485 adaptor or a USB-RS485 adaptor. Make sure that the selector switches are correctly set for the type of cable used (units are shipped ready to use data cables). Plug the unit into an AC outlet, and turn the unit on.

Select the Comm Port

After you have connected the unit to the computer, select the comm port that the Hardware Utility should use to communicate with the controller.

Set the ID of a New Unit

If this is a new unit that has not previously been assigned a unit ID, use the "Set New Unit ID" section of the LOR Control tab of the Hardware Utility. Simply select the unit ID you want to assign, and click the "Set Unit ID" button.

Setting the ID of a new unit

Change the ID of an Existing Unit

If you have previously assigned a unit ID to this unit, but want to change it, use the "Change Existing ID" section of the LOR Control tab of the Hardware Utility. Select the unit's current ID in the "Old Unit ID" list, and the unit ID that you want to change it to in the "New Unit ID" list. Finally, click the "Set Unit ID" button.

Changing a unit ID

If you do not remember the unit's current unit ID, or if the controller doesn't seem to be reacting to its current ID, you can change it to a new unit ID by selecting "Any Unit" in the "Old Unit ID" list. However, be very careful. If you select "Any Unit", then all units that are connected to the PC will have their unit IDs changed. So, make sure that you have only the one controller (whose unit ID you wish to change) connected.

Changing a unit ID for "Any Unit"

Troubleshooting

If, while setting a Light-O-Rama controller's unit ID, you receive an error saying that the unit cannot be located, the first thing to do is to check all connections and to make sure that the correct comm port is selected. If the Hardware Utility still cannot locate the unit, check the Communication LED on the unit. When the unit is disconnected from the data cable the LED should blink; when it is connected and the Hardware Utility is running with the correct comm port selected, the LED should stop blinking, turning on steady.

If the Communications LED continues to blink regardless of the steps taken, then there may be a problem with the cable, the adaptor, the controller, or the PC's comm port.

If the LED stops blinking but you still get an error when attempting to set the unit ID, then there may be a problem with the adaptor or the controller, or the PC may have a communications driver that is not completely compatible with Light-O-Rama. However, you may still be able to set the unit ID by checking the "Ignore Errors" box and then trying to set the unit ID again. If you do check the "Ignore Errors" box, make sure that the unit ID has been set correctly by running some tests on the controller.


Configuring Units

Some Light-O-Rama controllers, such as the MC-Px and CTBxxD units, have special options that can be configured. You can use the LOR Control tab of the Hardware Utility to do so, using the following steps:

· Connect The Unit to the PC

· Select the Comm Port

· Select the Unit

· Choose "Configuration"

· Set the Minimum and Maximum Intensities

· Set the Input Channel Types

· Set the Port Type

· Configuring DIO32 Servos

· Configuring Original Cosmic Color Ribbons, Bulbs, and Pixels

· Configuring Pixie Controllers including Cosmic Color 2 Ribbons, Bulbs, Pixels

· Dimming Curves

· Update

Connect the Unit to the PC

The first step is to connect the unit to the computer, for example using an SC485 adaptor or a USB-RS485 adaptor. Make sure that the selector switches are correctly set for the type of cable used (units are shipped ready to use data cables). Plug the unit into an AC outlet, and turn the unit on.

Select the Comm Port

After you have connected the unit to the computer, select the comm port that the Hardware Utility should use to communicate with the controller.

Select the Unit

After you have connected the unit to the PC and selected the comm port, select the unit ID of the controller that you wish to configure: Hit the "Refresh" button, and the Hardware Utility will scan your network for connected units. You can then select the unit ID from the dropdown list. Alternatively, if you already know the unit ID, you could simply type it into the dropdown box, without hitting "Refresh" first; this is quicker, but has some drawbacks:

Depending upon the type of controller and the level of firmware, hitting "Refresh" may allow the Hardware Utility to automatically populate the configuration settings screen with the actual current configuration of the controller. Typing in the unit ID, without first hitting "Refresh", will not do this, and so the configuration settings screen will simply show default values, which may or may not be how the controller is currently configured.

Also, "Refresh" allows the Hardware Utility to figure out the type of the controller, which lets it know various things about how to interact with this controller specifically; for example, the maximum number of bytes in a standalone sequence varies with the type of controller. If you hit "Refresh", the Hardware Utility will know how many bytes this controller can handle, and so won't allow a larger sequence to be sent to the controller. Simply typing in the unit ID, without first hitting "Refresh", will not do this, and so the Hardware Utility may try to send a standalone sequence that is larger than the controller can deal with.

NOTE: Scanning the network may take some time. If you have set the unit IDs of your controllers to low values, you can use the "Max Unit ID" section to speed up this scan drastically. It is therefore a good habit to assign your controllers unit IDs starting at 01, and increasing sequentially through 02, 03, and so on.

Selecting the unit to configure

Choose "Configuration"

Next, click the "Configuration" button (near the bottom of the LOR Control tab of the Hardware Utility). This brings up configuration settings:

The configuration section of the LOR Control tab

Set the Minimum and Maximum Intensities

While active, the controller will not set its lights' intensities below the specified minimum. If, however, it loses communications with its director, it will turn them off (i.e. 0% intensity). The lights are not turned up to the minimum until the unit receives its first lighting command.

Setting a maximum intensity below 100% may be used to help prolong the life of bulbs, although there is an important exception: Retro LED C7 and C9 bulbs (also known as replacement LEDs) can be harmed by using them at any intensity other than 100% or 0%.

The initial values displayed in this section are read from the controller itself (although this is supported only for certain versions of firmware - your controller may need a firmware update in order to read the values from the controller).

These settings only take effect for ports that are configured as "Triac Board".

Setting the intensity range

Set the Port Type

The port type can be set to Triac Board, SSR, or Servo Motor. When set to Triac Board, dimming and fading are possible. When set to SSR, the unit will support SSRs with zero cross detectors. For the CTB08D controller, the two servo pins can be activated by setting Port B to Servo.

Setting the port type

Set the Input Channel Types

Circuits that are used for interactive triggers can be either normally open ("N/O") or normally closed ("N/C"). The current value for each circuit is read from the controller itself, and the value can be updated in the "Input Channels" section.

Not all versions of firmware support this feature; if your controller has not yet been updated with firmware that supports it, the circuit will be treated as normally open (which is also the default for versions of firmware that can support both).

Setting the input channel types

Configuring DIO32 Servos

DIO32 devices can be set up to control servos; the Hardware Utility can be used to configure them by clicking the "DIO32-Servo Screen" button in the Configuration section. Doing so brings up the following:

DIO32 servo configuration options

For each circuit, you can select the appropriate pulse width to be used for the servo attached to that circuit. There are at least two reasons why you might want to do this: First, some servos support different pulse widths than others; second, you might want to use this to limit the range of the servo.

The minimum value in the selected pulse width will be used whenever a 0% intensity is set on that circuit's channel; the maximum value will be used whenever a 100% intensity is set. Regardless of the pulse width, 50% intensity always corresponds to 1.5 milliseconds.

Note that only sixteen circuits are displayed, though the DIO32 has 32 circuits. This is because its 32 circuits are spread among two unit IDs. For example, the first sixteen circuits might be for unit ID 01, in which case the next sixteen would be for unit ID 02. Both sets of sixteen can be configured independently, by selecting the appropriate unit ID. However, if you want to configure both, make sure to update the controller with your changes for one before proceeding to the other.

Configuring Original Cosmic Color Ribbons, Bulbs, and Pixels

Cosmic Color Ribbons, Bulbs, Pixels, have their own configuration options, unique to them. You can use the Hardware Utility to configure these options by clicking the "Cosmic Color/Pixie Config" button in the Configuration section (note, though, that this button will be grey and non-selectable unless you have selected a Cosmic Color Ribbon,Bulb,Pixel or Pixie unit; you may have to use the Refresh button in order to let the Hardware Utility know about your Cosmic Color Ribbon or Cosmic Color Bulb).

There are currently 2 versions of Cosmic Color devices available, the 'Original' and the new Cosmic Color 2 devices which are based on our Pixie controllers. The Hardware Utility can distinguish the difference between the two when connected to your computer and will present you the correct dialog.

When you press the button with an Original Cosmic Color device selected, you will be presented the following window:

Cosmic Color Ribbon/Bulb/Pixel/Pixie configuration options

For details on these options, please refer to your device's manual (All of our hardware manuals are available on our website in PDF format here:http://www1.lightorama.com/documentation/ ). Not all devices support all options. If a device does not support a particular option, that option is grey and can not be used. Here is a brief overview of each:

·Unit ID Mode: In "Normal" mode, the Cosmic Color device will be a single unit ID, with 157 circuit IDs for a one-string CCD or 314 for a two-string. In "Legacy" mode, the Cosmic Color device will use up to ten sequential unit IDs per string (depending upon the configured resolution), with up to 16 circuit IDs for each unit ID. In "Dual Normal" mode, which is applicable for two-string CCDs, the device will have two contiguous unit IDs, each having 157 circuit IDs.

·Channel Mode: In "Triples" mode, channels will be arranged red, green, blue, red, green, blue, and so forth. For example, circuit 1 is red for the first pixel; circuit 2 green for the first pixel; circuit 3 blue for the first pixel; circuit 4 red for the second pixel; and so on. In "Sequential" mode, all red pixels will come first, then all green pixels, then all blue pixels.

·Resolution: The number of logical pixels that the Cosmic Color device will be. For example, setting it to 50 will give individual control over each of the 50 physical pixels, using 150 channels (one red, one green, and one blue for each pixel), while setting it to 1 will make all of the lights on the Cosmic Color device act as a single pixel, using three channels (red, green and blue).

·Num of end-to-end connected CCR Ribbons The number of end-to-end connected Cosmic Color Ribbons.

·Reverse String #: Reverses the order of the pixels on the ribbon, or string of the Cosmic Color Device. Thus, when unchecked, pixel 1 is nearest the controller, and when checked, the highest pixel is nearest the controller.

·Standalone Speed: The speed at which a standalone sequence will run. A value of 8 is normal speed; higher values are faster, and lower values are slower.

·DMX Mode: Selects how the Cosmic Color device will appear in a DMX universe: just the RGB channels, just the Macro channels, or both.

·First Pixel is Status Indicator: For Cosmic Color devices, if this field is checked, for the first minute after the unit is powered up (or until a lighting command is received), the first pixel of the unit will act similarly to the unit's status indicator, blinking on and off if there is no communication, and holding on steady if there is.

·CCP Color Correction: Select this option if you are using Cosmic Color Pixels and notice that colors are slightly off, especially when compared to a Cosmic Color Bulb controller.

Configuring Pixie Controllers including Cosmic Color 2 Ribbons, Bulbs, Pixels

Pixie Controllers, Cosmic Color 2 Ribbons, Bulbs, Pixels, have their own configuration options unique to them. You can use the Hardware Utility to configure these options by clicking the "Cosmic Color/Pixie Config" button in the Configuration section (note, though, that this button will be grey and non-selectable unless you have selected a Cosmic Color Ribbon,Bulb,Pixel or Pixie unit; you may have to use the Refresh button in order to let the Hardware Utility know about your Cosmic Color Ribbon or Cosmic Color Bulb).

There are currently 2 versions of Cosmic Color devices available, the 'Original' and the new Cosmic Color 2 devices which are based on our Pixie controllers. The Hardware Utility can distinguish the difference between the two when connected to your computer and will present you the correct dialog.

When you press the button with a Pixie Controller or Cosmic Color 2 device selected, you will be presented the following window:

For most users, simple mode will be all that is needed. For details on these options, please refer to your device's manual (All of our hardware manuals are available on our website in PDF format here:http://www1.lightorama.com/documentation/ ). Not all devices support all options. If a device does not support a particular option, that option is grey and can not be used. Here is a brief overview of each:

·Pixel Type: Select the type of pixels connected to your Pixie controller. A list of supported pixels can be found in the documentation for your hardware.

·RGB Order: Order of the Red Green and Blue channels for your pixel. RGB is the default. Selecting an option here will set ALL ports on the Pixie device to the same order.

·Pixels Per Port: Number of pixels connected to each physical port of the Pixie controller. Can any value 1-100.

·Logical Resolution: The number of logical pixels that the Cosmic Color device will be. For example, setting it to 50 will give individual control over each of the 50 physical pixels, using 150 channels (one red, one green, and one blue for each pixel), while setting it to 1 will make all of the lights on the Cosmic Color device act as a single pixel, using three channels (red, green and blue).

Advanced Mode

If you press the 'Advanced' button, the dialog expands and shows the following:

Port Settings:

In the Port Settings section you will see 1 line for each port that your Pixie has. For example, if you are configuring a Pixie 4, you would only see ports 1-4.

Depending on the firmware your Pixie has, you may not be able to change all of these. Only newer Pixie firmware allows for the configuration of by port RGB Order as well as prop selection. If your version of the firmware does not support these, they will be grey and you will see a message that your firmware does not support them.

For each port you can configure:

·RGB Order: Order of the Red Green and Blue channels for your pixel. RGB is the default. Selecting an RGB order effects only that port. That means each port on your Pixie can have a different RGB order.

·Reverse: Reverses the order of the pixels on the ribbon, or string connected to that port of the Pixie. Thus, when unchecked, pixel 1 is nearest the controller, and when checked, the highest pixel is nearest the controller.

·Prop: Pixie controllers can be configured to run certain available LOR props, like singing faces. Selecting the prop here will allow the pixie to control that prop on that and the next port. If you have a pixie 16, props are only supported on the first 8 ports. For more information, please see the manual that came with your LOR prop. For regular operation select 'no prop selected', otherwise select the name of the prop connected to that and the next port.

Misc. Options

In this section on can change some uncommon parameters.

·First Pixel is Status Indicator: For Cosmic Color devices, if this field is checked, for the first minute after the unit is powered up (or until a lighting command is received), the first pixel of the unit will act similarly to the unit's status indicator, blinking on and off if there is no communication, and holding on steady if there is.

·Standalone Speed: The speed at which a standalone sequence will run. A value of 8 is normal speed; higher values are faster, and lower values are slower.

·DMX Mode: Selects how the Cosmic Color device will appear in a DMX universe: just the RGB channels, just the Macro channels, or both.

·Triplet order: In "Triples" mode, channels will be arranged red, green, blue, red, green, blue, and so forth. For example, circuit 1 is red for the first pixel; circuit 2 green for the first pixel; circuit 3 blue for the first pixel; circuit 4 red for the second pixel; and so on. In "Sequential" mode, all red pixels will come first, then all green pixels, then all blue pixels. It is recommended that you use Triples mode - some parts of the LOR software do not support Sequential mode.

Dimming Curves

The Hardware Utility's Advanced Configuration screen can be used to set dimming curves for Gen3 controllers, or for pre-Gen3 controllers that have Gen3 firmware installed. To get to the Advanced Configuration screen, click on the Advanced Configuration button in the Configuration section of the LOR Control tab of the Hardware Utility.

Dimming curves determine the output of a channel versus the intensity setting of that channel. For example, the On/Off only curve has the output set at 100% for intensity values greater than 50% (or DMX 128), and the output at 0% for any other intensity value.

Each channel can be configured for a specific dimming curve. Gen3 firmware comes with three curves: "LOR standard" (which is normal for incandescent lights), "Dim Curve01" (which is a good curve for LED Lighting), and "On/Off only" (which is best with loads such as strobe lights that should never be dimmed).

The LOR Standard and On/Off curves cannot be changed. Any other curves can be downloaded and updated on the controller. If a channel is set to use a dimming curve that is not present on the controller, then the channel will default to using LOR Standard.

The Advanced Configuration screen

Update

When you have set the configuration settings to the value you want, click the "Update Unit" button to send the new configuration information to the controller. Note: Doing so will update both the settings from the main screen and the settings from the DIO32 servo screen.

After updating, hit "Refresh" again to reload the new settings from the controller into the Hardware Utility.


Light-O-Rama MP3 Directors

SD Card Functionality of this tab has been replaced by LOR Hub.

You should use LOR Hub to create SD shows instead of this tab.

SD Creation functionality will be removed from this tab in a future release.

`The LOR MP3 tab of the Light-O-Rama Hardware Utility as well as Light-O-Rama Hub can be used to download both musical sequences and animation sequences to a Light-O-Rama MP3 director (such as an "LOR1602W with Show Director and MP3 Player"), and schedule when those sequences should be played.

Newer Generation 3 MP3 Directors, like the MP3g3 Dual Network Director, can drive both LOR and DMX hardware.

Note, that any loops in an animation sequence will be ignored. Up to nine separate shows can be downloaded to an MP3 director.

In the future Light-O-Rama Hub will completely replace this tab of the Hardware Utility.

For details, please refer to the following sections:

· Scheduling/Show Options

· Select When Show Plays

· Select How Show Plays

· MP3 Player Showlist

· MP3g3 Directors can control DMX Devices

· Priority of Networks and Universes

· Download the Show

· Set the Time

The LOR MP3 tab of the Hardware Utility

Scheduling/Show Options

This section allows you to select various options about the show:

· Select When Show Plays

· Select How Show Plays

Select When Show Plays

This section gives three main options for when the show will play: "plays anytime powered", "plays during scheduled time", and "plays when triggered". Additionally, you can specify that the show cannot be interrupted by input triggers, even if other shows are set up to start on those triggers.

Selecting "plays anytime powered" will cause the show to run whenever the MP3 director is powered on.

Selecting "plays during scheduled time" allows you to specify a time or times when the show should play. Up to nine shows can be downloaded to a controller, and each will be assigned a number between 1 and 9. If two shows are scheduled for the same time, the lower numbered show will be played.

Selecting "plays when triggered" will cause the show to start whenever some external trigger happens (such as a circuit being closed or a motion detector being tripped). If you choose this option, you will be prompted to select the trigger's switch number (up to six switches are supported), and whether the switch is normally open or normally closed.

A normally open switch has its contacts open until you activate it, at which point they close; a normally closed switch has its contacts closed until you activate it, at which point they open. Most switches are normally open; motion detectors, however, are typically normally closed. This is because they are often used in security systems, where it is important to notice that a wire has been cut.

Select How Show Plays

In this section, you can choose whether the show should loop continuously (that is, when it finishes playing the last sequence in its list, it will start over at the first), or only one time, or every so often (every hour, half hour, fifteen minutes or ten minutes). If you are using a triggered sequence you can also select if you would like to run the sequence list in a 'Round Robin'.

If you choose to play the show every so often, you will also be prompted for what the lights should do in between. You can choose to have all your lights on, or off, or else use an animation sequence as a "filler" that will play continuously during the time in between.

If you choose to play the sequences in a Round Robin, only the first sequence in the sequence list will play. The next time the MP3 director is triggered, it will play the next sequence in the list. After playing the last sequence in the list, the next trigger will start over with the first sequence. Note: Round Robin play can only be used with triggered sequences on G3 MP3 directors with Firmware version 5.34 or higher.

MP3 Player Showlist

You can add both musical sequences and animation sequences to the show by clicking the "Add Sequence" button. To remove one, click on it to highlight it, and then click the "Remove Sequence" button.

The sequences will be played in the order listed. You can change the order by clicking on a sequence to highlight it, and then clicking "Move Up" or "Move Down".

Sequences with subsequences cannot be added to the showlist.

Optionally, you can also specify a "start sequence", which will be played once and only once every time the show starts up, before the other sequences. This is most useful if you selected that the show should loop continuously. For example, a show with a start sequence and three sequences in the showlist will, when "loop continuously" is turned on, first play the start sequence, then the first sequence of the showlist, then the second, then the third, and then back to the first in the showlist - not back to the start sequence.

Both musical sequences and animation sequences can be used as start sequences.

MP3g3 Directors can control DMX Devices

In addition to LOR Devices, MP3g3 Directors can also drive DMX devices on one or both output ports. In order to control DMX devices, your MP3g3 must have at least firmware version 5.28.

Network and Universe Priorities

New advanced MP3 Directors, like the Dual Port G3MP3 Director, can drive 2 separate physical networks of devices. In the future new MP3 directors will be available that can drive 4 physical networks. These advanced directors can control LOR devices, DMX devices, or a combination of them on separate ports. The Hardware Utility will automatically select which networks and/or universes in your sequence will be used by the director.

Only the ADVANCED level of the LOR software will allow for the creation of DMX output for a director. All other levels are limited to creating LOR output only.

Older Directors, like the DC-MP3-SHOWTIME, are limited to ONLY the LOR REGULAR network.

For Advanced Directors, the Hardware Utility uses a ‘priority system’ based on the contents of the FIRST sequence added to the show list. In order to prevent confusion, all sequences that are part of a single show should use the same channel configuration.

1.If your license supports them, there is no difference between LOR Enhanced networks and normal LOR networks. Both are treated the same when it comes to priority.

2.LOR networks have priority over DMX universes.

3.The LOR REGular network has the highest priority, followed by AUX A through AUX O.

4.A lower number DMX Universe is higher priority than a higher number.

5.If the sequence contains more than 2 networks, universes, or a combination thereof, those Networks and Universes are silently discarded.

6.If your director only has one port, then only the PORT 1 column applies.

Examples assuming that you have the ‘Advanced’ level of the software:

Your sequence contains.... | PORT 1 on the director controls | PORT 2 on the director controls | Notes
1.LOR REG | LOR REG | (*) | Only one network, so it is placed on port 1. See note for port 2.
1.LOR REG 2.LOR AUX B | LOR REG | LOR AUX B | Both ports active with LOR
1.LOR REG 2.LOR AUX A 3.LOR AUX B | LOR REG | LOR AUX A | Aux B is silently discarded.
1.DMX Universe 1 | DMX Universe 1 | (*) | DMX on port 1. See note for port 2..
1.LOR AUX A 2.DMX Universe 1 | LOR AUX A | DMX Universe 1 | LOR devices have priority over DMX, so AUX A is on port 1.
1.DMX Universe 1 2.DMX Universe 99 | DMX Universe 1 | DMX Universe 99 | DMX Universes are assigned in ascending order.
1.LOR REG 2.LOR AUX A 3.LOR AUX B 4.DMX Universe 1 5.DMX Universe 99 | LOR REG | LOR AUX A | LOR Devices have priority over DMX. REG has highest priority followed by AUX A. Others are discarded.

* Please note that the MP3g3 dual network controller will mirror the output of Port 1 onto Port 2 on a per-sequence basis. If you wish to have all controllers on port 2 stay dark during certain sequences, ensure that ALL of the sequences in that show use the same channel configuration. That is to say, ensure all of your sequences contain channels for BOTH ports, even if those channels are all OFF for the duration of the sequence.

'Startup' sequences as well as 'Filler' sequences can also use LOR or DMX devices on advanced directors and the same rules apply to them.

Download the Show

When you have selected the show's options and the sequences to be played, you can download the show to an SD card (which can later be placed into the MP3 director). Make sure that you have your SD card reader/writer hooked up to your PC, and click on the "Create Show" button. This brings up a the Write Show to SD Card Wizard. Once you have made your selections, press 'NEXT' to continue. If you would like to go back and change a selection, press 'PREVIOUS'.

There are several steps to specify the options you need to set up the SD card properly, depending on your hardware, preferences, etc.

Step 1

Select the drive that contains your SD card.

Step 2

Select the show number that you want to use for this show. Each show on a card must have a unique number assigned. If multiple shows are scheduled at the same time, the lowest numbered show will take priority.

Step 3
if you have a G3MP3 director, select the check box here, and then specify the number of ports for your director.

Step 4

This is what LOR Networks and/or DMX Universes the SD Card Wizard will write to the card, based on the priority system from above. This is informational only, there are no changes to be made here.

Step 5

Here is where you can specify different options that your show or hardware may require:

·Lock Step: If you have a very large display, selecting "lock step" may help the different controllers used in the display react with a higher degree of synchronization. This is not supported on all controller types, and the level of firmware in the controllers must be 3.0 or higher.

·Set MP3 player's internal clock: If you wish to add a file to the SD card to set the MP3 director's internal clock, check the box that says so. Note that there are also other ways to set the director's clock.

·Strip MP3 Header Information: Some MP3s may have a large data block before the actual music data. For example, an MP3 may have several high-resolution pictures in its ID3 Tags. The MP3 director will correctly ignore this data, however it does take time to find the actual start of the music file. Stripping this data will allow the MP3 director to start playing the sequence faster.

·Keep lights ON at end if using DMX: Previously if one or both ports were controlling DMX Universes the MP3 director would always shut off all the lights. Checking this box will allow channels in DMX universes controlled by the MP3 director to remain in the last state they were sent. If you leave a light on at the end of a sequence, that light will remain on until the start of the next sequence.

·Show can not be interrupted by input triggers: Once this show has started on the MP3 director, pressing an input will not interrupt the show - it will run to completion.

·Advanced Throttling Options: The advanced options button will bring up an additional window that allows you to change parameters which relate to how data will be transmitted from your MP3 Director. Unless a specific issue is preventing your MP3 Director from working correctly, you should not change these options.

Step 6

Communications port setup is done here.

For each port your director has, you will be presented these options. So for example if you have a G3MP3 Dual Network director, you see this dialog twice. Once for the fist physical port, and then again for the other physical port. Depending on the type of equipment you have, your LOR license level, and/or the contents of your sequence, one or more of these options may not be available to you.

If a port is using LOR devices:

Select the communications speed that will be used to broadcast lighting commands. The recommended setting (57.6) will suffice for many users' displays. If you have many controllers that are far distances apart, a slower speed may help; if your sequences use many rapid lighting commands, a faster speed may help.

·G3 directors (and higher) have an additional speeds of 500K and 1000K available. The 500K speed is approximately four times faster than the previous high speed of 115.4K, but is only supported on Generation 3 (G3) devices with updated firmware.

·The 1000K speed can ONLY be used with networks that only contain PixCon16 controllers. No other LOR controllers support 1000K.

·Since the MP3g3 director has two ports, you can additionally specify a different speed for port 2 if your show will use both ports. Single network directors do not have a second port and so these options are not available.

·If your license supports Enhanced LOR Protocol and you are creating a card for a G3 or above director, an additional option may be available depending on the first sequence loaded. If the first sequence has both Normal LOR and Enhanced LOR commands available, you can select if you want BOTH to be written to the card (checked), or if you only want Normal (unchecked) commands written. If you do not have a G3 controller, or you do not have a license that supports Enhanced LOR protocol, or if your sequence does not have both types of networks, then this option is not available. There is no option that will allow for only Enhanced commands, even if your sequence has both available.

If a port is using DMX devices

DMX Universes run at a fixed speed, and therefore the options to change port speed are not available.

Final Step

This final screen will confirm the choices you made. When you are ready to write to the SD card, press the 'Create SD Card' button.

Set the Time

If any of your shows are set up to run on schedules, it is important to set the MP3 director's clock appropriately. There are several ways to do this:

First, you can directly hook your MP3 director up to your PC, and click on the "Set to PC's time" button (in the lower right-hand corner of the LOR MP3 tab).

If you cannot (or do not wish to) hook the MP3 director up to your PC, you can instead create a "time file" to be placed on an SD card. The first time that SD card is placed in the MP3 director, the director's clock will be set to the time specified in the time file (which you can choose, so that you have enough time to move the card from your PC to your MP3 director).

There are two ways to build a time file: First, you can click on the "Only place SET TIME file on the SD card"; this will create a time file and download it, without downloading a show as well. Second, when you create a show, during the final options dialog, you can request that a time file be created and downloaded along with the show.

Finally, you can manually set the time on an MP3 director. See the director's user's guide for details.

Advanced Parameters

While writing your show to the SD card for an MP3 player, the Hardware Utility will automatically monitor how much bandwidth is required by your sequence every centi-second. When the bandwidth is exceeded, the program can 'compress' your data so that your music and lights stay better in sync. The advanced options window allows you to turn this functionality on/off or adjust its parameters.

The Advanced Parameters window

·Throttle Data Output for Improved Performance: It is recommended that this option remain ON (checked). When checked, your sequence is monitored. For each centi-second that passes, the program will compute the amount of bandwidth required and compare it to the amount available. If unchecked, no throttling is done - this is the same mode as versions previous to 3.12.0.

·Minimum Throttle Time in CS: If throttling is enabled, this is the minimum amount that the sequence must be behind before compression starts. For example, if this is set to 5 CS, then once the sequence is 5 or more centi-seconds behind the audio, compression will begin. Setting this higher will allow for more complex areas of your sequence to remain uncompressed at the expense of lagging further behind your audio. The default value is 1, and this means that as soon as the sequence falls behind, compression should begin.

·Buffer Flush Time in CS: This can be thought of as the 'resolution' that your MP3 Director will run at. Setting the value lower will increase resolution as well as network load. Setting the value higher will decrease network load at the expense of having more commands be compressed. The default value of 2 most closely emulates what a computer produces for output, either in the Sequence Editor or the Show Player, when running a sequence on your hardware. For versions before 3.12.0, this value was 1.

·MP3 Director Network Efficiency: MP3 directors will typically use 100% of the bandwidth that is available for a port. Setting this to a lower percentage reduces the amount of throughput, which will cause more throttling to happen. It may be best to think of this option as a reduction in the network speed. For example, if you set a port to 57.6K speed, and set this option to 70%, then the hardware utility will throttle the sequence as if it was for a network that runs at approximately 40.3K (57.6 * 70%).


Testing Units

You can test the operation of Light-O-Rama controllers using the LOR Control tab of the Hardware Utility, sending commands to turn lights on and off and to do other effects, or generate interactive triggers, by taking the following steps:

· Connect the Unit to the Computer

· Select the Comm Port

· Select the Unit

·Testing

· Testing Pixie and Cosmic Color devices

· Test All Other Units

Connect the Unit to the Computer

The first step is to connect the unit to the computer, for example using an SC485 adapter or a USB-RS485 adapter. Make sure that the selector switches are correctly set for the type of cable used (units are shipped ready to use data cables). Plug the unit into an AC outlet, and turn the unit on.

Select the Comm Port

After you have connected the unit to the computer, select the comm port that the Hardware Utility should use to communicate with the controller.

Select the Unit

After you have connected the unit to the PC and selected the comm port, select the unit ID of the controller that you wish to use. If you know the controller's unit ID, you can simply type it into the dropdown box labelled "Select Unit". If not, use the "Refresh" button, and the Hardware Utility will scan your network for connected units. You can then select it from the dropdown list.

NOTE: Scanning the network may take some time. If you have set the unit IDs of your controllers to low values, you can use the "Max Unit ID" section to speed up this scan drastically. It is therefore a good habit to assign your controllers unit IDs starting at 01, and increasing sequentially through 02, 03, and so on.

Selecting the unit to use

Testing Pixie and Cosmic Color devices

Because of their high channel counts, output to Pixie and Cosmic Color devices, like Cosmic Color Bulb, Cosmic Color Pixel, and Cosmic Color Ribbon, are tested a little differently than other LOR Controllers. If you want to test inputs on a Cosmic Color or Pixie device that supports them, please see below.

The "Test Unit's Operation" screen of the LOR Control tab of the Hardware Utility is the screen displayed by default when the Hardware Utility is opened. If it is not currently open, make sure you have selected the LOR Control tab, and then hit the "Test" button near the bottom of the Hardware Utility. If you have selected a Pixie or Cosmic Color device, the test screen for those devices is displayed:

The testing section of the LOR Control tab for Pixies and Cosmic Color Devices

Depending on the device you have selected as well as the parameters of that device, not all options will be available.

Because of the large number of circuits available on Cosmic Color Devices like the Cosmic Color Ribbon or Cosmic Color Bulbs, you do not test individual circuits. Instead, you can select a color to be displayed across the device/port. You can select from a list of pre-determined colors, or select 'Custom' to set the RGB values. Please note that due to differences in hardware, the color that is displayed on your computer screen may not match what is displayed by the device.

Advanced effects like twinkle, shimmer, and fade are only available on devices that are configured for 50 pixels or less.

If you would like to test individual circuits on a Pixie or Cosmic Color device, the Pixel Console can be used.

Test All Other Units

The "Test Unit's Operation" screen of the LOR Control tab of the Hardware Utility is the screen displayed by default when the Hardware Utility is opened. If it is not currently open, make sure you have selected the LOR Control tab, and then hit the "Test" button near the bottom of the Hardware Utility:

The testing section of the LOR Control tab

By setting the "Test Mode" appropriately, you can either test output to the controllers - that is, test that they can control your lights - or test input from your controllers - that is, test that they can generate interactive triggers.

Test Outputs (test lights)

To test that your controllers can control your lights, select "Test Outputs (test lights)" as your "Test Mode".

After selecting the circuits that you wish to test (by checking their boxes in the "Select Circuits to Test" section), you can send a lighting effect command to those circuits by choosing the "Light Mode", "Start Intensity", "End Intensity", and "Fade Duration", and clicking on either the "ON", "OFF", or "Fade" buttons. Note: If "ON" is used, the intensity is specified via "End Intensity", not "Start Intensity".

Alternatively, the "Chase Sequence" section can be used to turn the selected circuits on and off in sequence.

Test Inputs (for interactive)

To test that your controllers can generate interactive triggers, select "Test Inputs (for interactive)" as your "Test Mode".

Select the circuits that you want to test. When you trip a trigger for one of those circuits, it should show up as red in this screen.

Please note that triggers are not supported on LOR Enhanced networks. If your trigger is on a controller that is on an LOR Enhanced network, you will be able to test it in the Hardware Utility, but it will not work during your show.

The input testing section of the LOR Control tab, with no circuits tripped

The input testing section of the LOR Control tab, with circuit 1 tripped


Downloading Sequences

The Standalone Sequence Downloader section of the LOR Control tab of the Light-O-Rama Hardware Utility can be used to send an animation sequence to a Light-O-Rama controller, which can later run that sequence independently, in "standalone" mode, without being hooked up to a computer running Light-O-Rama software.

When a unit runs a sequence in standalone mode, it not only executes the lighting commands in the sequence that are for that controller itself, but also, if the sequence contains any commands for other units, it will transmit them to the other units that it is connected to. In this way, a single controller can be downloaded with a sequence, and act as a "director" for several linked controllers.

It is important that only one controller in any mutually connected group act as a director. Downloading sequences to two separate controllers that are hooked up in a mutually connected group will have undesired results, as the commands transmitted by the two will interfere with each other. Similarly, it is important not to also control sequences from your computer while you have a controller hooked up to it acting in standalone mode, for the same reason.

Normally, the controller will execute the standalone sequence any time that it is powered on. However, some controllers have internal clocks that allow the standalone sequence to be scheduled to run during a particular timeframe.

Note: The CTB08 controller does not have transmit capability in standalone mode.

To download a sequence to a controller to be used in standalone mode, take the following steps:

· Create the Sequence

· Connect the Controller to the PC

· Select the Comm Port

· Select the Unit

· Download the Sequence

You can also use this section of the Hardware Utility to choose when the sequence will run (for controllers that support this), to remove the standalone sequence from a controller, and to test a standalone sequence.

To get to the Standalone Sequence Downloader screen, make sure that you are in the LOR Control tab of the Hardware Utility, and then click on the "Standalone" button.

The Standalone Sequence Downloader section of the Hardware Utility

Create the Sequence

Using the Sequence Editor, create an animation sequence. Only animation sequences - not musical sequences - can be downloaded for standalone mode. When you create the sequence, you must assign unit IDs and circuit IDs to the channels, as normal.

Some controllers have very little storage space for sequences. Because size is a limiting factor, you should consider the following tips to keep your sequence's size at a minimum:

· Fade commands take up the most space.

·The least space is used when all lights on a controller are at either 100% or 0% intensity.

·When possible, place similar commands at the same time. For example, if you turn one circuit of a controller off and then, a tenth of a second later, turn another circuit on the same controller off, that will take about twice as much space as would turning both of them off at the same time.

·Use loops whenever possible.

·Different types of controllers have different maximum sequence sizes; controllers such as the CTB08 have little space and can handle only very simple animations.

Also, sequences to be used in standalone mode have some limitations:

·The sequence must contain only one track.

·The sequence should only contain commands for controllers on a single network; unexpected results may occur if you have more than one network listed in the sequence.

· Timings are only supported on tenth-of-a-second boundaries (for example, 1 second, 1.1 seconds, 1.2 seconds). If any timings in the sequence are at some centisecond other than a tenth-of-a-second boundary (for example, 1.15 seconds), they will be considered to be at the next tenth-of-a-second boundary.

·Depending on the device type, between 1 and 10 loop levels may be supported.

·Loop speed modification is not supported, and will be ignored.

Connect the Controller to the PC

Connect the unit to the computer, for example using an SC485 adaptor or a USB-RS485 adaptor. Make sure that the selector switches are correctly set for the type of cable used (units are shipped ready to use data cables). Plug the unit into an AC outlet, and turn the unit on.

Select the Comm Port

After you have connected the unit to the computer, select the comm port that the Hardware Utility should use to communicate with the controller.

Select the Unit

After you have connected the unit to the PC and selected the comm port, select the unit ID of the controller that you wish to use. If you know the controller's unit ID, you can simply type it into the dropdown box labelled "Select Unit". If not, use the "Refresh" button, and the Hardware Utility will scan your network for connected units. You can then select it from the dropdown list.

NOTE: Scanning the network may take some time. If you have set the unit IDs of your controllers to low values, you can use the "Max Unit ID" section to speed up this scan drastically. It is therefore a good habit to assign your controllers unit IDs starting at 01, and increasing sequentially through 02, 03, and so on.

Selecting the unit to use

Download the Sequence

Choose the animation sequence you wish to download using the "Open" button in the "Select Sequence" section, and then download it using the "DownLoad" button in the "Download Selected Sequence" section:

Selecting and downloading the sequence

If you do not see this in the Hardware Utility, make sure that you are on the LOR Control tab, and click on the "Standalone" button near the bottom.

Scheduling the Sequence

Some Light-O-Rama controllers can schedule the downloaded sequence to run at certain times or in certain conditions (those that cannot will run the sequence continually whenever powered on). To schedule when it will run, use the "Trigger Condition" section:

Scheduling the sequence

Select the condition you want to start the sequence, and click "Send Trigger info to Unit".

If you do not see this in the Hardware Utility, make sure that you are on the LOR Control tab, and click on the "Standalone" button near the bottom.

Note: If you choose to use specific scheduled times, the clock on the controller is set to the current time according to your computer. Make sure that the time on your computer is correct.

Removing the Sequence

To remove a downloaded sequence from a standalone controller, use the "Delete" button in the "Remove Sequence" section:

Removing a sequence

Note: This does not actually remove the sequence from the controller; rather, it makes it so that the controller will no longer play the sequence. So, if you later decide to use the sequence again, you can simply reschedule the sequence to run, rather than downloading the sequence again.

If you do not see this in the Hardware Utility, make sure that you are on the LOR Control tab, and click on the "Standalone" button near the bottom.

Testing the Sequence

After downloading a sequence to a controller to be used in standalone mode, it is recommended that you test the sequence, using the buttons in the "Test Sequence" section. To start the sequence, click "Sequence ON"; to stop it, click "Sequence OFF".

Note that the "Sequence OFF" button will stop the sequence even if it was started automatically (by powering on or by schedule, as opposed to via the "Sequence ON" button).

Testing the sequence

If you do not see this in the Hardware Utility, make sure that you are on the LOR Control tab, and click on the "Standalone" button near the bottom.


Firmware Updates

The Firmware Update section of the LOR Control tab of the Hardware Utility can be used to send new firmware to Light-O-Rama controllers. A controller's firmware has a similar purpose to the operating system on your computer (such as Windows XP or Windows Vista): The operating system on your computer is used to run other programs that you load on the computer, such as Light-O-Rama. The firmware on a Light-O-Rama controller is used to execute the commands to control the lights and run standalone sequences.

From time to time, new versions of firmware will become available. In general, unless the new version of firmware has a new feature that you need to use, you should not update the firmware.

If you do wish to update the firmware of a controller, do so using the following steps:

· Select the Unit

· Select the Firmware File

· Download the Firmware

If any problems are encountered, please see "Troubleshooting".

To get to the Firmware Update section of the Hardware Utility, make sure that you are in the LOR Control tab, and click the "Firmware" button (near the bottom).

The Firmware Update section of the Hardware Utility

Select the Unit

It is recommended that only one controller be connected to the computer when updating firmware. Units can have firmware updated when more than one is attached to the computer, but if you choose to do this, make sure that "Selected unit listed above" is selected, and make sure that the proper unit is selected in the "Select Unit to Configure.. Download.. Test" section (above the "Firmware" section).

If you instead use the recommended method of having only a single controller attached to the PC during a firmware update, choose "Only one unit is connected".

To update the firmware of a Light-O-Rama MP3 Player or a Light-O-Rama Wireless Unit, select the matching entry in the "Select Unit" section.

Selecting the unit

Select the Firmware File

Use the "Open" button to select the firmware file that you wish to send to the controller. The "Open" button starts in your Light-O-Rama base directory; the firmware files are typically located in the "Firmware" subdirectory.

Select the latest version of firmware for the unit being updated. The names of the firmware files correspond with the names of the controllers.

Selecting the firmware file

Download the Firmware

Finally, start the download by pressing the "Download" button. The progress bar will provide you with an update.

If you encounter any problems, please see "Troubleshooting".

Starting the download

Troubleshooting

If the download does not start within 15 seconds of hitting the "Download" button, check that the unit is powered and properly connected to the PC. If all else fails, power the unit on and off after you click the download button and the PC is attempting to start the download.


Light-O-Rama Wireless Devices

The LOR RF tab of the Light-O-Rama Hardware Utility can be used to configure Light-O-Rama wireless devices (such as the Easy Light Linker).

When using this tab, make sure that only a single wireless device is in the daisy-chained network hooked up to the PC.

For details, please see the following sections:

· Frequency

· Speed

· Power Level

· Stream Data

· Get Current Configuration

· Set Defaults

· Update Configuration

The LOR RF tab of the Hardware Utility

Frequency

Use this section to control the frequency used by the wireless device. Note that the transmitter and any receivers for it must be set to use the same frequency.

You can also use this to set the frequencies of two different transmitters to different values, so that they will not interfere with each other; these different transmitters can then be placed far apart from each other, effectively increasing the range of your wireless network.

Finally, some other wireless source in your area may interfere with Light-O-Rama's wireless communications at certain frequencies, so if you notice problems with the controllers hooked up to your wireless devices, try changing the frequency that is used.

If you change this setting, make sure to click the Update Configuration button so that the change will be sent to the wireless device currently hooked up to the PC.

Speed

Use this section to control the communications speed used by the devices. The faster speed is typically the better, allowing more frequent lighting effects, unless your controllers are separated over large distances. In that case, if you notice problems with the higher speed, try changing to the lower speed.

Note that a transmitter and its receivers must use the same speed.

If you change this setting, make sure to click the Update Configuration button so that the change will be sent to the wireless device currently hooked up to the PC.

Power Level

If your transmitter and receivers are physically close to each other, using too much power might cause unintended effects. If you notice this, try setting a lower power level.

If you change this setting, make sure to click the Update Configuration button so that the change will be sent to the wireless device currently hooked up to the PC.

Stream Data

This section continuously streams data. This is mostly for internal testing purposes, and it is unlikely that you will need to use this.

Get Current Configuration

Clicking this button will retrieve the settings (such as frequency) from the wireless device currently hooked up to the PC, and display them in the "Current Device Parameters" section.

Set Defaults

Clicking this button will reset the settings (such as frequency) of the wireless device currently hooked up to the PC back to their factory defaults.

Update Configuration

After you have changed the frequency, speed, or power level, click this button to send the changes to the wireless device currently hooked up to the PC.


Digital IO Boards

The Digital IO Boards tab on the Light-O-Rama Hardware Utility can be used to determine if Light-O-Rama can properly communicate with digital IO boards (including BSOFT digital IO boards) installed on your computer. In order to use these boards with Light-O-Rama, your computer must have the Universal Library and InstaCal installed.

To get a list of the boards that Light-O-Rama can find installed on the PC, click the "Refresh List" button. Once a list of boards appears, you can select a board to test. If the board is a BSOFT digital IO board, make sure that you check the appropriate checkbox.

After a board has been selected, you can test either individual pins on the board, or chase through all pins.

If you cannot control the board using the Hardware Utility, then you will not be able to control the board using any Light-O-Rama software, including the Sequence Editor or the Show Player.

The Digital IO Boards tab of the Hardware Utility


X10 Controllers

Light-O-Rama can control industry standard X10 modules using CM11A X10 controllers (available for purchase at a variety of online stores). The X10 CM11A tab of the Light-O-Rama Hardware Utility can be used to test the connection and functionality of such controllers.

To do so, first connect the controller to a serial port, using the cable supplied with the CM11A.

Select the port that you believe the CM11A to be on in the "Select CM11A Port" dropdown list, and click on the "Init Unit" button. In the status window above the port selection dropdown list, you will see if the unit has been located on the selected port. Note: Occasionally there will be a false report of a CM11A being located on comm ports that are actually internal modems. This is generally Comm 3.

Select the house code and unit number of the controller, and test the unit using any of the "On", "Off", "Fade Down" and "Fade Up" buttons.

The X10 CM11A tab of the Hardware Utility


Light Console

Clicking on the "Light Console" button of the Light-O-Rama Hardware Utility opens the Test Console. The Test Console can be used to test standard Light-O-Rama controllers, or to configure and test Light-O-Rama iDMX-1000 DMX interface. If you are trying to test RGB based devices, you may want to instead use the Pixel Console.

The Test Console of the Hardware Utility

Controller Type

Use this section (in the lower left) to choose whether to use a test a standard Light-O-Rama controller or to configure and test a Light-O-Rama DMX interface. In the latter case, you can choose between the ability to send any of 101 different intensities, from 0 to 100 ("LOR %" mode), or the ability to send any of 256 different intensities ("DMX" mode).

DMX Channel Mode

This section (in the lower right) is available only if the controller type is set to "iDMX-1000 - LOR %" or "iDMX-1000 - DMX". It allows you to choose how to map Light-O-Rama channels to DMX channels.

NOTE: Only "Virtual Controllers" is currently supported. "Extended Circuit IDs" will be supported in a future release.

In "Virtual Controllers" mode, the DMX interface is treated as sixteen separate Light-O-Rama controllers each having its own unit ID and each with sixteen circuits, for a total of 256 channels. These 256 channels are each mapped to an individual DMX channel.

In "Extended Circuit IDs" mode (which is not currently supported), the DMX interface will be treated as a single Light-O-Rama unit ID, but can individually address all 256 circuits (whereas currently a single Light-O-Rama unit ID supports up to 16 circuits).

Select Unit ID

Use this section to select the unit ID.

If the controller type is set to "Standard Controller", or if the DMX channel mode is set to "Extended Circuit IDs", both dropdown lists are enabled, with 0 through F available as the choices in each. So, for example, to use unit ID C7, select "C" from the first dropdown list, and "7" from the second.

If the DMX channel mode is set to "Virtual Controllers", only the first dropdown list is enabled. The DMX interface will use all sixteen unit IDs starting with the value selected there. For example, to use unit IDs 30 through 3F, select "3" in the first dropdown box.

Select Channel Group

A Light-O-Rama DMX interface can support up to 256 DMX channels simultaneously. However, the intensity sliders at the top of the Test Console only show sixteen of them at once (plus the master slider). To select which sixteen are currently displayed, use the "Select Channel Group" slider with the controller type set to iDMX-1000.

Set Intensities

The top portion of the Test Console shows sixteen sliders for the intensities of sixteen channels, plus a master slider (on the left) which can be used to slide them all simultaneously.

Above each slider are the Light-O-Rama unit ID and circuit ID associated with that slider. Also, if the controller type is set to iDMX-1000, then above those is the corresponding DMX address. These values depend upon the selections made for the controller type, DMX channel mode, unit ID, and channel group.

A common use of this is to determine the Light-O-Rama intensities to be used to produce various effects on a DMX controller. For example, a DMX controller may be able to turn on red, green, or blue lights; each of these is done by sending the same circuit a different command value. In Light-O-Rama, these are represented as intensities. The Light-O-Rama intensities and the corresponding DMX values are displayed below each slider.

So, for example, you could use this portion of the Test Console to determine that your controller turns on a blue light when sent a value of 94, which corresponds to a Light-O-Rama intensity of 37%. So, when building a sequence in the Sequence Editor, you can tell this DMX controller to turn on a blue light by applying a Set Intensity effect for 37%.

Test Buttons

You can use the various buttons at the bottom of the Test Console to send lighting effect commands to the controller.


Pixel Console

Pixel Test Console

Clicking on the "Pixel Console" button of the Light-O-Rama Hardware Utility opens the Pixel Test Console. The Pixel Test Console is best used to test RGB Light-O-Rama controllers. The labels above each group of sliders show the physical pixel number, as well as the LOR channels in use.

The Pixel Console can be used to test DMX and E1.31 RGB devices as long as:

1.Your software is registered and your license level supports Native DMX Devices (Advanced or Higher)

2.The Comm Listener is running. This will require that you have the LOR Control Panel loaded.

3.You have properly defined your DMX Universe in Network Preferences.

The Pixel Console can be used to test PixCon16 devices running in LOR mode as long as:

1.Your software is registered and your license level supports Enhanced LOR Networks (Pro)

2.The Comm Listener is running. This will require that you have the LOR Control Panel loaded.

3.Only devices on the REGular network can be tested.

4.The REGular network must be defined to be running at 500K in Enhanced mode.

5.You did not allow the Hardware Utility to take control of the REGular port from the Listener on start up.

The Pixel Test Console of the Hardware Utility

Set Intensities

The top portion of the pixel console shows up to twenty four sliders for the intensities of eight RGB pixels, plus a master slider (on the left) which can be used to slide them all simultaneously.

Above each slider are the Physical Pixel Number and the Light-O-Rama circuit IDs, or DMX Channels associated with that triplet. The top number is the Pixel Number, the bottom three numbers are the Circuit or Channel IDs.

Color Label

The colored label box under each group of 3 sliders shows an approximate representation of the color that will be output by the device. NOTE: colors on your monitor may not exactly match what you would see on the actual device. You should always reference what is actually output on the physical device when selecting color values. Clicking this box will bring up a color selection dialog that will set the R G and B components automatically. The numbers shown in the box are the LOR intensities of each of the sliders, or the DMX Channel values in R/G/B order.

Controller Type

Use this section (in the lower left) to choose whether to use a test a Light-O-Rama CMB24 controller, Cosmic Color Ribbon, Cosmic Color Bulb/Pixel device, a DMX universe, or network device like the PixCon16 running on the REGular network in LOR Enhanced mode. If your license does not support native DMX the DMX and LOR Enh. options are not available. If you license does not support Enhanced LOR networks, the LOR Enh. option is not available,

Channel Mode

This section (in the lower right) is available only if the controller type is set to "Cosmic Color Bulb/Pixel" or LOR Enhanced. Set this to match the configuration of your Cosmic Color device or to No Macro Channels (PixCon16). The No Macro Channels option is only available if you have selected the LOR Enh (Pixcon 16) controller type.

Please note that the Pixel Console does not know exactly what device(s) you have connected to your Enhanced LOR network. If you incorrectly set the channel mode, you may experience strange behavior on your device. For example, if you have a Cosmic Color device connected to your Enhanced LOR network, but have specified No Macro Channels (Pixcon 16) channel mode, results are going to be random once you pass channel 150. Always ensure the channel mode matches the device you are trying to test.

Select Unit ID/Select Universe

Use this section to select the unit ID. When working with DMX devices, this changes to allow selection of a DMX Universe.

Select Pixel Group

A Light-O-Rama RGB device can support up to 300 channels as 100 pixels, and DMX Universes can support up to 510 channels as 170 pixels. Due to screen space limitations, the Pixel Console can only show sliders for 8 pixels at one time. If your device supports more than 8 pixels, this selector is active and allows you to set which group of pixels to control.

Zero Values when changing groups

When using the Select Pixel Group slider, the lights for the next selected group will be updated with the values of the current sliders. However, if you check this box, the sliders will all be set to 0 when changing groups.

Test Buttons

You can use the various buttons at the bottom of the Test Console to send lighting effect commands to the controller. Please remember that while the buttons may refer to 'Controller', Cosmic Color Bulbs or Pixels that are in Dual Normal mode will only update the string the Unit ID corresponds to. Using these buttons with an incorrect Channel Mode selected will produce unintended results.


Hub

Light-O-Rama Hub (or just Hub for short) is the new location in the LOR Software for all things Show Related. LOR Hub will eventually take over all functions of the LOR Show Player, LOR Show Scheduler, Simple Show Builder, and SD Card creation - both simple and advanced.

Hub also enables our new 'MotionPak' technology. When purchasing sequences from the LOR Sequence Store, you'll also be able to purchase optional additional programming for things like Singing Faces, Pixel Trees, and a host of other LOR Created props. LORHub will then combine the MotionPak with your sequence to automatically customize it.

Hub is also one of the first fully internet integrated programs from LOR. Hub can help you find sequences and MotionPaks, as well as be dynamically updated to support new props in the future.

Hub is going to be continuously updated for the next several release cycles. Currently LOR Hub supports the following: All Simple Show Builder functionality (Simple Show Builder is still available in this release in case of issues with Hub, but will be removed in a future version), MotionPak Functionality, new SD Card functionality.

Hub is not just a replacement for existing LOR programs as it also aims to improve on their functionality and ease of use. For example in this release is the ability to now EDIT SD cards without the need to re-create an entire show. This allows you to move sequences around on an SD card show, remove some, add new, and update existing ones from the computer. Cards must have been created with Hub or a newer version of Hardware Utility to be edited - not all Hardware Utility MP3 functions are currently supported.

Where possible, we try to make things simple and familiar. For example if you have been creating shows that run from a computer and now wish to start using an MP3 director, you will already be familiar with how to add sequences and schedule the show.


Creating Shows and SD Cards

In the future, Hub will be your one-stop-shop for creating and scheduling all shows - computer and MP3 Director based. Currently Hub has replaced all the functionality of the old Simple Show Builder. If you have previously used SSB to create your show, you should begin using Hub.

Hub can create and schedule shows for both Computers as well as LOR MP3 Directors.


Run from Your Computer

For building simple Computer based shows, like the ones that were previously created by Simple Show Builder, use the HUB Computer Show Builder. For complex computer-based shows, continue to use the LOR Show Editor and LOR Show Sceduler (which can be accessed from buttons in Hub). In a future release, Hub will incorporate all functions of Show Editor and Show Scheduler.

Please remember that if you have an existing show or schedule, they will be replaced by what you create here. If you have used the Show Editor or Schedule Editor programs, you should continue to use them instead.

On the left side are all of the sequences that are available on your computer in the specified directory. If your sequences are not located in your Light-O-Rama data directory, you can press the 'Change Directory' button to move to another folder on your computer.

Sequences are displayed with either [anim] or [music]. Anim are ANIMATION (.las) sequences. Music are of course MUSICAL (.lms) sequences.

Select one or more sequences on the left and press the "+" button. The sequences will then be added to the show you are creating on the right side.

To remove a sequence from the show, select it on the right side and press the "X" button. This removes the sequence from the show, but does not delete the sequence from your computer.

To change the order of sequences that are played in your show, select a sequence on the right and use the UP or DOWN arrow buttons.

You can schedule this show to run at up to 2 different times. If you want the same schedule all 7 days a week, select 'Same All Week' and set the time.

If you would like to have 2 different show start/stop times, select 'Separate Weekday and Weekends'. You can then select which days are considered 'Normal' and what days are considered 'Weekend' and set different times for both. Please note that even though we say 'weekday and weekend', you can select any days for either schedule. to change the time for a schedule, click the times. You will then be able to change the schedule times:

Next, choose whether you want the show to run continuously, or once every hour or every half hour. If you select "continuously", then after all of its sequences have been played, the show will automatically start over with the first sequence; this will continue until the end time is reached. If, instead, you select "once every hour" or "once every half hour", the show will stop after its last sequence, and start again once every hour (or half hour), until its end time is reached.

If you select Every 30 or Every 60 minutes, you can also choose what happens between shows. 'Lights On', 'Lights Off', or 'Slowly changing'. Please note that these options will only control a limited number of controllers, so not all of your lights may come on.

Pressing OK will create your show as well as schedule it for the times you selected. Please do not forget that you will need to load the LOR Control Panel and 'Enable Shows' for your show to start.


Run from an MP3 Director

LOR Hub can create simple or complex SD card shows for your MP3 director. Depending on the director you have, you may be able to schedule days/times for a show to run, select a 'starter' sequence, and many other options.

Generation 3 and newer MP3 directors can control DMX as well as LOR controllers. Directors with multiple networks can control any combination of DMX and LOR devices on separate ports.

Creating a New SD card show

Editing an existing SD Card show


Creating a new SD Card Show

Please remember that for this initial release, Hub can only create simple SD cards much like the Simple Show Builder. Please see the Light-O-Rama MP3 Directors topic for more information on how SD cards are created.

Before starting to create a new SD card show, please first insert the SD card you would like to use into your computer's SD card reader/writer. This will allow Hub to search for the card and correctly identify the drive. If you forget to insert the SD card, Hub will remind you:

When creating a new SD card show, the first thing you will be asked is which type of MP3 director you are using:

You should select the option for the MP3 director you own. LOR Showtime Central controllers all use the Mini Director, so you should select that. If you are unsure of which director you have, select 'Help Me Choose'. Hub will then show and describe the Show Directors we sell and have sold in the past so you can decide.

Next, you will be asked to verify the correct drive for your SD card, as well as select the show you will be creating. Hub will attempt to correctly identify the drive, however you should always double check to ensure that you are using the correct location on your computer.

If you insert a different SD card into your computer, please press the 'refresh drive list' button.

Show Selection

Up to nine shows can be downloaded to an SD card, and each will be assigned a number between 1 and 9. If two shows are scheduled for the same time, the lower numbered show will be played. Mini Directors do not have a time clock and so the lowest show number will always be played, unless you are using triggered shows. For this reason if you have a Mini Director, it is best to only ever create 'Show 1' to avoid confusion.

Note for SD card shows that will run on a trigger: If you will be starting this show by using a trigger (a switch or other device connected to the trigger ports on the MP3 director) the show number selected here must match the trigger port you intend on using. So for example, if you intend on using trigger port #3, you must create this show as "Show 3".


Editing an SD Card Show

Hub, unlike the other programs in our suite, allows for the editing of previously created SD cards without the need to completely re-build them from scratch. In order to use the editing functionality, the SD card must have been previously created with Hub. If the card was not created with Hub, you will need to create a new show the first time. You can then start to use Hub's SD card editing features.

Before starting to create a new SD card show, please first insert the SD card you would like to use into your computer's SD card reader/writer. This will allow Hub to search for the card and correctly identify the drive. If you forget to insert the SD card, Hub will remind you:

Next, you will be asked to verify the correct drive for your SD card, as well as select the show you will be creating. Hub will attempt to correctly identify the drive, however you should always double check to ensure that you are using the correct location on your computer.

Only shows that can be edited will be listed here. If a show is not listed here that is on your SD card, that show was created with either the Hardware Utility or the Simple Show Builder and does not have the required data to be edited. You will need to re-create that show as new.

If there are no shows found on an SD card that can be edited, Hub will warn you:

Once you have selected a show to edit, the familiar add/change sequence screen will be shown

The sequences on your computer are shown on the right, the sequences in the order they play on the SD card is shown on the left.

There are several important things you need to be aware of:

1.The * in front of a sequence name on the SD card side means the sequence cannot be found in the folder on your computer where it was originally created from. You may have deleted the sequence on your computer.

2.For each sequence on the SD card, Hub will verify that sequence still exists in the same folder as it did when the SD card was created. The * in front of a sequence name on the SD card side means the sequence can not be found. If you move that sequence, even to a folder that is currently displayed on the right, hub will not be able to update the sequence when you write the SD card. You should always keep your sequences in the Light-O-Rama Sequences directory.

3.For any sequence with a * on the SD card side, if you remove that sequence from the SD it is lost. In order to re-create that sequence you MUST have the original sequence. You can still move the sequence in the show, or duplicate it on the SD card, but once removed it is gone. Before removing, you will be warned and asked if you really want to remove the sequence or not.

4.Once an SD card is created, there is no indicator on the card if it is for a Deluxe MP3 director, or a Mini Director. Even if you edit an SD card and turn ON scheduling, the Mini director will run the show whenever there is power. Mini Directors ALWAYS ignore a schedule.

Here you will be able to add and change the order of sequences to be built for your show. If you have a Deluxe Show Director, you can also optionally schedule when the show should play. Mini Directors do not have a time clock and so the schedule is not displayed.

In the Sequences Available for SD Card Show, you will find a list of all sequences that can be added from your computer or duplicated from the SD card. The list is first sorted by sequences available on the computer, and then by sequences already on the SD card. Within those sequences are sorted based on if they are Animation or Musical. You may think it is strange to include sequences already on the SD card in the available list. However, this allows you to duplicate any sequence already on the SD card - including ones where you may no longer have the source (.LMS or .LAS). If your sequences are not located in your Light-O-Rama data directory, you can press the 'Change Directory' button to move to another folder on your computer.

Sequences are displayed with either [anim] or [music]. Anim are ANIMATION (.las) sequences. Music are of course MUSICAL (.lms) sequences. Animation sequences are sorted to the top, followed by Musical sequences. PC is a sequence located on your computer. SD is a sequence located on the SD card show.

Select one or more sequences on the left and press the "+" button. The sequences will then be added to the show you are creating on the right side. You can duplicate any sequence as many times as you like (up to 99)

To remove a sequence from the show, select it on the right side and press the "X" button. This removes the sequence from the SD card show, but does not delete the sequence from your computer. If you attempt to remove a sequence that can't be found, you will be warned.

To change the order of sequences that are played in your show, select a sequence on the right and use the UP or DOWN arrow buttons.

Schedule (for Deluxe Show Directors only)

If you have a Deluxe Show Director, you can also optionally set a schedule for when this show should run. If the SD card was created with a schedule, the current schedule is displayed.

·To change to a show that runs whenever the MP3 director has power (and the card is inserted), the button in the schedule section should say 'Schedule Ignored'.

·To change to a show that runs on a schedule, the button should say 'Run the Show on this Schedule", and the days/times will be enabled.

To change the scheduled start/stop time, click on the times under the day you wish to change. The change time dialog will then be shown:

Select the start and end time you desire. If you would also like to quickly set other days to the same schedule, click the boxes at the bottom (the day you initially clicked is always selected and can not be un-selected).

Writing the SD Card

Once you are satisfied with the sequences to be created on the SD card as well as their order, press either Create SD Card - Simple Mode or Create SD Card - Advanced Mode.

Simple mode will create an SD Card for 90% of situations. It will use a single port of your MP3 director at a default speed that should work with all controllers and sequences. All sequences from the existing SD card that were also found on the computer will be automatically updated on the SD card.

Advanced mode allows you to customize how the SD card will be written. You should use advanced mode if your display contains pixels, DMX channels, or Intensity Files (Enhanced LOR protocol), or if you wish to select which sequences on the SD card are updated.

While writing the SD card, you will see the SD Card status screen:

It may take several minutes per sequence to create your SD card. Once complete, you will see this message:


SD Card Sequences and Options

This is the Main Screen of the SD Card build process for both editing and new shows. Here you will add/edit/delete the sequences for the show you selected as well as specify any options.

There are several important things you need to be aware of when using SD cards:

For NEW SD card shows:

·Once an SD card is created, there is no indicator on the card if it is for a Deluxe MP3 director, or a Mini Director. Even if you edit an SD card and turn ON scheduling, the Mini director will still run the show whenever there is power. This is because the Mini Director does not have real-time clock hardware. Mini Directors will ALWAYS ignore a schedule

For SD card shows that are being edited:

·A * in front of a sequence name on the SD card side means the sequence cannot be found in the folder on your computer where it was originally created from. You may have deleted the sequence on your computer.

·For each sequence on the SD card, Hub will verify that sequence still exists in the same folder as it did when the SD card was created. The * in front of a sequence name on the SD card side means the sequence can not be found. If you move that sequence, even to a folder that is currently displayed on the right, hub will not be able to update the sequence when you write the SD card. To avoid confusion you should always keep your sequences in the Light-O-Rama Sequences directory.

·For any sequence with a * on the SD card side, if you remove that sequence from the SD it is lost. In order to re-create that sequence you MUST have the original sequence. You can still move the sequence in the show, or duplicate it on the SD card, but once removed it is gone. Before removing, you will be warned and asked if you really want to remove the sequence or not.

Sequences in this show...

Here you will be able to add and change the order of sequences to be built for your show

On the left side are all of the sequences that are available on your computer in the specified directory. If your sequences are not located in your Light-O-Rama data directory, you can press the 'Change Directory' button to move to another folder on your computer. It is highly recommended that you keep your sequences in the Light-O-Rama sequences directory which was created for you when the software was installed. If you did not change the location it will be My Documents\Light-O-Rama\Sequences.

Before the sequence name, you will see a few identifiers showing what kind of sequence and where the sequence is located. Sequences displayed with 'anim' are ANIMation sequences (.LAS). Sequences with music are MUSICal sequences (.LMS). The next identifier shows if the sequence is available on the PC or if it is only available on the SD card. If you are editing an existing show you may see a (*) as well. Please read the section above titled 'There are several important things..."

Select one or more sequences on the left and press the "+" button. The sequences will then be added to the show you are creating on the right side. You can duplicate a sequence onto the SD card as many times as you like up to the maximum number of sequences allowed in a show: 99.

To remove a sequence from the show, select it on the right side and press the "X" button. This removes the sequence from the show, but does not delete the sequence from your computer.

To change the order of sequences that are played in your show, select a sequence on the right and use the UP or DOWN arrow buttons.

For most users, the rest of this screen can be ignored and the 'Create/Update SD card - Simple Mode button can be pressed. This will create a show that is identical to the show produced by the old Simple Show Builder. If you are ever unsure exactly how your SD show will perform, please take a look in the 'TIP' section at the bottom of this screen (you may need to scroll down). The tip section will tell you in English exactly how this particular show will execute.

Additional Processing Instructions

LOR Hub can create complex SD card shows should you need them. These options are broken down into 3 additional sections: This Show Plays, When This Show Starts (optional), and When this show plays it will. The most used options (A show that runs whenever the director has power, loops continuously until it is powered off, and has no start sequence) is set as the default. Please remember that not all show directors will support all the options shown here. For example, Mini Directors can not be used with a schedule so that option will not be available.

This Show Plays...

This section gives three main options for when the show will play: "plays anytime powered", "plays during scheduled time", and "plays when triggered". Additionally, you can specify that the show cannot be interrupted by input triggers, even if other shows are set up to start on those triggers.

Selecting "plays anytime powered" will cause the show to run whenever the MP3 director is powered on.

Selecting "plays during scheduled time" allows you to specify a time or times when the show should play. Up to nine shows can be downloaded to a controller, and each will be assigned a number between 1 and 9. If two shows are scheduled for the same time, the lower numbered show will be played.

Selecting "plays when triggered" will cause the show to start whenever some external trigger happens (such as a circuit being closed or a motion detector being tripped). Please remember that if you select this option, the 'trigger' to be used is the same as this show number. For example, if this is Show 4, then the 4th trigger port on the director will be used.

A normally open switch has its contacts open until you activate it, at which point they close; a normally closed switch has its contacts closed until you activate it, at which point they open. Most switches are normally open; motion detectors, however, are typically normally closed. This is because they are often used in security systems, where it is important to notice that a wire has been cut.

Setting the Schedule (for Deluxe Show Directors only)

If you have a Deluxe Show Director, you can also optionally set a schedule for when this show should run.

·To create a show that runs whenever the MP3 director has power (and the card is inserted), the button in the schedule section should say 'Schedule Ignored'.

·To create a show that runs on a schedule, press the button. The button will then say 'Run the Show on this Schedule", and the days/times will be enabled.

To change the scheduled start/stop time, click on the times under the day you wish to change. The change time dialog will then be shown:

There are 2 main options here. If you do NOT want the show to run on the selected day,select 'Show does not run on these days". Otherwise select the other option.

For days that you have enabled, select the start and end time you desire.

If you would also like to quickly set other days to the same schedule, or to not run at all, click the boxes at the bottom. The day you initially clicked is always selected and can not be un-selected.

When this show starts...

For some show types, you will be able to specify a 'Starter' sequence. A starter sequence is always optional. If you use this option the sequence you specify will be played once and only once every time the show starts up, before the other sequences. This is most useful if you selected that the show should loop continuously. For example, a show with a start sequence and three sequences in the showlist will, when "loop continuously" is turned on, first play the start sequence, then the first sequence of the showlist, then the second, then the third, and then back to the first in the showlist - not back to the start sequence.

Both musical sequences and animation sequences can be used as start sequences.

When this show plays it will...

This section allows you to specify options controlling how the show will play.

There are 4 main selections:

Loop Continuously: Once this show is started it will play all sequences in order from the top to the bottom and then start over at the top. The show will stop when power is removed, or the scheduled end time occurs.

Play Once from Start to End then stop: Once this show is started it will play all sequences from the top to the bottom, then stop. While it can be used with any show, this is typically for triggered shows.

Repeat Every (60,30,15,10 minutes): Once this show is started it will play all sequences from the top to the bottom then stop. At the time specified, the show will start again from the top.

Play the Next Song in the List: Only available for Triggered shows. The first sequence in the list will play, then stop. When triggered again the NEXT sequence will play then stop. At the end of the list the next trigger will run the first sequence again.Note: Round Robin play can only be used G3 or newer MP3 directors with Firmware versions that support it (For G3-5.34 or higher)

If you selected 'Play Once from start to end then stop', or 'Repeat Every', you can also specify what your lights do when the show is not running.

ON: The lights are turned on (note: Pixel Controllers may not support this command)

OFF: The lights are all turned off

Running a Filler Sequence: Choosing this option will allow you to select an animation sequence. When the show is not running, this sequence will loop continuously until the next actual show starts/

Writing the SD Card

Once you are satisfied with the sequences to be created on the SD card as well as their order and any options, press either Create SD Card - Simple Mode or Create SD Card - Advanced Mode.

Simple mode will create an SD Card for 90% of situations. It will use a single port of your MP3 director at a default speed that should work with all controllers and sequences.

Advanced Mode allows you to customize how the SD card will be written. You should use advanced mode if your show contains pixels, DMX channels, or Intensity Files (Enhanced LOR protocol), or you are using a multi-port MP3 director.

Advanced SD Card Wizard Help

While writing the SD card, you will see the SD Card status screen:

It may take several minutes per sequence to create your SD card. Once complete, you will see this message:


Advanced SD Card Wizard

When using Advanced Mode to create an SD card, either by creating a new show or editing an existing show, the SD Card Wizard will appear. Depending on the Director selected, if this is a new show or not, and other options, some of these steps may not appear or some options may not be available.

When editing an SD card, the options here will default to the options of the current show on the card.

Step 1 - Update existing sequences or not

When creating a new Sequence, there is nothing that needs to be done here, just press NEXT

If you are editing a show you will be asked if you would like to update the existing sequences on the SD card or not:

Selecting Yes will search your computer for the sequence originally used to create the SD card. If it is found, any changes in the sequence on the computer will be moved to the SD card. This is recommended.

Selecting 'Ask' will prompt you for each sequence that is found on the computer that is also on the SD card. There you can select yes or no.

Selecting 'no' will leave the existing sequence on the SD card as-is. No changes from the computer for that sequence will be moved.

Step 2 - Currently Unused

As of this release there is nothing to be done at step 2, so it is always skipped. In a future release this will change.

Step 3 - Generation and Ports

If you have a G3MP3 director, select the check box here, and then specify the number of ports for your director.

Step 4 - Port information

This is what LOR Networks and/or DMX Universes the SD Card Wizard will write to the card, based on the priority system.

If the PC you are creating the SD card on is already properly configured to run this show, you can select this check box. When selected the Wizard will attempt to use the PC's network settings when creating the card (Speed, Enhanced LOR, etc). Even when selected, you can change the settings in option 6.

Step 5 - Misc Options

Here is where you can specify different options that your show or hardware may require. For most people, the defaults are OK:

·Lock Step: If you have a very large display, selecting "lock step" may help the different controllers used in the display react with a higher degree of synchronization. This is not supported on all controller types, and the level of firmware in the controllers must be 3.0 or higher.

·Set MP3 player's internal clock: If you wish to add a file to the SD card to set the MP3 director's internal clock, check the box that says so. Note that there are also other ways to set the director's clock.

·Strip MP3 Header Information: Some MP3s may have a large data block before the actual music data. For example, an MP3 may have several high-resolution pictures in its ID3 Tags. The MP3 director will correctly ignore this data, however it does take time to find the actual start of the music file. Stripping this data will allow the MP3 director to start playing the sequence faster.

·Keep lights ON at end if using DMX: Previously if one or both ports were controlling DMX Universes the MP3 director would always shut off all the lights. Checking this box will allow channels in DMX universes controlled by the MP3 director to remain in the last state they were sent. If you leave a light on at the end of a sequence, that light will remain on until the start of the next sequence.

·Show can not be interrupted by input triggers: Once this show has started on the MP3 director, pressing an input will not interrupt the show - it will run to completion.

·Advanced Throttling Options: The advanced options button will bring up an additional window that allows you to change parameters which relate to how data will be transmitted from your MP3 Director. Unless a specific issue is preventing your MP3 Director from working correctly, you should not change these options.

Step 6 - Director Port Settings

Communications port setup is done on step 6.

For each port your director has, you will be presented these options. So for example if you have a G3MP3 Dual Network director, you see this dialog twice. Once for the fist physical port, and then again for the other physical port. Depending on the type of equipment you have, your LOR license level, and/or the contents of your sequence, one or more of the options here may not be available to you.

If in Step 4 you selected that you would like the MP3's director ports set up the same as this PC, those values are loaded and used as the default here. You can further change them if the need arises.

If a port is using LOR devices:

Select the communications speed that will be used to broadcast lighting commands. The recommended setting (57.6) will suffice for many users' displays. If you have many controllers that are far distances apart, a slower speed may help; if your sequences use many rapid lighting commands, a faster speed may help.

·G3 directors (and higher) have additional speeds of 500K and 1000K available. The 500K speed is approximately four times faster than the previous high speed of 115.4K, but is only supported on Generation 3 (G3) devices with updated firmware.

·The 1000K speed can ONLY be used with networks that only contain PixCon16 controllers or Pixie family controllers. No other LOR controllers support 1000K.

·For directors that have multiple ports, you can specify a different speed(s) for each port. The MP3 Director will keep both networks synced even if your show uses multiple ports at different speeds.

·If your license supports Enhanced LOR Protocol and you are creating a card for a G3 or above director, an additional option may be available depending on the first sequence loaded. If the first sequence has both Normal LOR and Enhanced LOR commands available, you can select if you want BOTH to be written to the card (checked), or if you only want Normal (unchecked) commands written. If you do not have a G3 controller, or you do not have a license that supports Enhanced LOR protocol, or if your sequence does not have both types of networks, then this option is not available. There is no option that will allow for only Enhanced commands, even if your sequence has both available.

If a port is using DMX devices

DMX Universes run at a fixed speed, and therefore the options to change port speed are not available.

Final Step - Creating the SD Card

This final step will allow you to review how the SD card will be configured when written. If you are satisfied, press the 'Create SD Button'. Once the card has been completed, you'll be notified.


Throttle Parameters

While writing your show to the SD card for an MP3 player, the Hardware Utility will automatically monitor how much bandwidth is required by your sequence every centi-second. When the bandwidth is exceeded, the program can 'compress' your data so that your music and lights stay better in sync. The advanced options window allows you to turn this functionality on/off or adjust its parameters.

Please note that changing these parameters can cause your show to fall out of sync, have unacceptable delays, or cause other issues. You should only change these if you are having issues with the defaults, and even then be prepared to restore to the defaults should your show fail. For 99.9% of shows, these defaults are already optimized.

The Advanced Parameters window

·Throttle Data Output for Improved Performance: It is recommended that this option remain ON (checked). When checked, your sequence is monitored. For each centi-second that passes, the program will compute the amount of bandwidth required and compare it to the amount available. If unchecked, no throttling is done - this is the same mode as versions previous to 3.12.0.

·Minimum Throttle Time in CS: If throttling is enabled, this is the minimum amount that the sequence must be behind before compression starts. For example, if this is set to 5 CS, then once the sequence is 5 or more centi-seconds behind the audio, compression will begin. Setting this higher will allow for more complex areas of your sequence to remain uncompressed at the expense of lagging further behind your audio. The default value is 1, and this means that as soon as the sequence falls behind, compression should begin.

·Buffer Flush Time in CS: This can be thought of as the 'resolution' that your MP3 Director will run at. Setting the value lower will increase resolution as well as network load. Setting the value higher will decrease network load at the expense of having more commands be compressed. The default value of 2 most closely emulates what a computer produces for output, either in the Sequence Editor or the Show Player, when running a sequence on your hardware. For versions before 3.12.0, this value was 1.

·MP3 Director Network Efficiency: MP3 directors will typically use 100% of the bandwidth that is available for a port. Setting this to a lower percentage reduces the amount of throughput, which will cause more throttling to happen. It may be best to think of this option as a reduction in the network speed. For example, if you set a port to 57.6K speed, and set this option to 70%, then the hardware utility will throttle the sequence as if it was for a network that runs at approximately 40.3K (57.6 * 70%).


Network and Universe Priority System

Network and Universe Priorities

New advanced MP3 Directors, like the Dual Port G3MP3 Director, can drive 2 separate physical networks of devices. In the future new MP3 directors will be available that can drive 4 physical networks. These advanced directors can control LOR devices, DMX devices, or a combination of them on separate ports. The Hardware Utility will automatically select which networks and/or universes in your sequence will be used by the director.

Only the ADVANCED level of the LOR software will allow for the creation of DMX output for a director. All other levels are limited to creating LOR output only.

Older Directors, like the DC-MP3-SHOWTIME, are limited to ONLY the LOR REGULAR network.

For Advanced Directors, the Hardware Utility uses a ‘priority system’ based on the contents of the FIRST sequence added to the show list. In order to prevent confusion, all sequences that are part of a single show should use the same channel configuration.

1.If your license supports them, there is no difference between LOR Enhanced networks and normal LOR networks. Both are treated the same when it comes to priority.

2.LOR networks have priority over DMX universes.

3.The LOR REGular network has the highest priority, followed by AUX A through AUX O.

4.A lower number DMX Universe has a higher priority than one with a higher number.

5.If the sequence contains more networks and universes than your MP3 director can handle, those additional Networks and Universes are silently discarded.

6.If your director only has one port, then only the PORT 1 column applies.

Examples assuming that you have the ‘Advanced’ level of the software:

Your sequence contains.... | PORT 1 on the director controls | PORT 2 on the director controls | Notes
1.LOR REG | LOR REG | (*) | Only one network, so it is placed on port 1. See note for port 2.
1.LOR REG 2.LOR AUX B | LOR REG | LOR AUX B | Both ports active with LOR
1.LOR REG 2.LOR AUX A 3.LOR AUX B | LOR REG | LOR AUX A | Aux B is silently discarded.
1.DMX Universe 1 | DMX Universe 1 | (*) | DMX on port 1. See note for port 2..
1.LOR AUX A 2.DMX Universe 1 | LOR AUX A | DMX Universe 1 | LOR devices have priority over DMX, so AUX A is on port 1.
1.DMX Universe 1 2.DMX Universe 99 | DMX Universe 1 | DMX Universe 99 | DMX Universes are assigned in ascending order.
1.LOR REG 2.LOR AUX A 3.LOR AUX B 4.DMX Universe 1 5.DMX Universe 99 | LOR REG | LOR AUX A | LOR Devices have priority over DMX. REG has highest priority followed by AUX A. Others are discarded.

* Please note that the MP3g3 dual network controller will mirror the output of Port 1 onto Port 2 on a per-sequence basis. If you wish to have all controllers on port 2 stay dark during certain sequences, ensure that ALL of the sequences in that show use the same channel configuration. That is to say, ensure all of your sequences contain channels for BOTH ports, even if those channels are all OFF for the duration of the sequence.

'Startup' sequences as well as 'Filler' sequences can also use LOR or DMX devices on advanced directors and the same rules apply to them.


Applying and Using MotionPaks

MotionPaks are the exciting new way to customize your LOR purchased sequences. MotionPaks allow you to add programming for custom props that you build or purchase from Light-O-Rama.

For example, LOR sells 'Singing Faces' - ready-to-go items for your display. Once you have purchased the hardware prop, from our sequence store you can purchase the programming to make them work. LOR Hub will then take the MotionPak and combine it with your sequence. You will only ever have to pay for programming you want, saving money.

MotionPaks are a lot like sequences - but they only contain the programming for specific elements. You use LOR Hub to combine the MotionPak with the existing Base Sequence


LOR Sequences

Sequences are the programs that make your show work. The Light-O-Rama software allows you to create your own sequences, or you can purchase ready made sequences from our sequence store.

Purchasing sequences from our sequence store makes having a show a breeze! Our sequences are designed to get you off to a fast start and to make you look great! Once you have purchased a sequence, you can customize it with MotionPaks - additional programming for additional display items to make your show unique!

To see what sequences are available, press the 'Shop for Sequences' button in Hub.


LOR Hardware Props

While it is possible to create your own Props and use them with MotionPaks, the easiest and fastest way to add a new dimension to your show is to purchase the prop from Light-O-Rama.

Light-O-Rama props are pre-configured to work with MotionPaks and Light-O-Rama sequences right from the box. Simply connect your new prop to your existing controllers with a CAT-5 cable, purchase and download the MotionPak for each sequence in your show for that prop, press the 'Scan For MotionPaks' button in hub, then 'Do it!'. All of your sequences are updated and it just works!

To see the props available from Light-O-Rama, press the 'Shop for Props/Hardware' button in Hub.


LOR MotionPaks

MotionPaks are what bring unique display elements to life. These are not 'sequences' in themselves as they do not contain the programming for any other part of your show - you will need to already own (or purchase) the 'Base Sequence' from the Light-O-Rama sequence store.

The 'Base Sequence', usually just called the 'Sequence' contains all the main commands for a particular song. If a MotionPak is available for that particular sequence, it adds additional programming to make things like singing faces or pixel trees work. A MotionPak is unique to the sequence it is for, as well as for the prop it is made to control. For example, you could have the sequence "A Mad Russians Christmas" by TSO in your show. There could be several different MotionPaks available for that sequence - one for singing faces, another for a pixel tree, and perhaps even one for a pixel screen. You only need to purchase the MotionPak(s) for that sequence for the prop(s) you own. And remember that the 'Singing Face' MotionPak for this sequence is not the same as a MotionPak for a singing face for "Hard Candy Christmas" by Dolly Parton.


Updating Sequences with MotionPaks

You use Light-O-Rama Hub to combine the programming of a MotionPak with an existing LOR Sequence store sequence. If you have not made any changes to your sequences or props purchased from Light-O-Rama, the process is very simple.

First, be sure that your Light-O-Rama base sequences (the files with the main programming for a sequence) are all in the Light-O-Rama Sequences directory.

Next purchase and download the MotionPak(s) you would like for the sequences you already own. You can always purchase a new sequence and then install a MotionPak.

In Hub, press the 'Scan/Apply MotionPaks button'. When you do, Hub will look to find all new MotionPaks since the last time you ran the scan. When it is done looking you'll see something like this:

In this case Hub has found 3 new MotionPaks, along with their associated 'Base' sequence. For most people, simply press 'Perform Selected Action' to continue. Otherwise to the left of each MotionPak are 3 options you can select from:

1.Apply MotionPak - Updates your base sequence with the MotionPak programming

2.Skip This Time - Does not update the base sequence. The next time you scan for MotionPaks, this one will re-appear

3.Don't Ask Again - Does not update the base sequence, and the Motion Pak will not re-appear in a scan. See Reset Scan for why you may need this option.

For each MotionPak that you apply, you'll be presented with some information about it:

If you did not make any changes to your LOR Prop or LOR Sequence, simply press 'Do It!'. Your Sequence will be updated with all the commands from the MotionPak, and the job is complete.

If when applying a MotionPak Hub finds more than one sequence that could be the base sequence, you will be asked to select the correct one.

In this case, there are 4 sequences in the Sequences Directory that are matching up to the MotionPak. Please select the correct one and press the OK button.

If you need to change the default settings of a MotionPak, for example you changed the Unit ID of the prop, press the 'Advanced Options' button. Here you can change the network and unit ID of the MotionPak to match your hardware.

In this case, the show has 2 LOR networks and the Singing Faces prop for the MotionPak is on Aux A (rather than REGular)


ServoDog Utility

The Light-O-Rama ServoDog Utility can be used to configure the Light-O-Rama ServoDog, which is a fourteen channel digital controller that can perform digital input, digital output, servo control and PWM ("Pulse Width Modulation") dimming.

For details on how to use the ServoDog Utility, please refer to your ServoDog manual. This can be downloaded from the Light-O-Rama Support page.

The Light-O-Rama ServoDog Utility


Visualizer

The Light-O-Rama Visualizer is a sophisticated planning and virtual hardware simulation tool designed to compliment the Light-O-Rama software suite.

The Visualizer will most commonly be used during the design of your show. It allows you to add and edit lights on a virtual stage, to see, what they will look like in the real world. Once the design is complete and the channels are virtually wired, the Sequence Editor or the Show Player can control the Visualizer just as if it were any of the hardware types supported by Light-O-Rama. This even includes advanced controllers such as Cosmic Color Devices, as the Visualizer includes supports for all CCR macros and color modes (channels 151-157).

Since the Visualizer uses standard IP communication, it is not limited to just design simulations on your sequencing computer; it can also be used as a display item in your show. For example, you could attach a large screen TV to a computer somewhere else on your physical stage and control it from your show computer.

· System Requirements

· Limits

· Concepts and Terminology

· Tutorial

· Advanced Topics

· Dialog Windows

· Mouse Wheel

· Shortcut Keys

The Light-O-Rama Visualizer


System Requirements

For editing, the Visualizer should run without difficulty on any reasonably modern computer from the past ten years.

For simulation, the performance of the Visualizer is dependent upon the size of the simulation, the number of channels in use, the rendering engine used, and the amount of data being sent from the Sequence Editor or Show Player. Using the Advanced Rendering Engine, the Visualizer has been successfully tested with a 1920x1080 10,000 channel RGB sequence. These performance numbers are highly dependent on the performance of the video card installed on the machine.

The size limit of a simulation or background is 2500x2500. If you load a simulation larger than that, or start a new simulation with a picture larger than that, you will be prompted to change the size. Please understand that just because the maximum is 2500x2500, that does not mean that you will have success with your simulation at that size. Smaller simulations will run much faster than larger ones.


Limits

The Light-O-Rama Visualizer imposes the following limits on your visualizations:

Editor

·Maximum size of a simulation: 2500x2500 pixels. However, it may be further limited based on your computer's specifications.

·Total number of fixtures: 1024

·Total number of props: 512

·Maximum number of bulbs/vertices per fixture: 256 (depending on Fixture Type)

·Maximum number of loaded channel references: 10,000 normal plus 10,000 RGB

Simulation

·Maximum number of virtual channels: Unlimited, but only the first 255 will be simulated.

·Maximum number of fixtures per channel: Unlimited, but only the first 16 fixtures will be simulated.

·Cosmic Color and DMX Pixel Fixtures: Only 1 CCD fixture per Network/Unit or 1 DMX Pixel fixture per Universe - No duplicates.

·Device types and unit IDs: This depends upon your license's feature level. Please refer to the feature comparison chart to check whether your device type or unit ID is supported by your feature level. Note: The demo version of the Visualizer counts as Basic with respect to this.


Concepts and Terminology

There are several concepts you should be familiar with before you create your first visualization with the Light-O-Rama Visualizer:

Stage and Background

The main editor area is known as the "stage". The stage is the area where you will be designing your layout, and where the Visualizer will simulate your design. When creating your stage, you should create one large enough to comfortably create all your design elements, while minimizing the size to enhance performance. You can also import a background picture (in GIF or JPEG format) to give a more realistic representation of your stage.

Drawing Lights

Upon the stage, you can draw bulbs or strings of bulbs, which are simply called "lights". The Visualizer supports multiple different light types including mini/rope lights, individual bulbs, Cosmic Color Devices, DMX RGB Pixels, and flood lights. Strings of lights do not need to be continuous - you are free to draw a single string in one location, then another in another location, and make them both part of the same fixture.

There are several different kinds of lights, shapes, and channel effects. Some fixtures can only use certain types of bulbs, or have certain parameters. For example:

·The maximum size of a flood light is 64, versus 16 for "normal" type bulbs.

·Flood lights can only be of round shape, while strings can use any of several different shapes.

·Strings are the only type of light that have a "spacing".

Fixtures

All lights automatically become part of a "fixture". The fixture is actually the primary element on your stage. Whenever you create or select lights, or make changes, you are actually manipulating one or more fixtures.

Every fixture has its own set of properties depending on what kind of fixture it is and what kind of channels the fixture uses. These properties allow you to change the size of the bulbs on the virtual stage, the foreground/background level, name, comment, et cetera.

It helps to think of a fixture as a collection of zero, one, or more channels. For example, if you are using Light-O-Rama to drive a holiday light display, a single fixture could be the "Left Garage Bush", where you have four different color light strings, each being a different channel. You could then also have the "Right Garage Bush", which is a collection of four different channels.

Channels

You can use and reuse any channel on any normal fixture. There are no restrictions on duplicating one or more channels from one fixture to another.

The number of channels you can assign to a fixture depends on the fixture type as well as the type of channels (normal or RGB). While a fixture that has no assigned channels cannot be simulated, it is perfectly acceptable to create them.

There are four different types of channels in the Visualizer: CCR, DMX Pixel, Normal, and RGB. The CCR and DMX Pixel type channels can only be used with CCR (Cosmic Color Ribbon) or DMX Pixel fixtures respectively. Neither can be directly created. The RGB type channel, which can be assigned to any fixture type, requires exactly three Normal channels - one each for the red, green, and blue components. When these channels are rendered the three components are combined to create a bulb in true color. Normal channels consist of a single bulb color.

Since the fixture is a collection of channels, it is also where you will create those channels and the colors they represent. While you can use your sequences or channel configuration files to help create the channels within the Visualizer (see Reference Channels), you need to understand that there is no real connection between the sequence file and the Visualizer file. The Visualizer will only ever use the color you specify within the Visualizer for a particular channel on a fixture. For example, if you create a channel in the Sequence Editor that you specify as blue, and then create a fixture that contains the same channel in the Visualizer but instead say that it is red, it will display within the Visualizer as red, not blue.

Even if you use a reference file (i.e. a sequence file or channel configuration file), no connection is maintained between that file and the Visualizer. For example, if you use a reference file that defines a channel in the Sequence Editor as green, and then later change it within the Sequence Editor to white, the Visualizer will still render the channel in green, until you change the channel on the fixture in question within the Visualizer.

With the exception of the color, to properly communicate between the Sequence Editor and Visualizer, you must define the channel identically in both. Think of this as properly "wiring" the Visualizer, much the same as you would wire your stage. For example, if your "Left Garage Bush Blue" channel is defined in the Sequence Editor as device type LOR, Regular network, unit 1A, circuit 5, then you should define the channel the same way in the Visualizer: device type LOR, Regular network, unit 1A, circuit 5.

Props

A "prop" in the Visualizer is a collection of fixtures. Since fixtures are collections of channels, think of a prop as being an easy way to associate different collections of channels. For example, you may create a large Christmas tree on your stage that consists of eight regions, each of which is four colors. Each region could be made as a fixture, and the collection of all eight regions (fixtures) could be made a prop called "The Tree".

You do not directly draw props. Instead, you create the individual fixtures and then associate them together as a prop.

A Quick Review So Far

Props contain fixtures, fixtures contain channels, and channels tie the Visualizer together with your sequence that is run in the Sequence Editor or Show Player.

Layers

The Visualizer uses a concept called "layering" (or "Z-Order") when creating fixtures. Fixtures can be placed on one of sixteen levels from the "background" (level 1) to the "foreground" (level 16). The primary use of levels is to allow you to layer fixtures on your stage. When you simulate your show, fixtures are rendered in background to foreground order. This means that fixtures on higher levels are rendered on top of those in the back. You can also disable the simulation of certain layers so that you can better see areas that may be hidden.

Layers can also help you design your stage. Much like turning off layers for simulation, you can turn them off for editing. Fixtures that are on edit disabled layers can be made invisible and cannot be selected in the main stage area. This allows for easier selection of fixtures and props that may be hidden or obstructed.

Wizards

To aid in the creation of complex props and fixtures, the Visualizer provides several different wizards. These wizards allow you to quickly create Trees, Arches and Fans, DMX Pixel Universes, CCRs, and CCR Matrices. Each wizard has unique parameters.

Import/Export

The Visualizer also helps you quickly create a stage by allowing for the import and export of previously created fixtures and props. You can quickly create a library of standard objects and quickly share them between different Visualizer files, or with other users.

Symbol Fixture Creation

To create complex fixtures, you may want to use the "symbol" create tool. The symbol tool can take a character from a graphics font (such as "Wingdings"), and create a light string representation of it.


Using DMX/LOR Enhanced Devices

With the recent advent of inexpensive DMX devices, specifically DMX pixels, the Visualizer no longer receives data from other programs in the suite exclusively through the connection configured with Tab 6 of the options dialog. With the release of S4, we also introduced a new LOR Enhanced Network communication. All DMX and LOR Enhanced communications in the entire suite are routed through the Comm Listener. Think of the the Comm Listener as a traffic cop that can direct your DMX/LOR Enhanced output to many different places and devices. The Comm Listener is automatically started by the Control Panel as needed.

If your DMX/LOR Enhanced Devices are not working in the Visualizer, here are some troubleshooting steps you should take:

1.Use the Tutorial and ensure that it is working. Please follow the steps as if you had never used the Visualizer before. This will test that you have correctly set up the basics.

2.Ensure that you are running AT LEAST the Advanced version of the software. Only Advanced and higher can control DMX devices.

3.If the sequence you are attempting to use has Intensity Files, you need to be running the PRO version of the software. Only Pro can send commands to the Visualizer found in Intensity Files.

4.If the network you are using is LOR Enhanced, you need to be running the PRO version of the software. Only Pro can send commands to LOR Enhanced networks.

5.Ensure the Comm Listener is running. If it is not running, then check to ensure you have the Control Panel loaded and running.


Tutorial

This tutorial will walk you step by step through creating your first visualization with the Light-O-Rama Visualizer, and then controlling that simulation through the Sequence Editor. The Visualizer uses standard menu items and controls, so you may want to skip this section and dive right in if you are comfortable.

Since the majority of users of Light-O-Rama create light shows for the outdoors, this tutorial is geared towards them. However, the concepts presented here apply equally to any stage.

To begin using the Visualizer, you should first have a digital picture of your stage in either JPEG or GIF format (JPEG is recommended). You may want to edit your picture in a photo editing program to reduce its size and to cut out parts of your stage that will not be used in your show. If you would like to follow along exactly with this tutorial, use the one supplied with the Visualizer (called "InTownHouse.jpg", located in the "Visualizations\Editor\LOR Visualizer Tutorial" directory).

A Quick Review of the Main Window

Start the Visualizer just like you would any other program in the Light-O-Rama software suite (either through the LOR Control Panel's popup menu, or your computer's Start menu). There are several main areas of the Visualizer that you should be familiar with:

·Near the top of the screen, you'll see the tool bars. The tool bars give you a quick way to perform most of the commands within the Visualizer. The three toolbars are:

·The Edit Bar: Commands on this bar allow you to manipulate the simulation, fixtures, props, or the background. It includes things such as new file, cut/copy/paste, et cetera.

·The Draw Bar: Commands on this bar allow you to change to various modes - prop selection, fixture selection, simulation, et cetera.

·The Display Bar: Allows control of information display, including the colors of prop and fixture names, the drawing grid, et cetera.

·On the right side, when a simulation is loaded, you'll find the list of props and fixtures being used in the current file. The list is called the "Object Selection" area.

·At the bottom of the screen is the status bar. Program information is displayed there, including the current cursor location, if the file is unsaved, et cetera.

Create a New File

Select the "New File command" to begin creating a new Visualizer file. You can create the new file by going to the "File" menu and selecting "New", or by selecting the "New File" command on the Edit toolbar. Most menu commands are duplicated on the toolbars.

You will be presented with the first of two dialog windows. The first window asks you if you would like to use a background picture for your stage, or if you would like to use a "blank" background. For this tutorial, select the "use a background" picture option, and then press the select file button ("..."). You can select either a picture of your own stage, or the sample file ("InTownHouse.jpg") included when you installed the Visualizer.

The next dialog presented will allow you to change the size of the simulation. When creating a new simulation, you need to take into account the performance of your computer. The larger the simulation you create, the more resources the Visualizer will need when running your simulation. If you are using the included sample background, you can keep the size as-is. Otherwise, a good size to start with is 800 x 600. The system will automatically resize your background picture to fit the window size you specify. You could also divide your stage up into several different Visualizer files for ease of use. For instance, you may want to use one for stage left, and a separate one for stage right. You should also remember that Visualizer files are separate from any sequence, channel configuration, or show file. You can use and Visualizer file with any show or sequence.

If you like, you can change the intensity of the background using the slider here, or the one on the "Display Tool Bar" found on the main screen.

Once you have selected your size, the main edit screen will be updated with your new parameters and picture. If in the future you wish to change the size of the simulation or the background graphic, you may do so by selecting "Simulation Properties". If you resize your simulation, the Visualizer will automatically reposition all of your lights. If you change the background graphic, you will need to move things around as needed.

Drawing Lights and Creating Fixtures

We will now create some lights and fixtures. Select the "Light String" icon on the toolbar or from the menu: Edit / Toolbox / Draw Light Strings. Move the mouse to the main editing area and your cursor will change into a pencil. You are now in "draw" mode. There are several different draw modes, depending on which tool you are using. Currently you are drawing "strings"; other tools allow you to draw "flood lights", "single bulbs", "CCRs", et cetera.

Pick a place where you would like to start drawing strings, and click the left mouse button once. For this tutorial, select the leftmost roof edge. now move the mouse to the second location - at the bottom of the roof. When you move the mouse, you'll see a sight line appear. It is along this line that the Visualizer will create your string of lights. Click again. This anchors the lights at that location, and you can continue drawing. Draw several more lines of lights along the roof until you get to the second "peak", and then double click. You've just created your first fixture!

Depending on if you have changed any of the Visualizer options, you should be presented with the "Fixture Properties" dialog. If it didn't automatically show, simply double-click "New Fixture 1" in the object selection area on the right of the main screen. The Fixture Properties dialog allows you to change many different aspects of a fixture. For a complete description of all the different options, please see the section titled "Fixture Properties".

The first thing to do is to give your new fixture a descriptive name. Since we outlined the roof, simply call it "Roof Outline". You are free to name fixtures any way you like. The comment field is a convenient place to hold information you may want to use later - actual lengths of lights, amperage drawn, et cetera.

Skip down to the "Assigned Channels" section, so we can set some channel colors. Click on the first row, and the "Channel Settings" dialog will appear. This dialog is similar to the one you use in the Sequence Editor to define a channel. We'll touch more on this dialog later when we get ready to do a simulation, but for now we simply need to give the channel a name and a color. Call the first channel "Roof Red", and then set the color to red. Hit "OK", and then create three more channels, in green, blue, and white.

While you were creating those channels, the changes were being reflected in the "Sample Bulbs" area. Light strings in the Visualizer are a lot like multi-wire rope lights: Along the path you drew, the Visualizer will create as many repeating groups of lights as needed. First, hit the "Background Color" button, and change the color to black if it is not already. You should now be able to see all four bulbs in the colors you specified. The background color button only affects the display of the sample bulbs in this dialog; it has no other effect.

Since we are playing with the bulbs, let's check out a couple more things you can do with them. The "Size", "Spacing" and "Shape" are exactly what they sound like: Size controls how big each bulb is on the string. Spacing controls how much empty space is left between bulbs. Shape lets you choose from ten different types of bulbs - round, various stars, and so forth. For our example, choose the "5 Point Star" with size 6 and spacing 2. Now press OK and your main screen will be updated with the new bulbs following the path you created.

Now let's create another string. Start at the left of the second peak and draw up to the top, then back down to the right, ending with a double click. A new dialog appears that allows you to assign this new drawing to an existing fixture, or to use it as the basis for a new one (if you were not prompted, delete this new drawing, go to "File / Options / 4. Fixtures" and change the "Assume the fixture is new" dropdown from "Always" to "Ask", and then try again).

Since this is another roof string, select the "Roof Outline" fixture. By repeating these steps, you can create lights on different parts of your stage that all behave using the same channels. Your roof now consists of two separate strings.

Take what you have learned up to this point, and create two more string fixtures: one for the gutters, and another around the garage door. Be sure that each fixture has four channels assigned, and that the channels are red, green, blue and white (in that order). Make them any shape you want, along with any size or spacing you desire.

Different Kinds of Fixtures

The Visualizer does not limit you to only the string fixture. In fact, there are five different types of fixtures you can create:

·String: Multi-wire rope light/Mini Lights

·CCR: Cosmic Color Ribbons and other Cosmic Color Multi-Bulb fixtures (such as CCBs)

·Flood: Flood lights

·Single Bulbs: Single-point light sources - Christmas tree stars, strobes, et cetera

·DMX Pixels: One or more Single RGB Light Sources controlled by DMX.

·Pixel Universe: One or more RGB Pixels driven by a single DMX universe.

The Visualizer is RGB-Aware

Let's create a new Cosmic Color Flood Light that shines on the garage door. The Visualizer is RGB-aware, and can properly blend channels into more than sixteen million colors.

Select the Flood Light tool, and then click on the center of the garage door. The "Fixture Properties" dialog box will appear, but you may notice that it looks a little different. Name the flood light "Garage Flood", and change the size to 64.

Change the "Channel Type" from "Normal" to "RGB". Three channel spaces will now open up. Name each channel, just like you did with the String fixtures. Notice that you can't change the colors - that is because this is an RGB fixture, and the Visualizer will blend the values that it receives from the Sequence Editor or Show Player to create the actual color of the bulb.

You may have noticed that when you selected channel type RGB, the "RGB Sample Color" button was enabled. This sample color is only used to draw the bulb while you are editing. To help keep things separate, make the sample color something that you don't normally use on your stage. For now, we can keep the pink color. Press "OK".

Editing Strings and Bulbs

Let's also take a moment to learn about editing strings and lights. Click on the "Fixture Select" tool on the toolbar (or Edit / Toolbox / Fixture Select Tool from the menu). The cursor changes to an arrow. Now click on one of the strings over the roof.

The light string will turn into a dashed line, and a lot of "handles" will appear in red and green (or, if you changed them, the colors you selected). The red handles are called "tool handles". They allow you to stretch, shrink, skew, and rotate the entire fixture. For example, you can grab a corner and drag; doing so will make the fixture bigger or smaller. The tool handles are as follows:

·Four corners: Stretch and shrink

·Four middle arrows: Skew

·Dot (right side): Rotate

·X (middle): Move

The green handles are called "vertex handles". You can grab any one of these and move that light anchor to a new location, or delete it. Place the cursor over one of the vertex handles, and it changes to a cross-hair. Click once, and this point is removed. Click and drag, and this point is moved to a new location.

You can split a string into two separate segments by simply placing the cursor over the sight line between any two points and clicking once. A new vertex handle will be created.

While drawing and editing, you can change the behavior of the mouse using the Shift and Ctrl keys:

When you press and hold Shift, the precision of the mouse is enhanced. This allows you to more carefully place a string, edit a fixture, etc.

When you press and hold the Ctrl key, the cursor will only move in a vertical or horizontal motion, depending upon the initial movement of your mouse. For example, if you press and hold the Ctrl key, then move the mouse generally upward or downward, you will only be able to move the cursor up or down from that point. The same holds true for side-to-side motions.

To resume normal mouse movement, release the Ctrl key.

If desired, both the Shift and Ctrl keys can be used at the same time.

Once you are done experimenting, put the Roof Outline fixture back where it belongs.

Object Selection Area

The object selection area on the right can also be used to select a fixture. Click any fixture name, and it will be selected just as if you pointed at that fixture and clicked at it in the editor. This is useful if you have multiple fixtures that are close together, and can't seem to be able to select the one you want. If you want to change the properties of a fixture, double clicking the fixture name in the list will bring up its properties box.

The Visualizer has many commands that you may already be familiar with from other editing software: Delete, Cut, Copy, Paste, et cetera. Feel free to learn about them at your own pace.

Wiring

Now that you have created a few fixtures, let's wire those fixtures up so you can run your first simulation. For now, we are going to create the channels manually, but you could also load a Sequence Editor file into the Visualizer and use it as a "reference" - something you can learn more about in the Reference Files section of this help file. Once you have wired a fixture, the Visualizer will remember the settings each time you load this simulation file.

Double click the "Roof Outline" fixture in the object selection area on the right. The now-familiar Fixture Properties dialog will be shown. Click on the first channel (the red one that you created), and you will be presented with the Channel Settings box.

In order for your simulation to be properly controlled by the Sequence Editor or any other program in the suite, the channel details must match those in the sequence. Since you are probably the most familiar with Light-O-Rama controllers, let's use those:

Set the Red channel to device type "Light-O-Rama Controller". When you do that, more fields become available. Set the network to "Regular", the unit to "01", and the circuit to "1". Leave the "Special Type" field blank. Then press "OK".

You have now "wired" the first channel of this fixture. Go ahead and wire up the next three channels, using circuits 2 through 4 (green as 2, blue as 3, and white as 4). Now wire up the Gutters fixture using circuits 5 through 8, and the Garage Door fixture using circuits 9 through 12 in the same manner.

RGB fixtures are wired similarly, so go ahead and wire up the Flood Light fixture using circuits 13 through 15. You should save your file now by using the "Save" icon in the toolbar, or by selecting "File / Save" from the menu.

The most important thing to remember about wiring up your simulation is that there is no connection between what a channel is called or what its color is in the Sequence Editor and what the name or color is in the Visualizer. Just as with a physical controller, you could call a channel "Blue Door" in the Sequence Editor, but hook it up to the "Red Tree" on your stage. If you see unexpected results during a simulation, this is the first thing to check.

Running Your First Simulation

Now we need to do a bit of setup so that the Sequence Editor and the Visualizer can "talk" together. You should only need to do this once, and possibly in the future if you do something such as changing computers. The defaults should work, but we should double check them.

Select File / Options from the menu, and then click on the "6. Com/Ref" settings tab. Check that the Communications field is set to "Local", that the IP address reads "127.0.0.1", and that the port is "30303". Press "OK".

Start the Sequence Editor, and load the tutorial test sequence that was included (located in the directory "Sequences\LOR Visualizer Tutorial"). Go to Edit / Preferences / Visualizer Preferences. Ensure that the Host is set to 127 0 0 1, and the port to 30303. The thing to take away from this is that the Visualizer settings and the Sequence Editor settings must match with each other; if the two programs are set up differently, change one or the other so that they match, and then press OK.

Ensure that the Sequence Editor is set up to control the Visualizer: From its Play menu, ensure that the "Control Visualizer" option is checked. If it is not checked, the Sequence Editor will not send any commands to the Visualizer.

Almost there. Unless the Visualizer is placed into Simulation mode, it will ignore all commands from the Sequence Editor. To place the Visualizer into Simulation mode, press the "Play" icon in its toolbar. The Visualizer will then go into Simulation mode, hiding many of its controls and toolbars. It is now ready to accept commands from the Sequence Editor.

Note: Depending upon your operating system and security settings, you may be prompted that the Visualizer was blocked from communicating. If so, you can select "Unblock". If you do not unblock the Visualizer, it will not be able to receive commands from the Sequence Editor. For more information, see the section titled "Simulation and Firewalls".

Now play your sequence in the Sequence Editor (using its Play button on its standard toolbar). If everything is set up correctly, you'll see the lights in your simulation flash on and off. Congratulations!

If you don't see any lights flashing, make sure that you have correctly set up the communications parameters, that you have selected "Control Visualizer" on the Sequence Editor's Play menu, that the Visualizer and the Sequence Editor are both in "play" mode, and that you have wired up your channels correctly. If you see wrong lights flashing, make sure that you have wired your channels properly.


Simulation Mode

The Visualizer has two main modes of operation: Edit mode and Simulation mode. Edit mode is where you make all the changes to your stage by adding and removing fixtures and props, wiring them, and the like.

Simulation mode is entered by pressing the 'Play' button on the toolbar. When the Visualizer is in simulation mode, you can not interact with the fixtures and props on your stage. Instead the lights associated to those items are listening for commands from the Sequence Editor or Show Player. Those commands will cause the various bulbs in your simulation to light up - much like you would see on stage using actual hardware.

Before going into Simulation Mode, the Visualizer must 'compile' your stage into something it can understand and relate to the commands that will be coming from the rest of the software. During this time the Visualizer is creating tables that relate your wiring to how it interacts with the fixtures, and creating virtual instances of all the hardware you have used. For some hardware, most notably Cosmic Color Devices and Pixel Universes, there are some additional rules that your simulation must abide by. Once all of those things have successfully completed, the Visualizer is now in Simulation Mode.

When Simulation mode is active, a portion of the program called 'The Renderer' is put in charge. It is The Renderer's job to take the commands coming from the sequence editor, translate and update your fixtures and props, and then display those results on your screen as a picture. The Visualizer has 2 different rendering engines that can be used depending on your computer's hardware.

When possible, you should always use the 'Advanced Rendering Engine'. This engine can take advantage of the hardware acceleration that your video card and system can provide. The Advanced Rendering Engine is many times faster than the 'Regular Rendering Engine', but because of differences between computer and video card manufacturers the advanced engine may not work on your computer.

If you are experiencing problems with the Advanced Rendering Engine, you should switch to the Regular Engine in the Options Dialog, Tab 6.

There are a couple of minor differences between the Advanced and Regular engines. The Advanced Rendering Engine:

oRequires that your background image have a width that is evenly divisible by four. If needed, the Visualizer will automatically adjust the width of your background to compensate, but you may notice a 1 or 2 pixel difference.

oHas brighter backgrounds if you have 'dimmed' them. You may need to further reduce the 'brightness' of your background before going into simulation.

oDisplays floodlights slightly differently than the Regular engine. In the Regular engine, floods have a brighter center and a dim edge. In the Advanced engine, floods are the same opacity from center to edge.

oThere could be minor size or placement differences between a bulb in the regular engine (or the editor) and the advanced engine. These differences should not be more than a couple of pixels, and are expected.

oThe Visualization always runs at the full size specified in the editor properties. There are no scroll bars/etc.

While both modes will show current performance in Frames Per Second (FPS), please note that these two numbers can not be compared to one another. This is because the Advanced Rendering engine only updates during what is know as the 'Video Blanking Interval'. This means that the Advanced Rendering engine, when idle, should be locked to your computer monitor's refresh rate (+/- a few FPS). For modern computers with LCD screens, this is typically 60HZ - and therefore 60 FPS. Other computers with different monitors should lock in at the refresh rate specified in Windows. For example, if you have a 70HZ refresh rate, you should see approximately 70 FPS at idle. The older rendering engine will have a variable FPS


Advanced Topics

This section covers several advanced topics for the Light-O-Rama Visualizer:

· Wizards

· Tree Wizard

· Arch/Fan Wizard

· CCR Wizard

· DMX Pixel String

· CCR Matrix Wizard

· Channel Assignment Wizard

· Reference Channels

· Virtual Channels

· Importing and Exporting Fixtures and Props

· Symbols

· Locks

· Levels

· Colors and Background Intensity

· Using Cosmic Color Devices in the Visualizer

· Multi-Color Channels (Strings)

· Simulation and Firewalls


Wizards

There are several different types of wizards available in the Light-O-Rama Visualizer. Some help you draw complex props, while others help you to quickly assign channels to the fixtures associated with a prop (the Channel Assignment Wizard and the Fixture Rename Wizard) .

All drawing wizards create a prop and one or more fixtures. Depending on the options you select, you will be presented with one or more dialog boxes that allow you to specify how the required fixtures will be created. In general, you can elect to create new fixtures, or assign the wizard data to existing fixtures, or a combination of both. Most drawing wizards will allow you to select what kind of lights you are using (Strings, CCD, DMX Pixels), or have variants for those different types of lights.

Note that after you use one of the drawing wizards, what is created is just like any hand-drawn fixture. If you want to modify your newly created prop, it may be easier to delete it and start again with the appropriate wizard rather than trying to move individual bulbs, pixels, et cetera.

· Tree Wizard

· Arch/Fan Wizard

· CCR Wizard

· DMX Pixel String Wizard

· Matrix Wizard

· Channel Assignment Wizard


Arch/Fan Wizard

The Light-O-Rama Visualizer's Arch/Fan Wizard (also referred to as simply the "Arch Wizard") can create arches of fans of light. Like the Tree Wizard, you can select the Arch Wizard from the Visualizer's toolbar and then click where the base of the arch should be located. The Visualizer then presents the Arch Wizard dialog.

The options here let you set your preferences, and the scroll bar can be used to rotate the edge from "straight on" to "edge on".

The Visualizer's Arch/Fan Wizard


CCR Wizard

The Light-O-Rama Visualizer's CCR Wizard allows for the quick placement of Cosmic Color Ribbon (or other Cosmic Color Device) pixels along a path specified by the user.

The CCR Wizard can be thought of as a hybrid between the String Drawing tool and a wizard. When you select the CCR Wizard, your cursor will change to a pencil. You can now draw a path, much like using the Light Strings tool. When you double click, the Visualizer will ask you how many pixels the path represents (up to 500), and then it will space CCD pixels equidistantly along the path.


DMX Pixel String

The Light-O-Rama Visualizer's DMX Pixel String Wizard allows for the quick placement of DMX RGB pixels along a path specified by the user.

The DMX Pixel String Wizard can be thought of as a hybrid between the String Drawing tool and a wizard. When you select the DMX Pixel String Wizard, your cursor will change to a pencil. You can now draw a path, much like using the Light Strings tool. When you double click, the Visualizer will ask you how many pixels the path represents (up to 500), and then it will space DMX pixels equidistantly along the path.


Tree Wizard

The Light-O-Rama Visualizer's Tree Wizard helps you create "light trees": strings of lights or CCR/DMX pixels that are shaped like Christmas trees. To run the Tree Wizard, select it from the draw toolbar and click where you would like the base of the tree in the editor. The Visualizer will then present the Tree Wizard dialog.

There are many options that let you customize the way the tree will be built, and the choices you make will be shown to you in the example drawing. The scroll bars can be used to change the orientation of the tree.


Matrix Wizard

The Light-O-Rama Visualizer's Matrix Wizard allows you to create a jumbotron-style display of CCR or DMX pixels. Once you select the tool, you will need to draw a rectangular area in your editor. Once you have marked the start and end corners, the Matrix Wizard dialog is presented, wherein you can specify the options required.

The Visualizer's Matrix Wizard


Channel Assignment Wizard

The Light-O-Rama Visualizer's Channel Assignment Wizard helps to quickly assign channels to complex props. It is accessed from the third tab on the Prop Properties box.

The Channel Assignment Wizard is only available for props that have one or more assigned fixtures, and then only when all of the prop's fixtures are of the same type. If you have assigned two or more different fixtures (for example, a String fixture and a Flood Light fixture) to the same prop, the Channel Assignment Wizard cannot be used for that prop.

The Channel Assignment Wizard can quickly create new channels, or assign channels that you have previously loaded via a reference file. Props that contain CCRs use a different channel wizard (the CCR Channel Assignment Wizard) that is documented separately.

There are multiple steps required to finish this wizard, and not all steps are necessary for different channel/fixture combinations.

· Assigning New Channels to Non-CCR Fixtures

· Assigning Reference Channels to Non-CCR/DMX Pixel Fixtures

· Assigning Channels to CCR/DMX Pixel Fixtures

Assigning New Channels to Non-CCR/DMX Pixel Fixtures

Step 1: Identify if the channels will be Normal or RGB.

Step 2: Identify if the channels will be new or use a previously loaded Sequence Editor reference file (new, in this case).

Step 3: Identify the total number of channels to be assigned per fixture, and what the colors of those channels will be.

Step 4: Identify the type of device to be used (Light-O-Rama, Dasher, etc.), and, if LOR, the addressing mode (normal or legacy).

Step 5: Identify if the system should automatically go on to the next unit in sequence, or if the user wants to be prompted when the wizard exhausts all available circuits on a unit.

Step 6: Identify the channel data to be used: network, unit and circuit. Not all device types use all of these fields.

Assigning Reference Channels to Non CCR/DMX Pixel Fixtures

Step 1; Identify if the channels will be Normal or RGB.

Step 2: Identify if the channels will be new or use a previously loaded Sequence Editor reference file (use a previously loaded Sequence Editor reference file, in this case).

Step 3: Identify the total number of channels to be assigned per fixture, and if the user wants to automatically go on to the next unit in sequence, or if he or she wants to be prompted when the wizard exhausts all available circuits on a unit.

Step 4: Identify the first reference channel to be used. Reference channels are then used in order from this point.

Assigning Channels to CCR/DMX Pixel Fixtures

For each CCR/DMX Pixel fixture that is part of a prop, the Visualizer will present a dialog allowing the user to set the base address and other parameters.


Reference Channels

You can use any sequence file or channel configuration file to help you assign channels to fixtures in the Light-O-Rama Visualizer. The Channel Assignment Wizard can also help with assigning reference channels to complex props.

Note: It must be remembered that there is no connection between the Visualizer and the reference file used to assign channels to a visualization. Once you assign a channel in the Visualizer, changes to that channel in the Sequence Editor are not automatically reflected in the Visualizer, nor vice versa.

To load a reference file, select the "Load LOR Channel References" command. From here, you can load one or more sequence files (musical or animation), or channel configuration files. Press the select file button ("...") to pick the file that you want to use, and then press the LOAD button.

Once a file is loaded, the Visualizer will sort the channels and then attempt to remove all duplicates. If the program cannot determine which channel should be used, a dialog will be presented to you to choose which channel you wish to keep.

When you select the DONE command, you are given the option to update your fixtures with the new channel data. The Visualizer will then attempt to match your imported channels with those already defined in the Visualizer, and update where applicable.

Loading a channel reference file will also make it easier to initially assign channels to your fixtures. Once you have loaded one or more channel references, a button becomes available on the Channel Settings window, allowing you to select a channel from those loaded. Once selected, the program will fil in all the rest of the window (name, color, device type, etc.).


Virtual Channels

Depending on the device type you specify for a channel, the Light-O-Rama Visualizer listens for commands based on a "key'. For example, if a channel of a fixture specifies that it is LOR hardware, then the network, unit, and circuit are all required. When the Visualizer receives a command from the Sequence Editor or the Show Player, it will match that command with that channel if the device type, network, unit, and circuit all match. In this case, it helps to think of the Visualizer as a physical light controller: When you physically wire your devices to your controllers, those controllers do not care what color lights you hooked up, nor what you named the channel in the Sequence Editor.

However, the Visualizer has another type of channel, called the virtual channel. If you don't specify a device type, then the Sequence Editor will send, and the Visualizer will attempt to match, the channel's name. For example, this could be used to create a "beat channel", flashing with the beat of a song, that isn't actually hooked up to any real string of lights on any controller, but which can be viewed in the Visualizer.

You can utilize this functionality by creating the channel in the Sequence Editor as having no device type, and in the Visualizer wire the channel using an identical name and no device type.

Notes:

·The Visualizer will not simulate virtual channels from a compressed sequence.

·There is a limit of 255 virtual channels in the Visualizer. If your simulation has more than 255 virtual channels, then only the first 255 will be simulated.


Importing and Exporting Fixtures and Props

The Light-O-Rama Visualizer makes it easy for you to create a library of frequently used fixtures and props, and to share those fixtures and props with other Visualizer users if you desire.

To export a fixture, first select it and then open the fixture's properties dialog. Click on "Export Fixture File", and give your fixture a file name. When you press OK, you will be asked if you also want to save the fixture's channel data. Saving the channel data allows you to quickly import this fixture into another simulation, without the need to wire it up. If, however, your channels will be changing, you plan on using this fixture with multiple sets of channels, or if you intend to share this fixture with other users, you may want to not save the channels during the export.

To import a fixture, select the "Insert Fixture from File" tool. Select the fixture you wish to import, and press OK. If there were one or more channels defined on the fixture, you will be asked if you want to retain them or blank them out.

Importing and exporting props works in the same way as importing and exporting fixtures, except that you start the process on the "Prop Properties" dialog box. When you import a prop, you are also given the option to rename the prop and the associated fixtures.


Symbols

The Light-O-Rama Visualizer allows you to use a character (symbol) from a font to create a fixture, and several graphical fonts have been included with the application. To create a fixture from a symbol, click the Insert Fixture from Symbols tool. Select one of the fonts at the top of the screen, and then select a picture you would like to use. If the "# Of Points" line just above the OK button is red, you cannot use that particular symbol.


Locks

While working in the Light-O-Rama Visualizer, you may find that your stage is cluttered and that you keep accidentally changing a fixture or prop that you don't intend to change. To prevent this from happening, you can "lock" the object. There are multiple ways to lock or unlock an object:

·Select it, go to its properties, and click the "Locked" checkbox

·Select it, and press the "Lock" or "Unlock" icon in the toolbar

·Click the area to the left of the name in the object list.

When an object is locked, you cannot select it in the main editing area. The object will still be there, but it won't react. If, however, you select it in the object list on the right (by clicking on its name), the lock is ignored and you can work with the object.

Note that it is possible to lock a prop while still leaving the features associated with that prop unlocked.

There are two different kinds of lock - fixture lock or prop lock - which means there are four possible lock stats: none (blank), Fixture Locked, Prop Locked, and Both Locked.

Fixture Mode

The lock is either blank (unlocked) or blue (the fixture is locked). The system ignores the state of the prop if this fixture is assigned to one.

Prop Mode - Normal Display Mode

(This means every fixture of a prop is displayed in the list). All three colors are used:

Blue Lock: The fixture is not part of a prop (so it is considered a "virtual" prop), and the fixture itself is locked, or this is a real prop, and it is unlocked, while this particular fixture is locked.

Purple Lock: The prop is locked, but this particular fixture (which is part of the locked prop) is unlocked.

Yellow Lock: The prop is locked, and this particular fixture is locked as well.

Prop Mode - Simple Display Mode

(Only the prop name or the virtual prop name is displayed). All three colors are used:

Blue Lock: This is a virtual prop (it is actually just a fixture that is not assigned to a prop), and the fixture is locked, or this is a real prop and one or more of the fixtures assigned to the prop are locked, but the prop is not locked.

Purple Lock: This prop is locked, and none of the fixtures associated to the prop are locked (all are unlocked).

Yellow Lock: This prop is locked, and one or more of the fixtures associated to the prop are locked as well.


Levels

The Light-O-Rama Visualizer allows you to stack objects on top of one another, and then specify which are on top of the others. In the computer world, this is called "Z-Order", or "layering". Things that are in the foreground will have a higher "level" than those in the background.

There are several ways you can use levels:

·While a simulation is running, objects that are in the foreground will be rendered "on top of" those in the background. This gives a "see through" effect that more accurately represents your stage.

·You can also turn off one or more levels during simulation. This could be useful if you have foreground objects that are completely obscuring things in the background, or if you are trying to increase the performance of the simulation.

·During editing, placing your fixtures on levels allows you to segregate your stage. For example, while drawing your background lighting, you could turn off all other levels, or display them at a lower intensity.

The Level Visibility and Properties box allows you to turn levels on or off for simulation, rename them, et cetera. A fixture can be moved between levels in several ways, by selecting the fixture and then:

·Using the properties box of the fixture

·Using the "Move Forward" or "Move Backward" icon

·Using the "Move to Foreground" or "Send to Background" icon


Colors and Background Intensity

The Light-O-Rama Visualizer's Display Bar has buttons to quickly change the color of fixture names, tool handles, and vertex handles. You can also quickly change the intensity of the background by using the slider, and turn on or off various grid markers to help you in drawing fixtures.


Using Cosmic Color and DMX devices

There are some special considerations when using Cosmic Color Devices in the Visualizer.

· Cosmic Color Floods

· Cosmic Color Ribbons / Cosmic Color Bulbs

· CCR Options and Addressing

· Full Fixtures (single master)

· Master/Slave (split)

· Compile Errors

· Master/Slave CCR/CCB/DMX Pixel Universe Simulation Considerations

Cosmic Color Floods

Create a Cosmic Color Flood the same as any other flood light. Specify that the fixture is RGB, and assign the correct channels to the flood.

Cosmic Color Ribbons / Comic Color Bulbs / Cosmic Color Pixels

The Visualizer considers all of these devices identical and calls them by a single name: CCR. Cosmic Color Bulbs & Pixels are represented with 2 separate CCR fixtures (one for each string), using 'Dual Normal' mode.

CCR/DMX Pixels Options and Addressing

In the real world, a CCR consists of 50 pixels or bulbs tied to a single controller. DMX Pixel universes can have up to 170 pixels. However, this may not be convenient when working in the Visualizer, so they can be handled in two different ways: Full Fixtures or Master/Slave. In the end, both ways will simulate the same way; the only difference is how the CCR/CCB/DMX Pixel fixtures are defined.

Full Fixtures (single master)

Using this method, a single CCR/CCB/DMX Pixel Universe fixture in the Visualizer represents a single physical CCR/CCB/DMX Universe. In this way, all pixels are assigned to the same Visualizer fixture regardless of where they are placed on the stage. Simply set the "Physical Starting Pixel" to 1, and set the rest of the CCR/CCB or DMX Pixel universe parameters as needed.

Master/Slave (split)

This is the recommended method. Using this method, two or more fixtures represent a single physical CCR/CCB/DMX Pixel Universe. This allows you to group consecutive like-pixels together for easier editing. The CCR/CCB/DMX Pixel Universe with physical pixel #1 is considered the "master". To create "slaves", specify a physical pixel number greater than 1 with the same Network and Base Unit ID as the master. You cannot specify a unit ID mode, channel mode, or resolution on slave CCRs/CCBs.

Compile Errors

When a simulation is started, all CCRs, CCBs and DMX Pixel Universes are checked to ensure that they adhere to certain standards including having a pixel #1, a master, et cetera. Should an error be found, the simulation will not run, and you will be presented with a list of errors to correct. Once the errors are corrected, the simulation will run. When correcting errors, it may be easier to only correct the first error presented and then attempt to run the simulation again. That is because a single problem could cause multiple errors. Please see the 'Compile Errors in the Visualizer' section for more information.

Master/Slave CCR/CCB/DMX Pixel Universe Simulation Considerations

While editing, you can place split CCR/CCB/DMX fixtures on different foreground/background levels, and the Visualizer will display them as such. You can also assign different bulb sizes, and that too will be honored.

While in simulation mode, however, all the "slave" fixtures will behave as if they are on the same level and with the same bulb size as the master fixture. That is because the system needs to compile all the separate fixtures into one main entity, and that entity takes the parameters of the main CCD.


Multi-Color Channels (Strings)

The Visualizer can support multi-color sets using a sub-channel type. Only the String type can use multi-color.

To create a multi-color channel, create a string fixture and assign a channel to it. In the "Special Type", select "Multi", and then select the total number of physical colors this channel will represent. After selecting the number, one or more color boxes will appear to allow you to set the color.

By specifying Multicolor, you can assign up to five different colors to the channel. You don't individually control these colors. When the channel is on, then all (1-5) of those bulbs are on.

Fixtures can have multiple multi-color subtypes. In theory, you can create a fixture with 80 separate colors (16 controlled in groups of 5), but there is a lot of overhead when creating multi-color bulbs, and so that is not recommended. The multi-color sub-type can also be used to simulate multi-channel rope light where there is more than one bulb per circuit.

Multi-Color settings


Simulation and Firewalls

Depending upon your computer's operating system and/or the internet security programs you may be using, the Light-O-Rama Visualizer may not be able to communicate with the Sequence Editor or Show Player, due to being blocked by your firewall. In this case, you may need to take steps to tell your firewall to allow the Visualizer to communicate:

Using the Built-In Windows Firewall

If you are using the Windows Firewall that is included in Windows from Windows Vista onwards, allowing the Visualizer to communicate is easy. The first time that you place the Visualizer into Simulation mode, the Windows Firewall will prompt you, stating that "Windows Firewall has blocked some features of this program". From that dialog, simply press the "Unblock" button. Depending upon the settings of your system, you may then be prompted again, with "Windows needs your permission to continue". If so, select "Continue".

If at any point you accidentally told Windows Firewall to keep blocking the Visualizer, you can change that by:

1.Pressing the Windows Start button

2.Typing "firewall" into the search box

3.Clicking on the "Windows Firewall" entry (note: not the "Windows Firewall with Advanced Security Options" entry)

4.Clicking "Allow a program through Windows Firewall" (on the left)

5.Select "Continue" if prompted

6.On the "Exceptions" tab, scroll through the list of programs until you find LORVisualizer

7.Place a check mark in front of LORVisualizer, and click OK

8.Restart the Visualizer

Windows Firewall blocking the Visualizer

Using Other Security Programs

Please check with the author or help system of your security software on how to unblock the Visualizer.


Editing Keys and Tips

To select a fixture or a prop, be sure you have the select tool active, and then point at the fixture/prop and press the left mouse button. Fixtures/Props that are locked or on levels that are not active for editing can not be selected in the drawing area. Instead, use the object list on the right.

When a string fixture is selected, you can delete a vertex by left clicking directly on a vertex handle. To split a string into 2 separate strings, position the pointer between the two points and press the left mouse button.

When drawing, pressing and holding SHIFT will slow the mouse down for more accurate drawing. Pressing and holding CTRL will force the mouse to move in either a vertical or horizontal direction only.

When a DMX Pixel or CCR fixture is selected, press and hold the SHIFT key to see the order of pixels.


Compile Errors In the Visualizer

In order to simulate complex devices like the Cosmic Color Ribbon, Cosmic Color Bulb, Cosmic Color Pixel, and DMX Pixel Universes. the Visualizer must first compile all your Fixtures into something that is comparable to the actual device/universe.

· Why Certain Devices are Compiled

· How Advanced Devices are Compiled

· Rules for Advanced Devices

· Cosmic Color Devices and Macro Channels

· Error Messages and Their Meaning

· Base Unit/Universe Missing

· Missing Pixel #1

· Duplicate Pixels

· Incorrect Number of Pixels

Why Certain Devices are Compiled

Since certain devices have physical or firmware properties the Visualizer must support, the fixtures you create must mimic those traits. In an attempt to make things easier to design, the Visualizer will allow you to divide up these devices into multiple fixtures if you desire. For example, the Visualizer will allow you to have several different fixtures that all refer to the same physical device like a CCR. When entering simulation mode, the first thing the Visualizer will do is compile your advanced devices into a single entity that it can understand and which physically mimics the real device.

How Advanced Devices are Compiled

To do this assembly, the Visualizer uses the physical address of a device to assemble all the parts. For example, if you are using a CCR on an LOR network, the Visualizer will consider every CCR fixture on the same LOR Network and Unit ID to be the same physical device. The same holds true for DMX Pixel Universes on a single universe.

Rules for Advanced Devices

In order to correctly simulate these different devices, certain rules must be enforced. Those rules are:

For fully assembled Cosmic Color Strings:

a.Every String MUST consist of 50 OR LESS pixels.

b.Pixel #1 is REQUIRED, however gaps are allowed. Gaps are counted towards the 50 pixel max.

c.There can be NO duplicate pixels.

d.Dummy Pixels (used to fill gaps) are still used when using Macro channels, they are simply not displayed.

The pixels can be on multiple fixtures, but when the fixtures are all assembled (using the Network and Unit ID) those 3 rules MUST be obeyed. If your assembled Cosmic Color String violates any of those rules, the Visualizer will not go into simulation mode.

The rules for fully assembled DMX Pixel Universes:

a.A Pixel Universe can have NO MORE than 170 pixels.

b.Pixel #1 is REQUIRED, however gaps are allowed. Gaps are counted towards the 170 pixel max.

c.There can be NO duplicate pixels.

Whereas Cosmic Color Strings can have 1-50 pixels per Network/Unit ID, DMX Pixel Universe can have from 1-170 pixels. Cosmic Color Strings and DMX Pixel Universes allow for gaps as long as there is a pixel #1.

Cosmic Color Devices and Macro channels

Please remember that Dummy Pixels (that is, pixels that are used to fill gaps) are counted and actually used when executing CCD Macros. For example, if you skipped pixels 10-14 of a CCD and then performed a Macro Chase, the chase performs as if those 5 pixels exist, but are invisible.

Error Messages and Their Meaning

The Visualizer will attempt to help you as much as possible if there is a problem with a Cosmic Color String or DMX Pixel Universe. When correcting errors, it may be easier to only correct the first error presented and then attempt to run the simulation again. This is because a single problem could cause multiple errors. Fixing this first issue could fix all other issues after it.

When checking for errors, the Visualizer will first check all Cosmic Color Strings first, and then move on to DMX Pixel Universes. You must first correct any errors with Cosmic Color Strings before you will be presented with any errors for DMX Pixel Universes.

There are 4 main error messages that are output by the Visualizer:

1.Base Unit/Universe Missing:

"CCD Fixture [Fixture Name] does not have a network/unit ID assigned."
"DMX Pixel Fixture [Fixture Name] does not have a universe assigned."

The Fixture named [fixture name] is missing either the Network and/or Unit ID or Universe number. This is required since these values are how the Visualizer assembles the device.

2.Missing Pixel #1:

"The CCD on network "[net name]", unit ID [unit] when assembled does not have a fixture with pixel #1."
"The DMX Pixel Universe on universe [universe] when assembled does not have a fixture with pixel #1."

There is no Fixture on the Net/Unit ID or Universe shown that contains pixel #1. The fixture with pixel #1 is considered the master and MUST be present. After this error, the Visualizer will show the names of all fixtures that it attempted to assemble for you to review.

3.Duplicate Pixels:

"The CCD on network "[net name]", unit ID [unit] when assembled has duplicate pixels."
"The DMX Pixel Universe on Universe [universe number], when assembled has duplicate pixels."

There is a duplicate pixel within this assembled Cosmic Color String on the network and unit number shown, or on the DMX Pixel Universe on the universe shown. CCDs and DMX Pixel Universe fixtures can have gaps, however they can NOT have duplicate pixels. Please note that the pixels could be duplicated on 2 separate fixtures, and that is also not allowed.

4.Incorrect Number of Pixels:

"The CCD on network "[net name]", unit ID [unit] when assembled has more than 50 pixels ([total])."
"The DMX Pixel Universe on universe [universe] when assembled has more than 170 pixels ([total])."

Assembled Cosmic Color Strings can have NO MORE than 50 pixels each. Assembled DMX Universe Fixtures can have NO MORE than 170 pixels. After this error, the Visualizer will show the names of all fixtures that it attempted to assemble for you to review. Remember that, dummy pixels (that is, the pixels used to fill gaps) are counted towards the 50/170 pixel limit.


Dialog Windows

This section describes the various dialog windows used in the Light-O-Rama Visualizer:

· About

· Arch/Fan Wizard

· Assign Fixtures from Wizard

· Assign to Fixture

· CCR Matrix Wizard

· Change Size

· Channel Assignment Wizard

· Channel Settings Dialog

· Draw CCR Wizard

· Duplicate Channel Reference

· Duplicate RGB Channel Reference

· Fixture Properties

· Insert Symbol Fixture

· Level Visibility and Properties

· Load LOR Reference File

· Main Editor Window

· Menu Items

· New Prop

· New Simulation

· Object Selection Area

· Options

· Prop Properties

· Rename Fixture

· Rename Prop

· Reorder Prop (Change Fixture Order)

· Select Reference Channel

· Simulation (Background) Properties

· Simulation (Compile) Errors

· Status Bar

· Toolbars

· Tree Wizard


About

This Light-O-Rama Visualizer dialog shows your license information and Visualizer revision information.

OK

Close the dialog.

System Info

Run the Microsoft System Information program, to gather and display statistics about your computer.


Arch/Fan Wizard

This Light-O-Rama Visualizer wizard allows you to create light arches or fans with either strings or CCRs.

· Example Picture

· Prop (Arch) Name

· Type of Arch

· Size

· First Segment Location

· Number of Segments

· Light Type

· Pixels per Segment

· Fan Options

· OK

· Cancel

The Visualizer's Arch/Fan Wizard

Example Picture

Shows what the arch or fan will look like with the parameters you have specified.

Prop (Arch) Name

The name the prop will be given when the arch or fan is created in the editor. Any fixtures created will use this name plus a sequential number (e.g. "Example Arch 1" for the prop name "Example Arch").

Type of Arch

Allows you to choose if you are creating an arch (a semicircle of lights) or a fan (a semicircle of lights that start at the center and extend to the outside edge).

Size

Size of the arch or fan in pixels. You can always make the prop larger or smaller by using the tool handles in the editor.

First Segment Location

Allows you to control if the first arch or fan segment is created on the left side or the right side of the prop.

Number of Segments

The number of separate segments the arch will consist of (1 through 16). For light strings, every segment created becomes a fixture and thus is controlled by its own set of channels.

For arches that use less than four segments, the "Allow Arch Correction" option becomes available. When checked, this option will enhance the look of the arch, making it appear more round than angular.

Light Type

The type of lights you will use in your simulation for this arch or fan (strings, CCR or DMX Pixel).

Pixels per Segment

If you selected the CCR or DMX Pixel light type, this option allows you to set the number of pixels each segment will use. For example, a seven segment arch that uses five pixels per segment will require 35 total pixels.

Fan Options

The following options only apply to fans, and are unavailable for arches:

· Inside Radius

· Density

· Segments Start at Center (Vs. Edge)

Inside Radius

The size (in pixels) of the inside curve. Lights "radiate" from the outside semicircle (size) to the inside semicircle (designated by the inside size).

Density

The number of radii that each segment consists of.

Segments Start at Center (Vs. Edge)

When creating the radii, the Visualizer will normally create them with a start point on the outside semicircle inwards to the inside semicircle. Checking this box reverses that. This is handy for CCR or DMX Pixel fans when pixel order is important.

OK

Create the arch or fan.

Cancel

Close the dialog with no change.


Assign Fixtures from Wizard

This Light-O-Rama Visualizer dialog appears after finishing one of the drawing wizards. On it, you can elect to create new fixtures for the entire prop, or to assign the fixtures required to fixtures that already exist.

This dialog changes depending on the type of wizard being run. However, the choices are essentialy the same:

·Create as many new fixtures as required (New)

·Create as many new full CCR fixtures as required (CCDs only)

·Create as many new full DMX Pixel Universes as required (DMX Pixels only)

·For each fixture required, ask if the drawing should be aded to an existing fixture or to create a new one (Existing)

Generally speaking, you should try to create new fixtures whenever possible. An exception to this may be for CCR pixels, since they are grouped by fifty at once, and DMX Pixels.

The difference between "New Fixtures" and "New Full CCR/DMX Fixtures":

When creating CCD devices or DMX Pixel Universes, the Visualizer can create the fixture in two different ways. Full fixtures create the minimum number of fixtures required, where each fixture will be a full 50 pixel CCD, or 170 pixel DMX Universe, while the generic "New Fixtures" will create one fixture for each region, and then set the starting pixel for each.

In general, the generic "New Fixtures" is easier to use for editing within the simulation, but does require extra care to ensure they are set up correctly. Full CCD/DMX Pixel fixtures more correctly represent a physical CCD/DMX Pixel device, but editing them is harder.

The Visualizer's Assign Fixtures From Wizard


Assign to Fixture

This Light-O-Rama Visualizer dialog is presented after finishing a new drawing, or after using a drawing wizard and specifying that you want to choose to add existing fixtures. You can only ever assign a drawing to a like fixture. For example, you cannot attach a string drawing to a flood fixture - only to other string fixtures.

Fixture Dropdown

This dropdown lists all compatible fixtures that this new drawing can be added to, as well as an option to create a new fixture.

OK

Add the drawing to the selected fixture, or create a new one.

Cancel

Cancel the drawing.

The Visualizer's Assign to Fixture dialog


Matrix Wizard

This Light-O-Rama Visualizer dialog allows you to create a matrix of CCR/DMX pixels, much like a jumbotron. You first select the tool from the editor and then draw a rectangular area. When the area is drawn, this dialog appears, allowing you to set the parameters.

· Example Picture

· Prop (Matrix) Name

· Start Matrix At

· Consecutive Pixels Run

· Number/Type of Pixels

· Light Size

· OK

· Cancel

The Visualizer's Matrix Wizard

ExamplePicture

Shows what the matrix will look like with the parameters you've specified. The colors shown here are to help you with the orientation of the matrix:

·Green Pixel: The very first pixel that will be created (starting pixel).

·Red Pixels: The pixels that comprise the first row (horizontally) or the first column (vertically).

·Black Pixels: All remaining pixels.

Selecting the checkbox 'Show Flow Lines on Preview' will show from start to finish how the pixels will be ordered.

Prop (Matrix) Name

The name the prop will be given when the matrix is created in the editor. Any new fixtures created will use this name plus a sequential number (e.g. "Example Matrix - CCR 1").

Start Matrix At

Determines where the first pixel of this matrix will be created (top left, top right, bottom left, or bottom right).

Consecutive Pixels Run

Determines how the pixels run from the first pixel (either vertically or horizontally).

The 'Snake Pattern' check box allows for 'flip-flop' ordering. The picture above shows a matrix that starts in the bottom right and runs horizontally to the left. The 10th pixel is on the bottom left. With the checkbox selected pixel 11 is directly above pixel 10, and the pixels are then ordered from right to left until pixel 20 when it flips again. If the check box were NOT selected, pixel 11 would be directly above pixel 1. Every horizontal line of pixels would start on the right and move left.

Number of CCR Pixels

How wide and high the CCR matrix will be, in pixels.

Light Size

The physical size of the CCR pixels as rendered in the Visualizer.

Selecting the checkbox 'Show Flow Lines on Preview' will show from start to finish how the pixels will be ordered.

OK

Create the matrix with the supplied parameters.

Cancel

Discard changes.


Change Size

This Light-O-Rama Visualizer dialog is accessed from the Simulation Properties dialog box after pressing the Change Size button. This dialog allows you to change the size of the background, as well as resize and reposition any existing fixtures.

· Original Size

· New Size

· Maintain Aspect Ratio

The Visualizer's Change Simulation Size dialog

Original Size

Displays the current size of the simulation in pixels.

New Size

The updated size you wish to use for the simulation.

Maintain Aspect Ratio

When checked, any change to either the height or width will automatically change the other field proportionally. For example, if the original size of your simulation was 800 by 600 - a ratio of 4 to 3 - changing the width to 1024 will automatically change the height to 768, maintaining the ratio of 4 to 3. If this is unchecked, you can change the fields independently.


Channel Assignment Wizard

The Light-O-Rama Visualizer's Channel Assignment Wizard helps to quickly assign channels to complex props:

· Channel Assignment Wizard: Non-CCR/DMX Pixel Fixtures

· Channel Assignment Wizard: CCR/DMX Pixel Fixtures


Channel Assignment Wizard: Non-CCR/DMX Pixel Fixtures

The Light-O-Rama Visualizer's Channel Assignment Wizard helps to quickly assign channels to complex props, and is accessed from the third tab of the Prop Properties box.

The Channel Wizard is only available for props that have one or more assigned fixtures, and where all fixtures are of the same type. If you have assigned two or more different fixtures -- for example a String fixture and a Flood Light fixture -- to the same prop, the Channel Wizard cannot be used.

The Channel Wizard can quickly create new channels, or assign channels that you have previously loaded via a reference file.

In all cases, once you have specified the required options, the Next button will take you to the next step in the process, while the Previous button will take you back one step.

The OK button becomes available once you have completed all the necessary steps, and Cancel will close the dialog with no changes.

The exact steps necessary to use this wizard depend on whether you are using new channels or reference channels, but the first two steps are the same in either case:

· Step 1

· Step 2

· Step 3 (for new channels)

· Step 4 (for new channels)

· Step 5 (for new channels)

· Step 6 (for new channels)

· New Channels Summary

· Step 1

· Step 2

· Step 3 (for reference channels)

· Step 4 (for reference channels)

· Reference Channels Summary

Step 1

·What Kind of Channels: Select if you will be assigning normal channels to the fixtures, or a set of RGB channels.

·Set/Reset RGB Sample Color to Default: If you selected RGB channels, selecting this box will reset the sample color to the default you specified in the options dialog. Otherwise, the sample color will not be changed.

Step 1

Step 2

Use loaded reference channels, or create new ones:

If you have previously loaded a sequence file or channel configuration file, you can choose to use the channels from it, or to create new channels from scratch.

Depending on your selection, the wizard will present different options: Step 3 (for new channels) or Step 3 (for reference channels).

Step 2

Step 3 (for new channels)

This dialog begins the data collection for the channels you will be creating. Every fixture assigned to this prop will be given the same quantity, type, and color channels, in the same order.

·Number of Repeating Channels Per Fixture: The number of channels each fixture will have.

·Create a Color Sequence: Select the color of each channel by clicking on the numbered box, and then selecting a color.

Step 3 for new channels

Step 4 (for new channels)

·Device Type: Select the type of device each of these channels will emulate.

·What LOR Addressing Mode Should Be Used: If you selected the LOR device type, then these radio buttons are active. They allow you to choose between Normal addressing (256 max circuits per unit) and Legacy addressing (16 max circuits per unit).

Step 4 for new channels

Step 5 (for new channels)

When the wizard runs out of circuits on a unit (Automatically use next unit / Prompt me): While assigning circuits to channels, there may not be enough circuits on any one unit to satisfy the total number of channels needed. If you select Automatic, once the Visualizer runs out of circuits on a unit, it will continue on to the next channel by incrementing the unit ID and setting the circuit back to 1 (or whatever the first valid circuit of this device type is).

If, however, you select "Prompt me", then when the system runs out of circuits, a dialog box will appear allowing you to select the next unit / circuit that the Visualizer should use.

Use the same channels on every fixture of this prop: There may be times when you want to duplicate the channels being created across all the fixtures rather than sequentially increment them. If you check this box, each fixture will get an identical copy of the channels created.

Step 5 for new channels

Step 6 (for new channels)

This is the last step for non-CCR fixtures that are using new channels.

·Select the starting address for the first channel of the first fixture: These dropdown boxes allow you to set the first address of the first channel of the first fixture associated with this prop. Depending on the device type selected, one or more of these fields may not be available (since they don't apply to the device selected). Once you have set the address and pressed OK, the Visualizer will assign the channels to the fixtures.

Step 6 for new channels

New Channels Summary

To assign new channels, the system will update every fixture of a prop in the order that they are assigned to the prop. For each fixture, the system will create the number of channels specified in step 3, in the color order specified. The first channel created on the first fixture will use the parameters you specified in step 6. For each channel created after that, the system will increment the previous circuit ID by 1. If the system runs out of circuits for a particular unit, it will automatically increment the unit ID by one, and reset the circuit ID to one (or whatever the minimum for the appropriate device type is) if "Automatically use the next unit" was selected in step 5, or a prompt will appear if "Prompt me" was selected in step 5. If you checked "Use the same channels on every fixture of this prop", the second and subsequent fixtures will get the same channels as the first one.

Step 3 (for reference channels)

·Number of Repeating Channels Per Fixture: The number of channels each fixture will have.

·When the wizard runs out of circuits on a unit (Automatically use next unit / Prompt me): While assigning circuits to channels, there may not be enough circuits on any one unit to satisfy the total number of channels needed. If you select Automatic, once the Visualizer runs out of circuits on a unit, it will begin assigning channels with the next loaded reference channel unit. If the system runs out of units for a particular device type or network, you will be prompted.

If, however, you select "Prompt me", then whenever the system runs out of circuits, a dialog box will appear, allowing you to select the next reference channel that the Visualizer should use.

·Use the same channels on every fixture of this prop: There may be times when you want to duplicate the channels being created across all the fixtures rather than sequentially increment them. If you check this box, each fixture will get an identical copy of the channels created.

Step 3 for reference channels

Step 4 (for reference channels)

This is the last step for non-CCR fixtures that are using reference channels.

·Select first reference channel: The Visualizer will sort all the loaded reference channels into order by device type, network, unit, and circuit. The system will then assign channels in the order that they are sorted.

Step 4 for reference channels

Reference Channels Summary

To assign reference channels, the system first sorts all channels into device type, network, unit, and circuit order. The system will then update every fixture of a prop, in the order they are assigned to the prop. For each fixture, the system will create the number of channels specified in step 3. The first channel created on the first fixture will be the one selected on step 4. For every channel after that, the system will assign the next loaded and sorted reference channel. If you specified "Automatically use next unit", the system will continue to assign the next loaded reference channel until the wizard completes, or the system runs out of channels with the device type or network of the channel you selected in step 4. On the other hand, if you specified "Prompt me" on step 3 and the next unit to be assigned is different, or if you ran out of circuits for a particular device type or network, you'll be presented with a dialog to select the next reference channel to be used. If you checked "Use the same channels on every fixture of the prop", the second and subsequent fixtures will get the same channels as the first one.


Channel Assignment Wizard: CCR/DMX Pixel Fixtures

The Light-O-Rama Visualizer's Channel Assignment Wizard for CCR/DMX Pixel universe fixtures is a simple, one-step process that repeats for each CCR/DMX PIxel universe assigned to a prop.

For each CCR assigned to a prop, the CCR settings dialog is presented, which allows you to set the most important parameters of each CCR:

· For CCR Fixtures

· Physical Starting Pixel Number

· Network

· Base Unit ID

· Unit ID Mode

· Channel Mode

· Resolution

· For DMX Pixel Universe Fixtures

· Universe

· Starting Pixel Number

The Visualizer's Channel Assignment Wizard when used for CCR fixtures

The Visualizer's Channel Assignment Wizard when used for DMX Pixel fixtures

For CCR Fixtures:

Physical Starting Pixel Number

CCR fixtures can be split apart into separate entities. The fixture with a particular address with pixel #1 is considered the master, and any others the slaves.

Network

The network this CCR is part of.

Base Unit ID

The unit ID of this CCR. For every CCR assigned after the first one, the system will attempt to guess the next unit ID to be used. You should check and change it as needed.

Unit ID Mode

Normal (one unit per CCR) or legacy (ten units per CCR).

Channel Mode

If the channels are in triplet (RGB) order or sequential order.

Resolution

The logical resolution this CCR is running at.

For DMX Pixel Universe Fixtures:

Universe

The universe of this DMX Pixel string. For every DMX Universe assigned after the first one, the system will attempt to guess the next universe to be used. You should check and change it as needed.

Starting Pixel Number

DMX fixtures can be split apart into separate entities. The fixture with a particular address with pixel #1 is considered the master, and any others the slaves.


Channel Settings Dialog

This Light-O-Rama Visualizer dialog allows you to specify the specifics for a channel assigned to a fixture.

· Name

· Select Reference Channel (...)

· Select RGB Reference Channel (RGB)

· Device Type

· Network/Unit/Circuit

· Special Type

· Special Parameter

· LED

The Visualizer's Channel Settings dialog

Name

The name of the channel. Required.

Select Reference Channel (...)

If you have loaded one or more reference files, this button is available. Pressing it and selecting a channel from the dropdown will assign the loaded parameters to this Visualizer channel.

Select RGB Reference Channel (RGB)

If you have loaded one or more reference files, if the file contained RGB channels, and if you specified that this fixture use RGB channels, then this button is available. Pressing it and selecting a channel from the dropdown will assign the loaded parameters to this Visualizer channel. The system will then prompt you if you also wish to assign the other two related channels.

Device Type

Select the device type this Visualizer channel is emulating.

Network/Unit/Circuit

These fields should match your sequence's channel for this particular fixture. One or more of these fields may not be available depending on the type of device you selected above.

Special Type

Certain fixture and channel types can use special effects. Currently the Visualizer supports two special types: Strobe and Multi Color. A strobe channel emulates a "strobe light" - bulbs on this channel will flash quickly on and off randomly. A multi color channel will display up to five bulbs when a channel is turned on. You cannot individually control the bulbs.

Special Parameter

If you selected a special type above, this field allows you to specify any needed additional parameters. If you selected "Strobe" above, this field allows you to set the "speed" of the strobe effect. If you selected "Multi Color", you will be able to choose the number of colors, and the actual colors themselves.

LED

If the physical lights attached to this channel are LEDs, select this checkbox. Selecting this will allow Superstar to more correctly sequence your stage.


Draw CCR Wizard

To use the Light-O-Rama Visualizer's CCR Wizard, select the CCR Wizard tool and then draw a path on the editor screen along which you would like the pixels to be created. Once you double click, this dialog appears.

The Visualizer's Draw CCR Wizard

· Create New Prop/No Prop Needed

· Prop (CCR) Name

· How Many Pixels should Visualizer create for this drawing?

· OK

Create New Prop/No Prop Required

The creation of a prop is optional. If you would like to create a new prop select 'Create New Prop', and specify a name in the box below. Otherwise select 'No Prop Needed'. In general if you select 'no Prop Needed' on the next window you should specify an existing fixture to add the drawing to.

Prop (CCR) Name

The name the prop will be given when the CCR is created in the editor. Any new fixtures created will use this name plus a sequential number (e.g. "Example Prop - CCR 1").

How Many Pixels should Visualizer create for this drawing?

Select the number of pixels that your drawing consists of.

OK

Once you press the OK button, the system will create as many pixels as you specified, along the path that you drew. You will then be presented with the Assign Fixtures from Wizard dialog.


Draw DMX Pixel Wizard

To use the Light-O-Rama Visualizer's DMX Pixel String Wizard, select the DMX Pixel String Wizard tool and then draw a path on the editor screen along which you would like the pixels to be created. Once you double click, this dialog appears.

The Visualizer's Draw DMX Pixel String Wizard

· Create New Prop/No Prop Required

· Prop Name

· How Many Pixels should Visualizer create for this drawing?

· OK

Create New Prop/No Prop Required

The creation of a prop is optional. If you would like to create a new prop select 'Create New Prop', and specify a name in the box below. Otherwise select 'No Prop Needed'. In general if you select 'no Prop Needed' on the next window you should specify an existing fixture to add the drawing to.

Prop Name

The name the prop will be given when the DMX Pixel prop is created in the editor. Any new fixtures created will use this name plus a sequential number (e.g. "Example Prop - DMX 1").

How Many Pixels should Visualizer create for this drawing?

Select the number of pixels that your drawing consists of.

OK

Once you press the OK button, the system will create as many pixels as you specified, along the path that you drew. You will then be presented with the Assign Fixtures from Wizard dialog.


Duplicate Channel Reference

While loading one or more reference files into the Light-O-Rama Visualizer, the system may detect that a duplicate channel is being loaded with a different name or color. This dialog allows you to resolve the conflict.

The left side shows the channel as it was previously loaded. The right side shows how the channel is defined in the currently loading file. You have four options:

· Keep Old Reference

· Use New Reference

· Keep ALL Old References

· Use ALL New References

Duplicate Channel Reference

Keep Old Reference

The reference on the left side will remain, and the one on the right is discarded. If another duplicate is loaded, you will be prompted again.

Use New Reference

The reference on the right side will replace the one on the left. If another duplicate is loaded, you will be prompted again.

Keep ALL Old References

The reference on the left side will remain, and the one on the right is discarded. From this point forward, any duplicates, for this channel or others, are ignored in the file being loaded.

Use ALL New References

The reference on the right side will replace the one on the left. From this point forward, any duplicates, for this channel or others, will replace what was previously loaded.


Duplicate RGB Channel Reference

While loading one or more reference files into the Light-O-Rama Visualizer, the system may detect a duplicate RGB channelbeing loaded with a different name or mismatched colors. This dialog allows you to resolve the conflict.

The left side shows the RGB channel as it was previously loaded. The right side shows how the RGB channel is defined in the currently loading file. You have four options:

· Keep Old Reference

· Use New Reference

· Keep ALL Old References

· Use ALL New References

Duplicate RGB Channel Reference

Keep Old Reference

The reference on the left side will remain, and the one on the right is discarded. If another duplicate is loaded, you will be prompted again.

Use New Reference

The reference on the right side will replace the one on the left. If another duplicate group is loaded, you will be prompted again.

Keep ALL Old References

The reference on the left side will remain, and the one on the right is discarded. From this point forward, any duplicates, for this RGB channel or others, are ignored in the file being loaded.

Use ALL New References

The reference on the right side will replace the one on the left. From this point forward, any duplicates, for this RGB channel or others, will replace what was previously loaded.


Fixture Properties

This Light-O-Rama Visualizer dialog allows you to set various parameters for a fixture. This includes things like the name, channels assigned, bulb size and shape, et cetera. Each different type of fixture (strings, floods, etc.) has different requirements, so some sections may or may not be visible and some fields may not be available, depending upon the type of the fixture.

· Name

· Type

· Comment

· Part of Prop

· Level

· Locked

· Number of Points

· Virtual Bulbs

· Flood Light

· Channel Type

· Assigned Channels

· Cosmic Color Ribbon

· DMX Pixel Universe

· Superstar (button)

Name

The name of the fixture. This descriptive name can be shown on the editor window, and is presented in the object selection area. The system will attempt to create a unique name for new fixtures. It is not, however, required that all names be unique.

Type

This is the type of fixture. It cannot be changed.

Comment

Use this field to add any comments about the fixture. This field is not used by the system; it is only here to help with your design, and can be used any way you see fit. For example, you may want to track the total number of amps this fixture will draw, what it is built from, et cetera.

Part of Prop

If this fixture is part of a prop, then the prop is listed here. If the fixture is not assigned to a prop, "(None)" is displayed. You can also assign or remove this fixture from a prop by clicking on the dropdown list.

Level

The layer this fixture currently resides on.

Locked

Locked fixtures cannot be selected in the main editing area. This prevents accidental changes to the fixture. The lock can be enabled or disabled here as well as in the object selection area.

Number of Points

The current number of vertices (for string fixtures) or number of bulbs (for single bulbs/CCRs/floods) that this fixture consists of. String fixtures can have a maximum of 256 vertices (with unlimited bulbs), or 256 bulbs for CCRs, floods, and single bulb fixtures.

Virtual Bulbs

The Virtual Bulbs section allows you to specify the parameters of the bulbs being generated, as well as see a sample representation of those bulbs. Depending on the fixture type, some fields may not be available. For example, you cannot change the spacing or the shape of the bulbs of a CCR fixture.

·Size: The size of the bulbs that will be used for this fixture in the simulation.

·Spacing: For string fixtures, this is the amount of space between two consecutive bulbs.

·Shape: Some fixture types allow you to use different bulb shapes - round, square, triangle, various star shapes, et cetera.

·Sample Bulbs: This area gives you a representation of what the bulbs will look like, based upon the parameters you have specified. If you have defined normal channels for this fixture, the sample will show how the bulbs will appear in the channel colors defined. If you have specified that this fixture uses RGB channels, then the color used will be the "RGB Sample Color". From left to right, the sample shows the bulbs from full intensity to lower intensities.

·Background Color: When you first create a fixture, the system will use the background color as specified in the options dialog. However, this background may make the bulbs hard to see. Pressing this button will allow you to specify a different background color just for this fixture.

·RGB Sample Color: Since the color of the bulbs for this fixture is not fixed, this button allows you to quickly specify the color of the bulbs while editing. It is best to use a color here that you don't normally see on your stage, so that you can quickly identify those elements that are RGB. If you would like more control over the sample color, you can also use the sliders to the right of the button. These sliders allow you to specify the R, G, and B components separately.

Flood Light

For flood light fixtures, this section replaces the "Virtual Bulb" section.

·Max Opacity: Flood lights are generally used to "wash" areas with light. This wash is not opaque, since you can still see what is being lit by the flood light. The Visualizer attempts to simulate this by allowing you to set the maximum opacity of a flood light. Normally, if a light is turned on to 100%, the entire background will be obscured by the light. If, however, you specify a maximum opacity of less than 100%, then no matter how bright the channel is turned on, some of the background will still show through.

·Size: The size of the flood light.

·Background Color: When you first create a fixture, the system will use the background color as specified in the options dialog. However, this background may make the bulbs hard to see. Pressing the button will allow you to specify a different background color just for this fixture.

·RGB Sample Color: Since the color of the bulbs for this fixture is not fixed, this button allows you to quickly specify the color of the bulbs while editing. It is best to use a color here that you don't normally see on your stage, so that you can quickly identify those elements that are RGB. If you would like more control over the sample color, you can also use the sliders to the right of the button. These sliders allow you to specify the R, G, and B components separately.

Channel Type

Depending on the fixture type, you can specify that this fixture uses either normal or RGB channels. Clicking on any row here will bring up the channel settings for that particular channel. This section does not appear for CCRs since they are always RGB and are assigned channels differently.

Assigned Channels

Depending on the type of fixture and the type of channels, this section allows you to specify up to 16 different channels. Clicking on a row here will bring up the Channel Settings dialog box.

Cosmic Color Ribbon

This section only appears if this is a CCR fixture.

·Physical Starting Pixel Number: CCR fixtures can be split apart into separate entities. The fixture with a particular address with pixel #1 is considered the master, and any others the slaves.

·Network: The network that this CCR is a part of.

·Base Unit ID: The base unit ID of this CCR.

·Unit ID Mode: Normal (one unit per CCR) or Legacy (ten units per CCR).

·Channel Mode: If the channels are in triplet (RGB) order, or sequential. Only available for the master CCD.

·Resolution: The logical resolution this CCR is running at. Only available for the master CCD.

DMX Pixel Universe

This section only appears if this is a DMX Pixel fixture.

·Starting Pixel Number: DMX Pixel fixtures can be split apart into separate entities. The fixture with a particular universe with pixel #1 is considered the master, and any others the slaves.

·Universe: The universe that this DMX Pixel fixture is a part of.

Superstar (button)

Pressing this button will bring up a dialog box to allow setting parameters which are specific to Superstar.


Insert Symbol Fixture

This Light-O-Rama Visualizer dialog allows you to create a fixture that is shaped like a character from a symbol font.

· Font Name

· Sample Area

· Selection Area

· # of Points

· OK

· Cancel

Insert Symbol Fixture

Font Name

Allows you to select the font from which you would like to select a character.

Sample Area

Shows a larger version of the selected character.

Selection Area

Allows you to select the character that will become a fixture.

# of Points

If the selected character has more than approximately 16,000 points, this field will be red, and the glyph cannot be used. Otherwise, the area will be green.

OK

Create the fixture using the selected character as an outline.

Cancel

Close the dialog with no changes.


Level Visibility and Properties

In the Light-O-Rama Visualizer, a fixture can be placed on any of sixteen levels, from the background (level 1) to the foreground (level 16). The primary use of levels is to allow you to layer fixtures on your stage. When you simulate your show, fixtures are rendered in background to foreground order. This means that fixtures on higher levels, when turned on, will seem to "cover" those on lower levels . You can disable the simulation of certain layers so that you can better see areas that may be hidden. You can also disable editing on certain layers to help you create your stage.

· Name

· Enabled for Editing

· Enabled for Simulation

· All/None/Invert

· When Editing Show Fixtures on Disabled Levels at This Intensity

Level Visibility and Properties

Name

You can rename the levels as you see fit.

Enabled for Editing

There is one checkbox for each level that enables or disables fixtures on that level for editing. When unchecked, fixtures that are on this particular level are shown at a lower intensity (or invisible), and cannot be selected in the main editor window. They can, however, still be selected in the object list.

Enabled for Simulation

There is one checkbox for each level that enables or disables the simulation of fixtures on that particular level. When unchecked, fixtures on this level are not simulated (and are therefore invisible) while being controlled by the Sequence Editor or Show Player.

All/None/Invert

There are two sets of buttons here - one each for editing and simulation. Selecting one of these commands quickly changes the state of all the checkboxes of that particular type.

·All: All checkboxes are checked.

·None: All checkboxes are unchecked.

·Invert: Checkboxes that were checked are now unchecked, and those that were unchecked are checked.

When Editing Show Fixtures on Disabled Levels at This Intensity

When a fixture is on a level that is disabled, it is presented in the editor window at a lower intensity. This slider allows you to select what that intensity is, from 50% down to 0% (with 0% meaning it is invisible).


Load LOR Reference File

The Light-O-Rama Visualizer's Load LOR Reference File dialog allows you to quickly assign channels to fixtures, using one or more sequence files or channel configuration files as reference files.

To load a reference file, first click the "select file" button ("..."). Select the sequence or channel configuration file that you would like to use, and then press the "Load" button. The Visualizer will then load the file that you selected and merge it with any other reference files you may have loaded.

When you select "Done", you are given the option to update any existing fixtures with the loaded references. If you select "yes", the Visualizer will match the existing channels of your simulation to the ones loaded, and update the name and color of each if a match is found.

Load Reference File


Main Editor Window

The Light-O-Rama Visualizer's main editor window consists of these areas:

·The menu

·The toolbars

·The Drawing Area

·The object list

·The status bar

The Visualizer's main editor window


Menu Items

The Light-O-Rama Visualizer's menus allow you to choose most of the commands that are available in the Visualizer. The following main menus exist:

·File: File related tasks, including load, save, and program options.

·Edit: Editor related tasks: tools, wizards and the like.

·Help: Show the help file.


New Prop

This Light-O-Rama Visualizer dialog allows you to create a new prop. A prop must first be created before it can be assigned to one or more fixtures. After naming the prop, the Prop Properties box is shown.

· Name

· OK

· Cancel

The New Prop dialog

Name

The name of this new prop.

OK

Create the prop.

Cancel

Discard changes.


New Simulation

The Light-O-Rama Visualizer's New Simulation dialog allows you to create a simulation with the parameters you specify. You can change these parameters later, with the "Simulation Properties" dialog.

· Background

· OK

· Cancel

The Visualizer's New Simulation dialog

Background

Select if you would like to use a picture or a plain solid white background for your simulation. If you select "Picture", you must use the "select file" button ("...") to select your background graphic. If you select "Blank", you must specify a width and height in pixels.

OK

Once the dialog is correctly completed, the OK button becomes available. When selected, it creates the new visualization with the parameters you have specified.

Cancel

Dismisses the dialog without any changes.


Object Selection Area

This area in the Light-O-Rama Visualizer shows you the names of all fixtures or props in your simulation. The area has several display modes and changes depending on whether you are working with fixtures or props. While in prop mode, you have the option of using a "normal" or "simple" display:

·Normal: This is a two-line display where the top line is the prop and the bottom line is the fixture. Every fixture is shown on the list.

·Simple: This is a one-line display where only the prop name is shown in the list.


Options

The Light-O-Rama Visualizer's Options dialog allows you to change the parameters, defaults, and behaviors of the Visualizer. The Options dialog has these tabs:

· General: General Visualizer parameters including autosaving, name display, et cetera.

· Tooltips: When pointing at an object in the editor, the Visualizer can show you information about the prop or fixture. This tab allows you to control what is displayed.

· Colors: The system colors used.

· Fixtures: Defaults for creating fixtures and props.

· Bulbs: Defaults for bulbs and channels.

· Com/Ref: Defaults for communication and reference files.


Options Tab 1: General

This tab on the Light-O-Rama Visualizer's Options dialog controls general Visualizer parameters including autosaving, name display, et cetera:

· On Startup

· Auto Save Every

· When Deleting a Fixture or Prop

· Show Fixture/Prop Name

· Always Show Prop Name

· Use Simple Prop Display

· Don't Show Corrupt File Warning

· Show CCR Pixel Order Numbering

· Ignore Missing Background Pictures

· Close Window (X) Stops Simulation

· Hide Names When Selection Active

The General Options tab

On Startup

Controls the behavior of the Visualizer when it starts up. The options are: do Nothing, Show Open File Dialog, Automatically open last file.

Auto Save Every

By setting this field to something other than "Never", the Visualizer will automatically save a visualization file periodically.

When Deleting a Fixture or Prop

Controls if the system will prompt you before allowing a delete.

Show Fixture/Prop Name

By setting this field to something other than "None", the name of a fixture or prop will be shown on the main editor screen (in the drawing area).

Always Show Prop Name

The name displayed near an object is normally controlled by what mode the user is in: While in fixture mode, fixture names are displayed, and while in prop mode, prop names are displayed. Selecting this checkbox forces the Visualizer to always show the prop name if it is available, regardless of the mode.

Use Simple Prop Display

The object list can be set to display in two different ways while in prop mode:

·Normal: Every fixture is displayed in a two-line list, with the first line being the prop name and the second line being the fixture name.

·Simple: Only the prop name (or the fixture name if the fixture is not assigned to a prop) is displayed.

Don't Show Corrupt File Warning

The system digitally signs all editor save files. If a file is loaded with a signature that does not match, the system will warn the user that the file may be corrupted. Selecting this option ignores the error.

Show CCR Pixel Order Numbering

Along with the fixture name, the Visualizer can display the number of each pixel of a CCR. Pixel numbers are important, since the order of them is important for simulation. This option controls if that pixel number is displayed or not.

Ignore Missing Background Pictures

If selected, the system will not prompt the user if it cannot find the background graphics.

Close Window (X) Stops Simulation

Selecting this option means that if you attempt to close a simulation with the window's control box, only the simulation will stop and the application will remain active.

Hide Names when Selection Active

When enabled, whenever a fixture or prop is selected, all fixture/prop names are hidden.


Options Tab 2: Tooltips

This tab on the Light-O-Rama Visualizer's Options dialog controls whether or not tooltips are displayed on the main editor screen and, if they are displayed, how they are displayed. Tooltips can give you a quick way of looking at a fixture or prop's parameters and data.

· Show Fixture/Prop Tooltips in Edit Mode

· Show Fixture Properties Even in Prop Mode

· Show the Following for Fixtures

· Show the First 'x' Assigned Channels

· Show the Following for Props

· Display up to 'x' Associated Fixtures

· Holding SHFT while pointing at CCR or DMX Pixel Universes

The Tooltips Options tab

Show Fixture/Prop Tooltips in Edit Mode

Turns tooltips on or off.

Show Fixture Properties Even in Prop Mode

When pointing at an object in the editor in prop mode, the prop parameters are displayed. If this option is checked, the Visualizer will show fixture properties regardless of what mode the editor is in.

Show the Following for Fixtures

Various fields that the user may or may not feel are important. If you don't want to see a particular parameter in the tooltips, unselect it.

Show the First 'x' Assigned Channels

If you set this value to something other than "None", the system will display this number of defined channels, starting with the first.

Show the Following for Props

Various fields that the user may or may not feel are important. If you don't want to see a particular parameter in the tooltips, unselect it.

Display up to 'x' Associated Fixtures

If set to a value other than "None", the system will show the names of this many fixtures associated to a prop, starting with the first.

Holding SHFT while pointing at CCR or DMX Pixel Universes

When in fixture mode, if you point at a CCR or DMX Pixel universe fixture, the pixels will 'light up' in the order they are assigned to the fixture. This can help with finding pixels that are for some reason 'out of order' on your stage. The slider here will set how fast the pixels light up from fast to slow.


Options Tab 3: Colors

This tab on the Light-O-Rama Visualizer's Options dialog controls what system colors the Visualizer uses, and the defaults for fixtures:

·Tool Handle: Tool handle colors.

·Vertex Handle: Drawing vertices tool handles.

·Fixture/Prop Names: Color of the text used to display a fixture or prop name.

·Default Background Color: The color used for the sample background when a new fixture is created.

·Default RGB Sample Color: The color used for the RGB fixture when a new one is created.

·Show fixtures in color while in edit mode: When checked, the Visualizer will attempt to use the channel colors or sample RGB color for fixtures. When unchecked, black is used.

The Colors Options tab


Options Tab 4: Fixtures

This tab on the Light-O-Rama Visualizer's Options dialog allows you to specify defaults and parameters when working with fixtures or props.

·When creating new fixtures assume the fixture is new: When set to "Ask", the system will present the "Assign to Fixture" dialog box, where you can select to create a new fixture or to use an existing fixture for a newly created drawing. When this option is set to "Always", the system creates a new fixture and never prompts.

·Default channel type: When creating a new fixture, the channel type will automatically be set to this type where applicable.

·Automatically Show the Fixture Properties Box After: You can control when the system automatically shows the fixture properties after the following actions: creating a new fixture, adding points to an existing fixture, selecting a fixture in the editor, selecting a fixture in the object list, undo/redo of fixture properties.

·Automatically Show the Prop Properties Box After Using a Wizard to Create 2 or More Fixtures: If you use a wizard to create a prop, if that prop contains more than two fixtures and you have selected this option, the Prop Properties dialog will be shown.

·When Creating New Channels for a fixture, create a channel name based on...: Selecting one or more of the options will allow the system to create a default channel name based on the options. These defaults are only if the channel is new.

The Fixtures Options tab


Options Tab 5: Bulbs

This tab on the Light-O-Rama Visualizer's Options dialog controls the defaults and actions associated with virtual bulbs:

·Defaults: New fixtures that are created will use these parameters (as needed). You can always change them on the fixture properties later.

·Don't show a warning if a CCR has an incorrect number of pixels: A CCR must consist of exactly 50 pixels, or it may not be simulated correctly. Checking this box disables the warning if a CCR fixture has other than 50 pixels.

·Don't show a warning if the bulb size is smaller than the recommended minimum: Some bulbs have a recommended minimum size that is greater than one. Checking this box will disable the warning.

The Bulbs Options tab


Options Tab 6: Com/Ref

This tab on the Light-O-Rama Visualizer's Options dialog controls how the Visualizer interacts with the Sequence Editor or Show Player:

·Communications: These fields control how the Sequence Editor or Show Player will "talk to" (control) the Visualizer. Normally you will be running the Visualizer on the same computer as the Sequence Editor, so the defaults (Local and port 30303) should be OK. Advanced users may want to change these fields. In all cases, the fields here must match the Visualizer Properties in the Sequence Editor.

·Don't show 'Load Another' reminder when loading reference files: The system will remind you after loading a reference file that you can load as many such files as you like. Checking this box will disable this reminder.

·Force Simulation Window to Front: When this option is enabled, whenever the Sequence Editor starts playing a sequence, the Visualier window will force itself to be shown in front of all other windows. This option is off by default.

·Advanced Rendering Engine: When this option is enabled, the Visualizer will attempt to use the much faster advanced rendering engine during simulation. You should disable this option if you experience rendering issues.

·OK: Applies the changes and closes the dialog.

·Cancel: Discards the changes and closes the dialog.

·Load Defaults: You can reset how the Visualizer works to the installation defaults by clicking this button.

The Com/Ref Options tab


Prop Properties

The Light-O-Rama Visualizer's Prop Properties box is broken down into three tabs:

· General: Name, comment, and fixtures that are assigned to the prop.

· Fixture Properties: Most used properties that can be quickly assigned to all fixtures assigned to this prop.

· Wizards: Access to run the Channel Wizard or the Rename Wizard.

Note that the Prop Properties box's "Delete" button will delete the prop definition, but will not delete any fixtures associated with the prop.


Prop Properties: General Tab

This tab on the Light-O-Rama Visualizer's Prop Properties box allows you to change various properties assigned to a prop:

·Name: The name of this prop.

·Comment: A comment area for your personal use.

·Locked: Lock or unlock the prop. Locked props cannot be selected or edited in the main editing window.

·Superstar: Pressing this button will bring up a new dialog allowing you to specify parameters that are specific to props being used in Superstar.

·Export Prop File: This button allows you to export this prop into a file library. See Importing and Exporting Fixtures and Props for more information.

·Fixture List: Click a row here to edit the fixtures assigned to this prop.

Clicking a blank line will allow you to add a fixture.

Clicking an existing line will bring up a list of fixtures, as well as a delete button ("X") to remove the selected fixture from the prop.

If a fixture is already assigned to a prop, the fixture name is noted with an asterisk ("*") in the fixture list.

Removing a fixture from a prop does not delete the fixture.

·Change Order of Fixtures: Pressing this button brings up the Reorder Prop dialog. This dialog allows you to change the order of the fixtures assigned to a prop. you may want to change the order of fixtures before using the Channel Wizard.

The Prop Properties General tab


Prop Properties: Change Fixture Properties Tab

This tab on the Light-O-Rama Visualizer's Prop Properties dialog allows you to update the most used parameters of fixtures assigned to a prop. For example, you can quickly change the bulb size of all fixtures assigned to this prop.

The parameters that can be changed are: lock status, level, size, shape, spacing, flood size, and flood max opacity. For more information on what these parameters mean, please see the documentation on Fixture Properties.

Depending on the parameter, not all fields are available for all fixture types. For example, "Spacing" is undefined for any fixture except "String" fixtures.

You may notice that some of the fields are blank and yet available. If a field is blank, that means two or more fixtures in this prop have different values for this field. For example, if two fixtures are attached to this prop and one has "Round" bulbs and the other "Square", the "Shape" field will be blank. If you leave the field blank, then this parameter will not be updated for any of the fixtures in the prop. If you do change a blank field, then all fixtures attached to this prop will have that parameter changed.

The Prop Properties Fixture Properties tab


Prop Properties: Wizards Tab

This tab on the Light-O-Rama Visualizer's Prop Properties dialog has buttons that allow you to run the Channel Wizard or the Rename Wizard on the fixtures of this prop. The Channel Wizard in only available if the fixtures of the prop are all of the same type (e.g. all string fixtures, or all flood fixtures).

The Prop Properties Channel Wizard tab


Rename Fixture

This dialog is presented when running the Rename Wizard.

New Fixture Name: New name to assign to this fixture. This box is filled with the current name of the fixture.


Rename Prop

This dialog is presented when you run the Prop Rename Wizard, or when importing a Prop file. Depending on how the Rename Prop dialog is used, some fields may not be visible or usable.

Prop Name Options

·Use the prop and fixture names specified in the file: This option is only presented if you are importing a Prop file. Selecting this option disables all other options.

·Rename the prop to: This text box is pre-filled with the existing prop name. If this option is selected (or if it is the only option available), the "Fixture Name Options" become available. You can change the name of the prop here, or keep the existing name.

Fixture Name Options

·Automatically rename the fixtures with the prop name and a number: For each fixture attached to this prop, this option will replace the name with the prop name and a sequence number.

·Prompt me for the name of each fixture: For each fixture attached to this prop, present a dialog with the existing name and allow it to be changed if desired.


Reorder Prop (Change Fixture Order)

The Light-O-Rama Visualizer's Reorder Prop dialog allows you to reorder the fixtures that are assigned to a prop. Typically you would want to do this before running the Channel Wizard, since the wizard will assign channels starting with the first fixture running to the last.

To reorder the fixtures, simply drag them into a new order in the list.

The Change Fixture Order dialog


Select Reference Channel

When you press the Select Channel Reference (...) or Select RGB Reference (RGB), this Light-O-Rama Visualizer dialog appears. The list is populated with channels of the appropriate type. Select the channel you would like to use in the dropdown.

The Select Reference Channel dialog


Simulation (Background) Properties

This Light-O-Rama Visualizer dialog box allows you to change the background picture, or to remove it entirely. You can also change the size of the visualization, and the intensity of the background or background picture.

· Image Source

· None

· Image Size

· Editor Size

· New Size

· Intensity

· Grid Lines

· Grid Color

· Grid Density (Slider)

· OK

· Cancel

The Simulation Properties dialog

Image Source

Select your background picture using the Select File button ("...").

None

Removes the background image.

Image Size

The size (in pixels) of the original background image (if loaded).

Editor Size

The size of the current visualization.

New Size

The size of the simulation if you have used the "Change size" button and then press OK.

Intensity

Controls the brightness of the background or background graphic. Allows you to "turn off the lights" to see a better representation of your stage. This slider has the same effect as the one on the main editor window.

Grid Lines

A dropdown that allows you to select if a drawing grid is displayed, and if so the type of grid. The grid is not a permanent part of your simulation, and can be turned on or off at any time.

Grid Color

Color of the grid used (if any).

Grid Density (Slider)

Controls the number of grid markings displayed. More dense grids are to the left, less dense grids to the right.

OK

Apply the changes and close the dialog.

Cancel

Discard changes.


Simulation (Compile) Errors

When you start a simulation, the Visualizer compiles all your fixtures and lights to improve performance. If the Visualizer is unable to compile your sequence, this dialoag will be shown.

Errors: A text box with a list of the errors encountered. These errors will need to be corrected before the simulation can run.


Status Bar

The Light-O-Rama Visualizer's status bar shows the current status of the Visualizer, plus additional information which may be helpful. It is broken down into different regions depending upon whether the Visualizer is in editing mode or simulation mode:

While Editing

1.Indicates if the simulation has changed since it was last saved.

2.Information area: additional information about a tool in use, et cetera.

3.This section is unused while editing.

4.Location of the cursor (X, Y) in the edit window.

5.Current time.

While Simulating

1.Stop button: ends the simulation and returns to edit mode.

2.Information area: Additional information about the simulation.

3.FPS: Shows the current performance of the simulation.

4.Queue Gauge: Graphically shows how much information is in the queue waiting to be processed.

5.Current time.


Superstar Visualizer Settings

The Visualizer will allow you to set several different parameters which may aid Superstar in creating a better sequence for your stage. The parameters have no other function in the Visualizer.


Fixture Settings for Superstar

The Visualizer allows you to enter additional data to assist the SuperStar sequencer in determining how your stage is set up. Previously, these parameters were placed in the comment field of the fixture. Those commands have now been moved to their own window for ease of use. See the SuperStar documentation for the use of these fields.

SuperStar Properties for Fixtures


Prop Settings for Superstar

The Visualizer allows you to enter additional data to assist the SuperStar sequencer in determining how your stage is set up. Previously, these parameters were placed in the comment field of the fixture. Those commands have now been moved to their own window for ease of use. See the SuperStar documentation for the use of these fields.

SuperStar Properties for Props


Toolbars

The Light-O-Rama Visualizer's toolbars allow you to quickly work with the Visualizer's tools and options. There are the following toolbars:

· Edit Toolbar

· Actions Toolbar

· Color Toolbar


Edit Toolbar

The Light-O-Rama Visualizer's Edit Toolbar contains tools that deal with editing your visualization:

·New: Start a new visualization.

·Open: Load an existing visualization.

·Save: Save the current visualization.

·Home Object: Take the selected fixture or prop and move it to the upper left of the editing window.

·Delete: Delete the selected fixture or prop.

·Send to Foreground: Place the selected fixture or prop on the foreground (level 16).

·Send to Background: Place the selected fixture or prop on the background (level 1).

·Move Forward: Move the selected fixture one level forward, towards the foreground.

·Send Backward: Move the selected fixture one level backward, towards the background.

·Lock: Lock the selected fixture or prop.

·Unlock: Unlock the selected fixture or prop.

·Cut: Remove the selected fixture or prop from the editor and place it on the clipboard so that it can be pasted later.

·Copy: Duplicate the selected fixture or prop onto the clipboard so it can be pasted later.

·Paste: Create another copy of the fixture or prop on the clipboard at the home position.

·Undo: Undo the last action.

·Redo: Redo the previously undone action.

·Object Properties: Show the properties box of the selected fixture or prop.

·Simulation Properties: Show the properties of the simulation.

·Load LOR Reference File: Load a sequence or channel configuration file as a reference file.


Actions Toolbar

The Light-O-Rama Visualizer's Actions Toolbar contains commands and actions that you can perform, including simulation, object selection, et cetera:

·Play: Place the Visualizer in simulation mode.

·Select Prop: Place the Visualizer in prop mode and allow the selection of props.

·Fixture Select: Place the Visualizer in fixture mode and allow the selection of fixtures.

·Draw Strings: Draw strings of lights.

·Draw Cosmic Color Pixel: Draw single bulbs of a CCR fixture.

·Draw Floods: Draw flood lights.

·Draw Single Bulbs: Draw single bulbs.

·Arch Wizard: Start the Arch/Fan Wizard.

·Tree Wizard: Start the Tree Wizard.

·CCR Draw Wizard: Start the CCR Draw Wizard.

·Matrix Wizard: Start the CCR Matrix Wizard.

·Draw Pixel String: Start the Draw DMX Pixels Wizard.

·Insert Fixture: Import a fixture from a fixture file.

·Insert Symbol: Create a fixture based upon a font character.

·Insert Prop: Import a prop from a prop file.

·Level Properties: Set level options and visibility.

·Create New Prop: Create a prop so that fixtures can be assigned to it.


Color Toolbar

The Light-O-Rama Visualizer's Color Toolbar contains tools that let you quickly adjust system colors and the background intensity.

·Names: Color of the text used to display a fixture or prop name. You can also turn off the display by unchecking the box.

·Handle: Tool handle colors.

·Vertex: Drawing vertices tool handles.

·Background Intensity Slider: Set the background intensity from black to normal.

·Grid Display Color: Color of the drawing grid displayed.

·Grid Display Option: Turn off the grid, or change the type of grid displayed.


Tree Wizard

This Light-O-Rama Visualizer wizard allows you to create light trees (mega trees) with either strings or CCRs. Depending on your selections, some options may not be available.

· Example Picture

· Prop (Mega Tree) Name

· Size

· Type of Tree

· Type of Channel Bundles/Fixtures

· First Bundle Location

· Number of Bundles/Fixtures

· Density

· Scroll Bars

· OK

· Cancel

· Defaults

The Visualizer's Tree Wizard

Example Picture

Shows what the tree will look like with the parameters you have specified.

Prop (Mega Tree) Name

The name the prop will be given when the tree is created in the editor. Any fixtures created will use this name plus a sequence number (e.g. "Example Tree 1" for the prop name "Example Tree").

Size

The size of the tree in pixels. You can specify three sizes: base width, top width, and height. The base width of the tree is the round bottom of the tree. The top width determines if the tree comes to a point (0), or if it is circular. A circular top is typically used for CCR trees, however it can be used for any light type. If the top and the base are the same width, the wizard can produce multiple poles. The height is the size from the base to the center point of the top width.

You can always make the prop larger or smaller by using the tool handles in the editor after creation.

Type of Tree

The wizard can create full trees (360 degrees) or half trees (180 degrees).

·Counter Clockwise: When creating bundles, the system will normally create them from the location you specify, continuing around clockwise from that point. If you select this option, the bundles are created from your starting point, but in a counterclockwise motion instead.

Type of Channel Bundles/Fixtures

When the wizard creates the tree, each channel bundle (also called a segment) can be created in several different ways. Trees can be created using String fixtures, or CCR fixtures, and each has several options.

·Strings in a Wedge: The bundle is created by starting on the base, going to the top of the virtual center pole, and then back down to the base adjacent to the start point.

·Strings in a Wedge with Base: The bundle is created by starting on the base, going to the top of the virtual center pole, and then back down to the base adjacent to the start point. The two base points are then connected with a string.

·Strings Edge to Center: The bundle is created starting at the base and running to the top of the virtual center pole.

·Strings Center to Edge: The bundle is created starting at the top of the virtual center pole and running to the base.

·Strings Up and Over: The bundle is created starting at the base, running to the top of the virtual center pole, and then back down again directly opposite of where it started.

·CCR Center to Edge: CCR pixels are created starting at the top of the virtual center pole and running to the base.

·CCR Edge to Center: CCR pixels are created starting at the base and running to the top of the virtual center pole.

·CCR Center to Edge/Edge to Center: CCR pixels are created starting at the top of the virtual center pole and running to the base. The next line of pixels is created starting at the base and going to the center pole. This pattern repeats until the full tree is created.

·CCR Edge to Center/Center to Edge: CCR pixels are created starting at the base and running to the top of the virtual center pole. The next line of pixels is created starting at the top of the virtual center pole and going to the base. This pattern repeats until the full tree is created.

·DMX Pixels Center to Edge: DMX pixels are created starting at the top of the virtual center pole and running to the base.

·DMX Pixels Edge to Center: DMX pixels are created starting at the base and running to the top of the virtual center pole.

·DMX Pixels Center to Edge/Edge to Center: DMX pixels are created starting at the top of the virtual center pole and running to the base. The next line of pixels is created starting at the base and going to the center pole. This pattern repeats until the full tree is created.

·DMX Pixels Edge to Center/Center to Edge: DMX pixels are created starting at the base and running to the top of the virtual center pole. The next line of pixels is created starting at the top of the virtual center pole and going to the base. This pattern repeats until the full tree is created.

If you have selected any of the CCR or DMX Pixel options, then you must also specify the number of pixels per bundle.

First Bundle Location

Allows you to control where the first bundle is created. You can further refine the starting location by using the horizontal scroll bar to "spin" the tree through the virtual center pole.

Number of Bundles/Fixtures

This slider allows you to choose how many independently controllable regions will be created. For light strings, each bundle will become a fixture.

Density

You can make the tree appear to be more full by increasing the density.

Scroll Bars

The scroll bars allow you to change the perspective of the tree to better match your stage. The vertical scroll bar allows a 180 degree view, from inside the tree looking straight up at the top of the center pole, to straight on, to above the tree looking straight down at the center pole. The horizontal scroll bar allows you to rotate the tree around the center pole This allows you to refine the starting place of the first bundle.

OK

Create the tree.

Cancel

Close the dialog with no change.

Defaults

Resets the parameters to logical defaults if desired.


Mouse Wheel

You can quickly scroll several areas of the Light-O-Rama Visualizer's main editor window by using your mouse wheel. To scroll the simulation vertically, use the wheel while over the main editing area. To scroll horizontally, place the cursor on the horizontal scroll bar and rotate. To scroll the object list, point at it and use the wheel.


Shortcut Keys

Along with the Light-O-Rama Visualizer's menu shortcuts, accessed with the Alt key and the underlined letter, there are several keyboard shortcuts that can be used in the editor:

Delete key | Delete the currently selected fixture or prop.
Esc key | Removes the current drawing from the editor. Exits simulation mode
End key or Enter key | Ends the current drawing (same as double clicking).
Home key | Send the currently selected fixture or prop to the upper left corner of the editor.
Ctrl-C | Copy.
Ctrl-V | Paste.
Ctrl-X | Cut.
+ | Move the selected fixture or prop towards the foreground.
- | Move the selected fixture or prop towards the background.
Tab key | Select the next fixture or prop.


Verifier

The Light-O-Rama Verifier can be used to check for certain types of problems with the way that Light-O-Rama is configured on your machine, and with your schedule, shows, and sequences.

To use the Verifier, simply click its "Verify" button. By default, this will cause it to check for issues in your Light-O-Rama configuration, your schedule, shows that you have scheduled, and sequences in those shows. You can also tell it to "Verify a Single Show" or "Verify a Single Sequence"; note, though, that two sequences which each pass "Verify a Single Sequence" without any problems might have problems when used together in a single show, so it's always a good idea to do "Verify a Single Show" and especially "Verify Entire Schedule" at least once before going live with your show.

As the Verifier is checking for issues, it will display what it is doing in its "Output Log" tab; when it is complete, it will switch to its "Results" tab, showing a list of the issues that it has found:

The Verifier has found one error and seven warnings

Each result has a description, severity, and message number, and may have additional details. There are several "Details" columns, each of which may contain a piece of information specific to the detected problem. For example, in the above screenshot, several warning messages appear, all with message number 28, meaning "Channel is completely off". This message number's first "Details" column shows the name of the sequence in which the problem was found and its second "Details" column shows the track containing the channel which is completely off. Its third "Details" column (which cannot be seen in the screenshot above, but which could be seen by scrolling to the right) displays the name of the channel.

If you right-click on a particular result, a popup menu will appear:

The right-click popup menu for a result

Clicking "Help on this result" simply opens the help file to the page for the result number in question.

The two "ignore" options let you tell the Verifier that you are not interested in seeing this result in the future - either it specifically ("Ignore this result") or all results with the same message number ("Ignore all results with message number 28").

If you ignore a result (or all results with a certain message number), then whenever such results are detected in the future, they will not count towards the number of errors or warnings which the Verifier says it detected, and they will be displayed on the Verifier's "Ignored Results" tab instead of the "Results" tab. You can later decide to stop ignoring such results by going to that tab, right-clicking on a result, and unchecking the ignore option that you had previously selected.

You can also save the list of results to a text file, by clicking the Verifier's "Save" button. Only results on the "Results" tab will be saved to the file; those on the "Ignored Results" will not be.

Please see the list of Verifier messages for details on the types of problems that the Verifier checks for.


List of Verifier Messages

The following messages can be generated by the Light-O-Rama Verifier. For details on any given one, please refer to its individual help page.

· Message 1 (Info): No errors or warnings found

· Message 2 (Warning): Verification cancelled

· Message 3 (Error): Light-O-Rama is not fully installed

· Message 4 (Error): No registry entry for application path

· Message 5 (Error): Application directory does not exist

· Message 6 (Warning): Verifier not running from LOR application path

· Message 7 (Error): Application file does not exist

· Message 8 (Error): Unlicensed LOR demo version used

· Message 9 (Warning): Unsupported version of Windows Media Player

· Message 10 (Error): No registry entry for user data path

· Message 11 (Error): User data directory does not exist

· Message 12 (Warning): No registry entry for non-media data path

· Message 13 (Warning): Non-media data directory does not exist

· Message 14 (Warning): No registry entry for media data path

· Message 15 (Warning): Media data directory does not exist

· Message 16 (Error): Application file has unexpected version number

· Message 17 (Warning): Weekly schedule file does not exist

· Message 18 (Warning): Yearly schedule file does not exist

· Message 19 (Warning): Calendar scheduling not supported

· Message 20 (Warning): No shows are scheduled

· Message 21 (Error): Show file does not exist

· Message 22 (Error): Error reading show file

· Message 23 (Error): Sequence file does not exist

· Message 24 (Error): Sequence file cannot be loaded

· Message 25 (Warning): Show has no sequences

· Message 26 (Error): Media file does not exist

· Message 27 (Warning): Conflicting channel settings in sequence

· Message 28 (Warning): Channel is completely off

· Message 29 (Warning): Sequence is completely off

· Message 30 (Warning): Channel is missing settings

· Message 31 (Warning): Channel uses undefined comm network

· Message 32 (Warning): Channel in tracks of conflicting length

· Message 33 (Warning): Musical file used in non-audio section of show

· Message 34 (Warning): Subsequences not supported

· Message 35 (Warning): Background sequences unsupported

· Message 36 (Warning): Startup sequences unsupported

· Message 37 (Warning): Shutdown sequences unsupported

· Message 38 (Warning): Interactive triggers unsupported

· Message 39 (Warning): Unsupported number of tracks

· Message 40 (Warning): Shell commands unsupported

· Message 41 (Warning): Shell command map file does not exist

· Message 42 (Warning): Shell command not set

· Message 43 (Warning): Channel conflict

· Message 44 (Warning): Old MC-P compatibility enabled

· Message 45 (Warning): Channel settings conflict in sequence/intensity file

· Message 46 (Warning): Channel settings conflict in intensity file

· Message 47 (Warning): Intensity file conflict

· Message 48 (Warning): Channel/intensity file conflict

· Message 49 (Warning): Intensity file uses undefined comm network

· Message 50 (Warning): Intensity files not supported by license level

· Message 51 (Warning): Use Compressed Sequences disabled

· Message 52 (Warning): Show Player Memory Restarts disabled

· Message 53 (Warning): Trigger uses undefined network

· Message 54 (Warning): Trigger uses LOR Enhanced network


Verifier Messages 1-10

The following are some messages can be generated by the Light-O-Rama Verifier. For details on any given one, please refer to its individual help page. To see all possible messages, please refer to the List of Verifier Messages.

· Message 1 (Info): No errors or warnings found

· Message 2 (Warning): Verification cancelled

· Message 3 (Error): Light-O-Rama is not fully installed

· Message 4 (Error): No registry entry for application path

· Message 5 (Error): Application directory does not exist

· Message 6 (Warning): Verifier not running from LOR application path

· Message 7 (Error): Application file does not exist

· Message 8 (Error): Unlicensed LOR demo version used

· Message 9 (Warning): Unsupported version of Windows Media Player

· Message 10 (Error): No registry entry for user data path


1: No errors or warnings found

Message Number: 1

Severity: Info

Summary: No errors or warnings found

If the LOR Verifier does not find any errors or warnings (other than those you have told it to ignore), it will output this message.

The LOR Verifier

List of Verifier Messages


2: Verification cancelled

Message Number: 2

Severity: Warning

Summary: Verification cancelled

If you hit the cancel button while the LOR Verifier is checking for problems, it will stop checking, display any issues that it has found to that point, and additionally display this message to warn you that there may be other issues that it would have found had it not been cancelled.

Note that it may not stop immediately when you hit the cancel button; it may finish its current check first.

The LOR Verifier

List of Verifier Messages


3: Light-O-Rama is not installed

3: Light-O-Rama is not fully installed

Message Number: 3

Severity: Error

Summary: Light-O-Rama is not fully installed

The installation of Light-O-Rama is not complete. This could occur, for example, if the installation was interrupted, or if a registry cleanup utility deleted certain Light-O-Rama entries from your computer's Windows registry.

If the problem is that the registry entries have been deleted, you can solve it by running the LORPost utility, which is typically automatically run after installation. This utility can be found in the directory where you installed your Light-O-Rama program files, which is typically (but not always) C:\Program Files\Light-O-Rama.

Note that the LORPost utility will ask where your Light-O-Rama data files should be stored. If you already have a "Sequences" directory, and would like to keep your sequences there by default, tell it the directory one level above that directory. For example, if your sequences are stored in C:\LOR\Sequences, tell the LORPost utility to store your Light-O-Rama data files in C:\LOR.

Otherwise, try reinstalling Light-O-Rama, or uninstalling and then reinstalling.

The LOR Verifier

List of Verifier Messages


4: No registry entry for application path

Message Number: 4

Severity: Error

Summary: No registry entry for application path

A required Light-O-Rama entry in the Windows registry cannot be found. This could occur, for example, if the installation was interrupted, or if a registry cleanup utility deleted certain Light-O-Rama entries from your computer's Windows registry. You will not be able to use Light-O-Rama until this problem is resolved.

If the problem is that the registry entries have been deleted, you can solve it by running the LORPost utility, which is typically automatically run after installation. This utility can be found in the directory where you installed your Light-O-Rama program files, which is typically (but not always) C:\Program Files\Light-O-Rama.

Note that the LORPost utility will ask where your Light-O-Rama data files should be stored. If you already have a "Sequences" directory, and would like to keep your sequences there by default, tell it the directory one level above that directory. For example, if your sequences are stored in C:\LOR\Sequences, tell the LORPost utility to store your Light-O-Rama data files in C:\LOR.

Otherwise, try reinstalling Light-O-Rama, or uninstalling and then reinstalling.

The LOR Verifier

List of Verifier Messages


5: Application directory does not exist

Message Number: 5

Severity: Error

Summary: Application directory does not exist

Details: The name of the directory that is missing

The Windows registry says that the Light-O-Rama program files, such as the Sequence Editor and the Hardware Utility, can be found in a certain directory, but that directory does not actually exist. You will not be able to use Light-O-Rama until this problem is resolved.

It is suggested to uninstall and reinstall Light-O-Rama.

The LOR Verifier

List of Verifier Messages


6: Verifier not running from LOR application path

Message Number: 6

Severity: Warning

Summary: Verifier not running from LOR application path

Details #1: The name of the directory that LOR program files should be contained in

Details #2: The name of the directory that the Verifier is running from

The various Light-O-Rama program files, such as the Sequence Editor and the Hardware Utility, are expected to be found in a certain Windows directory. The Verifier itself is one such program. However, the copy of the Verifier that you are running is actually contained in a different directory.

This may not be a problem, for example if you intentionally copied the Verifier to a different directory and ran it from there.

However, it might indicate that you are using an old version of the Verifier from a previous installation, and that old Verifier may not be completely compatible with the current installation. Or, it might be indicative of a deeper problem with the installation of Light-O-Rama.

It is suggested that you run the Verifier from the same directory where the Light-O-Rama program files are installed. If you are doing so, and still get this error, consider uninstalling and reinstalling Light-O-Rama.

The LOR Verifier

List of Verifier Messages


7: Application file does not exist

Message Number: 7

Severity: Error

Summary: Application file does not exist

Details: The expected directory and filename of the missing application file

One of the Light-O-Rama program files, such as the Sequence Editor or the Hardware Utility, cannot be found.

Depending upon exactly what is missing, your shows may still be able to play. However, they may not, and in any case, something is definitely wrong.

It is suggested that you uninstall and reinstall Light-O-Rama.

The LOR Verifier

List of Verifier Messages


8: Unlicensed LOR demo version used

Message Number: 8

Severity: Error

Summary: Unlicensed LOR demo version used

Your Light-O-Rama software has not been registered. Until you register it, it will not actually control your lights (and will have other limitations as well).

This may have occurred for various reasons - for example, it simply may be that you have not yet purchased a Light-O-Rama license. If you do have a license, though, you may not have entered it on this computer, or perhaps you have recently installed a new version of Light-O-Rama (in which case your license may or may not be valid for this new version). Or, perhaps your licensing information has been deleted from the Windows registry, perhaps by a registry cleanup tool.

If you have not yet purchased a license, you can do so from the Light-O-Rama website.

If you have already purchased one, try using it to register Light-O-Rama on this computer. If this does not work, perhaps you have already installed Light-O-Rama on the maximum number of computers covered by your license, or perhaps your license is for an older version of Light-O-Rama than the one that you are trying to run.

The LOR Verifier

List of Verifier Messages


9: Unsupported version of Windows Media Player

Message Number: 9

Severity: Warning

Summary: Unsupported version of Windows Media Player

The version of Windows Media Player installed on this computer is older than the minimum version required by Light-O-Rama, or, perhaps, Windows Media Player is not correctly installed.

You may still be able to use Light-O-Rama, but it will (at the very least) be severely limited - for example, musical sequences will not play. It is suggested that you install the latest version of Windows Media Player.

The LOR Verifier

List of Verifier Messages


10: No registry entry for user data path

Message Number: 10

Severity: Error

Summary: No registry entry for user data path

A required Light-O-Rama entry in the Windows registry cannot be found. This could occur, for example, if the installation was interrupted, or if a registry cleanup utility deleted certain Light-O-Rama entries from your computer's Windows registry.

Your shows will not run successfully until this problem is resolved.

If the problem is that the registry entries have been deleted, you can solve it by running the LORPost utility, which is typically automatically run after installation. This utility can be found in the directory where you installed your Light-O-Rama program files, which is typically (but not always) C:\Program Files\Light-O-Rama.

Note that the LORPost utility will ask where your Light-O-Rama data files should be stored. If you already have a "Sequences" directory, and would like to keep your sequences there by default, tell it the directory one level above that directory. For example, if your sequences are stored in C:\LOR\Sequences, tell the LORPost utility to store your Light-O-Rama data files in C:\LOR.

Otherwise, try reinstalling Light-O-Rama, or uninstalling and then reinstalling.

The LOR Verifier

List of Verifier Messages


Verifier Messages 11-20

The following are some messages can be generated by the Light-O-Rama Verifier. For details on any given one, please refer to its individual help page. To see all possible messages, please refer to the List of Verifier Messages.

· Message 11 (Error): User data directory does not exist

· Message 12 (Warning): No registry entry for non-media data path

· Message 13 (Warning): Non-media data directory does not exist

· Message 14 (Warning): No registry entry for media data path

· Message 15 (Warning): Media data directory does not exist

· Message 16 (Error): Application file has unexpected version number

· Message 17 (Warning): Weekly schedule file does not exist

· Message 18 (Warning): Yearly schedule file does not exist

· Message 19 (Warning): Calendar scheduling not supported

· Message 20 (Warning): No shows are scheduled


11: User data directory does not exist

Message Number: 11

Severity: Error

Summary: User data directory does not exist

Details: The name of the missing directory

The directory that Light-O-Rama expects to find Light-O-Rama data files in does not exist. This could occur, for example, if the installation was interrupted, or if a registry cleanup utility deleted certain Light-O-Rama entries from your computer's Windows registry, or if the directory was deleted or renamed.

Your shows will not run successfully until this problem is resolved.

You may be able to solve this problem by running the LORPost utility, which is typically automatically run after installation. This utility can be found in the directory where you installed your Light-O-Rama program files, which is typically (but not always) C:\Program Files\Light-O-Rama.

Note that the LORPost utility will ask where your Light-O-Rama data files should be stored. If you already have a "Sequences" directory, and would like to keep your sequences there by default, tell it the directory one level above that directory. For example, if your sequences are stored in C:\LOR\Sequences, tell the LORPost utility to store your Light-O-Rama data files in C:\LOR.

Otherwise, try reinstalling Light-O-Rama, or uninstalling and then reinstalling.

The LOR Verifier

List of Verifier Messages


12: No registry entry for non-media data path

Message Number: 12

Severity: Warning

Summary: No registry entry for non-media data path

A required Light-O-Rama entry in the Windows registry cannot be found. This could occur, for example, if the installation was interrupted, or if a registry cleanup utility deleted certain Light-O-Rama entries from your computer's Windows registry.

Until this problem is resolved, it is possible that your shows will run successfully, but it is likely that they will not. Even if the shows themselves do run, certain sequences in them may not.

If the problem is that the registry entries have been deleted, you can solve it by running the LORPost utility, which is typically automatically run after installation. This utility can be found in the directory where you installed your Light-O-Rama program files, which is typically (but not always) C:\Program Files\Light-O-Rama.

Note that the LORPost utility will ask where your Light-O-Rama data files should be stored. If you already have a "Sequences" directory, and would like to keep your sequences there by default, tell it the directory one level above that directory. For example, if your sequences are stored in C:\LOR\Sequences, tell the LORPost utility to store your Light-O-Rama data files in C:\LOR.

Otherwise, try reinstalling Light-O-Rama, or uninstalling and then reinstalling.

The LOR Verifier

List of Verifier Messages


13: Non-media data directory does not exist

Message Number: 13

Severity: Warning

Summary: Non-media data directory does not exist

Details: The name of the missing directory

The directory that Light-O-Rama expects to find Light-O-Rama sequence files in does not exist. This could occur, for example, if the installation was interrupted, or if a registry cleanup utility deleted certain Light-O-Rama entries from your computer's Windows registry, or if the directory was deleted or renamed.

Until this problem is resolved, it is possible that your shows will run successfully, but it is likely that they will not. Even if the shows themselves do run, certain sequences in them may not.

You may be able to solve this problem by running the LORPost utility, which is typically automatically run after installation. This utility can be found in the directory where you installed your Light-O-Rama program files, which is typically (but not always) C:\Program Files\Light-O-Rama.

Note that the LORPost utility will ask where your Light-O-Rama data files should be stored. If you already have a "Sequences" directory, and would like to keep your sequences there by default, tell it the directory one level above that directory. For example, if your sequences are stored in C:\LOR\Sequences, tell the LORPost utility to store your Light-O-Rama data files in C:\LOR.

Otherwise, try reinstalling Light-O-Rama, or uninstalling and then reinstalling.

The LOR Verifier

List of Verifier Messages


14: No registry entry for media data path

Message Number: 14

Severity: Warning

Summary: No registry entry for media data path

A required Light-O-Rama entry in the Windows registry cannot be found. This could occur, for example, if the installation was interrupted, or if a registry cleanup utility deleted certain Light-O-Rama entries from your computer's Windows registry.

Until this problem is resolved, it is possible that your shows will run successfully, but it is likely that they will not. Even if the shows themselves do run, certain sequences in them may not.

If the problem is that the registry entries have been deleted, you can solve it by running the LORPost utility, which is typically automatically run after installation. This utility can be found in the directory where you installed your Light-O-Rama program files, which is typically (but not always) C:\Program Files\Light-O-Rama.

Note that the LORPost utility will ask where your Light-O-Rama data files should be stored. If you already have a "Sequences" directory, and would like to keep your sequences there by default, tell it the directory one level above that directory. For example, if your sequences are stored in C:\LOR\Sequences, tell the LORPost utility to store your Light-O-Rama data files in C:\LOR.

Otherwise, try reinstalling Light-O-Rama, or uninstalling and then reinstalling.

The LOR Verifier

List of Verifier Messages


15: Media data directory does not exist

Message Number: 15

Severity: Warning

Summary: Media data directory does not exist

Details: The name of the missing directory

The directory that Light-O-Rama expects to find audio and video files in does not exist. This could occur, for example, if the installation was interrupted, or if a registry cleanup utility deleted certain Light-O-Rama entries from your computer's Windows registry, or if the directory was deleted or renamed.

Until this problem is resolved, it is possible that your shows will run successfully, but it is likely that they will not. Even if the shows themselves do run, certain sequences in them may not.

You may be able to solve this problem by running the LORPost utility, which is typically automatically run after installation. This utility can be found in the directory where you installed your Light-O-Rama program files, which is typically (but not always) C:\Program Files\Light-O-Rama.

Note that the LORPost utility will ask where your Light-O-Rama data files should be stored. If you already have a "Sequences" directory, and would like to keep your sequences there by default, tell it the directory one level above that directory. For example, if your sequences are stored in C:\LOR\Sequences, tell the LORPost utility to store your Light-O-Rama data files in C:\LOR.

Otherwise, try reinstalling Light-O-Rama, or uninstalling and then reinstalling.

The LOR Verifier

List of Verifier Messages


16: Application file has unexpected version number

Message Number: 16

Severity: Error

Summary: Application file has unexpected version number

Details #1: The name of the application file

Details #2: The expected version number of the application file

Details #3: The actual version number of the application file

A certain Light-O-Rama program file, such as the Sequence Editor or the Hardware Utility, has a version number other than the one that the Verifier was expecting.

This may be because you are using an old version of the Verifier from a previous installation, and that old Verifier may not be completely compatible with the current installation. Or, it might be indicative of a deeper problem with the installation of Light-O-Rama.

Make sure that you are running the copy of the Verifier that is in the same directory where your current version of Light-O-Rama is installed. If you are doing so, it is suggested that you uninstall and reinstall Light-O-Rama.

The LOR Verifier

List of Verifier Messages


17: Weekly schedule file does not exist

Message Number: 17

Severity: Warning

Summary: Weekly schedule file does not exist

Details: The name of the missing file

The file which is supposed to contain your weekly schedule does not exist.

If you do not intend to have any shows scheduled via the weekly schedule, this is not an issue; any shows that you have scheduled via the calendar schedule should play as scheduled. But if you do intend to have shows scheduled via the weekly schedule, they will not be played until this problem is resolved.

Perhaps the file was renamed out of the way, in which case you can rename it back to the expected name. Or, perhaps it was deleted; check your computer's Recycle Bin. If neither of these is the problem, then you will have to recreate your weekly schedule via the Schedule Editor or the Simple Show Builder.

The LOR Verifier

List of Verifier Messages


18: Yearly schedule file does not exist

Message Number: 18

Severity: Warning

Summary: Yearly schedule file does not exist

Details: The name of the missing file

The file which is supposed to contain your calendar schedule does not exist.

If you do not intend to have any shows scheduled via the calendar schedule, this is not an issue; any shows that you have scheduled via the weekly schedule should play as scheduled. But if you do intend to have shows scheduled via the calendar schedule, they will not be played until this problem is resolved.

Perhaps the file was renamed out of the way, in which case you can rename it back to the expected name. Or, perhaps it was deleted; check your computer's Recycle Bin. If neither of these is the problem, then you will have to recreate your weekly schedule via the Schedule Editor or the Simple Show Builder.

The LOR Verifier

List of Verifier Messages


19: Calendar scheduling not supported

Message Number: 19

Severity: Warning

Summary: Calendar scheduling not supported

Details #1: The date on which a show is scheduled via the calendar

Details #2: The name of the show

A show is scheduled via the calendar schedule, but your license does not support calendar scheduling (or you are using the unlicensed demo version of the software). The show will not play at the scheduled time.

If you already have a license, and have registered Light-O-Rama on this computer, then to get the show to play, you can either upgrade to a higher level license which does support calendar scheduling, or else remove the show from your calendar schedule and schedule it in your weekly schedule instead.

If you are using the unlicensed demo version, and you have not yet purchased a license, you can do so from the Light-O-Rama website.

If you have already purchased one, try using it to register Light-O-Rama on this computer. If this does not work, perhaps you have already installed Light-O-Rama on the maximum number of computers covered by your license, or perhaps your license is for an older version of Light-O-Rama than the one that you are trying to run.

The LOR Verifier

List of Verifier Messages


20: No shows are scheduled

Message Number: 20

Severity: Warning

Summary: No shows are scheduled

You have no shows scheduled. None of your shows will play until you schedule them, via the Schedule Editor or the Simple Show Builder.

The LOR Verifier

List of Verifier Messages


Verifier Messages 21-30

The following are some messages can be generated by the Light-O-Rama Verifier. For details on any given one, please refer to its individual help page. To see all possible messages, please refer to the List of Verifier Messages.

· Message 21 (Error): Show file does not exist

· Message 22 (Error): Error reading show file

· Message 23 (Error): Sequence file does not exist

· Message 24 (Error): Sequence file cannot be loaded

· Message 25 (Warning): Show has no sequences

· Message 26 (Error): Media file does not exist

· Message 27 (Warning): Conflicting channel settings in sequence

· Message 28 (Warning): Channel is completely off

· Message 29 (Warning): Sequence is completely off

· Message 30 (Warning): Channel is missing settings


21: Show file does not exist

Message Number: 21

Severity: Error

Summary: Show file does not exist

Details: The name of the missing show file

You have a show scheduled, but the file that is supposed to contain that show does not exist. The show will not play until this problem is resolved.

If you do not want the show to play, this is not a problem, but you may want to remove it from your schedule (using the Schedule Editor) so that this error message does not appear in the future.

If you do want the show to play, perhaps its file was renamed, or deleted. If it was renamed, either rename it back, or else use the Schedule Editor to point to the new name of the show file instead of the old name. If it was deleted, check your computer's Recycle Bin.

If these suggestions do not resolve the situation, you may have to recreate the show, using the Show Editor.

The LOR Verifier

List of Verifier Messages


22: Error reading show file

Message Number: 22

Severity: Error

Summary: Error reading show file

Details: The name of the show file

You have a show scheduled, but the show cannot be loaded. For example, perhaps the show's file has become corrupted. The show will not play until this problem is resolved.

If you have any backups of the show file, check to see if they work. Otherwise, you may have to recreate the show, using the Show Editor.

The LOR Verifier

List of Verifier Messages


23: Sequence file does not exist

Message Number: 23

Severity: Error

Summary: Sequence file does not exist

Details #1: The name of the missing sequence file

Details #2: The name of the show file that this sequence is referenced in

One of your scheduled shows refers to a sequence file that does not exist. The sequence will not play in the show until this problem is resolved.

If you do not want the sequence to play, this is not a problem, but you may want to remove it from the show (using the Show Editor) so that this message does not appear in the future.

If you do want the sequence to play, perhaps its file was renamed (or placed in a different directory), or deleted.

If it was renamed (or placed in a different directory), you can either rename it back, or else use the Show Editor to point to the new name instead of the old one.

If it was deleted, check your computers Recycle Bin, or any backups that you may have. Note that whenever you change a sequence and save it (using the Sequence Editor), Light-O-Rama automatically saves a backup copy of the file as it was before your changes, so you may be able to use that backup copy. It will be saved to the same directory as the original, with the file extension ".bak" appended to its name. For example, if your sequence is named "MySequence.las", the automatic backup will be named "MySequence.las.bak".

If none of these suggestions help, you may have to recreate the sequence, using the Sequence Editor.

The LOR Verifier

List of Verifier Messages


24: Sequence file cannot be loaded

Message Number: 24

Severity: Error

Summary: Sequence file cannot be loaded

Details: The name of the file

One of your scheduled shows refers to a sequence file that cannot be loaded. For example, perhaps the sequence file has become corrupted. The sequence will not play in the show until this problem is resolved.

If you have any backups of the sequence file, check to see if they work. Note that whenever you change a sequence and save it (using the Sequence Editor), Light-O-Rama automatically saves a backup copy of the file as it was before your changes, so you may be able to use that backup copy. It will be saved to the same directory as the original, with the file extension ".bak" appended to its name. For example, if your sequence is named "MySequence.las", the automatic backup will be named "MySequence.las.bak".

Otherwise, you may have to recreate the sequence, using the Sequence Editor.

The LOR Verifier

List of Verifier Messages


25: Show has no sequences

Message Number: 25

Severity: Warning

Summary: Show has no sequences

Details: The name of the show file

One of your scheduled shows has no sequences in it. This will not cause any problems - your other scheduled shows should play fine - but there isn't much point to scheduling a show without sequences, so this probably indicates a mistake.

If you want sequences to play in the scheduled show, use the Show Editor to add the sequences to the show.

If you do not want any sequences to play in the scheduled show, consider removing the show from your schedule, using the Schedule Editor, so that this message does not appear in the future.

The LOR Verifier

List of Verifier Messages


26: Media file does not exist

Message Number: 26

Severity: Error

Summary: Media file does not exist

Details #1: The name of the missing media file

Details #2: The name of the sequence file that refers to the missing media file

One of your scheduled musical sequences refers to an audio file or video file that does not exist. The sequence will not play until this problem is resolved.

It is possible that the file has been renamed, placed in a different directory, or deleted.

If it has been renamed or placed in a different directory, you can either move it back to its original location, or else use the Sequence Editor to modify the sequence so that it points to its new location.

If it has been deleted, check your computer's Recycle Bin, or for any backups that you may have of the file.

The LOR Verifier

List of Verifier Messages


27: Conflicting channel settings in sequence

Message Number: 27

Severity: Warning

Summary: Conflicting channel settings in sequence

Details #1: The name of the sequence having the conflict

Details #2: The track containing the first conflicting channel

Details #3: The name of the first conflicting channel

Details #4: The track containing the second conflicting channel

Details #5: The name of the second conflicting channel

One of your scheduled sequences contains two different channels that both are set up to control the same physical string of lights - for example, they are both set up to control circuit 3 of Light-O-Rama unit 7 on the regular Light-O-Rama network.

Your sequence will play, but these two channels will fight for control over the lights hooked up to the circuit, which may have make the lights behave in ways that you weren't expecting.

The cause of this may simply be that one of the two channels is set up with the wrong unit ID, circuit number, network, or device type. In this case, use the Sequence Editor to change the channel's settings appropriately.

If you do intend both channels to control the same string of lights, the lights may or may not behave as you expect. The suggested way to do what you probably want is not to have two different channels with the same settings, but to have a single channel that is contained in two different tracks:

Let's say that you have "Channel A" in the first track, and "Channel B" in the second track. These channels have the same physical settings as each other, but different effect events. Then to change this situation to the suggested way, use the Sequence Editor as follows:

First, copy Channel A from the first track to the second track.

Next, merge the effect events from Channel B into Channel A, so that Channel A contains the effect events from both channels.

Finally, delete Channel B.

This will leave you with a single channel - Channel A - which is contained in both tracks, and which contains all of the effect events that you wanted for its string of lights. Having this single channel in two tracks, instead of two different channels in the two tracks, will make the lights behave as you probably expect.

The LOR Verifier

List of Verifier Messages


28: Channel is completely off

Message Number: 28

Severity: Warning

Summary: Channel is completely off

Details #1: The sequence containing the channel

Details #2: The track containing the channel

Details #3: The name of the channel

One of your scheduled sequences contains a channel which is completely off for its entire duration.

Consider removing the channel from the sequence, using the Sequence Editor.

The LOR Verifier

List of Verifier Messages


29: Sequence is completely off

Message Number: 29

Severity: Warning

Summary: Sequence is completely off

Details: The name of the sequence file

One of your scheduled sequences has no lighting effects for any of its channels, except for having each of them off for the sequence's entire duration.

This may be intentional - for example, you may have scheduled a musical sequence so that a song plays while your lights are off. Otherwise, consider adding effects to the sequence, or removing the sequence from the show.

The LOR Verifier

List of Verifier Messages


30: Channel is missing settings

Message Number: 30

Severity: Warning

Summary: Channel is missing settings

Details #1: The name of the sequence file containing the channel

Details #2: The track containing the channel

Details #3: The name of the channel

One of your scheduled sequences has a channel which is missing a required part of its physical settings - for example, perhaps it does not have a unit ID set.

This may be intentional - for example, perhaps you have a channel that shows the beat of a song, which you intend to use to help build other channels rather than to actually control lights when your show plays. If not, though, use the Sequence Editor to set the channel's settings appropriately.

The LOR Verifier

List of Verifier Messages


Verifier Messages 31-40

The following are some messages can be generated by the Light-O-Rama Verifier. For details on any given one, please refer to its individual help page. To see all possible messages, please refer to the List of Verifier Messages.

· Message 31 (Warning): Channel uses undefined comm network

· Message 32 (Warning): Channel in tracks of conflicting length

· Message 33 (Warning): Musical file used in non-audio section of show

· Message 34 (Warning): Subsequences not supported

· Message 35 (Warning): Background sequences unsupported

· Message 36 (Warning): Startup sequences unsupported

· Message 37 (Warning): Shutdown sequences unsupported

· Message 38 (Warning): Interactive triggers unsupported

· Message 39 (Warning): Unsupported number of tracks

· Message 40 (Warning): Shell commands unsupported


31: Channel uses undefined comm network

Message Number: 31

Severity: Warning

Summary: Channel uses undefined comm network

Details #1: The sequence that the channel is in

Details #2: The track that that the channel is in

Details #3: The name of the channel

One of your scheduled sequences contains a channel which is set up to use a network which does not have a comm port defined for it. The channel will not control lights until this issue is resolved.

The channel could be for a Light-O-Rama controller, which can be set up to use one of four different networks, or a Dasher or X10 controller, each of which can only have one network defined for all controllers of their type.

It is possible that the channel's network (or device type) is simply set incorrectly. For example, perhaps a channel for a Light-O-Rama controller was accidentally set to use the Aux A network, whereas you only have a comm port assigned to the Regular network. Or perhaps a channel was accidentally set to control a Dasher controller, whereas it was intended to control a Light-O-Rama controller. In cases like these, use the Sequence Editor to change the channel's settings, via the channel's Channel Settings dialog, or via the Channel Configuration screen.

Another possibility is that you do intend to use the network that the channel has assigned to it, but that network is not set up to use any comm port on your computer. In this case, use the Sequence Editor's Network Preferences dialog to specify a comm port for the network to use.

The LOR Verifier

List of Verifier Messages


32: Channel in tracks of conflicting length

Message Number: 32

Severity: Warning

Summary: Channel in tracks of conflicting length

Details #1: The sequence that the channel is in

Details #2: The name of the channel

Details #3: A track that the channel is in

Details #4: Another track that the channel is in

One of your scheduled sequences contains a channel which is in two different tracks, but those tracks are of different lengths. For example, one track is a minute long, while the other is two minutes long.

This will likely cause the lights hooked up to that channel to behave in a way that you don't expect, as different lighting effects from different parts of the same channel could be sent to the lights in an order that you were not expecting.

Unless you have done this intentionally, and understand the way that your lights will behave because of this, consider using the Sequence Editor to either remove the channel from one of the tracks or to change the tracks to be of the same length.

The LOR Verifier

List of Verifier Messages


33: Musical file used in non-audio section of show

Message Number: 33

Severity: Warning

Summary: Musical file used in non-audio section of show

Details #1: The sequence file

Details #2: The show file that refers to the sequence

Details #3: The section of the show that refers to the sequence

One of your musical sequences is scheduled in a section of a show that does not support audio or video. For example, perhaps a musical sequence is contained in the Background section of the show. The sequence will play at its scheduled time, but will only control lights; it will not play audio or display video.

Make sure that the sequence is in the section of the show that you intend it to be in. If it is not, use the Show Editor to move it to the appropriate section.

If it is in the section that you intended, consider using an animation sequence instead, to avoid possible confusion in the future.

The LOR Verifier

List of Verifier Messages


34: Subsequences not supported

Message Number: 34

Severity: Warning

Summary: Subsequences not supported

Details #1: The name of the subsequence

Details #2: The name of the parent sequence containing the subsequence

Details #3: The name of the channel in the parent sequence referencing the subsequence

One of your scheduled sequences contains a channel set up to be a subsequence, but your license does not support subsequences (or you are using the unlicensed demo version of the software). The parent sequence will play at its scheduled time, but the subsequence will not.

If you already have a license, and have registered Light-O-Rama on this computer, then to get the subsequence to play, you would have to upgrade to a higher license level which supports subsequences.

If you are using the unlicensed demo version, and you have not yet purchased a license, you can do so from the Light-O-Rama website.

If you have already purchased one, try using it to register Light-O-Rama on this computer. If this does not work, perhaps you have already installed Light-O-Rama on the maximum number of computers covered by your license, or perhaps your license is for an older version of Light-O-Rama than the one that you are trying to run.

The LOR Verifier

List of Verifier Messages


35: Background sequences unsupported

Message Number: 35

Severity: Warning

Summary: Background sequences unsupported

Details: The name of the show file containing sequences in its Background section

One of your scheduled shows contains sequences in its Background section, but your license does not support sequences in this section. The show will play at its scheduled time, but sequences in this section will not.

If you already have a license, and have registered Light-O-Rama on this computer, then to get these sequences to play, you would have to either move them to a different section of the show, or else upgrade to a higher license level which supports this feature.

If you are using the unlicensed demo version, and you have not yet purchased a license, you can do so from the Light-O-Rama website.

If you have already purchased one, try using it to register Light-O-Rama on this computer. If this does not work, perhaps you have already installed Light-O-Rama on the maximum number of computers covered by your license, or perhaps your license is for an older version of Light-O-Rama than the one that you are trying to run.

The LOR Verifier

List of Verifier Messages


36: Startup sequences unsupported

Message Number: 36

Severity: Warning

Summary: Startup sequences unsupported

Details: The name of the show file containing sequences in its Startup section

One of your scheduled shows contains sequences in its Startup section, but your license does not support sequences in this section. The show will play at its scheduled time, but sequences in this section will not.

If you already have a license, and have registered Light-O-Rama on this computer, then to get these sequences to play, you would have to either move them to a different section of the show, or else upgrade to a higher license level which supports this feature.

If you are using the unlicensed demo version, and you have not yet purchased a license, you can do so from the Light-O-Rama website.

If you have already purchased one, try using it to register Light-O-Rama on this computer. If this does not work, perhaps you have already installed Light-O-Rama on the maximum number of computers covered by your license, or perhaps your license is for an older version of Light-O-Rama than the one that you are trying to run.

The LOR Verifier

List of Verifier Messages


37: Shutdown sequences unsupported

Message Number: 37

Severity: Warning

Summary: Shutdown sequences unsupported

Details: The name of the show file containing sequences in its Shutdown section

One of your scheduled shows contains sequences in its Shutdown section, but your license does not support sequences in this section. The show will play at its scheduled time, but sequences in this section will not.

If you already have a license, and have registered Light-O-Rama on this computer, then to get these sequences to play, you would have to either move them to a different section of the show, or else upgrade to a higher license level which supports this feature.

If you are using the unlicensed demo version, and you have not yet purchased a license, you can do so from the Light-O-Rama website.

If you have already purchased one, try using it to register Light-O-Rama on this computer. If this does not work, perhaps you have already installed Light-O-Rama on the maximum number of computers covered by your license, or perhaps your license is for an older version of Light-O-Rama than the one that you are trying to run.

The LOR Verifier

List of Verifier Messages


38: Interactive triggers unsupported

Message Number: 38

Severity: Warning

Summary: Interactive triggers unsupported

Details: The name of the show file using interactive triggers

One of your scheduled shows uses interactive triggers, either in an interactive group or as part of its startup options, but your license does not support interactive triggers. The show will play at its scheduled time, but its interactive triggers will not.

If you already have a license, and have registered Light-O-Rama on this computer, then to get these triggers to work, you would have to upgrade to a higher license level which supports subsequences. If your triggers are used for interactive groups, you could also move the sequences in them to a different section of the show (but if so, they will play immediately, not upon being triggered).

If you are using the unlicensed demo version, and you have not yet purchased a license, you can do so from the Light-O-Rama website.

If you have already purchased one, try using it to register Light-O-Rama on this computer. If this does not work, perhaps you have already installed Light-O-Rama on the maximum number of computers covered by your license, or perhaps your license is for an older version of Light-O-Rama than the one that you are trying to run.

The LOR Verifier

List of Verifier Messages


39: Unsupported number of tracks

Message Number: 39

Severity: Warning

Summary: Unsupported number of tracks

Details #1: The name of the sequence using too many tracks

Details #2: The number of tracks the sequence uses

Details #3: The allowed number of tracks

One of your scheduled sequences uses more tracks than your license supports. The sequence will play at its scheduled time, but its excess tracks will not.

If you already have a license, and have registered Light-O-Rama on this computer, then to get these tracks to play, you would have to upgrade to a higher license level which supports more tracks.

If you are using the unlicensed demo version, and you have not yet purchased a license, you can do so from the Light-O-Rama website.

If you have already purchased one, try using it to register Light-O-Rama on this computer. If this does not work, perhaps you have already installed Light-O-Rama on the maximum number of computers covered by your license, or perhaps your license is for an older version of Light-O-Rama than the one that you are trying to run.

The LOR Verifier

List of Verifier Messages


40: Shell commands unsupported

Message Number: 40

Severity: Warning

Summary: Shell commands unsupported

Details: The name of the sequence using a shell command

One of your scheduled sequences is set up to use a Windows shell command, but your license does not support such commands. The sequence will play at its scheduled time, but the command will not be executed.

If you already have a license, and have registered Light-O-Rama on this computer, then to get the command to execute, you would have to upgrade to a higher license level which supports this feature.

If you are using the unlicensed demo version, and you have not yet purchased a license, you can do so from the Light-O-Rama website.

If you have already purchased one, try using it to register Light-O-Rama on this computer. If this does not work, perhaps you have already installed Light-O-Rama on the maximum number of computers covered by your license, or perhaps your license is for an older version of Light-O-Rama than the one that you are trying to run.

The LOR Verifier

List of Verifier Messages


Verifier Messages 41-50

The following are some messages can be generated by the Light-O-Rama Verifier. For details on any given one, please refer to its individual help page. To see all possible messages, please refer to the List of Verifier Messages.

· Message 41 (Warning): Shell command map file does not exist

· Message 42 (Warning): Shell command not set

· Message 43 (Warning): Channel conflict

· Message 44 (Warning): Old MC-P compatibility enabled

· Message 45 (Warning): Channel settings conflict in sequence/intensity file

· Message 46 (Warning): Channel settings conflict in intensity file

· Message 47 (Warning): Intensity file conflict

· Message 48 (Warning): Channel/intensity file conflict

· Message 49 (Warning): Intensity file uses undefined comm network

· Message 50 (Warning): Intensity files not supported by license level


41: Shell command map file does not exist

Message Number: 41

Severity: Warning

Summary: Shell command map file does not exist

Details: The expected name of the shell command map file

One of your scheduled sequences is set up to use a Windows shell command, but the command map file that defines the commands to execute does not exist. The sequence will play at its scheduled time, but the command will not be executed.

This could be because you created the sequence on one computer, and moved it to another computer to play in your show, but did not move the command map file. Light-O-Rama keeps these commands in the command map file, rather than in the sequences themselves, due to security concerns. Please see Sharing Sequences between Computers, and Security for details.

The LOR Verifier

List of Verifier Messages


42: Shell command not set

Message Number: 42

Severity: Warning

Summary: Shell command not set

Details: The name of the sequence file with the missing shell command

One of your scheduled sequences is set up to use a Windows shell command, but the command map file does not list a command to be executed by that sequence. The sequence will play at its scheduled time, but no command will be executed.

This could be because you created the sequence on one computer, and moved it to another computer to play in your show, but did not move the command map file. Light-O-Rama keeps these commands in the command map file, rather than in the sequences themselves, due to security concerns. Please see Sharing Sequences between Computers, and Security for details.

The LOR Verifier

List of Verifier Messages


43: Channel conflict

Message Number: 43

Severity: Warning

Summary: Channel conflict

Details #1: The name of the show containing the channel conflict

Details #2: One of the sections of the show containing a sequence with the conflicting channel

Details #3: The sequence file in that section containing the conflicting channel

Details #4: The track in that sequence containing the conflicting channel

Details #5: The name of the conflicting channel in that track

Details #6: Another section of the show containing a sequence with the conflicting channel

Details #7: The sequence file in that section containing the conflicting channel

Details #8: The track in that sequence containing the conflicting channel

Details #9: The name of the conflicting channel in that track

One of your scheduled shows contains sequences which could possibly play at the same time, but which each contain a channel representing the same physical string of lights. For example, perhaps the show contains one sequence in its Background section, and another in its Musical section, which each contain a channel for Light-O-Rama unit 3 circuit 7 on the regular network. Since sequences in the Background section can play at the same time as those in the Musical section, this is a conflict.

The show, and its sequences, will play at the appropriate times, but the two channels may fight for control over the single string of lights that they are set up to use. This may lead to those lights behaving in a manner that you are not expecting.

It is suggested that you use the Sequence Editor to check whether the channels are set up properly - for example, perhaps the unit ID of one of the channels was mistakenly set to an incorrect value. Otherwise, consider removing the conflicting channel from one of the sequences, or moving one of the sequences to a different section of the show, where it could not be played at the same time as the other sequence.

The LOR Verifier

List of Verifier Messages


44: Old MC-P compatibility enabled

Message Number: 44

Severity: Warning

Summary: Old MC-P compatibility enabled

Details #1: The network on which old MC-P compatibility is enabled

One of your networks has old MC-P compatibility enabled. This compatibility mode is required for certain controllers, but they are rare (Light-O-Rama MC-P controllers purchased prior to November 15, 2003). If you do not have any such controllers on this network, there is no reason to have this compatibility mode enabled, and in fact it can cause significant overhead on the network, potentially leading to lag in your lighting effects. It is suggested to turn this compatibility mode off (unless you have controllers that require it), which can be done through the Network Preferences program's "Misc" tab.

The LOR Verifier

List of Verifier Messages


45: Channel settings conflict in sequence/intensity file

Message Number: 45

Severity: Warning

Summary: Channel settings conflict in sequence/intensity file

Details #1: The sequence having the channel setting conflict

Details #2: The name of the track containing the channel having the settings conflict

Details #3: The name of the channel having the settings conflict

Details #4: The name of the intensity file having the channel settings conflict

Details #5: The range of addresses in the intensity file having the channel settings conflict

One of your sequences has a conflict between a channel defined in the sequence itself and an address defined in an intensity file associated with the sequence. For example, perhaps the sequence contains a channel which is set up to control Light-O-Rama unit 25 circuit 3 on the Regular LOR network, and the associated intensity file has a range of controlled addresses that includes that circuit - for example, perhaps the intensity file controls circuits 1 through 7 on unit 25 on the Regular Light-O-Rama network. In such cases, both the channel and the intensity file will simultaneously attempt to control the same physical circuit, and the resulting behavior of the lights is unlikely to be what you want or would expect.

To resolve this issue, change the channel and/or address range so that they no longer conflict with each other. Exactly how to do this depends upon the situation - for example, perhaps the conflict is due to a typo made in the channel's settings (perhaps its unit number is incorrect), in which case change the channel's settings. Or perhaps the issue should be resolved by changing the address range in the intensity file, or by deleting either the channel or the address range.

The LOR Verifier

List of Verifier Messages


46: Channel settings conflict in intensity file

Message Number: 46

Severity: Warning

Summary: Channel settings conflict in intensity file

Details #1: The sequence having the channel setting conflict

Details #2: The name of the first intensity file having the channel settings conflict

Details #3: The first range of addresses having the channel settings conflict

Details #4: The name of the second intensity file having the channel settings conflict

Details #5: The second range of addresses having the channel settings conflict

One of your sequences has a conflict between two ranges of addresses controlled by its associated intensity files. For example, perhaps an intensity file is set up to control DMX universe 8 addresses 20 through 40, and also to control DMX universe 8 addresses 39 through 50. In this example, addresses 39 and 40 are both set up to be controlled twice, and the resulting behavior on the lights for those two addresses is unlikely to be what you would expect.

To resolve this issue, change the intensity file (or files) so that the address ranges do not overlap with each other.

The LOR Verifier

List of Verifier Messages


47: Intensity File Conflict

Message Number: 47

Severity: Warning

Summary: Intensity file conflict

Details #1: The show with the conflict

Details #2: The section of the show containing the first sequence with the conflict

Details #3: The name of the first sequence with the conflict

Details #4: The name of the intensity file associated with the first sequence with the conflict

Details #5: The range of addresses for the first side of the conflict

Details #6: The section of the show containing the second sequence with the conflict

Details #7: The name of the second sequence with the conflict

Details #8: The name of the intensity file associated with the second sequence with the conflict

Details #9: The range of addresses for the second side of the conflict

One of your shows contains two separate sequences which could possibly play at the same time as each other, and those two sequences each have associated intensity files which attempt to control some of the same physical lights as each other. For example, perhaps one intensity file attempts to control LOR Regular network unit 10 circuits 8 through 12, and the other attempts to control LOR Regular network unit 10 circuits 10 through 15. In this case, both are attempting to control circuits 10, 11, and 12 on that unit. If the two sequences actually do wind up playing at the same time as each other, the resulting behavior on the lights attached to those circuits is unlikely to be what you would expect.

How to resolve this issue depends upon the particulars of the situation. For example, perhaps the overlap is because of a typo in one of the intensity files' settings; perhaps "circuits 10 through 15" should have been "circuits 13 through 15". In this case, change the intensity file. Another possibility is that one of the sequences might not be in the correct section of the show -- for example perhaps it is in the Background section but should have been in the Animation section -- in which case the show file should be modified to correct it.

The LOR Verifier

List of Verifier Messages


48: Channel/intensity file conflict

Message Number: 48

Severity: Warning

Summary: Channel/intensity file conflict

Details #1: The show with the conflict

Details #2: The section of the show containing the conflicting channel

Details #3: The name of the sequence containing the conflicting channel

Details #4: The name of the track containing the conflicting channel

Details #5: The name of the conflicting channel

Details #6: The section of the show containing the conflicting intensity file

Details #7: The name of the sequence with the conflicting intensity file

Details #8: The name of the conflicting intensity file

Details #9: The range of addresses containing the conflict in the intensity file

One of your shows contains two separate sequences which could possibly play at the same time as each other, and one of those sequences has a particular channel while the other has an intensity file which attempts to control the same physical lights as that channel. For example, perhaps one sequence has a channel that is set up to control LOR Regular network unit 10 circuit 8, while the intensity file attempts to control LOR Regular network unit 10 circuits 5 through 15. In this case, both are attempting to control circuit 8 on that unit. If the two sequences actually do wind up playing at the same time as each other, the resulting behavior on the lights attached to that circuit is unlikely to be what you would expect.

How to resolve this issue depends upon the particulars of the situation. For example, perhaps the overlap is because of a typo in one of the intensity files' settings; perhaps "circuits 5 through 15" should have been "circuits 13 through 15". In this case, change the intensity file. Or, similarly, perhaps the channel's settings are mistaken, in which case those settings should be modified. Another possibility is that one of the sequences might not be in the correct section of the show -- for example perhaps it is in the Background section but should have been in the Animation section -- in which case the show file should be modified to correct it.

The LOR Verifier

List of Verifier Messages


49: Intensity file uses undefined comm network

Message Number: 49

Severity: Warning

Summary: Intensity file uses undefined comm network

Details #1: The sequence whose intensity file uses the undefined comm network

Details #2: The intensity file using the undefined comm network

Details #3: The undefined comm network being used

One of your sequences uses an intensity file which attempts to control lights on a comm network that has not been defined. For example, perhaps it attempts to use the LOR Aux A network, but you have not set up the LOR Aux A network to use any particular COM port. In this case, your sequence will play, but the lights that attempt to use the undefined network will not be controlled.

How to fix this issue depends upon the particulars of the situation. Perhaps the comm network used by the intensity file is mistaken, in which case the intensity file should be modified to use the correct network. Or perhaps the correct comm network is being used, but that comm network has not been set up via the Light-O-Rama Network Preferences program.

The LOR Verifier

List of Verifier Messages


50: Intensity files not supported by license level

Message Number: 50

Severity: Warning

Summary: Intensity files not supported by license level

Details #1: The sequence which is attempting to use an intensity file

One of your sequences uses an intensity file, but your license level does not support intensity files. The sequence will play, but any effects defined in the intensity file itself will not happen on your actual physical lights.

This issue can be resolved by upgrading your Light-O-Rama license to a level that supports intensity files.

The LOR Verifier

List of Verifier Messages


Verifier Messages 51-60

The following are some messages can be generated by the Light-O-Rama Verifier. For details on any given one, please refer to its individual help page. To see all possible messages, please refer to the List of Verifier Messages.

· Message 51 (Warning): Use Compressed Sequences disabled

· Message 52 (Warning): Show Player Memory Restarts disabled

· Message 53 (Warning): Trigger uses undefined network

· Message 54 (Warning): Trigger uses LOR Enhanced network


51: Use Compressed Sequences disabled

Message Number: 51

Severity: Warning

Summary: Use Compressed Sequences disabled

The LOR Control Panel option Use Compressed Sequences is disabled. When enabled, this option causes the Show Player to use compressed sequences instead of regular sequences. Loading a compressed sequence is significantly faster than loading a regular sequence, and the behavior of your lights should be exactly the same no matter whether you use a compressed sequence or the sequence that that compressed sequence was based on. Thus, enabling this option has the benefit that it may decrease loading delays in your show, with no drawback.

Unless you have a specific reason to believe that having this option enabled causes problems with your show, it is recommended that you enable it. You can do so via the LOR Control Panel's right-click popup menu.

The LOR Verifier

List of Verifier Messages


52: Show Player Memory Restarts disabled

Message Number: 52

Severity: Warning

Summary: Show Player Memory Restarts disabled

The LOR Control Panel option Show Player Memory Restarts is disabled. When enabled, this option causes the Show Player to automatically shut down and restart in certain situations (not while your show is playing), as a proactive measure to mitigate the effects of possible hypothetical memory leaks.

Unless you have a specific reason to believe that having this option enabled causes problems with your show, it is recommended that you enable it. You can do so via the LOR Control Panel's right-click popup menu.

The LOR Verifier

List of Verifier Messages


53: Trigger uses undefined network

Message Number: 53

Severity: Warning

Summary: Trigger uses undefined network

Details #1: The name of the show containing the trigger

Details #2: The name of the undefined network that the trigger uses

Details #3: The name of the trigger

One of your triggers (either a show startup trigger or an interactive group trigger) uses a network that is not defined in Network Configuration. The trigger will not function during your show.

There are at least two different reasons why this warning may occur, and how to resolve the issue depends upon which one is the cause. First, there may be a mistake in the settings of the trigger itself; for example it may be set up to use network Aux B, whereas you intended it to use network Aux A. In this case, change the definition of the trigger (either in the show startup options or the interactive group, depending upon what kind of trigger it is). Second, the trigger may be set up to use the intended network, but that network might mistakenly not have a comm port defined for it. In this case, use the Network Configuration program to set the configuration of the network.

The LOR Verifier

List of Verifier Messages


54: Trigger uses LOR Enhanced network

Message Number: 54

Severity: Warning

Summary: Trigger uses LOR Enhanced network

Details #1: The name of the show containing the trigger

Details #2: The name of the LOR Enhanced network that the trigger uses

Details #3: The name of the trigger

One of your triggers (either a show startup trigger or an interactive group trigger) uses an LOR Enhanced network. Triggers are not supported on LOR Enhanced networks, and the trigger will not function during your show.

There are at least two different reasons why this warning may occur, and how to resolve the issue depends upon which one is the cause. First, there may be a mistake in the settings of the trigger itself; for example it may be set up to use the Enhanced network Aux B, whereas you intended it to use non-enhanced network Aux A. In this case, change the definition of the trigger (either in the show startup options or the interactive group, depending upon what kind of trigger it is). Second, the trigger may be set up to use the intended network, but that network might mistakenly be marked as Enhanced. In this case, use the Network Configuration program to change the configuration of the network.

The LOR Verifier

List of Verifier Messages


Sequence Compressor

By default, when a sequence is saved in the Sequence Editor, the Sequence Editor will also save a compressed version of the sequence. Compressed sequences are intended for use during shows, as they can be loaded much faster than their associated sequences, yet contain all information necessary to play the sequence. For many customers, this default behavior of automatically saving a compressed sequence every time the sequence itself is saved is fine. However, for large sequences, saving the compressed sequence could take a noticeable amount of time. Therefore, the user has the option to disable automatic compression. Even if this behavior is disabled, though, it would still behoove the user to make sure that up-to-date compressed sequences exist before running their show. The Sequence Compressor program can be used to do this.

It can be used to compress all sequences in the entire schedule, or all sequences in a specified show, or a single specified sequence. Simply choose which of those you want to do (and, if appropriate, choose the show or sequence), and click the "Compress" button. The "Output Log" tab will show what the Sequence Compressor is doing, as it does it. When the Sequence Compressor finishes, it will open a message box saying so, and the "Results" tab will contain a summary of what has been done. The summary will say, for example, how many (and which) sequences were compressed, and give details about any errors or warnings that happened. If desired, the "Save" button can be used to save both the results summary and the output log to a file.

If some particular sequence already has an up-to-date compressed sequence available, the Sequence Compressor will simply skip that sequence, unless the "Force compression even for sequences that are already compressed" box is checked.

Please note that not all sequences can be compressed. In particular, any sequence that contains a loop cannot be compressed, nor can any sequence that contains two or more tracks with different time lengths. If such a sequence is encountered, the Sequence Compressor will issue a "warning" (not an "error") about it. This is because it's perfectly valid to make a sequence that (for example) contains two or more tracks with different time lengths, and if that's what you want to do, then that's fine, so it's not an "error". But having two or more tracks of different lengths might be unintentional, and so the Sequence Compressor will "warn" about it, just so that you are aware of it, and can easily double check whether it is really what you want.

The Light-O-Rama Sequence Compressor


Diagnostic

The Light-O-Rama Diagnostic tool can be used in troubleshooting. It shows a snapshot of your Light-O-Rama configuration, such as registry settings and the version numbers of the various Light-O-Rama programs.

When the Light-O-Rama Diagnostic tool starts up, it may take several seconds before it displays your configuration information. During this time, it will tell you to please wait while Light-O-Rama gathers information.

After the configuration information has been displayed, you can copy the results to the Windows clipboard via the "Copy" button, or save them to a disk file via the "Save" button. There is also an "Advanced" button, which can be used to collect additional information that LOR Diagnostic does not collect by default.

The Light-O-Rama Diagnostic tool


Offline Registration Utility

The Offline Registration Utility is a program that you can use to help register the Light-O-Rama Software Package on a computer which is not connected to the internet. It must be run on another computer, which is connected to the internet. If you do not have another computer which is connected to the internet, you can still register an offline computer by calling Light-O-Rama.

Please see the help file page "Registering Offline" for details.

The Offline Registration Utility


Add-Ons

In addition to the standard programs that come with the Light-O-Rama software package, there are several add-on programs available. These include both official Light-O-Rama products and third-party applications:

·Light-O-Rama Add-Ons

· The Light-O-Rama Registry Wiper tool

·Third Party Add-Ons

· Holiday Lights Designer ™, by Holidaysoft ®

· Universal Library and InstaCal


Registry Wiper

The Light-O-Rama Registry Wiper tool deletes your Light-O-Rama configuration from your computer's registry. This is for use in troubleshooting severe cases.

IMPORTANT: After running the Light-O-Rama Registry Wiper tool, your Light-O-Rama software will not run. You will need to reinstall Light-O-Rama. Also, even after having reinstalled, you will have lost certain preferences settings that you may have previously set.

The Registry Wiper tool is not a standard part of the Light-O-Rama software package. It is available from Light-O-Rama, for troubleshooting severe cases.

The Registry Wiper tool should not be used except in extreme situations.

The Light-O-Rama Registry Wiper tool

If you have previously registered your copy of Light-O-Rama, after selecting "Wipe", you may be presented with a choice of whether to keep your licensing information (such as your license name and license key) in the registry or not. If you choose not to, your copy of Light-O-Rama will run in Demo mode afterwards, until you re-register. Note, though, that you will still be able to re-register using your exact same licensing information.


Holiday Lights Designer™

Support for Holiday Lights Designer is being removed....

Holiday Lights Designer™ is a third-party application by Holidaysoft® which can be used to virtually place lights and decorations on images of your home or business. Light-O-Rama can now send Holiday Lights Designer™ commands during play to make those virtual lights behave as your real lights would during a show.

To send commands to Holiday Lights Designer™, first set the Holiday Lights Designer Preferences in the Sequence Editor under the Edit menu. After this is done, commands can be sent from the Sequence Editor by turning on "Control Holiday Lights Designer" in the Play menu, or from the Show Player by selecting "Holiday Lights Designer On" in the Light-O-Rama Control Panel.

Version 4.0 or above of Holiday Lights Designer™ is required to take advantage of Light-O-Rama interaction.

For more information about Holiday Lights Designer™, please see the Holidaysoft website.


Universal Library and InstaCal

 Top Previous

The Universal Library and InstaCal are software allowing access to digital IO boards and BSOFT digital IO boards. In order to use these boards with Light-O-Rama, you must have these installed.

The Universal Library and InstaCal are available from Measurement Computing.


Enable Time Layer Priority

 Top

When this checkbox is not selected all effects are transparent. This means that effects that where effects of different colors overlap the colors will mix. For example, , if a red effect is place on top of a green effect, in the places where the effects overlap the red and green will mix and will be yellow.

When this checkbox is selected the effects on low time layers will render in front of effects on higher time layers. For example, if you place a morph on time layer 1 and you place a scene on time layer 3, then if the morph goes across the same area as the scene then the morph will render on top of the scene. In other words it will look like the morph is above the scene.

For backward compatibility sequences created before this feature was available will have this feature unselected.

Each of the effect dialog boxes has the options Transparent, Semi-Transparent, and Solid. Their behavior is as follows:

Transparent – The effects are transparent. For example, if a red effect is place on top of a green effect, in the places where the effects overlap the red and green will mix and will be yellow.

Semi-Transparent – The colors in an effect that are dim will be transparent, but the colors in the effect that are the full color of the effect will be solid. For example, if a green morph with a tail is placed above a red scene, then the green head of the morph will be solid but the tail will be transparent. This is probably the setting you will want to use for scenes, morphs, and smooth effects.

Solid – All colors in the effect will appear solid. This is probably the setting you will want for use with images, and text.